def aaa_accounting_commands_default_start_stop_update(self, server_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type server_type: unicode
    :param server_type: Keyword argument.

        * enumeration restriction: ::

            ['tacacs+', 'none']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, server_type=server_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server_type=server_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def aaa_accounting_commands_default_start_stop_server_type_update(self, server_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type server_type: unicode
    :param server_type: Keyword argument.

        * enumeration restriction: ::

            ['tacacs+', 'none']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, server_type=server_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server_type=server_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def aaa_accounting_exec_default_start_stop_update(self, server_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type server_type: unicode
    :param server_type: Keyword argument.

        * enumeration restriction: ::

            ['tacacs+', 'none']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, server_type=server_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server_type=server_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def aaa_accounting_exec_default_start_stop_server_type_update(self, server_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type server_type: unicode
    :param server_type: Keyword argument.

        * enumeration restriction: ::

            ['tacacs+', 'none']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, server_type=server_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server_type=server_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def aaa_authentication_login_update(self, first=None, second=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type first: unicode
    :param first: Primary source of authentication

        * enumeration restriction: ::

            ['default',
            'tacacs+',
            'radius',
            'local',
            'ldap']

    :type second: unicode
    :param second: Secondary source of authentication

        * enumeration restriction: ::

            ['local', 'local-auth-fallback']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.aaa_config.aaa.authentication.login', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.aaa_config.aaa.authentication.login', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.aaa_config.aaa.authentication.login', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.aaa_config.aaa.authentication.login', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.aaa_config.aaa.authentication.login', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'first, second'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, first=first, second=second)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, first=first, second=second)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def aaa_authentication_login_first_update(self, first=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type first: unicode
    :param first: Primary source of authentication

        * enumeration restriction: ::

            ['default',
            'tacacs+',
            'radius',
            'local',
            'ldap']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.aaa_config.aaa.authentication.login', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.aaa_config.aaa.authentication.login', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.aaa_config.aaa.authentication.login', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.aaa_config.aaa.authentication.login', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.aaa_config.aaa.authentication.login', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, first=first)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, first=first)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def aaa_authentication_login_second_update(self, second=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type second: unicode
    :param second: Secondary source of authentication

        * enumeration restriction: ::

            ['local', 'local-auth-fallback']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.aaa_config.aaa.authentication.login', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.aaa_config.aaa.authentication.login', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.aaa_config.aaa.authentication.login', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.aaa_config.aaa.authentication.login', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.aaa_config.aaa.authentication.login', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, second=second)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, second=second)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_policy_allow_conflicting_rules_update(self, allow_conflicting_rules=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type allow_conflicting_rules: YANGBool
    :param allow_conflicting_rules: Allow conflicting rules in a ACL table 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_policy.global_acl_policy_conf_cmds', 'pybind.slxos.v16r_1_00b.brocade_acl_policy', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.acl_policy.global_acl_policy_conf_cmds', 'pybind.slxos.v17r_1_00a.brocade_acl_policy', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, allow_conflicting_rules=allow_conflicting_rules)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, allow_conflicting_rules=allow_conflicting_rules)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_policy_allow_duplicate_rules_update(self, allow_duplicate_rules=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type allow_duplicate_rules: YANGBool
    :param allow_duplicate_rules: Allow duplicate rules in a ACL table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_policy.global_acl_policy_conf_cmds', 'pybind.slxos.v16r_1_00b.brocade_acl_policy', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.acl_policy.global_acl_policy_conf_cmds', 'pybind.slxos.v17r_1_00a.brocade_acl_policy', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, allow_duplicate_rules=allow_duplicate_rules)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, allow_duplicate_rules=allow_duplicate_rules)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_policy_global_acl_policy_conf_cmds_update(self, allow_conflicting_rules=None, allow_duplicate_rules=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type allow_conflicting_rules: YANGBool
    :param allow_conflicting_rules: Allow conflicting rules in a ACL table 

    :type allow_duplicate_rules: YANGBool
    :param allow_duplicate_rules: Allow duplicate rules in a ACL table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_policy.global_acl_policy_conf_cmds', 'pybind.slxos.v16r_1_00b.brocade_acl_policy', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.acl_policy.global_acl_policy_conf_cmds', 'pybind.slxos.v17r_1_00a.brocade_acl_policy', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, allow_conflicting_rules=allow_conflicting_rules, allow_duplicate_rules=allow_duplicate_rules)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, allow_conflicting_rules=allow_conflicting_rules, allow_duplicate_rules=allow_duplicate_rules)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_update(self, vxlan_acl=None, extended_data=None, permit_deny=None, dst_vtep_ip=None, src_vtep_ip=None, vni=None, vni_mask=None, native_tag=None, dst_ip=None, dst_ip_mask=None, src_ip=None, src_ip_mask=None, dst_port=None, src_port=None, count=None, byte_count=None, transit_name=None, sflow=None, redir_interface=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_vtep_ip: unicode
    :param src_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type vni: unicode
    :param vni: Keyword argument.

    :type vni_mask: unicode
    :param vni_mask: Keyword argument.

    :type native_tag: unicode
    :param native_tag: Keyword argument.

    :type dst_ip: unicode
    :param dst_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_ip_mask: int
    :param dst_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_ip: unicode
    :param src_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_mask: int
    :param src_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type dst_port: int
    :param dst_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_port: int
    :param src_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type transit_name: unicode
    :param transit_name: Keyword argument.

    :type sflow: YANGBool
    :param sflow: Keyword argument.

    :type redir_interface: unicode
    :param redir_interface: Keyword argument.

    :type mirror_interface: unicode
    :param mirror_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, transit_name=transit_name, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, transit_name=transit_name, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_byte_count_update(self, vxlan_acl=None, extended_data=None, byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, byte_count=byte_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, byte_count=byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_count_update(self, vxlan_acl=None, extended_data=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_dst_ip_update(self, vxlan_acl=None, extended_data=None, dst_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_ip: unicode
    :param dst_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, dst_ip=dst_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, dst_ip=dst_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_dst_ip_mask_update(self, vxlan_acl=None, extended_data=None, dst_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_ip_mask: int
    :param dst_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, dst_ip_mask=dst_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, dst_ip_mask=dst_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_dst_port_update(self, vxlan_acl=None, extended_data=None, dst_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_port: int
    :param dst_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, dst_port=dst_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, dst_port=dst_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_dst_vtep_ip_update(self, vxlan_acl=None, extended_data=None, dst_vtep_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, dst_vtep_ip=dst_vtep_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, dst_vtep_ip=dst_vtep_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_mirror_interface_update(self, vxlan_acl=None, extended_data=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mirror_interface: unicode
    :param mirror_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, mirror_interface=mirror_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_native_tag_update(self, vxlan_acl=None, extended_data=None, native_tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_tag: unicode
    :param native_tag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, native_tag=native_tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, native_tag=native_tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_permit_deny_update(self, vxlan_acl=None, extended_data=None, permit_deny=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, permit_deny=permit_deny)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, permit_deny=permit_deny)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_redir_interface_update(self, vxlan_acl=None, extended_data=None, redir_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redir_interface: unicode
    :param redir_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, redir_interface=redir_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, redir_interface=redir_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_sflow_update(self, vxlan_acl=None, extended_data=None, sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sflow: YANGBool
    :param sflow: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, sflow=sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, sflow=sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_src_ip_update(self, vxlan_acl=None, extended_data=None, src_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_ip: unicode
    :param src_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, src_ip=src_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, src_ip=src_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_src_ip_mask_update(self, vxlan_acl=None, extended_data=None, src_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_ip_mask: int
    :param src_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, src_ip_mask=src_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, src_ip_mask=src_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_src_port_update(self, vxlan_acl=None, extended_data=None, src_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_port: int
    :param src_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, src_port=src_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, src_port=src_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_src_vtep_ip_update(self, vxlan_acl=None, extended_data=None, src_vtep_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_vtep_ip: unicode
    :param src_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, src_vtep_ip=src_vtep_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, src_vtep_ip=src_vtep_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_transit_name_update(self, vxlan_acl=None, extended_data=None, transit_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transit_name: unicode
    :param transit_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, transit_name=transit_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, transit_name=transit_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_vni_update(self, vxlan_acl=None, extended_data=None, vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vni: unicode
    :param vni: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, vni=vni)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, vni=vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_vni_mask_update(self, vxlan_acl=None, extended_data=None, vni_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vni_mask: unicode
    :param vni_mask: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vxlan_acl=vxlan_acl, extended_data=extended_data, vni_mask=vni_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, vni_mask=vni_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_update(self, adj_neighbor=None, adj_state_change_time=None, adj_type=None, adj_state=None, circuit_intf_name=None, snpa=None, adj_holding_time=None, adj_priority=None, adj_mtprot=None, adj_prot=None, remaining_time=None, adj_3way_state=None, host_name=None, adj_lan_name=None, adj_lan_id=None, adj_p2p_circ_id=None, adj_num_adds=None, adj_use=None, ip_circuit_id=None, adj_address=None, ip6_circuit_id=None, adj_ip6_address=None, bfd_holdover_interval=None, adj_bfd_holdover_time=None, bfd_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_state_change_time: long
    :param adj_state_change_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_type: unicode
    :param adj_type: Keyword argument.

        * enumeration restriction: ::

            ['is-adj-ptpt',
            'is-adj-l1',
            'is-adj-l2',
            'is-adj-es',
            'is-adj-unknown',
            'is-adj-stct']

    :type adj_state: unicode
    :param adj_state: Keyword argument.

    :type circuit_intf_name: unicode
    :param circuit_intf_name: Keyword argument.

    :type snpa: unicode
    :param snpa: Keyword argument.

    :type adj_holding_time: int
    :param adj_holding_time: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type adj_priority: int
    :param adj_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type adj_mtprot: unicode
    :param adj_mtprot: Keyword argument.

        * enumeration restriction: ::

            ['adj-mtprot-unknow',
            'adj-prot-ip',
            'adj-prot-ip6',
            'adj-prot-ipx',
            'adj-prot-osi']

    :type adj_prot: unicode
    :param adj_prot: Keyword argument.

        * enumeration restriction: ::

            ['adj-mtprot-unknow',
            'adj-prot-ip',
            'adj-prot-ip6',
            'adj-prot-ipx',
            'adj-prot-osi']

    :type remaining_time: long
    :param remaining_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_3way_state: unicode
    :param adj_3way_state: Keyword argument.

        * enumeration restriction: ::

            ['adj-3way-state-init',
            'adj-3way-state-accept',
            'adj-3way-state-down',
            'adj-3way-state-invalid',
            'adj-3way-state-up']

    :type host_name: unicode
    :param host_name: Keyword argument.

    :type adj_lan_name: unicode
    :param adj_lan_name: Keyword argument.

    :type adj_lan_id: int
    :param adj_lan_id: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type adj_p2p_circ_id: long
    :param adj_p2p_circ_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_num_adds: int
    :param adj_num_adds: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type adj_use: unicode
    :param adj_use: Keyword argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    :type ip_circuit_id: long
    :param ip_circuit_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_address: unicode
    :param adj_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ip6_circuit_id: long
    :param ip6_circuit_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_ip6_address: unicode
    :param adj_ip6_address: Keyword argument.

    :type bfd_holdover_interval: int
    :param bfd_holdover_interval: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type adj_bfd_holdover_time: int
    :param adj_bfd_holdover_time: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type bfd_state: unicode
    :param bfd_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_state_change_time=adj_state_change_time, adj_type=adj_type, adj_state=adj_state, circuit_intf_name=circuit_intf_name, snpa=snpa, adj_holding_time=adj_holding_time, adj_priority=adj_priority, adj_mtprot=adj_mtprot, adj_prot=adj_prot, remaining_time=remaining_time, adj_3way_state=adj_3way_state, host_name=host_name, adj_lan_name=adj_lan_name, adj_lan_id=adj_lan_id, adj_p2p_circ_id=adj_p2p_circ_id, adj_num_adds=adj_num_adds, adj_use=adj_use, ip_circuit_id=ip_circuit_id, adj_address=adj_address, ip6_circuit_id=ip6_circuit_id, adj_ip6_address=adj_ip6_address, bfd_holdover_interval=bfd_holdover_interval, adj_bfd_holdover_time=adj_bfd_holdover_time, bfd_state=bfd_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_state_change_time=adj_state_change_time, adj_type=adj_type, adj_state=adj_state, circuit_intf_name=circuit_intf_name, snpa=snpa, adj_holding_time=adj_holding_time, adj_priority=adj_priority, adj_mtprot=adj_mtprot, adj_prot=adj_prot, remaining_time=remaining_time, adj_3way_state=adj_3way_state, host_name=host_name, adj_lan_name=adj_lan_name, adj_lan_id=adj_lan_id, adj_p2p_circ_id=adj_p2p_circ_id, adj_num_adds=adj_num_adds, adj_use=adj_use, ip_circuit_id=ip_circuit_id, adj_address=adj_address, ip6_circuit_id=ip6_circuit_id, adj_ip6_address=adj_ip6_address, bfd_holdover_interval=bfd_holdover_interval, adj_bfd_holdover_time=adj_bfd_holdover_time, bfd_state=bfd_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_3way_state_update(self, adj_neighbor=None, adj_3way_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_3way_state: unicode
    :param adj_3way_state: Keyword argument.

        * enumeration restriction: ::

            ['adj-3way-state-init',
            'adj-3way-state-accept',
            'adj-3way-state-down',
            'adj-3way-state-invalid',
            'adj-3way-state-up']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_3way_state=adj_3way_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_3way_state=adj_3way_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_address_update(self, adj_neighbor=None, adj_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_address: unicode
    :param adj_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_address=adj_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_address=adj_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_bfd_holdover_time_update(self, adj_neighbor=None, adj_bfd_holdover_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_bfd_holdover_time: int
    :param adj_bfd_holdover_time: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_bfd_holdover_time=adj_bfd_holdover_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_bfd_holdover_time=adj_bfd_holdover_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_holding_time_update(self, adj_neighbor=None, adj_holding_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_holding_time: int
    :param adj_holding_time: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_holding_time=adj_holding_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_holding_time=adj_holding_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_ip6_address_update(self, adj_neighbor=None, adj_ip6_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_ip6_address: unicode
    :param adj_ip6_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_ip6_address=adj_ip6_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_ip6_address=adj_ip6_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_lan_id_update(self, adj_neighbor=None, adj_lan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_lan_id: int
    :param adj_lan_id: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_lan_id=adj_lan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_lan_id=adj_lan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_lan_name_update(self, adj_neighbor=None, adj_lan_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_lan_name: unicode
    :param adj_lan_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_lan_name=adj_lan_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_lan_name=adj_lan_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_mtprot_update(self, adj_neighbor=None, adj_mtprot=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_mtprot: unicode
    :param adj_mtprot: Keyword argument.

        * enumeration restriction: ::

            ['adj-mtprot-unknow',
            'adj-prot-ip',
            'adj-prot-ip6',
            'adj-prot-ipx',
            'adj-prot-osi']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_mtprot=adj_mtprot)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_mtprot=adj_mtprot)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_num_adds_update(self, adj_neighbor=None, adj_num_adds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_num_adds: int
    :param adj_num_adds: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_num_adds=adj_num_adds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_num_adds=adj_num_adds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_p2p_circ_id_update(self, adj_neighbor=None, adj_p2p_circ_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_p2p_circ_id: long
    :param adj_p2p_circ_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_p2p_circ_id=adj_p2p_circ_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_p2p_circ_id=adj_p2p_circ_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_priority_update(self, adj_neighbor=None, adj_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_priority: int
    :param adj_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_priority=adj_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_priority=adj_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_prot_update(self, adj_neighbor=None, adj_prot=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_prot: unicode
    :param adj_prot: Keyword argument.

        * enumeration restriction: ::

            ['adj-mtprot-unknow',
            'adj-prot-ip',
            'adj-prot-ip6',
            'adj-prot-ipx',
            'adj-prot-osi']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_prot=adj_prot)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_prot=adj_prot)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_state_update(self, adj_neighbor=None, adj_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_state: unicode
    :param adj_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_state=adj_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_state=adj_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_state_change_time_update(self, adj_neighbor=None, adj_state_change_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_state_change_time: long
    :param adj_state_change_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_state_change_time=adj_state_change_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_state_change_time=adj_state_change_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_type_update(self, adj_neighbor=None, adj_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_type: unicode
    :param adj_type: Keyword argument.

        * enumeration restriction: ::

            ['is-adj-ptpt',
            'is-adj-l1',
            'is-adj-l2',
            'is-adj-es',
            'is-adj-unknown',
            'is-adj-stct']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_type=adj_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_type=adj_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_use_update(self, adj_neighbor=None, adj_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_use: unicode
    :param adj_use: Keyword argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, adj_use=adj_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_use=adj_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_bfd_holdover_interval_update(self, adj_neighbor=None, bfd_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type bfd_holdover_interval: int
    :param bfd_holdover_interval: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, bfd_holdover_interval=bfd_holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, bfd_holdover_interval=bfd_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_bfd_state_update(self, adj_neighbor=None, bfd_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type bfd_state: unicode
    :param bfd_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, bfd_state=bfd_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, bfd_state=bfd_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_circuit_intf_name_update(self, adj_neighbor=None, circuit_intf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type circuit_intf_name: unicode
    :param circuit_intf_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, circuit_intf_name=circuit_intf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, circuit_intf_name=circuit_intf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_host_name_update(self, adj_neighbor=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type host_name: unicode
    :param host_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, host_name=host_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_ip6_circuit_id_update(self, adj_neighbor=None, ip6_circuit_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type ip6_circuit_id: long
    :param ip6_circuit_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, ip6_circuit_id=ip6_circuit_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, ip6_circuit_id=ip6_circuit_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_ip_circuit_id_update(self, adj_neighbor=None, ip_circuit_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type ip_circuit_id: long
    :param ip_circuit_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, ip_circuit_id=ip_circuit_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, ip_circuit_id=ip_circuit_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_remaining_time_update(self, adj_neighbor=None, remaining_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type remaining_time: long
    :param remaining_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, remaining_time=remaining_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, remaining_time=remaining_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_snpa_update(self, adj_neighbor=None, snpa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type snpa: unicode
    :param snpa: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adj_neighbor=adj_neighbor, snpa=snpa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, snpa=snpa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def alias_config_alias_update(self, alias=None, expansion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type alias: name
    :param alias: Keyword argument tuple.

    :type name: unicode
    :param name: **alias** tuple argument.

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type expansion: unicode
    :param expansion: Keyword argument.

        * length restriction: ::

            ['1..1023']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.alias_config.alias', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.alias_config.alias', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.alias_config.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.alias_config.alias', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, alias=alias, expansion=expansion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alias=alias, expansion=expansion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def alias_config_alias_expansion_update(self, alias=None, expansion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type alias: name
    :param alias: Keyword argument tuple.

    :type name: unicode
    :param name: **alias** tuple argument.

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type expansion: unicode
    :param expansion: Keyword argument.

        * length restriction: ::

            ['1..1023']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.alias_config.alias', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.alias_config.alias', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.alias_config.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.alias_config.alias', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, alias=alias, expansion=expansion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alias=alias, expansion=expansion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def alias_config_user_alias_update(self, user=None, alias=None, expansion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type user: name
    :param user: Keyword argument tuple.

    :type name: unicode
    :param name: **user** tuple argument.

        * length restriction: ::

            ['1..40']

    **Instance Keyword Argument Tuple**:

    :type alias: name
    :param alias: Keyword argument tuple.

    :type name: unicode
    :param name: **alias** tuple argument.

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type expansion: unicode
    :param expansion: Keyword argument.

        * length restriction: ::

            ['1..1023']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.alias_config.user', u'user'), ('pybind.slxos.v17r_1_00a.alias_config.user', u'user'), ('pybind.nos.v7_1_0.alias_config.user', u'user'), ('pybind.nos.v7_0_1b.alias_config.user', u'user'), ('pybind.nos.v6_0_2c.alias_config.user', u'user')]
    bindings_list = [('pybind.nos.v6_0_2c.alias_config.user.alias', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.alias_config.user.alias', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.alias_config.user.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.user.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.alias_config.user.alias', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, user=user, alias=alias, expansion=expansion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user, alias=alias, expansion=expansion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def alias_config_user_alias_expansion_update(self, user=None, alias=None, expansion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type user: name
    :param user: Keyword argument tuple.

    :type name: unicode
    :param name: **user** tuple argument.

        * length restriction: ::

            ['1..40']

    **Instance Keyword Argument Tuple**:

    :type alias: name
    :param alias: Keyword argument tuple.

    :type name: unicode
    :param name: **alias** tuple argument.

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type expansion: unicode
    :param expansion: Keyword argument.

        * length restriction: ::

            ['1..1023']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.alias_config.user', u'user'), ('pybind.slxos.v17r_1_00a.alias_config.user', u'user'), ('pybind.nos.v7_1_0.alias_config.user', u'user'), ('pybind.nos.v7_0_1b.alias_config.user', u'user'), ('pybind.nos.v6_0_2c.alias_config.user', u'user')]
    bindings_list = [('pybind.nos.v6_0_2c.alias_config.user.alias', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.alias_config.user.alias', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.alias_config.user.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.user.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.alias_config.user.alias', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, user=user, alias=alias, expansion=expansion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user, alias=alias, expansion=expansion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_update(self, arp_entry=None, mac_address_value=None, interfacename=None, GigabitEthernet=None, TenGigabitEthernet=None, FortyGigabitEthernet=None, HundredGigabitEthernet=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mac_address_value: unicode
    :param mac_address_value: **arp_entry** tuple argument.

    :type interfacename: unicode
    :param interfacename: **arp_entry** tuple argument.

        * enumeration restriction: ::

            ['interface']

    :type GigabitEthernet: unicode
    :param GigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: **arp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac_address_value: unicode
    :param mac_address_value: Keyword argument.

    :type interfacename: unicode
    :param interfacename: Keyword argument.

        * enumeration restriction: ::

            ['interface']

    :type GigabitEthernet: unicode
    :param GigabitEthernet: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2c.brocade_arp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1b.brocade_arp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_arp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.arp_entry', 'pybind.slxos.v17r_1_00a.brocade_arp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.hide_arp_holder.arp_entry": {"mac_address_value": "mac_address_value", "interfacename": "interfacename", "FortyGigabitEthernet": "FortyGigabitEthernet", "GigabitEthernet": "GigabitEthernet", "TenGigabitEthernet": "TenGigabitEthernet", "arp_ip_address": "arp_ip_address", "HundredGigabitEthernet": "HundredGigabitEthernet", "Ve": "Ve"}, "pybind.slxos.v16r_1_00b.arp_entry": {}, "pybind.slxos.v17r_1_00a.arp_entry": {}, "pybind.nos.v7_1_0.hide_arp_holder.arp_entry": {}, "pybind.nos.v7_0_1b.hide_arp_holder.arp_entry": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.hide_arp_holder.arp_entry': [u'FortyGigabitEthernet', u'GigabitEthernet', u'TenGigabitEthernet', u'HundredGigabitEthernet', u'Ve'], 'pybind.slxos.v16r_1_00b.arp_entry': [u'Ethernet', u'Ve'], 'pybind.nos.v7_1_0.hide_arp_holder.arp_entry': [u'Port_channel', u'Ve', u'FortyGigabitEthernet', u'GigabitEthernet', u'TenGigabitEthernet', u'HundredGigabitEthernet'], 'pybind.slxos.v17r_1_00a.arp_entry': [u'Ethernet', u'Ve'], 'pybind.nos.v7_0_1b.hide_arp_holder.arp_entry': [u'Port_channel', u'Ve', u'FortyGigabitEthernet', u'GigabitEthernet', u'TenGigabitEthernet', u'HundredGigabitEthernet']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, GigabitEthernet=GigabitEthernet, TenGigabitEthernet=TenGigabitEthernet, FortyGigabitEthernet=FortyGigabitEthernet, HundredGigabitEthernet=HundredGigabitEthernet, Ve=Ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, GigabitEthernet=GigabitEthernet, TenGigabitEthernet=TenGigabitEthernet, FortyGigabitEthernet=FortyGigabitEthernet, HundredGigabitEthernet=HundredGigabitEthernet, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_access_list_permit_ip_update(self, access_list=None, permit_list=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type access_list: acl_name
    :param access_list: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **access_list** tuple argument:  <WORD:1-62>;;Name of ARP access-list

        * length restriction: ::

            ['1..62']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})'

    **Instance Keyword Argument Tuple**:

    :type permit_list: ip_type, host_ip, mac_type, host_mac, log
    :param permit_list: Keyword argument tuple.

    :type ip_type: unicode
    :param ip_type: **permit_list** tuple argument.

        * enumeration restriction: ::

            ['host']

    :type host_ip: unicode
    :param host_ip: **permit_list** tuple argument:  IPv4Address;;Source IPv4 Address A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mac_type: unicode
    :param mac_type: **permit_list** tuple argument:  MAC address

        * enumeration restriction: ::

            ['host']

    :type host_mac: unicode
    :param host_mac: **permit_list** tuple argument:  MACADDRESS;;Mac address in HHHH.HHHH.HHHH format.

    :type log: YANGBool
    :param log: **permit_list** tuple argument:  Log packet

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.arp.access_list', u'access_list'), ('pybind.nos.v7_0_1b.arp.access_list', u'access_list'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list', u'access_list'), ('pybind.nos.v6_0_2c.arp.access_list', u'access_list'), ('pybind.slxos.v17r_1_00a.dai_config.arp.access_list', u'access_list')]
    bindings_list = [('pybind.nos.v6_0_2c.arp.access_list.permit.permit_list', 'pybind.nos.v6_0_2c.brocade_dai', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.arp.access_list.permit.permit_list', 'pybind.nos.v7_0_1b.brocade_dai', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.arp.access_list.permit.permit_list', 'pybind.nos.v7_1_0.brocade_dai', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list.permit.permit_list', 'pybind.slxos.v16r_1_00b.brocade_dai', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.dai_config.arp.access_list.permit.permit_list', 'pybind.slxos.v17r_1_00a.brocade_dai', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'permit_list', 'keyval': 'ip_type, host_ip, mac_type, host_mac', 'extra_keyval': 'ip_type, host_ip, mac_type, host_mac, log'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, access_list=access_list, permit_list=permit_list, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, access_list=access_list, permit_list=permit_list, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_access_list_permit_ip_log_update(self, access_list=None, permit_list=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type access_list: acl_name
    :param access_list: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **access_list** tuple argument:  <WORD:1-62>;;Name of ARP access-list

        * length restriction: ::

            ['1..62']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})'

    **Instance Keyword Argument Tuple**:

    :type permit_list: ip_type, host_ip, mac_type, host_mac
    :param permit_list: Keyword argument tuple.

    :type ip_type: unicode
    :param ip_type: **permit_list** tuple argument.

        * enumeration restriction: ::

            ['host']

    :type host_ip: unicode
    :param host_ip: **permit_list** tuple argument:  IPv4Address;;Source IPv4 Address A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mac_type: unicode
    :param mac_type: **permit_list** tuple argument:  MAC address

        * enumeration restriction: ::

            ['host']

    :type host_mac: unicode
    :param host_mac: **permit_list** tuple argument:  MACADDRESS;;Mac address in HHHH.HHHH.HHHH format.

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.arp.access_list', u'access_list'), ('pybind.nos.v7_0_1b.arp.access_list', u'access_list'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list', u'access_list'), ('pybind.nos.v6_0_2c.arp.access_list', u'access_list'), ('pybind.slxos.v17r_1_00a.dai_config.arp.access_list', u'access_list')]
    bindings_list = [('pybind.nos.v6_0_2c.arp.access_list.permit.permit_list', 'pybind.nos.v6_0_2c.brocade_dai', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.arp.access_list.permit.permit_list', 'pybind.nos.v7_0_1b.brocade_dai', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.arp.access_list.permit.permit_list', 'pybind.nos.v7_1_0.brocade_dai', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list.permit.permit_list', 'pybind.slxos.v16r_1_00b.brocade_dai', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.dai_config.arp.access_list.permit.permit_list', 'pybind.slxos.v17r_1_00a.brocade_dai', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'permit_list', 'keyval': 'ip_type, host_ip, mac_type, host_mac', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, access_list=access_list, permit_list=permit_list, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, access_list=access_list, permit_list=permit_list, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_ethernet_update(self, arp_entry=None, Ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type Ethernet: unicode
    :param Ethernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_arp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.arp_entry', 'pybind.slxos.v17r_1_00a.brocade_arp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arp_entry=arp_entry, Ethernet=Ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arp_entry=arp_entry, Ethernet=Ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_fortygigabitethernet_update(self, arp_entry=None, FortyGigabitEthernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2c.brocade_arp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1b.brocade_arp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arp_entry=arp_entry, FortyGigabitEthernet=FortyGigabitEthernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arp_entry=arp_entry, FortyGigabitEthernet=FortyGigabitEthernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_gigabitethernet_update(self, arp_entry=None, GigabitEthernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type GigabitEthernet: unicode
    :param GigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2c.brocade_arp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1b.brocade_arp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arp_entry=arp_entry, GigabitEthernet=GigabitEthernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arp_entry=arp_entry, GigabitEthernet=GigabitEthernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_hundredgigabitethernet_update(self, arp_entry=None, HundredGigabitEthernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2c.brocade_arp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1b.brocade_arp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arp_entry=arp_entry, HundredGigabitEthernet=HundredGigabitEthernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arp_entry=arp_entry, HundredGigabitEthernet=HundredGigabitEthernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_interfacename_update(self, arp_entry=None, interfacename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interfacename: unicode
    :param interfacename: Keyword argument.

        * enumeration restriction: ::

            ['interface']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2c.brocade_arp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1b.brocade_arp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_arp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.arp_entry', 'pybind.slxos.v17r_1_00a.brocade_arp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arp_entry=arp_entry, interfacename=interfacename)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arp_entry=arp_entry, interfacename=interfacename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_mac_address_value_update(self, arp_entry=None, mac_address_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mac_address_value: unicode
    :param mac_address_value: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2c.brocade_arp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1b.brocade_arp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_arp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.arp_entry', 'pybind.slxos.v17r_1_00a.brocade_arp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arp_entry=arp_entry, mac_address_value=mac_address_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arp_entry=arp_entry, mac_address_value=mac_address_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_port_channel_update(self, arp_entry=None, Port_channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type Port_channel: long
    :param Port_channel: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1b.brocade_arp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arp_entry=arp_entry, Port_channel=Port_channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arp_entry=arp_entry, Port_channel=Port_channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_tengigabitethernet_update(self, arp_entry=None, TenGigabitEthernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2c.brocade_arp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1b.brocade_arp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arp_entry=arp_entry, TenGigabitEthernet=TenGigabitEthernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arp_entry=arp_entry, TenGigabitEthernet=TenGigabitEthernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_ve_update(self, arp_entry=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type Ve: long
    :param Ve: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2c.brocade_arp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1b.brocade_arp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_arp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.arp_entry', 'pybind.slxos.v17r_1_00a.brocade_arp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arp_entry=arp_entry, Ve=Ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arp_entry=arp_entry, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def banner_update(self, login=None, motd=None, incoming=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type login: unicode
    :param login: Banner text displayed after user logs into the switch

        * length restriction: ::

            ['0..2048']

    :type motd: unicode
    :param motd: Banner text displayed before user logs into the switch

        * length restriction: ::

            ['0..2048']

    :type incoming: unicode
    :param incoming: Set incoming terminal line banner

        * length restriction: ::

            ['0..2048']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.banner', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.banner', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.banner', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.banner', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.banner', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, login=login, motd=motd, incoming=incoming)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, login=login, motd=motd, incoming=incoming)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def banner_incoming_update(self, incoming=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type incoming: unicode
    :param incoming: Set incoming terminal line banner

        * length restriction: ::

            ['0..2048']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.banner', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.banner', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.banner', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.banner', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.banner', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, incoming=incoming)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, incoming=incoming)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def banner_login_update(self, login=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type login: unicode
    :param login: Banner text displayed after user logs into the switch

        * length restriction: ::

            ['0..2048']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.banner', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.banner', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.banner', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.banner', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.banner', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, login=login)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, login=login)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def banner_motd_update(self, motd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type motd: unicode
    :param motd: Banner text displayed before user logs into the switch

        * length restriction: ::

            ['0..2048']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.banner', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.banner', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.banner', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.banner', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.banner', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, motd=motd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, motd=motd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_mac_br_state_update(self, total_mac_count=None, static_mac_count=None, dyn_mac_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_mac_count: long
    :param total_mac_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type static_mac_count: long
    :param static_mac_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dyn_mac_count: long
    :param dyn_mac_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_mac_br_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_mac_br_state', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_mac_count=total_mac_count, static_mac_count=static_mac_count, dyn_mac_count=dyn_mac_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_mac_count=total_mac_count, static_mac_count=static_mac_count, dyn_mac_count=dyn_mac_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_mac_br_state_dyn_mac_count_update(self, dyn_mac_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dyn_mac_count: long
    :param dyn_mac_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_mac_br_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_mac_br_state', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dyn_mac_count=dyn_mac_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dyn_mac_count=dyn_mac_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_mac_br_state_static_mac_count_update(self, static_mac_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_mac_count: long
    :param static_mac_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_mac_br_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_mac_br_state', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_mac_count=static_mac_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_mac_count=static_mac_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_mac_br_state_total_mac_count_update(self, total_mac_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_mac_count: long
    :param total_mac_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_mac_br_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_mac_br_state', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_mac_count=total_mac_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_mac_count=total_mac_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_counter_update(self, bd_vc_peer_state=None, no_of_peer_configured=None, no_of_peer_operational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_of_peer_configured: long
    :param no_of_peer_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_of_peer_operational: long
    :param no_of_peer_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_counter', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_counter', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, no_of_peer_configured=no_of_peer_configured, no_of_peer_operational=no_of_peer_operational)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, no_of_peer_configured=no_of_peer_configured, no_of_peer_operational=no_of_peer_operational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_counter_no_of_peer_configured_update(self, bd_vc_peer_state=None, no_of_peer_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_of_peer_configured: long
    :param no_of_peer_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_counter', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_counter', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, no_of_peer_configured=no_of_peer_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, no_of_peer_configured=no_of_peer_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_counter_no_of_peer_operational_update(self, bd_vc_peer_state=None, no_of_peer_operational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_of_peer_operational: long
    :param no_of_peer_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_counter', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_counter', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, no_of_peer_operational=no_of_peer_operational)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, no_of_peer_operational=no_of_peer_operational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_peer_state=None, vc_peer_uptime=None, vc_peer_load_balance=None, vc_peer_cos_enabled=None, vc_peer_cos_value=None, vc_ldp_tnnl_in_use=None, vc_local_label=None, vc_remote_label=None, vc_local_mtu=None, vc_remote_mtu=None, vc_local_type=None, vc_remote_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_peer_state: unicode
    :param vc_peer_state: Keyword argument.

    :type vc_peer_uptime: unicode
    :param vc_peer_uptime: Keyword argument.

    :type vc_peer_load_balance: YANGBool
    :param vc_peer_load_balance: Keyword argument.

    :type vc_peer_cos_enabled: YANGBool
    :param vc_peer_cos_enabled: Keyword argument.

    :type vc_peer_cos_value: int
    :param vc_peer_cos_value: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_ldp_tnnl_in_use: unicode
    :param vc_ldp_tnnl_in_use: Keyword argument.

    :type vc_local_label: long
    :param vc_local_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_label: long
    :param vc_remote_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_local_mtu: long
    :param vc_local_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_mtu: long
    :param vc_remote_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_local_type: long
    :param vc_local_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_type: long
    :param vc_remote_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data": {"vc_peer_cos_value": "vc_peer_cos_value", "vc_local_type": "vc_local_type", "vc_peer_load_balance": "vc_peer_load_balance", "vc_remote_type": "vc_remote_type", "vc_peer_uptime": "vc_peer_uptime", "vc_peer_address": "vc_peer_address", "vc_peer_state": "vc_peer_state", "vc_local_mtu": "vc_local_mtu", "vc_local_label": "vc_local_label", "vc_peer_cos_enabled": "vc_peer_cos_enabled", "vc_remote_mtu": "vc_remote_mtu", "vc_ldp_tnnl_in_use": "vc_ldp_tnnl_in_use", "vc_remote_label": "vc_remote_label"}, "pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_state=vc_peer_state, vc_peer_uptime=vc_peer_uptime, vc_peer_load_balance=vc_peer_load_balance, vc_peer_cos_enabled=vc_peer_cos_enabled, vc_peer_cos_value=vc_peer_cos_value, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use, vc_local_label=vc_local_label, vc_remote_label=vc_remote_label, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_local_type=vc_local_type, vc_remote_type=vc_remote_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_state=vc_peer_state, vc_peer_uptime=vc_peer_uptime, vc_peer_load_balance=vc_peer_load_balance, vc_peer_cos_enabled=vc_peer_cos_enabled, vc_peer_cos_value=vc_peer_cos_value, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use, vc_local_label=vc_local_label, vc_remote_label=vc_remote_label, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_local_type=vc_local_type, vc_remote_type=vc_remote_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_ldp_tnnl_in_use_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_ldp_tnnl_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_ldp_tnnl_in_use: unicode
    :param vc_ldp_tnnl_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_local_label_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_local_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_local_label: long
    :param vc_local_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_local_label=vc_local_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_local_label=vc_local_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_local_mtu_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_local_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_local_mtu: long
    :param vc_local_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_local_mtu=vc_local_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_local_mtu=vc_local_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_local_pw_status_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_local_pw_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_local_pw_status: unicode
    :param vc_local_pw_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_local_pw_status=vc_local_pw_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_local_pw_status=vc_local_pw_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_local_type_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_local_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_local_type: long
    :param vc_local_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_local_type=vc_local_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_local_type=vc_local_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_peer_cos_enabled_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_peer_cos_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_peer_cos_enabled: YANGBool
    :param vc_peer_cos_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_cos_enabled=vc_peer_cos_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_cos_enabled=vc_peer_cos_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_peer_cos_value_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_peer_cos_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_peer_cos_value: int
    :param vc_peer_cos_value: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_cos_value=vc_peer_cos_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_cos_value=vc_peer_cos_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_peer_load_balance_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_peer_load_balance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_peer_load_balance: YANGBool
    :param vc_peer_load_balance: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_load_balance=vc_peer_load_balance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_load_balance=vc_peer_load_balance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_peer_state_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_peer_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_peer_state: unicode
    :param vc_peer_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_state=vc_peer_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_state=vc_peer_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_peer_uptime_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_peer_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_peer_uptime: unicode
    :param vc_peer_uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_uptime=vc_peer_uptime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_uptime=vc_peer_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_proto_tnnl_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_proto_tnnl=None, vc_ldp_tunnel_id=None, vc_ldp_name=None, vc_lsp_name=None, vc_peer_lsp_cos_enabled=None, vc_peer_lsp_cos_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_ldp_tunnel_id: long
    :param vc_ldp_tunnel_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_ldp_name: unicode
    :param vc_ldp_name: Keyword argument.

    :type vc_lsp_name: unicode
    :param vc_lsp_name: Keyword argument.

    :type vc_peer_lsp_cos_enabled: YANGBool
    :param vc_peer_lsp_cos_enabled: Keyword argument.

    :type vc_peer_lsp_cos_value: int
    :param vc_peer_lsp_cos_value: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id, vc_ldp_name=vc_ldp_name, vc_lsp_name=vc_lsp_name, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id, vc_ldp_name=vc_ldp_name, vc_lsp_name=vc_lsp_name, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_proto_tnnl_vc_ldp_name_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_proto_tnnl=None, vc_ldp_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_ldp_name: unicode
    :param vc_ldp_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_name=vc_ldp_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_name=vc_ldp_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_proto_tnnl_vc_ldp_tunnel_id_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_proto_tnnl=None, vc_ldp_tunnel_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_ldp_tunnel_id: long
    :param vc_ldp_tunnel_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_proto_tnnl_vc_lsp_name_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_proto_tnnl=None, vc_lsp_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_lsp_name: unicode
    :param vc_lsp_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_lsp_name=vc_lsp_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_lsp_name=vc_lsp_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_proto_tnnl_vc_peer_lsp_cos_enabled_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_proto_tnnl=None, vc_peer_lsp_cos_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_peer_lsp_cos_enabled: YANGBool
    :param vc_peer_lsp_cos_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_proto_tnnl_vc_peer_lsp_cos_value_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_proto_tnnl=None, vc_peer_lsp_cos_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_peer_lsp_cos_value: int
    :param vc_peer_lsp_cos_value: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_remote_label_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_remote_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_remote_label: long
    :param vc_remote_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_remote_label=vc_remote_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_remote_label=vc_remote_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_remote_mtu_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_remote_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_remote_mtu: long
    :param vc_remote_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_remote_mtu=vc_remote_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_remote_mtu=vc_remote_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_remote_pw_status_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_remote_pw_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_remote_pw_status: unicode
    :param vc_remote_pw_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_remote_pw_status=vc_remote_pw_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_remote_pw_status=vc_remote_pw_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_remote_type_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_remote_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_remote_type: long
    :param vc_remote_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_remote_type=vc_remote_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_remote_type=vc_remote_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bp_rate_limit_heavy_module_update(self, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: slot/module range

        * pattern restriction: ::

            '(([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type remove_: unicode
    :param remove_: slot/module range

        * pattern restriction: ::

            '(([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bp_rate_limit.heavy.module', 'pybind.slxos.v16r_1_00b.brocade_bprate_limit', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bp_rate_limit.heavy.module', 'pybind.slxos.v17r_1_00a.brocade_bprate_limit', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, add_=add_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bp_rate_limit_heavy_module_add_update(self, add_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: slot/module range

        * pattern restriction: ::

            '(([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bp_rate_limit.heavy.module', 'pybind.slxos.v16r_1_00b.brocade_bprate_limit', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bp_rate_limit.heavy.module', 'pybind.slxos.v17r_1_00a.brocade_bprate_limit', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, add_=add_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, add_=add_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bp_rate_limit_heavy_module_remove_update(self, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type remove_: unicode
    :param remove_: slot/module range

        * pattern restriction: ::

            '(([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bp_rate_limit.heavy.module', 'pybind.slxos.v16r_1_00b.brocade_bprate_limit', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bp_rate_limit.heavy.module', 'pybind.slxos.v17r_1_00a.brocade_bprate_limit', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_update(self, bridge_domain=None, vc_id_num=None, statistics=None, pw_profile_name=None, bpdu_drop_enable=None, local_switching=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Argument(s)**:

    :type vc_id_num: long
    :param vc_id_num: VC Id under the VPLS Instance

        * range restriction: ::

            ['0..4294967295']

    :type statistics: YANGBool
    :param statistics: Configure Statistics

    :type pw_profile_name: unicode
    :param pw_profile_name: Pw-profile name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type bpdu_drop_enable: YANGBool
    :param bpdu_drop_enable: Drop BPDU packets

    :type local_switching: YANGBool
    :param local_switching: Configure local switching

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_bridge_domain', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bridge_domain', 'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain=bridge_domain, vc_id_num=vc_id_num, statistics=statistics, pw_profile_name=pw_profile_name, bpdu_drop_enable=bpdu_drop_enable, local_switching=local_switching)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, vc_id_num=vc_id_num, statistics=statistics, pw_profile_name=pw_profile_name, bpdu_drop_enable=bpdu_drop_enable, local_switching=local_switching)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_bpdu_drop_enable_update(self, bridge_domain=None, bpdu_drop_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Argument(s)**:

    :type bpdu_drop_enable: YANGBool
    :param bpdu_drop_enable: Drop BPDU packets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_bridge_domain', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bridge_domain', 'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain=bridge_domain, bpdu_drop_enable=bpdu_drop_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, bpdu_drop_enable=bpdu_drop_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_local_switching_update(self, bridge_domain=None, local_switching=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Argument(s)**:

    :type local_switching: YANGBool
    :param local_switching: Configure local switching

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_bridge_domain', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bridge_domain', 'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain=bridge_domain, local_switching=local_switching)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, local_switching=local_switching)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_mac_address_update(self, bridge_domain=None, withdrawal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Argument(s)**:

    :type withdrawal: YANGBool
    :param withdrawal: MAC address withdrawal

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain', 'bridge_domain')]
    bindings_list = [('pybind.slxos.v17r_1_00a.bridge_domain.mac_address', 'pybind.slxos.v17r_1_00a.brocade_bridge_domain', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain=bridge_domain, withdrawal=withdrawal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, withdrawal=withdrawal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_mac_address_withdrawal_update(self, bridge_domain=None, withdrawal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Argument(s)**:

    :type withdrawal: YANGBool
    :param withdrawal: MAC address withdrawal

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain', 'bridge_domain')]
    bindings_list = [('pybind.slxos.v17r_1_00a.bridge_domain.mac_address', 'pybind.slxos.v17r_1_00a.brocade_bridge_domain', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain=bridge_domain, withdrawal=withdrawal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, withdrawal=withdrawal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_mac_state_update(self, bridge_domain_mac_state=None, no_of_mac=None, no_of_static_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_mac_state: bd_id
    :param bridge_domain_mac_state: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_mac_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_of_mac: long
    :param no_of_mac: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_of_static_mac: long
    :param no_of_static_mac: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_mac_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_mac_state', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bridge_domain_mac_state', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_mac_state=bridge_domain_mac_state, no_of_mac=no_of_mac, no_of_static_mac=no_of_static_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_mac_state=bridge_domain_mac_state, no_of_mac=no_of_mac, no_of_static_mac=no_of_static_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_mac_state_no_of_mac_update(self, bridge_domain_mac_state=None, no_of_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_mac_state: bd_id
    :param bridge_domain_mac_state: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_mac_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_of_mac: long
    :param no_of_mac: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_mac_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_mac_state', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bridge_domain_mac_state', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_mac_state=bridge_domain_mac_state, no_of_mac=no_of_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_mac_state=bridge_domain_mac_state, no_of_mac=no_of_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_mac_state_no_of_static_mac_update(self, bridge_domain_mac_state=None, no_of_static_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_mac_state: bd_id
    :param bridge_domain_mac_state: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_mac_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_of_static_mac: long
    :param no_of_static_mac: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_mac_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_mac_state', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bridge_domain_mac_state', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_mac_state=bridge_domain_mac_state, no_of_static_mac=no_of_static_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_mac_state=bridge_domain_mac_state, no_of_static_mac=no_of_static_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_peer_update(self, bridge_domain=None, peer=None, load_balance=None, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Keyword Argument Tuple**:

    :type peer: peer_ip, load_balance, cos
    :param peer: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **peer** tuple argument:  PW Peer Ip for remote peer

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type load_balance: YANGBool
    :param load_balance: **peer** tuple argument:  load balance

    :type cos: long
    :param cos: **peer** tuple argument:  cos value

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type load_balance: YANGBool
    :param load_balance: load balance

    :type cos: long
    :param cos: cos value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain'), ('pybind.slxos.v17r_1_00a.bridge_domain', 'bridge_domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.peer', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain.peer', 'pybind.slxos.v17r_1_00a.brocade_bridge_domain', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}, {'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'peer', 'keyval': 'peer_ip', 'extra_keyval': 'peer_ip, load_balance, cos'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain=bridge_domain, peer=peer, load_balance=load_balance, cos=cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, peer=peer, load_balance=load_balance, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_peer_cos_update(self, bridge_domain=None, peer=None, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Keyword Argument Tuple**:

    :type peer: peer_ip
    :param peer: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **peer** tuple argument:  PW Peer Ip for remote peer

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type cos: long
    :param cos: cos value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain'), ('pybind.slxos.v17r_1_00a.bridge_domain', 'bridge_domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.peer', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain.peer', 'pybind.slxos.v17r_1_00a.brocade_bridge_domain', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}, {'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'peer', 'keyval': 'peer_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain=bridge_domain, peer=peer, cos=cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, peer=peer, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_peer_load_balance_update(self, bridge_domain=None, peer=None, load_balance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Keyword Argument Tuple**:

    :type peer: peer_ip
    :param peer: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **peer** tuple argument:  PW Peer Ip for remote peer

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type load_balance: YANGBool
    :param load_balance: load balance

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain'), ('pybind.slxos.v17r_1_00a.bridge_domain', 'bridge_domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.peer', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain.peer', 'pybind.slxos.v17r_1_00a.brocade_bridge_domain', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}, {'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'peer', 'keyval': 'peer_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain=bridge_domain, peer=peer, load_balance=load_balance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, peer=peer, load_balance=load_balance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_pw_profile_update(self, bridge_domain=None, pw_profile_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Argument(s)**:

    :type pw_profile_name: unicode
    :param pw_profile_name: Pw-profile name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_bridge_domain', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bridge_domain', 'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain=bridge_domain, pw_profile_name=pw_profile_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, pw_profile_name=pw_profile_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_counter_update(self, no_of_bd=None, no_of_vpls_bd=None, no_of_dynamic_mac=None, no_of_static_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type no_of_bd: long
    :param no_of_bd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_of_vpls_bd: long
    :param no_of_vpls_bd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_of_dynamic_mac: long
    :param no_of_dynamic_mac: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_of_static_mac: long
    :param no_of_static_mac: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, no_of_bd=no_of_bd, no_of_vpls_bd=no_of_vpls_bd, no_of_dynamic_mac=no_of_dynamic_mac, no_of_static_mac=no_of_static_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, no_of_bd=no_of_bd, no_of_vpls_bd=no_of_vpls_bd, no_of_dynamic_mac=no_of_dynamic_mac, no_of_static_mac=no_of_static_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_counter_no_of_bd_update(self, no_of_bd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type no_of_bd: long
    :param no_of_bd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, no_of_bd=no_of_bd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, no_of_bd=no_of_bd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_counter_no_of_dynamic_mac_update(self, no_of_dynamic_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type no_of_dynamic_mac: long
    :param no_of_dynamic_mac: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, no_of_dynamic_mac=no_of_dynamic_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, no_of_dynamic_mac=no_of_dynamic_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_counter_no_of_static_mac_update(self, no_of_static_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type no_of_static_mac: long
    :param no_of_static_mac: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, no_of_static_mac=no_of_static_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, no_of_static_mac=no_of_static_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_counter_no_of_vpls_bd_update(self, no_of_vpls_bd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type no_of_vpls_bd: long
    :param no_of_vpls_bd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, no_of_vpls_bd=no_of_vpls_bd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, no_of_vpls_bd=no_of_vpls_bd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_update(self, bridge_domain_list=None, vc_id=None, active_ac_lif_count=None, config_ac_lif_count=None, active_vfi_lif_count=None, config_vfi_lif_count=None, local_switching=None, block_bpdu=None, bd_type=None, ve_ifindex=None, pw_profile=None, mac_limit=None, statistics=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_id: long
    :param vc_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type active_ac_lif_count: int
    :param active_ac_lif_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type config_ac_lif_count: int
    :param config_ac_lif_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type active_vfi_lif_count: int
    :param active_vfi_lif_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type config_vfi_lif_count: int
    :param config_vfi_lif_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type local_switching: YANGBool
    :param local_switching: Keyword argument.

    :type block_bpdu: YANGBool
    :param block_bpdu: Keyword argument.

    :type bd_type: int
    :param bd_type: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type ve_ifindex: long
    :param ve_ifindex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pw_profile: unicode
    :param pw_profile: Keyword argument.

    :type mac_limit: int
    :param mac_limit: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type statistics: YANGBool
    :param statistics: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list": {}, "pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list": {"pw_profile": "pw_profile", "mac_limit": "mac_limit", "bd_type": "bd_type", "bd_id": "bd_id", "config_ac_lif_count": "config_ac_lif_count", "block_bpdu": "block_bpdu", "active_ac_lif_count": "active_ac_lif_count", "statistics": "statistics", "vc_id": "vc_id", "config_vfi_lif_count": "config_vfi_lif_count", "ve_ifindex": "ve_ifindex", "active_vfi_lif_count": "active_vfi_lif_count", "local_switching": "local_switching"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, vc_id=vc_id, active_ac_lif_count=active_ac_lif_count, config_ac_lif_count=config_ac_lif_count, active_vfi_lif_count=active_vfi_lif_count, config_vfi_lif_count=config_vfi_lif_count, local_switching=local_switching, block_bpdu=block_bpdu, bd_type=bd_type, ve_ifindex=ve_ifindex, pw_profile=pw_profile, mac_limit=mac_limit, statistics=statistics)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, vc_id=vc_id, active_ac_lif_count=active_ac_lif_count, config_ac_lif_count=config_ac_lif_count, active_vfi_lif_count=active_vfi_lif_count, config_vfi_lif_count=config_vfi_lif_count, local_switching=local_switching, block_bpdu=block_bpdu, bd_type=bd_type, ve_ifindex=ve_ifindex, pw_profile=pw_profile, mac_limit=mac_limit, statistics=statistics)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_active_ac_lif_count_update(self, bridge_domain_list=None, active_ac_lif_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active_ac_lif_count: int
    :param active_ac_lif_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, active_ac_lif_count=active_ac_lif_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, active_ac_lif_count=active_ac_lif_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_active_vfi_lif_count_update(self, bridge_domain_list=None, active_vfi_lif_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active_vfi_lif_count: int
    :param active_vfi_lif_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, active_vfi_lif_count=active_vfi_lif_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, active_vfi_lif_count=active_vfi_lif_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_bd_type_update(self, bridge_domain_list=None, bd_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bd_type: int
    :param bd_type: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, bd_type=bd_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, bd_type=bd_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_block_bpdu_update(self, bridge_domain_list=None, block_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type block_bpdu: YANGBool
    :param block_bpdu: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, block_bpdu=block_bpdu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, block_bpdu=block_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_config_ac_lif_count_update(self, bridge_domain_list=None, config_ac_lif_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_ac_lif_count: int
    :param config_ac_lif_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, config_ac_lif_count=config_ac_lif_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, config_ac_lif_count=config_ac_lif_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_config_vfi_lif_count_update(self, bridge_domain_list=None, config_vfi_lif_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_vfi_lif_count: int
    :param config_vfi_lif_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, config_vfi_lif_count=config_vfi_lif_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, config_vfi_lif_count=config_vfi_lif_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_local_switching_update(self, bridge_domain_list=None, local_switching=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type local_switching: YANGBool
    :param local_switching: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, local_switching=local_switching)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, local_switching=local_switching)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_mac_addr_withdrawal_update(self, bridge_domain_list=None, mac_addr_withdrawal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac_addr_withdrawal: YANGBool
    :param mac_addr_withdrawal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, mac_addr_withdrawal=mac_addr_withdrawal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, mac_addr_withdrawal=mac_addr_withdrawal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_mac_limit_update(self, bridge_domain_list=None, mac_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac_limit: int
    :param mac_limit: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, mac_limit=mac_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, mac_limit=mac_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_mct_enabled_update(self, bridge_domain_list=None, mct_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mct_enabled: YANGBool
    :param mct_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, mct_enabled=mct_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, mct_enabled=mct_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_update(self, bridge_domain_list=None, outer_vlan_list=None, no_of_up_tagged_ports=None, no_of_up_untagged_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_of_up_tagged_ports: long
    :param no_of_up_tagged_ports: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_of_up_untagged_ports: long
    :param no_of_up_untagged_ports: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'outer_vlan_list', 'keyval': 'outer_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, no_of_up_tagged_ports=no_of_up_tagged_ports, no_of_up_untagged_ports=no_of_up_untagged_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, no_of_up_tagged_ports=no_of_up_tagged_ports, no_of_up_untagged_ports=no_of_up_untagged_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_no_of_up_tagged_ports_update(self, bridge_domain_list=None, outer_vlan_list=None, no_of_up_tagged_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_of_up_tagged_ports: long
    :param no_of_up_tagged_ports: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'outer_vlan_list', 'keyval': 'outer_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, no_of_up_tagged_ports=no_of_up_tagged_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, no_of_up_tagged_ports=no_of_up_tagged_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_no_of_up_untagged_ports_update(self, bridge_domain_list=None, outer_vlan_list=None, no_of_up_untagged_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_of_up_untagged_ports: long
    :param no_of_up_untagged_ports: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'outer_vlan_list', 'keyval': 'outer_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, no_of_up_untagged_ports=no_of_up_untagged_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, no_of_up_untagged_ports=no_of_up_untagged_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_update(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, lif_ifindex=None, outer_vlan=None, inner_vlan=None, flags=None, ivid=None, encap_id=None, ingress_stats_id=None, egress_stats_id=None, op_state=None, service_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type tagged_ports_list: lif_name
    :param tagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **tagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type lif_ifindex: long
    :param lif_ifindex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan: long
    :param outer_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type inner_vlan: long
    :param inner_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flags: long
    :param flags: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ivid: long
    :param ivid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type encap_id: long
    :param encap_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ingress_stats_id: long
    :param ingress_stats_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type egress_stats_id: long
    :param egress_stats_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type op_state: YANGBool
    :param op_state: Keyword argument.

    :type service_instance: long
    :param service_instance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, lif_ifindex=lif_ifindex, outer_vlan=outer_vlan, inner_vlan=inner_vlan, flags=flags, ivid=ivid, encap_id=encap_id, ingress_stats_id=ingress_stats_id, egress_stats_id=egress_stats_id, op_state=op_state, service_instance=service_instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, lif_ifindex=lif_ifindex, outer_vlan=outer_vlan, inner_vlan=inner_vlan, flags=flags, ivid=ivid, encap_id=encap_id, ingress_stats_id=ingress_stats_id, egress_stats_id=egress_stats_id, op_state=op_state, service_instance=service_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_egress_stats_id_update(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, egress_stats_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type tagged_ports_list: lif_name
    :param tagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **tagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type egress_stats_id: long
    :param egress_stats_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, egress_stats_id=egress_stats_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, egress_stats_id=egress_stats_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_encap_id_update(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, encap_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type tagged_ports_list: lif_name
    :param tagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **tagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type encap_id: long
    :param encap_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, encap_id=encap_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, encap_id=encap_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_flags_update(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, flags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type tagged_ports_list: lif_name
    :param tagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **tagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type flags: long
    :param flags: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, flags=flags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, flags=flags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_ingress_stats_id_update(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, ingress_stats_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type tagged_ports_list: lif_name
    :param tagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **tagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type ingress_stats_id: long
    :param ingress_stats_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, ingress_stats_id=ingress_stats_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, ingress_stats_id=ingress_stats_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_inner_vlan_update(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, inner_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type tagged_ports_list: lif_name
    :param tagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **tagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type inner_vlan: long
    :param inner_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, inner_vlan=inner_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, inner_vlan=inner_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_ivid_update(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, ivid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type tagged_ports_list: lif_name
    :param tagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **tagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type ivid: long
    :param ivid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, ivid=ivid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, ivid=ivid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_lif_ifindex_update(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, lif_ifindex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type tagged_ports_list: lif_name
    :param tagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **tagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type lif_ifindex: long
    :param lif_ifindex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, lif_ifindex=lif_ifindex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, lif_ifindex=lif_ifindex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_op_state_update(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, op_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type tagged_ports_list: lif_name
    :param tagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **tagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type op_state: YANGBool
    :param op_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, op_state=op_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, op_state=op_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_outer_vlan_update(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, outer_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type tagged_ports_list: lif_name
    :param tagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **tagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type outer_vlan: long
    :param outer_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, outer_vlan=outer_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, outer_vlan=outer_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_service_instance_update(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, service_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type tagged_ports_list: lif_name
    :param tagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **tagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type service_instance: long
    :param service_instance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, service_instance=service_instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, service_instance=service_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_update(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, lif_ifindex=None, outer_vlan=None, flags=None, ivid=None, encap_id=None, ingress_stats_id=None, egress_stats_id=None, op_state=None, service_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type untagged_ports_list: lif_name
    :param untagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **untagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type lif_ifindex: long
    :param lif_ifindex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan: long
    :param outer_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flags: long
    :param flags: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ivid: long
    :param ivid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type encap_id: long
    :param encap_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ingress_stats_id: long
    :param ingress_stats_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type egress_stats_id: long
    :param egress_stats_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type op_state: YANGBool
    :param op_state: Keyword argument.

    :type service_instance: long
    :param service_instance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, lif_ifindex=lif_ifindex, outer_vlan=outer_vlan, flags=flags, ivid=ivid, encap_id=encap_id, ingress_stats_id=ingress_stats_id, egress_stats_id=egress_stats_id, op_state=op_state, service_instance=service_instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, lif_ifindex=lif_ifindex, outer_vlan=outer_vlan, flags=flags, ivid=ivid, encap_id=encap_id, ingress_stats_id=ingress_stats_id, egress_stats_id=egress_stats_id, op_state=op_state, service_instance=service_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_egress_stats_id_update(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, egress_stats_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type untagged_ports_list: lif_name
    :param untagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **untagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type egress_stats_id: long
    :param egress_stats_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, egress_stats_id=egress_stats_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, egress_stats_id=egress_stats_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_encap_id_update(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, encap_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type untagged_ports_list: lif_name
    :param untagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **untagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type encap_id: long
    :param encap_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, encap_id=encap_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, encap_id=encap_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_flags_update(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, flags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type untagged_ports_list: lif_name
    :param untagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **untagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type flags: long
    :param flags: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, flags=flags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, flags=flags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_ingress_stats_id_update(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, ingress_stats_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type untagged_ports_list: lif_name
    :param untagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **untagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type ingress_stats_id: long
    :param ingress_stats_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, ingress_stats_id=ingress_stats_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, ingress_stats_id=ingress_stats_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_ivid_update(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, ivid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type untagged_ports_list: lif_name
    :param untagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **untagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type ivid: long
    :param ivid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, ivid=ivid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, ivid=ivid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_lif_ifindex_update(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, lif_ifindex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type untagged_ports_list: lif_name
    :param untagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **untagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type lif_ifindex: long
    :param lif_ifindex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, lif_ifindex=lif_ifindex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, lif_ifindex=lif_ifindex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_op_state_update(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, op_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type untagged_ports_list: lif_name
    :param untagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **untagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type op_state: YANGBool
    :param op_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, op_state=op_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, op_state=op_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_outer_vlan_update(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, outer_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type untagged_ports_list: lif_name
    :param untagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **untagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type outer_vlan: long
    :param outer_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, outer_vlan=outer_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, outer_vlan=outer_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_service_instance_update(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, service_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type untagged_ports_list: lif_name
    :param untagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **untagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type service_instance: long
    :param service_instance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, service_instance=service_instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, service_instance=service_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_pw_profile_update(self, bridge_domain_list=None, pw_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pw_profile: unicode
    :param pw_profile: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, pw_profile=pw_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, pw_profile=pw_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_statistics_update(self, bridge_domain_list=None, statistics=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics: YANGBool
    :param statistics: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, statistics=statistics)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, statistics=statistics)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_vc_id_update(self, bridge_domain_list=None, vc_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_id: long
    :param vc_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, vc_id=vc_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, vc_id=vc_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_ve_ifindex_update(self, bridge_domain_list=None, ve_ifindex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ve_ifindex: long
    :param ve_ifindex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_list=bridge_domain_list, ve_ifindex=ve_ifindex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, ve_ifindex=ve_ifindex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_statistics_update(self, bridge_domain=None, statistics=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Argument(s)**:

    :type statistics: YANGBool
    :param statistics: Configure Statistics

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_bridge_domain', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bridge_domain', 'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain=bridge_domain, statistics=statistics)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, statistics=statistics)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_vc_id_update(self, bridge_domain=None, vc_id_num=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Argument(s)**:

    :type vc_id_num: long
    :param vc_id_num: VC Id under the VPLS Instance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_bridge_domain', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bridge_domain', 'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain=bridge_domain, vc_id_num=vc_id_num)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, vc_id_num=vc_id_num)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_update(self, tm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type tm: YANGBool
    :param tm: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.capabilities": {"tm": "tm"}, "pybind.slxos.v16r_1_00b.capabilities": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm=tm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm=tm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_ipv6_update(self, ipv6Raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6Raguard: YANGBool
    :param ipv6Raguard: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.ipv6', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.ipv6', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6Raguard=ipv6Raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6Raguard=ipv6Raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_ipv6_ipv6raguard_update(self, ipv6Raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6Raguard: YANGBool
    :param ipv6Raguard: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.ipv6', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.ipv6', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6Raguard=ipv6Raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6Raguard=ipv6Raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_l2_update(self, port_profile=None, overlap_vlan=None, rspan=None, mac_move=None, consistency_check=None, learning_mode=None, priority_tag=None, internal_nsm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type port_profile: YANGBool
    :param port_profile: Keyword argument.

    :type overlap_vlan: YANGBool
    :param overlap_vlan: Keyword argument.

    :type rspan: YANGBool
    :param rspan: Keyword argument.

    :type mac_move: YANGBool
    :param mac_move: Keyword argument.

    :type consistency_check: YANGBool
    :param consistency_check: Keyword argument.

    :type learning_mode: YANGBool
    :param learning_mode: Keyword argument.

    :type priority_tag: YANGBool
    :param priority_tag: Keyword argument.

    :type internal_nsm: YANGBool
    :param internal_nsm: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.l2', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.l2', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, overlap_vlan=overlap_vlan, rspan=rspan, mac_move=mac_move, consistency_check=consistency_check, learning_mode=learning_mode, priority_tag=priority_tag, internal_nsm=internal_nsm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, overlap_vlan=overlap_vlan, rspan=rspan, mac_move=mac_move, consistency_check=consistency_check, learning_mode=learning_mode, priority_tag=priority_tag, internal_nsm=internal_nsm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_l2_consistency_check_update(self, consistency_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type consistency_check: YANGBool
    :param consistency_check: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.l2', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.l2', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, consistency_check=consistency_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, consistency_check=consistency_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_l2_internal_nsm_update(self, internal_nsm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type internal_nsm: YANGBool
    :param internal_nsm: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.l2', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.l2', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, internal_nsm=internal_nsm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, internal_nsm=internal_nsm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_l2_learning_mode_update(self, learning_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type learning_mode: YANGBool
    :param learning_mode: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.l2', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.l2', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, learning_mode=learning_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, learning_mode=learning_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_l2_mac_move_update(self, mac_move=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mac_move: YANGBool
    :param mac_move: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.l2', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.l2', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_move=mac_move)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_move=mac_move)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_l2_overlap_vlan_update(self, overlap_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type overlap_vlan: YANGBool
    :param overlap_vlan: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.l2', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.l2', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlap_vlan=overlap_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlap_vlan=overlap_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_l2_port_profile_update(self, port_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type port_profile: YANGBool
    :param port_profile: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.l2', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.l2', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_l2_priority_tag_update(self, priority_tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type priority_tag: YANGBool
    :param priority_tag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.l2', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.l2', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, priority_tag=priority_tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, priority_tag=priority_tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_l2_rspan_update(self, rspan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rspan: YANGBool
    :param rspan: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.l2', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.l2', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rspan=rspan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rspan=rspan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_l3_update(self, rpf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type rpf: YANGBool
    :param rpf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.l3', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rpf=rpf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rpf=rpf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_l3_rpf_update(self, rpf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type rpf: YANGBool
    :param rpf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.l3', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rpf=rpf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rpf=rpf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_lag_update(self, PortchannelRedundancy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type PortchannelRedundancy: YANGBool
    :param PortchannelRedundancy: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.lag', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.lag', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, PortchannelRedundancy=PortchannelRedundancy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, PortchannelRedundancy=PortchannelRedundancy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_lag_portchannelredundancy_update(self, PortchannelRedundancy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type PortchannelRedundancy: YANGBool
    :param PortchannelRedundancy: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.lag', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.lag', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, PortchannelRedundancy=PortchannelRedundancy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, PortchannelRedundancy=PortchannelRedundancy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_license_update(self, eula_display=None, dpod_display=None, slot_display=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type eula_display: YANGBool
    :param eula_display: Keyword argument.

    :type dpod_display: YANGBool
    :param dpod_display: Keyword argument.

    :type slot_display: YANGBool
    :param slot_display: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.license', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, eula_display=eula_display, dpod_display=dpod_display, slot_display=slot_display)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, eula_display=eula_display, dpod_display=dpod_display, slot_display=slot_display)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_license_dpod_display_update(self, dpod_display=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type dpod_display: YANGBool
    :param dpod_display: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.license', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dpod_display=dpod_display)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dpod_display=dpod_display)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_license_eula_display_update(self, eula_display=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type eula_display: YANGBool
    :param eula_display: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.license', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, eula_display=eula_display)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, eula_display=eula_display)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_license_slot_display_update(self, slot_display=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type slot_display: YANGBool
    :param slot_display: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.license', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot_display=slot_display)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_display=slot_display)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_mqc_update(self, span=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type span: YANGBool
    :param span: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.mqc', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, span=span)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, span=span)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_mqc_span_update(self, span=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type span: YANGBool
    :param span: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.mqc', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, span=span)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, span=span)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_openflow_update(self, ingress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type ingress: YANGBool
    :param ingress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.openflow', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ingress=ingress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ingress=ingress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_openflow_ingress_update(self, ingress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type ingress: YANGBool
    :param ingress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.openflow', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ingress=ingress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ingress=ingress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_power_update(self, lc_sfm=None, psu_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type lc_sfm: YANGBool
    :param lc_sfm: Keyword argument.

    :type psu_on_off: YANGBool
    :param psu_on_off: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.power', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lc_sfm=lc_sfm, psu_on_off=psu_on_off)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lc_sfm=lc_sfm, psu_on_off=psu_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_power_lc_sfm_update(self, lc_sfm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type lc_sfm: YANGBool
    :param lc_sfm: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.power', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lc_sfm=lc_sfm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lc_sfm=lc_sfm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_power_psu_on_off_update(self, psu_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type psu_on_off: YANGBool
    :param psu_on_off: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.power', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, psu_on_off=psu_on_off)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, psu_on_off=psu_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_qos_mqc_update(self, span=None, vlan_based_actions=None, bd_based_actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type span: YANGBool
    :param span: Keyword argument.

    :type vlan_based_actions: YANGBool
    :param vlan_based_actions: Keyword argument.

    :type bd_based_actions: YANGBool
    :param bd_based_actions: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.qos.mqc', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, span=span, vlan_based_actions=vlan_based_actions, bd_based_actions=bd_based_actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, span=span, vlan_based_actions=vlan_based_actions, bd_based_actions=bd_based_actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_qos_mqc_bd_based_actions_update(self, bd_based_actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type bd_based_actions: YANGBool
    :param bd_based_actions: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.qos.mqc', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_based_actions=bd_based_actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_based_actions=bd_based_actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_qos_mqc_span_update(self, span=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type span: YANGBool
    :param span: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.qos.mqc', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, span=span)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, span=span)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_qos_mqc_vlan_based_actions_update(self, vlan_based_actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type vlan_based_actions: YANGBool
    :param vlan_based_actions: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.qos.mqc', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan_based_actions=vlan_based_actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_based_actions=vlan_based_actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_ssm_update(self, aclTrafficType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type aclTrafficType: YANGBool
    :param aclTrafficType: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.ssm', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.ssm', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aclTrafficType=aclTrafficType)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aclTrafficType=aclTrafficType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_ssm_acltraffictype_update(self, aclTrafficType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type aclTrafficType: YANGBool
    :param aclTrafficType: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.ssm', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.capabilities.ssm', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aclTrafficType=aclTrafficType)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aclTrafficType=aclTrafficType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_temperature_update(self, tmpr_detail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tmpr_detail: YANGBool
    :param tmpr_detail: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.temperature', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmpr_detail=tmpr_detail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmpr_detail=tmpr_detail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_temperature_tmpr_detail_update(self, tmpr_detail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tmpr_detail: YANGBool
    :param tmpr_detail: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities.temperature', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmpr_detail=tmpr_detail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmpr_detail=tmpr_detail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def capabilities_tm_update(self, tm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tm: YANGBool
    :param tm: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.capabilities', 'pybind.slxos.v17r_1_00a.brocade_system_capabilities', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm=tm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm=tm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_update(self, cee_map=None, precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type precedence: long
    :param precedence:  Precedence value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.cee_map', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cee_map', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, precedence=precedence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, precedence=precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_precedence_update(self, cee_map=None, precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type precedence: long
    :param precedence:  Precedence value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.cee_map', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cee_map', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, precedence=precedence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, precedence=precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_priority_group_table_update(self, cee_map=None, priority_group_table=None, weight=None, pfc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Keyword Argument Tuple**:

    :type priority_group_table: PGID, weight, pfc
    :param priority_group_table: Keyword argument tuple.

    :type PGID: unicode
    :param PGID: **priority_group_table** tuple argument:  ;; Configure Priority Group (PGID 0-7,15.0-15.7)

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type weight: long
    :param weight: **priority_group_table** tuple argument:  Configure DWRR Priority Group (PGID 0-7) weight

        * range restriction: ::

            ['-2147483648..2147483647']

    :type pfc: unicode
    :param pfc: **priority_group_table** tuple argument:   Per-priority Flow Control

        * enumeration restriction: ::

            ['on', 'off']

    **Instance Argument(s)**:

    :type weight: long
    :param weight: Configure DWRR Priority Group (PGID 0-7) weight

        * range restriction: ::

            ['-2147483648..2147483647']

    :type pfc: unicode
    :param pfc:  Per-priority Flow Control

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.priority_group_table', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.priority_group_table', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.priority_group_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_group_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.priority_group_table', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'priority_group_table', 'keyval': 'PGID', 'extra_keyval': 'PGID, weight, pfc'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, priority_group_table=priority_group_table, weight=weight, pfc=pfc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, priority_group_table=priority_group_table, weight=weight, pfc=pfc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_priority_group_table_pfc_update(self, cee_map=None, priority_group_table=None, pfc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Keyword Argument Tuple**:

    :type priority_group_table: PGID
    :param priority_group_table: Keyword argument tuple.

    :type PGID: unicode
    :param PGID: **priority_group_table** tuple argument:  ;; Configure Priority Group (PGID 0-7,15.0-15.7)

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    **Instance Argument(s)**:

    :type pfc: unicode
    :param pfc:  Per-priority Flow Control

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.priority_group_table', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.priority_group_table', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.priority_group_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_group_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.priority_group_table', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'priority_group_table', 'keyval': 'PGID', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, priority_group_table=priority_group_table, pfc=pfc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, priority_group_table=priority_group_table, pfc=pfc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_priority_group_table_weight_update(self, cee_map=None, priority_group_table=None, weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Keyword Argument Tuple**:

    :type priority_group_table: PGID
    :param priority_group_table: Keyword argument tuple.

    :type PGID: unicode
    :param PGID: **priority_group_table** tuple argument:  ;; Configure Priority Group (PGID 0-7,15.0-15.7)

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    **Instance Argument(s)**:

    :type weight: long
    :param weight: Configure DWRR Priority Group (PGID 0-7) weight

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.priority_group_table', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.priority_group_table', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.priority_group_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_group_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.priority_group_table', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'priority_group_table', 'keyval': 'PGID', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, priority_group_table=priority_group_table, weight=weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, priority_group_table=priority_group_table, weight=weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_priority_table_update(self, cee_map=None, map_cos0_pgid=None, map_cos1_pgid=None, map_cos2_pgid=None, map_cos3_pgid=None, map_cos4_pgid=None, map_cos5_pgid=None, map_cos6_pgid=None, map_cos7_pgid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type map_cos0_pgid: unicode
    :param map_cos0_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type map_cos1_pgid: unicode
    :param map_cos1_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type map_cos2_pgid: unicode
    :param map_cos2_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type map_cos3_pgid: unicode
    :param map_cos3_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type map_cos4_pgid: unicode
    :param map_cos4_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type map_cos5_pgid: unicode
    :param map_cos5_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type map_cos6_pgid: unicode
    :param map_cos6_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type map_cos7_pgid: unicode
    :param map_cos7_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.priority_table', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.priority_table', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.priority_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.priority_table', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_cos0_pgid, map_cos1_pgid, map_cos2_pgid, map_cos3_pgid, map_cos4_pgid, map_cos5_pgid, map_cos6_pgid, map_cos7_pgid'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, map_cos0_pgid=map_cos0_pgid, map_cos1_pgid=map_cos1_pgid, map_cos2_pgid=map_cos2_pgid, map_cos3_pgid=map_cos3_pgid, map_cos4_pgid=map_cos4_pgid, map_cos5_pgid=map_cos5_pgid, map_cos6_pgid=map_cos6_pgid, map_cos7_pgid=map_cos7_pgid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, map_cos0_pgid=map_cos0_pgid, map_cos1_pgid=map_cos1_pgid, map_cos2_pgid=map_cos2_pgid, map_cos3_pgid=map_cos3_pgid, map_cos4_pgid=map_cos4_pgid, map_cos5_pgid=map_cos5_pgid, map_cos6_pgid=map_cos6_pgid, map_cos7_pgid=map_cos7_pgid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_priority_table_map_cos0_pgid_update(self, cee_map=None, map_cos0_pgid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type map_cos0_pgid: unicode
    :param map_cos0_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.priority_table', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.priority_table', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.priority_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.priority_table', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, map_cos0_pgid=map_cos0_pgid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, map_cos0_pgid=map_cos0_pgid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_priority_table_map_cos1_pgid_update(self, cee_map=None, map_cos1_pgid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type map_cos1_pgid: unicode
    :param map_cos1_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.priority_table', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.priority_table', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.priority_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.priority_table', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, map_cos1_pgid=map_cos1_pgid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, map_cos1_pgid=map_cos1_pgid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_priority_table_map_cos2_pgid_update(self, cee_map=None, map_cos2_pgid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type map_cos2_pgid: unicode
    :param map_cos2_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.priority_table', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.priority_table', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.priority_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.priority_table', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, map_cos2_pgid=map_cos2_pgid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, map_cos2_pgid=map_cos2_pgid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_priority_table_map_cos3_pgid_update(self, cee_map=None, map_cos3_pgid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type map_cos3_pgid: unicode
    :param map_cos3_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.priority_table', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.priority_table', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.priority_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.priority_table', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, map_cos3_pgid=map_cos3_pgid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, map_cos3_pgid=map_cos3_pgid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_priority_table_map_cos4_pgid_update(self, cee_map=None, map_cos4_pgid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type map_cos4_pgid: unicode
    :param map_cos4_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.priority_table', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.priority_table', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.priority_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.priority_table', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, map_cos4_pgid=map_cos4_pgid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, map_cos4_pgid=map_cos4_pgid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_priority_table_map_cos5_pgid_update(self, cee_map=None, map_cos5_pgid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type map_cos5_pgid: unicode
    :param map_cos5_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.priority_table', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.priority_table', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.priority_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.priority_table', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, map_cos5_pgid=map_cos5_pgid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, map_cos5_pgid=map_cos5_pgid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_priority_table_map_cos6_pgid_update(self, cee_map=None, map_cos6_pgid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type map_cos6_pgid: unicode
    :param map_cos6_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.priority_table', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.priority_table', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.priority_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.priority_table', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, map_cos6_pgid=map_cos6_pgid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, map_cos6_pgid=map_cos6_pgid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_priority_table_map_cos7_pgid_update(self, cee_map=None, map_cos7_pgid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type map_cos7_pgid: unicode
    :param map_cos7_pgid: Keyword argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.priority_table', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.priority_table', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.priority_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.priority_table', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, map_cos7_pgid=map_cos7_pgid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, map_cos7_pgid=map_cos7_pgid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_remap_fabric_priority_update(self, cee_map=None, fabric_remapped_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type fabric_remapped_priority: long
    :param fabric_remapped_priority:  fabric-priority remapped CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.remap.fabric_priority', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.remap.fabric_priority', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.remap.fabric_priority', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.remap.fabric_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.remap.fabric_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, fabric_remapped_priority=fabric_remapped_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, fabric_remapped_priority=fabric_remapped_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_remap_fabric_priority_priority_update(self, cee_map=None, fabric_remapped_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type fabric_remapped_priority: long
    :param fabric_remapped_priority:  fabric-priority remapped CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.remap.fabric_priority', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.remap.fabric_priority', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.remap.fabric_priority', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.remap.fabric_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.remap.fabric_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, fabric_remapped_priority=fabric_remapped_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, fabric_remapped_priority=fabric_remapped_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_remap_lossless_priority_update(self, cee_map=None, lossless_remapped_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type lossless_remapped_priority: long
    :param lossless_remapped_priority:  lossless-priority remapped CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.remap.lossless_priority', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.remap.lossless_priority', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.remap.lossless_priority', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.remap.lossless_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.remap.lossless_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, lossless_remapped_priority=lossless_remapped_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, lossless_remapped_priority=lossless_remapped_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_remap_lossless_priority_priority_update(self, cee_map=None, lossless_remapped_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type lossless_remapped_priority: long
    :param lossless_remapped_priority:  lossless-priority remapped CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.slxos.v17r_1_00a.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.remap.lossless_priority', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.remap.lossless_priority', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.remap.lossless_priority', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.remap.lossless_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cee_map.remap.lossless_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cee_map=cee_map, lossless_remapped_priority=lossless_remapped_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, lossless_remapped_priority=lossless_remapped_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_update(self, domain=None, md_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Argument(s)**:

    :type md_level: int
    :param md_level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, md_level=md_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, md_level=md_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_update(self, domain=None, ma=None, ma_idx=None, ma_type=None, ccm_interval=None, vlan_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type ma_idx: int
    :param ma_idx: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type ma_type: int
    :param ma_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type ccm_interval: long
    :param ccm_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma": {}, "pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma": {"ccm_interval": "ccm_interval", "ma_name": "ma_name", "priority": "priority", "ma_type": "ma_type", "ma_idx": "ma_idx", "vlan_id": "vlan_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, ma_idx=ma_idx, ma_type=ma_type, ccm_interval=ccm_interval, vlan_id=vlan_id, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, ma_idx=ma_idx, ma_type=ma_type, ccm_interval=ccm_interval, vlan_id=vlan_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_ccm_interval_update(self, domain=None, ma=None, ccm_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type ccm_interval: long
    :param ccm_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, ccm_interval=ccm_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, ccm_interval=ccm_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_ma_idx_update(self, domain=None, ma=None, ma_idx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type ma_idx: int
    :param ma_idx: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, ma_idx=ma_idx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, ma_idx=ma_idx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_ma_type_update(self, domain=None, ma=None, ma_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type ma_type: int
    :param ma_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, ma_type=ma_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, ma_type=ma_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_maid_format_update(self, domain=None, ma=None, maid_format=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type maid_format: int
    :param maid_format: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, maid_format=maid_format)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, maid_format=maid_format)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_update(self, domain=None, ma=None, mep=None, mep_direction=None, mep_mac=None, mep_port=None, port_state=None, rmep_fail=None, rmep_ok=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_direction: unicode
    :param mep_direction: Keyword argument.

        * enumeration restriction: ::

            ['mep-status-up', 'mep-status-down']

    :type mep_mac: unicode
    :param mep_mac: Keyword argument.

    :type mep_port: unicode
    :param mep_port: Keyword argument.

    :type port_state: int
    :param port_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type rmep_fail: int
    :param rmep_fail: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type rmep_ok: int
    :param rmep_ok: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep": {}, "pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep": {"mep_port": "mep_port", "mep_mac": "mep_mac", "rmep_fail": "rmep_fail", "port_state": "port_state", "rmep_ok": "rmep_ok", "mep_id": "mep_id", "mep_direction": "mep_direction"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction, mep_mac=mep_mac, mep_port=mep_port, port_state=port_state, rmep_fail=rmep_fail, rmep_ok=rmep_ok)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction, mep_mac=mep_mac, mep_port=mep_port, port_state=port_state, rmep_fail=rmep_fail, rmep_ok=rmep_ok)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_mep_direction_update(self, domain=None, ma=None, mep=None, mep_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_direction: unicode
    :param mep_direction: Keyword argument.

        * enumeration restriction: ::

            ['mep-status-up', 'mep-status-down']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_mep_inner_vlan_update(self, domain=None, ma=None, mep=None, mep_inner_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_inner_vlan: long
    :param mep_inner_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, mep_inner_vlan=mep_inner_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_inner_vlan=mep_inner_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_mep_mac_update(self, domain=None, ma=None, mep=None, mep_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_mac: unicode
    :param mep_mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, mep_mac=mep_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_mac=mep_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_mep_port_update(self, domain=None, ma=None, mep=None, mep_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_port: unicode
    :param mep_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, mep_port=mep_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_port=mep_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_mep_vlan_update(self, domain=None, ma=None, mep=None, mep_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_vlan: long
    :param mep_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, mep_vlan=mep_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_vlan=mep_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_port_state_update(self, domain=None, ma=None, mep=None, port_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type port_state: int
    :param port_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, port_state=port_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, port_state=port_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_rmep_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_mac=None, vlan_id=None, rmep_port=None, rmep_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_mac: unicode
    :param rmep_mac: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rmep_port: unicode
    :param rmep_port: Keyword argument.

    :type rmep_state: int
    :param rmep_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', u'mep'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep.rmep": {}, "pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep.rmep": {"rmep_state": "rmep_state", "rmep_id": "rmep_id", "rmep_mac": "rmep_mac", "vlan_id": "vlan_id", "rmep_port": "rmep_port"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac, vlan_id=vlan_id, rmep_port=rmep_port, rmep_state=rmep_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac, vlan_id=vlan_id, rmep_port=rmep_port, rmep_state=rmep_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_rmep_fail_update(self, domain=None, ma=None, mep=None, rmep_fail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_fail: int
    :param rmep_fail: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep_fail=rmep_fail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep_fail=rmep_fail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_rmep_ok_update(self, domain=None, ma=None, mep=None, rmep_ok=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_ok: int
    :param rmep_ok: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep_ok=rmep_ok)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep_ok=rmep_ok)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_rmep_rmep_inner_vlan_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_inner_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_inner_vlan: long
    :param rmep_inner_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_inner_vlan=rmep_inner_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_inner_vlan=rmep_inner_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_rmep_rmep_mac_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_mac: unicode
    :param rmep_mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', u'mep'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_rmep_rmep_port_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_port: unicode
    :param rmep_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', u'mep'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_port=rmep_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_port=rmep_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_rmep_rmep_state_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_state: int
    :param rmep_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', u'mep'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_state=rmep_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_state=rmep_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_rmep_rmep_vlan_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_vlan: long
    :param rmep_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_vlan=rmep_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_vlan=rmep_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_rmep_vlan_id_update(self, domain=None, ma=None, mep=None, rmep=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mip_update(self, domain=None, ma=None, mip=None, level=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mip: vlan_id, port
    :param mip: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **mip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port: unicode
    :param port: **mip** tuple argument.

    **Instance Argument(s)**:

    :type level: int
    :param level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type mac: unicode
    :param mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mip": {"mac": "mac", "port": "port", "vlan_id": "vlan_id", "level": "level"}, "pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mip": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mip=mip, level=level, mac=mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mip=mip, level=level, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mip_inner_vlan_id_update(self, domain=None, ma=None, mip=None, inner_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mip: vlan_id
    :param mip: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **mip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type inner_vlan_id: long
    :param inner_vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mip=mip, inner_vlan_id=inner_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mip=mip, inner_vlan_id=inner_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mip_level_update(self, domain=None, ma=None, mip=None, level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mip: vlan_id, port
    :param mip: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **mip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port: unicode
    :param port: **mip** tuple argument.

    **Instance Argument(s)**:

    :type level: int
    :param level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mip": {"port": "port", "vlan_id": "vlan_id", "level": "level"}, "pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mip": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mip=mip, level=level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mip=mip, level=level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mip_mac_update(self, domain=None, ma=None, mip=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mip: vlan_id, port
    :param mip: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **mip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port: unicode
    :param port: **mip** tuple argument.

    **Instance Argument(s)**:

    :type mac: unicode
    :param mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mip": {"mac": "mac", "port": "port", "vlan_id": "vlan_id"}, "pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mip": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mip=mip, mac=mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mip=mip, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mip_port_update(self, domain=None, ma=None, mip=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mip: vlan_id
    :param mip: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **mip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type port: unicode
    :param port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mip=mip, port=port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mip=mip, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_priority_update(self, domain=None, ma=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_vlan_id_update(self, domain=None, ma=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_md_level_update(self, domain=None, md_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Argument(s)**:

    :type md_level: int
    :param md_level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_connectivity.domain', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, md_level=md_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, md_level=md_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_update(self, domain=None, md_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Argument(s)**:

    :type md_level: int
    :param md_level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, md_level=md_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, md_level=md_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_update(self, domain=None, ma=None, ma_idx=None, ma_type=None, ccm_interval=None, vlan_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type ma_idx: int
    :param ma_idx: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type ma_type: int
    :param ma_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type ccm_interval: long
    :param ccm_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma": {}, "pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma": {"ccm_interval": "ccm_interval", "ma_name": "ma_name", "priority": "priority", "ma_type": "ma_type", "ma_idx": "ma_idx", "vlan_id": "vlan_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, ma_idx=ma_idx, ma_type=ma_type, ccm_interval=ccm_interval, vlan_id=vlan_id, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, ma_idx=ma_idx, ma_type=ma_type, ccm_interval=ccm_interval, vlan_id=vlan_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_ccm_interval_update(self, domain=None, ma=None, ccm_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type ccm_interval: long
    :param ccm_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, ccm_interval=ccm_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, ccm_interval=ccm_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_ma_idx_update(self, domain=None, ma=None, ma_idx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type ma_idx: int
    :param ma_idx: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, ma_idx=ma_idx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, ma_idx=ma_idx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_ma_type_update(self, domain=None, ma=None, ma_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type ma_type: int
    :param ma_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, ma_type=ma_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, ma_type=ma_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_maid_format_update(self, domain=None, ma=None, maid_format=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type maid_format: int
    :param maid_format: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, maid_format=maid_format)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, maid_format=maid_format)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_update(self, domain=None, ma=None, mep=None, mep_direction=None, mep_mac=None, mep_port=None, port_state=None, rmep_fail=None, rmep_ok=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_direction: unicode
    :param mep_direction: Keyword argument.

        * enumeration restriction: ::

            ['mep-status-up', 'mep-status-down']

    :type mep_mac: unicode
    :param mep_mac: Keyword argument.

    :type mep_port: unicode
    :param mep_port: Keyword argument.

    :type port_state: int
    :param port_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type rmep_fail: int
    :param rmep_fail: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type rmep_ok: int
    :param rmep_ok: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep": {"mep_port": "mep_port", "mep_mac": "mep_mac", "rmep_fail": "rmep_fail", "port_state": "port_state", "rmep_ok": "rmep_ok", "mep_id": "mep_id", "mep_direction": "mep_direction"}, "pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction, mep_mac=mep_mac, mep_port=mep_port, port_state=port_state, rmep_fail=rmep_fail, rmep_ok=rmep_ok)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction, mep_mac=mep_mac, mep_port=mep_port, port_state=port_state, rmep_fail=rmep_fail, rmep_ok=rmep_ok)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_mep_direction_update(self, domain=None, ma=None, mep=None, mep_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_direction: unicode
    :param mep_direction: Keyword argument.

        * enumeration restriction: ::

            ['mep-status-up', 'mep-status-down']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_mep_inner_vlan_update(self, domain=None, ma=None, mep=None, mep_inner_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_inner_vlan: long
    :param mep_inner_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, mep_inner_vlan=mep_inner_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_inner_vlan=mep_inner_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_mep_mac_update(self, domain=None, ma=None, mep=None, mep_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_mac: unicode
    :param mep_mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, mep_mac=mep_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_mac=mep_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_mep_port_update(self, domain=None, ma=None, mep=None, mep_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_port: unicode
    :param mep_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, mep_port=mep_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_port=mep_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_mep_vlan_update(self, domain=None, ma=None, mep=None, mep_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_vlan: long
    :param mep_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, mep_vlan=mep_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_vlan=mep_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_port_state_update(self, domain=None, ma=None, mep=None, port_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type port_state: int
    :param port_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, port_state=port_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, port_state=port_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_rmep_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_mac=None, vlan_id=None, rmep_port=None, rmep_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_mac: unicode
    :param rmep_mac: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rmep_port: unicode
    :param rmep_port: Keyword argument.

    :type rmep_state: int
    :param rmep_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', u'mep'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep.rmep": {}, "pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep.rmep": {"rmep_state": "rmep_state", "rmep_id": "rmep_id", "rmep_mac": "rmep_mac", "vlan_id": "vlan_id", "rmep_port": "rmep_port"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac, vlan_id=vlan_id, rmep_port=rmep_port, rmep_state=rmep_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac, vlan_id=vlan_id, rmep_port=rmep_port, rmep_state=rmep_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_rmep_fail_update(self, domain=None, ma=None, mep=None, rmep_fail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_fail: int
    :param rmep_fail: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep_fail=rmep_fail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep_fail=rmep_fail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_rmep_ok_update(self, domain=None, ma=None, mep=None, rmep_ok=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_ok: int
    :param rmep_ok: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep_ok=rmep_ok)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep_ok=rmep_ok)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_rmep_rmep_inner_vlan_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_inner_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_inner_vlan: long
    :param rmep_inner_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_inner_vlan=rmep_inner_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_inner_vlan=rmep_inner_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_rmep_rmep_mac_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_mac: unicode
    :param rmep_mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', u'mep'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_rmep_rmep_port_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_port: unicode
    :param rmep_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', u'mep'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_port=rmep_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_port=rmep_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_rmep_rmep_state_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_state: int
    :param rmep_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', u'mep'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_state=rmep_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_state=rmep_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_rmep_rmep_vlan_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_vlan: long
    :param rmep_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_vlan=rmep_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_vlan=rmep_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_rmep_vlan_id_update(self, domain=None, ma=None, mep=None, rmep=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mep=mep, rmep=rmep, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mip_update(self, domain=None, ma=None, mip=None, level=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mip: vlan_id, port
    :param mip: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **mip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port: unicode
    :param port: **mip** tuple argument.

    **Instance Argument(s)**:

    :type level: int
    :param level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type mac: unicode
    :param mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mip": {}, "pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mip": {"mac": "mac", "port": "port", "vlan_id": "vlan_id", "level": "level"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mip=mip, level=level, mac=mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mip=mip, level=level, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mip_inner_vlan_id_update(self, domain=None, ma=None, mip=None, inner_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mip: vlan_id
    :param mip: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **mip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type inner_vlan_id: long
    :param inner_vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mip=mip, inner_vlan_id=inner_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mip=mip, inner_vlan_id=inner_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mip_level_update(self, domain=None, ma=None, mip=None, level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mip: vlan_id, port
    :param mip: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **mip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port: unicode
    :param port: **mip** tuple argument.

    **Instance Argument(s)**:

    :type level: int
    :param level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mip": {}, "pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mip": {"port": "port", "vlan_id": "vlan_id", "level": "level"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mip=mip, level=level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mip=mip, level=level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mip_mac_update(self, domain=None, ma=None, mip=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mip: vlan_id, port
    :param mip: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **mip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port: unicode
    :param port: **mip** tuple argument.

    **Instance Argument(s)**:

    :type mac: unicode
    :param mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mip": {}, "pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mip": {"mac": "mac", "port": "port", "vlan_id": "vlan_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mip=mip, mac=mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mip=mip, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mip_port_update(self, domain=None, ma=None, mip=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mip: vlan_id
    :param mip: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **mip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type port: unicode
    :param port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, mip=mip, port=port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mip=mip, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_priority_update(self, domain=None, ma=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_vlan_id_update(self, domain=None, ma=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, ma=ma, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_md_level_update(self, domain=None, md_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Argument(s)**:

    :type md_level: int
    :param md_level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cfm_state.cfm_detail.domain', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain=domain, md_level=md_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, md_level=md_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_action_profile_action_profile_event_actions_update(self, action_profile=None, event=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type action_profile: action_profile_name
    :param action_profile: Keyword argument tuple.

    :type action_profile_name: unicode
    :param action_profile_name: **action_profile** tuple argument.

    **Instance Argument(s)**:

    :type event: unicode
    :param event: Keyword argument.

        * enumeration restriction: ::

            ['ccm-down',
            'max-threshold',
            'avg-threshold',
            'ccm-up']

    :type actions: long
    :param actions: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.action_profile', u'action_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.action_profile.action_profile_event_actions', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'action_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action_profile=action_profile, event=event, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action_profile=action_profile, event=event, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_action_profile_action_profile_event_actions_actions_update(self, action_profile=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type action_profile: action_profile_name
    :param action_profile: Keyword argument tuple.

    :type action_profile_name: unicode
    :param action_profile_name: **action_profile** tuple argument.

    **Instance Argument(s)**:

    :type actions: long
    :param actions: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.action_profile', u'action_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.action_profile.action_profile_event_actions', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'action_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action_profile=action_profile, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action_profile=action_profile, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_action_profile_action_profile_event_actions_event_update(self, action_profile=None, event=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type action_profile: action_profile_name
    :param action_profile: Keyword argument tuple.

    :type action_profile_name: unicode
    :param action_profile_name: **action_profile** tuple argument.

    **Instance Argument(s)**:

    :type event: unicode
    :param event: Keyword argument.

        * enumeration restriction: ::

            ['ccm-down',
            'max-threshold',
            'avg-threshold',
            'ccm-up']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.action_profile', u'action_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.action_profile.action_profile_event_actions', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'action_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action_profile=action_profile, event=event)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action_profile=action_profile, event=event)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_test_profile_update(self, test_profile=None, type=None, cos=None, tx_interval=None, meas_interval=None, fwd_avg=None, fwd_max=None, bwd_avg=None, bwd_max=None, start=None, stop=None, packets=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile_name
    :param test_profile: Keyword argument tuple.

    :type test_profile_name: unicode
    :param test_profile_name: **test_profile** tuple argument.

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['test-profile-type-dm',
            'test-profile-type-slm']

    :type cos: int
    :param cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type tx_interval: int
    :param tx_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type meas_interval: int
    :param meas_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type fwd_avg: long
    :param fwd_avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fwd_max: long
    :param fwd_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bwd_avg: long
    :param bwd_avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bwd_max: long
    :param bwd_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type start: unicode
    :param start: Keyword argument.

    :type stop: unicode
    :param stop: Keyword argument.

    :type packets: long
    :param packets: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type timeout: int
    :param timeout: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, type=type, cos=cos, tx_interval=tx_interval, meas_interval=meas_interval, fwd_avg=fwd_avg, fwd_max=fwd_max, bwd_avg=bwd_avg, bwd_max=bwd_max, start=start, stop=stop, packets=packets, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, type=type, cos=cos, tx_interval=tx_interval, meas_interval=meas_interval, fwd_avg=fwd_avg, fwd_max=fwd_max, bwd_avg=bwd_avg, bwd_max=bwd_max, start=start, stop=stop, packets=packets, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_test_profile_bwd_avg_update(self, test_profile=None, bwd_avg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile_name
    :param test_profile: Keyword argument tuple.

    :type test_profile_name: unicode
    :param test_profile_name: **test_profile** tuple argument.

    **Instance Argument(s)**:

    :type bwd_avg: long
    :param bwd_avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, bwd_avg=bwd_avg)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, bwd_avg=bwd_avg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_test_profile_bwd_max_update(self, test_profile=None, bwd_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile_name
    :param test_profile: Keyword argument tuple.

    :type test_profile_name: unicode
    :param test_profile_name: **test_profile** tuple argument.

    **Instance Argument(s)**:

    :type bwd_max: long
    :param bwd_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, bwd_max=bwd_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, bwd_max=bwd_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_test_profile_cos_update(self, test_profile=None, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile_name
    :param test_profile: Keyword argument tuple.

    :type test_profile_name: unicode
    :param test_profile_name: **test_profile** tuple argument.

    **Instance Argument(s)**:

    :type cos: int
    :param cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, cos=cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_test_profile_fwd_avg_update(self, test_profile=None, fwd_avg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile_name
    :param test_profile: Keyword argument tuple.

    :type test_profile_name: unicode
    :param test_profile_name: **test_profile** tuple argument.

    **Instance Argument(s)**:

    :type fwd_avg: long
    :param fwd_avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, fwd_avg=fwd_avg)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, fwd_avg=fwd_avg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_test_profile_fwd_max_update(self, test_profile=None, fwd_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile_name
    :param test_profile: Keyword argument tuple.

    :type test_profile_name: unicode
    :param test_profile_name: **test_profile** tuple argument.

    **Instance Argument(s)**:

    :type fwd_max: long
    :param fwd_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, fwd_max=fwd_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, fwd_max=fwd_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_test_profile_meas_interval_update(self, test_profile=None, meas_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile_name
    :param test_profile: Keyword argument tuple.

    :type test_profile_name: unicode
    :param test_profile_name: **test_profile** tuple argument.

    **Instance Argument(s)**:

    :type meas_interval: int
    :param meas_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, meas_interval=meas_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, meas_interval=meas_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_test_profile_packets_update(self, test_profile=None, packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile_name
    :param test_profile: Keyword argument tuple.

    :type test_profile_name: unicode
    :param test_profile_name: **test_profile** tuple argument.

    **Instance Argument(s)**:

    :type packets: long
    :param packets: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, packets=packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, packets=packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_test_profile_start_update(self, test_profile=None, start=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile_name
    :param test_profile: Keyword argument tuple.

    :type test_profile_name: unicode
    :param test_profile_name: **test_profile** tuple argument.

    **Instance Argument(s)**:

    :type start: unicode
    :param start: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, start=start)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, start=start)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_test_profile_stop_update(self, test_profile=None, stop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile_name
    :param test_profile: Keyword argument tuple.

    :type test_profile_name: unicode
    :param test_profile_name: **test_profile** tuple argument.

    **Instance Argument(s)**:

    :type stop: unicode
    :param stop: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, stop=stop)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, stop=stop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_test_profile_timeout_update(self, test_profile=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile_name
    :param test_profile: Keyword argument tuple.

    :type test_profile_name: unicode
    :param test_profile_name: **test_profile** tuple argument.

    **Instance Argument(s)**:

    :type timeout: int
    :param timeout: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_test_profile_tx_interval_update(self, test_profile=None, tx_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile_name
    :param test_profile: Keyword argument tuple.

    :type test_profile_name: unicode
    :param test_profile_name: **test_profile** tuple argument.

    **Instance Argument(s)**:

    :type tx_interval: int
    :param tx_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, tx_interval=tx_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, tx_interval=tx_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_y1731_test_profile_type_update(self, test_profile=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile_name
    :param test_profile: Keyword argument tuple.

    :type test_profile_name: unicode
    :param test_profile_name: **test_profile** tuple argument.

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['test-profile-type-dm',
            'test-profile-type-slm']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.cfm_y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_brief_update(self, dmm_session_brief=None, type=None, status=None, domain_name=None, ma_name=None, src_mep=None, tgt_mep=None, cos=None, start_time=None, stop_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_brief: session_index
    :param dmm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: YANGBool
    :param type: Keyword argument.

    :type status: YANGBool
    :param status: Keyword argument.

    :type domain_name: unicode
    :param domain_name: Keyword argument.

    :type ma_name: unicode
    :param ma_name: Keyword argument.

    :type src_mep: int
    :param src_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type tgt_mep: int
    :param tgt_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type cos: int
    :param cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type stop_time: unicode
    :param stop_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_brief=dmm_session_brief, type=type, status=status, domain_name=domain_name, ma_name=ma_name, src_mep=src_mep, tgt_mep=tgt_mep, cos=cos, start_time=start_time, stop_time=stop_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_brief=dmm_session_brief, type=type, status=status, domain_name=domain_name, ma_name=ma_name, src_mep=src_mep, tgt_mep=tgt_mep, cos=cos, start_time=start_time, stop_time=stop_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_brief_cos_update(self, dmm_session_brief=None, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_brief: session_index
    :param dmm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cos: int
    :param cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_brief=dmm_session_brief, cos=cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_brief=dmm_session_brief, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_brief_domain_name_update(self, dmm_session_brief=None, domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_brief: session_index
    :param dmm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type domain_name: unicode
    :param domain_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_brief=dmm_session_brief, domain_name=domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_brief=dmm_session_brief, domain_name=domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_brief_ma_name_update(self, dmm_session_brief=None, ma_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_brief: session_index
    :param dmm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ma_name: unicode
    :param ma_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_brief=dmm_session_brief, ma_name=ma_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_brief=dmm_session_brief, ma_name=ma_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_brief_src_mep_update(self, dmm_session_brief=None, src_mep=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_brief: session_index
    :param dmm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_mep: int
    :param src_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_brief=dmm_session_brief, src_mep=src_mep)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_brief=dmm_session_brief, src_mep=src_mep)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_brief_start_time_update(self, dmm_session_brief=None, start_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_brief: session_index
    :param dmm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_brief=dmm_session_brief, start_time=start_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_brief=dmm_session_brief, start_time=start_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_brief_status_update(self, dmm_session_brief=None, status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_brief: session_index
    :param dmm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type status: YANGBool
    :param status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_brief=dmm_session_brief, status=status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_brief=dmm_session_brief, status=status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_brief_stop_time_update(self, dmm_session_brief=None, stop_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_brief: session_index
    :param dmm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type stop_time: unicode
    :param stop_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_brief=dmm_session_brief, stop_time=stop_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_brief=dmm_session_brief, stop_time=stop_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_brief_tgt_mep_update(self, dmm_session_brief=None, tgt_mep=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_brief: session_index
    :param dmm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tgt_mep: int
    :param tgt_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_brief=dmm_session_brief, tgt_mep=tgt_mep)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_brief=dmm_session_brief, tgt_mep=tgt_mep)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_brief_type_update(self, dmm_session_brief=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_brief: session_index
    :param dmm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: YANGBool
    :param type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_brief=dmm_session_brief, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_brief=dmm_session_brief, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_update(self, dmm_session_detail=None, type=None, status=None, domain_name=None, ma_name=None, src_mep=None, tgt_mep=None, cos=None, start_time=None, stop_time=None, test_profile_name=None, start_type=None, stop_type=None, tx_interval=None, meas_interval=None, avg=None, max_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: YANGBool
    :param type: Keyword argument.

    :type status: YANGBool
    :param status: Keyword argument.

    :type domain_name: unicode
    :param domain_name: Keyword argument.

    :type ma_name: unicode
    :param ma_name: Keyword argument.

    :type src_mep: int
    :param src_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type tgt_mep: int
    :param tgt_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type cos: int
    :param cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type stop_time: unicode
    :param stop_time: Keyword argument.

    :type test_profile_name: unicode
    :param test_profile_name: Keyword argument.

    :type start_type: unicode
    :param start_type: Keyword argument.

        * enumeration restriction: ::

            ['fixed', 'after', 'periodic']

    :type stop_type: unicode
    :param stop_type: Keyword argument.

        * enumeration restriction: ::

            ['fixed', 'after', 'periodic']

    :type tx_interval: int
    :param tx_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type meas_interval: int
    :param meas_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type avg: long
    :param avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_: long
    :param max_: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, type=type, status=status, domain_name=domain_name, ma_name=ma_name, src_mep=src_mep, tgt_mep=tgt_mep, cos=cos, start_time=start_time, stop_time=stop_time, test_profile_name=test_profile_name, start_type=start_type, stop_type=stop_type, tx_interval=tx_interval, meas_interval=meas_interval, avg=avg, max_=max_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, type=type, status=status, domain_name=domain_name, ma_name=ma_name, src_mep=src_mep, tgt_mep=tgt_mep, cos=cos, start_time=start_time, stop_time=stop_time, test_profile_name=test_profile_name, start_type=start_type, stop_type=stop_type, tx_interval=tx_interval, meas_interval=meas_interval, avg=avg, max_=max_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_avg_update(self, dmm_session_detail=None, avg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type avg: long
    :param avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, avg=avg)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, avg=avg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_cos_update(self, dmm_session_detail=None, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cos: int
    :param cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, cos=cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_domain_name_update(self, dmm_session_detail=None, domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type domain_name: unicode
    :param domain_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, domain_name=domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, domain_name=domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_ma_name_update(self, dmm_session_detail=None, ma_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ma_name: unicode
    :param ma_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, ma_name=ma_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, ma_name=ma_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_max_update(self, dmm_session_detail=None, max_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_: long
    :param max_: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, max_=max_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, max_=max_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_meas_interval_update(self, dmm_session_detail=None, meas_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type meas_interval: int
    :param meas_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, meas_interval=meas_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, meas_interval=meas_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_src_mep_update(self, dmm_session_detail=None, src_mep=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_mep: int
    :param src_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, src_mep=src_mep)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, src_mep=src_mep)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_start_time_update(self, dmm_session_detail=None, start_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, start_time=start_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, start_time=start_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_start_type_update(self, dmm_session_detail=None, start_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_type: unicode
    :param start_type: Keyword argument.

        * enumeration restriction: ::

            ['fixed', 'after', 'periodic']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, start_type=start_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, start_type=start_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_status_update(self, dmm_session_detail=None, status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type status: YANGBool
    :param status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, status=status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, status=status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_stop_time_update(self, dmm_session_detail=None, stop_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type stop_time: unicode
    :param stop_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, stop_time=stop_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, stop_time=stop_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_stop_type_update(self, dmm_session_detail=None, stop_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type stop_type: unicode
    :param stop_type: Keyword argument.

        * enumeration restriction: ::

            ['fixed', 'after', 'periodic']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, stop_type=stop_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, stop_type=stop_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_test_profile_name_update(self, dmm_session_detail=None, test_profile_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type test_profile_name: unicode
    :param test_profile_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, test_profile_name=test_profile_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, test_profile_name=test_profile_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_tgt_mep_update(self, dmm_session_detail=None, tgt_mep=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tgt_mep: int
    :param tgt_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, tgt_mep=tgt_mep)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, tgt_mep=tgt_mep)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_tx_interval_update(self, dmm_session_detail=None, tx_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_interval: int
    :param tx_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, tx_interval=tx_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, tx_interval=tx_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_session_detail_type_update(self, dmm_session_detail=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_session_detail: session_index
    :param dmm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: YANGBool
    :param type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_session_detail=dmm_session_detail, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_session_detail=dmm_session_detail, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_brief_update(self, dmm_stats_session_brief=None, test_profile_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_brief: session_index
    :param dmm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type test_profile_name: unicode
    :param test_profile_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_brief=dmm_stats_session_brief, test_profile_name=test_profile_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_brief=dmm_stats_session_brief, test_profile_name=test_profile_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_brief_dmm_stats_session_history_brief_update(self, dmm_stats_session_brief=None, dmm_stats_session_history_brief=None, start_time=None, elapsed_time=None, avg_delay=None, max_delay=None, min_delay=None, fdv_avg=None, fdv_max=None, fdv_min=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_brief: session_index
    :param dmm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_brief: history_index
    :param dmm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type elapsed_time: unicode
    :param elapsed_time: Keyword argument.

    :type avg_delay: unicode
    :param avg_delay: Keyword argument.

    :type max_delay: unicode
    :param max_delay: Keyword argument.

    :type min_delay: unicode
    :param min_delay: Keyword argument.

    :type fdv_avg: long
    :param fdv_avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fdv_max: long
    :param fdv_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fdv_min: long
    :param fdv_min: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief', u'dmm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief.dmm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, start_time=start_time, elapsed_time=elapsed_time, avg_delay=avg_delay, max_delay=max_delay, min_delay=min_delay, fdv_avg=fdv_avg, fdv_max=fdv_max, fdv_min=fdv_min)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, start_time=start_time, elapsed_time=elapsed_time, avg_delay=avg_delay, max_delay=max_delay, min_delay=min_delay, fdv_avg=fdv_avg, fdv_max=fdv_max, fdv_min=fdv_min)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_brief_dmm_stats_session_history_brief_avg_delay_update(self, dmm_stats_session_brief=None, dmm_stats_session_history_brief=None, avg_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_brief: session_index
    :param dmm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_brief: history_index
    :param dmm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type avg_delay: unicode
    :param avg_delay: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief', u'dmm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief.dmm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, avg_delay=avg_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, avg_delay=avg_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_brief_dmm_stats_session_history_brief_elapsed_time_update(self, dmm_stats_session_brief=None, dmm_stats_session_history_brief=None, elapsed_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_brief: session_index
    :param dmm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_brief: history_index
    :param dmm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type elapsed_time: unicode
    :param elapsed_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief', u'dmm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief.dmm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, elapsed_time=elapsed_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, elapsed_time=elapsed_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_brief_dmm_stats_session_history_brief_fdv_avg_update(self, dmm_stats_session_brief=None, dmm_stats_session_history_brief=None, fdv_avg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_brief: session_index
    :param dmm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_brief: history_index
    :param dmm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fdv_avg: long
    :param fdv_avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief', u'dmm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief.dmm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, fdv_avg=fdv_avg)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, fdv_avg=fdv_avg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_brief_dmm_stats_session_history_brief_fdv_max_update(self, dmm_stats_session_brief=None, dmm_stats_session_history_brief=None, fdv_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_brief: session_index
    :param dmm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_brief: history_index
    :param dmm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fdv_max: long
    :param fdv_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief', u'dmm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief.dmm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, fdv_max=fdv_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, fdv_max=fdv_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_brief_dmm_stats_session_history_brief_fdv_min_update(self, dmm_stats_session_brief=None, dmm_stats_session_history_brief=None, fdv_min=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_brief: session_index
    :param dmm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_brief: history_index
    :param dmm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fdv_min: long
    :param fdv_min: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief', u'dmm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief.dmm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, fdv_min=fdv_min)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, fdv_min=fdv_min)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_brief_dmm_stats_session_history_brief_max_delay_update(self, dmm_stats_session_brief=None, dmm_stats_session_history_brief=None, max_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_brief: session_index
    :param dmm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_brief: history_index
    :param dmm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_delay: unicode
    :param max_delay: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief', u'dmm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief.dmm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, max_delay=max_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, max_delay=max_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_brief_dmm_stats_session_history_brief_min_delay_update(self, dmm_stats_session_brief=None, dmm_stats_session_history_brief=None, min_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_brief: session_index
    :param dmm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_brief: history_index
    :param dmm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_delay: unicode
    :param min_delay: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief', u'dmm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief.dmm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, min_delay=min_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, min_delay=min_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_brief_dmm_stats_session_history_brief_start_time_update(self, dmm_stats_session_brief=None, dmm_stats_session_history_brief=None, start_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_brief: session_index
    :param dmm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_brief: history_index
    :param dmm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief', u'dmm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief.dmm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, start_time=start_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_brief=dmm_stats_session_brief, dmm_stats_session_history_brief=dmm_stats_session_history_brief, start_time=start_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_brief_test_profile_name_update(self, dmm_stats_session_brief=None, test_profile_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_brief: session_index
    :param dmm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type test_profile_name: unicode
    :param test_profile_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_brief=dmm_stats_session_brief, test_profile_name=test_profile_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_brief=dmm_stats_session_brief, test_profile_name=test_profile_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, start_time=None, elapsed_time=None, tx_count=None, rx_count=None, avg_delay=None, max_delay=None, min_delay=None, fdv_avg=None, fdv_max=None, fdv_min=None, test_profile_name=None, intiated_meas=None, completed_meas=None, session_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type elapsed_time: unicode
    :param elapsed_time: Keyword argument.

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type avg_delay: unicode
    :param avg_delay: Keyword argument.

    :type max_delay: unicode
    :param max_delay: Keyword argument.

    :type min_delay: unicode
    :param min_delay: Keyword argument.

    :type fdv_avg: long
    :param fdv_avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fdv_max: long
    :param fdv_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fdv_min: long
    :param fdv_min: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type test_profile_name: unicode
    :param test_profile_name: Keyword argument.

    :type intiated_meas: long
    :param intiated_meas: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type completed_meas: long
    :param completed_meas: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type session_index: long
    :param session_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, start_time=start_time, elapsed_time=elapsed_time, tx_count=tx_count, rx_count=rx_count, avg_delay=avg_delay, max_delay=max_delay, min_delay=min_delay, fdv_avg=fdv_avg, fdv_max=fdv_max, fdv_min=fdv_min, test_profile_name=test_profile_name, intiated_meas=intiated_meas, completed_meas=completed_meas, session_index=session_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, start_time=start_time, elapsed_time=elapsed_time, tx_count=tx_count, rx_count=rx_count, avg_delay=avg_delay, max_delay=max_delay, min_delay=min_delay, fdv_avg=fdv_avg, fdv_max=fdv_max, fdv_min=fdv_min, test_profile_name=test_profile_name, intiated_meas=intiated_meas, completed_meas=completed_meas, session_index=session_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_avg_delay_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, avg_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type avg_delay: unicode
    :param avg_delay: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, avg_delay=avg_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, avg_delay=avg_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_completed_meas_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, completed_meas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type completed_meas: long
    :param completed_meas: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, completed_meas=completed_meas)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, completed_meas=completed_meas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_elapsed_time_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, elapsed_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type elapsed_time: unicode
    :param elapsed_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, elapsed_time=elapsed_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, elapsed_time=elapsed_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_fdv_avg_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, fdv_avg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fdv_avg: long
    :param fdv_avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, fdv_avg=fdv_avg)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, fdv_avg=fdv_avg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_fdv_max_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, fdv_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fdv_max: long
    :param fdv_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, fdv_max=fdv_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, fdv_max=fdv_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_fdv_min_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, fdv_min=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fdv_min: long
    :param fdv_min: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, fdv_min=fdv_min)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, fdv_min=fdv_min)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_intiated_meas_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, intiated_meas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intiated_meas: long
    :param intiated_meas: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, intiated_meas=intiated_meas)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, intiated_meas=intiated_meas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_max_delay_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, max_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_delay: unicode
    :param max_delay: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, max_delay=max_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, max_delay=max_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_min_delay_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, min_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_delay: unicode
    :param min_delay: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, min_delay=min_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, min_delay=min_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_rx_count_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, rx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, rx_count=rx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, rx_count=rx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_session_index_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, session_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_index: long
    :param session_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, session_index=session_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, session_index=session_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_start_time_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, start_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, start_time=start_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, start_time=start_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_test_profile_name_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, test_profile_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type test_profile_name: unicode
    :param test_profile_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, test_profile_name=test_profile_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, test_profile_name=test_profile_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_dmm_dmm_stats_session_detailed_dmm_stats_session_history_detailed_tx_count_update(self, dmm_stats_session_detailed=None, dmm_stats_session_history_detailed=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dmm_stats_session_detailed: session_index
    :param dmm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **dmm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type dmm_stats_session_history_detailed: history_index
    :param dmm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **dmm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed', u'dmm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.dmm.dmm_stats_session_detailed.dmm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dmm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, tx_count=tx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dmm_stats_session_detailed=dmm_stats_session_detailed, dmm_stats_session_history_detailed=dmm_stats_session_history_detailed, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_brief_update(self, slm_session_brief=None, type=None, status=None, domain_name=None, ma_name=None, src_mep=None, tgt_mep=None, cos=None, start_time=None, stop_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_brief: session_index
    :param slm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: YANGBool
    :param type: Keyword argument.

    :type status: YANGBool
    :param status: Keyword argument.

    :type domain_name: unicode
    :param domain_name: Keyword argument.

    :type ma_name: unicode
    :param ma_name: Keyword argument.

    :type src_mep: int
    :param src_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type tgt_mep: int
    :param tgt_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type cos: int
    :param cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type stop_time: unicode
    :param stop_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_brief=slm_session_brief, type=type, status=status, domain_name=domain_name, ma_name=ma_name, src_mep=src_mep, tgt_mep=tgt_mep, cos=cos, start_time=start_time, stop_time=stop_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_brief=slm_session_brief, type=type, status=status, domain_name=domain_name, ma_name=ma_name, src_mep=src_mep, tgt_mep=tgt_mep, cos=cos, start_time=start_time, stop_time=stop_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_brief_cos_update(self, slm_session_brief=None, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_brief: session_index
    :param slm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cos: int
    :param cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_brief=slm_session_brief, cos=cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_brief=slm_session_brief, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_brief_domain_name_update(self, slm_session_brief=None, domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_brief: session_index
    :param slm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type domain_name: unicode
    :param domain_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_brief=slm_session_brief, domain_name=domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_brief=slm_session_brief, domain_name=domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_brief_ma_name_update(self, slm_session_brief=None, ma_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_brief: session_index
    :param slm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ma_name: unicode
    :param ma_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_brief=slm_session_brief, ma_name=ma_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_brief=slm_session_brief, ma_name=ma_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_brief_src_mep_update(self, slm_session_brief=None, src_mep=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_brief: session_index
    :param slm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_mep: int
    :param src_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_brief=slm_session_brief, src_mep=src_mep)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_brief=slm_session_brief, src_mep=src_mep)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_brief_start_time_update(self, slm_session_brief=None, start_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_brief: session_index
    :param slm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_brief=slm_session_brief, start_time=start_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_brief=slm_session_brief, start_time=start_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_brief_status_update(self, slm_session_brief=None, status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_brief: session_index
    :param slm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type status: YANGBool
    :param status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_brief=slm_session_brief, status=status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_brief=slm_session_brief, status=status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_brief_stop_time_update(self, slm_session_brief=None, stop_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_brief: session_index
    :param slm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type stop_time: unicode
    :param stop_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_brief=slm_session_brief, stop_time=stop_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_brief=slm_session_brief, stop_time=stop_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_brief_tgt_mep_update(self, slm_session_brief=None, tgt_mep=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_brief: session_index
    :param slm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tgt_mep: int
    :param tgt_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_brief=slm_session_brief, tgt_mep=tgt_mep)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_brief=slm_session_brief, tgt_mep=tgt_mep)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_brief_type_update(self, slm_session_brief=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_brief: session_index
    :param slm_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: YANGBool
    :param type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_brief', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_brief=slm_session_brief, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_brief=slm_session_brief, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_update(self, slm_session_detail=None, type=None, status=None, domain_name=None, ma_name=None, src_mep=None, tgt_mep=None, cos=None, start_time=None, stop_time=None, test_profile_name=None, start_type=None, stop_type=None, tx_interval=None, meas_interval=None, fwd_avg=None, fwd_max=None, bwd_avg=None, bwd_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: YANGBool
    :param type: Keyword argument.

    :type status: YANGBool
    :param status: Keyword argument.

    :type domain_name: unicode
    :param domain_name: Keyword argument.

    :type ma_name: unicode
    :param ma_name: Keyword argument.

    :type src_mep: int
    :param src_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type tgt_mep: int
    :param tgt_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type cos: int
    :param cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type stop_time: unicode
    :param stop_time: Keyword argument.

    :type test_profile_name: unicode
    :param test_profile_name: Keyword argument.

    :type start_type: unicode
    :param start_type: Keyword argument.

        * enumeration restriction: ::

            ['fixed', 'after', 'periodic']

    :type stop_type: unicode
    :param stop_type: Keyword argument.

        * enumeration restriction: ::

            ['fixed', 'after', 'periodic']

    :type tx_interval: int
    :param tx_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type meas_interval: int
    :param meas_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type fwd_avg: long
    :param fwd_avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fwd_max: long
    :param fwd_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bwd_avg: long
    :param bwd_avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bwd_max: long
    :param bwd_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, type=type, status=status, domain_name=domain_name, ma_name=ma_name, src_mep=src_mep, tgt_mep=tgt_mep, cos=cos, start_time=start_time, stop_time=stop_time, test_profile_name=test_profile_name, start_type=start_type, stop_type=stop_type, tx_interval=tx_interval, meas_interval=meas_interval, fwd_avg=fwd_avg, fwd_max=fwd_max, bwd_avg=bwd_avg, bwd_max=bwd_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, type=type, status=status, domain_name=domain_name, ma_name=ma_name, src_mep=src_mep, tgt_mep=tgt_mep, cos=cos, start_time=start_time, stop_time=stop_time, test_profile_name=test_profile_name, start_type=start_type, stop_type=stop_type, tx_interval=tx_interval, meas_interval=meas_interval, fwd_avg=fwd_avg, fwd_max=fwd_max, bwd_avg=bwd_avg, bwd_max=bwd_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_bwd_avg_update(self, slm_session_detail=None, bwd_avg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bwd_avg: long
    :param bwd_avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, bwd_avg=bwd_avg)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, bwd_avg=bwd_avg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_bwd_max_update(self, slm_session_detail=None, bwd_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bwd_max: long
    :param bwd_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, bwd_max=bwd_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, bwd_max=bwd_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_cos_update(self, slm_session_detail=None, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cos: int
    :param cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, cos=cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_domain_name_update(self, slm_session_detail=None, domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type domain_name: unicode
    :param domain_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, domain_name=domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, domain_name=domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_fwd_avg_update(self, slm_session_detail=None, fwd_avg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fwd_avg: long
    :param fwd_avg: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, fwd_avg=fwd_avg)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, fwd_avg=fwd_avg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_fwd_max_update(self, slm_session_detail=None, fwd_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fwd_max: long
    :param fwd_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, fwd_max=fwd_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, fwd_max=fwd_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_ma_name_update(self, slm_session_detail=None, ma_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ma_name: unicode
    :param ma_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, ma_name=ma_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, ma_name=ma_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_meas_interval_update(self, slm_session_detail=None, meas_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type meas_interval: int
    :param meas_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, meas_interval=meas_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, meas_interval=meas_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_src_mep_update(self, slm_session_detail=None, src_mep=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_mep: int
    :param src_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, src_mep=src_mep)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, src_mep=src_mep)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_start_time_update(self, slm_session_detail=None, start_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, start_time=start_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, start_time=start_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_start_type_update(self, slm_session_detail=None, start_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_type: unicode
    :param start_type: Keyword argument.

        * enumeration restriction: ::

            ['fixed', 'after', 'periodic']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, start_type=start_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, start_type=start_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_status_update(self, slm_session_detail=None, status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type status: YANGBool
    :param status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, status=status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, status=status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_stop_time_update(self, slm_session_detail=None, stop_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type stop_time: unicode
    :param stop_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, stop_time=stop_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, stop_time=stop_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_stop_type_update(self, slm_session_detail=None, stop_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type stop_type: unicode
    :param stop_type: Keyword argument.

        * enumeration restriction: ::

            ['fixed', 'after', 'periodic']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, stop_type=stop_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, stop_type=stop_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_test_profile_name_update(self, slm_session_detail=None, test_profile_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type test_profile_name: unicode
    :param test_profile_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, test_profile_name=test_profile_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, test_profile_name=test_profile_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_tgt_mep_update(self, slm_session_detail=None, tgt_mep=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tgt_mep: int
    :param tgt_mep: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, tgt_mep=tgt_mep)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, tgt_mep=tgt_mep)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_tx_interval_update(self, slm_session_detail=None, tx_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_interval: int
    :param tx_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, tx_interval=tx_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, tx_interval=tx_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_session_detail_type_update(self, slm_session_detail=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slm_session_detail: session_index
    :param slm_session_detail: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_session_detail** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: YANGBool
    :param type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_session_detail', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slm_session_detail', 'keyval': 'session_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_session_detail=slm_session_detail, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_session_detail=slm_session_detail, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_brief_slm_stats_session_history_brief_update(self, slm_stats_session_brief=None, slm_stats_session_history_brief=None, suspect_status=None, start_time=None, elapsed_time=None, tx_fwd=None, rx_fwd=None, tx_bwd=None, rx_bwd=None, flr_ratio=None, blr_ratio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_brief: session_index
    :param slm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_brief: history_index
    :param slm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suspect_status: YANGBool
    :param suspect_status: Keyword argument.

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type elapsed_time: unicode
    :param elapsed_time: Keyword argument.

    :type tx_fwd: long
    :param tx_fwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rx_fwd: long
    :param rx_fwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tx_bwd: long
    :param tx_bwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rx_bwd: long
    :param rx_bwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flr_ratio: unicode
    :param flr_ratio: Keyword argument.

    :type blr_ratio: unicode
    :param blr_ratio: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief', u'slm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief.slm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, suspect_status=suspect_status, start_time=start_time, elapsed_time=elapsed_time, tx_fwd=tx_fwd, rx_fwd=rx_fwd, tx_bwd=tx_bwd, rx_bwd=rx_bwd, flr_ratio=flr_ratio, blr_ratio=blr_ratio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, suspect_status=suspect_status, start_time=start_time, elapsed_time=elapsed_time, tx_fwd=tx_fwd, rx_fwd=rx_fwd, tx_bwd=tx_bwd, rx_bwd=rx_bwd, flr_ratio=flr_ratio, blr_ratio=blr_ratio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_brief_slm_stats_session_history_brief_blr_ratio_update(self, slm_stats_session_brief=None, slm_stats_session_history_brief=None, blr_ratio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_brief: session_index
    :param slm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_brief: history_index
    :param slm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type blr_ratio: unicode
    :param blr_ratio: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief', u'slm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief.slm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, blr_ratio=blr_ratio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, blr_ratio=blr_ratio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_brief_slm_stats_session_history_brief_elapsed_time_update(self, slm_stats_session_brief=None, slm_stats_session_history_brief=None, elapsed_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_brief: session_index
    :param slm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_brief: history_index
    :param slm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type elapsed_time: unicode
    :param elapsed_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief', u'slm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief.slm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, elapsed_time=elapsed_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, elapsed_time=elapsed_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_brief_slm_stats_session_history_brief_flr_ratio_update(self, slm_stats_session_brief=None, slm_stats_session_history_brief=None, flr_ratio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_brief: session_index
    :param slm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_brief: history_index
    :param slm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type flr_ratio: unicode
    :param flr_ratio: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief', u'slm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief.slm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, flr_ratio=flr_ratio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, flr_ratio=flr_ratio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_brief_slm_stats_session_history_brief_rx_bwd_update(self, slm_stats_session_brief=None, slm_stats_session_history_brief=None, rx_bwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_brief: session_index
    :param slm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_brief: history_index
    :param slm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_bwd: long
    :param rx_bwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief', u'slm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief.slm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, rx_bwd=rx_bwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, rx_bwd=rx_bwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_brief_slm_stats_session_history_brief_rx_fwd_update(self, slm_stats_session_brief=None, slm_stats_session_history_brief=None, rx_fwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_brief: session_index
    :param slm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_brief: history_index
    :param slm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_fwd: long
    :param rx_fwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief', u'slm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief.slm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, rx_fwd=rx_fwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, rx_fwd=rx_fwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_brief_slm_stats_session_history_brief_start_time_update(self, slm_stats_session_brief=None, slm_stats_session_history_brief=None, start_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_brief: session_index
    :param slm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_brief: history_index
    :param slm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief', u'slm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief.slm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, start_time=start_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, start_time=start_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_brief_slm_stats_session_history_brief_suspect_status_update(self, slm_stats_session_brief=None, slm_stats_session_history_brief=None, suspect_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_brief: session_index
    :param slm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_brief: history_index
    :param slm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suspect_status: YANGBool
    :param suspect_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief', u'slm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief.slm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, suspect_status=suspect_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, suspect_status=suspect_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_brief_slm_stats_session_history_brief_tx_bwd_update(self, slm_stats_session_brief=None, slm_stats_session_history_brief=None, tx_bwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_brief: session_index
    :param slm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_brief: history_index
    :param slm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_bwd: long
    :param tx_bwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief', u'slm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief.slm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, tx_bwd=tx_bwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, tx_bwd=tx_bwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_brief_slm_stats_session_history_brief_tx_fwd_update(self, slm_stats_session_brief=None, slm_stats_session_history_brief=None, tx_fwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_brief: session_index
    :param slm_stats_session_brief: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_brief: history_index
    :param slm_stats_session_history_brief: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_brief** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_fwd: long
    :param tx_fwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief', u'slm_stats_session_brief')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_brief.slm_stats_session_history_brief', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_brief', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, tx_fwd=tx_fwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_brief=slm_stats_session_brief, slm_stats_session_history_brief=slm_stats_session_history_brief, tx_fwd=tx_fwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, suspect_status=None, start_time=None, elapsed_time=None, tx_fwd=None, rx_fwd=None, tx_bwd=None, rx_bwd=None, test_profile_name=None, intiated_meas=None, completed_meas=None, flr_min_ratio=None, flr_max_ratio=None, flr_avg_ratio=None, blr_min_ratio=None, blr_max_ratio=None, blr_avg_ratio=None, session_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suspect_status: YANGBool
    :param suspect_status: Keyword argument.

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type elapsed_time: unicode
    :param elapsed_time: Keyword argument.

    :type tx_fwd: long
    :param tx_fwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rx_fwd: long
    :param rx_fwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tx_bwd: long
    :param tx_bwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rx_bwd: long
    :param rx_bwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type test_profile_name: unicode
    :param test_profile_name: Keyword argument.

    :type intiated_meas: long
    :param intiated_meas: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type completed_meas: long
    :param completed_meas: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flr_min_ratio: unicode
    :param flr_min_ratio: Keyword argument.

    :type flr_max_ratio: unicode
    :param flr_max_ratio: Keyword argument.

    :type flr_avg_ratio: unicode
    :param flr_avg_ratio: Keyword argument.

    :type blr_min_ratio: unicode
    :param blr_min_ratio: Keyword argument.

    :type blr_max_ratio: unicode
    :param blr_max_ratio: Keyword argument.

    :type blr_avg_ratio: unicode
    :param blr_avg_ratio: Keyword argument.

    :type session_index: long
    :param session_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, suspect_status=suspect_status, start_time=start_time, elapsed_time=elapsed_time, tx_fwd=tx_fwd, rx_fwd=rx_fwd, tx_bwd=tx_bwd, rx_bwd=rx_bwd, test_profile_name=test_profile_name, intiated_meas=intiated_meas, completed_meas=completed_meas, flr_min_ratio=flr_min_ratio, flr_max_ratio=flr_max_ratio, flr_avg_ratio=flr_avg_ratio, blr_min_ratio=blr_min_ratio, blr_max_ratio=blr_max_ratio, blr_avg_ratio=blr_avg_ratio, session_index=session_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, suspect_status=suspect_status, start_time=start_time, elapsed_time=elapsed_time, tx_fwd=tx_fwd, rx_fwd=rx_fwd, tx_bwd=tx_bwd, rx_bwd=rx_bwd, test_profile_name=test_profile_name, intiated_meas=intiated_meas, completed_meas=completed_meas, flr_min_ratio=flr_min_ratio, flr_max_ratio=flr_max_ratio, flr_avg_ratio=flr_avg_ratio, blr_min_ratio=blr_min_ratio, blr_max_ratio=blr_max_ratio, blr_avg_ratio=blr_avg_ratio, session_index=session_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_blr_avg_ratio_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, blr_avg_ratio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type blr_avg_ratio: unicode
    :param blr_avg_ratio: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, blr_avg_ratio=blr_avg_ratio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, blr_avg_ratio=blr_avg_ratio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_blr_max_ratio_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, blr_max_ratio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type blr_max_ratio: unicode
    :param blr_max_ratio: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, blr_max_ratio=blr_max_ratio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, blr_max_ratio=blr_max_ratio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_blr_min_ratio_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, blr_min_ratio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type blr_min_ratio: unicode
    :param blr_min_ratio: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, blr_min_ratio=blr_min_ratio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, blr_min_ratio=blr_min_ratio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_completed_meas_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, completed_meas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type completed_meas: long
    :param completed_meas: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, completed_meas=completed_meas)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, completed_meas=completed_meas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_elapsed_time_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, elapsed_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type elapsed_time: unicode
    :param elapsed_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, elapsed_time=elapsed_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, elapsed_time=elapsed_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_flr_avg_ratio_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, flr_avg_ratio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type flr_avg_ratio: unicode
    :param flr_avg_ratio: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, flr_avg_ratio=flr_avg_ratio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, flr_avg_ratio=flr_avg_ratio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_flr_max_ratio_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, flr_max_ratio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type flr_max_ratio: unicode
    :param flr_max_ratio: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, flr_max_ratio=flr_max_ratio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, flr_max_ratio=flr_max_ratio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_flr_min_ratio_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, flr_min_ratio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type flr_min_ratio: unicode
    :param flr_min_ratio: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, flr_min_ratio=flr_min_ratio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, flr_min_ratio=flr_min_ratio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_intiated_meas_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, intiated_meas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intiated_meas: long
    :param intiated_meas: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, intiated_meas=intiated_meas)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, intiated_meas=intiated_meas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_rx_bwd_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, rx_bwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_bwd: long
    :param rx_bwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, rx_bwd=rx_bwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, rx_bwd=rx_bwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_rx_fwd_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, rx_fwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_fwd: long
    :param rx_fwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, rx_fwd=rx_fwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, rx_fwd=rx_fwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_session_index_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, session_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_index: long
    :param session_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, session_index=session_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, session_index=session_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_start_time_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, start_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_time: unicode
    :param start_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, start_time=start_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, start_time=start_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_suspect_status_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, suspect_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suspect_status: YANGBool
    :param suspect_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, suspect_status=suspect_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, suspect_status=suspect_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_test_profile_name_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, test_profile_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type test_profile_name: unicode
    :param test_profile_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, test_profile_name=test_profile_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, test_profile_name=test_profile_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_tx_bwd_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, tx_bwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_bwd: long
    :param tx_bwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, tx_bwd=tx_bwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, tx_bwd=tx_bwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_slm_slm_stats_session_detailed_slm_stats_session_history_detailed_tx_fwd_update(self, slm_stats_session_detailed=None, slm_stats_session_history_detailed=None, tx_fwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slm_stats_session_detailed: session_index
    :param slm_stats_session_detailed: Keyword argument tuple.

    :type session_index: long
    :param session_index: **slm_stats_session_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slm_stats_session_history_detailed: history_index
    :param slm_stats_session_history_detailed: Keyword argument tuple.

    :type history_index: long
    :param history_index: **slm_stats_session_history_detailed** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_fwd: long
    :param tx_fwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed', u'slm_stats_session_detailed')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cfm_state.slm.slm_stats_session_detailed.slm_stats_session_history_detailed', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slm_stats_session_history_detailed', 'keyval': 'history_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, tx_fwd=tx_fwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slm_stats_session_detailed=slm_stats_session_detailed, slm_stats_session_history_detailed=slm_stats_session_history_detailed, tx_fwd=tx_fwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def chassis_hide_virtual_ip_holder_update(self, virtual_ip=None, virtual_ipv6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type virtual_ip: unicode
    :param virtual_ip: Chassis Virtual IPv4 address

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type virtual_ipv6: unicode
    :param virtual_ipv6: Chassis Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_virtual_ip_holder.chassis', 'pybind.nos.v6_0_2c.brocade_chassis', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_virtual_ip_holder.chassis', 'pybind.nos.v7_0_1b.brocade_chassis', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_virtual_ip_holder.chassis', 'pybind.nos.v7_1_0.brocade_chassis', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hide_virtual_ip_holder.chassis', 'pybind.slxos.v16r_1_00b.brocade_chassis', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hide_virtual_ip_holder.chassis', 'pybind.slxos.v17r_1_00a.brocade_chassis', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, virtual_ip=virtual_ip, virtual_ipv6=virtual_ipv6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, virtual_ip=virtual_ip, virtual_ipv6=virtual_ipv6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def chassis_oper_address_update(self, virtual_oper_Vip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type virtual_oper_Vip_address: unicode
    :param virtual_oper_Vip_address: Show virtual-ip address

        * pattern restriction: ::

            '((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6'
            '-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2('
            '([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?)'
            ')/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v6_0_2c.brocade_chassis', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v7_0_1b.brocade_chassis', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v7_1_0.brocade_chassis', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, virtual_oper_Vip_address=virtual_oper_Vip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, virtual_oper_Vip_address=virtual_oper_Vip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def chassis_virtual_ip_update(self, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type virtual_ip: unicode
    :param virtual_ip: Chassis Virtual IPv4 address

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_virtual_ip_holder.chassis', 'pybind.nos.v6_0_2c.brocade_chassis', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_virtual_ip_holder.chassis', 'pybind.nos.v7_0_1b.brocade_chassis', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_virtual_ip_holder.chassis', 'pybind.nos.v7_1_0.brocade_chassis', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hide_virtual_ip_holder.chassis', 'pybind.slxos.v16r_1_00b.brocade_chassis', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hide_virtual_ip_holder.chassis', 'pybind.slxos.v17r_1_00a.brocade_chassis', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, virtual_ip=virtual_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def chassis_virtual_ip_oper_address_update(self, virtual_oper_Vip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type virtual_oper_Vip_address: unicode
    :param virtual_oper_Vip_address: Show virtual-ip address

        * pattern restriction: ::

            '((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6'
            '-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2('
            '([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?)'
            ')/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v6_0_2c.brocade_chassis', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v7_0_1b.brocade_chassis', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v7_1_0.brocade_chassis', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, virtual_oper_Vip_address=virtual_oper_Vip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, virtual_oper_Vip_address=virtual_oper_Vip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def chassis_virtual_ip_v4_update(self, virtual_oper_Vip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type virtual_oper_Vip_address: unicode
    :param virtual_oper_Vip_address: Keyword argument.

        * pattern restriction: ::

            '((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6'
            '-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2('
            '([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?)'
            ')/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hide_virtual_ip_holder.chassis.oper_address', 'pybind.slxos.v16r_1_00b.brocade_chassis', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hide_virtual_ip_holder.chassis.oper_address', 'pybind.slxos.v17r_1_00a.brocade_chassis', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, virtual_oper_Vip_address=virtual_oper_Vip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, virtual_oper_Vip_address=virtual_oper_Vip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def chassis_virtual_ipv6_update(self, virtual_ipv6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type virtual_ipv6: unicode
    :param virtual_ipv6: Chassis Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_virtual_ip_holder.chassis', 'pybind.nos.v6_0_2c.brocade_chassis', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_virtual_ip_holder.chassis', 'pybind.nos.v7_0_1b.brocade_chassis', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_virtual_ip_holder.chassis', 'pybind.nos.v7_1_0.brocade_chassis', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hide_virtual_ip_holder.chassis', 'pybind.slxos.v16r_1_00b.brocade_chassis', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hide_virtual_ip_holder.chassis', 'pybind.slxos.v17r_1_00a.brocade_chassis', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, virtual_ipv6=virtual_ipv6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, virtual_ipv6=virtual_ipv6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def class_map_match_access_group_update(self, class_map=None, access_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type class_map: name
    :param class_map: Keyword argument tuple.

    :type name: unicode
    :param name: **class_map** tuple argument:  Class Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type access_group_name: unicode
    :param access_group_name: Access list name (Max 64)

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.class_map', 'class_map'), ('pybind.slxos.v17r_1_00a.class_map', 'class_map'), ('pybind.nos.v6_0_2c.class_map', 'class_map'), ('pybind.nos.v7_0_1b.class_map', 'class_map'), ('pybind.slxos.v16r_1_00b.class_map', 'class_map')]
    bindings_list = [('pybind.nos.v6_0_2c.class_map.match.access_group', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.class_map.match.access_group', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.class_map.match.access_group', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.class_map.match.access_group', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.class_map.match.access_group', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'access_group_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, class_map=class_map, access_group_name=access_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, class_map=class_map, access_group_name=access_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def class_map_match_access_group_access_group_name_update(self, class_map=None, access_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type class_map: name
    :param class_map: Keyword argument tuple.

    :type name: unicode
    :param name: **class_map** tuple argument:  Class Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type access_group_name: unicode
    :param access_group_name: Access list name (Max 64)

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.class_map', 'class_map'), ('pybind.slxos.v17r_1_00a.class_map', 'class_map'), ('pybind.nos.v6_0_2c.class_map', 'class_map'), ('pybind.nos.v7_0_1b.class_map', 'class_map'), ('pybind.slxos.v16r_1_00b.class_map', 'class_map')]
    bindings_list = [('pybind.nos.v6_0_2c.class_map.match.access_group', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.class_map.match.access_group', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.class_map.match.access_group', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.class_map.match.access_group', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.class_map.match.access_group', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, class_map=class_map, access_group_name=access_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, class_map=class_map, access_group_name=access_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def class_map_match_bridge_domain_update(self, class_map=None, bridge_domain_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type class_map: name
    :param class_map: Keyword argument tuple.

    :type name: unicode
    :param name: **class_map** tuple argument:  Class Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type bridge_domain_range: unicode
    :param bridge_domain_range: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-6])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.class_map', 'class_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.class_map.match.bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'bridge_domain_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, class_map=class_map, bridge_domain_range=bridge_domain_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, class_map=class_map, bridge_domain_range=bridge_domain_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def class_map_match_bridge_domain_bridge_domain_range_update(self, class_map=None, bridge_domain_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type class_map: name
    :param class_map: Keyword argument tuple.

    :type name: unicode
    :param name: **class_map** tuple argument:  Class Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type bridge_domain_range: unicode
    :param bridge_domain_range: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-6])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.class_map', 'class_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.class_map.match.bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, class_map=class_map, bridge_domain_range=bridge_domain_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, class_map=class_map, bridge_domain_range=bridge_domain_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def class_map_match_vlan_update(self, class_map=None, vlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type class_map: name
    :param class_map: Keyword argument tuple.

    :type name: unicode
    :param name: **class_map** tuple argument:  Class Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type vlan_range: unicode
    :param vlan_range: Keyword argument.

        * length restriction: ::

            ['1..20000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.class_map', 'class_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.class_map.match.vlan', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'vlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, class_map=class_map, vlan_range=vlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, class_map=class_map, vlan_range=vlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def class_map_match_vlan_vlan_range_update(self, class_map=None, vlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type class_map: name
    :param class_map: Keyword argument tuple.

    :type name: unicode
    :param name: **class_map** tuple argument:  Class Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type vlan_range: unicode
    :param vlan_range: Keyword argument.

        * length restriction: ::

            ['1..20000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.class_map', 'class_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.class_map.match.vlan', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, class_map=class_map, vlan_range=vlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, class_map=class_map, vlan_range=vlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def clock_update(self, timezone=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type timezone: unicode
    :param timezone: timezone region/city (regions are Africa,America, Antarctica, Arctic, Asia, Atlantic,Australia, Europe, Indian, Pacific)

        * enumeration restriction: ::

            ['Atlantic/Canary',
            'Australia/Melbourne',
            'Antarctica/Mawson',
            'America/Nipigon',
            'America/Miquelon',
            'Indian/Reunion',
            'Antarctica/Davis',
            'Asia/Dhaka',
            'America/St_Lucia',
            'Asia/Kashgar',
            'America/Phoenix',
            'Asia/Kuwait',
            'Asia/Hong_Kong',
            'Arctic/Longyearbyen',
            'Europe/Guernsey',
            'Antarctica/Rothera',
            'Europe/Stockholm',
            'Pacific/Fiji',
            'Pacific/Apia',
            'Pacific/Pago_Pago',
            'Asia/Rangoon',
            'America/Mexico_City',
            'America/Puerto_Rico',
            'Indian/Mauritius',
            'Europe/Berlin',
            'Europe/Zurich',
            'America/Belem',
            'Europe/Skopje',
            'Asia/Krasnoyarsk',
            'Atlantic/Bermuda',
            'Australia/Currie',
            'Asia/Tehran',
            'Asia/Baku',
            'America/St_Barthelemy',
            'America/Santarem',
            'America/Danmarkshavn',
            'America/Scoresbysund',
            'America/Eirunepe',
            'America/Caracas',
            'Asia/Baghdad',
            'Africa/Monrovia',
            'America/St_Vincent',
            'America/Vancouver',
            'Asia/Ho_Chi_Minh',
            'Asia/Thimphu',
            'Africa/Accra',
            'America/Belize',
            'America/Port_of_Spain',
            'Asia/Tashkent',
            'Asia/Tokyo',
            'Pacific/Kiritimati',
            'Australia/Sydney',
            'Europe/Riga',
            'Asia/Dili',
            'Africa/Mbabane',
            'Asia/Oral',
            'Asia/Aden',
            'Europe/Isle_of_Man',
            'Europe/Istanbul',
            'Africa/Abidjan',
            'Australia/Lindeman',
            'Pacific/Galapagos',
            'America/Bogota',
            'Africa/Asmara',
            'America/Chicago',
            'Pacific/Kwajalein',
            'America/Cuiaba',
            'Indian/Christmas',
            'Asia/Jayapura',
            'Europe/Brussels',
            'Europe/Lisbon',
            'Asia/Chongqing',
            'America/Argentina/Cordoba',
            'America/Noronha',
            'Europe/Madrid',
            'Africa/Algiers',
            'Africa/Harare',
            'Africa/Ndjamena',
            'America/Costa_Rica',
            'Europe/Ljubljana',
            'Indian/Mayotte',
            'Asia/Phnom_Penh',
            'America/Managua',
            'Asia/Brunei',
            'America/Tijuana',
            'Pacific/Fakaofo',
            'America/Adak',
            'America/Antigua',
            'America/Indiana/Indianapolis',
            'America/Argentina/La_Rioja',
            'Pacific/Tahiti',
            'America/Pangnirtung',
            'Europe/Zagreb',
            'America/Asuncion',
            'Europe/Vienna',
            'Australia/Hobart',
            'America/Juneau',
            'America/Inuvik',
            'America/Montreal',
            'Asia/Seoul',
            'Indian/Comoro',
            'Europe/Paris',
            'Europe/Tallinn',
            'Indian/Mahe',
            'America/Argentina/Jujuy',
            'America/Martinique',
            'Asia/Singapore',
            'Africa/Nairobi',
            'America/Maceio',
            'Africa/Cairo',
            'Europe/Moscow',
            'Asia/Ulaanbaatar',
            'America/Rainy_River',
            'Indian/Maldives',
            'Asia/Colombo',
            'Australia/Adelaide',
            'America/Cambridge_Bay',
            'Africa/Luanda',
            'Pacific/Chatham',
            'America/Indiana/Winamac',
            'Asia/Tbilisi',
            'Europe/Gibraltar',
            'Asia/Karachi',
            'Asia/Harbin',
            'Australia/Lord_Howe',
            'America/Boa_Vista',
            'Africa/Tripoli',
            'Pacific/Wallis',
            'Atlantic/Stanley',
            'Asia/Srednekolymsk',
            'America/Blanc-Sablon',
            'America/Santo_Domingo',
            'Antarctica/Syowa',
            'America/Jamaica',
            'Europe/Kiev',
            'Europe/Budapest',
            'Pacific/Midway',
            'America/Goose_Bay',
            'Asia/Amman',
            'Asia/Sakhalin',
            'Africa/Windhoek',
            'Asia/Katmandu',
            'America/Guyana',
            'America/Sao_Paulo',
            'Australia/Perth',
            'Africa/Djibouti',
            'Asia/Jakarta',
            'Asia/Pyongyang',
            'Africa/Johannesburg',
            'Asia/Irkutsk',
            'Africa/Niamey',
            'Africa/Casablanca',
            'Asia/Bishkek',
            'Africa/Nouakchott',
            'Europe/Vilnius',
            'America/Cayenne',
            'Europe/Greenwich',
            'Africa/Mogadishu',
            'America/Kentucky/Monticello',
            'America/Rio_Branco',
            'America/Cancun',
            'America/Havana',
            'Pacific/Guam',
            'Asia/Makassar',
            'Atlantic/Azores',
            'Australia/Eucla',
            'Asia/Shanghai',
            'America/Rankin_Inlet',
            'America/Iqaluit',
            'Africa/Maputo',
            'Asia/Bahrain',
            'Asia/Ashgabat',
            'Asia/Riyadh',
            'Europe/London',
            'Europe/Warsaw',
            'America/Anguilla',
            'Asia/Damascus',
            'America/North_Dakota/Center',
            'America/Indiana/Vevay',
            'Atlantic/St_Helena',
            'America/Barbados',
            'Europe/Vatican',
            'America/Indiana/Vincennes',
            'Asia/Almaty',
            'Africa/Lome',
            'Africa/Brazzaville',
            'America/Nome',
            'Europe/Dublin',
            'America/Yakutat',
            'America/Argentina/Mendoza',
            'America/Araguaina',
            'Europe/Vaduz',
            'Europe/Minsk',
            'Asia/Kolkata',
            'Africa/Maseru',
            'Asia/Kuching',
            'Africa/Libreville',
            'Africa/Freetown',
            'Africa/Bissau',
            'Europe/Samara',
            'Europe/Amsterdam',
            'Europe/Tirane',
            'Pacific/Saipan',
            'Asia/Magadan',
            'Europe/Zaporozhye',
            'America/El_Salvador',
            'Europe/Podgorica',
            'America/Santiago',
            'America/Argentina/Buenos_Aires',
            'America/Argentina/San_Luis',
            'America/Aruba',
            'America/Regina',
            'Pacific/Truk',
            'Pacific/Funafuti',
            'America/Merida',
            'America/Guatemala',
            'Africa/Sao_Tome',
            'Pacific/Kosrae',
            'Africa/Bujumbura',
            'Europe/Chisinau',
            'America/Monterrey',
            'Asia/Yekaterinburg',
            'Antarctica/Casey',
            'Pacific/Enderbury',
            'America/Thule',
            'America/St_Johns',
            'America/Moncton',
            'Europe/Helsinki',
            'Atlantic/Cape_Verde',
            'America/Tegucigalpa',
            'Indian/Cocos',
            'America/Boise',
            'America/Guadeloupe',
            'America/Nassau',
            'Europe/Prague',
            'America/Halifax',
            'Asia/Hovd',
            'America/Manaus',
            'America/Godthab',
            'America/Chihuahua',
            'Asia/Beirut',
            'America/Argentina/Rio_Gallegos',
            'Pacific/Gambier',
            'Europe/Volgograd',
            'Africa/Bamako',
            'Europe/Uzhgorod',
            'Africa/Banjul',
            'Asia/Aqtau',
            'Africa/Malabo',
            'Atlantic/Madeira',
            'Pacific/Noumea',
            'Africa/Kinshasa',
            'Europe/Malta',
            'America/Argentina/Ushuaia',
            'Asia/Bangkok',
            'Pacific/Niue',
            'Australia/Brisbane',
            'America/Recife',
            'Asia/Yerevan',
            'America/La_Paz',
            'Asia/Urumqi',
            'Africa/Lusaka',
            'Pacific/Guadalcanal',
            'America/Yellowknife',
            'Asia/Vientiane',
            'Europe/Kaliningrad',
            'Africa/Conakry',
            'America/Argentina/Tucuman',
            'Europe/Oslo',
            'America/St_Kitts',
            'America/Panama',
            'America/Hermosillo',
            'Pacific/Palau',
            'America/Guayaquil',
            'Asia/Kuala_Lumpur',
            'America/Menominee',
            'Asia/Kamchatka',
            'Asia/Vladivostok',
            'Asia/Qatar',
            'Asia/Dubai',
            'Asia/Yakutsk',
            'Asia/Omsk',
            'Africa/Bangui',
            'America/Paramaribo',
            'Africa/Lubumbashi',
            'Pacific/Marquesas',
            'Europe/Bratislava',
            'Asia/Anadyr',
            'America/New_York',
            'Pacific/Norfolk',
            'Pacific/Rarotonga',
            'America/Dominica',
            'Africa/Porto-Novo',
            'Asia/Samarkand',
            'Asia/Dushanbe',
            'America/Toronto',
            'America/Bahia',
            'Africa/Kampala',
            'Africa/Ouagadougou',
            'Antarctica/South_Pole',
            'Asia/Muscat',
            'America/Edmonton',
            'Pacific/Wake',
            'America/Indiana/Tell_City',
            'Australia/Darwin',
            'America/Whitehorse',
            'America/Swift_Current',
            'Europe/Copenhagen',
            'America/Montserrat',
            'Europe/Simferopol',
            'Africa/Blantyre',
            'America/Detroit',
            'America/Shiprock',
            'America/Grenada',
            'Atlantic/Faroe',
            'America/Indiana/Petersburg',
            'Asia/Pontianak',
            'Europe/Athens',
            'America/Port-au-Prince',
            'America/Cayman',
            'Africa/Dar_es_Salaam',
            'America/Curacao',
            'Indian/Kerguelen',
            'Africa/Khartoum',
            'Asia/Manila',
            'Europe/Sarajevo',
            'Africa/Douala',
            'Europe/Rome',
            'America/Argentina/San_Juan',
            'America/North_Dakota/New_Salem',
            'Pacific/Port_Moresby',
            'Europe/Jersey',
            'Europe/Andorra',
            'Europe/Luxembourg',
            'Pacific/Honolulu',
            'America/St_Thomas',
            'Pacific/Majuro',
            'America/Mazatlan',
            'Asia/Macau',
            'Europe/Belgrade',
            'Asia/Choibalsan',
            'Europe/Mariehamn',
            'Antarctica/McMurdo',
            'America/Thunder_Bay',
            'America/Los_Angeles',
            'Asia/Kabul',
            'Indian/Antananarivo',
            'Atlantic/Reykjavik',
            'Asia/Nicosia',
            'Pacific/Ponape',
            'Pacific/Tongatapu',
            'America/Marigot',
            'Pacific/Pitcairn',
            'Pacific/Easter',
            'Atlantic/South_Georgia',
            'Africa/El_Aaiun',
            'America/Campo_Grande',
            'America/Dawson_Creek',
            'Antarctica/Vostok',
            'Europe/Bucharest',
            'America/Porto_Velho',
            'Europe/Monaco',
            'America/Indiana/Marengo',
            'Africa/Ceuta',
            'America/Winnipeg',
            'Asia/Aqtobe',
            'Africa/Dakar',
            'America/Fortaleza',
            'Pacific/Tarawa',
            'America/Dawson',
            'Africa/Addis_Ababa',
            'Pacific/Efate',
            'Pacific/Johnston',
            'Asia/Qyzylorda',
            'Europe/San_Marino',
            'Asia/Jerusalem',
            'Pacific/Auckland',
            'America/Tortola',
            'America/Denver',
            'Indian/Chagos',
            'America/Glace_Bay',
            'Africa/Gaborone',
            'Africa/Tunis',
            'America/Montevideo',
            'America/Resolute',
            'Etc/GMT',
            'Asia/Gaza',
            'Asia/Taipei',
            'Antarctica/DumontDUrville',
            'America/Argentina/Catamarca',
            'America/Indiana/Knox',
            'Asia/Novosibirsk',
            'Africa/Kigali',
            'America/Grand_Turk',
            'Africa/Lagos',
            'Europe/Sofia',
            'America/Lima',
            'America/Anchorage',
            'Pacific/Nauru']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.clock_sa.clock', 'pybind.nos.v6_0_2c.brocade_clock', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.clock_sa.clock', 'pybind.nos.v7_0_1b.brocade_clock', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.clock_sa.clock', 'pybind.nos.v7_1_0.brocade_clock', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.clock_sa.clock', 'pybind.slxos.v16r_1_00b.brocade_clock', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.clock_sa.clock', 'pybind.slxos.v17r_1_00a.brocade_clock', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, timezone=timezone)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, timezone=timezone)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def clock_timezone_update(self, timezone=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type timezone: unicode
    :param timezone: timezone region/city (regions are Africa,America, Antarctica, Arctic, Asia, Atlantic,Australia, Europe, Indian, Pacific)

        * enumeration restriction: ::

            ['Atlantic/Canary',
            'Australia/Melbourne',
            'Antarctica/Mawson',
            'America/Nipigon',
            'America/Miquelon',
            'Indian/Reunion',
            'Antarctica/Davis',
            'Asia/Dhaka',
            'America/St_Lucia',
            'Asia/Kashgar',
            'America/Phoenix',
            'Asia/Kuwait',
            'Asia/Hong_Kong',
            'Arctic/Longyearbyen',
            'Europe/Guernsey',
            'Antarctica/Rothera',
            'Europe/Stockholm',
            'Pacific/Fiji',
            'Pacific/Apia',
            'Pacific/Pago_Pago',
            'Asia/Rangoon',
            'America/Mexico_City',
            'America/Puerto_Rico',
            'Indian/Mauritius',
            'Europe/Berlin',
            'Europe/Zurich',
            'America/Belem',
            'Europe/Skopje',
            'Asia/Krasnoyarsk',
            'Atlantic/Bermuda',
            'Australia/Currie',
            'Asia/Tehran',
            'Asia/Baku',
            'America/St_Barthelemy',
            'America/Santarem',
            'America/Danmarkshavn',
            'America/Scoresbysund',
            'America/Eirunepe',
            'America/Caracas',
            'Asia/Baghdad',
            'Africa/Monrovia',
            'America/St_Vincent',
            'America/Vancouver',
            'Asia/Ho_Chi_Minh',
            'Asia/Thimphu',
            'Africa/Accra',
            'America/Belize',
            'America/Port_of_Spain',
            'Asia/Tashkent',
            'Asia/Tokyo',
            'Pacific/Kiritimati',
            'Australia/Sydney',
            'Europe/Riga',
            'Asia/Dili',
            'Africa/Mbabane',
            'Asia/Oral',
            'Asia/Aden',
            'Europe/Isle_of_Man',
            'Europe/Istanbul',
            'Africa/Abidjan',
            'Australia/Lindeman',
            'Pacific/Galapagos',
            'America/Bogota',
            'Africa/Asmara',
            'America/Chicago',
            'Pacific/Kwajalein',
            'America/Cuiaba',
            'Indian/Christmas',
            'Asia/Jayapura',
            'Europe/Brussels',
            'Europe/Lisbon',
            'Asia/Chongqing',
            'America/Argentina/Cordoba',
            'America/Noronha',
            'Europe/Madrid',
            'Africa/Algiers',
            'Africa/Harare',
            'Africa/Ndjamena',
            'America/Costa_Rica',
            'Europe/Ljubljana',
            'Indian/Mayotte',
            'Asia/Phnom_Penh',
            'America/Managua',
            'Asia/Brunei',
            'America/Tijuana',
            'Pacific/Fakaofo',
            'America/Adak',
            'America/Antigua',
            'America/Indiana/Indianapolis',
            'America/Argentina/La_Rioja',
            'Pacific/Tahiti',
            'America/Pangnirtung',
            'Europe/Zagreb',
            'America/Asuncion',
            'Europe/Vienna',
            'Australia/Hobart',
            'America/Juneau',
            'America/Inuvik',
            'America/Montreal',
            'Asia/Seoul',
            'Indian/Comoro',
            'Europe/Paris',
            'Europe/Tallinn',
            'Indian/Mahe',
            'America/Argentina/Jujuy',
            'America/Martinique',
            'Asia/Singapore',
            'Africa/Nairobi',
            'America/Maceio',
            'Africa/Cairo',
            'Europe/Moscow',
            'Asia/Ulaanbaatar',
            'America/Rainy_River',
            'Indian/Maldives',
            'Asia/Colombo',
            'Australia/Adelaide',
            'America/Cambridge_Bay',
            'Africa/Luanda',
            'Pacific/Chatham',
            'America/Indiana/Winamac',
            'Asia/Tbilisi',
            'Europe/Gibraltar',
            'Asia/Karachi',
            'Asia/Harbin',
            'Australia/Lord_Howe',
            'America/Boa_Vista',
            'Africa/Tripoli',
            'Pacific/Wallis',
            'Atlantic/Stanley',
            'Asia/Srednekolymsk',
            'America/Blanc-Sablon',
            'America/Santo_Domingo',
            'Antarctica/Syowa',
            'America/Jamaica',
            'Europe/Kiev',
            'Europe/Budapest',
            'Pacific/Midway',
            'America/Goose_Bay',
            'Asia/Amman',
            'Asia/Sakhalin',
            'Africa/Windhoek',
            'Asia/Katmandu',
            'America/Guyana',
            'America/Sao_Paulo',
            'Australia/Perth',
            'Africa/Djibouti',
            'Asia/Jakarta',
            'Asia/Pyongyang',
            'Africa/Johannesburg',
            'Asia/Irkutsk',
            'Africa/Niamey',
            'Africa/Casablanca',
            'Asia/Bishkek',
            'Africa/Nouakchott',
            'Europe/Vilnius',
            'America/Cayenne',
            'Europe/Greenwich',
            'Africa/Mogadishu',
            'America/Kentucky/Monticello',
            'America/Rio_Branco',
            'America/Cancun',
            'America/Havana',
            'Pacific/Guam',
            'Asia/Makassar',
            'Atlantic/Azores',
            'Australia/Eucla',
            'Asia/Shanghai',
            'America/Rankin_Inlet',
            'America/Iqaluit',
            'Africa/Maputo',
            'Asia/Bahrain',
            'Asia/Ashgabat',
            'Asia/Riyadh',
            'Europe/London',
            'Europe/Warsaw',
            'America/Anguilla',
            'Asia/Damascus',
            'America/North_Dakota/Center',
            'America/Indiana/Vevay',
            'Atlantic/St_Helena',
            'America/Barbados',
            'Europe/Vatican',
            'America/Indiana/Vincennes',
            'Asia/Almaty',
            'Africa/Lome',
            'Africa/Brazzaville',
            'America/Nome',
            'Europe/Dublin',
            'America/Yakutat',
            'America/Argentina/Mendoza',
            'America/Araguaina',
            'Europe/Vaduz',
            'Europe/Minsk',
            'Asia/Kolkata',
            'Africa/Maseru',
            'Asia/Kuching',
            'Africa/Libreville',
            'Africa/Freetown',
            'Africa/Bissau',
            'Europe/Samara',
            'Europe/Amsterdam',
            'Europe/Tirane',
            'Pacific/Saipan',
            'Asia/Magadan',
            'Europe/Zaporozhye',
            'America/El_Salvador',
            'Europe/Podgorica',
            'America/Santiago',
            'America/Argentina/Buenos_Aires',
            'America/Argentina/San_Luis',
            'America/Aruba',
            'America/Regina',
            'Pacific/Truk',
            'Pacific/Funafuti',
            'America/Merida',
            'America/Guatemala',
            'Africa/Sao_Tome',
            'Pacific/Kosrae',
            'Africa/Bujumbura',
            'Europe/Chisinau',
            'America/Monterrey',
            'Asia/Yekaterinburg',
            'Antarctica/Casey',
            'Pacific/Enderbury',
            'America/Thule',
            'America/St_Johns',
            'America/Moncton',
            'Europe/Helsinki',
            'Atlantic/Cape_Verde',
            'America/Tegucigalpa',
            'Indian/Cocos',
            'America/Boise',
            'America/Guadeloupe',
            'America/Nassau',
            'Europe/Prague',
            'America/Halifax',
            'Asia/Hovd',
            'America/Manaus',
            'America/Godthab',
            'America/Chihuahua',
            'Asia/Beirut',
            'America/Argentina/Rio_Gallegos',
            'Pacific/Gambier',
            'Europe/Volgograd',
            'Africa/Bamako',
            'Europe/Uzhgorod',
            'Africa/Banjul',
            'Asia/Aqtau',
            'Africa/Malabo',
            'Atlantic/Madeira',
            'Pacific/Noumea',
            'Africa/Kinshasa',
            'Europe/Malta',
            'America/Argentina/Ushuaia',
            'Asia/Bangkok',
            'Pacific/Niue',
            'Australia/Brisbane',
            'America/Recife',
            'Asia/Yerevan',
            'America/La_Paz',
            'Asia/Urumqi',
            'Africa/Lusaka',
            'Pacific/Guadalcanal',
            'America/Yellowknife',
            'Asia/Vientiane',
            'Europe/Kaliningrad',
            'Africa/Conakry',
            'America/Argentina/Tucuman',
            'Europe/Oslo',
            'America/St_Kitts',
            'America/Panama',
            'America/Hermosillo',
            'Pacific/Palau',
            'America/Guayaquil',
            'Asia/Kuala_Lumpur',
            'America/Menominee',
            'Asia/Kamchatka',
            'Asia/Vladivostok',
            'Asia/Qatar',
            'Asia/Dubai',
            'Asia/Yakutsk',
            'Asia/Omsk',
            'Africa/Bangui',
            'America/Paramaribo',
            'Africa/Lubumbashi',
            'Pacific/Marquesas',
            'Europe/Bratislava',
            'Asia/Anadyr',
            'America/New_York',
            'Pacific/Norfolk',
            'Pacific/Rarotonga',
            'America/Dominica',
            'Africa/Porto-Novo',
            'Asia/Samarkand',
            'Asia/Dushanbe',
            'America/Toronto',
            'America/Bahia',
            'Africa/Kampala',
            'Africa/Ouagadougou',
            'Antarctica/South_Pole',
            'Asia/Muscat',
            'America/Edmonton',
            'Pacific/Wake',
            'America/Indiana/Tell_City',
            'Australia/Darwin',
            'America/Whitehorse',
            'America/Swift_Current',
            'Europe/Copenhagen',
            'America/Montserrat',
            'Europe/Simferopol',
            'Africa/Blantyre',
            'America/Detroit',
            'America/Shiprock',
            'America/Grenada',
            'Atlantic/Faroe',
            'America/Indiana/Petersburg',
            'Asia/Pontianak',
            'Europe/Athens',
            'America/Port-au-Prince',
            'America/Cayman',
            'Africa/Dar_es_Salaam',
            'America/Curacao',
            'Indian/Kerguelen',
            'Africa/Khartoum',
            'Asia/Manila',
            'Europe/Sarajevo',
            'Africa/Douala',
            'Europe/Rome',
            'America/Argentina/San_Juan',
            'America/North_Dakota/New_Salem',
            'Pacific/Port_Moresby',
            'Europe/Jersey',
            'Europe/Andorra',
            'Europe/Luxembourg',
            'Pacific/Honolulu',
            'America/St_Thomas',
            'Pacific/Majuro',
            'America/Mazatlan',
            'Asia/Macau',
            'Europe/Belgrade',
            'Asia/Choibalsan',
            'Europe/Mariehamn',
            'Antarctica/McMurdo',
            'America/Thunder_Bay',
            'America/Los_Angeles',
            'Asia/Kabul',
            'Indian/Antananarivo',
            'Atlantic/Reykjavik',
            'Asia/Nicosia',
            'Pacific/Ponape',
            'Pacific/Tongatapu',
            'America/Marigot',
            'Pacific/Pitcairn',
            'Pacific/Easter',
            'Atlantic/South_Georgia',
            'Africa/El_Aaiun',
            'America/Campo_Grande',
            'America/Dawson_Creek',
            'Antarctica/Vostok',
            'Europe/Bucharest',
            'America/Porto_Velho',
            'Europe/Monaco',
            'America/Indiana/Marengo',
            'Africa/Ceuta',
            'America/Winnipeg',
            'Asia/Aqtobe',
            'Africa/Dakar',
            'America/Fortaleza',
            'Pacific/Tarawa',
            'America/Dawson',
            'Africa/Addis_Ababa',
            'Pacific/Efate',
            'Pacific/Johnston',
            'Asia/Qyzylorda',
            'Europe/San_Marino',
            'Asia/Jerusalem',
            'Pacific/Auckland',
            'America/Tortola',
            'America/Denver',
            'Indian/Chagos',
            'America/Glace_Bay',
            'Africa/Gaborone',
            'Africa/Tunis',
            'America/Montevideo',
            'America/Resolute',
            'Etc/GMT',
            'Asia/Gaza',
            'Asia/Taipei',
            'Antarctica/DumontDUrville',
            'America/Argentina/Catamarca',
            'America/Indiana/Knox',
            'Asia/Novosibirsk',
            'Africa/Kigali',
            'America/Grand_Turk',
            'Africa/Lagos',
            'Europe/Sofia',
            'America/Lima',
            'America/Anchorage',
            'Pacific/Nauru']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.clock_sa.clock', 'pybind.nos.v6_0_2c.brocade_clock', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.clock_sa.clock', 'pybind.nos.v7_0_1b.brocade_clock', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.clock_sa.clock', 'pybind.nos.v7_1_0.brocade_clock', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.clock_sa.clock', 'pybind.slxos.v16r_1_00b.brocade_clock', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.clock_sa.clock', 'pybind.slxos.v17r_1_00a.brocade_clock', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, timezone=timezone)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, timezone=timezone)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_update(self, cluster=None, client_interfaces_shutdown=None, client_isolation_strict=None, designated_forwarder_hold_time=None, deploy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_interfaces_shutdown: YANGBool
    :param client_interfaces_shutdown: Disable the cluster client interfaces

    :type client_isolation_strict: YANGBool
    :param client_isolation_strict: Configure cluster client isolation mode strict

    :type designated_forwarder_hold_time: int
    :param designated_forwarder_hold_time: Time in seconds to wait before electing a designated forwarder (Range:<1-60>, default:3)

        * range restriction: ::

            ['0..65535']

    :type deploy: YANGBool
    :param deploy: Deploy the Cluster

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cluster', 'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, client_interfaces_shutdown=client_interfaces_shutdown, client_isolation_strict=client_isolation_strict, designated_forwarder_hold_time=designated_forwarder_hold_time, deploy=deploy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, client_interfaces_shutdown=client_interfaces_shutdown, client_isolation_strict=client_isolation_strict, designated_forwarder_hold_time=designated_forwarder_hold_time, deploy=deploy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_client_update(self, cluster=None, client=None, esi=None, client_deploy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type client: client_name, client_id
    :param client: Keyword argument tuple.

    :type client_name: unicode
    :param client_name: **client** tuple argument:  Name for the Cluster Client (MAX: 64 Characters)

        * length restriction: ::

            ['1..64']

    :type client_id: long
    :param client_id: **client** tuple argument:  Id for the Cluster Client (Range: 1 - 512)

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esi: unicode
    :param esi: Configure cluster client ESI HH:HH:HH:HH:HH:HH:HH:HH:HH , HH - in Hexadecimal Format

        * pattern restriction: ::

            '([0-9a-fA-F]{1,2}(:[0-9a-fA-F]{1,2}){2,8})(;[0-9'
            'a-fA-F]{1,2}(:[0-9a-fA-F]{1,2}){2,8})*'

    :type client_deploy: YANGBool
    :param client_deploy:  Cluster Client Deploy

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster'), ('pybind.slxos.v17r_1_00a.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster.client', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client', 'keyval': 'client_name, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, client=client, esi=esi, client_deploy=client_deploy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, client=client, esi=esi, client_deploy=client_deploy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_client_client_interface_update(self, cluster=None, client=None, if_type=None, if_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    :type client: client_name, client_id
    :param client: Keyword argument tuple.

    :type client_name: unicode
    :param client_name: **client** tuple argument:  Name for the Cluster Client (MAX: 64 Characters)

        * length restriction: ::

            ['1..64']

    :type client_id: long
    :param client_id: **client** tuple argument:  Id for the Cluster Client (Range: 1 - 512)

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type if_type: unicode
    :param if_type: Interface Type

        * enumeration restriction: ::

            ['Ethernet', 'Port-channel']

    :type if_value: unicode
    :param if_value: Client Interface Name

        * length restriction: ::

            ['1..10']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster'), ('pybind.slxos.v17r_1_00a.cluster.client', u'client'), ('pybind.slxos.v16r_1_00b.cluster', 'cluster'), ('pybind.slxos.v16r_1_00b.cluster.client', u'client')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client.client_interface', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster.client.client_interface', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'client_name, client_id', 'extra_keyval': ''}, {'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'client_name, client_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, client=client, if_type=if_type, if_value=if_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, client=client, if_type=if_type, if_value=if_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_client_client_interface_if_type_update(self, cluster=None, client=None, if_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    :type client: client_name, client_id
    :param client: Keyword argument tuple.

    :type client_name: unicode
    :param client_name: **client** tuple argument:  Name for the Cluster Client (MAX: 64 Characters)

        * length restriction: ::

            ['1..64']

    :type client_id: long
    :param client_id: **client** tuple argument:  Id for the Cluster Client (Range: 1 - 512)

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type if_type: unicode
    :param if_type: Interface Type

        * enumeration restriction: ::

            ['Ethernet', 'Port-channel']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster'), ('pybind.slxos.v17r_1_00a.cluster.client', u'client'), ('pybind.slxos.v16r_1_00b.cluster', 'cluster'), ('pybind.slxos.v16r_1_00b.cluster.client', u'client')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client.client_interface', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster.client.client_interface', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'client_name, client_id', 'extra_keyval': ''}, {'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'client_name, client_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, client=client, if_type=if_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, client=client, if_type=if_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_client_client_interface_if_value_update(self, cluster=None, client=None, if_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    :type client: client_name, client_id
    :param client: Keyword argument tuple.

    :type client_name: unicode
    :param client_name: **client** tuple argument:  Name for the Cluster Client (MAX: 64 Characters)

        * length restriction: ::

            ['1..64']

    :type client_id: long
    :param client_id: **client** tuple argument:  Id for the Cluster Client (Range: 1 - 512)

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type if_value: unicode
    :param if_value: Client Interface Name

        * length restriction: ::

            ['1..10']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster'), ('pybind.slxos.v17r_1_00a.cluster.client', u'client'), ('pybind.slxos.v16r_1_00b.cluster', 'cluster'), ('pybind.slxos.v16r_1_00b.cluster.client', u'client')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client.client_interface', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster.client.client_interface', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'client_name, client_id', 'extra_keyval': ''}, {'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'client_name, client_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, client=client, if_value=if_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, client=client, if_value=if_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_client_deploy_update(self, cluster=None, client=None, client_deploy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type client: client_name, client_id
    :param client: Keyword argument tuple.

    :type client_name: unicode
    :param client_name: **client** tuple argument:  Name for the Cluster Client (MAX: 64 Characters)

        * length restriction: ::

            ['1..64']

    :type client_id: long
    :param client_id: **client** tuple argument:  Id for the Cluster Client (Range: 1 - 512)

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_deploy: YANGBool
    :param client_deploy:  Cluster Client Deploy

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster'), ('pybind.slxos.v17r_1_00a.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster.client', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client', 'keyval': 'client_name, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, client=client, client_deploy=client_deploy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, client=client, client_deploy=client_deploy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_client_esi_update(self, cluster=None, client=None, esi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type client: client_name, client_id
    :param client: Keyword argument tuple.

    :type client_name: unicode
    :param client_name: **client** tuple argument:  Name for the Cluster Client (MAX: 64 Characters)

        * length restriction: ::

            ['1..64']

    :type client_id: long
    :param client_id: **client** tuple argument:  Id for the Cluster Client (Range: 1 - 512)

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esi: unicode
    :param esi: Configure cluster client ESI HH:HH:HH:HH:HH:HH:HH:HH:HH , HH - in Hexadecimal Format

        * pattern restriction: ::

            '([0-9a-fA-F]{1,2}(:[0-9a-fA-F]{1,2}){2,8})(;[0-9'
            'a-fA-F]{1,2}(:[0-9a-fA-F]{1,2}){2,8})*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster'), ('pybind.slxos.v17r_1_00a.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster.client', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client', 'keyval': 'client_name, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, client=client, esi=esi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, client=client, esi=esi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_client_interfaces_shutdown_update(self, cluster=None, client_interfaces_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_interfaces_shutdown: YANGBool
    :param client_interfaces_shutdown: Disable the cluster client interfaces

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cluster', 'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, client_interfaces_shutdown=client_interfaces_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, client_interfaces_shutdown=client_interfaces_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_client_isolation_strict_update(self, cluster=None, client_isolation_strict=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_isolation_strict: YANGBool
    :param client_isolation_strict: Configure cluster client isolation mode strict

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cluster', 'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, client_isolation_strict=client_isolation_strict)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, client_isolation_strict=client_isolation_strict)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_client_pw_deploy_update(self, cluster=None, client_pw_deploy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_pw_deploy: YANGBool
    :param client_pw_deploy: Cluster Client Pseudo Wire Deploy

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cluster.client_pw', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, client_pw_deploy=client_pw_deploy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, client_pw_deploy=client_pw_deploy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_client_pw_esi_update(self, cluster=None, client_pw_esi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_pw_esi: unicode
    :param client_pw_esi: Configure cluster client-pw ESI HH:HH:HH:HH:HH:HH:HH:HH:HH , HH - in Hexadecimal Format

        * pattern restriction: ::

            '([0-9a-fA-F]{1,2}(:[0-9a-fA-F]{1,2}){2,8})(;[0-9'
            'a-fA-F]{1,2}(:[0-9a-fA-F]{1,2}){2,8})*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cluster.client_pw', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, client_pw_esi=client_pw_esi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, client_pw_esi=client_pw_esi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_deploy_update(self, cluster=None, deploy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type deploy: YANGBool
    :param deploy: Deploy the Cluster

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cluster', 'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, deploy=deploy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, deploy=deploy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_designated_forwarder_hold_time_update(self, cluster=None, designated_forwarder_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type designated_forwarder_hold_time: int
    :param designated_forwarder_hold_time: Time in seconds to wait before electing a designated forwarder (Range:<1-60>, default:3)

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cluster', 'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, designated_forwarder_hold_time=designated_forwarder_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, designated_forwarder_hold_time=designated_forwarder_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_member_bridge_domain_update(self, cluster=None, add_bd=None, remove_bd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type add_bd: unicode
    :param add_bd: Allow these BDs under MCT 

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-6]))(-((1[0-9]{1,2})|([1-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([1-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-6])))?)?)*'

    :type remove_bd: unicode
    :param remove_bd: Remove these BDs from MCT

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-6]))(-((1[0-9]{1,2})|([1-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([1-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-6])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cluster.member.bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, add_bd=add_bd, remove_bd=remove_bd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, add_bd=add_bd, remove_bd=remove_bd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_member_bridge_domain_add_update(self, cluster=None, add_bd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type add_bd: unicode
    :param add_bd: Allow these BDs under MCT 

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-6]))(-((1[0-9]{1,2})|([1-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([1-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-6])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cluster.member.bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, add_bd=add_bd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, add_bd=add_bd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_member_bridge_domain_remove_update(self, cluster=None, remove_bd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type remove_bd: unicode
    :param remove_bd: Remove these BDs from MCT

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-6]))(-((1[0-9]{1,2})|([1-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([1-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-6])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cluster.member.bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, remove_bd=remove_bd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, remove_bd=remove_bd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_member_vlan_update(self, cluster=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Allow these VLANs under MCT 

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Remove a VLAN range that Xmit/Rxthrough the Layer2 interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster'), ('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster.member.vlan', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, add_=add_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_member_vlan_add_update(self, cluster=None, add_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Allow these VLANs under MCT 

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster'), ('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster.member.vlan', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, add_=add_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, add_=add_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_member_vlan_remove_update(self, cluster=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type remove_: unicode
    :param remove_: Remove a VLAN range that Xmit/Rxthrough the Layer2 interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster'), ('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.cluster.member.vlan', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_peer_interface_update(self, cluster=None, peer_if_type=None, peer_if_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type peer_if_type: unicode
    :param peer_if_type: Keyword argument.

        * enumeration restriction: ::

            ['Ethernet', 'Ve']

    :type peer_if_name: unicode
    :param peer_if_name: Peer Interface Name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cluster.peer_interface', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, peer_if_type=peer_if_type, peer_if_name=peer_if_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, peer_if_type=peer_if_type, peer_if_name=peer_if_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_peer_interface_peer_if_name_update(self, cluster=None, peer_if_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type peer_if_name: unicode
    :param peer_if_name: Peer Interface Name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cluster.peer_interface', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, peer_if_name=peer_if_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, peer_if_name=peer_if_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_peer_interface_peer_if_type_update(self, cluster=None, peer_if_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type peer_if_type: unicode
    :param peer_if_type: Keyword argument.

        * enumeration restriction: ::

            ['Ethernet', 'Ve']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cluster.peer_interface', 'pybind.slxos.v17r_1_00a.brocade_mct', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster=cluster, peer_if_type=peer_if_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, peer_if_type=peer_if_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def control_plane_ipv6_subnet_rate_limit_update(self, cir=None, cbr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cir: long
    :param cir: Rate Value

        * range restriction: ::

            ['0..4294967295']

    :type cbr: long
    :param cbr: Burst Value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.control_plane.ipv6.subnet_rate_limit', 'pybind.slxos.v16r_1_00b.brocade_control_plane', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.control_plane.ipv6.subnet_rate_limit', 'pybind.slxos.v17r_1_00a.brocade_control_plane', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cir=cir, cbr=cbr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cir=cir, cbr=cbr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def control_plane_ipv6_subnet_rate_limit_cbr_update(self, cbr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cbr: long
    :param cbr: Burst Value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.control_plane.ipv6.subnet_rate_limit', 'pybind.slxos.v16r_1_00b.brocade_control_plane', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.control_plane.ipv6.subnet_rate_limit', 'pybind.slxos.v17r_1_00a.brocade_control_plane', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cbr=cbr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cbr=cbr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def control_plane_ipv6_subnet_rate_limit_cir_update(self, cir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cir: long
    :param cir: Rate Value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.control_plane.ipv6.subnet_rate_limit', 'pybind.slxos.v16r_1_00b.brocade_control_plane', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.control_plane.ipv6.subnet_rate_limit', 'pybind.slxos.v17r_1_00a.brocade_control_plane', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cir=cir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cir=cir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_update(self, areamis=None, maxareamis=None, badidlen=None, seqskip=None, seqerr=None, l1dbol=None, l2dbol=None, ownpurge=None, csnp_l1authfail=None, csnp_l2authfail=None, psnp_l1authfail=None, psnp_l2authfail=None, circ_l1authfail=None, circ_l2authfail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type areamis: long
    :param areamis: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type maxareamis: long
    :param maxareamis: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type badidlen: long
    :param badidlen: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type seqskip: long
    :param seqskip: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type seqerr: long
    :param seqerr: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l1dbol: long
    :param l1dbol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2dbol: long
    :param l2dbol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ownpurge: long
    :param ownpurge: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type csnp_l1authfail: long
    :param csnp_l1authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type csnp_l2authfail: long
    :param csnp_l2authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type psnp_l1authfail: long
    :param psnp_l1authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type psnp_l2authfail: long
    :param psnp_l2authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type circ_l1authfail: long
    :param circ_l1authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type circ_l2authfail: long
    :param circ_l2authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, areamis=areamis, maxareamis=maxareamis, badidlen=badidlen, seqskip=seqskip, seqerr=seqerr, l1dbol=l1dbol, l2dbol=l2dbol, ownpurge=ownpurge, csnp_l1authfail=csnp_l1authfail, csnp_l2authfail=csnp_l2authfail, psnp_l1authfail=psnp_l1authfail, psnp_l2authfail=psnp_l2authfail, circ_l1authfail=circ_l1authfail, circ_l2authfail=circ_l2authfail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, areamis=areamis, maxareamis=maxareamis, badidlen=badidlen, seqskip=seqskip, seqerr=seqerr, l1dbol=l1dbol, l2dbol=l2dbol, ownpurge=ownpurge, csnp_l1authfail=csnp_l1authfail, csnp_l2authfail=csnp_l2authfail, psnp_l1authfail=psnp_l1authfail, psnp_l2authfail=psnp_l2authfail, circ_l1authfail=circ_l1authfail, circ_l2authfail=circ_l2authfail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_areamis_update(self, areamis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type areamis: long
    :param areamis: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, areamis=areamis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, areamis=areamis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_bad_lsp_log_update(self, bad_lsp_log=None, time_stamp=None, l1_count=None, l2_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bad_lsp_log: type_index
    :param bad_lsp_log: Keyword argument tuple.

    :type type_index: int
    :param type_index: **bad_lsp_log** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type time_stamp: long
    :param time_stamp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l1_count: long
    :param l1_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2_count: long
    :param l2_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state.bad_lsp_log', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state.bad_lsp_log', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bad_lsp_log', 'keyval': 'type_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bad_lsp_log=bad_lsp_log, time_stamp=time_stamp, l1_count=l1_count, l2_count=l2_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bad_lsp_log=bad_lsp_log, time_stamp=time_stamp, l1_count=l1_count, l2_count=l2_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_bad_lsp_log_l1_count_update(self, bad_lsp_log=None, l1_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bad_lsp_log: type_index
    :param bad_lsp_log: Keyword argument tuple.

    :type type_index: int
    :param type_index: **bad_lsp_log** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type l1_count: long
    :param l1_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state.bad_lsp_log', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state.bad_lsp_log', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bad_lsp_log', 'keyval': 'type_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bad_lsp_log=bad_lsp_log, l1_count=l1_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bad_lsp_log=bad_lsp_log, l1_count=l1_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_bad_lsp_log_l2_count_update(self, bad_lsp_log=None, l2_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bad_lsp_log: type_index
    :param bad_lsp_log: Keyword argument tuple.

    :type type_index: int
    :param type_index: **bad_lsp_log** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type l2_count: long
    :param l2_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state.bad_lsp_log', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state.bad_lsp_log', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bad_lsp_log', 'keyval': 'type_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bad_lsp_log=bad_lsp_log, l2_count=l2_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bad_lsp_log=bad_lsp_log, l2_count=l2_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_bad_lsp_log_time_stamp_update(self, bad_lsp_log=None, time_stamp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bad_lsp_log: type_index
    :param bad_lsp_log: Keyword argument tuple.

    :type type_index: int
    :param type_index: **bad_lsp_log** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type time_stamp: long
    :param time_stamp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state.bad_lsp_log', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state.bad_lsp_log', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bad_lsp_log', 'keyval': 'type_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bad_lsp_log=bad_lsp_log, time_stamp=time_stamp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bad_lsp_log=bad_lsp_log, time_stamp=time_stamp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_badidlen_update(self, badidlen=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type badidlen: long
    :param badidlen: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, badidlen=badidlen)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, badidlen=badidlen)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_circ_l1authfail_update(self, circ_l1authfail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type circ_l1authfail: long
    :param circ_l1authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, circ_l1authfail=circ_l1authfail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, circ_l1authfail=circ_l1authfail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_circ_l2authfail_update(self, circ_l2authfail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type circ_l2authfail: long
    :param circ_l2authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, circ_l2authfail=circ_l2authfail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, circ_l2authfail=circ_l2authfail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_csnp_l1authfail_update(self, csnp_l1authfail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type csnp_l1authfail: long
    :param csnp_l1authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, csnp_l1authfail=csnp_l1authfail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, csnp_l1authfail=csnp_l1authfail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_csnp_l2authfail_update(self, csnp_l2authfail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type csnp_l2authfail: long
    :param csnp_l2authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, csnp_l2authfail=csnp_l2authfail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, csnp_l2authfail=csnp_l2authfail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_l1dbol_update(self, l1dbol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l1dbol: long
    :param l1dbol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1dbol=l1dbol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1dbol=l1dbol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_l2dbol_update(self, l2dbol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2dbol: long
    :param l2dbol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2dbol=l2dbol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2dbol=l2dbol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_maxareamis_update(self, maxareamis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type maxareamis: long
    :param maxareamis: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, maxareamis=maxareamis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, maxareamis=maxareamis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_ownpurge_update(self, ownpurge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ownpurge: long
    :param ownpurge: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ownpurge=ownpurge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ownpurge=ownpurge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_psnp_l1authfail_update(self, psnp_l1authfail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type psnp_l1authfail: long
    :param psnp_l1authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, psnp_l1authfail=psnp_l1authfail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, psnp_l1authfail=psnp_l1authfail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_psnp_l2authfail_update(self, psnp_l2authfail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type psnp_l2authfail: long
    :param psnp_l2authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, psnp_l2authfail=psnp_l2authfail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, psnp_l2authfail=psnp_l2authfail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_seqerr_update(self, seqerr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type seqerr: long
    :param seqerr: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, seqerr=seqerr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, seqerr=seqerr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_seqskip_update(self, seqskip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type seqskip: long
    :param seqskip: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.counts_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, seqskip=seqskip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, seqskip=seqskip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_update(self, cpu_cfg_state=None, shaper_rate=None, burst_size=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_state: slot_id
    :param cpu_cfg_state: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type shaper_rate: long
    :param shaper_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cpu_cfg_state', 'keyval': 'slot_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_state=cpu_cfg_state, shaper_rate=shaper_rate, burst_size=burst_size, wfq_value=wfq_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_state=cpu_cfg_state, shaper_rate=shaper_rate, burst_size=burst_size, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_burst_size_update(self, cpu_cfg_state=None, burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_state: slot_id
    :param cpu_cfg_state: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cpu_cfg_state', 'keyval': 'slot_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_state=cpu_cfg_state, burst_size=burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_state=cpu_cfg_state, burst_size=burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_group_update(self, cpu_cfg_state=None, cpu_cfg_group=None, shaper_rate=None, burst_size=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_state: slot_id
    :param cpu_cfg_state: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type shaper_rate: long
    :param shaper_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state', 'cpu_cfg_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state.cpu_cfg_group', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_group', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, shaper_rate=shaper_rate, burst_size=burst_size, wfq_value=wfq_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, shaper_rate=shaper_rate, burst_size=burst_size, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_group_burst_size_update(self, cpu_cfg_state=None, cpu_cfg_group=None, burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_state: slot_id
    :param cpu_cfg_state: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state', 'cpu_cfg_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state.cpu_cfg_group', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_group', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, burst_size=burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, burst_size=burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_group_cpu_cfg_prio_update(self, cpu_cfg_state=None, cpu_cfg_group=None, cpu_cfg_prio=None, shaper_rate=None, burst_size=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_state: slot_id
    :param cpu_cfg_state: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_prio: prio_id
    :param cpu_cfg_prio: Keyword argument tuple.

    :type prio_id: int
    :param prio_id: **cpu_cfg_prio** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type shaper_rate: long
    :param shaper_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state', 'cpu_cfg_state'), ('pybind.slxos.v17r_1_00a.cpu_cfg_state.cpu_cfg_group', u'cpu_cfg_group')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state.cpu_cfg_group.cpu_cfg_prio', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_prio', 'keyval': 'prio_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, shaper_rate=shaper_rate, burst_size=burst_size, wfq_value=wfq_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, shaper_rate=shaper_rate, burst_size=burst_size, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_group_cpu_cfg_prio_burst_size_update(self, cpu_cfg_state=None, cpu_cfg_group=None, cpu_cfg_prio=None, burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_state: slot_id
    :param cpu_cfg_state: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_prio: prio_id
    :param cpu_cfg_prio: Keyword argument tuple.

    :type prio_id: int
    :param prio_id: **cpu_cfg_prio** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state', 'cpu_cfg_state'), ('pybind.slxos.v17r_1_00a.cpu_cfg_state.cpu_cfg_group', u'cpu_cfg_group')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state.cpu_cfg_group.cpu_cfg_prio', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_prio', 'keyval': 'prio_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, burst_size=burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, burst_size=burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_group_cpu_cfg_prio_shaper_rate_update(self, cpu_cfg_state=None, cpu_cfg_group=None, cpu_cfg_prio=None, shaper_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_state: slot_id
    :param cpu_cfg_state: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_prio: prio_id
    :param cpu_cfg_prio: Keyword argument tuple.

    :type prio_id: int
    :param prio_id: **cpu_cfg_prio** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type shaper_rate: long
    :param shaper_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state', 'cpu_cfg_state'), ('pybind.slxos.v17r_1_00a.cpu_cfg_state.cpu_cfg_group', u'cpu_cfg_group')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state.cpu_cfg_group.cpu_cfg_prio', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_prio', 'keyval': 'prio_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, shaper_rate=shaper_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, shaper_rate=shaper_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_group_cpu_cfg_prio_wfq_value_update(self, cpu_cfg_state=None, cpu_cfg_group=None, cpu_cfg_prio=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_state: slot_id
    :param cpu_cfg_state: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_prio: prio_id
    :param cpu_cfg_prio: Keyword argument tuple.

    :type prio_id: int
    :param prio_id: **cpu_cfg_prio** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state', 'cpu_cfg_state'), ('pybind.slxos.v17r_1_00a.cpu_cfg_state.cpu_cfg_group', u'cpu_cfg_group')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state.cpu_cfg_group.cpu_cfg_prio', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_prio', 'keyval': 'prio_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, wfq_value=wfq_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_group_shaper_rate_update(self, cpu_cfg_state=None, cpu_cfg_group=None, shaper_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_state: slot_id
    :param cpu_cfg_state: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type shaper_rate: long
    :param shaper_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state', 'cpu_cfg_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state.cpu_cfg_group', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_group', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, shaper_rate=shaper_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, shaper_rate=shaper_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_group_wfq_value_update(self, cpu_cfg_state=None, cpu_cfg_group=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_state: slot_id
    :param cpu_cfg_state: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state', 'cpu_cfg_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state.cpu_cfg_group', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_group', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, wfq_value=wfq_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_state=cpu_cfg_state, cpu_cfg_group=cpu_cfg_group, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_data_update(self, cpu_cfg_slot=None, cpu_cfg_data=None, burst_size=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_data: shaper_rate
    :param cpu_cfg_data: Keyword argument tuple.

    :type shaper_rate: long
    :param shaper_rate: **cpu_cfg_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_data_burst_size_update(self, cpu_cfg_slot=None, cpu_cfg_data=None, burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_data: shaper_rate
    :param cpu_cfg_data: Keyword argument tuple.

    :type shaper_rate: long
    :param shaper_rate: **cpu_cfg_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_data_wfq_value_update(self, cpu_cfg_slot=None, cpu_cfg_data=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_data: shaper_rate
    :param cpu_cfg_data: Keyword argument tuple.

    :type shaper_rate: long
    :param shaper_rate: **cpu_cfg_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_data=cpu_cfg_data, wfq_value=wfq_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_data=cpu_cfg_data, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_data_update(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_data=None, burst_size=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_data: shaper_rate
    :param cpu_cfg_data: Keyword argument tuple.

    :type shaper_rate: long
    :param shaper_rate: **cpu_cfg_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_data_burst_size_update(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_data=None, burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_data: shaper_rate
    :param cpu_cfg_data: Keyword argument tuple.

    :type shaper_rate: long
    :param shaper_rate: **cpu_cfg_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_data_wfq_value_update(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_data=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_data: shaper_rate
    :param cpu_cfg_data: Keyword argument tuple.

    :type shaper_rate: long
    :param shaper_rate: **cpu_cfg_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_data=cpu_cfg_data, wfq_value=wfq_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_data=cpu_cfg_data, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_prio_cpu_cfg_data_update(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_prio=None, cpu_cfg_data=None, burst_size=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['0..255']

    :type cpu_cfg_prio: prio_id
    :param cpu_cfg_prio: Keyword argument tuple.

    :type prio_id: int
    :param prio_id: **cpu_cfg_prio** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_data: shaper_rate
    :param cpu_cfg_data: Keyword argument tuple.

    :type shaper_rate: long
    :param shaper_rate: **cpu_cfg_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio', u'cpu_cfg_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_prio_cpu_cfg_data_burst_size_update(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_prio=None, cpu_cfg_data=None, burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['0..255']

    :type cpu_cfg_prio: prio_id
    :param cpu_cfg_prio: Keyword argument tuple.

    :type prio_id: int
    :param prio_id: **cpu_cfg_prio** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_data: shaper_rate
    :param cpu_cfg_data: Keyword argument tuple.

    :type shaper_rate: long
    :param shaper_rate: **cpu_cfg_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio', u'cpu_cfg_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_prio_cpu_cfg_data_wfq_value_update(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_prio=None, cpu_cfg_data=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['0..255']

    :type cpu_cfg_prio: prio_id
    :param cpu_cfg_prio: Keyword argument tuple.

    :type prio_id: int
    :param prio_id: **cpu_cfg_prio** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_data: shaper_rate
    :param cpu_cfg_data: Keyword argument tuple.

    :type shaper_rate: long
    :param shaper_rate: **cpu_cfg_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio', u'cpu_cfg_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, cpu_cfg_data=cpu_cfg_data, wfq_value=wfq_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, cpu_cfg_data=cpu_cfg_data, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_shaper_rate_update(self, cpu_cfg_state=None, shaper_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_state: slot_id
    :param cpu_cfg_state: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type shaper_rate: long
    :param shaper_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cpu_cfg_state', 'keyval': 'slot_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_state=cpu_cfg_state, shaper_rate=shaper_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_state=cpu_cfg_state, shaper_rate=shaper_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_wfq_value_update(self, cpu_cfg_state=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_state: slot_id
    :param cpu_cfg_state: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_cfg_state', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cpu_cfg_state', 'keyval': 'slot_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_cfg_state=cpu_cfg_state, wfq_value=wfq_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_state=cpu_cfg_state, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_info_state_update(self, cpu_info_state=None, name=None, egid=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cpu_info_state: group_id
    :param cpu_info_state: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_info_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type name: unicode
    :param name: Keyword argument.

    :type egid: long
    :param egid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type description: unicode
    :param description: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_info_state', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cpu_info_state', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_info_state=cpu_info_state, name=name, egid=egid, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_info_state=cpu_info_state, name=name, egid=egid, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_info_state_cpu_info_egid_update(self, cpu_info_egid=None, name=None, egid=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type cpu_info_egid: group_id
    :param cpu_info_egid: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_info_egid** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type name: unicode
    :param name: Keyword argument.

    :type egid: long
    :param egid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type description: unicode
    :param description: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_info_state.cpu_info_egid', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cpu_info_egid', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_info_egid=cpu_info_egid, name=name, egid=egid, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_info_egid=cpu_info_egid, name=name, egid=egid, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_info_state_cpu_info_egid_description_update(self, cpu_info_egid=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type cpu_info_egid: group_id
    :param cpu_info_egid: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_info_egid** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_info_state.cpu_info_egid', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cpu_info_egid', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_info_egid=cpu_info_egid, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_info_egid=cpu_info_egid, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_info_state_cpu_info_egid_egid_update(self, cpu_info_egid=None, egid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type cpu_info_egid: group_id
    :param cpu_info_egid: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_info_egid** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type egid: long
    :param egid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_info_state.cpu_info_egid', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cpu_info_egid', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_info_egid=cpu_info_egid, egid=egid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_info_egid=cpu_info_egid, egid=egid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_info_state_cpu_info_egid_name_update(self, cpu_info_egid=None, name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type cpu_info_egid: group_id
    :param cpu_info_egid: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_info_egid** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type name: unicode
    :param name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_info_state.cpu_info_egid', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cpu_info_egid', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_info_egid=cpu_info_egid, name=name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_info_egid=cpu_info_egid, name=name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_info_state_description_update(self, cpu_info_state=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cpu_info_state: group_id
    :param cpu_info_state: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_info_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_info_state', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cpu_info_state', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_info_state=cpu_info_state, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_info_state=cpu_info_state, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_info_state_egid_update(self, cpu_info_state=None, egid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cpu_info_state: group_id
    :param cpu_info_state: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_info_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type egid: long
    :param egid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_info_state', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cpu_info_state', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_info_state=cpu_info_state, egid=egid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_info_state=cpu_info_state, egid=egid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_info_state_name_update(self, cpu_info_state=None, name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cpu_info_state: group_id
    :param cpu_info_state: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_info_state** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type name: unicode
    :param name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_info_state', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cpu_info_state', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_info_state=cpu_info_state, name=name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_info_state=cpu_info_state, name=name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_update(self, cpu_interface_state=None, link_status=None, tx_pkts_cnt=None, tx_bytes_cnt=None, tx_errors_cnt=None, tx_drop_cnt=None, tx_overrun_error_cnt=None, tx_carrier_error_cnt=None, rx_pkts_cnt=None, rx_bytes_cnt=None, rx_errors_cnt=None, rx_drop_cnt=None, rx_overrun_error_cnt=None, rx_frame_error_cnt=None, tx_aborted_error_cnt=None, tx_fifo_error_cnt=None, tx_timeout_cnt=None, tx_flow_control_xon_cnt=None, tx_flow_control_xoff_cnt=None, tx_pkts_64bytes_cnt=None, tx_pkts_64_127bytes_cnt=None, tx_pkts_128_255bytes_cnt=None, tx_pkts_256_511bytes_cnt=None, tx_pkts_512_1023bytes_cnt=None, tx_pkts_1024bytes_max_cnt=None, tx_bcast_pkts_cnt=None, tx_mcast_pkts_cnt=None, rx_crc_error_cnt=None, rx_fifo_error_cnt=None, rx_missed_errors_cnt=None, rx_no_dma_resource_cnt=None, rx_flow_control_xon_cnt=None, rx_flow_control_xoff_cnt=None, rx_pkts_64bytes_cnt=None, rx_pkts_64_127bytes_cnt=None, rx_pkts_128_255bytes_cnt=None, rx_pkts_256_511bytes_cnt=None, rx_pkts_512_1023bytes_cnt=None, rx_pkts_1024bytes_max_cnt=None, rx_good_pkts_cnt=None, rx_bcast_pkts_cnt=None, rx_mcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type link_status: unicode
    :param link_status: Keyword argument.

    :type tx_pkts_cnt: long
    :param tx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_bytes_cnt: long
    :param tx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_errors_cnt: long
    :param tx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_drop_cnt: long
    :param tx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_overrun_error_cnt: long
    :param tx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_carrier_error_cnt: long
    :param tx_carrier_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_cnt: long
    :param rx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_bytes_cnt: long
    :param rx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_errors_cnt: long
    :param rx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_drop_cnt: long
    :param rx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_overrun_error_cnt: long
    :param rx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_frame_error_cnt: long
    :param rx_frame_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_aborted_error_cnt: long
    :param tx_aborted_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_fifo_error_cnt: long
    :param tx_fifo_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_timeout_cnt: long
    :param tx_timeout_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_flow_control_xon_cnt: long
    :param tx_flow_control_xon_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_flow_control_xoff_cnt: long
    :param tx_flow_control_xoff_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_pkts_64bytes_cnt: long
    :param tx_pkts_64bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_pkts_64_127bytes_cnt: long
    :param tx_pkts_64_127bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_pkts_128_255bytes_cnt: long
    :param tx_pkts_128_255bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_pkts_256_511bytes_cnt: long
    :param tx_pkts_256_511bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_pkts_512_1023bytes_cnt: long
    :param tx_pkts_512_1023bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_pkts_1024bytes_max_cnt: long
    :param tx_pkts_1024bytes_max_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_bcast_pkts_cnt: long
    :param tx_bcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_mcast_pkts_cnt: long
    :param tx_mcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_crc_error_cnt: long
    :param rx_crc_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_fifo_error_cnt: long
    :param rx_fifo_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_missed_errors_cnt: long
    :param rx_missed_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_no_dma_resource_cnt: long
    :param rx_no_dma_resource_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_flow_control_xon_cnt: long
    :param rx_flow_control_xon_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_flow_control_xoff_cnt: long
    :param rx_flow_control_xoff_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_64bytes_cnt: long
    :param rx_pkts_64bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_64_127bytes_cnt: long
    :param rx_pkts_64_127bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_128_255bytes_cnt: long
    :param rx_pkts_128_255bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_256_511bytes_cnt: long
    :param rx_pkts_256_511bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_512_1023bytes_cnt: long
    :param rx_pkts_512_1023bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_1024bytes_max_cnt: long
    :param rx_pkts_1024bytes_max_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_good_pkts_cnt: long
    :param rx_good_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_bcast_pkts_cnt: long
    :param rx_bcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_mcast_pkts_cnt: long
    :param rx_mcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, link_status=link_status, tx_pkts_cnt=tx_pkts_cnt, tx_bytes_cnt=tx_bytes_cnt, tx_errors_cnt=tx_errors_cnt, tx_drop_cnt=tx_drop_cnt, tx_overrun_error_cnt=tx_overrun_error_cnt, tx_carrier_error_cnt=tx_carrier_error_cnt, rx_pkts_cnt=rx_pkts_cnt, rx_bytes_cnt=rx_bytes_cnt, rx_errors_cnt=rx_errors_cnt, rx_drop_cnt=rx_drop_cnt, rx_overrun_error_cnt=rx_overrun_error_cnt, rx_frame_error_cnt=rx_frame_error_cnt, tx_aborted_error_cnt=tx_aborted_error_cnt, tx_fifo_error_cnt=tx_fifo_error_cnt, tx_timeout_cnt=tx_timeout_cnt, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt, rx_crc_error_cnt=rx_crc_error_cnt, rx_fifo_error_cnt=rx_fifo_error_cnt, rx_missed_errors_cnt=rx_missed_errors_cnt, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt, rx_good_pkts_cnt=rx_good_pkts_cnt, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, link_status=link_status, tx_pkts_cnt=tx_pkts_cnt, tx_bytes_cnt=tx_bytes_cnt, tx_errors_cnt=tx_errors_cnt, tx_drop_cnt=tx_drop_cnt, tx_overrun_error_cnt=tx_overrun_error_cnt, tx_carrier_error_cnt=tx_carrier_error_cnt, rx_pkts_cnt=rx_pkts_cnt, rx_bytes_cnt=rx_bytes_cnt, rx_errors_cnt=rx_errors_cnt, rx_drop_cnt=rx_drop_cnt, rx_overrun_error_cnt=rx_overrun_error_cnt, rx_frame_error_cnt=rx_frame_error_cnt, tx_aborted_error_cnt=tx_aborted_error_cnt, tx_fifo_error_cnt=tx_fifo_error_cnt, tx_timeout_cnt=tx_timeout_cnt, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt, rx_crc_error_cnt=rx_crc_error_cnt, rx_fifo_error_cnt=rx_fifo_error_cnt, rx_missed_errors_cnt=rx_missed_errors_cnt, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt, rx_good_pkts_cnt=rx_good_pkts_cnt, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_link_status_update(self, cpu_interface_state=None, link_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type link_status: unicode
    :param link_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, link_status=link_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, link_status=link_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_bcast_pkts_cnt_update(self, cpu_interface_state=None, rx_bcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_bcast_pkts_cnt: long
    :param rx_bcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_bytes_cnt_update(self, cpu_interface_state=None, rx_bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_bytes_cnt: long
    :param rx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_bytes_cnt=rx_bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_bytes_cnt=rx_bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_crc_error_cnt_update(self, cpu_interface_state=None, rx_crc_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_crc_error_cnt: long
    :param rx_crc_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_crc_error_cnt=rx_crc_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_crc_error_cnt=rx_crc_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_drop_cnt_update(self, cpu_interface_state=None, rx_drop_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_drop_cnt: long
    :param rx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_drop_cnt=rx_drop_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_drop_cnt=rx_drop_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_errors_cnt_update(self, cpu_interface_state=None, rx_errors_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_errors_cnt: long
    :param rx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_errors_cnt=rx_errors_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_errors_cnt=rx_errors_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_fifo_error_cnt_update(self, cpu_interface_state=None, rx_fifo_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_fifo_error_cnt: long
    :param rx_fifo_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_fifo_error_cnt=rx_fifo_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_fifo_error_cnt=rx_fifo_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_flow_control_xoff_cnt_update(self, cpu_interface_state=None, rx_flow_control_xoff_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_flow_control_xoff_cnt: long
    :param rx_flow_control_xoff_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_flow_control_xon_cnt_update(self, cpu_interface_state=None, rx_flow_control_xon_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_flow_control_xon_cnt: long
    :param rx_flow_control_xon_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_frame_error_cnt_update(self, cpu_interface_state=None, rx_frame_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_frame_error_cnt: long
    :param rx_frame_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_frame_error_cnt=rx_frame_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_frame_error_cnt=rx_frame_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_good_pkts_cnt_update(self, cpu_interface_state=None, rx_good_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_good_pkts_cnt: long
    :param rx_good_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_good_pkts_cnt=rx_good_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_good_pkts_cnt=rx_good_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_mcast_pkts_cnt_update(self, cpu_interface_state=None, rx_mcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_mcast_pkts_cnt: long
    :param rx_mcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_missed_errors_cnt_update(self, cpu_interface_state=None, rx_missed_errors_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_missed_errors_cnt: long
    :param rx_missed_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_missed_errors_cnt=rx_missed_errors_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_missed_errors_cnt=rx_missed_errors_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_no_dma_resource_cnt_update(self, cpu_interface_state=None, rx_no_dma_resource_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_no_dma_resource_cnt: long
    :param rx_no_dma_resource_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_overrun_error_cnt_update(self, cpu_interface_state=None, rx_overrun_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_overrun_error_cnt: long
    :param rx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_overrun_error_cnt=rx_overrun_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_overrun_error_cnt=rx_overrun_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_pkts_1024bytes_max_cnt_update(self, cpu_interface_state=None, rx_pkts_1024bytes_max_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_1024bytes_max_cnt: long
    :param rx_pkts_1024bytes_max_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_pkts_128_255bytes_cnt_update(self, cpu_interface_state=None, rx_pkts_128_255bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_128_255bytes_cnt: long
    :param rx_pkts_128_255bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_pkts_256_511bytes_cnt_update(self, cpu_interface_state=None, rx_pkts_256_511bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_256_511bytes_cnt: long
    :param rx_pkts_256_511bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_pkts_512_1023bytes_cnt_update(self, cpu_interface_state=None, rx_pkts_512_1023bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_512_1023bytes_cnt: long
    :param rx_pkts_512_1023bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_pkts_64_127bytes_cnt_update(self, cpu_interface_state=None, rx_pkts_64_127bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_64_127bytes_cnt: long
    :param rx_pkts_64_127bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_pkts_64bytes_cnt_update(self, cpu_interface_state=None, rx_pkts_64bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_64bytes_cnt: long
    :param rx_pkts_64bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_rx_pkts_cnt_update(self, cpu_interface_state=None, rx_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_cnt: long
    :param rx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_cnt=rx_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_cnt=rx_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_aborted_error_cnt_update(self, cpu_interface_state=None, tx_aborted_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_aborted_error_cnt: long
    :param tx_aborted_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_aborted_error_cnt=tx_aborted_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_aborted_error_cnt=tx_aborted_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_bcast_pkts_cnt_update(self, cpu_interface_state=None, tx_bcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_bcast_pkts_cnt: long
    :param tx_bcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_bytes_cnt_update(self, cpu_interface_state=None, tx_bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_bytes_cnt: long
    :param tx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_bytes_cnt=tx_bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_bytes_cnt=tx_bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_carrier_error_cnt_update(self, cpu_interface_state=None, tx_carrier_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_carrier_error_cnt: long
    :param tx_carrier_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_carrier_error_cnt=tx_carrier_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_carrier_error_cnt=tx_carrier_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_drop_cnt_update(self, cpu_interface_state=None, tx_drop_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_drop_cnt: long
    :param tx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_drop_cnt=tx_drop_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_drop_cnt=tx_drop_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_errors_cnt_update(self, cpu_interface_state=None, tx_errors_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_errors_cnt: long
    :param tx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_errors_cnt=tx_errors_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_errors_cnt=tx_errors_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_fifo_error_cnt_update(self, cpu_interface_state=None, tx_fifo_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_fifo_error_cnt: long
    :param tx_fifo_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_fifo_error_cnt=tx_fifo_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_fifo_error_cnt=tx_fifo_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_flow_control_xoff_cnt_update(self, cpu_interface_state=None, tx_flow_control_xoff_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_flow_control_xoff_cnt: long
    :param tx_flow_control_xoff_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_flow_control_xon_cnt_update(self, cpu_interface_state=None, tx_flow_control_xon_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_flow_control_xon_cnt: long
    :param tx_flow_control_xon_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_mcast_pkts_cnt_update(self, cpu_interface_state=None, tx_mcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_mcast_pkts_cnt: long
    :param tx_mcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_overrun_error_cnt_update(self, cpu_interface_state=None, tx_overrun_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_overrun_error_cnt: long
    :param tx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_overrun_error_cnt=tx_overrun_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_overrun_error_cnt=tx_overrun_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_pkts_1024bytes_max_cnt_update(self, cpu_interface_state=None, tx_pkts_1024bytes_max_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_1024bytes_max_cnt: long
    :param tx_pkts_1024bytes_max_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_pkts_128_255bytes_cnt_update(self, cpu_interface_state=None, tx_pkts_128_255bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_128_255bytes_cnt: long
    :param tx_pkts_128_255bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_pkts_256_511bytes_cnt_update(self, cpu_interface_state=None, tx_pkts_256_511bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_256_511bytes_cnt: long
    :param tx_pkts_256_511bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_pkts_512_1023bytes_cnt_update(self, cpu_interface_state=None, tx_pkts_512_1023bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_512_1023bytes_cnt: long
    :param tx_pkts_512_1023bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_pkts_64_127bytes_cnt_update(self, cpu_interface_state=None, tx_pkts_64_127bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_64_127bytes_cnt: long
    :param tx_pkts_64_127bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_pkts_64bytes_cnt_update(self, cpu_interface_state=None, tx_pkts_64bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_64bytes_cnt: long
    :param tx_pkts_64bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_pkts_cnt_update(self, cpu_interface_state=None, tx_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_cnt: long
    :param tx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_cnt=tx_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_cnt=tx_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_tx_timeout_cnt_update(self, cpu_interface_state=None, tx_timeout_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_timeout_cnt: long
    :param tx_timeout_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_timeout_cnt=tx_timeout_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_timeout_cnt=tx_timeout_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_update(self, cpu_interface_state=None, link_status=None, tx_pkts_cnt=None, tx_bytes_cnt=None, tx_errors_cnt=None, tx_drop_cnt=None, tx_overrun_error_cnt=None, tx_carrier_error_cnt=None, rx_pkts_cnt=None, rx_bytes_cnt=None, rx_errors_cnt=None, rx_drop_cnt=None, rx_overrun_error_cnt=None, rx_frame_error_cnt=None, tx_aborted_error_cnt=None, tx_fifo_error_cnt=None, tx_timeout_cnt=None, tx_flow_control_xon_cnt=None, tx_flow_control_xoff_cnt=None, tx_pkts_64bytes_cnt=None, tx_pkts_64_127bytes_cnt=None, tx_pkts_128_255bytes_cnt=None, tx_pkts_256_511bytes_cnt=None, tx_pkts_512_1023bytes_cnt=None, tx_pkts_1024bytes_max_cnt=None, tx_bcast_pkts_cnt=None, tx_mcast_pkts_cnt=None, rx_crc_error_cnt=None, rx_fifo_error_cnt=None, rx_missed_errors_cnt=None, rx_no_dma_resource_cnt=None, rx_flow_control_xon_cnt=None, rx_flow_control_xoff_cnt=None, rx_pkts_64bytes_cnt=None, rx_pkts_64_127bytes_cnt=None, rx_pkts_128_255bytes_cnt=None, rx_pkts_256_511bytes_cnt=None, rx_pkts_512_1023bytes_cnt=None, rx_pkts_1024bytes_max_cnt=None, rx_good_pkts_cnt=None, rx_bcast_pkts_cnt=None, rx_mcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type link_status: unicode
    :param link_status: Keyword argument.

    :type tx_pkts_cnt: long
    :param tx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_bytes_cnt: long
    :param tx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_errors_cnt: long
    :param tx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_drop_cnt: long
    :param tx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_overrun_error_cnt: long
    :param tx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_carrier_error_cnt: long
    :param tx_carrier_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_cnt: long
    :param rx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_bytes_cnt: long
    :param rx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_errors_cnt: long
    :param rx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_drop_cnt: long
    :param rx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_overrun_error_cnt: long
    :param rx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_frame_error_cnt: long
    :param rx_frame_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_aborted_error_cnt: long
    :param tx_aborted_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_fifo_error_cnt: long
    :param tx_fifo_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_timeout_cnt: long
    :param tx_timeout_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_flow_control_xon_cnt: long
    :param tx_flow_control_xon_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_flow_control_xoff_cnt: long
    :param tx_flow_control_xoff_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_pkts_64bytes_cnt: long
    :param tx_pkts_64bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_pkts_64_127bytes_cnt: long
    :param tx_pkts_64_127bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_pkts_128_255bytes_cnt: long
    :param tx_pkts_128_255bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_pkts_256_511bytes_cnt: long
    :param tx_pkts_256_511bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_pkts_512_1023bytes_cnt: long
    :param tx_pkts_512_1023bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_pkts_1024bytes_max_cnt: long
    :param tx_pkts_1024bytes_max_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_bcast_pkts_cnt: long
    :param tx_bcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_mcast_pkts_cnt: long
    :param tx_mcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_crc_error_cnt: long
    :param rx_crc_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_fifo_error_cnt: long
    :param rx_fifo_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_missed_errors_cnt: long
    :param rx_missed_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_no_dma_resource_cnt: long
    :param rx_no_dma_resource_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_flow_control_xon_cnt: long
    :param rx_flow_control_xon_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_flow_control_xoff_cnt: long
    :param rx_flow_control_xoff_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_64bytes_cnt: long
    :param rx_pkts_64bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_64_127bytes_cnt: long
    :param rx_pkts_64_127bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_128_255bytes_cnt: long
    :param rx_pkts_128_255bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_256_511bytes_cnt: long
    :param rx_pkts_256_511bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_512_1023bytes_cnt: long
    :param rx_pkts_512_1023bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkts_1024bytes_max_cnt: long
    :param rx_pkts_1024bytes_max_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_good_pkts_cnt: long
    :param rx_good_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_bcast_pkts_cnt: long
    :param rx_bcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_mcast_pkts_cnt: long
    :param rx_mcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, link_status=link_status, tx_pkts_cnt=tx_pkts_cnt, tx_bytes_cnt=tx_bytes_cnt, tx_errors_cnt=tx_errors_cnt, tx_drop_cnt=tx_drop_cnt, tx_overrun_error_cnt=tx_overrun_error_cnt, tx_carrier_error_cnt=tx_carrier_error_cnt, rx_pkts_cnt=rx_pkts_cnt, rx_bytes_cnt=rx_bytes_cnt, rx_errors_cnt=rx_errors_cnt, rx_drop_cnt=rx_drop_cnt, rx_overrun_error_cnt=rx_overrun_error_cnt, rx_frame_error_cnt=rx_frame_error_cnt, tx_aborted_error_cnt=tx_aborted_error_cnt, tx_fifo_error_cnt=tx_fifo_error_cnt, tx_timeout_cnt=tx_timeout_cnt, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt, rx_crc_error_cnt=rx_crc_error_cnt, rx_fifo_error_cnt=rx_fifo_error_cnt, rx_missed_errors_cnt=rx_missed_errors_cnt, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt, rx_good_pkts_cnt=rx_good_pkts_cnt, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, link_status=link_status, tx_pkts_cnt=tx_pkts_cnt, tx_bytes_cnt=tx_bytes_cnt, tx_errors_cnt=tx_errors_cnt, tx_drop_cnt=tx_drop_cnt, tx_overrun_error_cnt=tx_overrun_error_cnt, tx_carrier_error_cnt=tx_carrier_error_cnt, rx_pkts_cnt=rx_pkts_cnt, rx_bytes_cnt=rx_bytes_cnt, rx_errors_cnt=rx_errors_cnt, rx_drop_cnt=rx_drop_cnt, rx_overrun_error_cnt=rx_overrun_error_cnt, rx_frame_error_cnt=rx_frame_error_cnt, tx_aborted_error_cnt=tx_aborted_error_cnt, tx_fifo_error_cnt=tx_fifo_error_cnt, tx_timeout_cnt=tx_timeout_cnt, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt, rx_crc_error_cnt=rx_crc_error_cnt, rx_fifo_error_cnt=rx_fifo_error_cnt, rx_missed_errors_cnt=rx_missed_errors_cnt, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt, rx_good_pkts_cnt=rx_good_pkts_cnt, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_link_status_update(self, cpu_interface_state=None, link_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type link_status: unicode
    :param link_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, link_status=link_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, link_status=link_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_bcast_pkts_cnt_update(self, cpu_interface_state=None, rx_bcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_bcast_pkts_cnt: long
    :param rx_bcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_bytes_cnt_update(self, cpu_interface_state=None, rx_bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_bytes_cnt: long
    :param rx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_bytes_cnt=rx_bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_bytes_cnt=rx_bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_crc_error_cnt_update(self, cpu_interface_state=None, rx_crc_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_crc_error_cnt: long
    :param rx_crc_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_crc_error_cnt=rx_crc_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_crc_error_cnt=rx_crc_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_drop_cnt_update(self, cpu_interface_state=None, rx_drop_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_drop_cnt: long
    :param rx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_drop_cnt=rx_drop_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_drop_cnt=rx_drop_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_errors_cnt_update(self, cpu_interface_state=None, rx_errors_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_errors_cnt: long
    :param rx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_errors_cnt=rx_errors_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_errors_cnt=rx_errors_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_fifo_error_cnt_update(self, cpu_interface_state=None, rx_fifo_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_fifo_error_cnt: long
    :param rx_fifo_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_fifo_error_cnt=rx_fifo_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_fifo_error_cnt=rx_fifo_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_flow_control_xoff_cnt_update(self, cpu_interface_state=None, rx_flow_control_xoff_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_flow_control_xoff_cnt: long
    :param rx_flow_control_xoff_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_flow_control_xon_cnt_update(self, cpu_interface_state=None, rx_flow_control_xon_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_flow_control_xon_cnt: long
    :param rx_flow_control_xon_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_frame_error_cnt_update(self, cpu_interface_state=None, rx_frame_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_frame_error_cnt: long
    :param rx_frame_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_frame_error_cnt=rx_frame_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_frame_error_cnt=rx_frame_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_good_pkts_cnt_update(self, cpu_interface_state=None, rx_good_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_good_pkts_cnt: long
    :param rx_good_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_good_pkts_cnt=rx_good_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_good_pkts_cnt=rx_good_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_mcast_pkts_cnt_update(self, cpu_interface_state=None, rx_mcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_mcast_pkts_cnt: long
    :param rx_mcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_missed_errors_cnt_update(self, cpu_interface_state=None, rx_missed_errors_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_missed_errors_cnt: long
    :param rx_missed_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_missed_errors_cnt=rx_missed_errors_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_missed_errors_cnt=rx_missed_errors_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_no_dma_resource_cnt_update(self, cpu_interface_state=None, rx_no_dma_resource_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_no_dma_resource_cnt: long
    :param rx_no_dma_resource_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_overrun_error_cnt_update(self, cpu_interface_state=None, rx_overrun_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_overrun_error_cnt: long
    :param rx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_overrun_error_cnt=rx_overrun_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_overrun_error_cnt=rx_overrun_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_pkts_1024bytes_max_cnt_update(self, cpu_interface_state=None, rx_pkts_1024bytes_max_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_1024bytes_max_cnt: long
    :param rx_pkts_1024bytes_max_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_pkts_128_255bytes_cnt_update(self, cpu_interface_state=None, rx_pkts_128_255bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_128_255bytes_cnt: long
    :param rx_pkts_128_255bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_pkts_256_511bytes_cnt_update(self, cpu_interface_state=None, rx_pkts_256_511bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_256_511bytes_cnt: long
    :param rx_pkts_256_511bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_pkts_512_1023bytes_cnt_update(self, cpu_interface_state=None, rx_pkts_512_1023bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_512_1023bytes_cnt: long
    :param rx_pkts_512_1023bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_pkts_64_127bytes_cnt_update(self, cpu_interface_state=None, rx_pkts_64_127bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_64_127bytes_cnt: long
    :param rx_pkts_64_127bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_pkts_64bytes_cnt_update(self, cpu_interface_state=None, rx_pkts_64bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_64bytes_cnt: long
    :param rx_pkts_64bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_rx_pkts_cnt_update(self, cpu_interface_state=None, rx_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type rx_pkts_cnt: long
    :param rx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, rx_pkts_cnt=rx_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, rx_pkts_cnt=rx_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_aborted_error_cnt_update(self, cpu_interface_state=None, tx_aborted_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_aborted_error_cnt: long
    :param tx_aborted_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_aborted_error_cnt=tx_aborted_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_aborted_error_cnt=tx_aborted_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_bcast_pkts_cnt_update(self, cpu_interface_state=None, tx_bcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_bcast_pkts_cnt: long
    :param tx_bcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_bytes_cnt_update(self, cpu_interface_state=None, tx_bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_bytes_cnt: long
    :param tx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_bytes_cnt=tx_bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_bytes_cnt=tx_bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_carrier_error_cnt_update(self, cpu_interface_state=None, tx_carrier_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_carrier_error_cnt: long
    :param tx_carrier_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_carrier_error_cnt=tx_carrier_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_carrier_error_cnt=tx_carrier_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_drop_cnt_update(self, cpu_interface_state=None, tx_drop_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_drop_cnt: long
    :param tx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_drop_cnt=tx_drop_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_drop_cnt=tx_drop_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_errors_cnt_update(self, cpu_interface_state=None, tx_errors_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_errors_cnt: long
    :param tx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_errors_cnt=tx_errors_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_errors_cnt=tx_errors_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_fifo_error_cnt_update(self, cpu_interface_state=None, tx_fifo_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_fifo_error_cnt: long
    :param tx_fifo_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_fifo_error_cnt=tx_fifo_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_fifo_error_cnt=tx_fifo_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_flow_control_xoff_cnt_update(self, cpu_interface_state=None, tx_flow_control_xoff_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_flow_control_xoff_cnt: long
    :param tx_flow_control_xoff_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_flow_control_xon_cnt_update(self, cpu_interface_state=None, tx_flow_control_xon_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_flow_control_xon_cnt: long
    :param tx_flow_control_xon_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_mcast_pkts_cnt_update(self, cpu_interface_state=None, tx_mcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_mcast_pkts_cnt: long
    :param tx_mcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_overrun_error_cnt_update(self, cpu_interface_state=None, tx_overrun_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_overrun_error_cnt: long
    :param tx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_overrun_error_cnt=tx_overrun_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_overrun_error_cnt=tx_overrun_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_pkts_1024bytes_max_cnt_update(self, cpu_interface_state=None, tx_pkts_1024bytes_max_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_1024bytes_max_cnt: long
    :param tx_pkts_1024bytes_max_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_pkts_128_255bytes_cnt_update(self, cpu_interface_state=None, tx_pkts_128_255bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_128_255bytes_cnt: long
    :param tx_pkts_128_255bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_pkts_256_511bytes_cnt_update(self, cpu_interface_state=None, tx_pkts_256_511bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_256_511bytes_cnt: long
    :param tx_pkts_256_511bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_pkts_512_1023bytes_cnt_update(self, cpu_interface_state=None, tx_pkts_512_1023bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_512_1023bytes_cnt: long
    :param tx_pkts_512_1023bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_pkts_64_127bytes_cnt_update(self, cpu_interface_state=None, tx_pkts_64_127bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_64_127bytes_cnt: long
    :param tx_pkts_64_127bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_pkts_64bytes_cnt_update(self, cpu_interface_state=None, tx_pkts_64bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_64bytes_cnt: long
    :param tx_pkts_64bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_pkts_cnt_update(self, cpu_interface_state=None, tx_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_pkts_cnt: long
    :param tx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_pkts_cnt=tx_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_pkts_cnt=tx_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_tx_timeout_cnt_update(self, cpu_interface_state=None, tx_timeout_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type tx_timeout_cnt: long
    :param tx_timeout_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, tx_timeout_cnt=tx_timeout_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, tx_timeout_cnt=tx_timeout_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_update(self, cpu_interface_state=None, gos_link_status=None, gos_tx_pkts_cnt=None, gos_tx_bytes_cnt=None, gos_tx_errors_cnt=None, gos_tx_drop_cnt=None, gos_tx_overrun_error_cnt=None, gos_tx_carrier_error_cnt=None, gos_rx_pkts_cnt=None, gos_rx_bytes_cnt=None, gos_rx_errors_cnt=None, gos_rx_drop_cnt=None, gos_rx_overrun_error_cnt=None, gos_rx_frame_error_cnt=None, host_link_status=None, host_tx_pkts_cnt=None, host_tx_bytes_cnt=None, host_tx_errors_cnt=None, host_tx_drop_cnt=None, host_tx_overrun_error_cnt=None, host_tx_carrier_error_cnt=None, host_rx_pkts_cnt=None, host_rx_bytes_cnt=None, host_rx_errors_cnt=None, host_rx_drop_cnt=None, host_rx_overrun_error_cnt=None, host_rx_frame_error_cnt=None, host_tx_aborted_error_cnt=None, host_tx_fifo_error_cnt=None, host_tx_timeout_cnt=None, host_tx_flow_control_xon_cnt=None, host_tx_flow_control_xoff_cnt=None, host_tx_pkts_64bytes_cnt=None, host_tx_pkts_64_127bytes_cnt=None, host_tx_pkts_128_255bytes_cnt=None, host_tx_pkts_256_511bytes_cnt=None, host_tx_pkts_512_1023bytes_cnt=None, host_tx_pkts_1024bytes_max_cnt=None, host_tx_bcast_pkts_cnt=None, host_tx_mcast_pkts_cnt=None, host_rx_crc_error_cnt=None, host_rx_fifo_error_cnt=None, host_rx_missed_errors_cnt=None, host_rx_no_dma_resource_cnt=None, host_rx_flow_control_xon_cnt=None, host_rx_flow_control_xoff_cnt=None, host_rx_pkts_64bytes_cnt=None, host_rx_pkts_64_127bytes_cnt=None, host_rx_pkts_128_255bytes_cnt=None, host_rx_pkts_256_511bytes_cnt=None, host_rx_pkts_512_1023bytes_cnt=None, host_rx_pkts_1024bytes_max_cnt=None, host_rx_good_pkts_cnt=None, host_rx_bcast_pkts_cnt=None, host_rx_mcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_link_status: unicode
    :param gos_link_status: Keyword argument.

    :type gos_tx_pkts_cnt: long
    :param gos_tx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type gos_tx_bytes_cnt: long
    :param gos_tx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type gos_tx_errors_cnt: long
    :param gos_tx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type gos_tx_drop_cnt: long
    :param gos_tx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type gos_tx_overrun_error_cnt: long
    :param gos_tx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type gos_tx_carrier_error_cnt: long
    :param gos_tx_carrier_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type gos_rx_pkts_cnt: long
    :param gos_rx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type gos_rx_bytes_cnt: long
    :param gos_rx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type gos_rx_errors_cnt: long
    :param gos_rx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type gos_rx_drop_cnt: long
    :param gos_rx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type gos_rx_overrun_error_cnt: long
    :param gos_rx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type gos_rx_frame_error_cnt: long
    :param gos_rx_frame_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_link_status: unicode
    :param host_link_status: Keyword argument.

    :type host_tx_pkts_cnt: long
    :param host_tx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_bytes_cnt: long
    :param host_tx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_errors_cnt: long
    :param host_tx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_drop_cnt: long
    :param host_tx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_overrun_error_cnt: long
    :param host_tx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_carrier_error_cnt: long
    :param host_tx_carrier_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_pkts_cnt: long
    :param host_rx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_bytes_cnt: long
    :param host_rx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_errors_cnt: long
    :param host_rx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_drop_cnt: long
    :param host_rx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_overrun_error_cnt: long
    :param host_rx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_frame_error_cnt: long
    :param host_rx_frame_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_aborted_error_cnt: long
    :param host_tx_aborted_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_fifo_error_cnt: long
    :param host_tx_fifo_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_timeout_cnt: long
    :param host_tx_timeout_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_flow_control_xon_cnt: long
    :param host_tx_flow_control_xon_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_flow_control_xoff_cnt: long
    :param host_tx_flow_control_xoff_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_pkts_64bytes_cnt: long
    :param host_tx_pkts_64bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_pkts_64_127bytes_cnt: long
    :param host_tx_pkts_64_127bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_pkts_128_255bytes_cnt: long
    :param host_tx_pkts_128_255bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_pkts_256_511bytes_cnt: long
    :param host_tx_pkts_256_511bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_pkts_512_1023bytes_cnt: long
    :param host_tx_pkts_512_1023bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_pkts_1024bytes_max_cnt: long
    :param host_tx_pkts_1024bytes_max_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_bcast_pkts_cnt: long
    :param host_tx_bcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_tx_mcast_pkts_cnt: long
    :param host_tx_mcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_crc_error_cnt: long
    :param host_rx_crc_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_fifo_error_cnt: long
    :param host_rx_fifo_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_missed_errors_cnt: long
    :param host_rx_missed_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_no_dma_resource_cnt: long
    :param host_rx_no_dma_resource_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_flow_control_xon_cnt: long
    :param host_rx_flow_control_xon_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_flow_control_xoff_cnt: long
    :param host_rx_flow_control_xoff_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_pkts_64bytes_cnt: long
    :param host_rx_pkts_64bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_pkts_64_127bytes_cnt: long
    :param host_rx_pkts_64_127bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_pkts_128_255bytes_cnt: long
    :param host_rx_pkts_128_255bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_pkts_256_511bytes_cnt: long
    :param host_rx_pkts_256_511bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_pkts_512_1023bytes_cnt: long
    :param host_rx_pkts_512_1023bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_pkts_1024bytes_max_cnt: long
    :param host_rx_pkts_1024bytes_max_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_good_pkts_cnt: long
    :param host_rx_good_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_bcast_pkts_cnt: long
    :param host_rx_bcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type host_rx_mcast_pkts_cnt: long
    :param host_rx_mcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_link_status=gos_link_status, gos_tx_pkts_cnt=gos_tx_pkts_cnt, gos_tx_bytes_cnt=gos_tx_bytes_cnt, gos_tx_errors_cnt=gos_tx_errors_cnt, gos_tx_drop_cnt=gos_tx_drop_cnt, gos_tx_overrun_error_cnt=gos_tx_overrun_error_cnt, gos_tx_carrier_error_cnt=gos_tx_carrier_error_cnt, gos_rx_pkts_cnt=gos_rx_pkts_cnt, gos_rx_bytes_cnt=gos_rx_bytes_cnt, gos_rx_errors_cnt=gos_rx_errors_cnt, gos_rx_drop_cnt=gos_rx_drop_cnt, gos_rx_overrun_error_cnt=gos_rx_overrun_error_cnt, gos_rx_frame_error_cnt=gos_rx_frame_error_cnt, host_link_status=host_link_status, host_tx_pkts_cnt=host_tx_pkts_cnt, host_tx_bytes_cnt=host_tx_bytes_cnt, host_tx_errors_cnt=host_tx_errors_cnt, host_tx_drop_cnt=host_tx_drop_cnt, host_tx_overrun_error_cnt=host_tx_overrun_error_cnt, host_tx_carrier_error_cnt=host_tx_carrier_error_cnt, host_rx_pkts_cnt=host_rx_pkts_cnt, host_rx_bytes_cnt=host_rx_bytes_cnt, host_rx_errors_cnt=host_rx_errors_cnt, host_rx_drop_cnt=host_rx_drop_cnt, host_rx_overrun_error_cnt=host_rx_overrun_error_cnt, host_rx_frame_error_cnt=host_rx_frame_error_cnt, host_tx_aborted_error_cnt=host_tx_aborted_error_cnt, host_tx_fifo_error_cnt=host_tx_fifo_error_cnt, host_tx_timeout_cnt=host_tx_timeout_cnt, host_tx_flow_control_xon_cnt=host_tx_flow_control_xon_cnt, host_tx_flow_control_xoff_cnt=host_tx_flow_control_xoff_cnt, host_tx_pkts_64bytes_cnt=host_tx_pkts_64bytes_cnt, host_tx_pkts_64_127bytes_cnt=host_tx_pkts_64_127bytes_cnt, host_tx_pkts_128_255bytes_cnt=host_tx_pkts_128_255bytes_cnt, host_tx_pkts_256_511bytes_cnt=host_tx_pkts_256_511bytes_cnt, host_tx_pkts_512_1023bytes_cnt=host_tx_pkts_512_1023bytes_cnt, host_tx_pkts_1024bytes_max_cnt=host_tx_pkts_1024bytes_max_cnt, host_tx_bcast_pkts_cnt=host_tx_bcast_pkts_cnt, host_tx_mcast_pkts_cnt=host_tx_mcast_pkts_cnt, host_rx_crc_error_cnt=host_rx_crc_error_cnt, host_rx_fifo_error_cnt=host_rx_fifo_error_cnt, host_rx_missed_errors_cnt=host_rx_missed_errors_cnt, host_rx_no_dma_resource_cnt=host_rx_no_dma_resource_cnt, host_rx_flow_control_xon_cnt=host_rx_flow_control_xon_cnt, host_rx_flow_control_xoff_cnt=host_rx_flow_control_xoff_cnt, host_rx_pkts_64bytes_cnt=host_rx_pkts_64bytes_cnt, host_rx_pkts_64_127bytes_cnt=host_rx_pkts_64_127bytes_cnt, host_rx_pkts_128_255bytes_cnt=host_rx_pkts_128_255bytes_cnt, host_rx_pkts_256_511bytes_cnt=host_rx_pkts_256_511bytes_cnt, host_rx_pkts_512_1023bytes_cnt=host_rx_pkts_512_1023bytes_cnt, host_rx_pkts_1024bytes_max_cnt=host_rx_pkts_1024bytes_max_cnt, host_rx_good_pkts_cnt=host_rx_good_pkts_cnt, host_rx_bcast_pkts_cnt=host_rx_bcast_pkts_cnt, host_rx_mcast_pkts_cnt=host_rx_mcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_link_status=gos_link_status, gos_tx_pkts_cnt=gos_tx_pkts_cnt, gos_tx_bytes_cnt=gos_tx_bytes_cnt, gos_tx_errors_cnt=gos_tx_errors_cnt, gos_tx_drop_cnt=gos_tx_drop_cnt, gos_tx_overrun_error_cnt=gos_tx_overrun_error_cnt, gos_tx_carrier_error_cnt=gos_tx_carrier_error_cnt, gos_rx_pkts_cnt=gos_rx_pkts_cnt, gos_rx_bytes_cnt=gos_rx_bytes_cnt, gos_rx_errors_cnt=gos_rx_errors_cnt, gos_rx_drop_cnt=gos_rx_drop_cnt, gos_rx_overrun_error_cnt=gos_rx_overrun_error_cnt, gos_rx_frame_error_cnt=gos_rx_frame_error_cnt, host_link_status=host_link_status, host_tx_pkts_cnt=host_tx_pkts_cnt, host_tx_bytes_cnt=host_tx_bytes_cnt, host_tx_errors_cnt=host_tx_errors_cnt, host_tx_drop_cnt=host_tx_drop_cnt, host_tx_overrun_error_cnt=host_tx_overrun_error_cnt, host_tx_carrier_error_cnt=host_tx_carrier_error_cnt, host_rx_pkts_cnt=host_rx_pkts_cnt, host_rx_bytes_cnt=host_rx_bytes_cnt, host_rx_errors_cnt=host_rx_errors_cnt, host_rx_drop_cnt=host_rx_drop_cnt, host_rx_overrun_error_cnt=host_rx_overrun_error_cnt, host_rx_frame_error_cnt=host_rx_frame_error_cnt, host_tx_aborted_error_cnt=host_tx_aborted_error_cnt, host_tx_fifo_error_cnt=host_tx_fifo_error_cnt, host_tx_timeout_cnt=host_tx_timeout_cnt, host_tx_flow_control_xon_cnt=host_tx_flow_control_xon_cnt, host_tx_flow_control_xoff_cnt=host_tx_flow_control_xoff_cnt, host_tx_pkts_64bytes_cnt=host_tx_pkts_64bytes_cnt, host_tx_pkts_64_127bytes_cnt=host_tx_pkts_64_127bytes_cnt, host_tx_pkts_128_255bytes_cnt=host_tx_pkts_128_255bytes_cnt, host_tx_pkts_256_511bytes_cnt=host_tx_pkts_256_511bytes_cnt, host_tx_pkts_512_1023bytes_cnt=host_tx_pkts_512_1023bytes_cnt, host_tx_pkts_1024bytes_max_cnt=host_tx_pkts_1024bytes_max_cnt, host_tx_bcast_pkts_cnt=host_tx_bcast_pkts_cnt, host_tx_mcast_pkts_cnt=host_tx_mcast_pkts_cnt, host_rx_crc_error_cnt=host_rx_crc_error_cnt, host_rx_fifo_error_cnt=host_rx_fifo_error_cnt, host_rx_missed_errors_cnt=host_rx_missed_errors_cnt, host_rx_no_dma_resource_cnt=host_rx_no_dma_resource_cnt, host_rx_flow_control_xon_cnt=host_rx_flow_control_xon_cnt, host_rx_flow_control_xoff_cnt=host_rx_flow_control_xoff_cnt, host_rx_pkts_64bytes_cnt=host_rx_pkts_64bytes_cnt, host_rx_pkts_64_127bytes_cnt=host_rx_pkts_64_127bytes_cnt, host_rx_pkts_128_255bytes_cnt=host_rx_pkts_128_255bytes_cnt, host_rx_pkts_256_511bytes_cnt=host_rx_pkts_256_511bytes_cnt, host_rx_pkts_512_1023bytes_cnt=host_rx_pkts_512_1023bytes_cnt, host_rx_pkts_1024bytes_max_cnt=host_rx_pkts_1024bytes_max_cnt, host_rx_good_pkts_cnt=host_rx_good_pkts_cnt, host_rx_bcast_pkts_cnt=host_rx_bcast_pkts_cnt, host_rx_mcast_pkts_cnt=host_rx_mcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_gos_link_status_update(self, cpu_interface_state=None, gos_link_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_link_status: unicode
    :param gos_link_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_link_status=gos_link_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_link_status=gos_link_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_gos_rx_bytes_cnt_update(self, cpu_interface_state=None, gos_rx_bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_rx_bytes_cnt: long
    :param gos_rx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_rx_bytes_cnt=gos_rx_bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_rx_bytes_cnt=gos_rx_bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_gos_rx_drop_cnt_update(self, cpu_interface_state=None, gos_rx_drop_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_rx_drop_cnt: long
    :param gos_rx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_rx_drop_cnt=gos_rx_drop_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_rx_drop_cnt=gos_rx_drop_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_gos_rx_errors_cnt_update(self, cpu_interface_state=None, gos_rx_errors_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_rx_errors_cnt: long
    :param gos_rx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_rx_errors_cnt=gos_rx_errors_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_rx_errors_cnt=gos_rx_errors_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_gos_rx_frame_error_cnt_update(self, cpu_interface_state=None, gos_rx_frame_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_rx_frame_error_cnt: long
    :param gos_rx_frame_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_rx_frame_error_cnt=gos_rx_frame_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_rx_frame_error_cnt=gos_rx_frame_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_gos_rx_overrun_error_cnt_update(self, cpu_interface_state=None, gos_rx_overrun_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_rx_overrun_error_cnt: long
    :param gos_rx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_rx_overrun_error_cnt=gos_rx_overrun_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_rx_overrun_error_cnt=gos_rx_overrun_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_gos_rx_pkts_cnt_update(self, cpu_interface_state=None, gos_rx_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_rx_pkts_cnt: long
    :param gos_rx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_rx_pkts_cnt=gos_rx_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_rx_pkts_cnt=gos_rx_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_gos_tx_bytes_cnt_update(self, cpu_interface_state=None, gos_tx_bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_tx_bytes_cnt: long
    :param gos_tx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_tx_bytes_cnt=gos_tx_bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_tx_bytes_cnt=gos_tx_bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_gos_tx_carrier_error_cnt_update(self, cpu_interface_state=None, gos_tx_carrier_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_tx_carrier_error_cnt: long
    :param gos_tx_carrier_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_tx_carrier_error_cnt=gos_tx_carrier_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_tx_carrier_error_cnt=gos_tx_carrier_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_gos_tx_drop_cnt_update(self, cpu_interface_state=None, gos_tx_drop_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_tx_drop_cnt: long
    :param gos_tx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_tx_drop_cnt=gos_tx_drop_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_tx_drop_cnt=gos_tx_drop_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_gos_tx_errors_cnt_update(self, cpu_interface_state=None, gos_tx_errors_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_tx_errors_cnt: long
    :param gos_tx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_tx_errors_cnt=gos_tx_errors_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_tx_errors_cnt=gos_tx_errors_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_gos_tx_overrun_error_cnt_update(self, cpu_interface_state=None, gos_tx_overrun_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_tx_overrun_error_cnt: long
    :param gos_tx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_tx_overrun_error_cnt=gos_tx_overrun_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_tx_overrun_error_cnt=gos_tx_overrun_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_gos_tx_pkts_cnt_update(self, cpu_interface_state=None, gos_tx_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type gos_tx_pkts_cnt: long
    :param gos_tx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, gos_tx_pkts_cnt=gos_tx_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, gos_tx_pkts_cnt=gos_tx_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_link_status_update(self, cpu_interface_state=None, host_link_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_link_status: unicode
    :param host_link_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_link_status=host_link_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_link_status=host_link_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_bcast_pkts_cnt_update(self, cpu_interface_state=None, host_rx_bcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_bcast_pkts_cnt: long
    :param host_rx_bcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_bcast_pkts_cnt=host_rx_bcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_bcast_pkts_cnt=host_rx_bcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_bytes_cnt_update(self, cpu_interface_state=None, host_rx_bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_bytes_cnt: long
    :param host_rx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_bytes_cnt=host_rx_bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_bytes_cnt=host_rx_bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_crc_error_cnt_update(self, cpu_interface_state=None, host_rx_crc_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_crc_error_cnt: long
    :param host_rx_crc_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_crc_error_cnt=host_rx_crc_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_crc_error_cnt=host_rx_crc_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_drop_cnt_update(self, cpu_interface_state=None, host_rx_drop_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_drop_cnt: long
    :param host_rx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_drop_cnt=host_rx_drop_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_drop_cnt=host_rx_drop_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_errors_cnt_update(self, cpu_interface_state=None, host_rx_errors_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_errors_cnt: long
    :param host_rx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_errors_cnt=host_rx_errors_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_errors_cnt=host_rx_errors_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_fifo_error_cnt_update(self, cpu_interface_state=None, host_rx_fifo_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_fifo_error_cnt: long
    :param host_rx_fifo_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_fifo_error_cnt=host_rx_fifo_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_fifo_error_cnt=host_rx_fifo_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_flow_control_xoff_cnt_update(self, cpu_interface_state=None, host_rx_flow_control_xoff_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_flow_control_xoff_cnt: long
    :param host_rx_flow_control_xoff_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_flow_control_xoff_cnt=host_rx_flow_control_xoff_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_flow_control_xoff_cnt=host_rx_flow_control_xoff_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_flow_control_xon_cnt_update(self, cpu_interface_state=None, host_rx_flow_control_xon_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_flow_control_xon_cnt: long
    :param host_rx_flow_control_xon_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_flow_control_xon_cnt=host_rx_flow_control_xon_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_flow_control_xon_cnt=host_rx_flow_control_xon_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_frame_error_cnt_update(self, cpu_interface_state=None, host_rx_frame_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_frame_error_cnt: long
    :param host_rx_frame_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_frame_error_cnt=host_rx_frame_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_frame_error_cnt=host_rx_frame_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_good_pkts_cnt_update(self, cpu_interface_state=None, host_rx_good_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_good_pkts_cnt: long
    :param host_rx_good_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_good_pkts_cnt=host_rx_good_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_good_pkts_cnt=host_rx_good_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_mcast_pkts_cnt_update(self, cpu_interface_state=None, host_rx_mcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_mcast_pkts_cnt: long
    :param host_rx_mcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_mcast_pkts_cnt=host_rx_mcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_mcast_pkts_cnt=host_rx_mcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_missed_errors_cnt_update(self, cpu_interface_state=None, host_rx_missed_errors_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_missed_errors_cnt: long
    :param host_rx_missed_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_missed_errors_cnt=host_rx_missed_errors_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_missed_errors_cnt=host_rx_missed_errors_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_no_dma_resource_cnt_update(self, cpu_interface_state=None, host_rx_no_dma_resource_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_no_dma_resource_cnt: long
    :param host_rx_no_dma_resource_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_no_dma_resource_cnt=host_rx_no_dma_resource_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_no_dma_resource_cnt=host_rx_no_dma_resource_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_overrun_error_cnt_update(self, cpu_interface_state=None, host_rx_overrun_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_overrun_error_cnt: long
    :param host_rx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_overrun_error_cnt=host_rx_overrun_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_overrun_error_cnt=host_rx_overrun_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_pkts_1024bytes_max_cnt_update(self, cpu_interface_state=None, host_rx_pkts_1024bytes_max_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_pkts_1024bytes_max_cnt: long
    :param host_rx_pkts_1024bytes_max_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_1024bytes_max_cnt=host_rx_pkts_1024bytes_max_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_1024bytes_max_cnt=host_rx_pkts_1024bytes_max_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_pkts_128_255bytes_cnt_update(self, cpu_interface_state=None, host_rx_pkts_128_255bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_pkts_128_255bytes_cnt: long
    :param host_rx_pkts_128_255bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_128_255bytes_cnt=host_rx_pkts_128_255bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_128_255bytes_cnt=host_rx_pkts_128_255bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_pkts_256_511bytes_cnt_update(self, cpu_interface_state=None, host_rx_pkts_256_511bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_pkts_256_511bytes_cnt: long
    :param host_rx_pkts_256_511bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_256_511bytes_cnt=host_rx_pkts_256_511bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_256_511bytes_cnt=host_rx_pkts_256_511bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_pkts_512_1023bytes_cnt_update(self, cpu_interface_state=None, host_rx_pkts_512_1023bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_pkts_512_1023bytes_cnt: long
    :param host_rx_pkts_512_1023bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_512_1023bytes_cnt=host_rx_pkts_512_1023bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_512_1023bytes_cnt=host_rx_pkts_512_1023bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_pkts_64_127bytes_cnt_update(self, cpu_interface_state=None, host_rx_pkts_64_127bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_pkts_64_127bytes_cnt: long
    :param host_rx_pkts_64_127bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_64_127bytes_cnt=host_rx_pkts_64_127bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_64_127bytes_cnt=host_rx_pkts_64_127bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_pkts_64bytes_cnt_update(self, cpu_interface_state=None, host_rx_pkts_64bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_pkts_64bytes_cnt: long
    :param host_rx_pkts_64bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_64bytes_cnt=host_rx_pkts_64bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_64bytes_cnt=host_rx_pkts_64bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_rx_pkts_cnt_update(self, cpu_interface_state=None, host_rx_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_rx_pkts_cnt: long
    :param host_rx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_cnt=host_rx_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_rx_pkts_cnt=host_rx_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_aborted_error_cnt_update(self, cpu_interface_state=None, host_tx_aborted_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_aborted_error_cnt: long
    :param host_tx_aborted_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_aborted_error_cnt=host_tx_aborted_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_aborted_error_cnt=host_tx_aborted_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_bcast_pkts_cnt_update(self, cpu_interface_state=None, host_tx_bcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_bcast_pkts_cnt: long
    :param host_tx_bcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_bcast_pkts_cnt=host_tx_bcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_bcast_pkts_cnt=host_tx_bcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_bytes_cnt_update(self, cpu_interface_state=None, host_tx_bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_bytes_cnt: long
    :param host_tx_bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_bytes_cnt=host_tx_bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_bytes_cnt=host_tx_bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_carrier_error_cnt_update(self, cpu_interface_state=None, host_tx_carrier_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_carrier_error_cnt: long
    :param host_tx_carrier_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_carrier_error_cnt=host_tx_carrier_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_carrier_error_cnt=host_tx_carrier_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_drop_cnt_update(self, cpu_interface_state=None, host_tx_drop_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_drop_cnt: long
    :param host_tx_drop_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_drop_cnt=host_tx_drop_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_drop_cnt=host_tx_drop_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_errors_cnt_update(self, cpu_interface_state=None, host_tx_errors_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_errors_cnt: long
    :param host_tx_errors_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_errors_cnt=host_tx_errors_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_errors_cnt=host_tx_errors_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_fifo_error_cnt_update(self, cpu_interface_state=None, host_tx_fifo_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_fifo_error_cnt: long
    :param host_tx_fifo_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_fifo_error_cnt=host_tx_fifo_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_fifo_error_cnt=host_tx_fifo_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_flow_control_xoff_cnt_update(self, cpu_interface_state=None, host_tx_flow_control_xoff_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_flow_control_xoff_cnt: long
    :param host_tx_flow_control_xoff_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_flow_control_xoff_cnt=host_tx_flow_control_xoff_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_flow_control_xoff_cnt=host_tx_flow_control_xoff_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_flow_control_xon_cnt_update(self, cpu_interface_state=None, host_tx_flow_control_xon_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_flow_control_xon_cnt: long
    :param host_tx_flow_control_xon_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_flow_control_xon_cnt=host_tx_flow_control_xon_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_flow_control_xon_cnt=host_tx_flow_control_xon_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_mcast_pkts_cnt_update(self, cpu_interface_state=None, host_tx_mcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_mcast_pkts_cnt: long
    :param host_tx_mcast_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_mcast_pkts_cnt=host_tx_mcast_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_mcast_pkts_cnt=host_tx_mcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_overrun_error_cnt_update(self, cpu_interface_state=None, host_tx_overrun_error_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_overrun_error_cnt: long
    :param host_tx_overrun_error_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_overrun_error_cnt=host_tx_overrun_error_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_overrun_error_cnt=host_tx_overrun_error_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_pkts_1024bytes_max_cnt_update(self, cpu_interface_state=None, host_tx_pkts_1024bytes_max_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_pkts_1024bytes_max_cnt: long
    :param host_tx_pkts_1024bytes_max_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_1024bytes_max_cnt=host_tx_pkts_1024bytes_max_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_1024bytes_max_cnt=host_tx_pkts_1024bytes_max_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_pkts_128_255bytes_cnt_update(self, cpu_interface_state=None, host_tx_pkts_128_255bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_pkts_128_255bytes_cnt: long
    :param host_tx_pkts_128_255bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_128_255bytes_cnt=host_tx_pkts_128_255bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_128_255bytes_cnt=host_tx_pkts_128_255bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_pkts_256_511bytes_cnt_update(self, cpu_interface_state=None, host_tx_pkts_256_511bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_pkts_256_511bytes_cnt: long
    :param host_tx_pkts_256_511bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_256_511bytes_cnt=host_tx_pkts_256_511bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_256_511bytes_cnt=host_tx_pkts_256_511bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_pkts_512_1023bytes_cnt_update(self, cpu_interface_state=None, host_tx_pkts_512_1023bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_pkts_512_1023bytes_cnt: long
    :param host_tx_pkts_512_1023bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_512_1023bytes_cnt=host_tx_pkts_512_1023bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_512_1023bytes_cnt=host_tx_pkts_512_1023bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_pkts_64_127bytes_cnt_update(self, cpu_interface_state=None, host_tx_pkts_64_127bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_pkts_64_127bytes_cnt: long
    :param host_tx_pkts_64_127bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_64_127bytes_cnt=host_tx_pkts_64_127bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_64_127bytes_cnt=host_tx_pkts_64_127bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_pkts_64bytes_cnt_update(self, cpu_interface_state=None, host_tx_pkts_64bytes_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_pkts_64bytes_cnt: long
    :param host_tx_pkts_64bytes_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_64bytes_cnt=host_tx_pkts_64bytes_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_64bytes_cnt=host_tx_pkts_64bytes_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_pkts_cnt_update(self, cpu_interface_state=None, host_tx_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_pkts_cnt: long
    :param host_tx_pkts_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_cnt=host_tx_pkts_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_pkts_cnt=host_tx_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_stats_host_tx_timeout_cnt_update(self, cpu_interface_state=None, host_tx_timeout_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    **Instance Argument(s)**:

    :type host_tx_timeout_cnt: long
    :param host_tx_timeout_cnt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.cpu_interface_state.stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cpu_interface_state=cpu_interface_state, host_tx_timeout_cnt=host_tx_timeout_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state, host_tx_timeout_cnt=host_tx_timeout_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def crypto_ca_update(self, ca=None, keypair=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ca: trustpoint
    :param ca: Keyword argument tuple.

    :type trustpoint: unicode
    :param trustpoint: **ca** tuple argument:  Trustpoint name

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type keypair: unicode
    :param keypair: Key pair association

        * length restriction: ::

            ['0..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.ca', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.crypto_sa.crypto.ca', 'pybind.slxos.v17r_1_00a.brocade_crypto', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ca=ca, keypair=keypair)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ca=ca, keypair=keypair)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def crypto_ca_keypair_update(self, ca=None, keypair=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ca: trustpoint
    :param ca: Keyword argument tuple.

    :type trustpoint: unicode
    :param trustpoint: **ca** tuple argument:  Trustpoint name

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type keypair: unicode
    :param keypair: Key pair association

        * length restriction: ::

            ['0..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.ca', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.crypto_sa.crypto.ca', 'pybind.slxos.v17r_1_00a.brocade_crypto', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ca=ca, keypair=keypair)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ca=ca, keypair=keypair)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def crypto_key_update(self, key=None, type=None, modulus=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type key: label, type, modulus
    :param key: Keyword argument tuple.

    :type label: unicode
    :param label: **key** tuple argument:  Key Label

        * length restriction: ::

            ['1..64']

    :type type: unicode
    :param type: **key** tuple argument:  Key Type

        * enumeration restriction: ::

            ['dsa', 'rsa', 'ecdsa']

    :type modulus: long
    :param modulus: **key** tuple argument:  Key Size

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Key Type

        * enumeration restriction: ::

            ['dsa', 'rsa', 'ecdsa']

    :type modulus: long
    :param modulus: Key Size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.key', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.crypto_sa.crypto.key', 'pybind.slxos.v17r_1_00a.brocade_crypto', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, key=key, type=type, modulus=modulus)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, key=key, type=type, modulus=modulus)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def crypto_key_modulus_update(self, key=None, modulus=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type key: label
    :param key: Keyword argument tuple.

    :type label: unicode
    :param label: **key** tuple argument:  Key Label

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type modulus: long
    :param modulus: Key Size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.key', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.crypto_sa.crypto.key', 'pybind.slxos.v17r_1_00a.brocade_crypto', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, key=key, modulus=modulus)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, key=key, modulus=modulus)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def crypto_key_type_update(self, key=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type key: label
    :param key: Keyword argument tuple.

    :type label: unicode
    :param label: **key** tuple argument:  Key Label

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Key Type

        * enumeration restriction: ::

            ['dsa', 'rsa', 'ecdsa']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.key', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.crypto_sa.crypto.key', 'pybind.slxos.v17r_1_00a.brocade_crypto', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, key=key, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, key=key, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def diag_post_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: enable - enables POST / no enable - disables POST

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.diag.post', 'pybind.nos.v6_0_2c.brocade_diagnostics', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.diag.post', 'pybind.nos.v7_0_1b.brocade_diagnostics', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.diag.post', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.diag.post', 'pybind.slxos.v17r_1_00a.brocade_diagnostics', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def diag_post_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: enable - enables POST / no enable - disables POST

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.diag.post', 'pybind.nos.v6_0_2c.brocade_diagnostics', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.diag.post', 'pybind.nos.v7_0_1b.brocade_diagnostics', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.diag.post', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.diag.post', 'pybind.slxos.v17r_1_00a.brocade_diagnostics', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def diag_post_rbridge_id_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument:  Syntax: rbridgeId [rbridgeId]

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: enable - enables POST / no enable - disables POST

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.diag.post.rbridge_id', 'pybind.nos.v6_0_2c.brocade_diagnostics', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.diag.post.rbridge_id', 'pybind.nos.v7_0_1b.brocade_diagnostics', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.diag.post.rbridge_id', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.diag.post.rbridge_id', 'pybind.slxos.v17r_1_00a.brocade_diagnostics', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def diag_post_rbridge_id_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument:  Syntax: rbridgeId [rbridgeId]

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: enable - enables POST / no enable - disables POST

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.diag.post.rbridge_id', 'pybind.nos.v6_0_2c.brocade_diagnostics', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.diag.post.rbridge_id', 'pybind.nos.v7_0_1b.brocade_diagnostics', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.diag.post.rbridge_id', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.diag.post.rbridge_id', 'pybind.slxos.v17r_1_00a.brocade_diagnostics', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def dot1x_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable global port authentication

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.dot1x', 'pybind.nos.v6_0_2c.brocade_dot1x', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.dot1x', 'pybind.nos.v7_0_1b.brocade_dot1x', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.dot1x', 'pybind.nos.v7_1_0.brocade_dot1x', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dot1x', 'pybind.slxos.v16r_1_00b.brocade_dot1x', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.dot1x', 'pybind.slxos.v17r_1_00a.brocade_dot1x', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def dot1x_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable global port authentication

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.dot1x', 'pybind.nos.v6_0_2c.brocade_dot1x', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.dot1x', 'pybind.nos.v7_0_1b.brocade_dot1x', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.dot1x', 'pybind.nos.v7_1_0.brocade_dot1x', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dot1x', 'pybind.slxos.v16r_1_00b.brocade_dot1x', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.dot1x', 'pybind.slxos.v17r_1_00a.brocade_dot1x', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def dot1x_test_update(self, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type timeout: long
    :param timeout: Configures timeout for dot1x readiness check

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.dot1x.test', 'pybind.nos.v6_0_2c.brocade_dot1x', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.dot1x.test', 'pybind.nos.v7_0_1b.brocade_dot1x', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.dot1x.test', 'pybind.nos.v7_1_0.brocade_dot1x', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dot1x.test', 'pybind.slxos.v16r_1_00b.brocade_dot1x', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.dot1x.test', 'pybind.slxos.v17r_1_00a.brocade_dot1x', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def dot1x_test_timeout_update(self, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type timeout: long
    :param timeout: Configures timeout for dot1x readiness check

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.dot1x.test', 'pybind.nos.v6_0_2c.brocade_dot1x', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.dot1x.test', 'pybind.nos.v7_0_1b.brocade_dot1x', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.dot1x.test', 'pybind.nos.v7_1_0.brocade_dot1x', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dot1x.test', 'pybind.slxos.v16r_1_00b.brocade_dot1x', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.dot1x.test', 'pybind.slxos.v17r_1_00a.brocade_dot1x', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def dpod_port_id_update(self, port_id=None, operation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_id: port_id
    :param port_id: Keyword argument tuple.

    :type port_id: unicode
    :param port_id: **port_id** tuple argument:  Syntax: [rbridge-id/slot/port]

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type operation: unicode
    :param operation: release/reserve a DPOD license

        * enumeration restriction: ::

            ['release', 'reserve']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.dpod.port_id', 'pybind.nos.v6_0_2c.brocade_license', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.dpod.port_id', 'pybind.nos.v7_0_1b.brocade_license', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.dpod.port_id', 'pybind.nos.v7_1_0.brocade_license', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dpod.port_id', 'pybind.slxos.v16r_1_00b.brocade_license', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.dpod.port_id', 'pybind.slxos.v17r_1_00a.brocade_license', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_id', 'keyval': 'port_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_id=port_id, operation=operation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_id=port_id, operation=operation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def dpod_port_id_operation_update(self, port_id=None, operation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_id: port_id
    :param port_id: Keyword argument tuple.

    :type port_id: unicode
    :param port_id: **port_id** tuple argument:  Syntax: [rbridge-id/slot/port]

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type operation: unicode
    :param operation: release/reserve a DPOD license

        * enumeration restriction: ::

            ['release', 'reserve']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.dpod.port_id', 'pybind.nos.v6_0_2c.brocade_license', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.dpod.port_id', 'pybind.nos.v7_0_1b.brocade_license', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.dpod.port_id', 'pybind.nos.v7_1_0.brocade_license', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dpod.port_id', 'pybind.slxos.v16r_1_00b.brocade_license', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.dpod.port_id', 'pybind.slxos.v17r_1_00a.brocade_license', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_id', 'keyval': 'port_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_id=port_id, operation=operation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_id=port_id, operation=operation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def dscp_exp_state_qos_mpls_update(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type map_type: unicode
    :param map_type: Keyword argument.

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.dscp_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def dscp_exp_state_qos_mpls_enabled_slots_update(self, qos_mpls=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.dscp_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls=qos_mpls, enabled_slots=enabled_slots)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def dscp_exp_state_qos_mpls_map_type_update(self, qos_mpls=None, map_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type map_type: unicode
    :param map_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.dscp_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls=qos_mpls, map_type=map_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, map_type=map_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_activate_name_update(self, name=None, delay=None, iterations=None, interval=None, run_mode=None, trigger_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type delay: long
    :param delay: Delay (in seconds) that the event-handler will wait, for the initial launch of the action after the trigger has been received (default = 0).

        * range restriction: ::

            ['0..4294967295']

    :type iterations: long
    :param iterations: Number of times to launch the action after the initial trigger has been received (default = 1).

        * range restriction: ::

            ['0..4294967295']

    :type interval: long
    :param interval: Time (in seconds) that the event-handler will wait between iterations of completing the previous action (default = 0).

        * range restriction: ::

            ['0..4294967295']

    :type run_mode: unicode
    :param run_mode: Run-mode controls how the action is launched with cluster formation (default = non-exclusive).

        * enumeration restriction: ::

            ['exclusive', 'non-exclusive']

    :type trigger_mode: unicode
    :param trigger_mode: Trigger-mode controls how the action is launched with the configured event trigger (default = each-instance).

        * enumeration restriction: ::

            ['each-instance',
            'only-once',
            'on-first-instance']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.event_handler.activate.name', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.event_handler.activate.name": {}, "pybind.slxos.v16r_1_00b.event_handler.activate.name": {"name": "name", "interval": "interval", "trigger_mode": "trigger_mode", "delay": "delay", "iterations": "iterations", "run_mode": "run_mode"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, name=name, delay=delay, iterations=iterations, interval=interval, run_mode=run_mode, trigger_mode=trigger_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, delay=delay, iterations=iterations, interval=interval, run_mode=run_mode, trigger_mode=trigger_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_activate_name_action_timeout_update(self, name=None, action_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type action_timeout: long
    :param action_timeout: Number of minutes to elapse before action is aborted.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.event_handler.activate.name', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, name=name, action_timeout=action_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, action_timeout=action_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_activate_name_delay_update(self, name=None, delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type delay: long
    :param delay: Delay (in seconds) that the event-handler will wait, for the initial launch of the action after the trigger has been received (default = 0).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.event_handler.activate.name', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, name=name, delay=delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, delay=delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_activate_name_interval_update(self, name=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Time (in seconds) that the event-handler will wait between iterations of completing the previous action (default = 0).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.event_handler.activate.name', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, name=name, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_activate_name_iterations_update(self, name=None, iterations=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type iterations: long
    :param iterations: Number of times to launch the action after the initial trigger has been received (default = 1).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.event_handler.activate.name', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, name=name, iterations=iterations)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, iterations=iterations)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_activate_name_run_mode_update(self, name=None, run_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type run_mode: unicode
    :param run_mode: Run-mode controls how the action is launched with cluster formation (default = non-exclusive).

        * enumeration restriction: ::

            ['exclusive', 'non-exclusive']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.event_handler.activate.name', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, name=name, run_mode=run_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, run_mode=run_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_activate_name_time_window_update(self, name=None, time_window=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type time_window: long
    :param time_window: Number of seconds that is valid for all triggers to be received in order to launch the action.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', u'name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name.trigger_function_container', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, name=name, time_window=time_window)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, time_window=time_window)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_activate_name_trigger_function_update(self, name=None, trigger_function=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type trigger_function: unicode
    :param trigger_function: Trigger-function controls how multiple triggers are interpreted to launch the action (default = OR).

        * enumeration restriction: ::

            ['AND', 'OR']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', u'name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name.trigger_function_container', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, name=name, trigger_function=trigger_function)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, trigger_function=trigger_function)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_activate_name_trigger_function_time_window_update(self, name=None, time_window=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type time_window: long
    :param time_window: Number of seconds that is valid for all triggers to be received in order to launch the action.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.event_handler.activate.name', u'name')]
    bindings_list = [('pybind.slxos.v17r_1_00a.event_handler.activate.name.trigger_function', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, name=name, time_window=time_window)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, time_window=time_window)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_activate_name_trigger_function_trigger_function_update(self, name=None, trigger_function=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type trigger_function: unicode
    :param trigger_function: ENUM:AND|OR;; Trigger-function controls how multiple triggers are interpreted to launch the action (default = OR).

        * enumeration restriction: ::

            ['AND', 'OR']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.event_handler.activate.name', u'name')]
    bindings_list = [('pybind.slxos.v17r_1_00a.event_handler.activate.name.trigger_function', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, name=name, trigger_function=trigger_function)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, trigger_function=trigger_function)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_activate_name_trigger_mode_update(self, name=None, trigger_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type trigger_mode: unicode
    :param trigger_mode: Trigger-mode controls how the action is launched with the configured event trigger (default = each-instance).

        * enumeration restriction: ::

            ['each-instance',
            'only-once',
            'on-first-instance']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.event_handler.activate.name', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, name=name, trigger_mode=trigger_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, trigger_mode=trigger_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_event_handler_list_update(self, event_handler_list=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type event_handler_list: name
    :param event_handler_list: Keyword argument tuple.

    :type name: unicode
    :param name: **event_handler_list** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Event handler description (Max Size - 128)

        * length restriction: ::

            ['1 .. 128']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.event_handler.event_handler_list', 'pybind.nos.v7_0_1b.brocade_event_handler', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'event_handler_list', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.event_handler.event_handler_list": {}, "pybind.nos.v7_0_1b.event_handler.event_handler_list": {}, "pybind.nos.v6_0_2c.event_handler.event_handler_list": {"name": "name"}, "pybind.slxos.v17r_1_00a.event_handler.event_handler_list": {}, "pybind.slxos.v16r_1_00b.event_handler.event_handler_list": {"name": "name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_handler_list=event_handler_list, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_handler_list=event_handler_list, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_event_handler_list_action_update(self, event_handler_list=None, python_script=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type event_handler_list: name
    :param event_handler_list: Keyword argument tuple.

    :type name: unicode
    :param name: **event_handler_list** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type python_script: unicode
    :param python_script: Name of a script located under the flash:// directory (Max Size - 32). Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list')]
    bindings_list = [('pybind.nos.v6_0_2c.event_handler.event_handler_list.action', 'pybind.nos.v6_0_2c.brocade_event_handler', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.event_handler.event_handler_list.action', 'pybind.nos.v7_0_1b.brocade_event_handler', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.action', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.action', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list.action', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.event_handler.event_handler_list.action': [u'python_script'], 'pybind.nos.v6_0_2c.event_handler.event_handler_list.action': [u'python_script'], 'pybind.nos.v7_1_0.event_handler.event_handler_list.action': [u'python_script'], 'pybind.nos.v7_0_1b.event_handler.event_handler_list.action': [u'python_script'], 'pybind.slxos.v16r_1_00b.event_handler.event_handler_list.action': [u'python_script']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_handler_list=event_handler_list, python_script=python_script)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_handler_list=event_handler_list, python_script=python_script)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_event_handler_list_action_python_script_update(self, event_handler_list=None, python_script=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type event_handler_list: name
    :param event_handler_list: Keyword argument tuple.

    :type name: unicode
    :param name: **event_handler_list** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type python_script: unicode
    :param python_script: Name of a script located under the flash:// directory (Max Size - 32).

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list')]
    bindings_list = [('pybind.nos.v6_0_2c.event_handler.event_handler_list.action', 'pybind.nos.v6_0_2c.brocade_event_handler', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.event_handler.event_handler_list.action', 'pybind.nos.v7_0_1b.brocade_event_handler', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.action', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.action', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list.action', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_handler_list=event_handler_list, python_script=python_script)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_handler_list=event_handler_list, python_script=python_script)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_event_handler_list_description_update(self, event_handler_list=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0
        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type event_handler_list: name
    :param event_handler_list: Keyword argument tuple.

    :type name: unicode
    :param name: **event_handler_list** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Event handler description (Max Size - 128)

        * length restriction: ::

            ['1 .. 128']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.event_handler.event_handler_list', 'pybind.nos.v7_0_1b.brocade_event_handler', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'event_handler_list', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_handler_list=event_handler_list, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_handler_list=event_handler_list, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_event_handler_list_trigger_update(self, event_handler_list=None, trigger=None, vcs=None, raslog=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type event_handler_list: name
    :param event_handler_list: Keyword argument tuple.

    :type name: unicode
    :param name: **event_handler_list** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Keyword Argument Tuple**:

    :type trigger: trigger_id, vcs, raslog
    :param trigger: Keyword argument tuple.

    :type trigger_id: long
    :param trigger_id: **trigger** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vcs: unicode
    :param vcs: **trigger** tuple argument:  VCS event type.

        * enumeration restriction: ::

            ['switch-bootup',
            'switch-ready-for-configuration']

    :type raslog: unicode
    :param raslog: **trigger** tuple argument:  RASlog Id.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type vcs: unicode
    :param vcs: VCS event type. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['switch-bootup',
            'switch-ready-for-configuration']

    :type raslog: unicode
    :param raslog: RASlog Id. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v6_0_2c.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list')]
    bindings_list = [('pybind.nos.v6_0_2c.event_handler.event_handler_list.trigger', 'pybind.nos.v6_0_2c.brocade_event_handler', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.event_handler.event_handler_list.trigger', 'pybind.nos.v7_0_1b.brocade_event_handler', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.trigger', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list.trigger', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'trigger', 'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs, raslog'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.event_handler.event_handler_list.trigger": {"vcs": "vcs", "raslog": "raslog", "trigger_id": "trigger_id"}, "pybind.slxos.v16r_1_00b.event_handler.event_handler_list.trigger": {"vcs": "vcs", "raslog": "raslog", "trigger_id": "trigger_id"}, "pybind.nos.v7_1_0.event_handler.event_handler_list.trigger": {}, "pybind.slxos.v17r_1_00a.event_handler.event_handler_list.trigger": {}, "pybind.nos.v6_0_2c.event_handler.event_handler_list.trigger": {"vcs": "vcs", "raslog": "raslog", "trigger_id": "trigger_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.event_handler.event_handler_list.trigger': [u'vcs', u'raslog'], 'pybind.slxos.v16r_1_00b.event_handler.event_handler_list.trigger': [u'vcs', u'raslog'], 'pybind.nos.v7_1_0.event_handler.event_handler_list.trigger': [u'vcs', u'raslog'], 'pybind.slxos.v17r_1_00a.event_handler.event_handler_list.trigger': [u'vcs', u'raslog'], 'pybind.nos.v6_0_2c.event_handler.event_handler_list.trigger': [u'vcs', u'raslog']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_handler_list=event_handler_list, trigger=trigger, vcs=vcs, raslog=raslog)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_handler_list=event_handler_list, trigger=trigger, vcs=vcs, raslog=raslog)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_event_handler_list_trigger_raslog_update(self, event_handler_list=None, trigger=None, raslog=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type event_handler_list: name
    :param event_handler_list: Keyword argument tuple.

    :type name: unicode
    :param name: **event_handler_list** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Keyword Argument Tuple**:

    :type trigger: trigger_id
    :param trigger: Keyword argument tuple.

    :type trigger_id: long
    :param trigger_id: **trigger** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type raslog: unicode
    :param raslog: RASlog Id.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list')]
    bindings_list = [('pybind.nos.v6_0_2c.event_handler.event_handler_list.trigger', 'pybind.nos.v6_0_2c.brocade_event_handler', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.event_handler.event_handler_list.trigger', 'pybind.nos.v7_0_1b.brocade_event_handler', 'pybind.nos.v7_0_1b'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.trigger', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'trigger', 'keyval': 'trigger_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_handler_list=event_handler_list, trigger=trigger, raslog=raslog)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_handler_list=event_handler_list, trigger=trigger, raslog=raslog)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_event_handler_list_trigger_raslog_pattern_update(self, event_handler_list=None, trigger=None, pattern=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0
        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type event_handler_list: name
    :param event_handler_list: Keyword argument tuple.

    :type name: unicode
    :param name: **event_handler_list** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type trigger: trigger_id, vcs
    :param trigger: Keyword argument tuple.

    :type trigger_id: long
    :param trigger_id: **trigger** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vcs: unicode
    :param vcs: **trigger** tuple argument:  VCS event type.

        * enumeration restriction: ::

            ['switch-bootup',
            'switch-ready-for-configuration']

    **Instance Argument(s)**:

    :type pattern: unicode
    :param pattern: Regular expression trigger filter.

        * length restriction: ::

            ['1 .. 128']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list.trigger', u'trigger'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', u'trigger')]
    bindings_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger.raslog', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list.trigger.raslog', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_handler_list=event_handler_list, trigger=trigger, pattern=pattern)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_handler_list=event_handler_list, trigger=trigger, pattern=pattern)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_event_handler_list_trigger_raslog_raslog_update(self, event_handler_list=None, trigger=None, raslog=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0
        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type event_handler_list: name
    :param event_handler_list: Keyword argument tuple.

    :type name: unicode
    :param name: **event_handler_list** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type trigger: trigger_id, vcs
    :param trigger: Keyword argument tuple.

    :type trigger_id: long
    :param trigger_id: **trigger** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vcs: unicode
    :param vcs: **trigger** tuple argument:  VCS event type.

        * enumeration restriction: ::

            ['switch-bootup',
            'switch-ready-for-configuration']

    **Instance Argument(s)**:

    :type raslog: unicode
    :param raslog: RASlog Id.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list.trigger', u'trigger'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', u'trigger')]
    bindings_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger.raslog', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list.trigger.raslog', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_handler_list=event_handler_list, trigger=trigger, raslog=raslog)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_handler_list=event_handler_list, trigger=trigger, raslog=raslog)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_event_handler_list_trigger_vcs_update(self, event_handler_list=None, trigger=None, vcs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type event_handler_list: name
    :param event_handler_list: Keyword argument tuple.

    :type name: unicode
    :param name: **event_handler_list** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Keyword Argument Tuple**:

    :type trigger: trigger_id
    :param trigger: Keyword argument tuple.

    :type trigger_id: long
    :param trigger_id: **trigger** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vcs: unicode
    :param vcs: VCS event type.

        * enumeration restriction: ::

            ['switch-bootup',
            'switch-ready-for-configuration']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v6_0_2c.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list')]
    bindings_list = [('pybind.nos.v6_0_2c.event_handler.event_handler_list.trigger', 'pybind.nos.v6_0_2c.brocade_event_handler', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.event_handler.event_handler_list.trigger', 'pybind.nos.v7_0_1b.brocade_event_handler', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.trigger', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.event_handler.event_handler_list.trigger', 'pybind.slxos.v17r_1_00a.brocade_event_handler', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'trigger', 'keyval': 'trigger_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_handler_list=event_handler_list, trigger=trigger, vcs=vcs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_handler_list=event_handler_list, trigger=trigger, vcs=vcs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def exp_dscp_state_qos_mpls_update(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type map_type: unicode
    :param map_type: Keyword argument.

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.exp_dscp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def exp_dscp_state_qos_mpls_enabled_slots_update(self, qos_mpls=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.exp_dscp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls=qos_mpls, enabled_slots=enabled_slots)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def exp_dscp_state_qos_mpls_map_type_update(self, qos_mpls=None, map_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type map_type: unicode
    :param map_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.exp_dscp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls=qos_mpls, map_type=map_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, map_type=map_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def exp_traffic_class_state_qos_mpls_update(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type map_type: unicode
    :param map_type: Keyword argument.

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.exp_traffic_class_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def exp_traffic_class_state_qos_mpls_enabled_slots_update(self, qos_mpls=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.exp_traffic_class_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls=qos_mpls, enabled_slots=enabled_slots)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def exp_traffic_class_state_qos_mpls_map_type_update(self, qos_mpls=None, map_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type map_type: unicode
    :param map_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.exp_traffic_class_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls=qos_mpls, map_type=map_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, map_type=map_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fabric_route_mcast_rbridge_id_update(self, rbridge_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument:  Syntax: rbridgeId [rbridgeId]

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Syntax: priority [priority] (default 1)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fabric.route.mcast.rbridge_id', 'pybind.nos.v6_0_2c.brocade_fabric_service', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_0_1b.brocade_fabric_service', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_1_0.brocade_fabric_service', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fabric.route.mcast.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_fabric_service', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fabric.route.mcast.rbridge_id', 'pybind.slxos.v17r_1_00a.brocade_fabric_service', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fabric_route_mcast_rbridge_id_priority_update(self, rbridge_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument:  Syntax: rbridgeId [rbridgeId]

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Syntax: priority [priority] (default 1)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fabric.route.mcast.rbridge_id', 'pybind.nos.v6_0_2c.brocade_fabric_service', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_0_1b.brocade_fabric_service', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_1_0.brocade_fabric_service', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fabric.route.mcast.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_fabric_service', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fabric.route.mcast.rbridge_id', 'pybind.slxos.v17r_1_00a.brocade_fabric_service', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_update(self, fcoe_fabric_map=None, fcoe_fabric_map_vlan=None, fcoe_fabric_mode=None, fcoe_fabric_map_priority=None, fcoe_fabric_map_virtual_fabric=None, fcoe_fabric_map_fcmap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcoe_fabric_map_vlan: long
    :param fcoe_fabric_map_vlan: Configure the VLAN for the FCoE Fabric-map

        * range restriction: ::

            ['-2147483648..2147483647']

    :type fcoe_fabric_mode: unicode
    :param fcoe_fabric_mode: Configure the san mode

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            'local|remote'

    :type fcoe_fabric_map_priority: long
    :param fcoe_fabric_map_priority: Configure the priority for the FCoE Fabric-map

        * range restriction: ::

            ['-2147483648..2147483647']

    :type fcoe_fabric_map_virtual_fabric: long
    :param fcoe_fabric_map_virtual_fabric: Configure the Virtual-Fabric ID for the FCoE Fabric-map

        * range restriction: ::

            ['-2147483648..2147483647']

    :type fcoe_fabric_map_fcmap: unicode
    :param fcoe_fabric_map_fcmap: Configure the FCMAP value for a FCoE Fabric-map

        * length restriction: ::

            ['1..9']

        * pattern restriction: ::

            '[0][Ee]:[Ff][Cc]:[0-9a-fA-F]{2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fcoe_fabric_map', 'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_map_vlan=fcoe_fabric_map_vlan, fcoe_fabric_mode=fcoe_fabric_mode, fcoe_fabric_map_priority=fcoe_fabric_map_priority, fcoe_fabric_map_virtual_fabric=fcoe_fabric_map_virtual_fabric, fcoe_fabric_map_fcmap=fcoe_fabric_map_fcmap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_map_vlan=fcoe_fabric_map_vlan, fcoe_fabric_mode=fcoe_fabric_mode, fcoe_fabric_map_priority=fcoe_fabric_map_priority, fcoe_fabric_map_virtual_fabric=fcoe_fabric_map_virtual_fabric, fcoe_fabric_map_fcmap=fcoe_fabric_map_fcmap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_advertisement_update(self, fcoe_fabric_map=None, fcoe_fip_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcoe_fip_advertisement_interval: long
    :param fcoe_fip_advertisement_interval: Configure the FIP Advertisement interval

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_advertisement_interval=fcoe_fip_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_advertisement_interval=fcoe_fip_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_advertisement_interval_update(self, fcoe_fabric_map=None, fcoe_fip_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcoe_fip_advertisement_interval: long
    :param fcoe_fip_advertisement_interval: Configure the FIP Advertisement interval

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_advertisement_interval=fcoe_fip_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_advertisement_interval=fcoe_fip_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcf_group_update(self, fcoe_fabric_map=None, fcoe_fcf_map=None, fcf_map_fcf_rbid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Keyword Argument Tuple**:

    :type fcoe_fcf_map: fcf_map_name
    :param fcoe_fcf_map: Keyword argument tuple.

    :type fcf_map_name: unicode
    :param fcf_map_name: **fcoe_fcf_map** tuple argument.

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcf_map_fcf_rbid: long
    :param fcf_map_fcf_rbid: Configure FCF Box's rbridge-id in the FCF Group

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fcoe_fcf_map', 'keyval': 'fcf_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fcf_rbid=fcf_map_fcf_rbid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fcf_rbid=fcf_map_fcf_rbid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcf_group_fcf_rbid_update(self, fcoe_fabric_map=None, fcoe_fcf_map=None, fcf_map_fcf_rbid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Keyword Argument Tuple**:

    :type fcoe_fcf_map: fcf_map_name
    :param fcoe_fcf_map: Keyword argument tuple.

    :type fcf_map_name: unicode
    :param fcf_map_name: **fcoe_fcf_map** tuple argument.

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcf_map_fcf_rbid: long
    :param fcf_map_fcf_rbid: Configure FCF Box's rbridge-id in the FCF Group

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fcoe_fcf_map', 'keyval': 'fcf_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fcf_rbid=fcf_map_fcf_rbid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fcf_rbid=fcf_map_fcf_rbid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcf_group_fif_rbid_update(self, fcoe_fabric_map=None, fcoe_fcf_map=None, fcf_map_fif_rbid_add=None, fcf_map_fif_rbid_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    :type fcoe_fcf_map: fcf_map_name
    :param fcoe_fcf_map: Keyword argument tuple.

    :type fcf_map_name: unicode
    :param fcf_map_name: **fcoe_fcf_map** tuple argument.

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcf_map_fif_rbid_add: unicode
    :param fcf_map_fif_rbid_add: Add FIF rbridge-id/s in the FCF Group

        * length restriction: ::

            ['1..567']

        * pattern restriction: ::

            '(([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type fcf_map_fif_rbid_remove: unicode
    :param fcf_map_fif_rbid_remove: Remove FIF rbridge-id/s in the FCF Group

        * length restriction: ::

            ['1..567']

        * pattern restriction: ::

            '(([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fif_rbid_add=fcf_map_fif_rbid_add, fcf_map_fif_rbid_remove=fcf_map_fif_rbid_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fif_rbid_add=fcf_map_fif_rbid_add, fcf_map_fif_rbid_remove=fcf_map_fif_rbid_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcf_group_fif_rbid_add_update(self, fcoe_fabric_map=None, fcoe_fcf_map=None, fcf_map_fif_rbid_add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    :type fcoe_fcf_map: fcf_map_name
    :param fcoe_fcf_map: Keyword argument tuple.

    :type fcf_map_name: unicode
    :param fcf_map_name: **fcoe_fcf_map** tuple argument.

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcf_map_fif_rbid_add: unicode
    :param fcf_map_fif_rbid_add: Add FIF rbridge-id/s in the FCF Group

        * length restriction: ::

            ['1..567']

        * pattern restriction: ::

            '(([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fif_rbid_add=fcf_map_fif_rbid_add)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fif_rbid_add=fcf_map_fif_rbid_add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcf_group_fif_rbid_remove_update(self, fcoe_fabric_map=None, fcoe_fcf_map=None, fcf_map_fif_rbid_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    :type fcoe_fcf_map: fcf_map_name
    :param fcoe_fcf_map: Keyword argument tuple.

    :type fcf_map_name: unicode
    :param fcf_map_name: **fcoe_fcf_map** tuple argument.

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcf_map_fif_rbid_remove: unicode
    :param fcf_map_fif_rbid_remove: Remove FIF rbridge-id/s in the FCF Group

        * length restriction: ::

            ['1..567']

        * pattern restriction: ::

            '(([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fif_rbid_remove=fcf_map_fif_rbid_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fif_rbid_remove=fcf_map_fif_rbid_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcmap_update(self, fcoe_fabric_map=None, fcoe_fabric_map_fcmap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcoe_fabric_map_fcmap: unicode
    :param fcoe_fabric_map_fcmap: Configure the FCMAP value for a FCoE Fabric-map

        * length restriction: ::

            ['1..9']

        * pattern restriction: ::

            '[0][Ee]:[Ff][Cc]:[0-9a-fA-F]{2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fcoe_fabric_map', 'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_map_fcmap=fcoe_fabric_map_fcmap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_map_fcmap=fcoe_fabric_map_fcmap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcport_group_fcport_group_rbid_update(self, fcoe_fabric_map=None, fcport_group_rbid_add=None, fcport_group_rbid_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcport_group_rbid_add: unicode
    :param fcport_group_rbid_add: Add  rbridge-id/s to the fcport-group

        * length restriction: ::

            ['1..567']

        * pattern restriction: ::

            '(([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type fcport_group_rbid_remove: unicode
    :param fcport_group_rbid_remove: Remove fcport-group rbridge-id/s from the fcport-group

        * length restriction: ::

            ['1..567']

        * pattern restriction: ::

            '(([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcport_group_rbid_add=fcport_group_rbid_add, fcport_group_rbid_remove=fcport_group_rbid_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcport_group_rbid_add=fcport_group_rbid_add, fcport_group_rbid_remove=fcport_group_rbid_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcport_group_fcport_group_rbid_add_update(self, fcoe_fabric_map=None, fcport_group_rbid_add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcport_group_rbid_add: unicode
    :param fcport_group_rbid_add: Add  rbridge-id/s to the fcport-group

        * length restriction: ::

            ['1..567']

        * pattern restriction: ::

            '(([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcport_group_rbid_add=fcport_group_rbid_add)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcport_group_rbid_add=fcport_group_rbid_add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcport_group_fcport_group_rbid_remove_update(self, fcoe_fabric_map=None, fcport_group_rbid_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcport_group_rbid_remove: unicode
    :param fcport_group_rbid_remove: Remove fcport-group rbridge-id/s from the fcport-group

        * length restriction: ::

            ['1..567']

        * pattern restriction: ::

            '(([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcport_group_rbid_remove=fcport_group_rbid_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcport_group_rbid_remove=fcport_group_rbid_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_keep_alive_update(self, fcoe_fabric_map=None, fcoe_fip_keep_alive_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcoe_fip_keep_alive_timeout: YANGBool
    :param fcoe_fip_keep_alive_timeout: Enable/Disable the keep-alive timeout

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_keep_alive_timeout=fcoe_fip_keep_alive_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_keep_alive_timeout=fcoe_fip_keep_alive_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_keep_alive_timeout_update(self, fcoe_fabric_map=None, fcoe_fip_keep_alive_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcoe_fip_keep_alive_timeout: YANGBool
    :param fcoe_fip_keep_alive_timeout: Enable/Disable the keep-alive timeout

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_keep_alive_timeout=fcoe_fip_keep_alive_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_keep_alive_timeout=fcoe_fip_keep_alive_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_priority_update(self, fcoe_fabric_map=None, fcoe_fabric_map_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcoe_fabric_map_priority: long
    :param fcoe_fabric_map_priority: Configure the priority for the FCoE Fabric-map

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fcoe_fabric_map', 'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_map_priority=fcoe_fabric_map_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_map_priority=fcoe_fabric_map_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_san_mode_update(self, fcoe_fabric_map=None, fcoe_fabric_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcoe_fabric_mode: unicode
    :param fcoe_fabric_mode: Configure the san mode

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            'local|remote'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fcoe_fabric_map', 'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_mode=fcoe_fabric_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_mode=fcoe_fabric_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_virtual_fabric_update(self, fcoe_fabric_map=None, fcoe_fabric_map_virtual_fabric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcoe_fabric_map_virtual_fabric: long
    :param fcoe_fabric_map_virtual_fabric: Configure the Virtual-Fabric ID for the FCoE Fabric-map

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fcoe_fabric_map', 'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_map_virtual_fabric=fcoe_fabric_map_virtual_fabric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_map_virtual_fabric=fcoe_fabric_map_virtual_fabric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_vlan_update(self, fcoe_fabric_map=None, fcoe_fabric_map_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcoe_fabric_map_vlan: long
    :param fcoe_fabric_map_vlan: Configure the VLAN for the FCoE Fabric-map

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_fabric_map', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fcoe_fabric_map', 'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_map_vlan=fcoe_fabric_map_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_map_vlan=fcoe_fabric_map_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fcoe_map_cee_map_update(self, fcoe_map=None, fcoe_map_cee_map_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_map: fcoe_map_name
    :param fcoe_map: Keyword argument tuple.

    :type fcoe_map_name: unicode
    :param fcoe_map_name: **fcoe_map** tuple argument:  FCoE Map name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type fcoe_map_cee_map_leaf: unicode
    :param fcoe_map_cee_map_leaf: Configure the CEE Map in the FCoE Map

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.fcoe.fcoe_map', u'fcoe_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_map', u'fcoe_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_map', u'fcoe_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_map', u'fcoe_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_map', u'fcoe_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_map=fcoe_map, fcoe_map_cee_map_leaf=fcoe_map_cee_map_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_map=fcoe_map, fcoe_map_cee_map_leaf=fcoe_map_cee_map_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fcoe_map_cee_map_fcoe_map_cee_map_leaf_update(self, fcoe_map=None, fcoe_map_cee_map_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_map: fcoe_map_name
    :param fcoe_map: Keyword argument tuple.

    :type fcoe_map_name: unicode
    :param fcoe_map_name: **fcoe_map** tuple argument:  FCoE Map name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type fcoe_map_cee_map_leaf: unicode
    :param fcoe_map_cee_map_leaf: Configure the CEE Map in the FCoE Map

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.fcoe.fcoe_map', u'fcoe_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_map', u'fcoe_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_map', u'fcoe_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_map', u'fcoe_map'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_map', u'fcoe_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_map=fcoe_map, fcoe_map_cee_map_leaf=fcoe_map_cee_map_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_map=fcoe_map, fcoe_map_cee_map_leaf=fcoe_map_cee_map_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcsp_auth_auth_type_update(self, auth_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_type: unicode
    :param auth_type: The authentication type

        * enumeration restriction: ::

            ['dh-chap']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v6_0_2c.brocade_fc_auth', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_0_1b.brocade_fc_auth', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.proto', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcsp_sa.fcsp.auth.proto', 'pybind.slxos.v17r_1_00a.brocade_fc_auth', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_type=auth_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_type=auth_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcsp_auth_group_update(self, group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type group: unicode
    :param group: The group value

        * pattern restriction: ::

            '[0-4\*]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v6_0_2c.brocade_fc_auth', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_0_1b.brocade_fc_auth', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.proto', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcsp_sa.fcsp.auth.proto', 'pybind.slxos.v17r_1_00a.brocade_fc_auth', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group=group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group=group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcsp_auth_hash_update(self, hash=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hash: unicode
    :param hash: The hash type

        * enumeration restriction: ::

            ['all', 'sha1', 'md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v6_0_2c.brocade_fc_auth', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_0_1b.brocade_fc_auth', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.proto', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcsp_sa.fcsp.auth.proto', 'pybind.slxos.v17r_1_00a.brocade_fc_auth', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hash=hash)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hash=hash)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcsp_auth_policy_update(self, switch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type switch: unicode
    :param switch: Enable switch policy

        * enumeration restriction: ::

            ['active', 'on', 'off', 'passive']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v6_0_2c.brocade_fc_auth', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v7_0_1b.brocade_fc_auth', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.policy', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcsp_sa.fcsp.auth.policy', 'pybind.slxos.v17r_1_00a.brocade_fc_auth', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, switch=switch)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, switch=switch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcsp_auth_policy_switch_update(self, switch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type switch: unicode
    :param switch: Enable switch policy

        * enumeration restriction: ::

            ['active', 'on', 'off', 'passive']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v6_0_2c.brocade_fc_auth', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v7_0_1b.brocade_fc_auth', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.policy', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcsp_sa.fcsp.auth.policy', 'pybind.slxos.v17r_1_00a.brocade_fc_auth', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, switch=switch)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, switch=switch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcsp_auth_proto_update(self, auth_type=None, group=None, hash=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_type: unicode
    :param auth_type: The authentication type

        * enumeration restriction: ::

            ['dh-chap']

    :type group: unicode
    :param group: The group value

        * pattern restriction: ::

            '[0-4\*]'

    :type hash: unicode
    :param hash: The hash type

        * enumeration restriction: ::

            ['all', 'sha1', 'md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v6_0_2c.brocade_fc_auth', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_0_1b.brocade_fc_auth', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.proto', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcsp_sa.fcsp.auth.proto', 'pybind.slxos.v17r_1_00a.brocade_fc_auth', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_type=auth_type, group=group, hash=hash)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_type=auth_type, group=group, hash=hash)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def firmware_auto_upgrade_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.firmware.autoupgrade', 'pybind.nos.v6_0_2c.brocade_firmware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.firmware.autoupgrade', 'pybind.nos.v7_0_1b.brocade_firmware', 'pybind.nos.v7_0_1b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def firmware_auto_upgrade_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.firmware.autoupgrade', 'pybind.nos.v6_0_2c.brocade_firmware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.firmware.autoupgrade', 'pybind.nos.v7_0_1b.brocade_firmware', 'pybind.nos.v7_0_1b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def firmware_auto_upgrade_params_update(self, path=None, protocol=None, ipaddress=None, username=None, pass_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b    

    **Instance Argument(s)**:

    :type path: unicode
    :param path: Auto-upgrade firmware path

    :type protocol: unicode
    :param protocol: Protocol type : ftp, scp, sftp, usb

        * enumeration restriction: ::

            ['ftp', 'scp', 'sftp']

    :type ipaddress: unicode
    :param ipaddress: Ipaddress or hostname

    :type username: unicode
    :param username: Username

    :type pass_: unicode
    :param pass_: Password

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.firmware.autoupgrade_params', 'pybind.nos.v6_0_2c.brocade_firmware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.firmware.autoupgrade_params', 'pybind.nos.v7_0_1b.brocade_firmware', 'pybind.nos.v7_0_1b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, protocol=protocol, ipaddress=ipaddress, username=username, pass_=pass_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, protocol=protocol, ipaddress=ipaddress, username=username, pass_=pass_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def firmware_auto_upgrade_params_host_update(self, ipaddress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b    

    **Instance Argument(s)**:

    :type ipaddress: unicode
    :param ipaddress: Ipaddress or hostname

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.firmware.autoupgrade_params', 'pybind.nos.v6_0_2c.brocade_firmware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.firmware.autoupgrade_params', 'pybind.nos.v7_0_1b.brocade_firmware', 'pybind.nos.v7_0_1b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipaddress=ipaddress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipaddress=ipaddress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def firmware_auto_upgrade_params_password_update(self, pass_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b    

    **Instance Argument(s)**:

    :type pass_: unicode
    :param pass_: Password

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.firmware.autoupgrade_params', 'pybind.nos.v6_0_2c.brocade_firmware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.firmware.autoupgrade_params', 'pybind.nos.v7_0_1b.brocade_firmware', 'pybind.nos.v7_0_1b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pass_=pass_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pass_=pass_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def firmware_auto_upgrade_params_path_update(self, path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b    

    **Instance Argument(s)**:

    :type path: unicode
    :param path: Auto-upgrade firmware path

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.firmware.autoupgrade_params', 'pybind.nos.v6_0_2c.brocade_firmware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.firmware.autoupgrade_params', 'pybind.nos.v7_0_1b.brocade_firmware', 'pybind.nos.v7_0_1b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def firmware_auto_upgrade_params_protocol_update(self, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b    

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Protocol type : ftp, scp, sftp, usb

        * enumeration restriction: ::

            ['ftp', 'scp', 'sftp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.firmware.autoupgrade_params', 'pybind.nos.v6_0_2c.brocade_firmware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.firmware.autoupgrade_params', 'pybind.nos.v7_0_1b.brocade_firmware', 'pybind.nos.v7_0_1b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def firmware_auto_upgrade_params_username_update(self, username=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b    

    **Instance Argument(s)**:

    :type username: unicode
    :param username: Username

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.firmware.autoupgrade_params', 'pybind.nos.v6_0_2c.brocade_firmware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.firmware.autoupgrade_params', 'pybind.nos.v7_0_1b.brocade_firmware', 'pybind.nos.v7_0_1b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, username=username)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, username=username)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fsb_update(self, fcoe_fsb_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fcoe_fsb_enable: YANGBool
    :param fcoe_fsb_enable: Enable/Disable the fsb mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcoe_fsb', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe_fsb', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe_fsb', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe_fsb', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe_fsb', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fsb_enable=fcoe_fsb_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fsb_enable=fcoe_fsb_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fsb_enable_update(self, fcoe_fsb_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fcoe_fsb_enable: YANGBool
    :param fcoe_fsb_enable: Enable/Disable the fsb mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcoe_fsb', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe_fsb', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe_fsb', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe_fsb', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.fcoe_fsb', 'pybind.slxos.v17r_1_00a.brocade_fcoe', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe_fsb_enable=fcoe_fsb_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fsb_enable=fcoe_fsb_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def global_mtu_conf_update(self, global_l2_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type global_l2_mtu: long
    :param global_l2_mtu: Set L2 mtu value to all interfaces of this cluster

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.global_mtu_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.global_mtu_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_l2_mtu=global_l2_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_l2_mtu=global_l2_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ha_process_restart_update(self, mpls=None, bgp=None, isis=None, ospfv2=None, ospfv3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mpls: YANGBool
    :param mpls: MPLS protocol

    :type bgp: YANGBool
    :param bgp: BGP protocol

    :type isis: YANGBool
    :param isis: ISIS protocol

    :type ospfv2: YANGBool
    :param ospfv2: OSPF-V2 protocol

    :type ospfv3: YANGBool
    :param ospfv3: OSPF-V3 protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.ha.process_restart', 'pybind.slxos.v17r_1_00a.brocade_ha', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.ha.process_restart": {}, "pybind.slxos.v17r_1_00a.ha.process_restart": {"bgp": "bgp", "isis": "isis", "mpls": "mpls", "ospfv2": "ospfv2", "ospfv3": "ospfv3"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls=mpls, bgp=bgp, isis=isis, ospfv2=ospfv2, ospfv3=ospfv3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls=mpls, bgp=bgp, isis=isis, ospfv2=ospfv2, ospfv3=ospfv3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ha_process_restart_bgp_update(self, bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp: YANGBool
    :param bgp: BGP protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.ha.process_restart', 'pybind.slxos.v17r_1_00a.brocade_ha', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp=bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp=bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ha_process_restart_disable_update(self, mpls=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type mpls: YANGBool
    :param mpls: MPLS protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ha.process_restart.disable_res', 'pybind.slxos.v16r_1_00b.brocade_ha', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'mpls'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls=mpls)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls=mpls)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ha_process_restart_disable_mpls_update(self, mpls=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type mpls: YANGBool
    :param mpls: MPLS protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ha.process_restart.disable_res', 'pybind.slxos.v16r_1_00b.brocade_ha', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls=mpls)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls=mpls)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ha_process_restart_isis_update(self, isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type isis: YANGBool
    :param isis: ISIS protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.ha.process_restart', 'pybind.slxos.v17r_1_00a.brocade_ha', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis=isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis=isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ha_process_restart_mpls_update(self, mpls=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type mpls: YANGBool
    :param mpls: MPLS protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.ha.process_restart', 'pybind.slxos.v17r_1_00a.brocade_ha', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls=mpls)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls=mpls)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ha_process_restart_ospfv2_update(self, ospfv2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type ospfv2: YANGBool
    :param ospfv2: OSPF-V2 protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.ha.process_restart', 'pybind.slxos.v17r_1_00a.brocade_ha', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospfv2=ospfv2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospfv2=ospfv2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ha_process_restart_ospfv3_update(self, ospfv3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type ospfv3: YANGBool
    :param ospfv3: OSPF-V3 protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.ha.process_restart', 'pybind.slxos.v17r_1_00a.brocade_ha', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospfv3=ospfv3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospfv3=ospfv3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_connector_breakout_mode_update(self, connector=None, cage_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type connector: name
    :param connector: Keyword argument tuple.

    :type name: unicode
    :param name: **connector** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9]))'

    **Instance Argument(s)**:

    :type cage_mode: unicode
    :param cage_mode: Configure breakout mode

        * enumeration restriction: ::

            ['disabled', '4x10g', '2x40g', '2x50g', '4x25g']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.hardware.connector', u'connector'), ('pybind.slxos.v17r_1_00a.hardware.connector', u'connector')]
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.connector.breakout', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.connector.breakout', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connector=connector, cage_mode=cage_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connector=connector, cage_mode=cage_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_connector_group_update(self, connector_group=None, speed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type connector_group: id
    :param connector_group: Keyword argument tuple.

    :type id: unicode
    :param id: **connector_group** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type speed: unicode
    :param speed: Configure the speed of the connector group

        * enumeration restriction: ::

            ['HighMixed', 'FibreChannel', 'LowMixed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hardware.connector_group', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.connector_group', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.connector_group', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'connector_group', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connector_group=connector_group, speed=speed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connector_group=connector_group, speed=speed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_connector_group_speed_update(self, connector_group=None, speed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type connector_group: id
    :param connector_group: Keyword argument tuple.

    :type id: unicode
    :param id: **connector_group** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type speed: unicode
    :param speed: Configure the speed of the connector group

        * enumeration restriction: ::

            ['HighMixed', 'FibreChannel', 'LowMixed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hardware.connector_group', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.connector_group', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.connector_group', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'connector_group', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connector_group=connector_group, speed=speed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connector_group=connector_group, speed=speed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_connector_insight_update(self, connector=None, insmode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type connector: name
    :param connector: Keyword argument tuple.

    :type name: unicode
    :param name: **connector** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9]))'

    **Instance Argument(s)**:

    :type insmode: YANGBool
    :param insmode: enable insight interface mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.hardware.connector', u'connector')]
    bindings_list = [('pybind.slxos.v17r_1_00a.hardware.connector.insight', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connector=connector, insmode=insmode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connector=connector, insmode=insmode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_connector_insight_mode_update(self, connector=None, insmode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type connector: name
    :param connector: Keyword argument tuple.

    :type name: unicode
    :param name: **connector** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9]))'

    **Instance Argument(s)**:

    :type insmode: YANGBool
    :param insmode: enable insight interface mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.hardware.connector', u'connector')]
    bindings_list = [('pybind.slxos.v17r_1_00a.hardware.connector.insight', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connector=connector, insmode=insmode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connector=connector, insmode=insmode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_connector_sfp_update(self, connector=None, breakout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type connector: name
    :param connector: Keyword argument tuple.

    :type name: unicode
    :param name: **connector** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])?)'

    **Instance Argument(s)**:

    :type breakout: YANGBool
    :param breakout: Breakout port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.hardware.connector', u'connector'), ('pybind.nos.v7_0_1b.hardware.connector', u'connector'), ('pybind.nos.v7_1_0.hardware.connector', u'connector')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.connector.sfp', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.connector.sfp', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.connector.sfp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connector=connector, breakout=breakout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connector=connector, breakout=breakout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_connector_sfp_breakout_update(self, connector=None, breakout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type connector: name
    :param connector: Keyword argument tuple.

    :type name: unicode
    :param name: **connector** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])?)'

    **Instance Argument(s)**:

    :type breakout: YANGBool
    :param breakout: Breakout port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hardware.connector', u'connector'), ('pybind.nos.v7_0_1b.hardware.connector', u'connector'), ('pybind.nos.v7_1_0.hardware.connector', u'connector')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.connector.sfp', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.connector.sfp', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.connector.sfp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connector=connector, breakout=breakout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connector=connector, breakout=breakout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_bfd_l3_update(self, kap_custom_profile=None, bfd_l3_hello_interval=None, bfd_l3_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bfd_l3_hello_interval: long
    :param bfd_l3_hello_interval: Configure BFD-L3 hello interval.

        * range restriction: ::

            ['0..4294967295']

    :type bfd_l3_num_entry: long
    :param bfd_l3_num_entry: Configure number of BFD-L3 keep-alive entries/per slot.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'bfd_l3_hello_interval, bfd_l3_num_entry'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, bfd_l3_hello_interval=bfd_l3_hello_interval, bfd_l3_num_entry=bfd_l3_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, bfd_l3_hello_interval=bfd_l3_hello_interval, bfd_l3_num_entry=bfd_l3_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_bfd_l3_hello_interval_update(self, kap_custom_profile=None, bfd_l3_hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bfd_l3_hello_interval: long
    :param bfd_l3_hello_interval: Configure BFD-L3 hello interval.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, bfd_l3_hello_interval=bfd_l3_hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, bfd_l3_hello_interval=bfd_l3_hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_bfd_l3_num_entry_update(self, kap_custom_profile=None, bfd_l3_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bfd_l3_num_entry: long
    :param bfd_l3_num_entry: Configure number of BFD-L3 keep-alive entries/per slot.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, bfd_l3_num_entry=bfd_l3_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, bfd_l3_num_entry=bfd_l3_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_bfd_vxlan_update(self, kap_custom_profile=None, bfd_vxlan_hello_interval=None, bfd_vxlan_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bfd_vxlan_hello_interval: long
    :param bfd_vxlan_hello_interval: Configure BFD-VXLAN hello interval.

        * range restriction: ::

            ['0..4294967295']

    :type bfd_vxlan_num_entry: long
    :param bfd_vxlan_num_entry: Configure number of BFD-VXLAN keep-alive entries.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'bfd_vxlan_hello_interval, bfd_vxlan_num_entry'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, bfd_vxlan_hello_interval=bfd_vxlan_hello_interval, bfd_vxlan_num_entry=bfd_vxlan_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, bfd_vxlan_hello_interval=bfd_vxlan_hello_interval, bfd_vxlan_num_entry=bfd_vxlan_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_bfd_vxlan_hello_interval_update(self, kap_custom_profile=None, bfd_vxlan_hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bfd_vxlan_hello_interval: long
    :param bfd_vxlan_hello_interval: Configure BFD-VXLAN hello interval.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, bfd_vxlan_hello_interval=bfd_vxlan_hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, bfd_vxlan_hello_interval=bfd_vxlan_hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_bfd_vxlan_num_entry_update(self, kap_custom_profile=None, bfd_vxlan_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bfd_vxlan_num_entry: long
    :param bfd_vxlan_num_entry: Configure number of BFD-VXLAN keep-alive entries.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, bfd_vxlan_num_entry=bfd_vxlan_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, bfd_vxlan_num_entry=bfd_vxlan_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_fcoe_update(self, kap_custom_profile=None, fcoe_hello_interval=None, fcoe_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type fcoe_hello_interval: long
    :param fcoe_hello_interval: Configure FCOE hello interval.

        * range restriction: ::

            ['0..4294967295']

    :type fcoe_num_entry: long
    :param fcoe_num_entry: Configure number of FCOE keep-alive entries/per slot.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoe_hello_interval, fcoe_num_entry'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, fcoe_hello_interval=fcoe_hello_interval, fcoe_num_entry=fcoe_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, fcoe_hello_interval=fcoe_hello_interval, fcoe_num_entry=fcoe_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_fcoe_hello_interval_update(self, kap_custom_profile=None, fcoe_hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type fcoe_hello_interval: long
    :param fcoe_hello_interval: Configure FCOE hello interval.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, fcoe_hello_interval=fcoe_hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, fcoe_hello_interval=fcoe_hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_fcoe_num_entry_update(self, kap_custom_profile=None, fcoe_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type fcoe_num_entry: long
    :param fcoe_num_entry: Configure number of FCOE keep-alive entries/per slot.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, fcoe_num_entry=fcoe_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, fcoe_num_entry=fcoe_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_lacp_update(self, kap_custom_profile=None, lacp_hello_interval=None, lacp_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lacp_hello_interval: unicode
    :param lacp_hello_interval: Configure LACP hello interval.

        * enumeration restriction: ::

            ['30000', '1000']

    :type lacp_num_entry: long
    :param lacp_num_entry: Configure number of LACP keep-alive entries/per slot

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'lacp_hello_interval, lacp_num_entry'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, lacp_hello_interval=lacp_hello_interval, lacp_num_entry=lacp_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, lacp_hello_interval=lacp_hello_interval, lacp_num_entry=lacp_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_lacp_hello_interval_update(self, kap_custom_profile=None, lacp_hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lacp_hello_interval: unicode
    :param lacp_hello_interval: Configure LACP hello interval.

        * enumeration restriction: ::

            ['30000', '1000']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, lacp_hello_interval=lacp_hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, lacp_hello_interval=lacp_hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_lacp_num_entry_update(self, kap_custom_profile=None, lacp_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lacp_num_entry: long
    :param lacp_num_entry: Configure number of LACP keep-alive entries/per slot

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, lacp_num_entry=lacp_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, lacp_num_entry=lacp_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_rpvst_update(self, kap_custom_profile=None, rpvst_hello_interval=None, rpvst_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type rpvst_hello_interval: long
    :param rpvst_hello_interval: Configure RPVST hello interval.

        * range restriction: ::

            ['0..4294967295']

    :type rpvst_num_entry: long
    :param rpvst_num_entry: Configure number of RPVST keep-alive entries/per slot.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'rpvst_hello_interval, rpvst_num_entry'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, rpvst_hello_interval=rpvst_hello_interval, rpvst_num_entry=rpvst_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, rpvst_hello_interval=rpvst_hello_interval, rpvst_num_entry=rpvst_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_rpvst_hello_interval_update(self, kap_custom_profile=None, rpvst_hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type rpvst_hello_interval: long
    :param rpvst_hello_interval: Configure RPVST hello interval.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, rpvst_hello_interval=rpvst_hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, rpvst_hello_interval=rpvst_hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_rpvst_num_entry_update(self, kap_custom_profile=None, rpvst_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type rpvst_num_entry: long
    :param rpvst_num_entry: Configure number of RPVST keep-alive entries/per slot.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, rpvst_num_entry=rpvst_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, rpvst_num_entry=rpvst_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_udld_update(self, kap_custom_profile=None, udld_hello_interval=None, udld_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type udld_hello_interval: long
    :param udld_hello_interval: Configure UDLD hello interval.

        * range restriction: ::

            ['0..4294967295']

    :type udld_num_entry: long
    :param udld_num_entry: Configure number of UDLD keep-alive entries/per slot.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.udld', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'udld_hello_interval, udld_num_entry'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, udld_hello_interval=udld_hello_interval, udld_num_entry=udld_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, udld_hello_interval=udld_hello_interval, udld_num_entry=udld_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_udld_hello_interval_update(self, kap_custom_profile=None, udld_hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type udld_hello_interval: long
    :param udld_hello_interval: Configure UDLD hello interval.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.udld', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, udld_hello_interval=udld_hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, udld_hello_interval=udld_hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_udld_num_entry_update(self, kap_custom_profile=None, udld_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type udld_num_entry: long
    :param udld_num_entry: Configure number of UDLD keep-alive entries/per slot.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.udld', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, udld_num_entry=udld_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, udld_num_entry=udld_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_xstp_update(self, kap_custom_profile=None, xstp_hello_interval=None, xstp_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type xstp_hello_interval: long
    :param xstp_hello_interval: Configure xSTP hello interval.

        * range restriction: ::

            ['0..4294967295']

    :type xstp_num_entry: long
    :param xstp_num_entry: Configure number of XSTP keep-alive entries/per slot.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'xstp_hello_interval, xstp_num_entry'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, xstp_hello_interval=xstp_hello_interval, xstp_num_entry=xstp_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, xstp_hello_interval=xstp_hello_interval, xstp_num_entry=xstp_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_xstp_hello_interval_update(self, kap_custom_profile=None, xstp_hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type xstp_hello_interval: long
    :param xstp_hello_interval: Configure xSTP hello interval.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, xstp_hello_interval=xstp_hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, xstp_hello_interval=xstp_hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_xstp_num_entry_update(self, kap_custom_profile=None, xstp_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type xstp_num_entry: long
    :param xstp_num_entry: Configure number of XSTP keep-alive entries/per slot.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_custom_profile=kap_custom_profile, xstp_num_entry=xstp_num_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile, xstp_num_entry=xstp_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_flexport_instance_update(self, flexport=None, instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flexport: id
    :param flexport: Keyword argument tuple.

    :type id: unicode
    :param id: **flexport** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type instance: long
    :param instance: The instance to which the port should be configured.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.hardware.flexport', u'flexport'), ('pybind.nos.v7_0_1b.hardware.flexport', u'flexport'), ('pybind.nos.v6_0_2c.hardware.flexport', u'flexport')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.flexport.flexport_type', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.flexport.flexport_type', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.flexport.flexport_type', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flexport=flexport, instance=instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flexport=flexport, instance=instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_flexport_skip_deconfig_update(self, flexport=None, skip_deconfig=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flexport: id
    :param flexport: Keyword argument tuple.

    :type id: unicode
    :param id: **flexport** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type skip_deconfig: YANGBool
    :param skip_deconfig: Skip Plugin deconfig errors.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.hardware.flexport', u'flexport'), ('pybind.nos.v7_0_1b.hardware.flexport', u'flexport'), ('pybind.nos.v6_0_2c.hardware.flexport', u'flexport')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.flexport.flexport_type', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.flexport.flexport_type', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.flexport.flexport_type', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flexport=flexport, skip_deconfig=skip_deconfig)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flexport=flexport, skip_deconfig=skip_deconfig)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_flexport_type_update(self, flexport=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flexport: id
    :param flexport: Keyword argument tuple.

    :type id: unicode
    :param id: **flexport** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: The type to be configured.

        * enumeration restriction: ::

            ['ethernet', 'fibre-channel']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.hardware.flexport', u'flexport'), ('pybind.nos.v7_0_1b.hardware.flexport', u'flexport'), ('pybind.nos.v6_0_2c.hardware.flexport', u'flexport')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.flexport.flexport_type', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.flexport.flexport_type', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.flexport.flexport_type', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flexport=flexport, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flexport=flexport, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_port_group_update(self, port_group=None, portgroup_speed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_group: name
    :param port_group: Keyword argument tuple.

    :type name: unicode
    :param name: **port_group** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]))'

    **Instance Argument(s)**:

    :type portgroup_speed: unicode
    :param portgroup_speed: Configure port-group mode

        * enumeration restriction: ::

            ['40g', '100g']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.port_group', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.port_group', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_group', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.hardware.port_group": {"name": "name"}, "pybind.slxos.v16r_1_00b.hardware.port_group": {}, "pybind.nos.v6_0_2c.hardware.port_group": {"name": "name"}, "pybind.nos.v7_0_1b.hardware.port_group": {"name": "name"}, "pybind.slxos.v17r_1_00a.hardware.port_group": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_group=port_group, portgroup_speed=portgroup_speed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_group=port_group, portgroup_speed=portgroup_speed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_port_group_mode_update(self, port_group=None, portgroup_speed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_group: name
    :param port_group: Keyword argument tuple.

    :type name: unicode
    :param name: **port_group** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]))'

    **Instance Argument(s)**:

    :type portgroup_speed: unicode
    :param portgroup_speed: Configure port-group mode

        * enumeration restriction: ::

            ['40g', '100g']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.port_group', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.port_group', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_group', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_group=port_group, portgroup_speed=portgroup_speed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_group=port_group, portgroup_speed=portgroup_speed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_port_group_mode_performance_update(self, port_group=None, performance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_group: name
    :param port_group: Keyword argument tuple.

    :type name: unicode
    :param name: **port_group** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type performance: YANGBool
    :param performance: port-group in performance mode, this command will shutthe density port in port-group making the density portun-usable. The command is disruptive and irreversible.Require power-cycle to restore the configuration.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hardware.port_group', u'port_group'), ('pybind.nos.v7_0_1b.hardware.port_group', u'port_group'), ('pybind.nos.v7_1_0.hardware.port_group', u'port_group')]
    bindings_list = [('pybind.nos.v6_0_2c.hardware.port_group.mode', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.port_group.mode', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.port_group.mode', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_group=port_group, performance=performance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_group=port_group, performance=performance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_port_group_mode_portgroup_speed_update(self, port_group=None, portgroup_speed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_group: name
    :param port_group: Keyword argument tuple.

    :type name: unicode
    :param name: **port_group** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type portgroup_speed: unicode
    :param portgroup_speed: port-group dynamically change the mode of speed

        * enumeration restriction: ::

            ['40g', '100g']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hardware.port_group', u'port_group'), ('pybind.nos.v7_1_0.hardware.port_group', u'port_group')]
    bindings_list = [('pybind.nos.v7_0_1b.hardware.port_group.mode', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.port_group.mode', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_group=port_group, portgroup_speed=portgroup_speed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_group=port_group, portgroup_speed=portgroup_speed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_port_group_mode_support_multispeed_update(self, port_group=None, support_multispeed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_group: name
    :param port_group: Keyword argument tuple.

    :type name: unicode
    :param name: **port_group** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type support_multispeed: YANGBool
    :param support_multispeed: support speed change feature

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hardware.port_group', u'port_group'), ('pybind.nos.v7_1_0.hardware.port_group', u'port_group')]
    bindings_list = [('pybind.nos.v7_0_1b.hardware.port_group.mode', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.port_group.mode', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_group=port_group, support_multispeed=support_multispeed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_group=port_group, support_multispeed=support_multispeed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_port_group_mode_support_performance_update(self, port_group=None, support_performance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_group: name
    :param port_group: Keyword argument tuple.

    :type name: unicode
    :param name: **port_group** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type support_performance: YANGBool
    :param support_performance: support performance feature

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hardware.port_group', u'port_group'), ('pybind.nos.v7_1_0.hardware.port_group', u'port_group')]
    bindings_list = [('pybind.nos.v7_0_1b.hardware.port_group.mode', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.port_group.mode', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_group=port_group, support_performance=support_performance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_group=port_group, support_performance=support_performance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_counters_counters_profiletype_update(self, counters_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type counters_profiletype: unicode
    :param counters_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['default',
            'counter-profile-2',
            'counter-profile-1',
            'counter-profile-3']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.counters.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.counters.predefined', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, counters_profiletype=counters_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, counters_profiletype=counters_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_counters_predefined_update(self, counters_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type counters_profiletype: unicode
    :param counters_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['default',
            'counter-profile-2',
            'counter-profile-1',
            'counter-profile-3']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.counters.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.counters.predefined', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, counters_profiletype=counters_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, counters_profiletype=counters_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_kap_custom_profile_update(self, kap_profilename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type kap_profilename: unicode
    :param kap_profilename: Profile name [length 1-64]

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.kap.customized', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.kap.customized', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_profilename=kap_profilename)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_profilename=kap_profilename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_kap_custom_profile_kap_profilename_update(self, kap_profilename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type kap_profilename: unicode
    :param kap_profilename: Profile name [length 1-64]

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.kap.customized', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.kap.customized', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_profilename=kap_profilename)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_profilename=kap_profilename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_kap_kap_profiletype_update(self, kap_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type kap_profiletype: unicode
    :param kap_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['default']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.kap.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.kap.predefined', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_profiletype=kap_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_profiletype=kap_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_kap_predefined_update(self, kap_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type kap_profiletype: unicode
    :param kap_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['default']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.kap.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.kap.predefined', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kap_profiletype=kap_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_profiletype=kap_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_lag_lag_profiletype_update(self, lag_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lag_profiletype: unicode
    :param lag_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['default', 'lag-profile-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.lag.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.lag.predefined', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lag_profiletype=lag_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lag_profiletype=lag_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_lag_predefined_update(self, lag_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lag_profiletype: unicode
    :param lag_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['default', 'lag-profile-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.lag.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.lag.predefined', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lag_profiletype=lag_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lag_profiletype=lag_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_route_table_maximum_paths_update(self, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type maximum_paths: unicode
    :param maximum_paths: Maximum number of load-sharing paths

        * enumeration restriction: ::

            ['8', '16', '32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.route_table.predefined.routing_parameter', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.route_table.predefined.routing_parameter', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_route_table_openflow_update(self, openflow_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type openflow_enable: unicode
    :param openflow_enable: Enable/disable openflow support in profile

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.route_table.predefined.routing_parameter', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.route_table.predefined.routing_parameter', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, openflow_enable=openflow_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, openflow_enable=openflow_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_route_table_predefined_update(self, routing_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type routing_profiletype: unicode
    :param routing_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['ipv4-max-arp',
            'ipv6-max-route',
            'default',
            'ipv4-min-v6',
            'ipv6-max-nd',
            'ipv4-max-route']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.route_table.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.route_table.predefined', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'routing_profiletype'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, routing_profiletype=routing_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, routing_profiletype=routing_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_route_table_routing_parameter_update(self, maximum_paths=None, openflow_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type maximum_paths: unicode
    :param maximum_paths: Maximum number of load-sharing paths

        * enumeration restriction: ::

            ['8', '16', '32']

    :type openflow_enable: unicode
    :param openflow_enable: Enable/disable openflow support in profile

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.route_table.predefined.routing_parameter', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.route_table.predefined.routing_parameter', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'maximum_paths, openflow_enable'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, maximum_paths=maximum_paths, openflow_enable=openflow_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, maximum_paths=maximum_paths, openflow_enable=openflow_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_route_table_routing_profiletype_update(self, routing_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type routing_profiletype: unicode
    :param routing_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['ipv4-max-arp',
            'ipv6-max-route',
            'default',
            'ipv4-min-v6',
            'ipv6-max-nd',
            'ipv4-max-route']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.route_table.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.route_table.predefined', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, routing_profiletype=routing_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, routing_profiletype=routing_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_tcam_predefined_update(self, tcam_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type tcam_profiletype: unicode
    :param tcam_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['default',
            'vxlan-ext',
            'openflow-optimised-2',
            'openflow-optimised-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.tcam.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.tcam.predefined', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tcam_profiletype=tcam_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tcam_profiletype=tcam_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_tcam_tcam_profiletype_update(self, tcam_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type tcam_profiletype: unicode
    :param tcam_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['default',
            'vxlan-ext',
            'openflow-optimised-2',
            'openflow-optimised-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.tcam.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.tcam.predefined', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tcam_profiletype=tcam_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tcam_profiletype=tcam_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_vlan_classification_predefined_update(self, vlan_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vlan_profiletype: unicode
    :param vlan_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['tor-vxlan-gw',
            'default',
            'aggregator-basic',
            'aggregator-vxlan-gw',
            'aggregator-virtualfabric',
            'tor-virtualfabric']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.vlan_classification.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.vlan_classification.predefined', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan_profiletype=vlan_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_profiletype=vlan_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_profile_vlan_classification_vlan_profiletype_update(self, vlan_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vlan_profiletype: unicode
    :param vlan_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['tor-vxlan-gw',
            'default',
            'aggregator-basic',
            'aggregator-vxlan-gw',
            'aggregator-virtualfabric',
            'tor-virtualfabric']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.vlan_classification.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.hardware.profile.vlan_classification.predefined', 'pybind.slxos.v17r_1_00a.brocade_hardware', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan_profiletype=vlan_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_profiletype=vlan_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def http_server_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown HTTP Server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.http_sa.http.server', 'pybind.nos.v6_0_2c.brocade_http_config', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.http_sa.http.server', 'pybind.nos.v7_0_1b.brocade_http_config', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.http_sa.http.server', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.http_sa.http.server', 'pybind.slxos.v17r_1_00a.brocade_http_config', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def http_server_shutdown_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown HTTP Server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.http_sa.http.server', 'pybind.nos.v6_0_2c.brocade_http_config', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.http_sa.http.server', 'pybind.nos.v7_0_1b.brocade_http_config', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.http_sa.http.server', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.http_sa.http.server', 'pybind.slxos.v17r_1_00a.brocade_http_config', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def http_server_use_vrf_update(self, use_vrf=None, http_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name, http_vrf_shutdown
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0..max']

    :type http_vrf_shutdown: YANGBool
    :param http_vrf_shutdown: **use_vrf** tuple argument:  Shutdown HTTP/HTTPS server on the given vrf

    **Instance Argument(s)**:

    :type http_vrf_shutdown: YANGBool
    :param http_vrf_shutdown: Shutdown HTTP/HTTPS server on the given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_http_config', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.slxos.v17r_1_00a.brocade_http_config', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, http_vrf_shutdown'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.http_sa.http.server.http_vrf_cont.use_vrf": {"http_vrf_shutdown": "http_vrf_shutdown", "use_vrf_name": "use_vrf_name"}, "pybind.slxos.v16r_1_00b.http_sa.http.server.http_vrf_cont.use_vrf": {"http_vrf_shutdown": "http_vrf_shutdown", "use_vrf_name": "use_vrf_name"}, "pybind.slxos.v17r_1_00a.http_sa.http.server.http_vrf_cont.use_vrf": {"http_vrf_shutdown": "http_vrf_shutdown", "use_vrf_name": "use_vrf_name"}, "pybind.nos.v7_1_0.http_sa.http.server.http_vrf_cont.use_vrf": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, use_vrf=use_vrf, http_vrf_shutdown=http_vrf_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_vrf=use_vrf, http_vrf_shutdown=http_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def http_server_use_vrf_secure_and_plain_update(self, use_vrf=None, secure_and_plain=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0..max']

    **Instance Argument(s)**:

    :type secure_and_plain: YANGBool
    :param secure_and_plain: Enable/Disable HTTP server when HTTPS certificate is installed.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, use_vrf=use_vrf, secure_and_plain=secure_and_plain)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_vrf=use_vrf, secure_and_plain=secure_and_plain)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def http_server_use_vrf_shutdown_update(self, use_vrf=None, http_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0..max']

    **Instance Argument(s)**:

    :type http_vrf_shutdown: YANGBool
    :param http_vrf_shutdown: Shutdown HTTP/HTTPS server on the given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_http_config', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.slxos.v17r_1_00a.brocade_http_config', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, use_vrf=use_vrf, http_vrf_shutdown=http_vrf_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_vrf=use_vrf, http_vrf_shutdown=http_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_update(self, enable_any=None, error=None, events=None, group=None, packets=None, grp_addr=None, protocol=None, query=None, v1_report=None, direction=None, phy_port_name=None, io_port_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable_any: int
    :param enable_any: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type error: int
    :param error: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type events: int
    :param events: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type group: int
    :param group: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type packets: int
    :param packets: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type grp_addr: unicode
    :param grp_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type protocol: int
    :param protocol: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type query: int
    :param query: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type v1_report: int
    :param v1_report: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type direction: unicode
    :param direction: Keyword argument.

    :type phy_port_name: unicode
    :param phy_port_name: Keyword argument.

    :type io_port_name: unicode
    :param io_port_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.debug_igmp', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable_any=enable_any, error=error, events=events, group=group, packets=packets, grp_addr=grp_addr, protocol=protocol, query=query, v1_report=v1_report, direction=direction, phy_port_name=phy_port_name, io_port_name=io_port_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable_any=enable_any, error=error, events=events, group=group, packets=packets, grp_addr=grp_addr, protocol=protocol, query=query, v1_report=v1_report, direction=direction, phy_port_name=phy_port_name, io_port_name=io_port_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_direction_update(self, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type direction: unicode
    :param direction: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.debug_igmp', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_enable_any_update(self, enable_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable_any: int
    :param enable_any: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.debug_igmp', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable_any=enable_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable_any=enable_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_error_update(self, error=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type error: int
    :param error: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.debug_igmp', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, error=error)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, error=error)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_events_update(self, events=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type events: int
    :param events: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.debug_igmp', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, events=events)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, events=events)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_group_update(self, group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type group: int
    :param group: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.debug_igmp', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group=group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group=group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_grp_addr_update(self, grp_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type grp_addr: unicode
    :param grp_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.debug_igmp', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, grp_addr=grp_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, grp_addr=grp_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_io_port_name_update(self, io_port_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type io_port_name: unicode
    :param io_port_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.debug_igmp', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, io_port_name=io_port_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, io_port_name=io_port_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_packets_update(self, packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type packets: int
    :param packets: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.debug_igmp', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, packets=packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, packets=packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_phy_port_name_update(self, phy_port_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type phy_port_name: unicode
    :param phy_port_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.debug_igmp', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, phy_port_name=phy_port_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, phy_port_name=phy_port_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_protocol_update(self, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol: int
    :param protocol: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.debug_igmp', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_query_update(self, query=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type query: int
    :param query: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.debug_igmp', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, query=query)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, query=query)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_v1_report_update(self, v1_report=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v1_report: int
    :param v1_report: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.debug_igmp', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v1_report=v1_report)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v1_report=v1_report)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_groups_igmp_groups_update(self, igmp_groups=None, igmp_groups_=None, uptime=None, expiry_time=None, last_reporter=None, filter_mode=None, member_ship=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_groups: group_addr, interface_name
    :param igmp_groups: Keyword argument tuple.

    :type group_addr: unicode
    :param group_addr: **igmp_groups** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: **igmp_groups** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type igmp_groups_: group_addr, interface_name
    :param igmp_groups_: Keyword argument tuple.

    :type group_addr: long
    :param group_addr: **igmp_groups_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_name: unicode
    :param interface_name: **igmp_groups_** tuple argument.

    **Instance Argument(s)**:

    :type uptime: unicode
    :param uptime: Keyword argument.

    :type expiry_time: unicode
    :param expiry_time: Keyword argument.

    :type last_reporter: long
    :param last_reporter: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type filter_mode: int
    :param filter_mode: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type member_ship: unicode
    :param member_ship: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_groups.igmp_groups', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_groups_', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_groups=igmp_groups, igmp_groups_=igmp_groups_, uptime=uptime, expiry_time=expiry_time, last_reporter=last_reporter, filter_mode=filter_mode, member_ship=member_ship)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_groups=igmp_groups, igmp_groups_=igmp_groups_, uptime=uptime, expiry_time=expiry_time, last_reporter=last_reporter, filter_mode=filter_mode, member_ship=member_ship)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_groups_igmp_groups_expiry_time_update(self, igmp_groups=None, expiry_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_groups: group_addr, interface_name
    :param igmp_groups: Keyword argument tuple.

    :type group_addr: unicode
    :param group_addr: **igmp_groups** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: **igmp_groups** tuple argument.

    **Instance Argument(s)**:

    :type expiry_time: unicode
    :param expiry_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_groups=igmp_groups, expiry_time=expiry_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_groups=igmp_groups, expiry_time=expiry_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_groups_igmp_groups_filter_mode_update(self, igmp_groups=None, filter_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_groups: group_addr, interface_name
    :param igmp_groups: Keyword argument tuple.

    :type group_addr: unicode
    :param group_addr: **igmp_groups** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: **igmp_groups** tuple argument.

    **Instance Argument(s)**:

    :type filter_mode: int
    :param filter_mode: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_groups=igmp_groups, filter_mode=filter_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_groups=igmp_groups, filter_mode=filter_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_groups_igmp_groups_last_reporter_update(self, igmp_groups=None, last_reporter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_groups: group_addr, interface_name
    :param igmp_groups: Keyword argument tuple.

    :type group_addr: unicode
    :param group_addr: **igmp_groups** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: **igmp_groups** tuple argument.

    **Instance Argument(s)**:

    :type last_reporter: long
    :param last_reporter: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_groups=igmp_groups, last_reporter=last_reporter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_groups=igmp_groups, last_reporter=last_reporter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_groups_igmp_groups_member_ship_update(self, igmp_groups=None, member_ship=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_groups: group_addr, interface_name
    :param igmp_groups: Keyword argument tuple.

    :type group_addr: unicode
    :param group_addr: **igmp_groups** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: **igmp_groups** tuple argument.

    **Instance Argument(s)**:

    :type member_ship: unicode
    :param member_ship: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_groups=igmp_groups, member_ship=member_ship)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_groups=igmp_groups, member_ship=member_ship)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_groups_igmp_groups_uptime_update(self, igmp_groups=None, uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_groups: group_addr, interface_name
    :param igmp_groups: Keyword argument tuple.

    :type group_addr: unicode
    :param group_addr: **igmp_groups** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: **igmp_groups** tuple argument.

    **Instance Argument(s)**:

    :type uptime: unicode
    :param uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_groups=igmp_groups, uptime=uptime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_groups=igmp_groups, uptime=uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_update(self, interface_name=None, query_edge_recvd=None, query_edge_sent=None, query_edge_rx_errors=None, v1_report_edge_recvd=None, v1_report_edge_sent=None, v1_report_edge_rx_errors=None, v2_report_edge_recvd=None, v2_report_edge_sent=None, v2_report_edge_rx_errors=None, v3_report_edge_recvd=None, v3_report_edge_sent=None, v3_report_edge_rx_errors=None, grp_leave_edge_recvd=None, grp_leave_edge_sent=None, grp_leave_edge_rx_errors=None, pim_hello_edge_recvd=None, pim_hello_edge_sent=None, pim_hello_edge_rx_errors=None, error_unknown_types=None, error_bad_length=None, error_bad_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type query_edge_recvd: long
    :param query_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type query_edge_sent: long
    :param query_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type query_edge_rx_errors: long
    :param query_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v1_report_edge_recvd: long
    :param v1_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v1_report_edge_sent: long
    :param v1_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v1_report_edge_rx_errors: long
    :param v1_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v2_report_edge_recvd: long
    :param v2_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v2_report_edge_sent: long
    :param v2_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v2_report_edge_rx_errors: long
    :param v2_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v3_report_edge_recvd: long
    :param v3_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v3_report_edge_sent: long
    :param v3_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v3_report_edge_rx_errors: long
    :param v3_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type grp_leave_edge_recvd: long
    :param grp_leave_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type grp_leave_edge_sent: long
    :param grp_leave_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type grp_leave_edge_rx_errors: long
    :param grp_leave_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_hello_edge_recvd: long
    :param pim_hello_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_hello_edge_sent: long
    :param pim_hello_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_hello_edge_rx_errors: long
    :param pim_hello_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type error_unknown_types: long
    :param error_unknown_types: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type error_bad_length: long
    :param error_bad_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type error_bad_checksum: long
    :param error_bad_checksum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_name=interface_name, query_edge_recvd=query_edge_recvd, query_edge_sent=query_edge_sent, query_edge_rx_errors=query_edge_rx_errors, v1_report_edge_recvd=v1_report_edge_recvd, v1_report_edge_sent=v1_report_edge_sent, v1_report_edge_rx_errors=v1_report_edge_rx_errors, v2_report_edge_recvd=v2_report_edge_recvd, v2_report_edge_sent=v2_report_edge_sent, v2_report_edge_rx_errors=v2_report_edge_rx_errors, v3_report_edge_recvd=v3_report_edge_recvd, v3_report_edge_sent=v3_report_edge_sent, v3_report_edge_rx_errors=v3_report_edge_rx_errors, grp_leave_edge_recvd=grp_leave_edge_recvd, grp_leave_edge_sent=grp_leave_edge_sent, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors, pim_hello_edge_recvd=pim_hello_edge_recvd, pim_hello_edge_sent=pim_hello_edge_sent, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors, error_unknown_types=error_unknown_types, error_bad_length=error_bad_length, error_bad_checksum=error_bad_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_name=interface_name, query_edge_recvd=query_edge_recvd, query_edge_sent=query_edge_sent, query_edge_rx_errors=query_edge_rx_errors, v1_report_edge_recvd=v1_report_edge_recvd, v1_report_edge_sent=v1_report_edge_sent, v1_report_edge_rx_errors=v1_report_edge_rx_errors, v2_report_edge_recvd=v2_report_edge_recvd, v2_report_edge_sent=v2_report_edge_sent, v2_report_edge_rx_errors=v2_report_edge_rx_errors, v3_report_edge_recvd=v3_report_edge_recvd, v3_report_edge_sent=v3_report_edge_sent, v3_report_edge_rx_errors=v3_report_edge_rx_errors, grp_leave_edge_recvd=grp_leave_edge_recvd, grp_leave_edge_sent=grp_leave_edge_sent, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors, pim_hello_edge_recvd=pim_hello_edge_recvd, pim_hello_edge_sent=pim_hello_edge_sent, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors, error_unknown_types=error_unknown_types, error_bad_length=error_bad_length, error_bad_checksum=error_bad_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_error_bad_checksum_update(self, error_bad_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type error_bad_checksum: long
    :param error_bad_checksum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, error_bad_checksum=error_bad_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, error_bad_checksum=error_bad_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_error_bad_length_update(self, error_bad_length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type error_bad_length: long
    :param error_bad_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, error_bad_length=error_bad_length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, error_bad_length=error_bad_length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_error_unknown_types_update(self, error_unknown_types=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type error_unknown_types: long
    :param error_unknown_types: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, error_unknown_types=error_unknown_types)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, error_unknown_types=error_unknown_types)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_grp_leave_edge_recvd_update(self, grp_leave_edge_recvd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type grp_leave_edge_recvd: long
    :param grp_leave_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, grp_leave_edge_recvd=grp_leave_edge_recvd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, grp_leave_edge_recvd=grp_leave_edge_recvd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_grp_leave_edge_rx_errors_update(self, grp_leave_edge_rx_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type grp_leave_edge_rx_errors: long
    :param grp_leave_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_grp_leave_edge_sent_update(self, grp_leave_edge_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type grp_leave_edge_sent: long
    :param grp_leave_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, grp_leave_edge_sent=grp_leave_edge_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, grp_leave_edge_sent=grp_leave_edge_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_interface_name_update(self, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_pim_hello_edge_recvd_update(self, pim_hello_edge_recvd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pim_hello_edge_recvd: long
    :param pim_hello_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_hello_edge_recvd=pim_hello_edge_recvd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_hello_edge_recvd=pim_hello_edge_recvd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_pim_hello_edge_rx_errors_update(self, pim_hello_edge_rx_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pim_hello_edge_rx_errors: long
    :param pim_hello_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_pim_hello_edge_sent_update(self, pim_hello_edge_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pim_hello_edge_sent: long
    :param pim_hello_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_hello_edge_sent=pim_hello_edge_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_hello_edge_sent=pim_hello_edge_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_query_edge_recvd_update(self, query_edge_recvd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type query_edge_recvd: long
    :param query_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, query_edge_recvd=query_edge_recvd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, query_edge_recvd=query_edge_recvd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_query_edge_rx_errors_update(self, query_edge_rx_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type query_edge_rx_errors: long
    :param query_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, query_edge_rx_errors=query_edge_rx_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, query_edge_rx_errors=query_edge_rx_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_query_edge_sent_update(self, query_edge_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type query_edge_sent: long
    :param query_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, query_edge_sent=query_edge_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, query_edge_sent=query_edge_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_v1_report_edge_recvd_update(self, v1_report_edge_recvd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v1_report_edge_recvd: long
    :param v1_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v1_report_edge_recvd=v1_report_edge_recvd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v1_report_edge_recvd=v1_report_edge_recvd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_v1_report_edge_rx_errors_update(self, v1_report_edge_rx_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v1_report_edge_rx_errors: long
    :param v1_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v1_report_edge_rx_errors=v1_report_edge_rx_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v1_report_edge_rx_errors=v1_report_edge_rx_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_v1_report_edge_sent_update(self, v1_report_edge_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v1_report_edge_sent: long
    :param v1_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v1_report_edge_sent=v1_report_edge_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v1_report_edge_sent=v1_report_edge_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_v2_report_edge_recvd_update(self, v2_report_edge_recvd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v2_report_edge_recvd: long
    :param v2_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v2_report_edge_recvd=v2_report_edge_recvd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v2_report_edge_recvd=v2_report_edge_recvd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_v2_report_edge_rx_errors_update(self, v2_report_edge_rx_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v2_report_edge_rx_errors: long
    :param v2_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v2_report_edge_rx_errors=v2_report_edge_rx_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v2_report_edge_rx_errors=v2_report_edge_rx_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_v2_report_edge_sent_update(self, v2_report_edge_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v2_report_edge_sent: long
    :param v2_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v2_report_edge_sent=v2_report_edge_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v2_report_edge_sent=v2_report_edge_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_v3_report_edge_recvd_update(self, v3_report_edge_recvd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v3_report_edge_recvd: long
    :param v3_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3_report_edge_recvd=v3_report_edge_recvd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3_report_edge_recvd=v3_report_edge_recvd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_v3_report_edge_rx_errors_update(self, v3_report_edge_rx_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v3_report_edge_rx_errors: long
    :param v3_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3_report_edge_rx_errors=v3_report_edge_rx_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3_report_edge_rx_errors=v3_report_edge_rx_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_v3_report_edge_sent_update(self, v3_report_edge_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v3_report_edge_sent: long
    :param v3_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3_report_edge_sent=v3_report_edge_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3_report_edge_sent=v3_report_edge_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_update(self, igmp_l3_interfaces=None, igmp_l3_interfaces_=None, is_igmp_enabled=None, query_interval=None, other_querier_interval=None, query_reponse_time=None, last_member_query_interval=None, immediate_leave=None, igmp_querier=None, is_igmp_querier_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_l3_interfaces: interface_name
    :param igmp_l3_interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_l3_interfaces** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type igmp_l3_interfaces_: interface_name
    :param igmp_l3_interfaces_: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_l3_interfaces_** tuple argument.

    **Instance Argument(s)**:

    :type is_igmp_enabled: int
    :param is_igmp_enabled: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type query_interval: long
    :param query_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type other_querier_interval: long
    :param other_querier_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type query_reponse_time: long
    :param query_reponse_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type last_member_query_interval: long
    :param last_member_query_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type immediate_leave: int
    :param immediate_leave: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type igmp_querier: long
    :param igmp_querier: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_igmp_querier_local: int
    :param is_igmp_querier_local: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_l3_interfaces_', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_l3_interfaces=igmp_l3_interfaces, igmp_l3_interfaces_=igmp_l3_interfaces_, is_igmp_enabled=is_igmp_enabled, query_interval=query_interval, other_querier_interval=other_querier_interval, query_reponse_time=query_reponse_time, last_member_query_interval=last_member_query_interval, immediate_leave=immediate_leave, igmp_querier=igmp_querier, is_igmp_querier_local=is_igmp_querier_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_l3_interfaces=igmp_l3_interfaces, igmp_l3_interfaces_=igmp_l3_interfaces_, is_igmp_enabled=is_igmp_enabled, query_interval=query_interval, other_querier_interval=other_querier_interval, query_reponse_time=query_reponse_time, last_member_query_interval=last_member_query_interval, immediate_leave=immediate_leave, igmp_querier=igmp_querier, is_igmp_querier_local=is_igmp_querier_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_igmp_querier_update(self, igmp_l3_interfaces=None, igmp_querier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_l3_interfaces: interface_name
    :param igmp_l3_interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_l3_interfaces** tuple argument.

    **Instance Argument(s)**:

    :type igmp_querier: long
    :param igmp_querier: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_querier', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_l3_interfaces=igmp_l3_interfaces, igmp_querier=igmp_querier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_l3_interfaces=igmp_l3_interfaces, igmp_querier=igmp_querier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_immediate_leave_update(self, igmp_l3_interfaces=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_l3_interfaces: interface_name
    :param igmp_l3_interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_l3_interfaces** tuple argument.

    **Instance Argument(s)**:

    :type immediate_leave: int
    :param immediate_leave: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_querier', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_l3_interfaces=igmp_l3_interfaces, immediate_leave=immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_l3_interfaces=igmp_l3_interfaces, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_is_igmp_enabled_update(self, igmp_l3_interfaces=None, is_igmp_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_l3_interfaces: interface_name
    :param igmp_l3_interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_l3_interfaces** tuple argument.

    **Instance Argument(s)**:

    :type is_igmp_enabled: int
    :param is_igmp_enabled: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_querier', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_l3_interfaces=igmp_l3_interfaces, is_igmp_enabled=is_igmp_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_l3_interfaces=igmp_l3_interfaces, is_igmp_enabled=is_igmp_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_is_igmp_querier_local_update(self, igmp_l3_interfaces=None, is_igmp_querier_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_l3_interfaces: interface_name
    :param igmp_l3_interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_l3_interfaces** tuple argument.

    **Instance Argument(s)**:

    :type is_igmp_querier_local: int
    :param is_igmp_querier_local: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_querier', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_l3_interfaces=igmp_l3_interfaces, is_igmp_querier_local=is_igmp_querier_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_l3_interfaces=igmp_l3_interfaces, is_igmp_querier_local=is_igmp_querier_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_last_member_query_interval_update(self, igmp_l3_interfaces=None, last_member_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_l3_interfaces: interface_name
    :param igmp_l3_interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_l3_interfaces** tuple argument.

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_querier', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_l3_interfaces=igmp_l3_interfaces, last_member_query_interval=last_member_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_l3_interfaces=igmp_l3_interfaces, last_member_query_interval=last_member_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_other_querier_interval_update(self, igmp_l3_interfaces=None, other_querier_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_l3_interfaces: interface_name
    :param igmp_l3_interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_l3_interfaces** tuple argument.

    **Instance Argument(s)**:

    :type other_querier_interval: long
    :param other_querier_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_querier', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_l3_interfaces=igmp_l3_interfaces, other_querier_interval=other_querier_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_l3_interfaces=igmp_l3_interfaces, other_querier_interval=other_querier_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_query_interval_update(self, igmp_l3_interfaces=None, query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_l3_interfaces: interface_name
    :param igmp_l3_interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_l3_interfaces** tuple argument.

    **Instance Argument(s)**:

    :type query_interval: long
    :param query_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_querier', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_l3_interfaces=igmp_l3_interfaces, query_interval=query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_l3_interfaces=igmp_l3_interfaces, query_interval=query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_query_reponse_time_update(self, igmp_l3_interfaces=None, query_reponse_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_l3_interfaces: interface_name
    :param igmp_l3_interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_l3_interfaces** tuple argument.

    **Instance Argument(s)**:

    :type query_reponse_time: long
    :param query_reponse_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_querier', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_l3_interfaces=igmp_l3_interfaces, query_reponse_time=query_reponse_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_l3_interfaces=igmp_l3_interfaces, query_reponse_time=query_reponse_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_update(self, igmp_multicast_snooping_vlans=None, igmp_multicast_snooping_vlans_=None, pim_sn_status=None, igmp_sn_status=None, igmp_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_multicast_snooping_vlans: vlan_id
    :param igmp_multicast_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_multicast_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type igmp_multicast_snooping_vlans_: vlan_id
    :param igmp_multicast_snooping_vlans_: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_multicast_snooping_vlans_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pim_sn_status: int
    :param pim_sn_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type igmp_sn_status: int
    :param igmp_sn_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type igmp_version: int
    :param igmp_version: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_multicast_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_multicast_snooping_vlans_=igmp_multicast_snooping_vlans_, pim_sn_status=pim_sn_status, igmp_sn_status=igmp_sn_status, igmp_version=igmp_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_multicast_snooping_vlans_=igmp_multicast_snooping_vlans_, pim_sn_status=pim_sn_status, igmp_sn_status=igmp_sn_status, igmp_version=igmp_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_igmp_sn_status_update(self, igmp_multicast_snooping_vlans=None, igmp_sn_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_multicast_snooping_vlans: vlan_id
    :param igmp_multicast_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_multicast_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmp_sn_status: int
    :param igmp_sn_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_sn_status', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_sn_status=igmp_sn_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_sn_status=igmp_sn_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_igmp_version_update(self, igmp_multicast_snooping_vlans=None, igmp_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_multicast_snooping_vlans: vlan_id
    :param igmp_multicast_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_multicast_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmp_version: int
    :param igmp_version: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_sn_status', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_version=igmp_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_version=igmp_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_pim_sn_status_update(self, igmp_multicast_snooping_vlans=None, pim_sn_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_multicast_snooping_vlans: vlan_id
    :param igmp_multicast_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_multicast_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pim_sn_status: int
    :param pim_sn_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_sn_status', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, pim_sn_status=pim_sn_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, pim_sn_status=pim_sn_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_update(self, igmp_snooping_mrouters=None, igmp_snooping_mrouters_=None, interface_name=None, expiry_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_mrouters: vlan_id
    :param igmp_snooping_mrouters: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_mrouters** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type igmp_snooping_mrouters_: vlan_id
    :param igmp_snooping_mrouters_: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_mrouters_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type expiry_time: long
    :param expiry_time: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_snooping_mrouters_', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_mrouters=igmp_snooping_mrouters, igmp_snooping_mrouters_=igmp_snooping_mrouters_, interface_name=interface_name, expiry_time=expiry_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_mrouters=igmp_snooping_mrouters, igmp_snooping_mrouters_=igmp_snooping_mrouters_, interface_name=interface_name, expiry_time=expiry_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_expiry_time_update(self, igmp_snooping_mrouters=None, expiry_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_mrouters: vlan_id
    :param igmp_snooping_mrouters: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_mrouters** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type expiry_time: long
    :param expiry_time: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_mrouters=igmp_snooping_mrouters, expiry_time=expiry_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_mrouters=igmp_snooping_mrouters, expiry_time=expiry_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_interface_name_update(self, igmp_snooping_mrouters=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_mrouters: vlan_id
    :param igmp_snooping_mrouters: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_mrouters** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_mrouters=igmp_snooping_mrouters, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_mrouters=igmp_snooping_mrouters, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_update(self, igmp_snooping_vlans=None, igmp_snooping_vlans_=None, multicast_router_ports=None, is_querier=None, igmp_operation_mode=None, fast_leave=None, qmrt=None, lmqi=None, qi=None, version=None, num_of_mcast_grps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type igmp_snooping_vlans_: vlan_id
    :param igmp_snooping_vlans_: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multicast_router_ports: unicode
    :param multicast_router_ports: Keyword argument.

    :type is_querier: int
    :param is_querier: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type igmp_operation_mode: long
    :param igmp_operation_mode: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fast_leave: int
    :param fast_leave: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type qmrt: long
    :param qmrt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lmqi: long
    :param lmqi: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type qi: long
    :param qi: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type version: int
    :param version: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type num_of_mcast_grps: long
    :param num_of_mcast_grps: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_vlans=igmp_snooping_vlans, igmp_snooping_vlans_=igmp_snooping_vlans_, multicast_router_ports=multicast_router_ports, is_querier=is_querier, igmp_operation_mode=igmp_operation_mode, fast_leave=fast_leave, qmrt=qmrt, lmqi=lmqi, qi=qi, version=version, num_of_mcast_grps=num_of_mcast_grps)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, igmp_snooping_vlans_=igmp_snooping_vlans_, multicast_router_ports=multicast_router_ports, is_querier=is_querier, igmp_operation_mode=igmp_operation_mode, fast_leave=fast_leave, qmrt=qmrt, lmqi=lmqi, qi=qi, version=version, num_of_mcast_grps=num_of_mcast_grps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_fast_leave_update(self, igmp_snooping_vlans=None, fast_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fast_leave: int
    :param fast_leave: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_vlans=igmp_snooping_vlans, fast_leave=fast_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, fast_leave=fast_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_igmp_operation_mode_update(self, igmp_snooping_vlans=None, igmp_operation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmp_operation_mode: long
    :param igmp_operation_mode: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_vlans=igmp_snooping_vlans, igmp_operation_mode=igmp_operation_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, igmp_operation_mode=igmp_operation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_is_querier_update(self, igmp_snooping_vlans=None, is_querier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_querier: int
    :param is_querier: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_vlans=igmp_snooping_vlans, is_querier=is_querier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, is_querier=is_querier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_lmqi_update(self, igmp_snooping_vlans=None, lmqi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lmqi: long
    :param lmqi: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_vlans=igmp_snooping_vlans, lmqi=lmqi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, lmqi=lmqi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_multicast_router_ports_update(self, igmp_snooping_vlans=None, multicast_router_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multicast_router_ports: unicode
    :param multicast_router_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_vlans=igmp_snooping_vlans, multicast_router_ports=multicast_router_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, multicast_router_ports=multicast_router_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_num_of_mcast_grps_update(self, igmp_snooping_vlans=None, num_of_mcast_grps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_of_mcast_grps: long
    :param num_of_mcast_grps: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_vlans=igmp_snooping_vlans, num_of_mcast_grps=num_of_mcast_grps)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, num_of_mcast_grps=num_of_mcast_grps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_qi_update(self, igmp_snooping_vlans=None, qi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type qi: long
    :param qi: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_vlans=igmp_snooping_vlans, qi=qi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, qi=qi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_qmrt_update(self, igmp_snooping_vlans=None, qmrt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type qmrt: long
    :param qmrt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_vlans=igmp_snooping_vlans, qmrt=qmrt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, qmrt=qmrt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_version_update(self, igmp_snooping_vlans=None, version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type version: int
    :param version: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_vlans=igmp_snooping_vlans, version=version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, version=version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_vlan_groups_update(self, igmp_snooping_vlans=None, vlan_groups=None, member_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vlan_groups: grp_ip_addr
    :param vlan_groups: Keyword argument tuple.

    :type grp_ip_addr: long
    :param grp_ip_addr: **vlan_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type member_ports: unicode
    :param member_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_.vlan_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_.vlan_groups', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan_groups', 'keyval': 'grp_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_vlans=igmp_snooping_vlans, vlan_groups=vlan_groups, member_ports=member_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, vlan_groups=vlan_groups, member_ports=member_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_vlan_groups_member_ports_update(self, igmp_snooping_vlans=None, vlan_groups=None, member_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vlan_groups: grp_ip_addr
    :param vlan_groups: Keyword argument tuple.

    :type grp_ip_addr: long
    :param grp_ip_addr: **vlan_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type member_ports: unicode
    :param member_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_.vlan_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_.vlan_groups', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan_groups', 'keyval': 'grp_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_snooping_vlans=igmp_snooping_vlans, vlan_groups=vlan_groups, member_ports=member_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, vlan_groups=vlan_groups, member_ports=member_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_update(self, igmp_statistics=None, query_edge_recvd=None, query_edge_sent=None, query_edge_rx_errors=None, v1_report_edge_recvd=None, v1_report_edge_sent=None, v1_report_edge_rx_errors=None, v2_report_edge_recvd=None, v2_report_edge_sent=None, v2_report_edge_rx_errors=None, v3_report_edge_recvd=None, v3_report_edge_sent=None, v3_report_edge_rx_errors=None, grp_leave_edge_recvd=None, grp_leave_edge_sent=None, grp_leave_edge_rx_errors=None, pim_hello_edge_recvd=None, pim_hello_edge_sent=None, pim_hello_edge_rx_errors=None, error_unknown_types=None, error_bad_length=None, error_bad_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type igmp_statistics: interface_name
    :param igmp_statistics: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_statistics** tuple argument.

    **Instance Argument(s)**:

    :type query_edge_recvd: long
    :param query_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type query_edge_sent: long
    :param query_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type query_edge_rx_errors: long
    :param query_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v1_report_edge_recvd: long
    :param v1_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v1_report_edge_sent: long
    :param v1_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v1_report_edge_rx_errors: long
    :param v1_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v2_report_edge_recvd: long
    :param v2_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v2_report_edge_sent: long
    :param v2_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v2_report_edge_rx_errors: long
    :param v2_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v3_report_edge_recvd: long
    :param v3_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v3_report_edge_sent: long
    :param v3_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v3_report_edge_rx_errors: long
    :param v3_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type grp_leave_edge_recvd: long
    :param grp_leave_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type grp_leave_edge_sent: long
    :param grp_leave_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type grp_leave_edge_rx_errors: long
    :param grp_leave_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_hello_edge_recvd: long
    :param pim_hello_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_hello_edge_sent: long
    :param pim_hello_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_hello_edge_rx_errors: long
    :param pim_hello_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type error_unknown_types: long
    :param error_unknown_types: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type error_bad_length: long
    :param error_bad_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type error_bad_checksum: long
    :param error_bad_checksum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'igmp_statistics', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmp_statistics=igmp_statistics, query_edge_recvd=query_edge_recvd, query_edge_sent=query_edge_sent, query_edge_rx_errors=query_edge_rx_errors, v1_report_edge_recvd=v1_report_edge_recvd, v1_report_edge_sent=v1_report_edge_sent, v1_report_edge_rx_errors=v1_report_edge_rx_errors, v2_report_edge_recvd=v2_report_edge_recvd, v2_report_edge_sent=v2_report_edge_sent, v2_report_edge_rx_errors=v2_report_edge_rx_errors, v3_report_edge_recvd=v3_report_edge_recvd, v3_report_edge_sent=v3_report_edge_sent, v3_report_edge_rx_errors=v3_report_edge_rx_errors, grp_leave_edge_recvd=grp_leave_edge_recvd, grp_leave_edge_sent=grp_leave_edge_sent, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors, pim_hello_edge_recvd=pim_hello_edge_recvd, pim_hello_edge_sent=pim_hello_edge_sent, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors, error_unknown_types=error_unknown_types, error_bad_length=error_bad_length, error_bad_checksum=error_bad_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_statistics=igmp_statistics, query_edge_recvd=query_edge_recvd, query_edge_sent=query_edge_sent, query_edge_rx_errors=query_edge_rx_errors, v1_report_edge_recvd=v1_report_edge_recvd, v1_report_edge_sent=v1_report_edge_sent, v1_report_edge_rx_errors=v1_report_edge_rx_errors, v2_report_edge_recvd=v2_report_edge_recvd, v2_report_edge_sent=v2_report_edge_sent, v2_report_edge_rx_errors=v2_report_edge_rx_errors, v3_report_edge_recvd=v3_report_edge_recvd, v3_report_edge_sent=v3_report_edge_sent, v3_report_edge_rx_errors=v3_report_edge_rx_errors, grp_leave_edge_recvd=grp_leave_edge_recvd, grp_leave_edge_sent=grp_leave_edge_sent, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors, pim_hello_edge_recvd=pim_hello_edge_recvd, pim_hello_edge_sent=pim_hello_edge_sent, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors, error_unknown_types=error_unknown_types, error_bad_length=error_bad_length, error_bad_checksum=error_bad_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_error_bad_checksum_update(self, error_bad_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type error_bad_checksum: long
    :param error_bad_checksum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, error_bad_checksum=error_bad_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, error_bad_checksum=error_bad_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_error_bad_length_update(self, error_bad_length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type error_bad_length: long
    :param error_bad_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, error_bad_length=error_bad_length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, error_bad_length=error_bad_length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_error_unknown_types_update(self, error_unknown_types=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type error_unknown_types: long
    :param error_unknown_types: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, error_unknown_types=error_unknown_types)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, error_unknown_types=error_unknown_types)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_grp_leave_edge_recvd_update(self, grp_leave_edge_recvd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type grp_leave_edge_recvd: long
    :param grp_leave_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, grp_leave_edge_recvd=grp_leave_edge_recvd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, grp_leave_edge_recvd=grp_leave_edge_recvd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_grp_leave_edge_rx_errors_update(self, grp_leave_edge_rx_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type grp_leave_edge_rx_errors: long
    :param grp_leave_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_grp_leave_edge_sent_update(self, grp_leave_edge_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type grp_leave_edge_sent: long
    :param grp_leave_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, grp_leave_edge_sent=grp_leave_edge_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, grp_leave_edge_sent=grp_leave_edge_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_pim_hello_edge_recvd_update(self, pim_hello_edge_recvd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pim_hello_edge_recvd: long
    :param pim_hello_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_hello_edge_recvd=pim_hello_edge_recvd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_hello_edge_recvd=pim_hello_edge_recvd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_pim_hello_edge_rx_errors_update(self, pim_hello_edge_rx_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pim_hello_edge_rx_errors: long
    :param pim_hello_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_pim_hello_edge_sent_update(self, pim_hello_edge_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pim_hello_edge_sent: long
    :param pim_hello_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_hello_edge_sent=pim_hello_edge_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_hello_edge_sent=pim_hello_edge_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_query_edge_recvd_update(self, query_edge_recvd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type query_edge_recvd: long
    :param query_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, query_edge_recvd=query_edge_recvd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, query_edge_recvd=query_edge_recvd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_query_edge_rx_errors_update(self, query_edge_rx_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type query_edge_rx_errors: long
    :param query_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, query_edge_rx_errors=query_edge_rx_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, query_edge_rx_errors=query_edge_rx_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_query_edge_sent_update(self, query_edge_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type query_edge_sent: long
    :param query_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, query_edge_sent=query_edge_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, query_edge_sent=query_edge_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_v1_report_edge_recvd_update(self, v1_report_edge_recvd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v1_report_edge_recvd: long
    :param v1_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v1_report_edge_recvd=v1_report_edge_recvd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v1_report_edge_recvd=v1_report_edge_recvd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_v1_report_edge_rx_errors_update(self, v1_report_edge_rx_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v1_report_edge_rx_errors: long
    :param v1_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v1_report_edge_rx_errors=v1_report_edge_rx_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v1_report_edge_rx_errors=v1_report_edge_rx_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_v1_report_edge_sent_update(self, v1_report_edge_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v1_report_edge_sent: long
    :param v1_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v1_report_edge_sent=v1_report_edge_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v1_report_edge_sent=v1_report_edge_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_v2_report_edge_recvd_update(self, v2_report_edge_recvd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v2_report_edge_recvd: long
    :param v2_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v2_report_edge_recvd=v2_report_edge_recvd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v2_report_edge_recvd=v2_report_edge_recvd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_v2_report_edge_rx_errors_update(self, v2_report_edge_rx_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v2_report_edge_rx_errors: long
    :param v2_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v2_report_edge_rx_errors=v2_report_edge_rx_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v2_report_edge_rx_errors=v2_report_edge_rx_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_v2_report_edge_sent_update(self, v2_report_edge_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v2_report_edge_sent: long
    :param v2_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v2_report_edge_sent=v2_report_edge_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v2_report_edge_sent=v2_report_edge_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_v3_report_edge_recvd_update(self, v3_report_edge_recvd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v3_report_edge_recvd: long
    :param v3_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3_report_edge_recvd=v3_report_edge_recvd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3_report_edge_recvd=v3_report_edge_recvd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_v3_report_edge_rx_errors_update(self, v3_report_edge_rx_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v3_report_edge_rx_errors: long
    :param v3_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3_report_edge_rx_errors=v3_report_edge_rx_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3_report_edge_rx_errors=v3_report_edge_rx_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_v3_report_edge_sent_update(self, v3_report_edge_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v3_report_edge_sent: long
    :param v3_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3_report_edge_sent=v3_report_edge_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3_report_edge_sent=v3_report_edge_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_multicast_ssm_mapping_ssm_maps_update(self, ssm_maps=None, src_ip_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ssm_maps: prefix_list_name
    :param ssm_maps: Keyword argument tuple.

    :type prefix_list_name: unicode
    :param prefix_list_name: **ssm_maps** tuple argument.

    **Instance Argument(s)**:

    :type src_ip_addr: unicode
    :param src_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.multicast_ssm_mapping.ssm_maps', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.multicast_ssm_mapping.ssm_maps', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ssm_maps', 'keyval': 'prefix_list_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ssm_maps=ssm_maps, src_ip_addr=src_ip_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ssm_maps=ssm_maps, src_ip_addr=src_ip_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_multicast_ssm_mapping_ssm_maps_src_ip_addr_update(self, ssm_maps=None, src_ip_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ssm_maps: prefix_list_name
    :param ssm_maps: Keyword argument tuple.

    :type prefix_list_name: unicode
    :param prefix_list_name: **ssm_maps** tuple argument.

    **Instance Argument(s)**:

    :type src_ip_addr: unicode
    :param src_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.multicast_ssm_mapping.ssm_maps', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.multicast_ssm_mapping.ssm_maps', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ssm_maps', 'keyval': 'prefix_list_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ssm_maps=ssm_maps, src_ip_addr=src_ip_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ssm_maps=ssm_maps, src_ip_addr=src_ip_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_update(self, pim_snp_groups=None, pim_snp_groups_=None, uptime=None, expiry_time=None, last_reporter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_groups_: group_addr, vlan_id
    :param pim_snp_groups_: Keyword argument tuple.

    :type group_addr: long
    :param group_addr: **pim_snp_groups_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type uptime: unicode
    :param uptime: Keyword argument.

    :type expiry_time: unicode
    :param expiry_time: Keyword argument.

    :type last_reporter: long
    :param last_reporter: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_groups_', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, pim_snp_groups_=pim_snp_groups_, uptime=uptime, expiry_time=expiry_time, last_reporter=last_reporter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_groups_=pim_snp_groups_, uptime=uptime, expiry_time=expiry_time, last_reporter=last_reporter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_expiry_time_update(self, pim_snp_groups=None, expiry_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type expiry_time: unicode
    :param expiry_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, expiry_time=expiry_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, expiry_time=expiry_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_last_reporter_update(self, pim_snp_groups=None, last_reporter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_reporter: long
    :param last_reporter: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, last_reporter=last_reporter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, last_reporter=last_reporter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_update(self, pim_snp_groups=None, pim_snp_sources=None, src_flags=None, src_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_sources: src_addr
    :param pim_snp_sources: Keyword argument tuple.

    :type src_addr: long
    :param src_addr: **pim_snp_sources** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_flags: int
    :param src_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type src_uptime: unicode
    :param src_uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_sources', 'keyval': 'src_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, src_flags=src_flags, src_uptime=src_uptime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, src_flags=src_flags, src_uptime=src_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_pim_snp_sg_member_ports_update(self, pim_snp_groups=None, pim_snp_sources=None, pim_snp_sg_member_ports=None, mbr_flags=None, flag_string=None, mbr_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_snp_sources: src_addr
    :param pim_snp_sources: Keyword argument tuple.

    :type src_addr: long
    :param src_addr: **pim_snp_sources** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_sg_member_ports: interface_name
    :param pim_snp_sg_member_ports: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_snp_sg_member_ports** tuple argument.

    **Instance Argument(s)**:

    :type mbr_flags: int
    :param mbr_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type flag_string: unicode
    :param flag_string: Keyword argument.

    :type mbr_uptime: unicode
    :param mbr_uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_sg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports, mbr_flags=mbr_flags, flag_string=flag_string, mbr_uptime=mbr_uptime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports, mbr_flags=mbr_flags, flag_string=flag_string, mbr_uptime=mbr_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_pim_snp_sg_member_ports_flag_string_update(self, pim_snp_groups=None, pim_snp_sources=None, pim_snp_sg_member_ports=None, flag_string=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_snp_sources: src_addr
    :param pim_snp_sources: Keyword argument tuple.

    :type src_addr: long
    :param src_addr: **pim_snp_sources** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_sg_member_ports: interface_name
    :param pim_snp_sg_member_ports: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_snp_sg_member_ports** tuple argument.

    **Instance Argument(s)**:

    :type flag_string: unicode
    :param flag_string: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_sg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports, flag_string=flag_string)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports, flag_string=flag_string)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_pim_snp_sg_member_ports_mbr_flags_update(self, pim_snp_groups=None, pim_snp_sources=None, pim_snp_sg_member_ports=None, mbr_flags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_snp_sources: src_addr
    :param pim_snp_sources: Keyword argument tuple.

    :type src_addr: long
    :param src_addr: **pim_snp_sources** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_sg_member_ports: interface_name
    :param pim_snp_sg_member_ports: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_snp_sg_member_ports** tuple argument.

    **Instance Argument(s)**:

    :type mbr_flags: int
    :param mbr_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_sg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports, mbr_flags=mbr_flags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports, mbr_flags=mbr_flags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_pim_snp_sg_member_ports_mbr_uptime_update(self, pim_snp_groups=None, pim_snp_sources=None, pim_snp_sg_member_ports=None, mbr_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_snp_sources: src_addr
    :param pim_snp_sources: Keyword argument tuple.

    :type src_addr: long
    :param src_addr: **pim_snp_sources** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_sg_member_ports: interface_name
    :param pim_snp_sg_member_ports: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_snp_sg_member_ports** tuple argument.

    **Instance Argument(s)**:

    :type mbr_uptime: unicode
    :param mbr_uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_sg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports, mbr_uptime=mbr_uptime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports, mbr_uptime=mbr_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_src_flags_update(self, pim_snp_groups=None, pim_snp_sources=None, src_flags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_sources: src_addr
    :param pim_snp_sources: Keyword argument tuple.

    :type src_addr: long
    :param src_addr: **pim_snp_sources** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_flags: int
    :param src_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_sources', 'keyval': 'src_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, src_flags=src_flags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, src_flags=src_flags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_src_uptime_update(self, pim_snp_groups=None, pim_snp_sources=None, src_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_sources: src_addr
    :param pim_snp_sources: Keyword argument tuple.

    :type src_addr: long
    :param src_addr: **pim_snp_sources** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_uptime: unicode
    :param src_uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_sources', 'keyval': 'src_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, src_uptime=src_uptime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, src_uptime=src_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_wg_member_ports_update(self, pim_snp_groups=None, pim_snp_wg_member_ports=None, mbr_flags=None, flag_string=None, mbr_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_wg_member_ports: interface_name
    :param pim_snp_wg_member_ports: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_snp_wg_member_ports** tuple argument.

    **Instance Argument(s)**:

    :type mbr_flags: int
    :param mbr_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type flag_string: unicode
    :param flag_string: Keyword argument.

    :type mbr_uptime: unicode
    :param mbr_uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_wg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports, mbr_flags=mbr_flags, flag_string=flag_string, mbr_uptime=mbr_uptime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports, mbr_flags=mbr_flags, flag_string=flag_string, mbr_uptime=mbr_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_wg_member_ports_flag_string_update(self, pim_snp_groups=None, pim_snp_wg_member_ports=None, flag_string=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_wg_member_ports: interface_name
    :param pim_snp_wg_member_ports: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_snp_wg_member_ports** tuple argument.

    **Instance Argument(s)**:

    :type flag_string: unicode
    :param flag_string: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_wg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports, flag_string=flag_string)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports, flag_string=flag_string)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_wg_member_ports_mbr_flags_update(self, pim_snp_groups=None, pim_snp_wg_member_ports=None, mbr_flags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_wg_member_ports: interface_name
    :param pim_snp_wg_member_ports: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_snp_wg_member_ports** tuple argument.

    **Instance Argument(s)**:

    :type mbr_flags: int
    :param mbr_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_wg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports, mbr_flags=mbr_flags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports, mbr_flags=mbr_flags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_wg_member_ports_mbr_uptime_update(self, pim_snp_groups=None, pim_snp_wg_member_ports=None, mbr_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_wg_member_ports: interface_name
    :param pim_snp_wg_member_ports: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_snp_wg_member_ports** tuple argument.

    **Instance Argument(s)**:

    :type mbr_uptime: unicode
    :param mbr_uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_wg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports, mbr_uptime=mbr_uptime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports, mbr_uptime=mbr_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_uptime_update(self, pim_snp_groups=None, uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type uptime: unicode
    :param uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping_state.pim_snp_groups.pim_snp_groups_', 'pybind.slxos.v17r_1_00a.brocade_mc_hms_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_snp_groups=pim_snp_groups, uptime=uptime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, uptime=uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_update(self, ethernet=None, long_distance_isl=None, speed=None, ifindex=None, description=None, shutdown=None, mtu=None, priority_tag_enable=None, port_profile_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type long_distance_isl: unicode
    :param long_distance_isl: Configure the link as long-distance-link

        * enumeration restriction: ::

            ['2000', '5000', '10000', '30000']

    :type speed: unicode
    :param speed: Set speed informational parameter

        * enumeration restriction: ::

            ['1000-auto', 'auto', '100', '10000', '1000']

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type mtu: long
    :param mtu: Set mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type priority_tag_enable: YANGBool
    :param priority_tag_enable: Configure 802.1p priority tagging

    :type port_profile_port: YANGBool
    :param port_profile_port: Set the interface to AMPP profile mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.interface.ethernet": {"priority_tag_enable": "priority_tag_enable", "long_distance_isl": "long_distance_isl", "name": "name", "mtu": "mtu", "shutdown": "shutdown", "ifindex": "ifindex", "speed": "speed", "port_profile_port": "port_profile_port", "description": "description"}, "pybind.slxos.v17r_1_00a.interface.ethernet": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, long_distance_isl=long_distance_isl, speed=speed, ifindex=ifindex, description=description, shutdown=shutdown, mtu=mtu, priority_tag_enable=priority_tag_enable, port_profile_port=port_profile_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, long_distance_isl=long_distance_isl, speed=speed, ifindex=ifindex, description=description, shutdown=shutdown, mtu=mtu, priority_tag_enable=priority_tag_enable, port_profile_port=port_profile_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_bfd_update(self, ethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.bfd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_bfd_interval_update(self, ethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_bfd_interval_min_rx_update(self, ethernet=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_bfd_interval_min_tx_update(self, ethernet=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_bfd_interval_multiplier_update(self, ethernet=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_bfd_shutdown_update(self, ethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.bfd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_channel_group_update(self, ethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_int: long
    :param port_int: Channel group number

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: The mode of the port channel.

        * enumeration restriction: ::

            ['active', 'passive', 'on']

    :type type: unicode
    :param type: The type of the port-channel.

        * enumeration restriction: ::

            ['standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.channel_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.channel_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, port_int=port_int, mode=mode, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_channel_group_mode_update(self, ethernet=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: The mode of the port channel.

        * enumeration restriction: ::

            ['active', 'passive', 'on']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.channel_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.channel_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_channel_group_port_int_update(self, ethernet=None, port_int=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_int: long
    :param port_int: Channel group number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.channel_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.channel_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, port_int=port_int)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, port_int=port_int)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_channel_group_type_update(self, ethernet=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: The type of the port-channel.

        * enumeration restriction: ::

            ['standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.channel_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.channel_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_delay_link_event_delay_link_update(self, ethernet=None, delay_link_event_entry=None, delay_link_event_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type delay_link_event_entry: long
    :param delay_link_event_entry: NUMBER:1-200;;time

        * range restriction: ::

            ['0..4294967295']

    :type delay_link_event_type: unicode
    :param delay_link_event_type: Keyword argument.

        * enumeration restriction: ::

            ['down', 'both', 'up']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.delay_link_event.delay_link', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.delay_link_event.delay_link', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, delay_link_event_entry=delay_link_event_entry, delay_link_event_type=delay_link_event_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, delay_link_event_entry=delay_link_event_entry, delay_link_event_type=delay_link_event_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_delay_link_event_delay_link_event_entry_update(self, ethernet=None, delay_link_event_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type delay_link_event_entry: long
    :param delay_link_event_entry: NUMBER:1-200;;time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.delay_link_event.delay_link', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.delay_link_event.delay_link', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, delay_link_event_entry=delay_link_event_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, delay_link_event_entry=delay_link_event_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_delay_link_event_delay_link_event_type_update(self, ethernet=None, delay_link_event_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type delay_link_event_type: unicode
    :param delay_link_event_type: Keyword argument.

        * enumeration restriction: ::

            ['down', 'both', 'up']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.delay_link_event.delay_link', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.delay_link_event.delay_link', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, delay_link_event_type=delay_link_event_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, delay_link_event_type=delay_link_event_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_description_update(self, ethernet=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_deviceconnectivity_update(self, ethernet=None, deviceconnectivity=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type deviceconnectivity: unicode
    :param deviceconnectivity: Device connectivity to IP storage device

        * enumeration restriction: ::

            ['NAS', 'None', 'iSCSI', 'DAS']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.connectivity', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.connectivity', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, deviceconnectivity=deviceconnectivity)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, deviceconnectivity=deviceconnectivity)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_update(self, ethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, max_req=None, reauthentication=None, filter_strict_security=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type authentication: YANGBool
    :param authentication: Enable dot1x on a port

    :type port_control: unicode
    :param port_control: Port control commands

        * enumeration restriction: ::

            ['auto',
            'force-unauthorized',
            'force-authorized']

    :type protocol_version: long
    :param protocol_version: Set the protocol version

        * range restriction: ::

            ['0..4294967295']

    :type quiet_period: long
    :param quiet_period: Quiet period in the HELD state

        * range restriction: ::

            ['0..4294967295']

    :type reauthMax: long
    :param reauthMax: Number of reauthentication attempts before becomingunauthorized

        * range restriction: ::

            ['0..4294967295']

    :type max_req: long
    :param max_req: Number of times EAP ID Request needs to be resent whenresponse is not received.

        * range restriction: ::

            ['0..4294967295']

    :type reauthentication: YANGBool
    :param reauthentication: Enable reauthentication on a port

    :type filter_strict_security: YANGBool
    :param filter_strict_security: Enable strict mode on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, max_req=max_req, reauthentication=reauthentication, filter_strict_security=filter_strict_security)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, max_req=max_req, reauthentication=reauthentication, filter_strict_security=filter_strict_security)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_authentication_update(self, ethernet=None, authentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type authentication: YANGBool
    :param authentication: Enable dot1x on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, authentication=authentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, authentication=authentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_filter_strict_security_update(self, ethernet=None, filter_strict_security=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type filter_strict_security: YANGBool
    :param filter_strict_security: Enable strict mode on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, filter_strict_security=filter_strict_security)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, filter_strict_security=filter_strict_security)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_max_req_update(self, ethernet=None, max_req=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_req: long
    :param max_req: Number of times EAP ID Request needs to be resent whenresponse is not received.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, max_req=max_req)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, max_req=max_req)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_port_control_update(self, ethernet=None, port_control=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_control: unicode
    :param port_control: Port control commands

        * enumeration restriction: ::

            ['auto',
            'force-unauthorized',
            'force-authorized']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, port_control=port_control)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, port_control=port_control)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_protocol_version_update(self, ethernet=None, protocol_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type protocol_version: long
    :param protocol_version: Set the protocol version

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, protocol_version=protocol_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, protocol_version=protocol_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_quiet_period_update(self, ethernet=None, quiet_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type quiet_period: long
    :param quiet_period: Quiet period in the HELD state

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, quiet_period=quiet_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, quiet_period=quiet_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_reauthentication_update(self, ethernet=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reauthentication: YANGBool
    :param reauthentication: Enable reauthentication on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, reauthentication=reauthentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_reauthmax_update(self, ethernet=None, reauthMax=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reauthMax: long
    :param reauthMax: Number of reauthentication attempts before becomingunauthorized

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, reauthMax=reauthMax)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, reauthMax=reauthMax)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_timeout_update(self, ethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type re_authperiod: long
    :param re_authperiod: Reauthentication interval in seconds (default = 3600)

        * range restriction: ::

            ['0..4294967295']

    :type server_timeout: long
    :param server_timeout: Server timeout in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type supp_timeout: long
    :param supp_timeout: Supplicant response timeout (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type tx_period: long
    :param tx_period: Transmission period in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x.timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x.timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_timeout_re_authperiod_update(self, ethernet=None, re_authperiod=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type re_authperiod: long
    :param re_authperiod: Reauthentication interval in seconds (default = 3600)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x.timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x.timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, re_authperiod=re_authperiod)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, re_authperiod=re_authperiod)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_timeout_server_timeout_update(self, ethernet=None, server_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type server_timeout: long
    :param server_timeout: Server timeout in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x.timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x.timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, server_timeout=server_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, server_timeout=server_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_timeout_supp_timeout_update(self, ethernet=None, supp_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type supp_timeout: long
    :param supp_timeout: Supplicant response timeout (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x.timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x.timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, supp_timeout=supp_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, supp_timeout=supp_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_timeout_tx_period_update(self, ethernet=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type tx_period: long
    :param tx_period: Transmission period in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x.timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.dot1x.timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, tx_period=tx_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_edge_loop_detection_update(self, ethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Set ELD-priority value to interface

        * range restriction: ::

            ['0..4294967295']

    :type eldvlan: unicode
    :param eldvlan: Enable for specific VLAN on selected interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, eldprio=eldprio, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_edge_loop_detection_native_update(self, ethernet=None, loop_detection_native=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type loop_detection_native: YANGBool
    :param loop_detection_native: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.edge_loop_detection_native', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, loop_detection_native=loop_detection_native)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, loop_detection_native=loop_detection_native)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_edge_loop_detection_port_priority_update(self, ethernet=None, eldprio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Set ELD-priority value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, eldprio=eldprio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, eldprio=eldprio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_edge_loop_detection_vlan_update(self, ethernet=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldvlan: unicode
    :param eldvlan: Enable for specific VLAN on selected interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_dport_update(self, ethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_dport_enable: YANGBool
    :param fabric_dport_enable: Configure fabric D-port status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_dport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.fabric.fabric_dport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, fabric_dport_enable=fabric_dport_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_dport_enable_update(self, ethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_dport_enable: YANGBool
    :param fabric_dport_enable: Configure fabric D-port status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_dport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.fabric.fabric_dport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, fabric_dport_enable=fabric_dport_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_isl_update(self, ethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_isl_enable: YANGBool
    :param fabric_isl_enable: Configure fabric isl status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_isl', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.fabric.fabric_isl', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, fabric_isl_enable=fabric_isl_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_isl_enable_update(self, ethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_isl_enable: YANGBool
    :param fabric_isl_enable: Configure fabric isl status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_isl', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.fabric.fabric_isl', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, fabric_isl_enable=fabric_isl_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_neighbor_discovery_update(self, ethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable neighbor discovery at this port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.neighbor_discovery', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.fabric.neighbor_discovery', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_neighbor_discovery_disable_update(self, ethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable neighbor discovery at this port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.neighbor_discovery', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.fabric.neighbor_discovery', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_trunk_update(self, ethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_trunk_enable: YANGBool
    :param fabric_trunk_enable: Configure fabric trunk status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_trunk', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.fabric.fabric_trunk', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, fabric_trunk_enable=fabric_trunk_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_trunk_enable_update(self, ethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_trunk_enable: YANGBool
    :param fabric_trunk_enable: Configure fabric trunk status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_trunk', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.fabric.fabric_trunk', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, fabric_trunk_enable=fabric_trunk_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fcoeport_update(self, ethernet=None, fcoeport_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fcoeport_map: unicode
    :param fcoeport_map: Keyword argument.

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.fcoeport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, fcoeport_map=fcoeport_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, fcoeport_map=fcoeport_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fcoeport_map_update(self, ethernet=None, fcoeport_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fcoeport_map: unicode
    :param fcoeport_map: Keyword argument.

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.fcoeport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, fcoeport_map=fcoeport_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, fcoeport_map=fcoeport_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ifindex_update(self, ethernet=None, ifindex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ifindex=ifindex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ifindex=ifindex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_access_group_update(self, ethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip_acl_interface.ip.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_access_group_traffic_type_update(self, ethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip_acl_interface.ip.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_address_update(self, ethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_address_ospf_ignore_update(self, ethernet=None, address=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, address=address, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, address=address, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_address_ospf_passive_update(self, ethernet=None, address=None, ospf_passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, address=address, ospf_passive=ospf_passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, address=address, ospf_passive=ospf_passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_address_secondary_update(self, ethernet=None, address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, address=address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, address=address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_arp_aging_timeout_update(self, ethernet=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.ip_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_arp_inspection_update(self, ethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.arp_node_config.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.arp_node_config.arp.inspection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_arp_inspection_filter_update(self, ethernet=None, acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type acl_name: unicode
    :param acl_name: Keyword argument.

        * length restriction: ::

            ['1..62']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.ip.arp_node_config.arp.inspection.filter', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, acl_name=acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, acl_name=acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_arp_inspection_filter_acl_name_update(self, ethernet=None, acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type acl_name: unicode
    :param acl_name: Keyword argument.

        * length restriction: ::

            ['1..62']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.ip.arp_node_config.arp.inspection.filter', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, acl_name=acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, acl_name=acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_arp_inspection_trust_update(self, ethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.arp_node_config.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.arp_node_config.arp.inspection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_dhcp_relay_update(self, ethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_dhcp_conf.dhcp.relay', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_dhcp_conf.dhcp.relay', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_dhcp_relay_gateway_update(self, ethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_dhcp_conf.dhcp.relay', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_dhcp_conf.dhcp.relay', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_directed_broadcast_update(self, ethernet=None, directed_broadcast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.ip_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, directed_broadcast=directed_broadcast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, directed_broadcast=directed_broadcast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_icmp_update(self, ethernet=None, rate_limiting=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.icmp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, rate_limiting=rate_limiting, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, rate_limiting=rate_limiting, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_icmp_rate_limiting_update(self, ethernet=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.icmp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_icmp_redirect_update(self, ethernet=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.icmp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_igmp_update(self, ethernet=None, igmpl3_last_member_query_interval=None, igmpl3_query_interval=None, igmpl3_query_max_response_time=None, igmpl3_immediate_leave=None, igmpl3_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type igmpl3_last_member_query_interval: long
    :param igmpl3_last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type igmpl3_query_interval: long
    :param igmpl3_query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type igmpl3_query_max_response_time: long
    :param igmpl3_query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type igmpl3_immediate_leave: YANGBool
    :param igmpl3_immediate_leave: Immediate Leave Processing

    :type igmpl3_version: long
    :param igmpl3_version: Version for this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval, igmpl3_query_interval=igmpl3_query_interval, igmpl3_query_max_response_time=igmpl3_query_max_response_time, igmpl3_immediate_leave=igmpl3_immediate_leave, igmpl3_version=igmpl3_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval, igmpl3_query_interval=igmpl3_query_interval, igmpl3_query_max_response_time=igmpl3_query_max_response_time, igmpl3_immediate_leave=igmpl3_immediate_leave, igmpl3_version=igmpl3_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_igmp_immediate_leave_update(self, ethernet=None, igmpl3_immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type igmpl3_immediate_leave: YANGBool
    :param igmpl3_immediate_leave: Immediate Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, igmpl3_immediate_leave=igmpl3_immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, igmpl3_immediate_leave=igmpl3_immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_igmp_last_member_query_interval_update(self, ethernet=None, igmpl3_last_member_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type igmpl3_last_member_query_interval: long
    :param igmpl3_last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_igmp_query_interval_update(self, ethernet=None, igmpl3_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type igmpl3_query_interval: long
    :param igmpl3_query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, igmpl3_query_interval=igmpl3_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, igmpl3_query_interval=igmpl3_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_igmp_query_max_response_time_update(self, ethernet=None, igmpl3_query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type igmpl3_query_max_response_time: long
    :param igmpl3_query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, igmpl3_query_max_response_time=igmpl3_query_max_response_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, igmpl3_query_max_response_time=igmpl3_query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_igmp_version_update(self, ethernet=None, igmpl3_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type igmpl3_version: long
    :param igmpl3_version: Version for this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, igmpl3_version=igmpl3_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, igmpl3_version=igmpl3_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ip_config_update(self, ethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.ip_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_mtu_update(self, ethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.ip_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_multicast_boundary_update(self, ethernet=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_update(self, ethernet=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type intf_ldp_sync: unicode
    :param intf_ldp_sync: Set LDP-SYNC operation mode on this interface

        * enumeration restriction: ::

            ['enable', 'disable']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_active_update(self, ethernet=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_area_update(self, ethernet=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, area=area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_auth_change_wait_time_update(self, ethernet=None, auth_change_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, auth_change_wait_time=auth_change_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, auth_change_wait_time=auth_change_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_authentication_key_auth_key_update(self, ethernet=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_authentication_key_auth_key_table_update(self, ethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'encrypttype, auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, encrypttype=encrypttype, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_authentication_key_encrypttype_update(self, ethernet=None, encrypttype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, encrypttype=encrypttype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, encrypttype=encrypttype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_authentication_key_no_encrypt_auth_key_update(self, ethernet=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_authentication_key_no_encrypt_auth_key_table_update(self, ethernet=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_bfd_update(self, ethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.bfd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_bfd_intf_bfd_enable_update(self, ethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.bfd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_cost_update(self, ethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_database_filter_update(self, ethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.database_filter', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_database_filter_all_external_update(self, ethernet=None, all_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.database_filter', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, all_external=all_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, all_external=all_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_database_filter_all_out_update(self, ethernet=None, all_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.database_filter', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, all_out=all_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, all_out=all_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_database_filter_all_summary_external_update(self, ethernet=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.database_filter', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_dead_interval_update(self, ethernet=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_hello_interval_update(self, ethernet=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_ldp_sync_update(self, ethernet=None, intf_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type intf_ldp_sync: unicode
    :param intf_ldp_sync: Set LDP-SYNC operation mode on this interface

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, intf_ldp_sync=intf_ldp_sync)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, intf_ldp_sync=intf_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_md5_authentication_update(self, ethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, ethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_md5_authentication_key_id_update(self, ethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type md5_authentication_key: unicode
    :param md5_authentication_key: MD5 authentication ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_md5_authentication_key_id_key_update(self, ethernet=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_md5_authentication_key_id_key_id_update(self, ethernet=None, key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, key_id=key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, key_id=key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_md5_authentication_no_encrypt_key_update(self, ethernet=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_md5_authentication_no_encrypt_key_id_update(self, ethernet=None, no_encrypt_key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, no_encrypt_key_id=no_encrypt_key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, no_encrypt_key_id=no_encrypt_key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_md5_authentication_no_encrypt_key_table_update(self, ethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_mtu_ignore_update(self, ethernet=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_network_update(self, ethernet=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_passive_update(self, ethernet=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_priority_update(self, ethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_retransmit_interval_update(self, ethernet=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_transmit_delay_update(self, ethernet=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_pim_update(self, ethernet=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type ttl_threshold: long
    :param ttl_threshold: Set TTL threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_pim_dr_priority_update(self, ethernet=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_pim_int_cmd_update(self, ethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_pim_neighbor_filter_update(self, ethernet=None, neighbor_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, neighbor_filter=neighbor_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, neighbor_filter=neighbor_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_pim_sparse_update(self, ethernet=None, pim_sparse=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, pim_sparse=pim_sparse)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, pim_sparse=pim_sparse)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_pim_ttl_threshold_update(self, ethernet=None, ttl_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ttl_threshold: long
    :param ttl_threshold: Set TTL threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ttl_threshold=ttl_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ttl_threshold=ttl_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_policy_route_map_update(self, ethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_policy_route_map_route_map_name_update(self, ethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_proxy_arp_update(self, ethernet=None, proxy_arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.ip_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, proxy_arp=proxy_arp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, proxy_arp=proxy_arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_router_update(self, ethernet=None, interface_ip_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_ip_router_isis: YANGBool
    :param interface_ip_router_isis: Enable IS-IS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_ip_router_isis=interface_ip_router_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_ip_router_isis=interface_ip_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_router_isis_update(self, ethernet=None, interface_ip_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_ip_router_isis: YANGBool
    :param interface_ip_router_isis: Enable IS-IS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_ip_router_isis=interface_ip_router_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_ip_router_isis=interface_ip_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_update(self, ethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type raguard: YANGBool
    :param raguard: IPv6 Router advertisement guard configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, raguard=raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_access_group_update(self, ethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_access_group_traffic_type_update(self, ethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_update(self, ethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config.address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_ipv6_address_update(self, ethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_ipv6_address_anycast_update(self, ethernet=None, ipv6_address=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ipv6_address=ipv6_address, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ipv6_address=ipv6_address, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_ipv6_address_eui_64_update(self, ethernet=None, ipv6_address=None, eui64=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ipv6_address=ipv6_address, eui64=eui64)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ipv6_address=ipv6_address, eui64=eui64)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_ipv6_address_secondary_update(self, ethernet=None, ipv6_address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ipv6_address=ipv6_address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ipv6_address=ipv6_address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_ipv6_address_secondary_eui_config_update(self, ethernet=None, ipv6_address=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui_secondary: YANGBool
    :param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ipv6_address=ipv6_address, eui_secondary=eui_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ipv6_address=ipv6_address, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_link_local_update(self, ethernet=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_link_local_address_update(self, ethernet=None, link_local_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, link_local_address=link_local_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, link_local_address=link_local_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_link_local_config_update(self, ethernet=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'link_local_address, link_local'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, link_local_address=link_local_address, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_use_link_local_only_update(self, ethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config.address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_dhcp_relay_servers_update(self, ethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_dhcp_relay_servers_interface_update(self, ethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['ethernet', 'Ve']

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_dhcp_relay_servers_interface_interface_update(self, ethernet=None, servers=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['ethernet', 'Ve']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, servers=servers, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, servers=servers, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_dhcp_relay_servers_interface_interface_name_update(self, ethernet=None, servers=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, servers=servers, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, servers=servers, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_dhcp_relay_servers_use_vrf_update(self, ethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_hop_by_hop_trap_update(self, ethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_icmpv6_update(self, ethernet=None, rate_limiting=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.icmpv6', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, rate_limiting=rate_limiting, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, rate_limiting=rate_limiting, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_icmpv6_rate_limiting_update(self, ethernet=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.icmpv6', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_icmpv6_redirect_update(self, ethernet=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.icmpv6', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ipv6_config_update(self, ethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ipv6_intf_cmds_update(self, ethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ipv6_phy_intf_cmds_update(self, ethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_mtu_update(self, ethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_update(self, ethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, send_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type hoplimit: long
    :param hoplimit:  Configure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type send_ra: YANGBool
    :param send_ra: Set send-ra

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy, send_ra=send_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy, send_ra=send_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_address_update(self, ethernet=None, address_suppress_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type address_suppress_all: YANGBool
    :param address_suppress_all: Suppress all IPv6 addresses in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, address_suppress_all=address_suppress_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, address_suppress_all=address_suppress_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_address_suppress_update(self, ethernet=None, address_suppress_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type address_suppress_all: YANGBool
    :param address_suppress_all: Suppress all IPv6 addresses in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, address_suppress_all=address_suppress_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, address_suppress_all=address_suppress_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_address_suppressing_address_update(self, ethernet=None, suppressing_address=None, suppress_per_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type suppressing_address: suppress_ipv6_address, suppress_per_address
    :param suppressing_address: Keyword argument tuple.

    :type suppress_ipv6_address: unicode
    :param suppress_ipv6_address: **suppressing_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type suppress_per_address: YANGBool
    :param suppress_per_address: **suppressing_address** tuple argument:  Suppress all IPv6 addresses in router advertisement

    **Instance Argument(s)**:

    :type suppress_per_address: YANGBool
    :param suppress_per_address: Suppress all IPv6 addresses in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': 'suppress_ipv6_address, suppress_per_address'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, suppressing_address=suppressing_address, suppress_per_address=suppress_per_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, suppressing_address=suppressing_address, suppress_per_address=suppress_per_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_address_suppressing_address_suppress_update(self, ethernet=None, suppressing_address=None, suppress_per_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type suppressing_address: suppress_ipv6_address
    :param suppressing_address: Keyword argument tuple.

    :type suppress_ipv6_address: unicode
    :param suppress_ipv6_address: **suppressing_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type suppress_per_address: YANGBool
    :param suppress_per_address: Suppress all IPv6 addresses in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, suppressing_address=suppressing_address, suppress_per_address=suppress_per_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, suppressing_address=suppressing_address, suppress_per_address=suppress_per_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_broadcast_mac_trap_update(self, ethernet=None, broadcast_mac_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, broadcast_mac_trap=broadcast_mac_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, broadcast_mac_trap=broadcast_mac_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_cache_update(self, ethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_cache_expire_update(self, ethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_dad_update(self, ethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, attempts=attempts, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_dad_attempts_update(self, ethernet=None, attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, attempts=attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, attempts=attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_dad_time_update(self, ethernet=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_hoplimit_update(self, ethernet=None, hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hoplimit: long
    :param hoplimit:  Configure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, hoplimit=hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, hoplimit=hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_managed_config_flag_update(self, ethernet=None, managed_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, managed_config_flag=managed_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, managed_config_flag=managed_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_mtu_update(self, ethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ns_interval_update(self, ethernet=None, ns_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ns_interval=ns_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ns_interval=ns_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_nud_retry_update(self, ethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'base, interval, max_attempts'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, base=base, interval=interval, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_nud_retry_base_update(self, ethernet=None, base=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, base=base)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, base=base)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_nud_retry_interval_update(self, ethernet=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_nud_retry_max_attempts_update(self, ethernet=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_other_config_flag_update(self, ethernet=None, other_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, other_config_flag=other_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, other_config_flag=other_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_infinite_update(self, ethernet=None, prefix=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_infinite: YANGBool
    :param valid_infinite: Infinite valid lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, prefix=prefix, valid_infinite=valid_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, prefix=prefix, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_infinite_preferred_update(self, ethernet=None, prefix=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, prefix=prefix, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, prefix=prefix, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_no_advertise_update(self, ethernet=None, prefix=None, no_advertise=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_advertise: YANGBool
    :param no_advertise: Do not advertise prefix

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, prefix=prefix, no_advertise=no_advertise)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, prefix=prefix, no_advertise=no_advertise)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_no_autoconfig_update(self, ethernet=None, prefix=None, no_autoconfig=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, prefix=prefix, no_autoconfig=no_autoconfig)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, prefix=prefix, no_autoconfig=no_autoconfig)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_no_onlink_update(self, ethernet=None, prefix=None, no_onlink=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, prefix=prefix, no_onlink=no_onlink)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, prefix=prefix, no_onlink=no_onlink)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_off_link_update(self, ethernet=None, prefix=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, prefix=prefix, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, prefix=prefix, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_preferred_update(self, ethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'preferred_lifetime, preferred_infinite'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime'], 'pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_preferred_lifetime_update(self, ethernet=None, prefix=None, preferred_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, prefix=prefix, preferred_lifetime=preferred_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, prefix=prefix, preferred_lifetime=preferred_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_prefix_flags_update(self, ethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_autoconfig, no_onlink, off_link'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_valid_lifetime_update(self, ethernet=None, prefix=None, valid_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_lifetime: long
    :param valid_lifetime: Configures valid lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, prefix=prefix, valid_lifetime=valid_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, prefix=prefix, valid_lifetime=valid_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_proxy_update(self, ethernet=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ra_dns_server_update(self, ethernet=None, ra_dns_server=None, dns_server_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ra_dns_server: dns_server_prefix
    :param ra_dns_server: Keyword argument tuple.

    :type dns_server_prefix: unicode
    :param dns_server_prefix: **ra_dns_server** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type dns_server_lifetime_multiplier: long
    :param dns_server_lifetime_multiplier: Lifetime multiplier for the Recursive DNS Server option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ra_dns_server_lifetime_multiplier_update(self, ethernet=None, ra_dns_server=None, dns_server_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ra_dns_server: dns_server_prefix
    :param ra_dns_server: Keyword argument tuple.

    :type dns_server_prefix: unicode
    :param dns_server_prefix: **ra_dns_server** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type dns_server_lifetime_multiplier: long
    :param dns_server_lifetime_multiplier: Lifetime multiplier for the Recursive DNS Server option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ra_domain_name_update(self, ethernet=None, ra_domain_name=None, domain_name_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ra_domain_name: domain_name_string
    :param ra_domain_name: Keyword argument tuple.

    :type domain_name_string: unicode
    :param domain_name_string: **ra_domain_name** tuple argument.

    **Instance Argument(s)**:

    :type domain_name_lifetime_multiplier: long
    :param domain_name_lifetime_multiplier: Lifetime multiplier for DNS Search List option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ra_domain_name_lifetime_multiplier_update(self, ethernet=None, ra_domain_name=None, domain_name_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ra_domain_name: domain_name_string
    :param ra_domain_name: Keyword argument tuple.

    :type domain_name_string: unicode
    :param domain_name_string: **ra_domain_name** tuple argument.

    **Instance Argument(s)**:

    :type domain_name_lifetime_multiplier: long
    :param domain_name_lifetime_multiplier: Lifetime multiplier for DNS Search List option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ra_interval_update(self, ethernet=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_interval, min_'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, max_interval=max_interval, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ra_interval_max_interval_update(self, ethernet=None, max_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, max_interval=max_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, max_interval=max_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ra_interval_min_update(self, ethernet=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ra_lifetime_update(self, ethernet=None, ra_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ra_lifetime=ra_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ra_lifetime=ra_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_reachable_time_update(self, ethernet=None, reachable_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, reachable_time=reachable_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, reachable_time=reachable_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_retrans_timer_update(self, ethernet=None, retrans_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, retrans_timer=retrans_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, retrans_timer=retrans_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_router_preference_update(self, ethernet=None, router_pref_high=None, router_pref_low=None, router_pref_medium=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type router_pref_high: YANGBool
    :param router_pref_high: Set router-preference to high

    :type router_pref_low: YANGBool
    :param router_pref_low:  Set router-preference to low

    :type router_pref_medium: YANGBool
    :param router_pref_medium: Set router-preference to medium

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'router_pref_high, router_pref_low, router_pref_medium'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, router_pref_high=router_pref_high, router_pref_low=router_pref_low, router_pref_medium=router_pref_medium)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, router_pref_high=router_pref_high, router_pref_low=router_pref_low, router_pref_medium=router_pref_medium)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_router_preference_high_update(self, ethernet=None, router_pref_high=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type router_pref_high: YANGBool
    :param router_pref_high: Set router-preference to high

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, router_pref_high=router_pref_high)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, router_pref_high=router_pref_high)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_router_preference_low_update(self, ethernet=None, router_pref_low=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type router_pref_low: YANGBool
    :param router_pref_low:  Set router-preference to low

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, router_pref_low=router_pref_low)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, router_pref_low=router_pref_low)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_router_preference_medium_update(self, ethernet=None, router_pref_medium=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type router_pref_medium: YANGBool
    :param router_pref_medium: Set router-preference to medium

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, router_pref_medium=router_pref_medium)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, router_pref_medium=router_pref_medium)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_send_ra_update(self, ethernet=None, send_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type send_ra: YANGBool
    :param send_ra: Set send-ra

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, send_ra=send_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, send_ra=send_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_suppress_ra_update(self, ethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_suppress_ra_all_update(self, ethernet=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_suppress_ra_mtu_update(self, ethernet=None, suppress_ra_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, suppress_ra_mtu=suppress_ra_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, suppress_ra_mtu=suppress_ra_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_suppress_ra_suppress_ra_flag_update(self, ethernet=None, suppress_ra_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, suppress_ra_flag=suppress_ra_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, suppress_ra_flag=suppress_ra_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_neighbor_update(self, ethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(.[0-9a-fA-F]{4}){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_neighbor_hardware_address_update(self, ethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(.[0-9a-fA-F]{4}){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_update(self, ethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_active_update(self, ethernet=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_area_update(self, ethernet=None, interface_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_area=interface_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_area=interface_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_ah_update(self, ethernet=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_esp_update(self, ethernet=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_esp_auth_update(self, ethernet=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_esp_key_update(self, ethernet=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_esp_no_encrypt_update(self, ethernet=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_ipsec_update(self, ethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_ipsec_auth_key_config_update(self, ethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_ipsec_disable_update(self, ethernet=None, ipsec_authentication_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ipsec_authentication_disable=ipsec_authentication_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ipsec_authentication_disable=ipsec_authentication_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, ethernet=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_key_update(self, ethernet=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_no_encrypt_update(self, ethernet=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_spi_update(self, ethernet=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_bfd_update(self, ethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_bfd_bfd_enable_update(self, ethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_cost_update(self, ethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_dead_interval_update(self, ethernet=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_hello_interval_update(self, ethernet=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_hello_jitter_update(self, ethernet=None, hello_jitter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, hello_jitter=hello_jitter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, hello_jitter=hello_jitter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_instance_update(self, ethernet=None, instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, instance=instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, instance=instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_link_interval_properties_update(self, ethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_mtu_ignore_update(self, ethernet=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_network_update(self, ethernet=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_passive_update(self, ethernet=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_priority_update(self, ethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_retransmit_interval_update(self, ethernet=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_suppress_linklsa_update(self, ethernet=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_transmit_delay_update(self, ethernet=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_policy_route_map_update(self, ethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.policy.route_map', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_policy_route_map_ipv6_route_map_name_update(self, ethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.policy.route_map', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_raguard_update(self, ethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type raguard: YANGBool
    :param raguard: IPv6 Router advertisement guard configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, raguard=raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_router_update(self, ethernet=None, interface_ipv6_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_ipv6_router_isis: YANGBool
    :param interface_ipv6_router_isis: Enable IS-IS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_ipv6_router_isis=interface_ipv6_router_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_ipv6_router_isis=interface_ipv6_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_router_isis_update(self, ethernet=None, interface_ipv6_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_ipv6_router_isis: YANGBool
    :param interface_ipv6_router_isis: Enable IS-IS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_ipv6_router_isis=interface_ipv6_router_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_ipv6_router_isis=interface_ipv6_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_update(self, ethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Neighbor Discovery Advertisment Interval

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_advertise_backup_update(self, ethernet=None, vrrpv3e_group=None, advertise_backup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, advertise_backup=advertise_backup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, advertise_backup=advertise_backup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_advertisement_interval_update(self, ethernet=None, vrrpv3e_group=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_advertisement_interval_scale_update(self, ethernet=None, vrrpv3e_group=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, advertisement_interval_scale=advertisement_interval_scale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_backup_advertisement_interval_update(self, ethernet=None, vrrpv3e_group=None, backup_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, backup_advertisement_interval=backup_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, backup_advertisement_interval=backup_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_description_update(self, ethernet=None, vrrpv3e_group=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_enable_update(self, ethernet=None, vrrpv3e_group=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_hold_time_update(self, ethernet=None, vrrpv3e_group=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_nd_advertisement_timer_update(self, ethernet=None, vrrpv3e_group=None, nd_advertisement_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Neighbor Discovery Advertisment Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, nd_advertisement_timer=nd_advertisement_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, nd_advertisement_timer=nd_advertisement_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_preempt_mode_update(self, ethernet=None, vrrpv3e_group=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_priority_update(self, ethernet=None, vrrpv3e_group=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, ethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'basic, revert_priority'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_short_path_forwarding_basic_update(self, ethernet=None, vrrpv3e_group=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_short_path_forwarding_revert_priority_update(self, ethernet=None, vrrpv3e_group=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_track_interface_update(self, ethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_track_interface_priority_update(self, ethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_update(self, ethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_advertisement_interval_update(self, ethernet=None, vrrpv3_group=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_description_update(self, ethernet=None, vrrpv3_group=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_enable_update(self, ethernet=None, vrrpv3_group=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_hold_time_update(self, ethernet=None, vrrpv3_group=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_preempt_mode_update(self, ethernet=None, vrrpv3_group=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_priority_update(self, ethernet=None, vrrpv3_group=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_track_interface_update(self, ethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3_group.track.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_track_interface_priority_update(self, ethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3_group.track.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_use_v2_checksum_update(self, ethernet=None, vrrpv3_group=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_suppress_interface_ra_update(self, ethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_update(self, ethernet=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type circuit_type: unicode
    :param circuit_type: Define inter-area/intra area operation mode

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    :type interface_point_to_point: YANGBool
    :param interface_point_to_point: Point-to-point interface for ISIS operation

    :type interface_passive: YANGBool
    :param interface_passive: Passive interface for ISIS operation

    :type interface_ldp_sync: unicode
    :param interface_ldp_sync: Set LDP-SYNC operation mode on this interface

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_check_level_1_update(self, ethernet=None, interface_auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_auth_check_level1_disable: YANGBool
    :param interface_auth_check_level1_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_auth_check_level1_disable=interface_auth_check_level1_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_check_level_1_disable_update(self, ethernet=None, interface_auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_auth_check_level1_disable: YANGBool
    :param interface_auth_check_level1_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_auth_check_level1_disable=interface_auth_check_level1_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_check_level_2_update(self, ethernet=None, interface_auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_auth_check_level2_disable: YANGBool
    :param interface_auth_check_level2_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_auth_check_level2_disable=interface_auth_check_level2_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_check_level_2_disable_update(self, ethernet=None, interface_auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_auth_check_level2_disable: YANGBool
    :param interface_auth_check_level2_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_auth_check_level2_disable=interface_auth_check_level2_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_key_update(self, ethernet=None, interface_auth_key=None, interface_auth_key_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_auth_key: interface_auth_key_level, interface_auth_key_str
    :param interface_auth_key: Keyword argument tuple.

    :type interface_auth_key_level: unicode
    :param interface_auth_key_level: **interface_auth_key** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: **interface_auth_key** tuple argument.

        * length restriction: ::

            ['1..63']

    **Instance Argument(s)**:

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_key_interface_auth_key_str_update(self, ethernet=None, interface_auth_key=None, interface_auth_key_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_auth_key: interface_auth_key_level
    :param interface_auth_key: Keyword argument tuple.

    :type interface_auth_key_level: unicode
    :param interface_auth_key_level: **interface_auth_key** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_mode_md5_update(self, ethernet=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_auth_mode_md5_level1: YANGBool
    :param interface_auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP

    :type interface_auth_mode_md5_level2: YANGBool
    :param interface_auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_mode_md5_level_1_update(self, ethernet=None, interface_auth_mode_md5_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_auth_mode_md5_level1: YANGBool
    :param interface_auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_mode_md5_level_2_update(self, ethernet=None, interface_auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_auth_mode_md5_level2: YANGBool
    :param interface_auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_bfd_update(self, ethernet=None, interface_bfd_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_bfd_disable: YANGBool
    :param interface_bfd_disable: Disable BFD operation mode on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_bfd": {}, "pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_bfd": {"interface_bfd_disable": "interface_bfd_disable"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_bfd_disable=interface_bfd_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_bfd_disable=interface_bfd_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_bfd_disable_update(self, ethernet=None, interface_bfd_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_bfd_disable: YANGBool
    :param interface_bfd_disable: Disable BFD operation mode on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_bfd_disable=interface_bfd_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_bfd_disable=interface_bfd_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_bfd_interface_bfd_enable_update(self, ethernet=None, interface_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_bfd_enable: YANGBool
    :param interface_bfd_enable: Enable BFD operation mode on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_bfd_enable=interface_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_bfd_enable=interface_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_circuit_type_update(self, ethernet=None, circuit_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type circuit_type: unicode
    :param circuit_type: Define inter-area/intra area operation mode

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, circuit_type=circuit_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, circuit_type=circuit_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_hello_interval_update(self, ethernet=None, interface_hello_interval=None, interface_hello_interval_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_hello_interval: interface_hello_interval_level, interface_hello_interval_val
    :param interface_hello_interval: Keyword argument tuple.

    :type interface_hello_interval_level: unicode
    :param interface_hello_interval_level: **interface_hello_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: **interface_hello_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_hello_interval_interface_hello_interval_val_update(self, ethernet=None, interface_hello_interval=None, interface_hello_interval_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_hello_interval: interface_hello_interval_level
    :param interface_hello_interval: Keyword argument tuple.

    :type interface_hello_interval_level: unicode
    :param interface_hello_interval_level: **interface_hello_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_hello_multiplier_update(self, ethernet=None, interface_hello_multiplier=None, interface_hello_multiplier_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_hello_multiplier: interface_hello_multiplier_level, interface_hello_multiplier_val
    :param interface_hello_multiplier: Keyword argument tuple.

    :type interface_hello_multiplier_level: unicode
    :param interface_hello_multiplier_level: **interface_hello_multiplier** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: **interface_hello_multiplier** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_hello_multiplier_interface_hello_multiplier_val_update(self, ethernet=None, interface_hello_multiplier=None, interface_hello_multiplier_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_hello_multiplier: interface_hello_multiplier_level
    :param interface_hello_multiplier: Keyword argument tuple.

    :type interface_hello_multiplier_level: unicode
    :param interface_hello_multiplier_level: **interface_hello_multiplier** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_hello_padding_update(self, ethernet=None, interface_hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_hello_padding_disable: YANGBool
    :param interface_hello_padding_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_hello_padding_disable=interface_hello_padding_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_hello_padding_disable=interface_hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_hello_padding_disable_update(self, ethernet=None, interface_hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_hello_padding_disable: YANGBool
    :param interface_hello_padding_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_hello_padding_disable=interface_hello_padding_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_hello_padding_disable=interface_hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_ipv6_metric_update(self, ethernet=None, interface_ipv6_metric=None, interface_ipv6_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_ipv6_metric: interface_ipv6_metric_level, interface_ipv6_metric_val
    :param interface_ipv6_metric: Keyword argument tuple.

    :type interface_ipv6_metric_level: unicode
    :param interface_ipv6_metric_level: **interface_ipv6_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: **interface_ipv6_metric** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_ipv6_metric_interface_ipv6_metric_val_update(self, ethernet=None, interface_ipv6_metric=None, interface_ipv6_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_ipv6_metric: interface_ipv6_metric_level
    :param interface_ipv6_metric: Keyword argument tuple.

    :type interface_ipv6_metric_level: unicode
    :param interface_ipv6_metric_level: **interface_ipv6_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_ldp_sync_update(self, ethernet=None, interface_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_ldp_sync: unicode
    :param interface_ldp_sync: Set LDP-SYNC operation mode on this interface

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_ldp_sync=interface_ldp_sync)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_ldp_sync=interface_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_metric_update(self, ethernet=None, interface_metric=None, interface_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_metric: interface_metric_level, interface_metric_val
    :param interface_metric: Keyword argument tuple.

    :type interface_metric_level: unicode
    :param interface_metric_level: **interface_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_metric_val: long
    :param interface_metric_val: **interface_metric** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_metric_val: long
    :param interface_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_metric=interface_metric, interface_metric_val=interface_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_metric=interface_metric, interface_metric_val=interface_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_metric_interface_metric_val_update(self, ethernet=None, interface_metric=None, interface_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_metric: interface_metric_level
    :param interface_metric: Keyword argument tuple.

    :type interface_metric_level: unicode
    :param interface_metric_level: **interface_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_metric_val: long
    :param interface_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_metric=interface_metric, interface_metric_val=interface_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_metric=interface_metric, interface_metric_val=interface_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_passive_update(self, ethernet=None, interface_passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_passive: YANGBool
    :param interface_passive: Passive interface for ISIS operation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_passive=interface_passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_passive=interface_passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_point_to_point_update(self, ethernet=None, interface_point_to_point=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_point_to_point: YANGBool
    :param interface_point_to_point: Point-to-point interface for ISIS operation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_point_to_point=interface_point_to_point)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_point_to_point=interface_point_to_point)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_priority_update(self, ethernet=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_priority_level1: long
    :param interface_priority_level1: Priority for Level-1 ISIS Router

        * range restriction: ::

            ['0..4294967295']

    :type interface_priority_level2: long
    :param interface_priority_level2: Priority for Level-2 ISIS Router

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_priority_level_1_update(self, ethernet=None, interface_priority_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_priority_level1: long
    :param interface_priority_level1: Priority for Level-1 ISIS Router

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_priority_level1=interface_priority_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_priority_level1=interface_priority_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_priority_level_2_update(self, ethernet=None, interface_priority_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_priority_level2: long
    :param interface_priority_level2: Priority for Level-2 ISIS Router

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, interface_priority_level2=interface_priority_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_priority_level2=interface_priority_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_reverse_metric_rev_metric_common_attributes_update(self, ethernet=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rev_metric_val: long
    :param rev_metric_val: Configure IS-IS reverse metric value

        * range restriction: ::

            ['0..4294967295']

    :type rev_metric_whole_lan: YANGBool
    :param rev_metric_whole_lan: Change metric for whole LAN

    :type rev_metric_te_def_metric: YANGBool
    :param rev_metric_te_def_metric: Update TE default metric sub-tlv

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_reverse_metric_rev_metric_val_update(self, ethernet=None, rev_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rev_metric_val: long
    :param rev_metric_val: Configure IS-IS reverse metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, rev_metric_val=rev_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, rev_metric_val=rev_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_reverse_metric_te_def_metric_update(self, ethernet=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rev_metric_te_def_metric: YANGBool
    :param rev_metric_te_def_metric: Update TE default metric sub-tlv

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, rev_metric_te_def_metric=rev_metric_te_def_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_reverse_metric_whole_lan_update(self, ethernet=None, rev_metric_whole_lan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rev_metric_whole_lan: YANGBool
    :param rev_metric_whole_lan: Change metric for whole LAN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, rev_metric_whole_lan=rev_metric_whole_lan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, rev_metric_whole_lan=rev_metric_whole_lan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lacp_update(self, ethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type timeout: unicode
    :param timeout: Timeout commands

        * enumeration restriction: ::

            ['short', 'long']

    :type std_port_priority: long
    :param std_port_priority: Port priority commands

        * range restriction: ::

            ['0..4294967295']

    :type default_up: YANGBool
    :param default_up: To bring up the interface in LACP default state 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lacp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.lacp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lacp_default_up_update(self, ethernet=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_up: YANGBool
    :param default_up: To bring up the interface in LACP default state 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lacp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.lacp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, default_up=default_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lacp_pdu_forward_update(self, ethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable LACP PDU Forward

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.lacp_pdu_forward', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lacp_pdu_forward_enable_update(self, ethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable LACP PDU Forward

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.lacp_pdu_forward', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lacp_port_priority_update(self, ethernet=None, std_port_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type std_port_priority: long
    :param std_port_priority: Port priority commands

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lacp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.lacp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, std_port_priority=std_port_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, std_port_priority=std_port_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lacp_timeout_update(self, ethernet=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type timeout: unicode
    :param timeout: Timeout commands

        * enumeration restriction: ::

            ['short', 'long']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lacp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.lacp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_error_disable_update(self, ethernet=None, link_error_disable_entry=None, sampling_time_in_sec=None, wait_time_in_sec=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_error_disable_entry: long
    :param link_error_disable_entry: NUMBER:1-50;;toggle-threshold

        * range restriction: ::

            ['0..4294967295']

    :type sampling_time_in_sec: long
    :param sampling_time_in_sec: NUMBER:1-65565;;sampling-time-in-sec

        * range restriction: ::

            ['0..4294967295']

    :type wait_time_in_sec: long
    :param wait_time_in_sec: NUMBER:0-65565;;wait-time-in-sec

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.link_error_disable', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.link_error_disable', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'link_error_disable_entry, sampling_time_in_sec, wait_time_in_sec'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, link_error_disable_entry=link_error_disable_entry, sampling_time_in_sec=sampling_time_in_sec, wait_time_in_sec=wait_time_in_sec)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, link_error_disable_entry=link_error_disable_entry, sampling_time_in_sec=sampling_time_in_sec, wait_time_in_sec=wait_time_in_sec)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_error_disable_link_error_disable_entry_update(self, ethernet=None, link_error_disable_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_error_disable_entry: long
    :param link_error_disable_entry: NUMBER:1-50;;toggle-threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.link_error_disable', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.link_error_disable', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, link_error_disable_entry=link_error_disable_entry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, link_error_disable_entry=link_error_disable_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_error_disable_sampling_time_in_sec_update(self, ethernet=None, sampling_time_in_sec=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sampling_time_in_sec: long
    :param sampling_time_in_sec: NUMBER:1-65565;;sampling-time-in-sec

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.link_error_disable', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.link_error_disable', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, sampling_time_in_sec=sampling_time_in_sec)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, sampling_time_in_sec=sampling_time_in_sec)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_error_disable_wait_time_in_sec_update(self, ethernet=None, wait_time_in_sec=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type wait_time_in_sec: long
    :param wait_time_in_sec: NUMBER:0-65565;;wait-time-in-sec

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.link_error_disable', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.link_error_disable', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, wait_time_in_sec=wait_time_in_sec)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, wait_time_in_sec=wait_time_in_sec)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_fault_signaling_update(self, ethernet=None, rx=None, tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rx: unicode
    :param rx: rx link fault signaling

        * enumeration restriction: ::

            ['on', 'off']

    :type tx: unicode
    :param tx: tx link fault signaling

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.link_fault_signaling', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'rx, tx'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, rx=rx, tx=tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, rx=rx, tx=tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_fault_signaling_rx_update(self, ethernet=None, rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rx: unicode
    :param rx: rx link fault signaling

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.link_fault_signaling', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, rx=rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, rx=rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_fault_signaling_tx_update(self, ethernet=None, tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type tx: unicode
    :param tx: tx link fault signaling

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.link_fault_signaling', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, tx=tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, tx=tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_oam_update(self, ethernet=None, enable=None, allow_loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: unicode
    :param enable: Enable link-oam with active/passive mode

        * enumeration restriction: ::

            ['active', 'passive']

    :type allow_loopback: YANGBool
    :param allow_loopback: Allow Link OAM loopback

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.link_oam_interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, enable=enable, allow_loopback=allow_loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, enable=enable, allow_loopback=allow_loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_oam_allow_loopback_update(self, ethernet=None, allow_loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type allow_loopback: YANGBool
    :param allow_loopback: Allow Link OAM loopback

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.link_oam_interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, allow_loopback=allow_loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, allow_loopback=allow_loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_oam_enable_update(self, ethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: unicode
    :param enable: Enable link-oam with active/passive mode

        * enumeration restriction: ::

            ['active', 'passive']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.link_oam_interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_oam_remote_failure_critical_event_update(self, ethernet=None, critical_event_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type critical_event_action: unicode
    :param critical_event_action: Configures an action for the event

        * enumeration restriction: ::

            ['block-interface']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.link_oam_interface.remote_failure.critical_event', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, critical_event_action=critical_event_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, critical_event_action=critical_event_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_oam_remote_failure_critical_event_action_update(self, ethernet=None, critical_event_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type critical_event_action: unicode
    :param critical_event_action: Configures an action for the event

        * enumeration restriction: ::

            ['block-interface']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.link_oam_interface.remote_failure.critical_event', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, critical_event_action=critical_event_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, critical_event_action=critical_event_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_oam_remote_failure_dying_gasp_update(self, ethernet=None, dying_gasp_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dying_gasp_action: unicode
    :param dying_gasp_action: Configures an action for the event

        * enumeration restriction: ::

            ['block-interface']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.link_oam_interface.remote_failure.dying_gasp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, dying_gasp_action=dying_gasp_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, dying_gasp_action=dying_gasp_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_oam_remote_failure_dying_gasp_action_update(self, ethernet=None, dying_gasp_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dying_gasp_action: unicode
    :param dying_gasp_action: Configures an action for the event

        * enumeration restriction: ::

            ['block-interface']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.link_oam_interface.remote_failure.dying_gasp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, dying_gasp_action=dying_gasp_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, dying_gasp_action=dying_gasp_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_oam_remote_failure_link_fault_update(self, ethernet=None, link_fault_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_fault_action: unicode
    :param link_fault_action: Configures an action for the event

        * enumeration restriction: ::

            ['block-interface']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.link_oam_interface.remote_failure.link_fault', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, link_fault_action=link_fault_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, link_fault_action=link_fault_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_oam_remote_failure_link_fault_action_update(self, ethernet=None, link_fault_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_fault_action: unicode
    :param link_fault_action: Configures an action for the event

        * enumeration restriction: ::

            ['block-interface']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.link_oam_interface.remote_failure.link_fault', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, link_fault_action=link_fault_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, link_fault_action=link_fault_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lldp_update(self, ethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dcbx_version: unicode
    :param dcbx_version: Set up DCBX Version

        * enumeration restriction: ::

            ['auto', 'cee']

    :type disable: YANGBool
    :param disable: Disable LLDP on the Interface.

    :type iscsi_priority: long
    :param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface

        * range restriction: ::

            ['0..4294967295']

    :type profile: unicode
    :param profile: The LLDP profile on the interface.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.lldp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lldp_cee_update(self, ethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type lldp_cee_on_off: unicode
    :param lldp_cee_on_off: Keyword argument.

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lldp.cee', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.lldp.cee', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, lldp_cee_on_off=lldp_cee_on_off)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lldp_cee_lldp_cee_on_off_update(self, ethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type lldp_cee_on_off: unicode
    :param lldp_cee_on_off: Keyword argument.

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lldp.cee', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.lldp.cee', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, lldp_cee_on_off=lldp_cee_on_off)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lldp_dcbx_version_update(self, ethernet=None, dcbx_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dcbx_version: unicode
    :param dcbx_version: Set up DCBX Version

        * enumeration restriction: ::

            ['auto', 'cee']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.lldp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, dcbx_version=dcbx_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, dcbx_version=dcbx_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lldp_disable_update(self, ethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable LLDP on the Interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.lldp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lldp_iscsi_priority_update(self, ethernet=None, iscsi_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type iscsi_priority: long
    :param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.lldp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, iscsi_priority=iscsi_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, iscsi_priority=iscsi_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lldp_profile_update(self, ethernet=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile: unicode
    :param profile: The LLDP profile on the interface.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.lldp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, profile=profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_log_update(self, ethernet=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log packets that fail RPF check and are to be dropped

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.rpf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_name_update(self, ethernet=None, ethernet_=None, logical_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ethernet_: instance_id
    :param ethernet_: Keyword argument tuple.

    :type instance_id: unicode
    :param instance_id: **ethernet_** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'
            '(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9]'
            '[0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type logical_interface_name: unicode
    :param logical_interface_name: 64 Chars;;Name of the logical interface.

        * length restriction: ::

            ['1 .. 64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_common_commands_dummy.name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_common_commands_dummy.name', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ethernet_=ethernet_, logical_interface_name=logical_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ethernet_=ethernet_, logical_interface_name=logical_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_name_logical_interface_name_update(self, ethernet=None, ethernet_=None, logical_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ethernet_: instance_id
    :param ethernet_: Keyword argument tuple.

    :type instance_id: unicode
    :param instance_id: **ethernet_** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'
            '(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9]'
            '[0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type logical_interface_name: unicode
    :param logical_interface_name: 64 Chars;;Name of the logical interface.

        * length restriction: ::

            ['1 .. 64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_common_commands_dummy.name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_common_commands_dummy.name', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ethernet_=ethernet_, logical_interface_name=logical_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ethernet_=ethernet_, logical_interface_name=logical_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_shutdown_update(self, ethernet=None, ethernet_=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ethernet_: instance_id
    :param ethernet_: Keyword argument tuple.

    :type instance_id: unicode
    :param instance_id: **ethernet_** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'
            '(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9]'
            '[0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet', u'ethernet_'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_common_commands_dummy.shutdown', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_common_commands_dummy.shutdown', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ethernet_=ethernet_, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ethernet_=ethernet_, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_shutdown_shutdown_status_update(self, ethernet=None, ethernet_=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ethernet_: instance_id
    :param ethernet_: Keyword argument tuple.

    :type instance_id: unicode
    :param instance_id: **ethernet_** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'
            '(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9]'
            '[0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet', u'ethernet_'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_common_commands_dummy.shutdown', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_common_commands_dummy.shutdown', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ethernet_=ethernet_, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ethernet_=ethernet_, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_untagged_vlan_update(self, ethernet=None, ethernet_=None, untagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ethernet_: instance_id
    :param ethernet_: Keyword argument tuple.

    :type instance_id: unicode
    :param instance_id: **ethernet_** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'
            '(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9]'
            '[0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type untagged_vlan_id: long
    :param untagged_vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet', u'ethernet_'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.get_untagged_vlan_dummy.untagged.untagged_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.get_untagged_vlan_dummy.untagged.untagged_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ethernet_=ethernet_, untagged_vlan_id=untagged_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ethernet_=ethernet_, untagged_vlan_id=untagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_untagged_vlan_untagged_vlan_id_update(self, ethernet=None, ethernet_=None, untagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ethernet_: instance_id
    :param ethernet_: Keyword argument tuple.

    :type instance_id: unicode
    :param instance_id: **ethernet_** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'
            '(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9]'
            '[0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type untagged_vlan_id: long
    :param untagged_vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet', u'ethernet_'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.get_untagged_vlan_dummy.untagged.untagged_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.get_untagged_vlan_dummy.untagged.untagged_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ethernet_=ethernet_, untagged_vlan_id=untagged_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ethernet_=ethernet_, untagged_vlan_id=untagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_vlan_update(self, ethernet=None, ethernet_=None, outer_tagged_vlan_id=None, inner_vlan=None, inner_tagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ethernet_: instance_id
    :param ethernet_: Keyword argument tuple.

    :type instance_id: unicode
    :param instance_id: **ethernet_** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'
            '(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9]'
            '[0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type outer_tagged_vlan_id: long
    :param outer_tagged_vlan_id: VLAN ID between 1 and 4090

        * range restriction: ::

            ['0..4294967295']

    :type inner_vlan: YANGBool
    :param inner_vlan: Configure Inner VLAN for this logical interface

    :type inner_tagged_vlan_id: long
    :param inner_tagged_vlan_id: VLAN ID between 1 and 4090

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet', u'ethernet_'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'outer_tagged_vlan_id, inner_vlan, inner_tagged_vlan_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ethernet_=ethernet_, outer_tagged_vlan_id=outer_tagged_vlan_id, inner_vlan=inner_vlan, inner_tagged_vlan_id=inner_tagged_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ethernet_=ethernet_, outer_tagged_vlan_id=outer_tagged_vlan_id, inner_vlan=inner_vlan, inner_tagged_vlan_id=inner_tagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_vlan_inner_tagged_vlan_id_update(self, ethernet=None, ethernet_=None, inner_tagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ethernet_: instance_id
    :param ethernet_: Keyword argument tuple.

    :type instance_id: unicode
    :param instance_id: **ethernet_** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'
            '(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9]'
            '[0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type inner_tagged_vlan_id: long
    :param inner_tagged_vlan_id: VLAN ID between 1 and 4090

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet', u'ethernet_'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ethernet_=ethernet_, inner_tagged_vlan_id=inner_tagged_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ethernet_=ethernet_, inner_tagged_vlan_id=inner_tagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_vlan_inner_vlan_update(self, ethernet=None, ethernet_=None, inner_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ethernet_: instance_id
    :param ethernet_: Keyword argument tuple.

    :type instance_id: unicode
    :param instance_id: **ethernet_** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'
            '(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9]'
            '[0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type inner_vlan: YANGBool
    :param inner_vlan: Configure Inner VLAN for this logical interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet', u'ethernet_'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ethernet_=ethernet_, inner_vlan=inner_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ethernet_=ethernet_, inner_vlan=inner_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_vlan_outer_tagged_vlan_id_update(self, ethernet=None, ethernet_=None, outer_tagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ethernet_: instance_id
    :param ethernet_: Keyword argument tuple.

    :type instance_id: unicode
    :param instance_id: **ethernet_** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'
            '(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9]'
            '[0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type outer_tagged_vlan_id: long
    :param outer_tagged_vlan_id: VLAN ID between 1 and 4090

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet', u'ethernet_'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ethernet_=ethernet_, outer_tagged_vlan_id=outer_tagged_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ethernet_=ethernet_, outer_tagged_vlan_id=outer_tagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_long_distance_isl_update(self, ethernet=None, long_distance_isl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type long_distance_isl: unicode
    :param long_distance_isl: Configure the link as long-distance-link

        * enumeration restriction: ::

            ['2000', '5000', '10000', '30000']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, long_distance_isl=long_distance_isl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, long_distance_isl=long_distance_isl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_loop_detection_update(self, ethernet=None, loop_detection_native=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type loop_detection_native: YANGBool
    :param loop_detection_native: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.edge_loop_detection_native', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, loop_detection_native=loop_detection_native)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, loop_detection_native=loop_detection_native)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_loop_detection_port_priority_update(self, ethernet=None, eldprio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Set ELD-priority value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.edge_loop_detection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, eldprio=eldprio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, eldprio=eldprio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_loop_detection_shutdown_disable_update(self, ethernet=None, eldshutdown_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldshutdown_disable: YANGBool
    :param eldshutdown_disable: Disable shutting down the interface by Loop Detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.edge_loop_detection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, eldshutdown_disable=eldshutdown_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, eldshutdown_disable=eldshutdown_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_loop_detection_vlan_update(self, ethernet=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldvlan: unicode
    :param eldvlan: Enable for specific VLAN on selected interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.edge_loop_detection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_mac_access_group_update(self, ethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.mac.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_mac_access_group_traffic_type_update(self, ethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.mac.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_mtu_update(self, ethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_openflow_enable_update(self, ethernet=None, modeType=None, hybrid_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type modeType: unicode
    :param modeType: Enable OF Version

        * enumeration restriction: ::

            ['layer3', 'layer2', 'layer23']

    :type hybrid_mode: YANGBool
    :param hybrid_mode: Hybrid-mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.enableInterfaceLevel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.openflow.enableInterfaceLevel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'modeType, hybrid_mode'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, modeType=modeType, hybrid_mode=hybrid_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, modeType=modeType, hybrid_mode=hybrid_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_openflow_enable_hybrid_mode_update(self, ethernet=None, hybrid_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hybrid_mode: YANGBool
    :param hybrid_mode: Hybrid-mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.enableInterfaceLevel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.openflow.enableInterfaceLevel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, hybrid_mode=hybrid_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, hybrid_mode=hybrid_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_openflow_enable_modetype_update(self, ethernet=None, modeType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type modeType: unicode
    :param modeType: Enable OF Version

        * enumeration restriction: ::

            ['layer3', 'layer2', 'layer23']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.enableInterfaceLevel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.openflow.enableInterfaceLevel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, modeType=modeType)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, modeType=modeType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_openflow_protected_vlans_update(self, ethernet=None, protected_vlan_add=None, protected_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type protected_vlan_add: unicode
    :param protected_vlan_add: Allow these VLANs under openflow 

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type protected_vlan_remove: unicode
    :param protected_vlan_remove: Remove a VLAN range that Xmit/Rxthrough the Layer2 interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.protected_vlans', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.openflow.protected_vlans', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, protected_vlan_add=protected_vlan_add, protected_vlan_remove=protected_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, protected_vlan_add=protected_vlan_add, protected_vlan_remove=protected_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_openflow_protected_vlans_add_update(self, ethernet=None, protected_vlan_add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type protected_vlan_add: unicode
    :param protected_vlan_add: Allow these VLANs under openflow 

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.protected_vlans', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.openflow.protected_vlans', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, protected_vlan_add=protected_vlan_add)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, protected_vlan_add=protected_vlan_add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_openflow_protected_vlans_remove_update(self, ethernet=None, protected_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type protected_vlan_remove: unicode
    :param protected_vlan_remove: Remove a VLAN range that Xmit/Rxthrough the Layer2 interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.protected_vlans', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.openflow.protected_vlans', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, protected_vlan_remove=protected_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, protected_vlan_remove=protected_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_port_profile_port_update(self, ethernet=None, port_profile_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_profile_port: YANGBool
    :param port_profile_port: Set the interface to AMPP profile mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, port_profile_port=port_profile_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, port_profile_port=port_profile_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_port_profile_port_domain_update(self, ethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile_domain_name: unicode
    :param profile_domain_name: Port-profile-domain name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, profile_domain_name=profile_domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_port_profile_port_domain_profile_domain_name_update(self, ethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile_domain_name: unicode
    :param profile_domain_name: Port-profile-domain name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, profile_domain_name=profile_domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_priority_tag_update(self, ethernet=None, priority_tag_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority_tag_enable: YANGBool
    :param priority_tag_enable: Configure 802.1p priority tagging

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, priority_tag_enable=priority_tag_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, priority_tag_enable=priority_tag_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_update(self, ethernet=None, default_cos=None, default_tc=None, cos_mutation=None, traffic_class_cos=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_cos: int
    :param default_cos: Configure Default CoS

        * range restriction: ::

            ['0..255']

    :type default_tc: int
    :param default_tc: Configure Default Traffic Class (TC)

        * range restriction: ::

            ['0..255']

    :type cos_mutation: unicode
    :param cos_mutation: Apply CoS-Mutation map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type traffic_class_cos: unicode
    :param traffic_class_cos: Apply Traffic-Class-to-CoS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Apply CoS-to-Traffic-Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_mutation: unicode
    :param dscp_mutation: Apply DSCP-Mutation map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Apply DSCP-to-Traffic-Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_cos: unicode
    :param dscp_cos: Apply DSCP-to-CoS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, default_cos=default_cos, default_tc=default_tc, cos_mutation=cos_mutation, traffic_class_cos=traffic_class_cos, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, default_cos=default_cos, default_tc=default_tc, cos_mutation=cos_mutation, traffic_class_cos=traffic_class_cos, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_cos_update(self, ethernet=None, default_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_cos: int
    :param default_cos: Configure Default CoS

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, default_cos=default_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, default_cos=default_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_cos_mutation_update(self, ethernet=None, cos_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos_mutation: unicode
    :param cos_mutation: Apply CoS-Mutation map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cos_mutation=cos_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cos_mutation=cos_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_cos_traffic_class_update(self, ethernet=None, cos_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Apply CoS-to-Traffic-Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cos_traffic_class=cos_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cos_traffic_class=cos_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_drop_monitor_update(self, ethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type drop_monitor_enable: YANGBool
    :param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.drop_monitor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.drop_monitor', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, drop_monitor_enable=drop_monitor_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_drop_monitor_enable_update(self, ethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type drop_monitor_enable: YANGBool
    :param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.drop_monitor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.drop_monitor', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, drop_monitor_enable=drop_monitor_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_dscp_cos_update(self, ethernet=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_cos: unicode
    :param dscp_cos: Apply DSCP-to-CoS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_dscp_mutation_update(self, ethernet=None, dscp_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_mutation: unicode
    :param dscp_mutation: Apply DSCP-Mutation map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, dscp_mutation=dscp_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, dscp_mutation=dscp_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_dscp_traffic_class_update(self, ethernet=None, dscp_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Apply DSCP-to-Traffic-Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, dscp_traffic_class=dscp_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, dscp_traffic_class=dscp_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_flowcontrol_link_level_flowcontrol_update(self, ethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_tx: unicode
    :param flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type flowcontrol_rx: unicode
    :param flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_flowcontrol_pfc_update(self, ethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: int
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.flowcontrol.pfc', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_flowcontrol_pfc_rx_update(self, ethernet=None, pfc=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: int
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.flowcontrol.pfc', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, pfc=pfc, pfc_flowcontrol_rx=pfc_flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, pfc=pfc, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_flowcontrol_pfc_tx_update(self, ethernet=None, pfc=None, pfc_flowcontrol_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: int
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.flowcontrol.pfc', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_flowcontrol_rx_update(self, ethernet=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_rx: unicode
    :param flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, flowcontrol_rx=flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_flowcontrol_tx_update(self, ethernet=None, flowcontrol_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_tx: unicode
    :param flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, flowcontrol_tx=flowcontrol_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, flowcontrol_tx=flowcontrol_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_random_detect_traffic_class_update(self, ethernet=None, traffic_class=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: int
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.random_detect.traffic_class', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.interface.ethernet.qos.random_detect.traffic_class": {}, "pybind.slxos.v16r_1_00b.interface.ethernet.qos.random_detect.traffic_class": {"red_tc_value": "red_tc_value", "red_profile_id": "red_profile_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_random_detect_traffic_class_red_profile_id_update(self, ethernet=None, traffic_class=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: int
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.random_detect.traffic_class', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.interface.ethernet.qos.random_detect.traffic_class": {}, "pybind.slxos.v16r_1_00b.interface.ethernet.qos.random_detect.traffic_class": {"red_tc_value": "red_tc_value", "red_profile_id": "red_profile_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_cos_threshold_update(self, ethernet=None, cos0_threshold=None, cos1_threshold=None, cos2_threshold=None, cos3_threshold=None, cos4_threshold=None, cos5_threshold=None, cos6_threshold=None, cos7_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos0_threshold: long
    :param cos0_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos1_threshold: long
    :param cos1_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos2_threshold: long
    :param cos2_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos3_threshold: long
    :param cos3_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos4_threshold: long
    :param cos4_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos5_threshold: long
    :param cos5_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos6_threshold: long
    :param cos6_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos7_threshold: long
    :param cos7_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cos0_threshold=cos0_threshold, cos1_threshold=cos1_threshold, cos2_threshold=cos2_threshold, cos3_threshold=cos3_threshold, cos4_threshold=cos4_threshold, cos5_threshold=cos5_threshold, cos6_threshold=cos6_threshold, cos7_threshold=cos7_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cos0_threshold=cos0_threshold, cos1_threshold=cos1_threshold, cos2_threshold=cos2_threshold, cos3_threshold=cos3_threshold, cos4_threshold=cos4_threshold, cos5_threshold=cos5_threshold, cos6_threshold=cos6_threshold, cos7_threshold=cos7_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_cos_threshold_cos0_threshold_update(self, ethernet=None, cos0_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos0_threshold: long
    :param cos0_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cos0_threshold=cos0_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cos0_threshold=cos0_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_cos_threshold_cos1_threshold_update(self, ethernet=None, cos1_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos1_threshold: long
    :param cos1_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cos1_threshold=cos1_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cos1_threshold=cos1_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_cos_threshold_cos2_threshold_update(self, ethernet=None, cos2_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos2_threshold: long
    :param cos2_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cos2_threshold=cos2_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cos2_threshold=cos2_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_cos_threshold_cos3_threshold_update(self, ethernet=None, cos3_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos3_threshold: long
    :param cos3_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cos3_threshold=cos3_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cos3_threshold=cos3_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_cos_threshold_cos4_threshold_update(self, ethernet=None, cos4_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos4_threshold: long
    :param cos4_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cos4_threshold=cos4_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cos4_threshold=cos4_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_cos_threshold_cos5_threshold_update(self, ethernet=None, cos5_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos5_threshold: long
    :param cos5_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cos5_threshold=cos5_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cos5_threshold=cos5_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_cos_threshold_cos6_threshold_update(self, ethernet=None, cos6_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos6_threshold: long
    :param cos6_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cos6_threshold=cos6_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cos6_threshold=cos6_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_cos_threshold_cos7_threshold_update(self, ethernet=None, cos7_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos7_threshold: long
    :param cos7_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cos7_threshold=cos7_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cos7_threshold=cos7_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_multicast_update(self, ethernet=None, guarantee_rate=None, best_effort_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type guarantee_rate: long
    :param guarantee_rate: Configure multicast data guarantee rate

        * range restriction: ::

            ['0..4294967295']

    :type best_effort_rate: long
    :param best_effort_rate: Configure multicast data best effort rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.multicast', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, guarantee_rate=guarantee_rate, best_effort_rate=best_effort_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, guarantee_rate=guarantee_rate, best_effort_rate=best_effort_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_multicast_best_effort_rate_update(self, ethernet=None, best_effort_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type best_effort_rate: long
    :param best_effort_rate: Configure multicast data best effort rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.multicast', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, best_effort_rate=best_effort_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, best_effort_rate=best_effort_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_multicast_guarantee_rate_update(self, ethernet=None, guarantee_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type guarantee_rate: long
    :param guarantee_rate: Configure multicast data guarantee rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.multicast', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, guarantee_rate=guarantee_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, guarantee_rate=guarantee_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_multicast_queue_size_update(self, ethernet=None, queue_size=None, min_queue_size=None, max_queue_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type queue_size: traffic_class, min_queue_size, max_queue_size
    :param queue_size: Keyword argument tuple.

    :type traffic_class: int
    :param traffic_class: **queue_size** tuple argument:  Traffic class to configure multicast queue size

        * range restriction: ::

            ['0..255']

    :type min_queue_size: long
    :param min_queue_size: **queue_size** tuple argument:  Configure minimum queue size

        * range restriction: ::

            ['0..4294967295']

    :type max_queue_size: long
    :param max_queue_size: **queue_size** tuple argument:  Configure maximum queue size

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_queue_size: long
    :param min_queue_size: Configure minimum queue size

        * range restriction: ::

            ['0..4294967295']

    :type max_queue_size: long
    :param max_queue_size: Configure maximum queue size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.multicast.queue_size', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, queue_size=queue_size, min_queue_size=min_queue_size, max_queue_size=max_queue_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, queue_size=queue_size, min_queue_size=min_queue_size, max_queue_size=max_queue_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_multicast_queue_size_max_queue_size_update(self, ethernet=None, queue_size=None, max_queue_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type queue_size: traffic_class
    :param queue_size: Keyword argument tuple.

    :type traffic_class: int
    :param traffic_class: **queue_size** tuple argument:  Traffic class to configure multicast queue size

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type max_queue_size: long
    :param max_queue_size: Configure maximum queue size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.multicast.queue_size', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, queue_size=queue_size, max_queue_size=max_queue_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, queue_size=queue_size, max_queue_size=max_queue_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_multicast_queue_size_min_queue_size_update(self, ethernet=None, queue_size=None, min_queue_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type queue_size: traffic_class
    :param queue_size: Keyword argument tuple.

    :type traffic_class: int
    :param traffic_class: **queue_size** tuple argument:  Traffic class to configure multicast queue size

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type min_queue_size: long
    :param min_queue_size: Configure minimum queue size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.multicast.queue_size', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, queue_size=queue_size, min_queue_size=min_queue_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, queue_size=queue_size, min_queue_size=min_queue_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_unicast_queue_size_update(self, ethernet=None, queue_size=None, min_queue_size=None, max_queue_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type queue_size: traffic_class, min_queue_size, max_queue_size
    :param queue_size: Keyword argument tuple.

    :type traffic_class: int
    :param traffic_class: **queue_size** tuple argument:  Traffic class to configure unicast queue size

        * range restriction: ::

            ['0..255']

    :type min_queue_size: long
    :param min_queue_size: **queue_size** tuple argument:  Configure minimum queue size

        * range restriction: ::

            ['0..4294967295']

    :type max_queue_size: long
    :param max_queue_size: **queue_size** tuple argument:  Configure maximum queue size

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_queue_size: long
    :param min_queue_size: Configure minimum queue size

        * range restriction: ::

            ['0..4294967295']

    :type max_queue_size: long
    :param max_queue_size: Configure maximum queue size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.unicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.unicast.queue_size', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, queue_size=queue_size, min_queue_size=min_queue_size, max_queue_size=max_queue_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, queue_size=queue_size, min_queue_size=min_queue_size, max_queue_size=max_queue_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_unicast_queue_size_max_queue_size_update(self, ethernet=None, queue_size=None, max_queue_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type queue_size: traffic_class
    :param queue_size: Keyword argument tuple.

    :type traffic_class: int
    :param traffic_class: **queue_size** tuple argument:  Traffic class to configure unicast queue size

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type max_queue_size: long
    :param max_queue_size: Configure maximum queue size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.unicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.unicast.queue_size', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, queue_size=queue_size, max_queue_size=max_queue_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, queue_size=queue_size, max_queue_size=max_queue_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_unicast_queue_size_min_queue_size_update(self, ethernet=None, queue_size=None, min_queue_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type queue_size: traffic_class
    :param queue_size: Keyword argument tuple.

    :type traffic_class: int
    :param traffic_class: **queue_size** tuple argument:  Traffic class to configure unicast queue size

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type min_queue_size: long
    :param min_queue_size: Configure minimum queue size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.unicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.rx_queue.unicast.queue_size', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, queue_size=queue_size, min_queue_size=min_queue_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, queue_size=queue_size, min_queue_size=min_queue_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_traffic_class_update(self, ethernet=None, default_tc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_tc: int
    :param default_tc: Configure Default Traffic Class (TC)

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, default_tc=default_tc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, default_tc=default_tc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_traffic_class_cos_update(self, ethernet=None, traffic_class_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type traffic_class_cos: unicode
    :param traffic_class_cos: Apply Traffic-Class-to-CoS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, traffic_class_cos=traffic_class_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, traffic_class_cos=traffic_class_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_trust_update(self, ethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type trust_dscp: YANGBool
    :param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.trust', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_trust_cos_update(self, ethernet=None, trust_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.trust', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, trust_cos=trust_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, trust_cos=trust_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_trust_dscp_update(self, ethernet=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_dscp: YANGBool
    :param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.qos.trust', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, trust_dscp=trust_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rmon_collection_history_update(self, ethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: **history_control_entry** tuple argument:  Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: **history_control_entry** tuple argument:  Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: **history_control_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rmon_collection_history_buckets_update(self, ethernet=None, history_control_entry=None, history_control_buckets_requested=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rmon_collection_history_interval_update(self, ethernet=None, history_control_entry=None, history_control_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, history_control_entry=history_control_entry, history_control_interval=history_control_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, history_control_entry=history_control_entry, history_control_interval=history_control_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rmon_collection_history_owner_update(self, ethernet=None, history_control_entry=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, history_control_entry=history_control_entry, history_control_owner=history_control_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, history_control_entry=history_control_entry, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rmon_collection_stats_update(self, ethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index, ether_stats_owner
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type ether_stats_owner: unicode
    :param ether_stats_owner: **ether_stats_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.ether_stats_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.rmon.collection.ether_stats_entry', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rmon_collection_stats_owner_update(self, ethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.ether_stats_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.rmon.collection.ether_stats_entry', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_route_only_update(self, ethernet=None, route_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type route_only: YANGBool
    :param route_only: Route Only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, route_only=route_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, route_only=route_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rpf_update(self, ethernet=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log packets that fail RPF check and are to be dropped

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rpf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.rpf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.interface.ethernet.rpf": {}, "pybind.slxos.v16r_1_00b.interface.ethernet.rpf": {"log": "log"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rpf_log_update(self, ethernet=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log packets that fail RPF check and are to be dropped

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rpf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rpf_mode_update(self, ethernet=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.rpf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rpf_mode_mode_update(self, ethernet=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rpf_mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_service_policy_update(self, ethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type in_: unicode
    :param in_: Input Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type out: unicode
    :param out: Output Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.service_policy', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, in_=in_, out=out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_service_policy_in_update(self, ethernet=None, in_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type in_: unicode
    :param in_: Input Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.service_policy', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, in_=in_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, in_=in_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_service_policy_out_update(self, ethernet=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type out: unicode
    :param out: Output Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.service_policy', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, out=out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_sflow_update(self, ethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable port sflow

    :type polling_interval: long
    :param polling_interval: Interface counter polling interval

        * range restriction: ::

            ['0..4294967295']

    :type sample_rate: long
    :param sample_rate: Interface sampling rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.sflow', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.sflow', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_sflow_enable_update(self, ethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable port sflow

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.sflow', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.sflow', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_sflow_polling_interval_update(self, ethernet=None, polling_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type polling_interval: long
    :param polling_interval: Interface counter polling interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.sflow', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.sflow', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, polling_interval=polling_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, polling_interval=polling_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_sflow_sample_rate_update(self, ethernet=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sample_rate: long
    :param sample_rate: Interface sampling rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.sflow', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.sflow', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, sample_rate=sample_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_shutdown_update(self, ethernet=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_update(self, ethernet=None, autoedge=None, cost=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type autoedge: YANGBool
    :param autoedge: Autoedge - enable automatic edge detection

    :type cost: long
    :param cost: Change an interface's spanning tree port path cost

        * range restriction: ::

            ['0..4294967295']

    :type bpdu_mac: unicode
    :param bpdu_mac: Configure VLAN spanning-tree control MAC

        * enumeration restriction: ::

            ['0100.0ccc.cccd', '0304.0800.0700']

    :type link_type: unicode
    :param link_type: Specify a link type for spanning tree protocol

        * enumeration restriction: ::

            ['shared', 'point-to-point']

    :type priority: long
    :param priority: Change an interface's spanning tree port priority

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology change and received topology change notifications

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, autoedge=autoedge, cost=cost, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, autoedge=autoedge, cost=cost, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_autoedge_update(self, ethernet=None, autoedge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type autoedge: YANGBool
    :param autoedge: Autoedge - enable automatic edge detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, autoedge=autoedge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, autoedge=autoedge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_bpdu_mac_update(self, ethernet=None, bpdu_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_mac: unicode
    :param bpdu_mac: Configure VLAN spanning-tree control MAC

        * enumeration restriction: ::

            ['0100.0ccc.cccd', '0304.0800.0700']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, bpdu_mac=bpdu_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, bpdu_mac=bpdu_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_cost_update(self, ethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Change an interface's spanning tree port path cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_edgeport_update(self, ethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type edgeportbasic: YANGBool
    :param edgeportbasic: Edgeport

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.edgeport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_edgeport_bpdu_filter_update(self, ethernet=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.edgeport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_edgeport_bpdu_guard_update(self, ethernet=None, bpdu_guard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.edgeport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, bpdu_guard=bpdu_guard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, bpdu_guard=bpdu_guard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_edgeport_edgeportbasic_update(self, ethernet=None, edgeportbasic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type edgeportbasic: YANGBool
    :param edgeportbasic: Edgeport

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.edgeport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, edgeportbasic=edgeportbasic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, edgeportbasic=edgeportbasic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_guard_update(self, ethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.guard', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_guard_root_update(self, ethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.guard', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_instance_update(self, ethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_instance_cost_update(self, ethernet=None, instance=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, instance=instance, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, instance=instance, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_instance_priority_update(self, ethernet=None, instance=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, instance=instance, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, instance=instance, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_instance_restricted_role_update(self, ethernet=None, instance=None, restricted_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, instance=instance, restricted_role=restricted_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, instance=instance, restricted_role=restricted_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_instance_restricted_tcn_update(self, ethernet=None, instance=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, instance=instance, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, instance=instance, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_link_type_update(self, ethernet=None, link_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_type: unicode
    :param link_type: Specify a link type for spanning tree protocol

        * enumeration restriction: ::

            ['shared', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, link_type=link_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, link_type=link_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_portfast_update(self, ethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type portfastbasic: YANGBool
    :param portfastbasic: Enable an interface to move directly to forwarding on link up

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.portfast', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_portfast_bpdu_filter_update(self, ethernet=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.portfast', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_portfast_bpdu_guard_update(self, ethernet=None, bpdu_guard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.portfast', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, bpdu_guard=bpdu_guard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, bpdu_guard=bpdu_guard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_portfast_portfastbasic_update(self, ethernet=None, portfastbasic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type portfastbasic: YANGBool
    :param portfastbasic: Enable an interface to move directly to forwarding on link up

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.portfast', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, portfastbasic=portfastbasic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, portfastbasic=portfastbasic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_priority_update(self, ethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Change an interface's spanning tree port priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_restricted_role_update(self, ethernet=None, restricted_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, restricted_role=restricted_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, restricted_role=restricted_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_restricted_tcn_update(self, ethernet=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology change and received topology change notifications

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_shutdown_update(self, ethernet=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_vlan_update(self, ethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vlan=vlan, cost=cost, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_vlan_cost_update(self, ethernet=None, vlan=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vlan=vlan, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vlan=vlan, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_vlan_guard_update(self, ethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.vlan.guard', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vlan=vlan, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_vlan_guard_root_update(self, ethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.vlan.guard', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vlan=vlan, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_vlan_priority_update(self, ethernet=None, vlan=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.spanning_tree.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vlan=vlan, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vlan=vlan, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_speed_update(self, ethernet=None, speed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type speed: unicode
    :param speed: Set speed informational parameter

        * enumeration restriction: ::

            ['1000-auto', 'auto', '100', '10000', '1000']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, speed=speed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, speed=speed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_storm_control_ingress_update(self, ethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type, rate_format, rate_bps, rate_percent, bum_action
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    :type rate_format: unicode
    :param rate_format: **ingress** tuple argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: **ingress** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: **ingress** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: **ingress** tuple argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.storm_control.ingress', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.storm_control.ingress', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_storm_control_ingress_bum_action_update(self, ethernet=None, ingress=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.storm_control.ingress', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.storm_control.ingress', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ingress=ingress, bum_action=bum_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ingress=ingress, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_storm_control_ingress_rate_bps_update(self, ethernet=None, ingress=None, rate_bps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.storm_control.ingress', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.storm_control.ingress', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ingress=ingress, rate_bps=rate_bps)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ingress=ingress, rate_bps=rate_bps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_storm_control_ingress_rate_format_update(self, ethernet=None, ingress=None, rate_format=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.storm_control.ingress', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.storm_control.ingress', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ingress=ingress, rate_format=rate_format)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ingress=ingress, rate_format=rate_format)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_storm_control_ingress_rate_percent_update(self, ethernet=None, ingress=None, rate_percent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.storm_control.ingress', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.storm_control.ingress', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, ingress=ingress, rate_percent=rate_percent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ingress=ingress, rate_percent=rate_percent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_update(self, ethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport_basic', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_access_update(self, ethernet=None, accessvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type accessvlan: long
    :param accessvlan: Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.access', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, accessvlan=accessvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, accessvlan=accessvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_access_rspan_access_update(self, ethernet=None, rspan_access_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rspan_access_vlan: long
    :param rspan_access_vlan: Specify rspan-vlan id to set as access vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access.rspan_access', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.access.rspan_access', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, rspan_access_vlan=rspan_access_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, rspan_access_vlan=rspan_access_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_access_rspan_vlan_update(self, ethernet=None, rspan_access_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rspan_access_vlan: long
    :param rspan_access_vlan: Specify rspan-vlan id to set as access vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access.rspan_access', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.access.rspan_access', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, rspan_access_vlan=rspan_access_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, rspan_access_vlan=rspan_access_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_access_vlan_update(self, ethernet=None, accessvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type accessvlan: long
    :param accessvlan: Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.access', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, accessvlan=accessvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, accessvlan=accessvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_basic_update(self, ethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport_basic', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_mode_update(self, ethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk-no-default-native', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.mode', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_mode_vlan_mode_update(self, ethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk-no-default-native', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.mode', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_port_security_max_update(self, ethernet=None, port_sec_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_max: long
    :param port_sec_max: Maximum number of allowed MACs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.port_security', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, port_sec_max=port_sec_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, port_sec_max=port_sec_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_port_security_shutdown_time_update(self, ethernet=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown_time: long
    :param shutdown_time: Shutdown time for port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.port_security', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, shutdown_time=shutdown_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_port_security_sticky_update(self, ethernet=None, sticky_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sticky_flag: YANGBool
    :param sticky_flag: Sticky Flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security.sticky', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.port_security.sticky', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, sticky_flag=sticky_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, sticky_flag=sticky_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_port_security_sticky_sticky_flag_update(self, ethernet=None, sticky_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sticky_flag: YANGBool
    :param sticky_flag: Sticky Flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security.sticky', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.port_security.sticky', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, sticky_flag=sticky_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, sticky_flag=sticky_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_port_security_violation_update(self, ethernet=None, port_sec_violation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_violation: unicode
    :param port_sec_violation: Set the action on violation

        * enumeration restriction: ::

            ['shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.port_security', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, port_sec_violation=port_sec_violation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, port_sec_violation=port_sec_violation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_rspan_vlan_update(self, ethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_rspan_trunk_vlan: unicode
    :param add_rspan_trunk_vlan: Specify rspan-vlan id

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_rspan_trunk_vlan: unicode
    :param remove_rspan_trunk_vlan: Specify the rspan vlans to be removed

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_rspan_vlan_add_update(self, ethernet=None, add_rspan_trunk_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_rspan_trunk_vlan: unicode
    :param add_rspan_trunk_vlan: Specify rspan-vlan id

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_rspan_vlan_remove_update(self, ethernet=None, remove_rspan_trunk_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_rspan_trunk_vlan: unicode
    :param remove_rspan_trunk_vlan: Specify the rspan vlans to be removed

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_vlan_update(self, ethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type none: YANGBool
    :param none: Allow no Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type add_: unicode
    :param add_: Allow these VLANs to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..20000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Remove a VLAN range that Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_vlan_add_update(self, ethernet=None, add_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Allow these VLANs to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..20000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, add_=add_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, add_=add_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_vlan_all_update(self, ethernet=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_vlan_except_update(self, ethernet=None, except_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, except_=except_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, except_=except_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_vlan_none_update(self, ethernet=None, none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type none: YANGBool
    :param none: Allow no Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, none=none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, none=none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_vlan_remove_update(self, ethernet=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_: unicode
    :param remove_: Remove a VLAN range that Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, ethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, add_=add_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, ethernet=None, add_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, add_=add_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, add_=add_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_vlanoper_vlan_remove_update(self, ethernet=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_: unicode
    :param remove_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_ctag_update(self, ethernet=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.native_vlan_classification', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_ctag_native_vlan_xtagged_config_update(self, ethernet=None, native_vlan_ctag_id_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_ctag_id_xtagged: long
    :param native_vlan_ctag_id_xtagged: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_default_vlan_update(self, ethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_transparent_vlan: long
    :param default_transparent_vlan: default transparent vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.default_vlan_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.default_vlan_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, default_transparent_vlan=default_transparent_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_default_vlan_config_update(self, ethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_transparent_vlan: long
    :param default_transparent_vlan: default transparent vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.default_vlan_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.default_vlan_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_transparent_vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, default_transparent_vlan=default_transparent_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_egress_update(self, ethernet=None, native_vlan_egress_type_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_egress_type_xtagged: unicode
    :param native_vlan_egress_type_xtagged: Keyword argument.

        * enumeration restriction: ::

            ['untagged', 'tagged', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_native_vlan_update(self, ethernet=None, native_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untaggedtraffic

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.native_vlan_classification', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, native_vlan_id=native_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, native_vlan_id=native_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_native_vlan_classification_update(self, ethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untaggedtraffic

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.native_vlan_classification', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id, native_vlan_ctag_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_native_vlan_untagged_update(self, ethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_untagged: long
    :param native_vlan_id_untagged: Set the interface to accept onlyuntagged native-vlan traffic on ingress anduntagged native-vlan traffic on egress.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, native_vlan_id_untagged=native_vlan_id_untagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_native_vlan_untagged_config_update(self, ethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_untagged: long
    :param native_vlan_id_untagged: Set the interface to accept onlyuntagged native-vlan traffic on ingress anduntagged native-vlan traffic on egress.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_untagged'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, native_vlan_id_untagged=native_vlan_id_untagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_native_vlan_xtagged_update(self, ethernet=None, native_vlan_id_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_xtagged: long
    :param native_vlan_id_xtagged: Set the interface to accepttagged|untagged native-vlan traffic on ingress andegress as specified by the user.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, native_vlan_id_xtagged=native_vlan_id_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, native_vlan_id_xtagged=native_vlan_id_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_native_vlan_xtagged_config_update(self, ethernet=None, native_vlan_id_xtagged=None, native_vlan_ctag_id_xtagged=None, native_vlan_egress_type_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_xtagged: long
    :param native_vlan_id_xtagged: Set the interface to accepttagged|untagged native-vlan traffic on ingress andegress as specified by the user.

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_ctag_id_xtagged: long
    :param native_vlan_ctag_id_xtagged: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_egress_type_xtagged: unicode
    :param native_vlan_egress_type_xtagged: Keyword argument.

        * enumeration restriction: ::

            ['untagged', 'tagged', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_xtagged, native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, native_vlan_id_xtagged=native_vlan_id_xtagged, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, native_vlan_id_xtagged=native_vlan_id_xtagged, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_tag_native_vlan_update(self, ethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan: YANGBool
    :param native_vlan: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.tag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.tag', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, native_vlan=native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_update(self, ethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_ctag_update(self, ethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_update(self, ethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_ctag_update(self, ethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_track_update(self, ethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_enable: YANGBool
    :param track_enable: Enable tracking interface

    :type min_link: long
    :param min_link: Min link

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.track', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, track_enable=track_enable, min_link=min_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_track_enable_update(self, ethernet=None, track_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_enable: YANGBool
    :param track_enable: Enable tracking interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.track', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, track_enable=track_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, track_enable=track_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_track_min_link_update(self, ethernet=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_link: long
    :param min_link: Min link

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.track', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, min_link=min_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_track_remove_update(self, ethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_all_track_interfaces: YANGBool
    :param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.track.remove_', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, remove_all_track_interfaces=remove_all_track_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_track_remove_all_update(self, ethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_all_track_interfaces: YANGBool
    :param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.track.remove_', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, remove_all_track_interfaces=remove_all_track_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_tunable_optics_sfpp_update(self, ethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type channel: long
    :param channel: Channel configuration.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.tunable_optics.sfpp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, channel=channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_tunable_optics_sfpp_channel_update(self, ethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type channel: long
    :param channel: Channel configuration.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.ethernet.tunable_optics.sfpp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, channel=channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_udld_update(self, ethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type udld_enable: YANGBool
    :param udld_enable: Enable UDLD protocol on the Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.udld', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, udld_enable=udld_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_udld_enable_update(self, ethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type udld_enable: YANGBool
    :param udld_enable: Enable UDLD protocol on the Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.udld', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, udld_enable=udld_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vepa_update(self, ethernet=None, vepa_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vepa_enable: YANGBool
    :param vepa_enable: Set enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vepa', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vepa', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vepa_enable=vepa_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vepa_enable=vepa_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vepa_enable_update(self, ethernet=None, vepa_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vepa_enable: YANGBool
    :param vepa_enable: Set enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vepa', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vepa', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vepa_enable=vepa_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vepa_enable=vepa_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrf_update(self, ethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrf_forwarding_update(self, ethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_update(self, ethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: Ipv4 session advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_advertisement_interval_update(self, ethernet=None, vrrp=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: Ipv4 session advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp=vrrp, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_arp_unicast_request_update(self, ethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp.arp.unicast_request', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_arp_unicast_request_receive_update(self, ethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp.arp.unicast_request', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_description_update(self, ethernet=None, vrrp=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp=vrrp, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_enable_update(self, ethernet=None, vrrp=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp=vrrp, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_hold_time_update(self, ethernet=None, vrrp=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp=vrrp, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_preempt_mode_update(self, ethernet=None, vrrp=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp=vrrp, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_priority_update(self, ethernet=None, vrrp=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp=vrrp, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_track_interface_update(self, ethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp.track.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_track_interface_priority_update(self, ethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp.track.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_use_v2_checksum_update(self, ethernet=None, vrrp=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v17r_1_00a.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.ethernet.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ethernet=ethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fcoe_update(self, fcoe=None, fcoe_interface_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fcoe: fcoe_interface_name
    :param fcoe: Keyword argument tuple.

    :type fcoe_interface_name: unicode
    :param fcoe_interface_name: **fcoe** tuple argument.

        * length restriction: ::

            ['3..32']

    **Instance Argument(s)**:

    :type fcoe_interface_shutdown: YANGBool
    :param fcoe_interface_shutdown: Enable/Disable the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fcoe', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fcoe', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fcoe', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fcoe', 'keyval': 'fcoe_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe=fcoe, fcoe_interface_shutdown=fcoe_interface_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe=fcoe, fcoe_interface_shutdown=fcoe_interface_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fcoe_bind_update(self, fcoe=None, fcoe_interface_bind_te=None, fcoe_interface_bind_fo=None, fcoe_interface_bind_po=None, fcoe_interface_bind_mac=None, fcoe_interface_bind_hu=None, fcoe_interface_bind_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe: fcoe_interface_name
    :param fcoe: Keyword argument tuple.

    :type fcoe_interface_name: unicode
    :param fcoe_interface_name: **fcoe** tuple argument.

        * length restriction: ::

            ['3..32']

    **Instance Argument(s)**:

    :type fcoe_interface_bind_te: YANGBool
    :param fcoe_interface_bind_te: Bind to TenGigabitEthernet port. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type fcoe_interface_bind_fo: YANGBool
    :param fcoe_interface_bind_fo: Bind to FortyGigabitEthernet port. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type fcoe_interface_bind_po: YANGBool
    :param fcoe_interface_bind_po: Bind to Port-channel. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type fcoe_interface_bind_mac: YANGBool
    :param fcoe_interface_bind_mac: Bind to an Enode Mac-address. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type fcoe_interface_bind_hu: YANGBool
    :param fcoe_interface_bind_hu: Bind to HundredGigabitEthernet port. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type fcoe_interface_bind_name: unicode
    :param fcoe_interface_bind_name: Keyword argument.

        * length restriction: ::

            ['0..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fcoe', u'fcoe'), ('pybind.nos.v6_0_2c.interface.fcoe', u'fcoe'), ('pybind.nos.v7_0_1b.interface.fcoe', u'fcoe')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoe_interface_bind_te, fcoe_interface_bind_fo, fcoe_interface_bind_po, fcoe_interface_bind_mac, fcoe_interface_bind_hu, fcoe_interface_bind_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.interface.fcoe.fcoe_interface_bind': [u'fcoe_interface_bind_mac', u'fcoe_interface_bind_te', u'fcoe_interface_bind_po', u'fcoe_interface_bind_fo', u'fcoe_interface_bind_hu'], 'pybind.nos.v7_1_0.interface.fcoe.fcoe_interface_bind': [u'fcoe_interface_bind_mac', u'fcoe_interface_bind_te', u'fcoe_interface_bind_po', u'fcoe_interface_bind_fo', u'fcoe_interface_bind_hu'], 'pybind.nos.v7_0_1b.interface.fcoe.fcoe_interface_bind': [u'fcoe_interface_bind_mac', u'fcoe_interface_bind_te', u'fcoe_interface_bind_po', u'fcoe_interface_bind_fo', u'fcoe_interface_bind_hu']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe=fcoe, fcoe_interface_bind_te=fcoe_interface_bind_te, fcoe_interface_bind_fo=fcoe_interface_bind_fo, fcoe_interface_bind_po=fcoe_interface_bind_po, fcoe_interface_bind_mac=fcoe_interface_bind_mac, fcoe_interface_bind_hu=fcoe_interface_bind_hu, fcoe_interface_bind_name=fcoe_interface_bind_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe=fcoe, fcoe_interface_bind_te=fcoe_interface_bind_te, fcoe_interface_bind_fo=fcoe_interface_bind_fo, fcoe_interface_bind_po=fcoe_interface_bind_po, fcoe_interface_bind_mac=fcoe_interface_bind_mac, fcoe_interface_bind_hu=fcoe_interface_bind_hu, fcoe_interface_bind_name=fcoe_interface_bind_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fcoe_bind_fcoe_interface_bind_name_update(self, fcoe=None, fcoe_interface_bind_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe: fcoe_interface_name
    :param fcoe: Keyword argument tuple.

    :type fcoe_interface_name: unicode
    :param fcoe_interface_name: **fcoe** tuple argument.

        * length restriction: ::

            ['3..32']

    **Instance Argument(s)**:

    :type fcoe_interface_bind_name: unicode
    :param fcoe_interface_bind_name: Keyword argument.

        * length restriction: ::

            ['0..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fcoe', u'fcoe'), ('pybind.nos.v6_0_2c.interface.fcoe', u'fcoe'), ('pybind.nos.v7_0_1b.interface.fcoe', u'fcoe')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe=fcoe, fcoe_interface_bind_name=fcoe_interface_bind_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe=fcoe, fcoe_interface_bind_name=fcoe_interface_bind_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fcoe_bind_fortygigabitethernet_update(self, fcoe=None, fcoe_interface_bind_fo=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe: fcoe_interface_name
    :param fcoe: Keyword argument tuple.

    :type fcoe_interface_name: unicode
    :param fcoe_interface_name: **fcoe** tuple argument.

        * length restriction: ::

            ['3..32']

    **Instance Argument(s)**:

    :type fcoe_interface_bind_fo: YANGBool
    :param fcoe_interface_bind_fo: Bind to FortyGigabitEthernet port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fcoe', u'fcoe'), ('pybind.nos.v6_0_2c.interface.fcoe', u'fcoe'), ('pybind.nos.v7_0_1b.interface.fcoe', u'fcoe')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe=fcoe, fcoe_interface_bind_fo=fcoe_interface_bind_fo)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe=fcoe, fcoe_interface_bind_fo=fcoe_interface_bind_fo)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fcoe_bind_hundredgigabitethernet_update(self, fcoe=None, fcoe_interface_bind_hu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe: fcoe_interface_name
    :param fcoe: Keyword argument tuple.

    :type fcoe_interface_name: unicode
    :param fcoe_interface_name: **fcoe** tuple argument.

        * length restriction: ::

            ['3..32']

    **Instance Argument(s)**:

    :type fcoe_interface_bind_hu: YANGBool
    :param fcoe_interface_bind_hu: Bind to HundredGigabitEthernet port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fcoe', u'fcoe'), ('pybind.nos.v6_0_2c.interface.fcoe', u'fcoe'), ('pybind.nos.v7_0_1b.interface.fcoe', u'fcoe')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe=fcoe, fcoe_interface_bind_hu=fcoe_interface_bind_hu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe=fcoe, fcoe_interface_bind_hu=fcoe_interface_bind_hu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fcoe_bind_mac_address_update(self, fcoe=None, fcoe_interface_bind_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe: fcoe_interface_name
    :param fcoe: Keyword argument tuple.

    :type fcoe_interface_name: unicode
    :param fcoe_interface_name: **fcoe** tuple argument.

        * length restriction: ::

            ['3..32']

    **Instance Argument(s)**:

    :type fcoe_interface_bind_mac: YANGBool
    :param fcoe_interface_bind_mac: Bind to an Enode Mac-address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fcoe', u'fcoe'), ('pybind.nos.v6_0_2c.interface.fcoe', u'fcoe'), ('pybind.nos.v7_0_1b.interface.fcoe', u'fcoe')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe=fcoe, fcoe_interface_bind_mac=fcoe_interface_bind_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe=fcoe, fcoe_interface_bind_mac=fcoe_interface_bind_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fcoe_bind_port_channel_update(self, fcoe=None, fcoe_interface_bind_po=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe: fcoe_interface_name
    :param fcoe: Keyword argument tuple.

    :type fcoe_interface_name: unicode
    :param fcoe_interface_name: **fcoe** tuple argument.

        * length restriction: ::

            ['3..32']

    **Instance Argument(s)**:

    :type fcoe_interface_bind_po: YANGBool
    :param fcoe_interface_bind_po: Bind to Port-channel

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fcoe', u'fcoe'), ('pybind.nos.v6_0_2c.interface.fcoe', u'fcoe'), ('pybind.nos.v7_0_1b.interface.fcoe', u'fcoe')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe=fcoe, fcoe_interface_bind_po=fcoe_interface_bind_po)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe=fcoe, fcoe_interface_bind_po=fcoe_interface_bind_po)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fcoe_bind_tengigabitethernet_update(self, fcoe=None, fcoe_interface_bind_te=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe: fcoe_interface_name
    :param fcoe: Keyword argument tuple.

    :type fcoe_interface_name: unicode
    :param fcoe_interface_name: **fcoe** tuple argument.

        * length restriction: ::

            ['3..32']

    **Instance Argument(s)**:

    :type fcoe_interface_bind_te: YANGBool
    :param fcoe_interface_bind_te: Bind to TenGigabitEthernet port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fcoe', u'fcoe'), ('pybind.nos.v6_0_2c.interface.fcoe', u'fcoe'), ('pybind.nos.v7_0_1b.interface.fcoe', u'fcoe')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe=fcoe, fcoe_interface_bind_te=fcoe_interface_bind_te)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe=fcoe, fcoe_interface_bind_te=fcoe_interface_bind_te)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fcoe_shutdown_update(self, fcoe=None, fcoe_interface_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fcoe: fcoe_interface_name
    :param fcoe: Keyword argument tuple.

    :type fcoe_interface_name: unicode
    :param fcoe_interface_name: **fcoe** tuple argument.

        * length restriction: ::

            ['3..32']

    **Instance Argument(s)**:

    :type fcoe_interface_shutdown: YANGBool
    :param fcoe_interface_shutdown: Enable/Disable the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fcoe', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fcoe', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fcoe', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fcoe', 'keyval': 'fcoe_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fcoe=fcoe, fcoe_interface_shutdown=fcoe_interface_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe=fcoe, fcoe_interface_shutdown=fcoe_interface_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fibrechannel_update(self, fc_port=None, fc_speed_cfg=None, fill_word=None, long_distance=None, vc_link_init=None, desire_distance=None, isl_r_rdy_mode=None, trunk_enable=None, shutdown=None, config_mode=None, fec_enable=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fc_port: name
    :param fc_port: Keyword argument tuple.

    :type name: unicode
    :param name: **fc_port** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fc_speed_cfg: unicode
    :param fc_speed_cfg: Configure Speed

        * enumeration restriction: ::

            ['auto', '2gbps', '8gbps', '4gbps', '16gbps']

    :type fill_word: unicode
    :param fill_word: Configure Fill Word

        * enumeration restriction: ::

            ['idle-idle',
            'arbff-arbff',
            'idle-arbff',
            'aa-then-ia']

    :type long_distance: unicode
    :param long_distance: Configure Long Distance

        * enumeration restriction: ::

            ['ld', 'le', 'ls', 'l0']

    :type vc_link_init: unicode
    :param vc_link_init: Enable VC Link Init

        * enumeration restriction: ::

            ['idle', 'arb']

    :type desire_distance: long
    :param desire_distance: Configure Desired distance for LS and LD mode.

        * range restriction: ::

            ['0..4294967295']

    :type isl_r_rdy_mode: YANGBool
    :param isl_r_rdy_mode: Enable ISL-R_rdy Mode

    :type trunk_enable: YANGBool
    :param trunk_enable: Enable Trunk

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type config_mode: unicode
    :param config_mode: Configure port as  F/E/N/Auto

        * enumeration restriction: ::

            ['auto', 'nport', 'eport', 'fport']

    :type fec_enable: YANGBool
    :param fec_enable: Enable FEC

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fc_port', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fc_port', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fc_port', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fc_port', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fc_port=fc_port, fc_speed_cfg=fc_speed_cfg, fill_word=fill_word, long_distance=long_distance, vc_link_init=vc_link_init, desire_distance=desire_distance, isl_r_rdy_mode=isl_r_rdy_mode, trunk_enable=trunk_enable, shutdown=shutdown, config_mode=config_mode, fec_enable=fec_enable, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fc_port=fc_port, fc_speed_cfg=fc_speed_cfg, fill_word=fill_word, long_distance=long_distance, vc_link_init=vc_link_init, desire_distance=desire_distance, isl_r_rdy_mode=isl_r_rdy_mode, trunk_enable=trunk_enable, shutdown=shutdown, config_mode=config_mode, fec_enable=fec_enable, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fibrechannel_config_mode_update(self, fc_port=None, config_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fc_port: name
    :param fc_port: Keyword argument tuple.

    :type name: unicode
    :param name: **fc_port** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type config_mode: unicode
    :param config_mode: Configure port as  F/E/N/Auto

        * enumeration restriction: ::

            ['auto', 'nport', 'eport', 'fport']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fc_port', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fc_port', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fc_port', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fc_port', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fc_port=fc_port, config_mode=config_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fc_port=fc_port, config_mode=config_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fibrechannel_description_update(self, fc_port=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fc_port: name
    :param fc_port: Keyword argument tuple.

    :type name: unicode
    :param name: **fc_port** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fc_port', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fc_port', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fc_port', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fc_port', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fc_port=fc_port, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fc_port=fc_port, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fibrechannel_desire_distance_update(self, fc_port=None, desire_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fc_port: name
    :param fc_port: Keyword argument tuple.

    :type name: unicode
    :param name: **fc_port** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type desire_distance: long
    :param desire_distance: Configure Desired distance for LS and LD mode.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fc_port', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fc_port', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fc_port', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fc_port', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fc_port=fc_port, desire_distance=desire_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fc_port=fc_port, desire_distance=desire_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fibrechannel_fec_enable_update(self, fc_port=None, fec_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fc_port: name
    :param fc_port: Keyword argument tuple.

    :type name: unicode
    :param name: **fc_port** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fec_enable: YANGBool
    :param fec_enable: Enable FEC

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fc_port', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fc_port', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fc_port', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fc_port', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fc_port=fc_port, fec_enable=fec_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fc_port=fc_port, fec_enable=fec_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fibrechannel_fill_word_update(self, fc_port=None, fill_word=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fc_port: name
    :param fc_port: Keyword argument tuple.

    :type name: unicode
    :param name: **fc_port** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fill_word: unicode
    :param fill_word: Configure Fill Word

        * enumeration restriction: ::

            ['idle-idle',
            'arbff-arbff',
            'idle-arbff',
            'aa-then-ia']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fc_port', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fc_port', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fc_port', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fc_port', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fc_port=fc_port, fill_word=fill_word)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fc_port=fc_port, fill_word=fill_word)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fibrechannel_isl_r_rdy_update(self, fc_port=None, isl_r_rdy_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fc_port: name
    :param fc_port: Keyword argument tuple.

    :type name: unicode
    :param name: **fc_port** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type isl_r_rdy_mode: YANGBool
    :param isl_r_rdy_mode: Enable ISL-R_rdy Mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fc_port', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fc_port', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fc_port', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fc_port', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fc_port=fc_port, isl_r_rdy_mode=isl_r_rdy_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fc_port=fc_port, isl_r_rdy_mode=isl_r_rdy_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fibrechannel_long_distance_update(self, fc_port=None, long_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fc_port: name
    :param fc_port: Keyword argument tuple.

    :type name: unicode
    :param name: **fc_port** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type long_distance: unicode
    :param long_distance: Configure Long Distance

        * enumeration restriction: ::

            ['ld', 'le', 'ls', 'l0']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fc_port', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fc_port', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fc_port', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fc_port', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fc_port=fc_port, long_distance=long_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fc_port=fc_port, long_distance=long_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fibrechannel_shutdown_update(self, fc_port=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fc_port: name
    :param fc_port: Keyword argument tuple.

    :type name: unicode
    :param name: **fc_port** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fc_port', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fc_port', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fc_port', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fc_port', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fc_port=fc_port, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fc_port=fc_port, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fibrechannel_speed_update(self, fc_port=None, fc_speed_cfg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fc_port: name
    :param fc_port: Keyword argument tuple.

    :type name: unicode
    :param name: **fc_port** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fc_speed_cfg: unicode
    :param fc_speed_cfg: Configure Speed

        * enumeration restriction: ::

            ['auto', '2gbps', '8gbps', '4gbps', '16gbps']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fc_port', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fc_port', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fc_port', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fc_port', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fc_port=fc_port, fc_speed_cfg=fc_speed_cfg)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fc_port=fc_port, fc_speed_cfg=fc_speed_cfg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fibrechannel_trunk_enable_update(self, fc_port=None, trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fc_port: name
    :param fc_port: Keyword argument tuple.

    :type name: unicode
    :param name: **fc_port** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_enable: YANGBool
    :param trunk_enable: Enable Trunk

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fc_port', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fc_port', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fc_port', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fc_port', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fc_port=fc_port, trunk_enable=trunk_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fc_port=fc_port, trunk_enable=trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fibrechannel_vc_link_init_update(self, fc_port=None, vc_link_init=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fc_port: name
    :param fc_port: Keyword argument tuple.

    :type name: unicode
    :param name: **fc_port** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vc_link_init: unicode
    :param vc_link_init: Enable VC Link Init

        * enumeration restriction: ::

            ['idle', 'arb']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fc_port', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fc_port', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fc_port', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fc_port', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fc_port=fc_port, vc_link_init=vc_link_init)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fc_port=fc_port, vc_link_init=vc_link_init)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_update(self, fortygigabitethernet=None, cee=None, ifindex=None, description=None, shutdown=None, mtu=None, port_profile_port=None, priority_tag_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cee: unicode
    :param cee: Apply default CEE map 'default'

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type mtu: long
    :param mtu: Set mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type port_profile_port: YANGBool
    :param port_profile_port: Set the interface to AMPP profile mode

    :type priority_tag_enable: YANGBool
    :param priority_tag_enable: Configure 802.1p priority tagging

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fortygigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, cee=cee, ifindex=ifindex, description=description, shutdown=shutdown, mtu=mtu, port_profile_port=port_profile_port, priority_tag_enable=priority_tag_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, cee=cee, ifindex=ifindex, description=description, shutdown=shutdown, mtu=mtu, port_profile_port=port_profile_port, priority_tag_enable=priority_tag_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bfd_update(self, fortygigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bfd_interval_update(self, fortygigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bfd_interval_min_rx_update(self, fortygigabitethernet=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bfd_interval_min_tx_update(self, fortygigabitethernet=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bfd_interval_multiplier_update(self, fortygigabitethernet=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bfd_shutdown_update(self, fortygigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bpdu_drop_update(self, fortygigabitethernet=None, enable=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

    :type direction: unicode
    :param direction: Keyword argument.

        * enumeration restriction: ::

            ['all', 'rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, direction'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, enable=enable, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, enable=enable, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bpdu_drop_direction_update(self, fortygigabitethernet=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type direction: unicode
    :param direction: Keyword argument.

        * enumeration restriction: ::

            ['all', 'rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bpdu_drop_enable_update(self, fortygigabitethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_cee_update(self, fortygigabitethernet=None, cee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cee: unicode
    :param cee: Apply default CEE map 'default'

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fortygigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, cee=cee)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, cee=cee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_channel_group_update(self, fortygigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_int: long
    :param port_int: Channel group number

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: The mode of the port channel.

        * enumeration restriction: ::

            ['active', 'passive', 'on']

    :type type: unicode
    :param type: The type of the port-channel.

        * enumeration restriction: ::

            ['brocade', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, port_int=port_int, mode=mode, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_channel_group_mode_update(self, fortygigabitethernet=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: The mode of the port channel.

        * enumeration restriction: ::

            ['active', 'passive', 'on']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_channel_group_port_int_update(self, fortygigabitethernet=None, port_int=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_int: long
    :param port_int: Channel group number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, port_int=port_int)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, port_int=port_int)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_channel_group_type_update(self, fortygigabitethernet=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: The type of the port-channel.

        * enumeration restriction: ::

            ['brocade', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_description_update(self, fortygigabitethernet=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fortygigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_deviceconnectivity_update(self, fortygigabitethernet=None, deviceconnectivity=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type deviceconnectivity: unicode
    :param deviceconnectivity: Device connectivity to IP storage device

        * enumeration restriction: ::

            ['NAS', 'None', 'iSCSI', 'DAS']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.connectivity', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.connectivity', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.connectivity', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, deviceconnectivity=deviceconnectivity)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, deviceconnectivity=deviceconnectivity)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_update(self, fortygigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type authentication: YANGBool
    :param authentication: Enable dot1x on a port

    :type port_control: unicode
    :param port_control: Port control commands

        * enumeration restriction: ::

            ['auto',
            'force-unauthorized',
            'force-authorized']

    :type protocol_version: long
    :param protocol_version: Set the protocol version

        * range restriction: ::

            ['0..4294967295']

    :type quiet_period: long
    :param quiet_period: Quiet period in the HELD state

        * range restriction: ::

            ['0..4294967295']

    :type reauthMax: long
    :param reauthMax: Number of reauthentication attempts before becomingunauthorized

        * range restriction: ::

            ['0..4294967295']

    :type reauthentication: YANGBool
    :param reauthentication: Enable reauthentication on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x": {}, "pybind.nos.v7_0_1b.interface.fortygigabitethernet.dot1x": {"reauthMax": "reauthMax", "port_control": "port_control", "quiet_period": "quiet_period", "authentication": "authentication", "reauthentication": "reauthentication", "protocol_version": "protocol_version"}, "pybind.nos.v6_0_2c.interface.fortygigabitethernet.dot1x": {"reauthMax": "reauthMax", "port_control": "port_control", "quiet_period": "quiet_period", "authentication": "authentication", "reauthentication": "reauthentication", "protocol_version": "protocol_version"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_authentication_update(self, fortygigabitethernet=None, authentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type authentication: YANGBool
    :param authentication: Enable dot1x on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, authentication=authentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, authentication=authentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_mac_auth_bypass_update(self, fortygigabitethernet=None, mac_auth_bypass=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_auth_bypass: YANGBool
    :param mac_auth_bypass: Enable MAC Authentication Bypass.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mac_auth_bypass=mac_auth_bypass)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mac_auth_bypass=mac_auth_bypass)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_mac_auth_enable_update(self, fortygigabitethernet=None, mac_auth_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_auth_enable: YANGBool
    :param mac_auth_enable: Enable MAC based Authentication.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mac_auth_enable=mac_auth_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mac_auth_enable=mac_auth_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_port_control_update(self, fortygigabitethernet=None, port_control=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_control: unicode
    :param port_control: Port control commands

        * enumeration restriction: ::

            ['auto',
            'force-unauthorized',
            'force-authorized']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, port_control=port_control)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, port_control=port_control)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_protocol_version_update(self, fortygigabitethernet=None, protocol_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type protocol_version: long
    :param protocol_version: Set the protocol version

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, protocol_version=protocol_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, protocol_version=protocol_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_quiet_period_update(self, fortygigabitethernet=None, quiet_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type quiet_period: long
    :param quiet_period: Quiet period in the HELD state

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, quiet_period=quiet_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, quiet_period=quiet_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_reauthentication_update(self, fortygigabitethernet=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reauthentication: YANGBool
    :param reauthentication: Enable reauthentication on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, reauthentication=reauthentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_reauthmax_update(self, fortygigabitethernet=None, reauthMax=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reauthMax: long
    :param reauthMax: Number of reauthentication attempts before becomingunauthorized

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, reauthMax=reauthMax)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, reauthMax=reauthMax)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_timeout_update(self, fortygigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type re_authperiod: long
    :param re_authperiod: Reauthentication interval in seconds (default = 3600)

        * range restriction: ::

            ['0..4294967295']

    :type server_timeout: long
    :param server_timeout: Server timeout in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type supp_timeout: long
    :param supp_timeout: Supplicant response timeout (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type tx_period: long
    :param tx_period: Transmission period in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_timeout_re_authperiod_update(self, fortygigabitethernet=None, re_authperiod=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type re_authperiod: long
    :param re_authperiod: Reauthentication interval in seconds (default = 3600)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, re_authperiod=re_authperiod)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, re_authperiod=re_authperiod)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_timeout_server_timeout_update(self, fortygigabitethernet=None, server_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type server_timeout: long
    :param server_timeout: Server timeout in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, server_timeout=server_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, server_timeout=server_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_timeout_supp_timeout_update(self, fortygigabitethernet=None, supp_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type supp_timeout: long
    :param supp_timeout: Supplicant response timeout (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, supp_timeout=supp_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, supp_timeout=supp_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_timeout_tx_period_update(self, fortygigabitethernet=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type tx_period: long
    :param tx_period: Transmission period in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, tx_period=tx_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_edge_loop_detection_update(self, fortygigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Set ELD-priority value to interface

        * range restriction: ::

            ['0..4294967295']

    :type eldvlan: unicode
    :param eldvlan: Enable for specific VLAN on selected interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, eldprio=eldprio, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_edge_loop_detection_port_priority_update(self, fortygigabitethernet=None, eldprio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Set ELD-priority value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, eldprio=eldprio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, eldprio=eldprio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_edge_loop_detection_vlan_update(self, fortygigabitethernet=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldvlan: unicode
    :param eldvlan: Enable for specific VLAN on selected interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_dport_update(self, fortygigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_dport_enable: YANGBool
    :param fabric_dport_enable: Configure fabric D-port status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_dport": {}, "pybind.nos.v7_0_1b.interface.fortygigabitethernet.fabric.fabric_dport": {}, "pybind.nos.v6_0_2c.interface.fortygigabitethernet.fabric.fabric_dport": {"fabric_dport_enable": "fabric_dport_enable"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, fabric_dport_enable=fabric_dport_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_dport_enable_update(self, fortygigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_dport_enable: YANGBool
    :param fabric_dport_enable: Configure fabric D-port status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, fabric_dport_enable=fabric_dport_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_dport_mode_update(self, fortygigabitethernet=None, fabric_dport_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_dport_mode: unicode
    :param fabric_dport_mode: Configure D-Port Mode

        * enumeration restriction: ::

            ['static', 'none', 'dynamic']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, fabric_dport_mode=fabric_dport_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, fabric_dport_mode=fabric_dport_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_isl_update(self, fortygigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_isl_enable: YANGBool
    :param fabric_isl_enable: Configure fabric isl status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, fabric_isl_enable=fabric_isl_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_isl_enable_update(self, fortygigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_isl_enable: YANGBool
    :param fabric_isl_enable: Configure fabric isl status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, fabric_isl_enable=fabric_isl_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_neighbor_discovery_update(self, fortygigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable neighbor discovery at this port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_neighbor_discovery_disable_update(self, fortygigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable neighbor discovery at this port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_trunk_update(self, fortygigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_trunk_enable: YANGBool
    :param fabric_trunk_enable: Configure fabric trunk status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, fabric_trunk_enable=fabric_trunk_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_trunk_enable_update(self, fortygigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_trunk_enable: YANGBool
    :param fabric_trunk_enable: Configure fabric trunk status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, fabric_trunk_enable=fabric_trunk_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fcoeport_update(self, fortygigabitethernet=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fcoeport_map: unicode
    :param fcoeport_map: Keyword argument.

        * length restriction: ::

            ['1..32']

    :type ns_ip_registration: YANGBool
    :param ns_ip_registration: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoeport_map, ns_ip_registration'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fcoeport_map_update(self, fortygigabitethernet=None, fcoeport_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fcoeport_map: unicode
    :param fcoeport_map: Keyword argument.

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, fcoeport_map=fcoeport_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, fcoeport_map=fcoeport_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fcoeport_ns_ip_registration_update(self, fortygigabitethernet=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ns_ip_registration: YANGBool
    :param ns_ip_registration: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ns_ip_registration=ns_ip_registration)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ifindex_update(self, fortygigabitethernet=None, ifindex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fortygigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ifindex=ifindex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ifindex=ifindex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_access_group_update(self, fortygigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_access_group_traffic_type_update(self, fortygigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_address_update(self, fortygigabitethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_address_ospf_ignore_update(self, fortygigabitethernet=None, address=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, address=address, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, address=address, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_address_ospf_passive_update(self, fortygigabitethernet=None, address=None, ospf_passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, address=address, ospf_passive=ospf_passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, address=address, ospf_passive=ospf_passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_address_secondary_update(self, fortygigabitethernet=None, address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, address=address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, address=address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_arp_aging_timeout_update(self, fortygigabitethernet=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_arp_inspection_update(self, fortygigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_arp_inspection_trust_update(self, fortygigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_arp_ip_config_update(self, fortygigabitethernet=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type learn_any: YANGBool
    :param learn_any: Learn ARP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, learn_any=learn_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_arp_learn_any_update(self, fortygigabitethernet=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type learn_any: YANGBool
    :param learn_any: Learn ARP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, learn_any=learn_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_dhcp_relay_update(self, fortygigabitethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_dhcp_relay_gateway_update(self, fortygigabitethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_directed_broadcast_update(self, fortygigabitethernet=None, directed_broadcast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, directed_broadcast=directed_broadcast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, directed_broadcast=directed_broadcast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_icmp_update(self, fortygigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_icmp_address_mask_update(self, fortygigabitethernet=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_icmp_echo_reply_update(self, fortygigabitethernet=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_icmp_rate_limiting_update(self, fortygigabitethernet=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_icmp_redirect_update(self, fortygigabitethernet=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_icmp_unreachable_update(self, fortygigabitethernet=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_igmp_update(self, fortygigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type immediate_leave: YANGBool
    :param immediate_leave: Immediate Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp": {}, "pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp": {"immediate_leave": "immediate_leave", "last_member_query_interval": "last_member_query_interval", "query_interval": "query_interval", "query_max_response_time": "query_max_response_time"}, "pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_igmp_immediate_leave_update(self, fortygigabitethernet=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type immediate_leave: YANGBool
    :param immediate_leave: Immediate Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, immediate_leave=immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_igmp_last_member_query_count_update(self, fortygigabitethernet=None, last_member_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type last_member_query_count: long
    :param last_member_query_count: IGMP Last Member Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, last_member_query_count=last_member_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, last_member_query_count=last_member_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_igmp_last_member_query_interval_update(self, fortygigabitethernet=None, last_member_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, last_member_query_interval=last_member_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, last_member_query_interval=last_member_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_igmp_query_interval_update(self, fortygigabitethernet=None, query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, query_interval=query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, query_interval=query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_igmp_query_max_response_time_update(self, fortygigabitethernet=None, query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, query_max_response_time=query_max_response_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, query_max_response_time=query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_igmp_robustness_variable_update(self, fortygigabitethernet=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type robustness_variable: long
    :param robustness_variable: Robustness Variable

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, robustness_variable=robustness_variable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_igmp_startup_query_count_update(self, fortygigabitethernet=None, startup_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type startup_query_count: long
    :param startup_query_count: IGMP Startup Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, startup_query_count=startup_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, startup_query_count=startup_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_igmp_startup_query_interval_update(self, fortygigabitethernet=None, startup_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type startup_query_interval: long
    :param startup_query_interval: Startup Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, startup_query_interval=startup_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, startup_query_interval=startup_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ip_config_update(self, fortygigabitethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_mtu_update(self, fortygigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_multicast_boundary_update(self, fortygigabitethernet=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_update(self, fortygigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_active_update(self, fortygigabitethernet=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_area_update(self, fortygigabitethernet=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, area=area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_auth_change_wait_time_update(self, fortygigabitethernet=None, auth_change_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, auth_change_wait_time=auth_change_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, auth_change_wait_time=auth_change_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_authentication_key_auth_key_update(self, fortygigabitethernet=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_authentication_key_auth_key_table_update(self, fortygigabitethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'encrypttype, auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, encrypttype=encrypttype, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_authentication_key_encrypttype_update(self, fortygigabitethernet=None, encrypttype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, encrypttype=encrypttype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, encrypttype=encrypttype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_authentication_key_no_encrypt_auth_key_update(self, fortygigabitethernet=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_authentication_key_no_encrypt_auth_key_table_update(self, fortygigabitethernet=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_bfd_update(self, fortygigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_bfd_intf_bfd_enable_update(self, fortygigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_cost_update(self, fortygigabitethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_database_filter_update(self, fortygigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_database_filter_all_external_update(self, fortygigabitethernet=None, all_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, all_external=all_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, all_external=all_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_database_filter_all_out_update(self, fortygigabitethernet=None, all_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, all_out=all_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, all_out=all_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_database_filter_all_summary_external_update(self, fortygigabitethernet=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_dead_interval_update(self, fortygigabitethernet=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_hello_interval_update(self, fortygigabitethernet=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_md5_authentication_update(self, fortygigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_update(self, fortygigabitethernet=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, fortygigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_id_update(self, fortygigabitethernet=None, no_encrypt_key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, no_encrypt_key_id=no_encrypt_key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, no_encrypt_key_id=no_encrypt_key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_id_key_update(self, fortygigabitethernet=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_id_key_id_update(self, fortygigabitethernet=None, key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, key_id=key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, key_id=key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_id_md5_authentication_key_update(self, fortygigabitethernet=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type md5_authentication_key: unicode
    :param md5_authentication_key: MD5 authentication ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, md5_authentication_key=md5_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_md5_authentication_no_encrypt_key_table_update(self, fortygigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_mtu_ignore_update(self, fortygigabitethernet=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_network_update(self, fortygigabitethernet=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_passive_update(self, fortygigabitethernet=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_priority_update(self, fortygigabitethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_retransmit_interval_update(self, fortygigabitethernet=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_transmit_delay_update(self, fortygigabitethernet=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_pim_update(self, fortygigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_pim_dr_priority_update(self, fortygigabitethernet=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_pim_int_cmd_update(self, fortygigabitethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_pim_multinet_update(self, fortygigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_pim_multinet_enable_update(self, fortygigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_pim_neighbor_filter_update(self, fortygigabitethernet=None, neighbor_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, neighbor_filter=neighbor_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, neighbor_filter=neighbor_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_pim_sparse_update(self, fortygigabitethernet=None, pim_sparse=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pim_sparse=pim_sparse)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pim_sparse=pim_sparse)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_policy_route_map_update(self, fortygigabitethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_policy_route_map_route_map_name_update(self, fortygigabitethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_proxy_arp_update(self, fortygigabitethernet=None, proxy_arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, proxy_arp=proxy_arp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, proxy_arp=proxy_arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_unnumbered_update(self, fortygigabitethernet=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ip_donor_interface_type: unicode
    :param ip_donor_interface_type: The type of donor interface.

        * enumeration restriction: ::

            ['ve',
            'loopback',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type ip_donor_interface_name: unicode
    :param ip_donor_interface_name: The name of donor interface.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ip_donor_interface_type, ip_donor_interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_unnumbered_ip_donor_interface_name_update(self, fortygigabitethernet=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ip_donor_interface_name: unicode
    :param ip_donor_interface_name: The name of donor interface.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ip_donor_interface_name=ip_donor_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_unnumbered_ip_donor_interface_type_update(self, fortygigabitethernet=None, ip_donor_interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ip_donor_interface_type: unicode
    :param ip_donor_interface_type: The type of donor interface.

        * enumeration restriction: ::

            ['ve',
            'loopback',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ip_donor_interface_type=ip_donor_interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ip_donor_interface_type=ip_donor_interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_update(self, fortygigabitethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type raguard: YANGBool
    :param raguard: IPv6 Router advertisement guard configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, raguard=raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_access_group_update(self, fortygigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_access_group_traffic_type_update(self, fortygigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_update(self, fortygigabitethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_ipv6_address_update(self, fortygigabitethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_ipv6_address_anycast_update(self, fortygigabitethernet=None, ipv6_address=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_ipv6_address_eui_64_update(self, fortygigabitethernet=None, ipv6_address=None, eui64=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, eui64=eui64)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, eui64=eui64)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_ipv6_address_secondary_update(self, fortygigabitethernet=None, ipv6_address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_ipv6_address_secondary_eui_config_update(self, fortygigabitethernet=None, ipv6_address=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui_secondary: YANGBool
    :param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, eui_secondary=eui_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_link_local_update(self, fortygigabitethernet=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_link_local_address_update(self, fortygigabitethernet=None, link_local_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, link_local_address=link_local_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, link_local_address=link_local_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_link_local_config_update(self, fortygigabitethernet=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'link_local_address, link_local'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, link_local_address=link_local_address, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_use_link_local_only_update(self, fortygigabitethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_dhcp_relay_servers_update(self, fortygigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_dhcp_relay_servers_interface_update(self, fortygigabitethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'Ve']

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_dhcp_relay_servers_interface_interface_update(self, fortygigabitethernet=None, servers=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'Ve']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, servers=servers, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, servers=servers, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_dhcp_relay_servers_interface_interface_name_update(self, fortygigabitethernet=None, servers=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, servers=servers, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, servers=servers, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_dhcp_relay_servers_use_vrf_update(self, fortygigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_hop_by_hop_trap_update(self, fortygigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_icmpv6_update(self, fortygigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_icmpv6_echo_reply_update(self, fortygigabitethernet=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_icmpv6_rate_limiting_update(self, fortygigabitethernet=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_icmpv6_redirect_update(self, fortygigabitethernet=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_icmpv6_unreachable_update(self, fortygigabitethernet=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ipv6_config_update(self, fortygigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ipv6_intf_cmds_update(self, fortygigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ipv6_phy_intf_cmds_update(self, fortygigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_mtu_update(self, fortygigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_update(self, fortygigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type hoplimit: long
    :param hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {"managed_config_flag": "managed_config_flag", "broadcast_mac_trap": "broadcast_mac_trap", "ra_lifetime": "ra_lifetime", "hoplimit": "hoplimit", "mtu": "mtu", "retrans_timer": "retrans_timer", "other_config_flag": "other_config_flag", "ns_interval": "ns_interval", "reachable_time": "reachable_time", "proxy": "proxy"}, "pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {}, "pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {"managed_config_flag": "managed_config_flag", "broadcast_mac_trap": "broadcast_mac_trap", "ra_lifetime": "ra_lifetime", "hoplimit": "hoplimit", "mtu": "mtu", "retrans_timer": "retrans_timer", "other_config_flag": "other_config_flag", "ns_interval": "ns_interval", "reachable_time": "reachable_time", "proxy": "proxy"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_broadcast_mac_trap_update(self, fortygigabitethernet=None, broadcast_mac_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, broadcast_mac_trap=broadcast_mac_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, broadcast_mac_trap=broadcast_mac_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_cache_update(self, fortygigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_cache_expire_update(self, fortygigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_dad_update(self, fortygigabitethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, attempts=attempts, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_dad_attempts_update(self, fortygigabitethernet=None, attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, attempts=attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, attempts=attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_dad_time_update(self, fortygigabitethernet=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_hoplimit_update(self, fortygigabitethernet=None, hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hoplimit: long
    :param hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, hoplimit=hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, hoplimit=hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_managed_config_flag_update(self, fortygigabitethernet=None, managed_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, managed_config_flag=managed_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, managed_config_flag=managed_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_mtu_update(self, fortygigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_ns_interval_update(self, fortygigabitethernet=None, ns_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ns_interval=ns_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ns_interval=ns_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_nud_retry_update(self, fortygigabitethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'base, interval, max_attempts'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, base=base, interval=interval, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_nud_retry_base_update(self, fortygigabitethernet=None, base=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, base=base)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, base=base)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_nud_retry_interval_update(self, fortygigabitethernet=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_nud_retry_max_attempts_update(self, fortygigabitethernet=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_other_config_flag_update(self, fortygigabitethernet=None, other_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, other_config_flag=other_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, other_config_flag=other_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_infinite_update(self, fortygigabitethernet=None, prefix=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_infinite: YANGBool
    :param valid_infinite: Infinite valid lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, valid_infinite=valid_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_infinite_preferred_update(self, fortygigabitethernet=None, prefix=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_no_advertise_update(self, fortygigabitethernet=None, prefix=None, no_advertise=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_advertise: YANGBool
    :param no_advertise: Do not advertise prefix

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, no_advertise=no_advertise)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, no_advertise=no_advertise)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_no_autoconfig_update(self, fortygigabitethernet=None, prefix=None, no_autoconfig=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_no_onlink_update(self, fortygigabitethernet=None, prefix=None, no_onlink=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, no_onlink=no_onlink)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, no_onlink=no_onlink)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_off_link_update(self, fortygigabitethernet=None, prefix=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_preferred_update(self, fortygigabitethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'preferred_lifetime, preferred_infinite'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime'], 'pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime'], 'pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_preferred_lifetime_update(self, fortygigabitethernet=None, prefix=None, preferred_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_prefix_flags_update(self, fortygigabitethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_autoconfig, no_onlink, off_link'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_valid_lifetime_update(self, fortygigabitethernet=None, prefix=None, valid_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_lifetime: long
    :param valid_lifetime: Configures valid lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, valid_lifetime=valid_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix, valid_lifetime=valid_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_proxy_update(self, fortygigabitethernet=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_ra_interval_update(self, fortygigabitethernet=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_interval, min_'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, max_interval=max_interval, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_ra_interval_max_interval_update(self, fortygigabitethernet=None, max_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, max_interval=max_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, max_interval=max_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_ra_interval_min_update(self, fortygigabitethernet=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_ra_lifetime_update(self, fortygigabitethernet=None, ra_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ra_lifetime=ra_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ra_lifetime=ra_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_reachable_time_update(self, fortygigabitethernet=None, reachable_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, reachable_time=reachable_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, reachable_time=reachable_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_retrans_timer_update(self, fortygigabitethernet=None, retrans_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, retrans_timer=retrans_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, retrans_timer=retrans_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_set_cache_expire_time_update(self, fortygigabitethernet=None, set_cache_expire_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type set_cache_expire_time: long
    :param set_cache_expire_time: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, set_cache_expire_time=set_cache_expire_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, set_cache_expire_time=set_cache_expire_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_set_hoplimit_update(self, fortygigabitethernet=None, set_hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type set_hoplimit: long
    :param set_hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, set_hoplimit=set_hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, set_hoplimit=set_hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_suppress_ra_update(self, fortygigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_suppress_ra_all_update(self, fortygigabitethernet=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_suppress_ra_mtu_update(self, fortygigabitethernet=None, suppress_ra_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, suppress_ra_mtu=suppress_ra_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, suppress_ra_mtu=suppress_ra_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_suppress_ra_suppress_ra_flag_update(self, fortygigabitethernet=None, suppress_ra_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, suppress_ra_flag=suppress_ra_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, suppress_ra_flag=suppress_ra_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_neighbor_update(self, fortygigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_neighbor_hardware_address_update(self, fortygigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_update(self, fortygigabitethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_active_update(self, fortygigabitethernet=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_area_update(self, fortygigabitethernet=None, interface_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, interface_area=interface_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, interface_area=interface_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_ah_update(self, fortygigabitethernet=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_esp_update(self, fortygigabitethernet=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_esp_auth_update(self, fortygigabitethernet=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_esp_key_update(self, fortygigabitethernet=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_esp_no_encrypt_update(self, fortygigabitethernet=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_ipsec_update(self, fortygigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_ipsec_auth_key_config_update(self, fortygigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_ipsec_disable_update(self, fortygigabitethernet=None, ipsec_authentication_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, fortygigabitethernet=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_key_update(self, fortygigabitethernet=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_no_encrypt_update(self, fortygigabitethernet=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_spi_update(self, fortygigabitethernet=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_bfd_update(self, fortygigabitethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_bfd_bfd_enable_update(self, fortygigabitethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_cost_update(self, fortygigabitethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_dead_interval_update(self, fortygigabitethernet=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_hello_interval_update(self, fortygigabitethernet=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_hello_jitter_update(self, fortygigabitethernet=None, hello_jitter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, hello_jitter=hello_jitter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, hello_jitter=hello_jitter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_instance_update(self, fortygigabitethernet=None, instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, instance=instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, instance=instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_link_interval_properties_update(self, fortygigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_mtu_ignore_update(self, fortygigabitethernet=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_network_update(self, fortygigabitethernet=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_passive_update(self, fortygigabitethernet=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_priority_update(self, fortygigabitethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_retransmit_interval_update(self, fortygigabitethernet=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_suppress_linklsa_update(self, fortygigabitethernet=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_transmit_delay_update(self, fortygigabitethernet=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_policy_route_map_update(self, fortygigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_policy_route_map_ipv6_route_map_name_update(self, fortygigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_raguard_update(self, fortygigabitethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type raguard: YANGBool
    :param raguard: IPv6 Router advertisement guard configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, raguard=raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_update(self, fortygigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_advertise_backup_update(self, fortygigabitethernet=None, vrrpv3e_group=None, advertise_backup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, advertise_backup=advertise_backup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, advertise_backup=advertise_backup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_advertisement_interval_update(self, fortygigabitethernet=None, vrrpv3e_group=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_advertisement_interval_scale_update(self, fortygigabitethernet=None, vrrpv3e_group=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, advertisement_interval_scale=advertisement_interval_scale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_backup_advertisement_interval_update(self, fortygigabitethernet=None, vrrpv3e_group=None, backup_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, backup_advertisement_interval=backup_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, backup_advertisement_interval=backup_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_description_update(self, fortygigabitethernet=None, vrrpv3e_group=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_enable_update(self, fortygigabitethernet=None, vrrpv3e_group=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_hold_time_update(self, fortygigabitethernet=None, vrrpv3e_group=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_nd_advertisement_timer_update(self, fortygigabitethernet=None, vrrpv3e_group=None, nd_advertisement_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, nd_advertisement_timer=nd_advertisement_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, nd_advertisement_timer=nd_advertisement_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_preempt_mode_update(self, fortygigabitethernet=None, vrrpv3e_group=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_priority_update(self, fortygigabitethernet=None, vrrpv3e_group=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, fortygigabitethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_basic_update(self, fortygigabitethernet=None, vrrpv3e_group=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_revert_priority_update(self, fortygigabitethernet=None, vrrpv3e_group=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_track_interface_update(self, fortygigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_track_interface_priority_update(self, fortygigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_update(self, fortygigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_advertisement_interval_update(self, fortygigabitethernet=None, vrrpv3_group=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_description_update(self, fortygigabitethernet=None, vrrpv3_group=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_enable_update(self, fortygigabitethernet=None, vrrpv3_group=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_hold_time_update(self, fortygigabitethernet=None, vrrpv3_group=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_preempt_mode_update(self, fortygigabitethernet=None, vrrpv3_group=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_priority_update(self, fortygigabitethernet=None, vrrpv3_group=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_track_interface_update(self, fortygigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_track_interface_priority_update(self, fortygigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_use_v2_checksum_update(self, fortygigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_suppress_interface_ra_update(self, fortygigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lacp_update(self, fortygigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type timeout: unicode
    :param timeout: Timeout commands

        * enumeration restriction: ::

            ['short', 'long']

    :type std_port_priority: long
    :param std_port_priority: Port priority commands

        * range restriction: ::

            ['0..4294967295']

    :type default_up: YANGBool
    :param default_up: To bring up the interface in LACP default state 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lacp_default_up_update(self, fortygigabitethernet=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_up: YANGBool
    :param default_up: To bring up the interface in LACP default state 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, default_up=default_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lacp_port_priority_update(self, fortygigabitethernet=None, std_port_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type std_port_priority: long
    :param std_port_priority: Port priority commands

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, std_port_priority=std_port_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, std_port_priority=std_port_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lacp_timeout_update(self, fortygigabitethernet=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type timeout: unicode
    :param timeout: Timeout commands

        * enumeration restriction: ::

            ['short', 'long']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lldp_update(self, fortygigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dcbx_version: unicode
    :param dcbx_version: Set up DCBX Version

        * enumeration restriction: ::

            ['auto', 'cee']

    :type disable: YANGBool
    :param disable: Disable LLDP on the Interface.

    :type iscsi_priority: long
    :param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface

        * range restriction: ::

            ['0..4294967295']

    :type profile: unicode
    :param profile: The LLDP profile on the interface.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lldp_cee_update(self, fortygigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type lldp_cee_on_off: unicode
    :param lldp_cee_on_off: Keyword argument.

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.lldp.cee', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.lldp.cee', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, lldp_cee_on_off=lldp_cee_on_off)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lldp_cee_lldp_cee_on_off_update(self, fortygigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type lldp_cee_on_off: unicode
    :param lldp_cee_on_off: Keyword argument.

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.lldp.cee', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.lldp.cee', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, lldp_cee_on_off=lldp_cee_on_off)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lldp_dcbx_version_update(self, fortygigabitethernet=None, dcbx_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dcbx_version: unicode
    :param dcbx_version: Set up DCBX Version

        * enumeration restriction: ::

            ['auto', 'cee']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, dcbx_version=dcbx_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, dcbx_version=dcbx_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lldp_disable_update(self, fortygigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable LLDP on the Interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lldp_iscsi_priority_update(self, fortygigabitethernet=None, iscsi_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type iscsi_priority: long
    :param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, iscsi_priority=iscsi_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, iscsi_priority=iscsi_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lldp_profile_update(self, fortygigabitethernet=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile: unicode
    :param profile: The LLDP profile on the interface.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, profile=profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_mac_access_group_update(self, fortygigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_mac_access_group_traffic_type_update(self, fortygigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_mac_learning_disable_vlan_update(self, fortygigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_learning_vlan_add: unicode
    :param mac_learning_vlan_add: RANGE;;Range of vlans to add

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type mac_learning_vlan_remove: unicode
    :param mac_learning_vlan_remove: RANGE;;Range of vlans to remove

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_mac_learning_disable_vlan_add_update(self, fortygigabitethernet=None, mac_learning_vlan_add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_learning_vlan_add: unicode
    :param mac_learning_vlan_add: RANGE;;Range of vlans to add

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_mac_learning_disable_vlan_remove_update(self, fortygigabitethernet=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_learning_vlan_remove: unicode
    :param mac_learning_vlan_remove: RANGE;;Range of vlans to remove

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mac_learning_vlan_remove=mac_learning_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_mtu_update(self, fortygigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fortygigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_openflow_update(self, fortygigabitethernet=None, logical_instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type logical_instance_id: long
    :param logical_instance_id: OpenFlow logical instance configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, logical_instance_id=logical_instance_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, logical_instance_id=logical_instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_openflow_enable_update(self, fortygigabitethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: OpenFlow enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_openflow_logical_instance_update(self, fortygigabitethernet=None, logical_instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type logical_instance_id: long
    :param logical_instance_id: OpenFlow logical instance configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, logical_instance_id=logical_instance_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, logical_instance_id=logical_instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_openflow_match_profile_update(self, fortygigabitethernet=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type match_profile: unicode
    :param match_profile: OpenFlow match profile

        * enumeration restriction: ::

            ['Layer3', 'Layer2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, match_profile=match_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_openflow_openflow_enable_update(self, fortygigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: OpenFlow enable

    :type match_profile: unicode
    :param match_profile: OpenFlow match profile

        * enumeration restriction: ::

            ['Layer3', 'Layer2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, match_profile'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, enable=enable, match_profile=match_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, enable=enable, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_port_profile_port_update(self, fortygigabitethernet=None, port_profile_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_profile_port: YANGBool
    :param port_profile_port: Set the interface to AMPP profile mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fortygigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, port_profile_port=port_profile_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, port_profile_port=port_profile_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_port_profile_port_domain_update(self, fortygigabitethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile_domain_name: unicode
    :param profile_domain_name: Port-profile-domain name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, profile_domain_name=profile_domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_port_profile_port_domain_profile_domain_name_update(self, fortygigabitethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile_domain_name: unicode
    :param profile_domain_name: Port-profile-domain name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, profile_domain_name=profile_domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_priority_tag_update(self, fortygigabitethernet=None, priority_tag_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority_tag_enable: YANGBool
    :param priority_tag_enable: Configure 802.1p priority tagging

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fortygigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, priority_tag_enable=priority_tag_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, priority_tag_enable=priority_tag_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_update(self, fortygigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_cos: long
    :param default_cos: Configure default Class of Service (CoS)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_mutation: unicode
    :param dscp_mutation: Configure DSCP-to-DSCP mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Configure DSCP-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_cos: unicode
    :param dscp_cos: Configure DSCP-to-COS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_cos_update(self, fortygigabitethernet=None, default_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_cos: long
    :param default_cos: Configure default Class of Service (CoS)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, default_cos=default_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, default_cos=default_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_cos_mutation_update(self, fortygigabitethernet=None, cos_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, cos_mutation=cos_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, cos_mutation=cos_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_cos_traffic_class_update(self, fortygigabitethernet=None, cos_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, cos_traffic_class=cos_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, cos_traffic_class=cos_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_drop_monitor_update(self, fortygigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type drop_monitor_enable: YANGBool
    :param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, drop_monitor_enable=drop_monitor_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_drop_monitor_enable_update(self, fortygigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type drop_monitor_enable: YANGBool
    :param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, drop_monitor_enable=drop_monitor_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_dscp_cos_update(self, fortygigabitethernet=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_cos: unicode
    :param dscp_cos: Configure DSCP-to-COS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_dscp_mutation_update(self, fortygigabitethernet=None, dscp_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_mutation: unicode
    :param dscp_mutation: Configure DSCP-to-DSCP mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, dscp_mutation=dscp_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, dscp_mutation=dscp_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_dscp_traffic_class_update(self, fortygigabitethernet=None, dscp_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Configure DSCP-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, dscp_traffic_class=dscp_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, dscp_traffic_class=dscp_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_flowcontrol_link_level_flowcontrol_update(self, fortygigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_tx: unicode
    :param flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type flowcontrol_rx: unicode
    :param flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_flowcontrol_pfc_update(self, fortygigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_flowcontrol_pfc_rx_update(self, fortygigabitethernet=None, pfc=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pfc=pfc, pfc_flowcontrol_rx=pfc_flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pfc=pfc, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_flowcontrol_pfc_tx_update(self, fortygigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_flowcontrol_rx_update(self, fortygigabitethernet=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_rx: unicode
    :param flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, flowcontrol_rx=flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_flowcontrol_tx_update(self, fortygigabitethernet=None, flowcontrol_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_tx: unicode
    :param flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, flowcontrol_tx=flowcontrol_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, flowcontrol_tx=flowcontrol_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_random_detect_traffic_class_update(self, fortygigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_random_detect_traffic_class_apply_update(self, fortygigabitethernet=None, traffic_class=None, red_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, traffic_class=traffic_class, red_enable=red_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, traffic_class=traffic_class, red_enable=red_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_random_detect_traffic_class_red_profile_id_update(self, fortygigabitethernet=None, traffic_class=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_trust_update(self, fortygigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type trust_dscp: YANGBool
    :param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_trust_cos_update(self, fortygigabitethernet=None, trust_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, trust_cos=trust_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, trust_cos=trust_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_trust_dscp_update(self, fortygigabitethernet=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_dscp: YANGBool
    :param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, trust_dscp=trust_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_rmon_collection_history_update(self, fortygigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: **history_control_entry** tuple argument:  Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: **history_control_entry** tuple argument:  Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: **history_control_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_rmon_collection_history_buckets_update(self, fortygigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_rmon_collection_history_interval_update(self, fortygigabitethernet=None, history_control_entry=None, history_control_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry, history_control_interval=history_control_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry, history_control_interval=history_control_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_rmon_collection_history_owner_update(self, fortygigabitethernet=None, history_control_entry=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry, history_control_owner=history_control_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_rmon_collection_stats_update(self, fortygigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index, ether_stats_owner
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type ether_stats_owner: unicode
    :param ether_stats_owner: **ether_stats_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_rmon_collection_stats_owner_update(self, fortygigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_service_policy_update(self, fortygigabitethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type in_: unicode
    :param in_: Input Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type out: unicode
    :param out: Output Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, in_=in_, out=out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_service_policy_in_update(self, fortygigabitethernet=None, in_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type in_: unicode
    :param in_: Input Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, in_=in_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, in_=in_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_service_policy_out_update(self, fortygigabitethernet=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type out: unicode
    :param out: Output Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, out=out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_sflow_update(self, fortygigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable port sflow

    :type polling_interval: long
    :param polling_interval: Interface counter polling interval

        * range restriction: ::

            ['0..4294967295']

    :type sample_rate: long
    :param sample_rate: Interface sampling rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_sflow_enable_update(self, fortygigabitethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable port sflow

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_sflow_polling_interval_update(self, fortygigabitethernet=None, polling_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type polling_interval: long
    :param polling_interval: Interface counter polling interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, polling_interval=polling_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, polling_interval=polling_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_sflow_sample_rate_update(self, fortygigabitethernet=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sample_rate: long
    :param sample_rate: Interface sampling rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, sample_rate=sample_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_shutdown_update(self, fortygigabitethernet=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fortygigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_snmp_trap_update(self, fortygigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_snmp_trap_link_status_update(self, fortygigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_update(self, fortygigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type autoedge: YANGBool
    :param autoedge: Autoedge - enable automatic edge detection

    :type cost: long
    :param cost: Change an interface's spanning tree port path cost

        * range restriction: ::

            ['0..4294967295']

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type bpdu_mac: unicode
    :param bpdu_mac: Configure VLAN spanning-tree control MAC

        * enumeration restriction: ::

            ['0100.0ccc.cccd', '0304.0800.0700']

    :type link_type: unicode
    :param link_type: Specify a link type for spanning tree protocol

        * enumeration restriction: ::

            ['shared', 'point-to-point']

    :type priority: long
    :param priority: Change an interface's spanning tree port priority

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology change and received topology change notifications

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_autoedge_update(self, fortygigabitethernet=None, autoedge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type autoedge: YANGBool
    :param autoedge: Autoedge - enable automatic edge detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, autoedge=autoedge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, autoedge=autoedge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_bpdu_mac_update(self, fortygigabitethernet=None, bpdu_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_mac: unicode
    :param bpdu_mac: Configure VLAN spanning-tree control MAC

        * enumeration restriction: ::

            ['0100.0ccc.cccd', '0304.0800.0700']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, bpdu_mac=bpdu_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, bpdu_mac=bpdu_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_cost_update(self, fortygigabitethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Change an interface's spanning tree port path cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_edgeport_update(self, fortygigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type edgeportbasic: YANGBool
    :param edgeportbasic: Edgeport

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_edgeport_bpdu_filter_update(self, fortygigabitethernet=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_edgeport_bpdu_guard_update(self, fortygigabitethernet=None, bpdu_guard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, bpdu_guard=bpdu_guard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, bpdu_guard=bpdu_guard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_edgeport_edgeportbasic_update(self, fortygigabitethernet=None, edgeportbasic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type edgeportbasic: YANGBool
    :param edgeportbasic: Edgeport

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, edgeportbasic=edgeportbasic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, edgeportbasic=edgeportbasic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_guard_update(self, fortygigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_guard_root_update(self, fortygigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_hello_time_update(self, fortygigabitethernet=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_instance_update(self, fortygigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_instance_cost_update(self, fortygigabitethernet=None, instance=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, instance=instance, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, instance=instance, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_instance_priority_update(self, fortygigabitethernet=None, instance=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, instance=instance, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, instance=instance, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_instance_restricted_role_update(self, fortygigabitethernet=None, instance=None, restricted_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, instance=instance, restricted_role=restricted_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, instance=instance, restricted_role=restricted_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_instance_restricted_tcn_update(self, fortygigabitethernet=None, instance=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, instance=instance, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, instance=instance, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_link_type_update(self, fortygigabitethernet=None, link_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_type: unicode
    :param link_type: Specify a link type for spanning tree protocol

        * enumeration restriction: ::

            ['shared', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, link_type=link_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, link_type=link_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_portfast_update(self, fortygigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type portfastbasic: YANGBool
    :param portfastbasic: Enable an interface to move directly to forwarding on link up

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_portfast_bpdu_filter_update(self, fortygigabitethernet=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_portfast_bpdu_guard_update(self, fortygigabitethernet=None, bpdu_guard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, bpdu_guard=bpdu_guard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, bpdu_guard=bpdu_guard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_portfast_portfastbasic_update(self, fortygigabitethernet=None, portfastbasic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type portfastbasic: YANGBool
    :param portfastbasic: Enable an interface to move directly to forwarding on link up

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, portfastbasic=portfastbasic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, portfastbasic=portfastbasic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_priority_update(self, fortygigabitethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Change an interface's spanning tree port priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_restricted_role_update(self, fortygigabitethernet=None, restricted_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, restricted_role=restricted_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, restricted_role=restricted_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_restricted_tcn_update(self, fortygigabitethernet=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology change and received topology change notifications

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_shutdown_update(self, fortygigabitethernet=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_vlan_update(self, fortygigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan, cost=cost, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_vlan_cost_update(self, fortygigabitethernet=None, vlan=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_vlan_guard_update(self, fortygigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_vlan_guard_root_update(self, fortygigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_vlan_priority_update(self, fortygigabitethernet=None, vlan=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_storm_control_ingress_update(self, fortygigabitethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type, rate_format, rate_bps, rate_percent, bum_action
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    :type rate_format: unicode
    :param rate_format: **ingress** tuple argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: **ingress** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: **ingress** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: **ingress** tuple argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_storm_control_ingress_bum_action_update(self, fortygigabitethernet=None, ingress=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ingress=ingress, bum_action=bum_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ingress=ingress, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_storm_control_ingress_rate_bps_update(self, fortygigabitethernet=None, ingress=None, rate_bps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ingress=ingress, rate_bps=rate_bps)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ingress=ingress, rate_bps=rate_bps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_storm_control_ingress_rate_format_update(self, fortygigabitethernet=None, ingress=None, rate_format=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ingress=ingress, rate_format=rate_format)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ingress=ingress, rate_format=rate_format)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_storm_control_ingress_rate_percent_update(self, fortygigabitethernet=None, ingress=None, rate_percent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, ingress=ingress, rate_percent=rate_percent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ingress=ingress, rate_percent=rate_percent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_update(self, fortygigabitethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport_basic', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport_basic', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_access_update(self, fortygigabitethernet=None, accessvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type accessvlan: long
    :param accessvlan: Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.access', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.access', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, accessvlan=accessvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, accessvlan=accessvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_access_rspan_access_update(self, fortygigabitethernet=None, rspan_access_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rspan_access_vlan: long
    :param rspan_access_vlan: Specify rspan-vlan id to set as access vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.access.rspan_access', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, rspan_access_vlan=rspan_access_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, rspan_access_vlan=rspan_access_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_basic_update(self, fortygigabitethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport_basic', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport_basic', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_mode_update(self, fortygigabitethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk-no-default-native', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.mode', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.mode', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_mode_private_vlan_update(self, fortygigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type promiscuous: YANGBool
    :param promiscuous: Set the Layer2 interface as private-vlan promiscuous

    :type host: YANGBool
    :param host: Set the Layer2 interface as private-vlan host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, promiscuous=promiscuous, host=host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_mode_private_vlan_host_update(self, fortygigabitethernet=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host: YANGBool
    :param host: Set the Layer2 interface as private-vlan host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, host=host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_mode_private_vlan_promiscuous_update(self, fortygigabitethernet=None, promiscuous=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type promiscuous: YANGBool
    :param promiscuous: Set the Layer2 interface as private-vlan promiscuous

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, promiscuous=promiscuous)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, promiscuous=promiscuous)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_mode_private_vlan_trunk_update(self, fortygigabitethernet=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_basic: YANGBool
    :param trunk_basic: Keyword argument.

    :type trunk_promiscuous: YANGBool
    :param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous

    :type trunk_host: YANGBool
    :param trunk_host: Set the Layer2 interface as private-vlan trunk host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_mode_private_vlan_trunk_host_update(self, fortygigabitethernet=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_host: YANGBool
    :param trunk_host: Set the Layer2 interface as private-vlan trunk host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, trunk_host=trunk_host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_mode_private_vlan_trunk_promiscuous_update(self, fortygigabitethernet=None, trunk_promiscuous=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_promiscuous: YANGBool
    :param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, trunk_promiscuous=trunk_promiscuous)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, trunk_promiscuous=trunk_promiscuous)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_mode_private_vlan_trunk_trunk_basic_update(self, fortygigabitethernet=None, trunk_basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_basic: YANGBool
    :param trunk_basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, trunk_basic=trunk_basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, trunk_basic=trunk_basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_mode_vlan_mode_update(self, fortygigabitethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk-no-default-native', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.mode', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.mode', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_port_security_max_update(self, fortygigabitethernet=None, port_sec_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_max: long
    :param port_sec_max: Maximum number of allowed MACs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, port_sec_max=port_sec_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, port_sec_max=port_sec_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_port_security_shutdown_time_update(self, fortygigabitethernet=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown_time: long
    :param shutdown_time: Shutdown time for port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, shutdown_time=shutdown_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_port_security_sticky_update(self, fortygigabitethernet=None, sticky_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sticky_flag: YANGBool
    :param sticky_flag: Sticky Flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.port_security.sticky', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, sticky_flag=sticky_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, sticky_flag=sticky_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_port_security_sticky_sticky_flag_update(self, fortygigabitethernet=None, sticky_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sticky_flag: YANGBool
    :param sticky_flag: Sticky Flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.port_security.sticky', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, sticky_flag=sticky_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, sticky_flag=sticky_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_port_security_violation_update(self, fortygigabitethernet=None, port_sec_violation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_violation: unicode
    :param port_sec_violation: Set the action on violation

        * enumeration restriction: ::

            ['restrict', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, port_sec_violation=port_sec_violation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, port_sec_violation=port_sec_violation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_host_association_update(self, fortygigabitethernet=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host_pri_pvlan: long
    :param host_pri_pvlan: Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type host_sec_pvlan: long
    :param host_sec_pvlan: Secondary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'host_pri_pvlan, host_sec_pvlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_host_association_host_pri_pvlan_update(self, fortygigabitethernet=None, host_pri_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host_pri_pvlan: long
    :param host_pri_pvlan: Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, host_pri_pvlan=host_pri_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, host_pri_pvlan=host_pri_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_host_association_host_sec_pvlan_update(self, fortygigabitethernet=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host_sec_pvlan: long
    :param host_sec_pvlan: Secondary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, host_sec_pvlan=host_sec_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_mapping_update(self, fortygigabitethernet=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan, oper, promis_sec_pvlan_range
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type oper: unicode
    :param oper: **mapping** tuple argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: **mapping** tuple argument:  Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_mapping_oper_update(self, fortygigabitethernet=None, mapping=None, oper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mapping=mapping, oper=oper)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mapping=mapping, oper=oper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_mapping_promis_sec_pvlan_range_update(self, fortygigabitethernet=None, mapping=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, mapping=mapping, promis_sec_pvlan_range=promis_sec_pvlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mapping=mapping, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_update(self, fortygigabitethernet=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_all: YANGBool
    :param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface

    :type pvlan_none: YANGBool
    :param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface

    :type pvlan_add: unicode
    :param pvlan_add: Add a VLAN to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type pvlan_except: unicode
    :param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type pvlan_remove: unicode
    :param pvlan_remove: Remove a VLAN that Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_all_update(self, fortygigabitethernet=None, pvlan_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_all: YANGBool
    :param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pvlan_all=pvlan_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pvlan_all=pvlan_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_except_update(self, fortygigabitethernet=None, pvlan_except=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_except: unicode
    :param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pvlan_except=pvlan_except)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pvlan_except=pvlan_except)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_none_update(self, fortygigabitethernet=None, pvlan_none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_none: YANGBool
    :param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pvlan_none=pvlan_none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pvlan_none=pvlan_none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_native_update(self, fortygigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlanNativevlan: long
    :param pvlanNativevlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pvlan_native_vlan_ctag_id: long
    :param pvlan_native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_native_ctag_update(self, fortygigabitethernet=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_native_vlan_ctag_id: long
    :param pvlan_native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_native_vlan_update(self, fortygigabitethernet=None, pvlanNativevlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlanNativevlan: long
    :param pvlanNativevlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pvlanNativevlan=pvlanNativevlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pvlanNativevlan=pvlanNativevlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_tag_update(self, fortygigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_tag_native_vlan: YANGBool
    :param pvlan_tag_native_vlan: Set the Private-Vlan native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_tag_native_vlan_update(self, fortygigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_tag_native_vlan: YANGBool
    :param pvlan_tag_native_vlan: Set the Private-Vlan native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_rspan_vlan_update(self, fortygigabitethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_rspan_trunk_vlan: unicode
    :param add_rspan_trunk_vlan: Specify rspan-vlan id

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_rspan_trunk_vlan: unicode
    :param remove_rspan_trunk_vlan: Specify the rspan vlans to be removed

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_update(self, fortygigabitethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type none: YANGBool
    :param none: Allow no Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type add_: unicode
    :param add_: Allow these VLANs to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..20000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Remove a VLAN range that Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_add_update(self, fortygigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_add_ctag_update(self, fortygigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_all_update(self, fortygigabitethernet=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_except_update(self, fortygigabitethernet=None, except_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, except_=except_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, except_=except_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_none_update(self, fortygigabitethernet=None, none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type none: YANGBool
    :param none: Allow no Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, none=none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, none=none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_remove_update(self, fortygigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_remove_ctag_update(self, fortygigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, fortygigabitethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, add_=add_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, fortygigabitethernet=None, add_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, add_=add_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, add_=add_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlanoper_vlan_remove_update(self, fortygigabitethernet=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_: unicode
    :param remove_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_ctag_update(self, fortygigabitethernet=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_ctag_native_vlan_xtagged_config_update(self, fortygigabitethernet=None, native_vlan_ctag_id_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_ctag_id_xtagged: long
    :param native_vlan_ctag_id_xtagged: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_default_vlan_update(self, fortygigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_transparent_vlan: long
    :param default_transparent_vlan: default transparent vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, default_transparent_vlan=default_transparent_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_default_vlan_config_update(self, fortygigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_transparent_vlan: long
    :param default_transparent_vlan: default transparent vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_transparent_vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, default_transparent_vlan=default_transparent_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_egress_update(self, fortygigabitethernet=None, native_vlan_egress_type_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_egress_type_xtagged: unicode
    :param native_vlan_egress_type_xtagged: Keyword argument.

        * enumeration restriction: ::

            ['untagged', 'tagged', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_native_vlan_update(self, fortygigabitethernet=None, native_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untaggedtraffic

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, native_vlan_id=native_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, native_vlan_id=native_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_native_vlan_classification_update(self, fortygigabitethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untaggedtraffic

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id, native_vlan_ctag_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_native_vlan_untagged_update(self, fortygigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_untagged: long
    :param native_vlan_id_untagged: Set the interface to accept onlyuntagged native-vlan traffic on ingress anduntagged native-vlan traffic on egress.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_native_vlan_untagged_config_update(self, fortygigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_untagged: long
    :param native_vlan_id_untagged: Set the interface to accept onlyuntagged native-vlan traffic on ingress anduntagged native-vlan traffic on egress.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_untagged'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_native_vlan_xtagged_update(self, fortygigabitethernet=None, native_vlan_id_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_xtagged: long
    :param native_vlan_id_xtagged: Set the interface to accepttagged|untagged native-vlan traffic on ingress andegress as specified by the user.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_native_vlan_xtagged_config_update(self, fortygigabitethernet=None, native_vlan_id_xtagged=None, native_vlan_ctag_id_xtagged=None, native_vlan_egress_type_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_xtagged: long
    :param native_vlan_id_xtagged: Set the interface to accepttagged|untagged native-vlan traffic on ingress andegress as specified by the user.

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_ctag_id_xtagged: long
    :param native_vlan_ctag_id_xtagged: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_egress_type_xtagged: unicode
    :param native_vlan_egress_type_xtagged: Keyword argument.

        * enumeration restriction: ::

            ['untagged', 'tagged', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_xtagged, native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_tag_native_vlan_update(self, fortygigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan: YANGBool
    :param native_vlan: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, native_vlan=native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_track_update(self, fortygigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_enable: YANGBool
    :param track_enable: Enable tracking interface

    :type min_link: long
    :param min_link: Min link

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, track_enable=track_enable, min_link=min_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_track_enable_update(self, fortygigabitethernet=None, track_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_enable: YANGBool
    :param track_enable: Enable tracking interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, track_enable=track_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, track_enable=track_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_track_min_link_update(self, fortygigabitethernet=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_link: long
    :param min_link: Min link

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, min_link=min_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_track_remove_update(self, fortygigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_all_track_interfaces: YANGBool
    :param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_track_remove_all_update(self, fortygigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_all_track_interfaces: YANGBool
    :param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_tunable_optics_sfpp_update(self, fortygigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type channel: long
    :param channel: Channel configuration.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, channel=channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_tunable_optics_sfpp_channel_update(self, fortygigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type channel: long
    :param channel: Channel configuration.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, channel=channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_tunnel_update(self, fortygigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type tagged_ieee_bpdu: YANGBool
    :param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCSfabric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.tunnel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.tunnel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_tunnel_tagged_ieee_bpdu_update(self, fortygigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type tagged_ieee_bpdu: YANGBool
    :param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCSfabric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.tunnel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.tunnel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_udld_update(self, fortygigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type udld_enable: YANGBool
    :param udld_enable: Enable UDLD protocol on the Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.udld', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.udld', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, udld_enable=udld_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_udld_enable_update(self, fortygigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type udld_enable: YANGBool
    :param udld_enable: Enable UDLD protocol on the Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.udld', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.udld', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, udld_enable=udld_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vlan_classifier_activate_group_update(self, fortygigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type group: groupid, vlan
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan: long
    :param vlan: **group** tuple argument:  1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, group=group, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vlan_classifier_activate_group_vlan_update(self, fortygigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type group: groupid
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, group=group, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrf_update(self, fortygigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrf_forwarding_update(self, fortygigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_update(self, fortygigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_advertisement_interval_update(self, fortygigabitethernet=None, vrrp=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_arp_unicast_request_update(self, fortygigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_arp_unicast_request_receive_update(self, fortygigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_description_update(self, fortygigabitethernet=None, vrrp=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_enable_update(self, fortygigabitethernet=None, vrrp=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_hold_time_update(self, fortygigabitethernet=None, vrrp=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_preempt_mode_update(self, fortygigabitethernet=None, vrrp=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_priority_update(self, fortygigabitethernet=None, vrrp=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_track_interface_update(self, fortygigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_track_interface_priority_update(self, fortygigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_use_v2_checksum_update(self, fortygigabitethernet=None, vrrp=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_update(self, gigabitethernet=None, ifindex=None, description=None, shutdown=None, mtu=None, port_profile_port=None, priority_tag_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type mtu: long
    :param mtu: Set mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type port_profile_port: YANGBool
    :param port_profile_port: Set the interface to AMPP profile mode

    :type priority_tag_enable: YANGBool
    :param priority_tag_enable: Configure 802.1p priority tagging

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'gigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ifindex=ifindex, description=description, shutdown=shutdown, mtu=mtu, port_profile_port=port_profile_port, priority_tag_enable=priority_tag_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ifindex=ifindex, description=description, shutdown=shutdown, mtu=mtu, port_profile_port=port_profile_port, priority_tag_enable=priority_tag_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bfd_update(self, gigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bfd_interval_update(self, gigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bfd_interval_min_rx_update(self, gigabitethernet=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bfd_interval_min_tx_update(self, gigabitethernet=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bfd_interval_multiplier_update(self, gigabitethernet=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bfd_shutdown_update(self, gigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bpdu_drop_update(self, gigabitethernet=None, enable=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

    :type direction: unicode
    :param direction: Keyword argument.

        * enumeration restriction: ::

            ['all', 'rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, direction'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, enable=enable, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, enable=enable, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bpdu_drop_direction_update(self, gigabitethernet=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type direction: unicode
    :param direction: Keyword argument.

        * enumeration restriction: ::

            ['all', 'rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bpdu_drop_enable_update(self, gigabitethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_channel_group_update(self, gigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_int: long
    :param port_int: Channel group number

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: The mode of the port channel.

        * enumeration restriction: ::

            ['active', 'passive', 'on']

    :type type: unicode
    :param type: The type of the port-channel.

        * enumeration restriction: ::

            ['brocade', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, port_int=port_int, mode=mode, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_channel_group_mode_update(self, gigabitethernet=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: The mode of the port channel.

        * enumeration restriction: ::

            ['active', 'passive', 'on']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_channel_group_port_int_update(self, gigabitethernet=None, port_int=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_int: long
    :param port_int: Channel group number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, port_int=port_int)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, port_int=port_int)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_channel_group_type_update(self, gigabitethernet=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: The type of the port-channel.

        * enumeration restriction: ::

            ['brocade', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_description_update(self, gigabitethernet=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'gigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_deviceconnectivity_update(self, gigabitethernet=None, deviceconnectivity=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type deviceconnectivity: unicode
    :param deviceconnectivity: Device connectivity to IP storage device

        * enumeration restriction: ::

            ['NAS', 'None', 'iSCSI', 'DAS']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.connectivity', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.connectivity', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.connectivity', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, deviceconnectivity=deviceconnectivity)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, deviceconnectivity=deviceconnectivity)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_update(self, gigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type authentication: YANGBool
    :param authentication: Enable dot1x on a port

    :type port_control: unicode
    :param port_control: Port control commands

        * enumeration restriction: ::

            ['auto',
            'force-unauthorized',
            'force-authorized']

    :type protocol_version: long
    :param protocol_version: Set the protocol version

        * range restriction: ::

            ['0..4294967295']

    :type quiet_period: long
    :param quiet_period: Quiet period in the HELD state

        * range restriction: ::

            ['0..4294967295']

    :type reauthMax: long
    :param reauthMax: Number of reauthentication attempts before becomingunauthorized

        * range restriction: ::

            ['0..4294967295']

    :type reauthentication: YANGBool
    :param reauthentication: Enable reauthentication on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.interface.gigabitethernet.dot1x": {}, "pybind.nos.v6_0_2c.interface.gigabitethernet.dot1x": {"reauthMax": "reauthMax", "port_control": "port_control", "quiet_period": "quiet_period", "authentication": "authentication", "reauthentication": "reauthentication", "protocol_version": "protocol_version"}, "pybind.nos.v7_0_1b.interface.gigabitethernet.dot1x": {"reauthMax": "reauthMax", "port_control": "port_control", "quiet_period": "quiet_period", "authentication": "authentication", "reauthentication": "reauthentication", "protocol_version": "protocol_version"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_authentication_update(self, gigabitethernet=None, authentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type authentication: YANGBool
    :param authentication: Enable dot1x on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, authentication=authentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, authentication=authentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_mac_auth_bypass_update(self, gigabitethernet=None, mac_auth_bypass=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_auth_bypass: YANGBool
    :param mac_auth_bypass: Enable MAC Authentication Bypass.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mac_auth_bypass=mac_auth_bypass)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mac_auth_bypass=mac_auth_bypass)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_mac_auth_enable_update(self, gigabitethernet=None, mac_auth_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_auth_enable: YANGBool
    :param mac_auth_enable: Enable MAC based Authentication.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mac_auth_enable=mac_auth_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mac_auth_enable=mac_auth_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_port_control_update(self, gigabitethernet=None, port_control=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_control: unicode
    :param port_control: Port control commands

        * enumeration restriction: ::

            ['auto',
            'force-unauthorized',
            'force-authorized']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, port_control=port_control)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, port_control=port_control)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_protocol_version_update(self, gigabitethernet=None, protocol_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type protocol_version: long
    :param protocol_version: Set the protocol version

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, protocol_version=protocol_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, protocol_version=protocol_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_quiet_period_update(self, gigabitethernet=None, quiet_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type quiet_period: long
    :param quiet_period: Quiet period in the HELD state

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, quiet_period=quiet_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, quiet_period=quiet_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_reauthentication_update(self, gigabitethernet=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reauthentication: YANGBool
    :param reauthentication: Enable reauthentication on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, reauthentication=reauthentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_reauthmax_update(self, gigabitethernet=None, reauthMax=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reauthMax: long
    :param reauthMax: Number of reauthentication attempts before becomingunauthorized

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, reauthMax=reauthMax)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, reauthMax=reauthMax)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_timeout_update(self, gigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type re_authperiod: long
    :param re_authperiod: Reauthentication interval in seconds (default = 3600)

        * range restriction: ::

            ['0..4294967295']

    :type server_timeout: long
    :param server_timeout: Server timeout in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type supp_timeout: long
    :param supp_timeout: Supplicant response timeout (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type tx_period: long
    :param tx_period: Transmission period in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_timeout_re_authperiod_update(self, gigabitethernet=None, re_authperiod=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type re_authperiod: long
    :param re_authperiod: Reauthentication interval in seconds (default = 3600)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, re_authperiod=re_authperiod)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, re_authperiod=re_authperiod)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_timeout_server_timeout_update(self, gigabitethernet=None, server_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type server_timeout: long
    :param server_timeout: Server timeout in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, server_timeout=server_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, server_timeout=server_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_timeout_supp_timeout_update(self, gigabitethernet=None, supp_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type supp_timeout: long
    :param supp_timeout: Supplicant response timeout (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, supp_timeout=supp_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, supp_timeout=supp_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_timeout_tx_period_update(self, gigabitethernet=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type tx_period: long
    :param tx_period: Transmission period in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, tx_period=tx_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_edge_loop_detection_update(self, gigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Set ELD-priority value to interface

        * range restriction: ::

            ['0..4294967295']

    :type eldvlan: unicode
    :param eldvlan: Enable ELD for specific VLAN on selected interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, eldprio=eldprio, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_edge_loop_detection_port_priority_update(self, gigabitethernet=None, eldprio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Set ELD-priority value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, eldprio=eldprio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, eldprio=eldprio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_edge_loop_detection_vlan_update(self, gigabitethernet=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldvlan: unicode
    :param eldvlan: Enable ELD for specific VLAN on selected interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_fabric_neighbor_discovery_update(self, gigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable neighbor discovery at this port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_fabric_neighbor_discovery_disable_update(self, gigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable neighbor discovery at this port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ifindex_update(self, gigabitethernet=None, ifindex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'gigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ifindex=ifindex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ifindex=ifindex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_access_group_update(self, gigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_access_group_traffic_type_update(self, gigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_address_update(self, gigabitethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_address_ospf_ignore_update(self, gigabitethernet=None, address=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, address=address, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, address=address, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_address_ospf_passive_update(self, gigabitethernet=None, address=None, ospf_passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, address=address, ospf_passive=ospf_passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, address=address, ospf_passive=ospf_passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_address_secondary_update(self, gigabitethernet=None, address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, address=address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, address=address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_arp_aging_timeout_update(self, gigabitethernet=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_arp_inspection_update(self, gigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_arp_inspection_trust_update(self, gigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_arp_ip_config_update(self, gigabitethernet=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type learn_any: YANGBool
    :param learn_any: Learn ARP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, learn_any=learn_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_arp_learn_any_update(self, gigabitethernet=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type learn_any: YANGBool
    :param learn_any: Learn ARP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, learn_any=learn_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_dhcp_relay_update(self, gigabitethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_dhcp_relay_gateway_update(self, gigabitethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_directed_broadcast_update(self, gigabitethernet=None, directed_broadcast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, directed_broadcast=directed_broadcast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, directed_broadcast=directed_broadcast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_icmp_update(self, gigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_icmp_address_mask_update(self, gigabitethernet=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_icmp_echo_reply_update(self, gigabitethernet=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_icmp_rate_limiting_update(self, gigabitethernet=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_icmp_redirect_update(self, gigabitethernet=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_icmp_unreachable_update(self, gigabitethernet=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_igmp_update(self, gigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type immediate_leave: YANGBool
    :param immediate_leave: Immediate Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp": {"immediate_leave": "immediate_leave", "last_member_query_interval": "last_member_query_interval", "query_interval": "query_interval", "query_max_response_time": "query_max_response_time"}, "pybind.nos.v7_0_1b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp": {}, "pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_igmp_immediate_leave_update(self, gigabitethernet=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type immediate_leave: YANGBool
    :param immediate_leave: Immediate Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, immediate_leave=immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_igmp_last_member_query_count_update(self, gigabitethernet=None, last_member_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type last_member_query_count: long
    :param last_member_query_count: IGMP Last Member Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, last_member_query_count=last_member_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, last_member_query_count=last_member_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_igmp_last_member_query_interval_update(self, gigabitethernet=None, last_member_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, last_member_query_interval=last_member_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, last_member_query_interval=last_member_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_igmp_query_interval_update(self, gigabitethernet=None, query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, query_interval=query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, query_interval=query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_igmp_query_max_response_time_update(self, gigabitethernet=None, query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, query_max_response_time=query_max_response_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, query_max_response_time=query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_igmp_robustness_variable_update(self, gigabitethernet=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type robustness_variable: long
    :param robustness_variable: Robustness Variable

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, robustness_variable=robustness_variable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_igmp_startup_query_count_update(self, gigabitethernet=None, startup_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type startup_query_count: long
    :param startup_query_count: IGMP Startup Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, startup_query_count=startup_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, startup_query_count=startup_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_igmp_startup_query_interval_update(self, gigabitethernet=None, startup_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type startup_query_interval: long
    :param startup_query_interval: Startup Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, startup_query_interval=startup_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, startup_query_interval=startup_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ip_config_update(self, gigabitethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_mtu_update(self, gigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_multicast_boundary_update(self, gigabitethernet=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_update(self, gigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_active_update(self, gigabitethernet=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_area_update(self, gigabitethernet=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, area=area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_auth_change_wait_time_update(self, gigabitethernet=None, auth_change_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, auth_change_wait_time=auth_change_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, auth_change_wait_time=auth_change_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_authentication_key_auth_key_update(self, gigabitethernet=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_authentication_key_auth_key_table_update(self, gigabitethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'encrypttype, auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, encrypttype=encrypttype, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_authentication_key_encrypttype_update(self, gigabitethernet=None, encrypttype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, encrypttype=encrypttype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, encrypttype=encrypttype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_authentication_key_no_encrypt_auth_key_update(self, gigabitethernet=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_authentication_key_no_encrypt_auth_key_table_update(self, gigabitethernet=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_bfd_update(self, gigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_bfd_intf_bfd_enable_update(self, gigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_cost_update(self, gigabitethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_database_filter_update(self, gigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_database_filter_all_external_update(self, gigabitethernet=None, all_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, all_external=all_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, all_external=all_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_database_filter_all_out_update(self, gigabitethernet=None, all_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, all_out=all_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, all_out=all_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_database_filter_all_summary_external_update(self, gigabitethernet=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_dead_interval_update(self, gigabitethernet=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_hello_interval_update(self, gigabitethernet=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_md5_authentication_update(self, gigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_md5_authentication_key_update(self, gigabitethernet=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, gigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_md5_authentication_key_id_update(self, gigabitethernet=None, no_encrypt_key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, no_encrypt_key_id=no_encrypt_key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, no_encrypt_key_id=no_encrypt_key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_md5_authentication_key_id_key_update(self, gigabitethernet=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_md5_authentication_key_id_key_id_update(self, gigabitethernet=None, key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, key_id=key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, key_id=key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_md5_authentication_key_id_md5_authentication_key_update(self, gigabitethernet=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type md5_authentication_key: unicode
    :param md5_authentication_key: MD5 authentication ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, md5_authentication_key=md5_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_md5_authentication_no_encrypt_key_table_update(self, gigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_mtu_ignore_update(self, gigabitethernet=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_network_update(self, gigabitethernet=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_passive_update(self, gigabitethernet=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_priority_update(self, gigabitethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_retransmit_interval_update(self, gigabitethernet=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_transmit_delay_update(self, gigabitethernet=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_pim_update(self, gigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_pim_dr_priority_update(self, gigabitethernet=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_pim_int_cmd_update(self, gigabitethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_pim_multinet_update(self, gigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_pim_multinet_enable_update(self, gigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_pim_neighbor_filter_update(self, gigabitethernet=None, neighbor_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, neighbor_filter=neighbor_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, neighbor_filter=neighbor_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_pim_sparse_update(self, gigabitethernet=None, pim_sparse=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, pim_sparse=pim_sparse)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, pim_sparse=pim_sparse)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_policy_route_map_update(self, gigabitethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_policy_route_map_route_map_name_update(self, gigabitethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_proxy_arp_update(self, gigabitethernet=None, proxy_arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, proxy_arp=proxy_arp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, proxy_arp=proxy_arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_unnumbered_update(self, gigabitethernet=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ip_donor_interface_type: unicode
    :param ip_donor_interface_type: The type of donor interface.

        * enumeration restriction: ::

            ['ve',
            'loopback',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type ip_donor_interface_name: unicode
    :param ip_donor_interface_name: The name of donor interface.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ip_donor_interface_type, ip_donor_interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_unnumbered_ip_donor_interface_name_update(self, gigabitethernet=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ip_donor_interface_name: unicode
    :param ip_donor_interface_name: The name of donor interface.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ip_donor_interface_name=ip_donor_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_unnumbered_ip_donor_interface_type_update(self, gigabitethernet=None, ip_donor_interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ip_donor_interface_type: unicode
    :param ip_donor_interface_type: The type of donor interface.

        * enumeration restriction: ::

            ['ve',
            'loopback',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ip_donor_interface_type=ip_donor_interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ip_donor_interface_type=ip_donor_interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_update(self, gigabitethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type raguard: YANGBool
    :param raguard: IPv6 Router advertisement guard configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, raguard=raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_access_group_update(self, gigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_access_group_traffic_type_update(self, gigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_update(self, gigabitethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_ipv6_address_update(self, gigabitethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_ipv6_address_anycast_update(self, gigabitethernet=None, ipv6_address=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_ipv6_address_eui_64_update(self, gigabitethernet=None, ipv6_address=None, eui64=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, eui64=eui64)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, eui64=eui64)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_ipv6_address_secondary_update(self, gigabitethernet=None, ipv6_address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_ipv6_address_secondary_eui_config_update(self, gigabitethernet=None, ipv6_address=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui_secondary: YANGBool
    :param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, eui_secondary=eui_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_link_local_update(self, gigabitethernet=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_link_local_address_update(self, gigabitethernet=None, link_local_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, link_local_address=link_local_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, link_local_address=link_local_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_link_local_config_update(self, gigabitethernet=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'link_local_address, link_local'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, link_local_address=link_local_address, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_use_link_local_only_update(self, gigabitethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_dhcp_relay_servers_update(self, gigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_dhcp_relay_servers_interface_update(self, gigabitethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'Ve']

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_dhcp_relay_servers_interface_interface_update(self, gigabitethernet=None, servers=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'Ve']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, servers=servers, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, servers=servers, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_dhcp_relay_servers_interface_interface_name_update(self, gigabitethernet=None, servers=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, servers=servers, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, servers=servers, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_dhcp_relay_servers_use_vrf_update(self, gigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_hop_by_hop_trap_update(self, gigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_icmpv6_update(self, gigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_icmpv6_echo_reply_update(self, gigabitethernet=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_icmpv6_rate_limiting_update(self, gigabitethernet=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_icmpv6_redirect_update(self, gigabitethernet=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_icmpv6_unreachable_update(self, gigabitethernet=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ipv6_config_update(self, gigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ipv6_intf_cmds_update(self, gigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ipv6_phy_intf_cmds_update(self, gigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_mtu_update(self, gigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_update(self, gigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type hoplimit: long
    :param hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {"managed_config_flag": "managed_config_flag", "broadcast_mac_trap": "broadcast_mac_trap", "ra_lifetime": "ra_lifetime", "hoplimit": "hoplimit", "mtu": "mtu", "retrans_timer": "retrans_timer", "other_config_flag": "other_config_flag", "ns_interval": "ns_interval", "reachable_time": "reachable_time", "proxy": "proxy"}, "pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {}, "pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {"managed_config_flag": "managed_config_flag", "broadcast_mac_trap": "broadcast_mac_trap", "ra_lifetime": "ra_lifetime", "hoplimit": "hoplimit", "mtu": "mtu", "retrans_timer": "retrans_timer", "other_config_flag": "other_config_flag", "ns_interval": "ns_interval", "reachable_time": "reachable_time", "proxy": "proxy"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_broadcast_mac_trap_update(self, gigabitethernet=None, broadcast_mac_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, broadcast_mac_trap=broadcast_mac_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, broadcast_mac_trap=broadcast_mac_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_cache_update(self, gigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_cache_expire_update(self, gigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_dad_update(self, gigabitethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, attempts=attempts, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_dad_attempts_update(self, gigabitethernet=None, attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, attempts=attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, attempts=attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_dad_time_update(self, gigabitethernet=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_hoplimit_update(self, gigabitethernet=None, hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hoplimit: long
    :param hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, hoplimit=hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, hoplimit=hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_managed_config_flag_update(self, gigabitethernet=None, managed_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, managed_config_flag=managed_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, managed_config_flag=managed_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_mtu_update(self, gigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_ns_interval_update(self, gigabitethernet=None, ns_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ns_interval=ns_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ns_interval=ns_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_nud_retry_update(self, gigabitethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'base, interval, max_attempts'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, base=base, interval=interval, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_nud_retry_base_update(self, gigabitethernet=None, base=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, base=base)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, base=base)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_nud_retry_interval_update(self, gigabitethernet=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_nud_retry_max_attempts_update(self, gigabitethernet=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_other_config_flag_update(self, gigabitethernet=None, other_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, other_config_flag=other_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, other_config_flag=other_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_infinite_update(self, gigabitethernet=None, prefix=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_infinite: YANGBool
    :param valid_infinite: Infinite valid lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, prefix=prefix, valid_infinite=valid_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, prefix=prefix, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_infinite_preferred_update(self, gigabitethernet=None, prefix=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, prefix=prefix, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, prefix=prefix, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_no_advertise_update(self, gigabitethernet=None, prefix=None, no_advertise=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_advertise: YANGBool
    :param no_advertise: Do not advertise prefix

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, prefix=prefix, no_advertise=no_advertise)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, prefix=prefix, no_advertise=no_advertise)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_no_autoconfig_update(self, gigabitethernet=None, prefix=None, no_autoconfig=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_no_onlink_update(self, gigabitethernet=None, prefix=None, no_onlink=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, prefix=prefix, no_onlink=no_onlink)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, prefix=prefix, no_onlink=no_onlink)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_off_link_update(self, gigabitethernet=None, prefix=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, prefix=prefix, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, prefix=prefix, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_preferred_update(self, gigabitethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'preferred_lifetime, preferred_infinite'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime'], 'pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime'], 'pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_preferred_lifetime_update(self, gigabitethernet=None, prefix=None, preferred_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_prefix_flags_update(self, gigabitethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_autoconfig, no_onlink, off_link'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_valid_lifetime_update(self, gigabitethernet=None, prefix=None, valid_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_lifetime: long
    :param valid_lifetime: Configures valid lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, prefix=prefix, valid_lifetime=valid_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, prefix=prefix, valid_lifetime=valid_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_proxy_update(self, gigabitethernet=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_ra_interval_update(self, gigabitethernet=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_interval, min_'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, max_interval=max_interval, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_ra_interval_max_interval_update(self, gigabitethernet=None, max_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, max_interval=max_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, max_interval=max_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_ra_interval_min_update(self, gigabitethernet=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_ra_lifetime_update(self, gigabitethernet=None, ra_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ra_lifetime=ra_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ra_lifetime=ra_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_reachable_time_update(self, gigabitethernet=None, reachable_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, reachable_time=reachable_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, reachable_time=reachable_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_retrans_timer_update(self, gigabitethernet=None, retrans_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, retrans_timer=retrans_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, retrans_timer=retrans_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_set_cache_expire_time_update(self, gigabitethernet=None, set_cache_expire_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type set_cache_expire_time: long
    :param set_cache_expire_time: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, set_cache_expire_time=set_cache_expire_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, set_cache_expire_time=set_cache_expire_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_set_hoplimit_update(self, gigabitethernet=None, set_hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type set_hoplimit: long
    :param set_hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, set_hoplimit=set_hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, set_hoplimit=set_hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_suppress_ra_update(self, gigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_suppress_ra_all_update(self, gigabitethernet=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_suppress_ra_mtu_update(self, gigabitethernet=None, suppress_ra_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, suppress_ra_mtu=suppress_ra_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, suppress_ra_mtu=suppress_ra_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_suppress_ra_suppress_ra_flag_update(self, gigabitethernet=None, suppress_ra_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, suppress_ra_flag=suppress_ra_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, suppress_ra_flag=suppress_ra_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_neighbor_update(self, gigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_neighbor_hardware_address_update(self, gigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_update(self, gigabitethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_active_update(self, gigabitethernet=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_area_update(self, gigabitethernet=None, interface_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, interface_area=interface_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, interface_area=interface_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_ah_update(self, gigabitethernet=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_esp_update(self, gigabitethernet=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_esp_auth_update(self, gigabitethernet=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_esp_key_update(self, gigabitethernet=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_esp_no_encrypt_update(self, gigabitethernet=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_ipsec_update(self, gigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_ipsec_auth_key_config_update(self, gigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_ipsec_disable_update(self, gigabitethernet=None, ipsec_authentication_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, gigabitethernet=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_key_update(self, gigabitethernet=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_no_encrypt_update(self, gigabitethernet=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_spi_update(self, gigabitethernet=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_bfd_update(self, gigabitethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_bfd_bfd_enable_update(self, gigabitethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_cost_update(self, gigabitethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_dead_interval_update(self, gigabitethernet=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_hello_interval_update(self, gigabitethernet=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_hello_jitter_update(self, gigabitethernet=None, hello_jitter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, hello_jitter=hello_jitter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, hello_jitter=hello_jitter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_instance_update(self, gigabitethernet=None, instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, instance=instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, instance=instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_link_interval_properties_update(self, gigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_mtu_ignore_update(self, gigabitethernet=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_network_update(self, gigabitethernet=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_passive_update(self, gigabitethernet=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_priority_update(self, gigabitethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_retransmit_interval_update(self, gigabitethernet=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_suppress_linklsa_update(self, gigabitethernet=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_transmit_delay_update(self, gigabitethernet=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_policy_route_map_update(self, gigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_policy_route_map_ipv6_route_map_name_update(self, gigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_raguard_update(self, gigabitethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type raguard: YANGBool
    :param raguard: IPv6 Router advertisement guard configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, raguard=raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_update(self, gigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_advertise_backup_update(self, gigabitethernet=None, vrrpv3e_group=None, advertise_backup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, advertise_backup=advertise_backup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, advertise_backup=advertise_backup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_advertisement_interval_update(self, gigabitethernet=None, vrrpv3e_group=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_advertisement_interval_scale_update(self, gigabitethernet=None, vrrpv3e_group=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, advertisement_interval_scale=advertisement_interval_scale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_backup_advertisement_interval_update(self, gigabitethernet=None, vrrpv3e_group=None, backup_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, backup_advertisement_interval=backup_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, backup_advertisement_interval=backup_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_description_update(self, gigabitethernet=None, vrrpv3e_group=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_enable_update(self, gigabitethernet=None, vrrpv3e_group=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_hold_time_update(self, gigabitethernet=None, vrrpv3e_group=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_nd_advertisement_timer_update(self, gigabitethernet=None, vrrpv3e_group=None, nd_advertisement_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, nd_advertisement_timer=nd_advertisement_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, nd_advertisement_timer=nd_advertisement_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_preempt_mode_update(self, gigabitethernet=None, vrrpv3e_group=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_priority_update(self, gigabitethernet=None, vrrpv3e_group=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, gigabitethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_basic_update(self, gigabitethernet=None, vrrpv3e_group=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_revert_priority_update(self, gigabitethernet=None, vrrpv3e_group=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_track_interface_update(self, gigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_track_interface_priority_update(self, gigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_update(self, gigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_advertisement_interval_update(self, gigabitethernet=None, vrrpv3_group=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_description_update(self, gigabitethernet=None, vrrpv3_group=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_enable_update(self, gigabitethernet=None, vrrpv3_group=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_hold_time_update(self, gigabitethernet=None, vrrpv3_group=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_preempt_mode_update(self, gigabitethernet=None, vrrpv3_group=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_priority_update(self, gigabitethernet=None, vrrpv3_group=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_track_interface_update(self, gigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_track_interface_priority_update(self, gigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_use_v2_checksum_update(self, gigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_suppress_interface_ra_update(self, gigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lacp_update(self, gigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type timeout: unicode
    :param timeout: Timeout commands

        * enumeration restriction: ::

            ['short', 'long']

    :type std_port_priority: long
    :param std_port_priority: Port priority commands

        * range restriction: ::

            ['0..4294967295']

    :type default_up: YANGBool
    :param default_up: To bring up the interface in LACP default state 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lacp_default_up_update(self, gigabitethernet=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_up: YANGBool
    :param default_up: To bring up the interface in LACP default state 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, default_up=default_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lacp_port_priority_update(self, gigabitethernet=None, std_port_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type std_port_priority: long
    :param std_port_priority: Port priority commands

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, std_port_priority=std_port_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, std_port_priority=std_port_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lacp_timeout_update(self, gigabitethernet=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type timeout: unicode
    :param timeout: Timeout commands

        * enumeration restriction: ::

            ['short', 'long']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lldp_update(self, gigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dcbx_version: unicode
    :param dcbx_version: Set up DCBX Version

        * enumeration restriction: ::

            ['auto', 'cee']

    :type disable: YANGBool
    :param disable: Disable LLDP on the Interface.

    :type iscsi_priority: long
    :param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface

        * range restriction: ::

            ['0..4294967295']

    :type profile: unicode
    :param profile: The LLDP profile on the interface.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lldp_cee_update(self, gigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type lldp_cee_on_off: unicode
    :param lldp_cee_on_off: Keyword argument.

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.lldp.cee', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.lldp.cee', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, lldp_cee_on_off=lldp_cee_on_off)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lldp_cee_lldp_cee_on_off_update(self, gigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type lldp_cee_on_off: unicode
    :param lldp_cee_on_off: Keyword argument.

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.lldp.cee', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.lldp.cee', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, lldp_cee_on_off=lldp_cee_on_off)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lldp_dcbx_version_update(self, gigabitethernet=None, dcbx_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dcbx_version: unicode
    :param dcbx_version: Set up DCBX Version

        * enumeration restriction: ::

            ['auto', 'cee']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, dcbx_version=dcbx_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, dcbx_version=dcbx_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lldp_disable_update(self, gigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable LLDP on the Interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lldp_iscsi_priority_update(self, gigabitethernet=None, iscsi_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type iscsi_priority: long
    :param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, iscsi_priority=iscsi_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, iscsi_priority=iscsi_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lldp_profile_update(self, gigabitethernet=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile: unicode
    :param profile: The LLDP profile on the interface.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, profile=profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_mac_access_group_update(self, gigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_mac_access_group_traffic_type_update(self, gigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_mac_learning_disable_vlan_update(self, gigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_learning_vlan_add: unicode
    :param mac_learning_vlan_add: RANGE;;Range of vlans to add

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type mac_learning_vlan_remove: unicode
    :param mac_learning_vlan_remove: RANGE;;Range of vlans to remove

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_mac_learning_disable_vlan_add_update(self, gigabitethernet=None, mac_learning_vlan_add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_learning_vlan_add: unicode
    :param mac_learning_vlan_add: RANGE;;Range of vlans to add

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_mac_learning_disable_vlan_remove_update(self, gigabitethernet=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_learning_vlan_remove: unicode
    :param mac_learning_vlan_remove: RANGE;;Range of vlans to remove

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mac_learning_vlan_remove=mac_learning_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_mtu_update(self, gigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'gigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_openflow_update(self, gigabitethernet=None, logical_instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type logical_instance_id: long
    :param logical_instance_id: OpenFlow logical instance configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, logical_instance_id=logical_instance_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, logical_instance_id=logical_instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_openflow_enable_update(self, gigabitethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: OpenFlow enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_openflow_logical_instance_update(self, gigabitethernet=None, logical_instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type logical_instance_id: long
    :param logical_instance_id: OpenFlow logical instance configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, logical_instance_id=logical_instance_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, logical_instance_id=logical_instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_openflow_match_profile_update(self, gigabitethernet=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type match_profile: unicode
    :param match_profile: OpenFlow match profile

        * enumeration restriction: ::

            ['Layer3', 'Layer2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, match_profile=match_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_openflow_openflow_enable_update(self, gigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: OpenFlow enable

    :type match_profile: unicode
    :param match_profile: OpenFlow match profile

        * enumeration restriction: ::

            ['Layer3', 'Layer2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, match_profile'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, enable=enable, match_profile=match_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, enable=enable, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_port_profile_port_update(self, gigabitethernet=None, port_profile_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_profile_port: YANGBool
    :param port_profile_port: Set the interface to AMPP profile mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'gigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, port_profile_port=port_profile_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, port_profile_port=port_profile_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_port_profile_port_domain_update(self, gigabitethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile_domain_name: unicode
    :param profile_domain_name: Port-profile-domain name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, profile_domain_name=profile_domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_port_profile_port_domain_profile_domain_name_update(self, gigabitethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile_domain_name: unicode
    :param profile_domain_name: Port-profile-domain name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, profile_domain_name=profile_domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_priority_tag_update(self, gigabitethernet=None, priority_tag_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority_tag_enable: YANGBool
    :param priority_tag_enable: Configure 802.1p priority tagging

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'gigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, priority_tag_enable=priority_tag_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, priority_tag_enable=priority_tag_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_update(self, gigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_cos: long
    :param default_cos: Configure default Class of Service (CoS)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_mutation: unicode
    :param dscp_mutation: Configure DSCP-to-DSCP mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Configure DSCP-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_cos: unicode
    :param dscp_cos: Configure DSCP-to-COS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_cos_update(self, gigabitethernet=None, default_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_cos: long
    :param default_cos: Configure default Class of Service (CoS)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, default_cos=default_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, default_cos=default_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_cos_mutation_update(self, gigabitethernet=None, cos_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cos_mutation=cos_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cos_mutation=cos_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_cos_traffic_class_update(self, gigabitethernet=None, cos_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cos_traffic_class=cos_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cos_traffic_class=cos_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_drop_monitor_update(self, gigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type drop_monitor_enable: YANGBool
    :param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, drop_monitor_enable=drop_monitor_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_drop_monitor_enable_update(self, gigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type drop_monitor_enable: YANGBool
    :param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, drop_monitor_enable=drop_monitor_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_dscp_cos_update(self, gigabitethernet=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_cos: unicode
    :param dscp_cos: Configure DSCP-to-COS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_dscp_mutation_update(self, gigabitethernet=None, dscp_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_mutation: unicode
    :param dscp_mutation: Configure DSCP-to-DSCP mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, dscp_mutation=dscp_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, dscp_mutation=dscp_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_dscp_traffic_class_update(self, gigabitethernet=None, dscp_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Configure DSCP-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, dscp_traffic_class=dscp_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, dscp_traffic_class=dscp_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_flowcontrol_link_level_flowcontrol_update(self, gigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_tx: unicode
    :param flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type flowcontrol_rx: unicode
    :param flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_flowcontrol_rx_update(self, gigabitethernet=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_rx: unicode
    :param flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, flowcontrol_rx=flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_flowcontrol_tx_update(self, gigabitethernet=None, flowcontrol_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_tx: unicode
    :param flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, flowcontrol_tx=flowcontrol_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, flowcontrol_tx=flowcontrol_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_random_detect_traffic_class_update(self, gigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_random_detect_traffic_class_apply_update(self, gigabitethernet=None, traffic_class=None, red_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, traffic_class=traffic_class, red_enable=red_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, traffic_class=traffic_class, red_enable=red_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_random_detect_traffic_class_red_profile_id_update(self, gigabitethernet=None, traffic_class=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_rcv_queue_cos_threshold_update(self, gigabitethernet=None, cos0_threshold=None, cos1_threshold=None, cos2_threshold=None, cos3_threshold=None, cos4_threshold=None, cos5_threshold=None, cos6_threshold=None, cos7_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos0_threshold: long
    :param cos0_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos1_threshold: long
    :param cos1_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos2_threshold: long
    :param cos2_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos3_threshold: long
    :param cos3_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos4_threshold: long
    :param cos4_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos5_threshold: long
    :param cos5_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos6_threshold: long
    :param cos6_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos7_threshold: long
    :param cos7_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cos0_threshold=cos0_threshold, cos1_threshold=cos1_threshold, cos2_threshold=cos2_threshold, cos3_threshold=cos3_threshold, cos4_threshold=cos4_threshold, cos5_threshold=cos5_threshold, cos6_threshold=cos6_threshold, cos7_threshold=cos7_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cos0_threshold=cos0_threshold, cos1_threshold=cos1_threshold, cos2_threshold=cos2_threshold, cos3_threshold=cos3_threshold, cos4_threshold=cos4_threshold, cos5_threshold=cos5_threshold, cos6_threshold=cos6_threshold, cos7_threshold=cos7_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_rcv_queue_cos_threshold_cos0_threshold_update(self, gigabitethernet=None, cos0_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos0_threshold: long
    :param cos0_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cos0_threshold=cos0_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cos0_threshold=cos0_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_rcv_queue_cos_threshold_cos1_threshold_update(self, gigabitethernet=None, cos1_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos1_threshold: long
    :param cos1_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cos1_threshold=cos1_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cos1_threshold=cos1_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_rcv_queue_cos_threshold_cos2_threshold_update(self, gigabitethernet=None, cos2_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos2_threshold: long
    :param cos2_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cos2_threshold=cos2_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cos2_threshold=cos2_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_rcv_queue_cos_threshold_cos3_threshold_update(self, gigabitethernet=None, cos3_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos3_threshold: long
    :param cos3_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cos3_threshold=cos3_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cos3_threshold=cos3_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_rcv_queue_cos_threshold_cos4_threshold_update(self, gigabitethernet=None, cos4_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos4_threshold: long
    :param cos4_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cos4_threshold=cos4_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cos4_threshold=cos4_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_rcv_queue_cos_threshold_cos5_threshold_update(self, gigabitethernet=None, cos5_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos5_threshold: long
    :param cos5_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cos5_threshold=cos5_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cos5_threshold=cos5_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_rcv_queue_cos_threshold_cos6_threshold_update(self, gigabitethernet=None, cos6_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos6_threshold: long
    :param cos6_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cos6_threshold=cos6_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cos6_threshold=cos6_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_rcv_queue_cos_threshold_cos7_threshold_update(self, gigabitethernet=None, cos7_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos7_threshold: long
    :param cos7_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cos7_threshold=cos7_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cos7_threshold=cos7_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_trust_update(self, gigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type trust_dscp: YANGBool
    :param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_trust_cos_update(self, gigabitethernet=None, trust_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, trust_cos=trust_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, trust_cos=trust_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_trust_dscp_update(self, gigabitethernet=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_dscp: YANGBool
    :param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, trust_dscp=trust_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_rmon_collection_history_update(self, gigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: **history_control_entry** tuple argument:  Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: **history_control_entry** tuple argument:  Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: **history_control_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_rmon_collection_history_buckets_update(self, gigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_rmon_collection_history_interval_update(self, gigabitethernet=None, history_control_entry=None, history_control_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry, history_control_interval=history_control_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry, history_control_interval=history_control_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_rmon_collection_history_owner_update(self, gigabitethernet=None, history_control_entry=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry, history_control_owner=history_control_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_rmon_collection_stats_update(self, gigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index, ether_stats_owner
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type ether_stats_owner: unicode
    :param ether_stats_owner: **ether_stats_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_rmon_collection_stats_owner_update(self, gigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_service_policy_update(self, gigabitethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type in_: unicode
    :param in_: Input Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type out: unicode
    :param out: Output Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, in_=in_, out=out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_service_policy_in_update(self, gigabitethernet=None, in_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type in_: unicode
    :param in_: Input Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, in_=in_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, in_=in_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_service_policy_out_update(self, gigabitethernet=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type out: unicode
    :param out: Output Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, out=out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_sflow_update(self, gigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable port sflow

    :type polling_interval: long
    :param polling_interval: Interface counter polling interval

        * range restriction: ::

            ['0..4294967295']

    :type sample_rate: long
    :param sample_rate: Interface sampling rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_sflow_enable_update(self, gigabitethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable port sflow

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_sflow_polling_interval_update(self, gigabitethernet=None, polling_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type polling_interval: long
    :param polling_interval: Interface counter polling interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, polling_interval=polling_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, polling_interval=polling_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_sflow_sample_rate_update(self, gigabitethernet=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sample_rate: long
    :param sample_rate: Interface sampling rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, sample_rate=sample_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_shutdown_update(self, gigabitethernet=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'gigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_snmp_trap_update(self, gigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.snmp.trap', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.snmp.trap', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_snmp_trap_link_status_update(self, gigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.snmp.trap', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.snmp.trap', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_update(self, gigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type autoedge: YANGBool
    :param autoedge: Autoedge - enable automatic edge detection

    :type cost: long
    :param cost: Change an interface's spanning tree port path cost

        * range restriction: ::

            ['0..4294967295']

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type bpdu_mac: unicode
    :param bpdu_mac: Configure VLAN spanning-tree control MAC

        * enumeration restriction: ::

            ['0100.0ccc.cccd', '0304.0800.0700']

    :type link_type: unicode
    :param link_type: Specify a link type for spanning tree protocol

        * enumeration restriction: ::

            ['shared', 'point-to-point']

    :type priority: long
    :param priority: Change an interface's spanning tree port priority

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology change and received topology change notifications

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_autoedge_update(self, gigabitethernet=None, autoedge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type autoedge: YANGBool
    :param autoedge: Autoedge - enable automatic edge detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, autoedge=autoedge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, autoedge=autoedge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_bpdu_mac_update(self, gigabitethernet=None, bpdu_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_mac: unicode
    :param bpdu_mac: Configure VLAN spanning-tree control MAC

        * enumeration restriction: ::

            ['0100.0ccc.cccd', '0304.0800.0700']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, bpdu_mac=bpdu_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, bpdu_mac=bpdu_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_cost_update(self, gigabitethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Change an interface's spanning tree port path cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_edgeport_update(self, gigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type edgeportbasic: YANGBool
    :param edgeportbasic: Edgeport

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_edgeport_bpdu_filter_update(self, gigabitethernet=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_edgeport_bpdu_guard_update(self, gigabitethernet=None, bpdu_guard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, bpdu_guard=bpdu_guard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, bpdu_guard=bpdu_guard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_edgeport_edgeportbasic_update(self, gigabitethernet=None, edgeportbasic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type edgeportbasic: YANGBool
    :param edgeportbasic: Edgeport

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, edgeportbasic=edgeportbasic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, edgeportbasic=edgeportbasic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_guard_update(self, gigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_guard_root_update(self, gigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_hello_time_update(self, gigabitethernet=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_instance_update(self, gigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_instance_cost_update(self, gigabitethernet=None, instance=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, instance=instance, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, instance=instance, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_instance_priority_update(self, gigabitethernet=None, instance=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, instance=instance, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, instance=instance, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_instance_restricted_role_update(self, gigabitethernet=None, instance=None, restricted_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, instance=instance, restricted_role=restricted_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, instance=instance, restricted_role=restricted_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_instance_restricted_tcn_update(self, gigabitethernet=None, instance=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, instance=instance, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, instance=instance, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_link_type_update(self, gigabitethernet=None, link_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_type: unicode
    :param link_type: Specify a link type for spanning tree protocol

        * enumeration restriction: ::

            ['shared', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, link_type=link_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, link_type=link_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_portfast_update(self, gigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type portfastbasic: YANGBool
    :param portfastbasic: Enable an interface to move directly to forwarding on link up

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_portfast_bpdu_filter_update(self, gigabitethernet=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_portfast_bpdu_guard_update(self, gigabitethernet=None, bpdu_guard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, bpdu_guard=bpdu_guard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, bpdu_guard=bpdu_guard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_portfast_portfastbasic_update(self, gigabitethernet=None, portfastbasic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type portfastbasic: YANGBool
    :param portfastbasic: Enable an interface to move directly to forwarding on link up

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, portfastbasic=portfastbasic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, portfastbasic=portfastbasic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_priority_update(self, gigabitethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Change an interface's spanning tree port priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_restricted_role_update(self, gigabitethernet=None, restricted_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, restricted_role=restricted_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, restricted_role=restricted_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_restricted_tcn_update(self, gigabitethernet=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology change and received topology change notifications

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_shutdown_update(self, gigabitethernet=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_vlan_update(self, gigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vlan=vlan, cost=cost, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_vlan_cost_update(self, gigabitethernet=None, vlan=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vlan=vlan, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vlan=vlan, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_vlan_guard_update(self, gigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vlan=vlan, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_vlan_guard_root_update(self, gigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vlan=vlan, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_vlan_priority_update(self, gigabitethernet=None, vlan=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vlan=vlan, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vlan=vlan, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_storm_control_ingress_update(self, gigabitethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type, rate_format, rate_bps, rate_percent, bum_action
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    :type rate_format: unicode
    :param rate_format: **ingress** tuple argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: **ingress** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: **ingress** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: **ingress** tuple argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_storm_control_ingress_bum_action_update(self, gigabitethernet=None, ingress=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ingress=ingress, bum_action=bum_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ingress=ingress, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_storm_control_ingress_rate_bps_update(self, gigabitethernet=None, ingress=None, rate_bps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ingress=ingress, rate_bps=rate_bps)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ingress=ingress, rate_bps=rate_bps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_storm_control_ingress_rate_format_update(self, gigabitethernet=None, ingress=None, rate_format=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ingress=ingress, rate_format=rate_format)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ingress=ingress, rate_format=rate_format)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_storm_control_ingress_rate_percent_update(self, gigabitethernet=None, ingress=None, rate_percent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, ingress=ingress, rate_percent=rate_percent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ingress=ingress, rate_percent=rate_percent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_update(self, gigabitethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport_basic', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport_basic', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_access_update(self, gigabitethernet=None, accessvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type accessvlan: long
    :param accessvlan: Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.access', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.access', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, accessvlan=accessvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, accessvlan=accessvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_access_rspan_access_update(self, gigabitethernet=None, rspan_access_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rspan_access_vlan: long
    :param rspan_access_vlan: Specify rspan-vlan id to set as access vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.access.rspan_access', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, rspan_access_vlan=rspan_access_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, rspan_access_vlan=rspan_access_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_basic_update(self, gigabitethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport_basic', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport_basic', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_mode_update(self, gigabitethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk-no-default-native', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.mode', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.mode', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_mode_private_vlan_update(self, gigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type promiscuous: YANGBool
    :param promiscuous: Set the Layer2 interface as private-vlan promiscuous

    :type host: YANGBool
    :param host: Set the Layer2 interface as private-vlan host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, promiscuous=promiscuous, host=host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_mode_private_vlan_host_update(self, gigabitethernet=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host: YANGBool
    :param host: Set the Layer2 interface as private-vlan host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, host=host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_mode_private_vlan_promiscuous_update(self, gigabitethernet=None, promiscuous=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type promiscuous: YANGBool
    :param promiscuous: Set the Layer2 interface as private-vlan promiscuous

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, promiscuous=promiscuous)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, promiscuous=promiscuous)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_mode_private_vlan_trunk_update(self, gigabitethernet=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_basic: YANGBool
    :param trunk_basic: Keyword argument.

    :type trunk_promiscuous: YANGBool
    :param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous

    :type trunk_host: YANGBool
    :param trunk_host: Set the Layer2 interface as private-vlan trunk host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_mode_private_vlan_trunk_host_update(self, gigabitethernet=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_host: YANGBool
    :param trunk_host: Set the Layer2 interface as private-vlan trunk host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, trunk_host=trunk_host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_mode_private_vlan_trunk_promiscuous_update(self, gigabitethernet=None, trunk_promiscuous=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_promiscuous: YANGBool
    :param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, trunk_promiscuous=trunk_promiscuous)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, trunk_promiscuous=trunk_promiscuous)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_mode_private_vlan_trunk_trunk_basic_update(self, gigabitethernet=None, trunk_basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_basic: YANGBool
    :param trunk_basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, trunk_basic=trunk_basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, trunk_basic=trunk_basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_mode_vlan_mode_update(self, gigabitethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk-no-default-native', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.mode', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.mode', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_port_security_max_update(self, gigabitethernet=None, port_sec_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_max: long
    :param port_sec_max: Maximum number of allowed MACs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, port_sec_max=port_sec_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, port_sec_max=port_sec_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_port_security_shutdown_time_update(self, gigabitethernet=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown_time: long
    :param shutdown_time: Shutdown time for port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, shutdown_time=shutdown_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_port_security_sticky_update(self, gigabitethernet=None, sticky_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sticky_flag: YANGBool
    :param sticky_flag: Sticky Flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.port_security.sticky', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, sticky_flag=sticky_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, sticky_flag=sticky_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_port_security_sticky_sticky_flag_update(self, gigabitethernet=None, sticky_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sticky_flag: YANGBool
    :param sticky_flag: Sticky Flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.port_security.sticky', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, sticky_flag=sticky_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, sticky_flag=sticky_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_port_security_violation_update(self, gigabitethernet=None, port_sec_violation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_violation: unicode
    :param port_sec_violation: Set the action on violation

        * enumeration restriction: ::

            ['restrict', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, port_sec_violation=port_sec_violation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, port_sec_violation=port_sec_violation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_host_association_update(self, gigabitethernet=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host_pri_pvlan: long
    :param host_pri_pvlan: Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type host_sec_pvlan: long
    :param host_sec_pvlan: Secondary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'host_pri_pvlan, host_sec_pvlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_host_association_host_pri_pvlan_update(self, gigabitethernet=None, host_pri_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host_pri_pvlan: long
    :param host_pri_pvlan: Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, host_pri_pvlan=host_pri_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, host_pri_pvlan=host_pri_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_host_association_host_sec_pvlan_update(self, gigabitethernet=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host_sec_pvlan: long
    :param host_sec_pvlan: Secondary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, host_sec_pvlan=host_sec_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_mapping_update(self, gigabitethernet=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan, oper, promis_sec_pvlan_range
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type oper: unicode
    :param oper: **mapping** tuple argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: **mapping** tuple argument:  Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_mapping_oper_update(self, gigabitethernet=None, mapping=None, oper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mapping=mapping, oper=oper)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mapping=mapping, oper=oper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_mapping_promis_sec_pvlan_range_update(self, gigabitethernet=None, mapping=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, mapping=mapping, promis_sec_pvlan_range=promis_sec_pvlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mapping=mapping, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_update(self, gigabitethernet=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_all: YANGBool
    :param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface

    :type pvlan_none: YANGBool
    :param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface

    :type pvlan_add: unicode
    :param pvlan_add: Add a VLAN to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type pvlan_except: unicode
    :param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type pvlan_remove: unicode
    :param pvlan_remove: Remove a VLAN that Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_all_update(self, gigabitethernet=None, pvlan_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_all: YANGBool
    :param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, pvlan_all=pvlan_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, pvlan_all=pvlan_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_except_update(self, gigabitethernet=None, pvlan_except=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_except: unicode
    :param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, pvlan_except=pvlan_except)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, pvlan_except=pvlan_except)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_none_update(self, gigabitethernet=None, pvlan_none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_none: YANGBool
    :param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, pvlan_none=pvlan_none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, pvlan_none=pvlan_none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_native_update(self, gigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlanNativevlan: long
    :param pvlanNativevlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pvlan_native_vlan_ctag_id: long
    :param pvlan_native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_native_ctag_update(self, gigabitethernet=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_native_vlan_ctag_id: long
    :param pvlan_native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_native_vlan_update(self, gigabitethernet=None, pvlanNativevlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlanNativevlan: long
    :param pvlanNativevlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, pvlanNativevlan=pvlanNativevlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, pvlanNativevlan=pvlanNativevlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_tag_update(self, gigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_tag_native_vlan: YANGBool
    :param pvlan_tag_native_vlan: Set the Private-Vlan native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_tag_native_vlan_update(self, gigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_tag_native_vlan: YANGBool
    :param pvlan_tag_native_vlan: Set the Private-Vlan native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_rspan_vlan_update(self, gigabitethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_rspan_trunk_vlan: unicode
    :param add_rspan_trunk_vlan: Specify rspan-vlan id

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_rspan_trunk_vlan: unicode
    :param remove_rspan_trunk_vlan: Specify the rspan vlans to be removed

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlan_update(self, gigabitethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type none: YANGBool
    :param none: Allow no Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type add_: unicode
    :param add_: Allow these VLANs to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..20000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Remove a VLAN range that Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlan_add_update(self, gigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlan_add_ctag_update(self, gigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlan_all_update(self, gigabitethernet=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlan_except_update(self, gigabitethernet=None, except_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, except_=except_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, except_=except_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlan_none_update(self, gigabitethernet=None, none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type none: YANGBool
    :param none: Allow no Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, none=none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, none=none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlan_remove_update(self, gigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlan_remove_ctag_update(self, gigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, gigabitethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, add_=add_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, gigabitethernet=None, add_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, add_=add_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, add_=add_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlanoper_vlan_remove_update(self, gigabitethernet=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_: unicode
    :param remove_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_ctag_update(self, gigabitethernet=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_ctag_native_vlan_xtagged_config_update(self, gigabitethernet=None, native_vlan_ctag_id_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_ctag_id_xtagged: long
    :param native_vlan_ctag_id_xtagged: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_default_vlan_update(self, gigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_transparent_vlan: long
    :param default_transparent_vlan: default transparent vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, default_transparent_vlan=default_transparent_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_default_vlan_config_update(self, gigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_transparent_vlan: long
    :param default_transparent_vlan: default transparent vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_transparent_vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, default_transparent_vlan=default_transparent_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_egress_update(self, gigabitethernet=None, native_vlan_egress_type_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_egress_type_xtagged: unicode
    :param native_vlan_egress_type_xtagged: Keyword argument.

        * enumeration restriction: ::

            ['untagged', 'tagged', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_native_vlan_update(self, gigabitethernet=None, native_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untaggedtraffic

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, native_vlan_id=native_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, native_vlan_id=native_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_native_vlan_classification_update(self, gigabitethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untaggedtraffic

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id, native_vlan_ctag_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_native_vlan_untagged_update(self, gigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_untagged: long
    :param native_vlan_id_untagged: Set the interface to accept onlyuntagged native-vlan traffic on ingress anduntagged native-vlan traffic on egress.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_native_vlan_untagged_config_update(self, gigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_untagged: long
    :param native_vlan_id_untagged: Set the interface to accept onlyuntagged native-vlan traffic on ingress anduntagged native-vlan traffic on egress.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_untagged'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_native_vlan_xtagged_update(self, gigabitethernet=None, native_vlan_id_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_xtagged: long
    :param native_vlan_id_xtagged: Set the interface to accepttagged|untagged native-vlan traffic on ingress andegress as specified by the user.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_native_vlan_xtagged_config_update(self, gigabitethernet=None, native_vlan_id_xtagged=None, native_vlan_ctag_id_xtagged=None, native_vlan_egress_type_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_xtagged: long
    :param native_vlan_id_xtagged: Set the interface to accepttagged|untagged native-vlan traffic on ingress andegress as specified by the user.

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_ctag_id_xtagged: long
    :param native_vlan_ctag_id_xtagged: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_egress_type_xtagged: unicode
    :param native_vlan_egress_type_xtagged: Keyword argument.

        * enumeration restriction: ::

            ['untagged', 'tagged', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_xtagged, native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_tag_native_vlan_update(self, gigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan: YANGBool
    :param native_vlan: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, native_vlan=native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_track_update(self, gigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_enable: YANGBool
    :param track_enable: Enable tracking interface

    :type min_link: long
    :param min_link: Min link

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, track_enable=track_enable, min_link=min_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_track_enable_update(self, gigabitethernet=None, track_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_enable: YANGBool
    :param track_enable: Enable tracking interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, track_enable=track_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, track_enable=track_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_track_min_link_update(self, gigabitethernet=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_link: long
    :param min_link: Min link

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, min_link=min_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_track_remove_update(self, gigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_all_track_interfaces: YANGBool
    :param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.track.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.track.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_track_remove_all_update(self, gigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_all_track_interfaces: YANGBool
    :param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.track.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.track.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_tunable_optics_sfpp_update(self, gigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type channel: long
    :param channel: Channel configuration.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, channel=channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_tunable_optics_sfpp_channel_update(self, gigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type channel: long
    :param channel: Channel configuration.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, channel=channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_tunnel_update(self, gigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type tagged_ieee_bpdu: YANGBool
    :param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCSfabric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.tunnel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.tunnel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_tunnel_tagged_ieee_bpdu_update(self, gigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type tagged_ieee_bpdu: YANGBool
    :param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCSfabric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.tunnel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.tunnel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_udld_update(self, gigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type udld_enable: YANGBool
    :param udld_enable: Enable UDLD protocol on the Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.udld', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.udld', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, udld_enable=udld_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_udld_enable_update(self, gigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type udld_enable: YANGBool
    :param udld_enable: Enable UDLD protocol on the Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.udld', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.udld', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, udld_enable=udld_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vlan_classifier_activate_group_update(self, gigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type group: groupid, vlan
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan: long
    :param vlan: **group** tuple argument:  1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, group=group, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vlan_classifier_activate_group_vlan_update(self, gigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type group: groupid
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, group=group, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrf_update(self, gigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrf_forwarding_update(self, gigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_update(self, gigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_advertisement_interval_update(self, gigabitethernet=None, vrrp=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp=vrrp, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_arp_unicast_request_update(self, gigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_arp_unicast_request_receive_update(self, gigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_description_update(self, gigabitethernet=None, vrrp=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp=vrrp, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_enable_update(self, gigabitethernet=None, vrrp=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp=vrrp, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_hold_time_update(self, gigabitethernet=None, vrrp=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp=vrrp, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_preempt_mode_update(self, gigabitethernet=None, vrrp=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp=vrrp, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_priority_update(self, gigabitethernet=None, vrrp=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp=vrrp, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_track_interface_update(self, gigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_track_interface_priority_update(self, gigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_use_v2_checksum_update(self, gigabitethernet=None, vrrp=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gigabitethernet=gigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_update(self, hundredgigabitethernet=None, cee=None, ifindex=None, description=None, shutdown=None, mtu=None, port_profile_port=None, priority_tag_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cee: unicode
    :param cee: Apply default CEE map 'default'

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type mtu: long
    :param mtu: Set mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type port_profile_port: YANGBool
    :param port_profile_port: Set the interface to AMPP profile mode

    :type priority_tag_enable: YANGBool
    :param priority_tag_enable: Configure 802.1p priority tagging

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'hundredgigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, cee=cee, ifindex=ifindex, description=description, shutdown=shutdown, mtu=mtu, port_profile_port=port_profile_port, priority_tag_enable=priority_tag_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, cee=cee, ifindex=ifindex, description=description, shutdown=shutdown, mtu=mtu, port_profile_port=port_profile_port, priority_tag_enable=priority_tag_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bfd_update(self, hundredgigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bfd_interval_update(self, hundredgigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bfd_interval_min_rx_update(self, hundredgigabitethernet=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bfd_interval_min_tx_update(self, hundredgigabitethernet=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bfd_interval_multiplier_update(self, hundredgigabitethernet=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bfd_shutdown_update(self, hundredgigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bpdu_drop_update(self, hundredgigabitethernet=None, enable=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

    :type direction: unicode
    :param direction: Keyword argument.

        * enumeration restriction: ::

            ['all', 'rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, direction'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, enable=enable, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, enable=enable, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bpdu_drop_direction_update(self, hundredgigabitethernet=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type direction: unicode
    :param direction: Keyword argument.

        * enumeration restriction: ::

            ['all', 'rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bpdu_drop_enable_update(self, hundredgigabitethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_cee_update(self, hundredgigabitethernet=None, cee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cee: unicode
    :param cee: Apply default CEE map 'default'

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'hundredgigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, cee=cee)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, cee=cee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_channel_group_update(self, hundredgigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_int: long
    :param port_int: Channel group number

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: The mode of the port channel.

        * enumeration restriction: ::

            ['active', 'passive', 'on']

    :type type: unicode
    :param type: The type of the port-channel.

        * enumeration restriction: ::

            ['brocade', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, port_int=port_int, mode=mode, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_channel_group_mode_update(self, hundredgigabitethernet=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: The mode of the port channel.

        * enumeration restriction: ::

            ['active', 'passive', 'on']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_channel_group_port_int_update(self, hundredgigabitethernet=None, port_int=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_int: long
    :param port_int: Channel group number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, port_int=port_int)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, port_int=port_int)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_channel_group_type_update(self, hundredgigabitethernet=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: The type of the port-channel.

        * enumeration restriction: ::

            ['brocade', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_description_update(self, hundredgigabitethernet=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'hundredgigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_deviceconnectivity_update(self, hundredgigabitethernet=None, deviceconnectivity=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type deviceconnectivity: unicode
    :param deviceconnectivity: Device connectivity to IP storage device

        * enumeration restriction: ::

            ['NAS', 'None', 'iSCSI', 'DAS']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.connectivity', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.connectivity', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.connectivity', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, deviceconnectivity=deviceconnectivity)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, deviceconnectivity=deviceconnectivity)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_update(self, hundredgigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type authentication: YANGBool
    :param authentication: Enable dot1x on a port

    :type port_control: unicode
    :param port_control: Port control commands

        * enumeration restriction: ::

            ['auto',
            'force-unauthorized',
            'force-authorized']

    :type protocol_version: long
    :param protocol_version: Set the protocol version

        * range restriction: ::

            ['0..4294967295']

    :type quiet_period: long
    :param quiet_period: Quiet period in the HELD state

        * range restriction: ::

            ['0..4294967295']

    :type reauthMax: long
    :param reauthMax: Number of reauthentication attempts before becomingunauthorized

        * range restriction: ::

            ['0..4294967295']

    :type reauthentication: YANGBool
    :param reauthentication: Enable reauthentication on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x": {}, "pybind.nos.v7_0_1b.interface.hundredgigabitethernet.dot1x": {"reauthMax": "reauthMax", "port_control": "port_control", "quiet_period": "quiet_period", "authentication": "authentication", "reauthentication": "reauthentication", "protocol_version": "protocol_version"}, "pybind.nos.v6_0_2c.interface.hundredgigabitethernet.dot1x": {"reauthMax": "reauthMax", "port_control": "port_control", "quiet_period": "quiet_period", "authentication": "authentication", "reauthentication": "reauthentication", "protocol_version": "protocol_version"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_authentication_update(self, hundredgigabitethernet=None, authentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type authentication: YANGBool
    :param authentication: Enable dot1x on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, authentication=authentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, authentication=authentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_mac_auth_bypass_update(self, hundredgigabitethernet=None, mac_auth_bypass=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_auth_bypass: YANGBool
    :param mac_auth_bypass: Enable MAC Authentication Bypass.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mac_auth_bypass=mac_auth_bypass)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mac_auth_bypass=mac_auth_bypass)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_mac_auth_enable_update(self, hundredgigabitethernet=None, mac_auth_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_auth_enable: YANGBool
    :param mac_auth_enable: Enable MAC based Authentication.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mac_auth_enable=mac_auth_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mac_auth_enable=mac_auth_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_port_control_update(self, hundredgigabitethernet=None, port_control=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_control: unicode
    :param port_control: Port control commands

        * enumeration restriction: ::

            ['auto',
            'force-unauthorized',
            'force-authorized']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, port_control=port_control)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, port_control=port_control)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_protocol_version_update(self, hundredgigabitethernet=None, protocol_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type protocol_version: long
    :param protocol_version: Set the protocol version

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, protocol_version=protocol_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, protocol_version=protocol_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_quiet_period_update(self, hundredgigabitethernet=None, quiet_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type quiet_period: long
    :param quiet_period: Quiet period in the HELD state

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, quiet_period=quiet_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, quiet_period=quiet_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_reauthentication_update(self, hundredgigabitethernet=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reauthentication: YANGBool
    :param reauthentication: Enable reauthentication on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, reauthentication=reauthentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_reauthmax_update(self, hundredgigabitethernet=None, reauthMax=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reauthMax: long
    :param reauthMax: Number of reauthentication attempts before becomingunauthorized

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, reauthMax=reauthMax)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, reauthMax=reauthMax)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_timeout_update(self, hundredgigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type re_authperiod: long
    :param re_authperiod: Reauthentication interval in seconds (default = 3600)

        * range restriction: ::

            ['0..4294967295']

    :type server_timeout: long
    :param server_timeout: Server timeout in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type supp_timeout: long
    :param supp_timeout: Supplicant response timeout (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type tx_period: long
    :param tx_period: Transmission period in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_timeout_re_authperiod_update(self, hundredgigabitethernet=None, re_authperiod=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type re_authperiod: long
    :param re_authperiod: Reauthentication interval in seconds (default = 3600)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, re_authperiod=re_authperiod)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, re_authperiod=re_authperiod)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_timeout_server_timeout_update(self, hundredgigabitethernet=None, server_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type server_timeout: long
    :param server_timeout: Server timeout in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, server_timeout=server_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, server_timeout=server_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_timeout_supp_timeout_update(self, hundredgigabitethernet=None, supp_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type supp_timeout: long
    :param supp_timeout: Supplicant response timeout (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, supp_timeout=supp_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, supp_timeout=supp_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_timeout_tx_period_update(self, hundredgigabitethernet=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type tx_period: long
    :param tx_period: Transmission period in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, tx_period=tx_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_edge_loop_detection_update(self, hundredgigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Set ELD-priority value to interface

        * range restriction: ::

            ['0..4294967295']

    :type eldvlan: unicode
    :param eldvlan: Enable for specific VLAN on selected interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, eldprio=eldprio, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_edge_loop_detection_port_priority_update(self, hundredgigabitethernet=None, eldprio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Set ELD-priority value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, eldprio=eldprio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, eldprio=eldprio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_edge_loop_detection_vlan_update(self, hundredgigabitethernet=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldvlan: unicode
    :param eldvlan: Enable for specific VLAN on selected interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_dport_update(self, hundredgigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_dport_enable: YANGBool
    :param fabric_dport_enable: Configure fabric D-port status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.interface.hundredgigabitethernet.fabric.fabric_dport": {"fabric_dport_enable": "fabric_dport_enable"}, "pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_dport": {}, "pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fabric.fabric_dport": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, fabric_dport_enable=fabric_dport_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_dport_enable_update(self, hundredgigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_dport_enable: YANGBool
    :param fabric_dport_enable: Configure fabric D-port status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, fabric_dport_enable=fabric_dport_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_dport_mode_update(self, hundredgigabitethernet=None, fabric_dport_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_dport_mode: unicode
    :param fabric_dport_mode: Configure D-Port Mode

        * enumeration restriction: ::

            ['static', 'none', 'dynamic']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, fabric_dport_mode=fabric_dport_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, fabric_dport_mode=fabric_dport_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_isl_update(self, hundredgigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_isl_enable: YANGBool
    :param fabric_isl_enable: Configure fabric isl status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, fabric_isl_enable=fabric_isl_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_isl_enable_update(self, hundredgigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_isl_enable: YANGBool
    :param fabric_isl_enable: Configure fabric isl status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, fabric_isl_enable=fabric_isl_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_neighbor_discovery_update(self, hundredgigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable neighbor discovery at this port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_neighbor_discovery_disable_update(self, hundredgigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable neighbor discovery at this port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_trunk_update(self, hundredgigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_trunk_enable: YANGBool
    :param fabric_trunk_enable: Configure fabric trunk status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, fabric_trunk_enable=fabric_trunk_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_trunk_enable_update(self, hundredgigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_trunk_enable: YANGBool
    :param fabric_trunk_enable: Configure fabric trunk status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, fabric_trunk_enable=fabric_trunk_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fcoeport_update(self, hundredgigabitethernet=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fcoeport_map: unicode
    :param fcoeport_map: Keyword argument.

        * length restriction: ::

            ['1..32']

    :type ns_ip_registration: YANGBool
    :param ns_ip_registration: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoeport_map, ns_ip_registration'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fcoeport_map_update(self, hundredgigabitethernet=None, fcoeport_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fcoeport_map: unicode
    :param fcoeport_map: Keyword argument.

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, fcoeport_map=fcoeport_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, fcoeport_map=fcoeport_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fcoeport_ns_ip_registration_update(self, hundredgigabitethernet=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ns_ip_registration: YANGBool
    :param ns_ip_registration: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ns_ip_registration=ns_ip_registration)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fec_update(self, hundredgigabitethernet=None, fec_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fec_enable: YANGBool
    :param fec_enable: Enable forward error correction.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, fec_enable=fec_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, fec_enable=fec_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fec_enable_update(self, hundredgigabitethernet=None, fec_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fec_enable: YANGBool
    :param fec_enable: Enable forward error correction.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.fec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, fec_enable=fec_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, fec_enable=fec_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ifindex_update(self, hundredgigabitethernet=None, ifindex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'hundredgigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ifindex=ifindex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ifindex=ifindex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_access_group_update(self, hundredgigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_access_group_traffic_type_update(self, hundredgigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_address_update(self, hundredgigabitethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_address_ospf_ignore_update(self, hundredgigabitethernet=None, address=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, address=address, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, address=address, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_address_ospf_passive_update(self, hundredgigabitethernet=None, address=None, ospf_passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, address=address, ospf_passive=ospf_passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, address=address, ospf_passive=ospf_passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_address_secondary_update(self, hundredgigabitethernet=None, address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, address=address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, address=address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_arp_aging_timeout_update(self, hundredgigabitethernet=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_arp_inspection_update(self, hundredgigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_arp_inspection_trust_update(self, hundredgigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_arp_ip_config_update(self, hundredgigabitethernet=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type learn_any: YANGBool
    :param learn_any: Learn ARP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, learn_any=learn_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_arp_learn_any_update(self, hundredgigabitethernet=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type learn_any: YANGBool
    :param learn_any: Learn ARP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, learn_any=learn_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_dhcp_relay_update(self, hundredgigabitethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_dhcp_relay_gateway_update(self, hundredgigabitethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_directed_broadcast_update(self, hundredgigabitethernet=None, directed_broadcast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, directed_broadcast=directed_broadcast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, directed_broadcast=directed_broadcast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_icmp_update(self, hundredgigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_icmp_address_mask_update(self, hundredgigabitethernet=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_icmp_echo_reply_update(self, hundredgigabitethernet=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_icmp_rate_limiting_update(self, hundredgigabitethernet=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_icmp_redirect_update(self, hundredgigabitethernet=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_icmp_unreachable_update(self, hundredgigabitethernet=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_igmp_update(self, hundredgigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type immediate_leave: YANGBool
    :param immediate_leave: Immediate Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp": {}, "pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp": {}, "pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp": {"immediate_leave": "immediate_leave", "last_member_query_interval": "last_member_query_interval", "query_interval": "query_interval", "query_max_response_time": "query_max_response_time"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_igmp_immediate_leave_update(self, hundredgigabitethernet=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type immediate_leave: YANGBool
    :param immediate_leave: Immediate Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, immediate_leave=immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_igmp_last_member_query_count_update(self, hundredgigabitethernet=None, last_member_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type last_member_query_count: long
    :param last_member_query_count: IGMP Last Member Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, last_member_query_count=last_member_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, last_member_query_count=last_member_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_igmp_last_member_query_interval_update(self, hundredgigabitethernet=None, last_member_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, last_member_query_interval=last_member_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, last_member_query_interval=last_member_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_igmp_query_interval_update(self, hundredgigabitethernet=None, query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, query_interval=query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, query_interval=query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_igmp_query_max_response_time_update(self, hundredgigabitethernet=None, query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, query_max_response_time=query_max_response_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, query_max_response_time=query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_igmp_robustness_variable_update(self, hundredgigabitethernet=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type robustness_variable: long
    :param robustness_variable: Robustness Variable

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, robustness_variable=robustness_variable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_igmp_startup_query_count_update(self, hundredgigabitethernet=None, startup_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type startup_query_count: long
    :param startup_query_count: IGMP Startup Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, startup_query_count=startup_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, startup_query_count=startup_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_igmp_startup_query_interval_update(self, hundredgigabitethernet=None, startup_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type startup_query_interval: long
    :param startup_query_interval: Startup Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, startup_query_interval=startup_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, startup_query_interval=startup_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ip_config_update(self, hundredgigabitethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_mtu_update(self, hundredgigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_multicast_boundary_update(self, hundredgigabitethernet=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_update(self, hundredgigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_active_update(self, hundredgigabitethernet=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_area_update(self, hundredgigabitethernet=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, area=area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_auth_change_wait_time_update(self, hundredgigabitethernet=None, auth_change_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, auth_change_wait_time=auth_change_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, auth_change_wait_time=auth_change_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_authentication_key_auth_key_update(self, hundredgigabitethernet=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_authentication_key_auth_key_table_update(self, hundredgigabitethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'encrypttype, auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, encrypttype=encrypttype, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_authentication_key_encrypttype_update(self, hundredgigabitethernet=None, encrypttype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, encrypttype=encrypttype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, encrypttype=encrypttype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_authentication_key_no_encrypt_auth_key_update(self, hundredgigabitethernet=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_authentication_key_no_encrypt_auth_key_table_update(self, hundredgigabitethernet=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_bfd_update(self, hundredgigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_bfd_intf_bfd_enable_update(self, hundredgigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_cost_update(self, hundredgigabitethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_database_filter_update(self, hundredgigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_database_filter_all_external_update(self, hundredgigabitethernet=None, all_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, all_external=all_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, all_external=all_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_database_filter_all_out_update(self, hundredgigabitethernet=None, all_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, all_out=all_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, all_out=all_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_database_filter_all_summary_external_update(self, hundredgigabitethernet=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_dead_interval_update(self, hundredgigabitethernet=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_hello_interval_update(self, hundredgigabitethernet=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_md5_authentication_update(self, hundredgigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_update(self, hundredgigabitethernet=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, hundredgigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_id_update(self, hundredgigabitethernet=None, no_encrypt_key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, no_encrypt_key_id=no_encrypt_key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, no_encrypt_key_id=no_encrypt_key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_id_key_update(self, hundredgigabitethernet=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_id_key_id_update(self, hundredgigabitethernet=None, key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, key_id=key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, key_id=key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_id_md5_authentication_key_update(self, hundredgigabitethernet=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type md5_authentication_key: unicode
    :param md5_authentication_key: MD5 authentication ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, md5_authentication_key=md5_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_md5_authentication_no_encrypt_key_table_update(self, hundredgigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_mtu_ignore_update(self, hundredgigabitethernet=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_network_update(self, hundredgigabitethernet=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_passive_update(self, hundredgigabitethernet=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_priority_update(self, hundredgigabitethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_retransmit_interval_update(self, hundredgigabitethernet=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_transmit_delay_update(self, hundredgigabitethernet=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_pim_update(self, hundredgigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_pim_dr_priority_update(self, hundredgigabitethernet=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_pim_int_cmd_update(self, hundredgigabitethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_pim_multinet_update(self, hundredgigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_pim_multinet_enable_update(self, hundredgigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_pim_neighbor_filter_update(self, hundredgigabitethernet=None, neighbor_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, neighbor_filter=neighbor_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, neighbor_filter=neighbor_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_pim_sparse_update(self, hundredgigabitethernet=None, pim_sparse=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pim_sparse=pim_sparse)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pim_sparse=pim_sparse)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_policy_route_map_update(self, hundredgigabitethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_policy_route_map_route_map_name_update(self, hundredgigabitethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_proxy_arp_update(self, hundredgigabitethernet=None, proxy_arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, proxy_arp=proxy_arp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, proxy_arp=proxy_arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_unnumbered_update(self, hundredgigabitethernet=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ip_donor_interface_type: unicode
    :param ip_donor_interface_type: The type of donor interface.

        * enumeration restriction: ::

            ['ve',
            'loopback',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type ip_donor_interface_name: unicode
    :param ip_donor_interface_name: The name of donor interface.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ip_donor_interface_type, ip_donor_interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_unnumbered_ip_donor_interface_name_update(self, hundredgigabitethernet=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ip_donor_interface_name: unicode
    :param ip_donor_interface_name: The name of donor interface.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ip_donor_interface_name=ip_donor_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_unnumbered_ip_donor_interface_type_update(self, hundredgigabitethernet=None, ip_donor_interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ip_donor_interface_type: unicode
    :param ip_donor_interface_type: The type of donor interface.

        * enumeration restriction: ::

            ['ve',
            'loopback',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ip_donor_interface_type=ip_donor_interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ip_donor_interface_type=ip_donor_interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_update(self, hundredgigabitethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type raguard: YANGBool
    :param raguard: IPv6 Router advertisement guard configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, raguard=raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_access_group_update(self, hundredgigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_access_group_traffic_type_update(self, hundredgigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_update(self, hundredgigabitethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_ipv6_address_update(self, hundredgigabitethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_ipv6_address_anycast_update(self, hundredgigabitethernet=None, ipv6_address=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_ipv6_address_eui_64_update(self, hundredgigabitethernet=None, ipv6_address=None, eui64=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, eui64=eui64)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, eui64=eui64)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_ipv6_address_secondary_update(self, hundredgigabitethernet=None, ipv6_address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_ipv6_address_secondary_eui_config_update(self, hundredgigabitethernet=None, ipv6_address=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui_secondary: YANGBool
    :param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, eui_secondary=eui_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_link_local_update(self, hundredgigabitethernet=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_link_local_address_update(self, hundredgigabitethernet=None, link_local_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, link_local_address=link_local_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, link_local_address=link_local_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_link_local_config_update(self, hundredgigabitethernet=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'link_local_address, link_local'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, link_local_address=link_local_address, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_use_link_local_only_update(self, hundredgigabitethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_dhcp_relay_servers_update(self, hundredgigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_dhcp_relay_servers_interface_update(self, hundredgigabitethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'Ve']

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_dhcp_relay_servers_interface_interface_update(self, hundredgigabitethernet=None, servers=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'Ve']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, servers=servers, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, servers=servers, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_dhcp_relay_servers_interface_interface_name_update(self, hundredgigabitethernet=None, servers=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, servers=servers, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, servers=servers, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_dhcp_relay_servers_use_vrf_update(self, hundredgigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_hop_by_hop_trap_update(self, hundredgigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_icmpv6_update(self, hundredgigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_icmpv6_echo_reply_update(self, hundredgigabitethernet=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_icmpv6_rate_limiting_update(self, hundredgigabitethernet=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_icmpv6_redirect_update(self, hundredgigabitethernet=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_icmpv6_unreachable_update(self, hundredgigabitethernet=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ipv6_config_update(self, hundredgigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ipv6_intf_cmds_update(self, hundredgigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ipv6_phy_intf_cmds_update(self, hundredgigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_mtu_update(self, hundredgigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_update(self, hundredgigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type hoplimit: long
    :param hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {}, "pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {"managed_config_flag": "managed_config_flag", "broadcast_mac_trap": "broadcast_mac_trap", "ra_lifetime": "ra_lifetime", "hoplimit": "hoplimit", "mtu": "mtu", "retrans_timer": "retrans_timer", "other_config_flag": "other_config_flag", "ns_interval": "ns_interval", "reachable_time": "reachable_time", "proxy": "proxy"}, "pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {"managed_config_flag": "managed_config_flag", "broadcast_mac_trap": "broadcast_mac_trap", "ra_lifetime": "ra_lifetime", "hoplimit": "hoplimit", "mtu": "mtu", "retrans_timer": "retrans_timer", "other_config_flag": "other_config_flag", "ns_interval": "ns_interval", "reachable_time": "reachable_time", "proxy": "proxy"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_broadcast_mac_trap_update(self, hundredgigabitethernet=None, broadcast_mac_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, broadcast_mac_trap=broadcast_mac_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, broadcast_mac_trap=broadcast_mac_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_cache_update(self, hundredgigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_cache_expire_update(self, hundredgigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_dad_update(self, hundredgigabitethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, attempts=attempts, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_dad_attempts_update(self, hundredgigabitethernet=None, attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, attempts=attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, attempts=attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_dad_time_update(self, hundredgigabitethernet=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_hoplimit_update(self, hundredgigabitethernet=None, hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hoplimit: long
    :param hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, hoplimit=hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, hoplimit=hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_managed_config_flag_update(self, hundredgigabitethernet=None, managed_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, managed_config_flag=managed_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, managed_config_flag=managed_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_mtu_update(self, hundredgigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_ns_interval_update(self, hundredgigabitethernet=None, ns_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ns_interval=ns_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ns_interval=ns_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_nud_retry_update(self, hundredgigabitethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'base, interval, max_attempts'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, base=base, interval=interval, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_nud_retry_base_update(self, hundredgigabitethernet=None, base=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, base=base)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, base=base)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_nud_retry_interval_update(self, hundredgigabitethernet=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_nud_retry_max_attempts_update(self, hundredgigabitethernet=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_other_config_flag_update(self, hundredgigabitethernet=None, other_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, other_config_flag=other_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, other_config_flag=other_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_infinite_update(self, hundredgigabitethernet=None, prefix=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_infinite: YANGBool
    :param valid_infinite: Infinite valid lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, valid_infinite=valid_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_infinite_preferred_update(self, hundredgigabitethernet=None, prefix=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_no_advertise_update(self, hundredgigabitethernet=None, prefix=None, no_advertise=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_advertise: YANGBool
    :param no_advertise: Do not advertise prefix

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, no_advertise=no_advertise)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, no_advertise=no_advertise)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_no_autoconfig_update(self, hundredgigabitethernet=None, prefix=None, no_autoconfig=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_no_onlink_update(self, hundredgigabitethernet=None, prefix=None, no_onlink=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, no_onlink=no_onlink)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, no_onlink=no_onlink)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_off_link_update(self, hundredgigabitethernet=None, prefix=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_preferred_update(self, hundredgigabitethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'preferred_lifetime, preferred_infinite'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime'], 'pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime'], 'pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_preferred_lifetime_update(self, hundredgigabitethernet=None, prefix=None, preferred_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_prefix_flags_update(self, hundredgigabitethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_autoconfig, no_onlink, off_link'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_valid_lifetime_update(self, hundredgigabitethernet=None, prefix=None, valid_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_lifetime: long
    :param valid_lifetime: Configures valid lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, valid_lifetime=valid_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, valid_lifetime=valid_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_proxy_update(self, hundredgigabitethernet=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_ra_interval_update(self, hundredgigabitethernet=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_interval, min_'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, max_interval=max_interval, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_ra_interval_max_interval_update(self, hundredgigabitethernet=None, max_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, max_interval=max_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, max_interval=max_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_ra_interval_min_update(self, hundredgigabitethernet=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_ra_lifetime_update(self, hundredgigabitethernet=None, ra_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ra_lifetime=ra_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ra_lifetime=ra_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_reachable_time_update(self, hundredgigabitethernet=None, reachable_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, reachable_time=reachable_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, reachable_time=reachable_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_retrans_timer_update(self, hundredgigabitethernet=None, retrans_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, retrans_timer=retrans_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, retrans_timer=retrans_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_set_cache_expire_time_update(self, hundredgigabitethernet=None, set_cache_expire_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type set_cache_expire_time: long
    :param set_cache_expire_time: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, set_cache_expire_time=set_cache_expire_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, set_cache_expire_time=set_cache_expire_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_set_hoplimit_update(self, hundredgigabitethernet=None, set_hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type set_hoplimit: long
    :param set_hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, set_hoplimit=set_hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, set_hoplimit=set_hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_suppress_ra_update(self, hundredgigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_suppress_ra_all_update(self, hundredgigabitethernet=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_suppress_ra_mtu_update(self, hundredgigabitethernet=None, suppress_ra_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, suppress_ra_mtu=suppress_ra_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, suppress_ra_mtu=suppress_ra_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_suppress_ra_suppress_ra_flag_update(self, hundredgigabitethernet=None, suppress_ra_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, suppress_ra_flag=suppress_ra_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, suppress_ra_flag=suppress_ra_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_neighbor_update(self, hundredgigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_neighbor_hardware_address_update(self, hundredgigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_update(self, hundredgigabitethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_active_update(self, hundredgigabitethernet=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_area_update(self, hundredgigabitethernet=None, interface_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, interface_area=interface_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, interface_area=interface_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_ah_update(self, hundredgigabitethernet=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_esp_update(self, hundredgigabitethernet=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_esp_auth_update(self, hundredgigabitethernet=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_esp_key_update(self, hundredgigabitethernet=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_esp_no_encrypt_update(self, hundredgigabitethernet=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_ipsec_update(self, hundredgigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_ipsec_auth_key_config_update(self, hundredgigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_ipsec_disable_update(self, hundredgigabitethernet=None, ipsec_authentication_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, hundredgigabitethernet=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_key_update(self, hundredgigabitethernet=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_no_encrypt_update(self, hundredgigabitethernet=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_spi_update(self, hundredgigabitethernet=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_bfd_update(self, hundredgigabitethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_bfd_bfd_enable_update(self, hundredgigabitethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_cost_update(self, hundredgigabitethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_dead_interval_update(self, hundredgigabitethernet=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_hello_interval_update(self, hundredgigabitethernet=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_hello_jitter_update(self, hundredgigabitethernet=None, hello_jitter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, hello_jitter=hello_jitter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, hello_jitter=hello_jitter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_instance_update(self, hundredgigabitethernet=None, instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, instance=instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, instance=instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_link_interval_properties_update(self, hundredgigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_mtu_ignore_update(self, hundredgigabitethernet=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_network_update(self, hundredgigabitethernet=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_passive_update(self, hundredgigabitethernet=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_priority_update(self, hundredgigabitethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_retransmit_interval_update(self, hundredgigabitethernet=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_suppress_linklsa_update(self, hundredgigabitethernet=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_transmit_delay_update(self, hundredgigabitethernet=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_policy_route_map_update(self, hundredgigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_policy_route_map_ipv6_route_map_name_update(self, hundredgigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_raguard_update(self, hundredgigabitethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type raguard: YANGBool
    :param raguard: IPv6 Router advertisement guard configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, raguard=raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_advertise_backup_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, advertise_backup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, advertise_backup=advertise_backup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, advertise_backup=advertise_backup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_advertisement_interval_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_advertisement_interval_scale_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, advertisement_interval_scale=advertisement_interval_scale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_backup_advertisement_interval_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, backup_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, backup_advertisement_interval=backup_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, backup_advertisement_interval=backup_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_description_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_enable_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_hold_time_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_nd_advertisement_timer_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, nd_advertisement_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, nd_advertisement_timer=nd_advertisement_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, nd_advertisement_timer=nd_advertisement_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_preempt_mode_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_priority_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_basic_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_revert_priority_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_track_interface_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_track_interface_priority_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_update(self, hundredgigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_advertisement_interval_update(self, hundredgigabitethernet=None, vrrpv3_group=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_description_update(self, hundredgigabitethernet=None, vrrpv3_group=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_enable_update(self, hundredgigabitethernet=None, vrrpv3_group=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_hold_time_update(self, hundredgigabitethernet=None, vrrpv3_group=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_preempt_mode_update(self, hundredgigabitethernet=None, vrrpv3_group=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_priority_update(self, hundredgigabitethernet=None, vrrpv3_group=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_track_interface_update(self, hundredgigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_track_interface_priority_update(self, hundredgigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_use_v2_checksum_update(self, hundredgigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_suppress_interface_ra_update(self, hundredgigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lacp_update(self, hundredgigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type timeout: unicode
    :param timeout: Timeout commands

        * enumeration restriction: ::

            ['short', 'long']

    :type std_port_priority: long
    :param std_port_priority: Port priority commands

        * range restriction: ::

            ['0..4294967295']

    :type default_up: YANGBool
    :param default_up: To bring up the interface in LACP default state 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lacp_default_up_update(self, hundredgigabitethernet=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_up: YANGBool
    :param default_up: To bring up the interface in LACP default state 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, default_up=default_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lacp_port_priority_update(self, hundredgigabitethernet=None, std_port_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type std_port_priority: long
    :param std_port_priority: Port priority commands

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, std_port_priority=std_port_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, std_port_priority=std_port_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lacp_timeout_update(self, hundredgigabitethernet=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type timeout: unicode
    :param timeout: Timeout commands

        * enumeration restriction: ::

            ['short', 'long']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lldp_update(self, hundredgigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dcbx_version: unicode
    :param dcbx_version: Set up DCBX Version

        * enumeration restriction: ::

            ['auto', 'cee']

    :type disable: YANGBool
    :param disable: Disable LLDP on the Interface.

    :type iscsi_priority: long
    :param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface

        * range restriction: ::

            ['0..4294967295']

    :type profile: unicode
    :param profile: The LLDP profile on the interface.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lldp_cee_update(self, hundredgigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type lldp_cee_on_off: unicode
    :param lldp_cee_on_off: Keyword argument.

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.lldp.cee', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.lldp.cee', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, lldp_cee_on_off=lldp_cee_on_off)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lldp_cee_lldp_cee_on_off_update(self, hundredgigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type lldp_cee_on_off: unicode
    :param lldp_cee_on_off: Keyword argument.

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.lldp.cee', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.lldp.cee', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, lldp_cee_on_off=lldp_cee_on_off)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lldp_dcbx_version_update(self, hundredgigabitethernet=None, dcbx_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dcbx_version: unicode
    :param dcbx_version: Set up DCBX Version

        * enumeration restriction: ::

            ['auto', 'cee']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, dcbx_version=dcbx_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, dcbx_version=dcbx_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lldp_disable_update(self, hundredgigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable LLDP on the Interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lldp_iscsi_priority_update(self, hundredgigabitethernet=None, iscsi_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type iscsi_priority: long
    :param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, iscsi_priority=iscsi_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, iscsi_priority=iscsi_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lldp_profile_update(self, hundredgigabitethernet=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile: unicode
    :param profile: The LLDP profile on the interface.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, profile=profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_mac_access_group_update(self, hundredgigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_mac_access_group_traffic_type_update(self, hundredgigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_mac_learning_disable_vlan_update(self, hundredgigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_learning_vlan_add: unicode
    :param mac_learning_vlan_add: RANGE;;Range of vlans to add

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type mac_learning_vlan_remove: unicode
    :param mac_learning_vlan_remove: RANGE;;Range of vlans to remove

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_mac_learning_disable_vlan_add_update(self, hundredgigabitethernet=None, mac_learning_vlan_add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_learning_vlan_add: unicode
    :param mac_learning_vlan_add: RANGE;;Range of vlans to add

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_mac_learning_disable_vlan_remove_update(self, hundredgigabitethernet=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_learning_vlan_remove: unicode
    :param mac_learning_vlan_remove: RANGE;;Range of vlans to remove

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mac_learning_vlan_remove=mac_learning_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_mtu_update(self, hundredgigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'hundredgigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_openflow_update(self, hundredgigabitethernet=None, logical_instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type logical_instance_id: long
    :param logical_instance_id: OpenFlow logical instance configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, logical_instance_id=logical_instance_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, logical_instance_id=logical_instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_openflow_enable_update(self, hundredgigabitethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: OpenFlow enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_openflow_logical_instance_update(self, hundredgigabitethernet=None, logical_instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type logical_instance_id: long
    :param logical_instance_id: OpenFlow logical instance configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, logical_instance_id=logical_instance_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, logical_instance_id=logical_instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_openflow_match_profile_update(self, hundredgigabitethernet=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type match_profile: unicode
    :param match_profile: OpenFlow match profile

        * enumeration restriction: ::

            ['Layer3', 'Layer2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, match_profile=match_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_openflow_openflow_enable_update(self, hundredgigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: OpenFlow enable

    :type match_profile: unicode
    :param match_profile: OpenFlow match profile

        * enumeration restriction: ::

            ['Layer3', 'Layer2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, match_profile'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, enable=enable, match_profile=match_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, enable=enable, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_port_profile_port_update(self, hundredgigabitethernet=None, port_profile_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_profile_port: YANGBool
    :param port_profile_port: Set the interface to AMPP profile mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'hundredgigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, port_profile_port=port_profile_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, port_profile_port=port_profile_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_port_profile_port_domain_update(self, hundredgigabitethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile_domain_name: unicode
    :param profile_domain_name: Port-profile-domain name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, profile_domain_name=profile_domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_port_profile_port_domain_profile_domain_name_update(self, hundredgigabitethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile_domain_name: unicode
    :param profile_domain_name: Port-profile-domain name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, profile_domain_name=profile_domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_priority_tag_update(self, hundredgigabitethernet=None, priority_tag_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority_tag_enable: YANGBool
    :param priority_tag_enable: Configure 802.1p priority tagging

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'hundredgigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, priority_tag_enable=priority_tag_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, priority_tag_enable=priority_tag_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_update(self, hundredgigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_cos: long
    :param default_cos: Configure default Class of Service (CoS)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_mutation: unicode
    :param dscp_mutation: Configure DSCP-to-DSCP mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Configure DSCP-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_cos: unicode
    :param dscp_cos: Configure DSCP-to-COS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_cos_update(self, hundredgigabitethernet=None, default_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_cos: long
    :param default_cos: Configure default Class of Service (CoS)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, default_cos=default_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, default_cos=default_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_cos_mutation_update(self, hundredgigabitethernet=None, cos_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, cos_mutation=cos_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, cos_mutation=cos_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_cos_traffic_class_update(self, hundredgigabitethernet=None, cos_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, cos_traffic_class=cos_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, cos_traffic_class=cos_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_drop_monitor_update(self, hundredgigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type drop_monitor_enable: YANGBool
    :param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, drop_monitor_enable=drop_monitor_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_drop_monitor_enable_update(self, hundredgigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type drop_monitor_enable: YANGBool
    :param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, drop_monitor_enable=drop_monitor_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_dscp_cos_update(self, hundredgigabitethernet=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_cos: unicode
    :param dscp_cos: Configure DSCP-to-COS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_dscp_mutation_update(self, hundredgigabitethernet=None, dscp_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_mutation: unicode
    :param dscp_mutation: Configure DSCP-to-DSCP mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, dscp_mutation=dscp_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, dscp_mutation=dscp_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_dscp_traffic_class_update(self, hundredgigabitethernet=None, dscp_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Configure DSCP-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, dscp_traffic_class=dscp_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, dscp_traffic_class=dscp_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_flowcontrol_link_level_flowcontrol_update(self, hundredgigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_tx: unicode
    :param flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type flowcontrol_rx: unicode
    :param flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_flowcontrol_pfc_update(self, hundredgigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_flowcontrol_pfc_rx_update(self, hundredgigabitethernet=None, pfc=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pfc=pfc, pfc_flowcontrol_rx=pfc_flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pfc=pfc, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_flowcontrol_pfc_tx_update(self, hundredgigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_flowcontrol_rx_update(self, hundredgigabitethernet=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_rx: unicode
    :param flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, flowcontrol_rx=flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_flowcontrol_tx_update(self, hundredgigabitethernet=None, flowcontrol_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_tx: unicode
    :param flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, flowcontrol_tx=flowcontrol_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, flowcontrol_tx=flowcontrol_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_random_detect_traffic_class_update(self, hundredgigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_random_detect_traffic_class_apply_update(self, hundredgigabitethernet=None, traffic_class=None, red_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, traffic_class=traffic_class, red_enable=red_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, traffic_class=traffic_class, red_enable=red_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_random_detect_traffic_class_red_profile_id_update(self, hundredgigabitethernet=None, traffic_class=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_trust_update(self, hundredgigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type trust_dscp: YANGBool
    :param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_trust_cos_update(self, hundredgigabitethernet=None, trust_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, trust_cos=trust_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, trust_cos=trust_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_trust_dscp_update(self, hundredgigabitethernet=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_dscp: YANGBool
    :param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, trust_dscp=trust_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_rmon_collection_history_update(self, hundredgigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: **history_control_entry** tuple argument:  Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: **history_control_entry** tuple argument:  Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: **history_control_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_rmon_collection_history_buckets_update(self, hundredgigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_rmon_collection_history_interval_update(self, hundredgigabitethernet=None, history_control_entry=None, history_control_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry, history_control_interval=history_control_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry, history_control_interval=history_control_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_rmon_collection_history_owner_update(self, hundredgigabitethernet=None, history_control_entry=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry, history_control_owner=history_control_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_rmon_collection_stats_update(self, hundredgigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index, ether_stats_owner
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type ether_stats_owner: unicode
    :param ether_stats_owner: **ether_stats_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_rmon_collection_stats_owner_update(self, hundredgigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_service_policy_update(self, hundredgigabitethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type in_: unicode
    :param in_: Input Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type out: unicode
    :param out: Output Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, in_=in_, out=out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_service_policy_in_update(self, hundredgigabitethernet=None, in_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type in_: unicode
    :param in_: Input Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, in_=in_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, in_=in_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_service_policy_out_update(self, hundredgigabitethernet=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type out: unicode
    :param out: Output Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, out=out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_sflow_update(self, hundredgigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable port sflow

    :type polling_interval: long
    :param polling_interval: Interface counter polling interval

        * range restriction: ::

            ['0..4294967295']

    :type sample_rate: long
    :param sample_rate: Interface sampling rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_sflow_enable_update(self, hundredgigabitethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable port sflow

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_sflow_polling_interval_update(self, hundredgigabitethernet=None, polling_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type polling_interval: long
    :param polling_interval: Interface counter polling interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, polling_interval=polling_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, polling_interval=polling_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_sflow_sample_rate_update(self, hundredgigabitethernet=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sample_rate: long
    :param sample_rate: Interface sampling rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, sample_rate=sample_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_shutdown_update(self, hundredgigabitethernet=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'hundredgigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_snmp_trap_update(self, hundredgigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_snmp_trap_link_status_update(self, hundredgigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_update(self, hundredgigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type autoedge: YANGBool
    :param autoedge: Autoedge - enable automatic edge detection

    :type cost: long
    :param cost: Change an interface's spanning tree port path cost

        * range restriction: ::

            ['0..4294967295']

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type bpdu_mac: unicode
    :param bpdu_mac: Configure VLAN spanning-tree control MAC

        * enumeration restriction: ::

            ['0100.0ccc.cccd', '0304.0800.0700']

    :type link_type: unicode
    :param link_type: Specify a link type for spanning tree protocol

        * enumeration restriction: ::

            ['shared', 'point-to-point']

    :type priority: long
    :param priority: Change an interface's spanning tree port priority

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology change and received topology change notifications

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_autoedge_update(self, hundredgigabitethernet=None, autoedge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type autoedge: YANGBool
    :param autoedge: Autoedge - enable automatic edge detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, autoedge=autoedge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, autoedge=autoedge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_bpdu_mac_update(self, hundredgigabitethernet=None, bpdu_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_mac: unicode
    :param bpdu_mac: Configure VLAN spanning-tree control MAC

        * enumeration restriction: ::

            ['0100.0ccc.cccd', '0304.0800.0700']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, bpdu_mac=bpdu_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, bpdu_mac=bpdu_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_cost_update(self, hundredgigabitethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Change an interface's spanning tree port path cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_edgeport_update(self, hundredgigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type edgeportbasic: YANGBool
    :param edgeportbasic: Edgeport

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_edgeport_bpdu_filter_update(self, hundredgigabitethernet=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_edgeport_bpdu_guard_update(self, hundredgigabitethernet=None, bpdu_guard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, bpdu_guard=bpdu_guard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, bpdu_guard=bpdu_guard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_edgeport_edgeportbasic_update(self, hundredgigabitethernet=None, edgeportbasic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type edgeportbasic: YANGBool
    :param edgeportbasic: Edgeport

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, edgeportbasic=edgeportbasic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, edgeportbasic=edgeportbasic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_guard_update(self, hundredgigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_guard_root_update(self, hundredgigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_hello_time_update(self, hundredgigabitethernet=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_instance_update(self, hundredgigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_instance_cost_update(self, hundredgigabitethernet=None, instance=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, instance=instance, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, instance=instance, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_instance_priority_update(self, hundredgigabitethernet=None, instance=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, instance=instance, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, instance=instance, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_instance_restricted_role_update(self, hundredgigabitethernet=None, instance=None, restricted_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, instance=instance, restricted_role=restricted_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, instance=instance, restricted_role=restricted_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_instance_restricted_tcn_update(self, hundredgigabitethernet=None, instance=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, instance=instance, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, instance=instance, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_link_type_update(self, hundredgigabitethernet=None, link_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_type: unicode
    :param link_type: Specify a link type for spanning tree protocol

        * enumeration restriction: ::

            ['shared', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, link_type=link_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, link_type=link_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_portfast_update(self, hundredgigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type portfastbasic: YANGBool
    :param portfastbasic: Enable an interface to move directly to forwarding on link up

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_portfast_bpdu_filter_update(self, hundredgigabitethernet=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_portfast_bpdu_guard_update(self, hundredgigabitethernet=None, bpdu_guard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, bpdu_guard=bpdu_guard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, bpdu_guard=bpdu_guard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_portfast_portfastbasic_update(self, hundredgigabitethernet=None, portfastbasic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type portfastbasic: YANGBool
    :param portfastbasic: Enable an interface to move directly to forwarding on link up

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, portfastbasic=portfastbasic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, portfastbasic=portfastbasic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_priority_update(self, hundredgigabitethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Change an interface's spanning tree port priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_restricted_role_update(self, hundredgigabitethernet=None, restricted_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, restricted_role=restricted_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, restricted_role=restricted_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_restricted_tcn_update(self, hundredgigabitethernet=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology change and received topology change notifications

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_shutdown_update(self, hundredgigabitethernet=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_vlan_update(self, hundredgigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, cost=cost, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_vlan_cost_update(self, hundredgigabitethernet=None, vlan=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_vlan_guard_update(self, hundredgigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_vlan_guard_root_update(self, hundredgigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_vlan_priority_update(self, hundredgigabitethernet=None, vlan=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_storm_control_ingress_update(self, hundredgigabitethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type, rate_format, rate_bps, rate_percent, bum_action
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    :type rate_format: unicode
    :param rate_format: **ingress** tuple argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: **ingress** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: **ingress** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: **ingress** tuple argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_storm_control_ingress_bum_action_update(self, hundredgigabitethernet=None, ingress=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress, bum_action=bum_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_storm_control_ingress_rate_bps_update(self, hundredgigabitethernet=None, ingress=None, rate_bps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress, rate_bps=rate_bps)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress, rate_bps=rate_bps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_storm_control_ingress_rate_format_update(self, hundredgigabitethernet=None, ingress=None, rate_format=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress, rate_format=rate_format)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress, rate_format=rate_format)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_storm_control_ingress_rate_percent_update(self, hundredgigabitethernet=None, ingress=None, rate_percent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress, rate_percent=rate_percent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress, rate_percent=rate_percent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_update(self, hundredgigabitethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport_basic', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport_basic', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_access_update(self, hundredgigabitethernet=None, accessvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type accessvlan: long
    :param accessvlan: Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.access', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.access', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, accessvlan=accessvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, accessvlan=accessvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_access_rspan_access_update(self, hundredgigabitethernet=None, rspan_access_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rspan_access_vlan: long
    :param rspan_access_vlan: Specify rspan-vlan id to set as access vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.access.rspan_access', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, rspan_access_vlan=rspan_access_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, rspan_access_vlan=rspan_access_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_basic_update(self, hundredgigabitethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport_basic', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport_basic', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_mode_update(self, hundredgigabitethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk-no-default-native', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.mode', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.mode', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_mode_private_vlan_update(self, hundredgigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type promiscuous: YANGBool
    :param promiscuous: Set the Layer2 interface as private-vlan promiscuous

    :type host: YANGBool
    :param host: Set the Layer2 interface as private-vlan host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, promiscuous=promiscuous, host=host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_mode_private_vlan_host_update(self, hundredgigabitethernet=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host: YANGBool
    :param host: Set the Layer2 interface as private-vlan host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, host=host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_mode_private_vlan_promiscuous_update(self, hundredgigabitethernet=None, promiscuous=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type promiscuous: YANGBool
    :param promiscuous: Set the Layer2 interface as private-vlan promiscuous

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, promiscuous=promiscuous)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, promiscuous=promiscuous)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_mode_private_vlan_trunk_update(self, hundredgigabitethernet=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_basic: YANGBool
    :param trunk_basic: Keyword argument.

    :type trunk_promiscuous: YANGBool
    :param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous

    :type trunk_host: YANGBool
    :param trunk_host: Set the Layer2 interface as private-vlan trunk host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_mode_private_vlan_trunk_host_update(self, hundredgigabitethernet=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_host: YANGBool
    :param trunk_host: Set the Layer2 interface as private-vlan trunk host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, trunk_host=trunk_host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_mode_private_vlan_trunk_promiscuous_update(self, hundredgigabitethernet=None, trunk_promiscuous=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_promiscuous: YANGBool
    :param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, trunk_promiscuous=trunk_promiscuous)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, trunk_promiscuous=trunk_promiscuous)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_mode_private_vlan_trunk_trunk_basic_update(self, hundredgigabitethernet=None, trunk_basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_basic: YANGBool
    :param trunk_basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, trunk_basic=trunk_basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, trunk_basic=trunk_basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_mode_vlan_mode_update(self, hundredgigabitethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk-no-default-native', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.mode', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.mode', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_port_security_max_update(self, hundredgigabitethernet=None, port_sec_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_max: long
    :param port_sec_max: Maximum number of allowed MACs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, port_sec_max=port_sec_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, port_sec_max=port_sec_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_port_security_shutdown_time_update(self, hundredgigabitethernet=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown_time: long
    :param shutdown_time: Shutdown time for port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, shutdown_time=shutdown_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_port_security_sticky_update(self, hundredgigabitethernet=None, sticky_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sticky_flag: YANGBool
    :param sticky_flag: Sticky Flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.port_security.sticky', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, sticky_flag=sticky_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, sticky_flag=sticky_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_port_security_sticky_sticky_flag_update(self, hundredgigabitethernet=None, sticky_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sticky_flag: YANGBool
    :param sticky_flag: Sticky Flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.port_security.sticky', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, sticky_flag=sticky_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, sticky_flag=sticky_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_port_security_violation_update(self, hundredgigabitethernet=None, port_sec_violation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_violation: unicode
    :param port_sec_violation: Set the action on violation

        * enumeration restriction: ::

            ['restrict', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, port_sec_violation=port_sec_violation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, port_sec_violation=port_sec_violation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_host_association_update(self, hundredgigabitethernet=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host_pri_pvlan: long
    :param host_pri_pvlan: Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type host_sec_pvlan: long
    :param host_sec_pvlan: Secondary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'host_pri_pvlan, host_sec_pvlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_host_association_host_pri_pvlan_update(self, hundredgigabitethernet=None, host_pri_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host_pri_pvlan: long
    :param host_pri_pvlan: Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, host_pri_pvlan=host_pri_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, host_pri_pvlan=host_pri_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_host_association_host_sec_pvlan_update(self, hundredgigabitethernet=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host_sec_pvlan: long
    :param host_sec_pvlan: Secondary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, host_sec_pvlan=host_sec_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_mapping_update(self, hundredgigabitethernet=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan, oper, promis_sec_pvlan_range
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type oper: unicode
    :param oper: **mapping** tuple argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: **mapping** tuple argument:  Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_mapping_oper_update(self, hundredgigabitethernet=None, mapping=None, oper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mapping=mapping, oper=oper)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mapping=mapping, oper=oper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_mapping_promis_sec_pvlan_range_update(self, hundredgigabitethernet=None, mapping=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, mapping=mapping, promis_sec_pvlan_range=promis_sec_pvlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mapping=mapping, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_update(self, hundredgigabitethernet=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_all: YANGBool
    :param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface

    :type pvlan_none: YANGBool
    :param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface

    :type pvlan_add: unicode
    :param pvlan_add: Add a VLAN to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type pvlan_except: unicode
    :param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type pvlan_remove: unicode
    :param pvlan_remove: Remove a VLAN that Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_all_update(self, hundredgigabitethernet=None, pvlan_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_all: YANGBool
    :param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_all=pvlan_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_all=pvlan_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_except_update(self, hundredgigabitethernet=None, pvlan_except=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_except: unicode
    :param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_except=pvlan_except)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_except=pvlan_except)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_none_update(self, hundredgigabitethernet=None, pvlan_none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_none: YANGBool
    :param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_none=pvlan_none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_none=pvlan_none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_native_update(self, hundredgigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlanNativevlan: long
    :param pvlanNativevlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pvlan_native_vlan_ctag_id: long
    :param pvlan_native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_native_ctag_update(self, hundredgigabitethernet=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_native_vlan_ctag_id: long
    :param pvlan_native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_native_vlan_update(self, hundredgigabitethernet=None, pvlanNativevlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlanNativevlan: long
    :param pvlanNativevlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pvlanNativevlan=pvlanNativevlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pvlanNativevlan=pvlanNativevlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_tag_update(self, hundredgigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_tag_native_vlan: YANGBool
    :param pvlan_tag_native_vlan: Set the Private-Vlan native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_tag_native_vlan_update(self, hundredgigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_tag_native_vlan: YANGBool
    :param pvlan_tag_native_vlan: Set the Private-Vlan native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_rspan_vlan_update(self, hundredgigabitethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_rspan_trunk_vlan: unicode
    :param add_rspan_trunk_vlan: Specify rspan-vlan id

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_rspan_trunk_vlan: unicode
    :param remove_rspan_trunk_vlan: Specify the rspan vlans to be removed

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_update(self, hundredgigabitethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type none: YANGBool
    :param none: Allow no Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type add_: unicode
    :param add_: Allow these VLANs to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..20000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Remove a VLAN range that Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_add_update(self, hundredgigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_add_ctag_update(self, hundredgigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_all_update(self, hundredgigabitethernet=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_except_update(self, hundredgigabitethernet=None, except_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, except_=except_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, except_=except_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_none_update(self, hundredgigabitethernet=None, none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type none: YANGBool
    :param none: Allow no Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, none=none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, none=none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_remove_update(self, hundredgigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_remove_ctag_update(self, hundredgigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, hundredgigabitethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, add_=add_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, hundredgigabitethernet=None, add_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, add_=add_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, add_=add_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlanoper_vlan_remove_update(self, hundredgigabitethernet=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_: unicode
    :param remove_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_ctag_update(self, hundredgigabitethernet=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_ctag_native_vlan_xtagged_config_update(self, hundredgigabitethernet=None, native_vlan_ctag_id_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_ctag_id_xtagged: long
    :param native_vlan_ctag_id_xtagged: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_default_vlan_update(self, hundredgigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_transparent_vlan: long
    :param default_transparent_vlan: default transparent vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, default_transparent_vlan=default_transparent_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_default_vlan_config_update(self, hundredgigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_transparent_vlan: long
    :param default_transparent_vlan: default transparent vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_transparent_vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, default_transparent_vlan=default_transparent_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_egress_update(self, hundredgigabitethernet=None, native_vlan_egress_type_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_egress_type_xtagged: unicode
    :param native_vlan_egress_type_xtagged: Keyword argument.

        * enumeration restriction: ::

            ['untagged', 'tagged', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_native_vlan_update(self, hundredgigabitethernet=None, native_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untaggedtraffic

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id=native_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id=native_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_native_vlan_classification_update(self, hundredgigabitethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untaggedtraffic

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id, native_vlan_ctag_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_native_vlan_untagged_update(self, hundredgigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_untagged: long
    :param native_vlan_id_untagged: Set the interface to accept onlyuntagged native-vlan traffic on ingress anduntagged native-vlan traffic on egress.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_native_vlan_untagged_config_update(self, hundredgigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_untagged: long
    :param native_vlan_id_untagged: Set the interface to accept onlyuntagged native-vlan traffic on ingress anduntagged native-vlan traffic on egress.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_untagged'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_native_vlan_xtagged_update(self, hundredgigabitethernet=None, native_vlan_id_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_xtagged: long
    :param native_vlan_id_xtagged: Set the interface to accepttagged|untagged native-vlan traffic on ingress andegress as specified by the user.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_native_vlan_xtagged_config_update(self, hundredgigabitethernet=None, native_vlan_id_xtagged=None, native_vlan_ctag_id_xtagged=None, native_vlan_egress_type_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_xtagged: long
    :param native_vlan_id_xtagged: Set the interface to accepttagged|untagged native-vlan traffic on ingress andegress as specified by the user.

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_ctag_id_xtagged: long
    :param native_vlan_ctag_id_xtagged: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_egress_type_xtagged: unicode
    :param native_vlan_egress_type_xtagged: Keyword argument.

        * enumeration restriction: ::

            ['untagged', 'tagged', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_xtagged, native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_tag_native_vlan_update(self, hundredgigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan: YANGBool
    :param native_vlan: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan=native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_track_update(self, hundredgigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_enable: YANGBool
    :param track_enable: Enable tracking interface

    :type min_link: long
    :param min_link: Min link

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, track_enable=track_enable, min_link=min_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_track_enable_update(self, hundredgigabitethernet=None, track_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_enable: YANGBool
    :param track_enable: Enable tracking interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, track_enable=track_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, track_enable=track_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_track_min_link_update(self, hundredgigabitethernet=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_link: long
    :param min_link: Min link

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, min_link=min_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_track_remove_update(self, hundredgigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_all_track_interfaces: YANGBool
    :param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_track_remove_all_update(self, hundredgigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_all_track_interfaces: YANGBool
    :param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_tunable_optics_sfpp_update(self, hundredgigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type channel: long
    :param channel: Channel configuration.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, channel=channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_tunable_optics_sfpp_channel_update(self, hundredgigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type channel: long
    :param channel: Channel configuration.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, channel=channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_udld_update(self, hundredgigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type udld_enable: YANGBool
    :param udld_enable: Enable UDLD protocol on the Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.udld', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.udld', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, udld_enable=udld_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_udld_enable_update(self, hundredgigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type udld_enable: YANGBool
    :param udld_enable: Enable UDLD protocol on the Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.udld', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.udld', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, udld_enable=udld_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vlan_classifier_activate_group_update(self, hundredgigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type group: groupid, vlan
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan: long
    :param vlan: **group** tuple argument:  1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, group=group, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vlan_classifier_activate_group_vlan_update(self, hundredgigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type group: groupid
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, group=group, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrf_update(self, hundredgigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrf_forwarding_update(self, hundredgigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_update(self, hundredgigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_advertisement_interval_update(self, hundredgigabitethernet=None, vrrp=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_arp_unicast_request_update(self, hundredgigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_arp_unicast_request_receive_update(self, hundredgigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_description_update(self, hundredgigabitethernet=None, vrrp=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_enable_update(self, hundredgigabitethernet=None, vrrp=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_hold_time_update(self, hundredgigabitethernet=None, vrrp=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_preempt_mode_update(self, hundredgigabitethernet=None, vrrp=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_priority_update(self, hundredgigabitethernet=None, vrrp=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_track_interface_update(self, hundredgigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_track_interface_priority_update(self, hundredgigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_use_v2_checksum_update(self, hundredgigabitethernet=None, vrrp=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_update(self, loopback=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shut down interface loopback port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'loopback', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback": {"id": "id"}, "pybind.slxos.v16r_1_00b.routing_system.interface.loopback": {}, "pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback": {"id": "id"}, "pybind.slxos.v17r_1_00a.routing_system.interface.loopback": {}, "pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback": {"id": "id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_multicast_boundary_update(self, loopback=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_update(self, loopback=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type intf_ldp_sync: unicode
    :param intf_ldp_sync: Set LDP-SYNC operation mode on this interface

        * enumeration restriction: ::

            ['enable', 'disable']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_active_update(self, loopback=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_area_update(self, loopback=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, area=area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_auth_change_wait_time_update(self, loopback=None, auth_change_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, auth_change_wait_time=auth_change_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, auth_change_wait_time=auth_change_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_authentication_key_auth_key_update(self, loopback=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_authentication_key_auth_key_table_update(self, loopback=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'encrypttype, auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, encrypttype=encrypttype, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_authentication_key_encrypttype_update(self, loopback=None, encrypttype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, encrypttype=encrypttype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, encrypttype=encrypttype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_authentication_key_no_encrypt_auth_key_update(self, loopback=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_authentication_key_no_encrypt_auth_key_table_update(self, loopback=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_bfd_update(self, loopback=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_bfd_intf_bfd_enable_update(self, loopback=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_cost_update(self, loopback=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_database_filter_update(self, loopback=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.database_filter', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_database_filter_all_external_update(self, loopback=None, all_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.database_filter', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, all_external=all_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, all_external=all_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_database_filter_all_out_update(self, loopback=None, all_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.database_filter', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, all_out=all_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, all_out=all_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_database_filter_all_summary_external_update(self, loopback=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.database_filter', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_dead_interval_update(self, loopback=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_hello_interval_update(self, loopback=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_ldp_sync_update(self, loopback=None, intf_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intf_ldp_sync: unicode
    :param intf_ldp_sync: Set LDP-SYNC operation mode on this interface

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, intf_ldp_sync=intf_ldp_sync)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, intf_ldp_sync=intf_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_md5_authentication_update(self, loopback=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_md5_authentication_key_activation_wait_time_update(self, loopback=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_md5_authentication_key_id_update(self, loopback=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type md5_authentication_key: unicode
    :param md5_authentication_key: MD5 authentication ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_md5_authentication_key_id_key_update(self, loopback=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_md5_authentication_key_id_key_id_update(self, loopback=None, key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, key_id=key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, key_id=key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_md5_authentication_no_encrypt_key_update(self, loopback=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_md5_authentication_no_encrypt_key_id_update(self, loopback=None, no_encrypt_key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, no_encrypt_key_id=no_encrypt_key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, no_encrypt_key_id=no_encrypt_key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_md5_authentication_no_encrypt_key_table_update(self, loopback=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_mtu_ignore_update(self, loopback=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_network_update(self, loopback=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_passive_update(self, loopback=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_priority_update(self, loopback=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_retransmit_interval_update(self, loopback=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_transmit_delay_update(self, loopback=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_pim_update(self, loopback=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type ttl_threshold: long
    :param ttl_threshold: Set TTL threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_pim_dr_priority_update(self, loopback=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_pim_int_cmd_update(self, loopback=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_pim_neighbor_filter_update(self, loopback=None, neighbor_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, neighbor_filter=neighbor_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, neighbor_filter=neighbor_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_pim_sparse_update(self, loopback=None, pim_sparse=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, pim_sparse=pim_sparse)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, pim_sparse=pim_sparse)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_pim_ttl_threshold_update(self, loopback=None, ttl_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ttl_threshold: long
    :param ttl_threshold: Set TTL threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, ttl_threshold=ttl_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, ttl_threshold=ttl_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_router_update(self, loopback=None, interface_ip_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ip_router_isis: YANGBool
    :param interface_ip_router_isis: Enable IS-IS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_ip_router_isis=interface_ip_router_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_ip_router_isis=interface_ip_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_router_isis_update(self, loopback=None, interface_ip_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ip_router_isis: YANGBool
    :param interface_ip_router_isis: Enable IS-IS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_ip_router_isis=interface_ip_router_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_ip_router_isis=interface_ip_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_address_update(self, loopback=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.ipv6_config.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_address_ipv6_address_update(self, loopback=None, ipv6_address=None, eui64=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, eui64, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type eui64: YANGBool
    :param eui64: **ipv6_address** tuple argument:  Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, ipv6_address=ipv6_address, eui64=eui64, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, ipv6_address=ipv6_address, eui64=eui64, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_address_ipv6_address_anycast_update(self, loopback=None, ipv6_address=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, ipv6_address=ipv6_address, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, ipv6_address=ipv6_address, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_address_ipv6_address_eui_64_update(self, loopback=None, ipv6_address=None, eui64=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, ipv6_address=ipv6_address, eui64=eui64)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, ipv6_address=ipv6_address, eui64=eui64)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_address_link_local_update(self, loopback=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_address_link_local_address_update(self, loopback=None, link_local_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, link_local_address=link_local_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, link_local_address=link_local_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_address_link_local_config_update(self, loopback=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'link_local_address, link_local'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, link_local_address=link_local_address, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_address_use_link_local_only_update(self, loopback=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.ipv6_config.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_update(self, loopback=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_active_update(self, loopback=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_area_update(self, loopback=None, interface_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_area=interface_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_area=interface_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_ah_update(self, loopback=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_esp_update(self, loopback=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_esp_auth_update(self, loopback=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_esp_key_update(self, loopback=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_esp_no_encrypt_update(self, loopback=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_ipsec_update(self, loopback=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_ipsec_auth_key_config_update(self, loopback=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_ipsec_disable_update(self, loopback=None, ipsec_authentication_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, loopback=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_key_update(self, loopback=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_no_encrypt_update(self, loopback=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_spi_update(self, loopback=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_bfd_update(self, loopback=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_bfd_bfd_enable_update(self, loopback=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_cost_update(self, loopback=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_dead_interval_update(self, loopback=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_hello_interval_update(self, loopback=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_hello_jitter_update(self, loopback=None, hello_jitter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, hello_jitter=hello_jitter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, hello_jitter=hello_jitter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_instance_update(self, loopback=None, instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, instance=instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, instance=instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_link_interval_properties_update(self, loopback=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_mtu_ignore_update(self, loopback=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_network_update(self, loopback=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_passive_update(self, loopback=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_priority_update(self, loopback=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_retransmit_interval_update(self, loopback=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_suppress_linklsa_update(self, loopback=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_transmit_delay_update(self, loopback=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_router_update(self, loopback=None, interface_ipv6_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ipv6_router_isis: YANGBool
    :param interface_ipv6_router_isis: Enable IS-IS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_ipv6_router_isis=interface_ipv6_router_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_ipv6_router_isis=interface_ipv6_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_router_isis_update(self, loopback=None, interface_ipv6_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ipv6_router_isis: YANGBool
    :param interface_ipv6_router_isis: Enable IS-IS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_ipv6_router_isis=interface_ipv6_router_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_ipv6_router_isis=interface_ipv6_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_update(self, loopback=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type circuit_type: unicode
    :param circuit_type: Define inter-area/intra area operation mode

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    :type interface_point_to_point: YANGBool
    :param interface_point_to_point: Point-to-point interface for ISIS operation

    :type interface_passive: YANGBool
    :param interface_passive: Passive interface for ISIS operation

    :type interface_ldp_sync: unicode
    :param interface_ldp_sync: Set LDP-SYNC operation mode on this interface

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_check_level_1_update(self, loopback=None, interface_auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_check_level1_disable: YANGBool
    :param interface_auth_check_level1_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_auth_check_level1_disable=interface_auth_check_level1_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_check_level_1_disable_update(self, loopback=None, interface_auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_check_level1_disable: YANGBool
    :param interface_auth_check_level1_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_auth_check_level1_disable=interface_auth_check_level1_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_check_level_2_update(self, loopback=None, interface_auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_check_level2_disable: YANGBool
    :param interface_auth_check_level2_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_auth_check_level2_disable=interface_auth_check_level2_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_check_level_2_disable_update(self, loopback=None, interface_auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_check_level2_disable: YANGBool
    :param interface_auth_check_level2_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_auth_check_level2_disable=interface_auth_check_level2_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_key_update(self, loopback=None, interface_auth_key=None, interface_auth_key_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_auth_key: interface_auth_key_level, interface_auth_key_str
    :param interface_auth_key: Keyword argument tuple.

    :type interface_auth_key_level: unicode
    :param interface_auth_key_level: **interface_auth_key** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: **interface_auth_key** tuple argument.

        * length restriction: ::

            ['1..63']

    **Instance Argument(s)**:

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_key_interface_auth_key_str_update(self, loopback=None, interface_auth_key=None, interface_auth_key_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_auth_key: interface_auth_key_level
    :param interface_auth_key: Keyword argument tuple.

    :type interface_auth_key_level: unicode
    :param interface_auth_key_level: **interface_auth_key** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_mode_md5_update(self, loopback=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_mode_md5_level1: YANGBool
    :param interface_auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP

    :type interface_auth_mode_md5_level2: YANGBool
    :param interface_auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_mode_md5_level_1_update(self, loopback=None, interface_auth_mode_md5_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_mode_md5_level1: YANGBool
    :param interface_auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_mode_md5_level_2_update(self, loopback=None, interface_auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_mode_md5_level2: YANGBool
    :param interface_auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_bfd_update(self, loopback=None, interface_bfd_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_bfd_disable: YANGBool
    :param interface_bfd_disable: Disable BFD operation mode on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_bfd": {}, "pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_bfd": {"interface_bfd_disable": "interface_bfd_disable"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_bfd_disable=interface_bfd_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_bfd_disable=interface_bfd_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_bfd_disable_update(self, loopback=None, interface_bfd_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_bfd_disable: YANGBool
    :param interface_bfd_disable: Disable BFD operation mode on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_bfd_disable=interface_bfd_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_bfd_disable=interface_bfd_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_bfd_interface_bfd_enable_update(self, loopback=None, interface_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_bfd_enable: YANGBool
    :param interface_bfd_enable: Enable BFD operation mode on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_bfd_enable=interface_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_bfd_enable=interface_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_circuit_type_update(self, loopback=None, circuit_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type circuit_type: unicode
    :param circuit_type: Define inter-area/intra area operation mode

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, circuit_type=circuit_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, circuit_type=circuit_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_hello_interval_update(self, loopback=None, interface_hello_interval=None, interface_hello_interval_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_hello_interval: interface_hello_interval_level, interface_hello_interval_val
    :param interface_hello_interval: Keyword argument tuple.

    :type interface_hello_interval_level: unicode
    :param interface_hello_interval_level: **interface_hello_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: **interface_hello_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_hello_interval_interface_hello_interval_val_update(self, loopback=None, interface_hello_interval=None, interface_hello_interval_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_hello_interval: interface_hello_interval_level
    :param interface_hello_interval: Keyword argument tuple.

    :type interface_hello_interval_level: unicode
    :param interface_hello_interval_level: **interface_hello_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_hello_multiplier_update(self, loopback=None, interface_hello_multiplier=None, interface_hello_multiplier_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_hello_multiplier: interface_hello_multiplier_level, interface_hello_multiplier_val
    :param interface_hello_multiplier: Keyword argument tuple.

    :type interface_hello_multiplier_level: unicode
    :param interface_hello_multiplier_level: **interface_hello_multiplier** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: **interface_hello_multiplier** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_hello_multiplier_interface_hello_multiplier_val_update(self, loopback=None, interface_hello_multiplier=None, interface_hello_multiplier_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_hello_multiplier: interface_hello_multiplier_level
    :param interface_hello_multiplier: Keyword argument tuple.

    :type interface_hello_multiplier_level: unicode
    :param interface_hello_multiplier_level: **interface_hello_multiplier** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_hello_padding_update(self, loopback=None, interface_hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_padding_disable: YANGBool
    :param interface_hello_padding_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_hello_padding_disable=interface_hello_padding_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_hello_padding_disable=interface_hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_hello_padding_disable_update(self, loopback=None, interface_hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_padding_disable: YANGBool
    :param interface_hello_padding_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_hello_padding_disable=interface_hello_padding_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_hello_padding_disable=interface_hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_ipv6_metric_update(self, loopback=None, interface_ipv6_metric=None, interface_ipv6_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_ipv6_metric: interface_ipv6_metric_level, interface_ipv6_metric_val
    :param interface_ipv6_metric: Keyword argument tuple.

    :type interface_ipv6_metric_level: unicode
    :param interface_ipv6_metric_level: **interface_ipv6_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: **interface_ipv6_metric** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_ipv6_metric_interface_ipv6_metric_val_update(self, loopback=None, interface_ipv6_metric=None, interface_ipv6_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_ipv6_metric: interface_ipv6_metric_level
    :param interface_ipv6_metric: Keyword argument tuple.

    :type interface_ipv6_metric_level: unicode
    :param interface_ipv6_metric_level: **interface_ipv6_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_ldp_sync_update(self, loopback=None, interface_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ldp_sync: unicode
    :param interface_ldp_sync: Set LDP-SYNC operation mode on this interface

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_ldp_sync=interface_ldp_sync)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_ldp_sync=interface_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_metric_update(self, loopback=None, interface_metric=None, interface_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_metric: interface_metric_level, interface_metric_val
    :param interface_metric: Keyword argument tuple.

    :type interface_metric_level: unicode
    :param interface_metric_level: **interface_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_metric_val: long
    :param interface_metric_val: **interface_metric** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_metric_val: long
    :param interface_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_metric=interface_metric, interface_metric_val=interface_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_metric=interface_metric, interface_metric_val=interface_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_metric_interface_metric_val_update(self, loopback=None, interface_metric=None, interface_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_metric: interface_metric_level
    :param interface_metric: Keyword argument tuple.

    :type interface_metric_level: unicode
    :param interface_metric_level: **interface_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_metric_val: long
    :param interface_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_metric=interface_metric, interface_metric_val=interface_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_metric=interface_metric, interface_metric_val=interface_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_passive_update(self, loopback=None, interface_passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_passive: YANGBool
    :param interface_passive: Passive interface for ISIS operation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_passive=interface_passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_passive=interface_passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_point_to_point_update(self, loopback=None, interface_point_to_point=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_point_to_point: YANGBool
    :param interface_point_to_point: Point-to-point interface for ISIS operation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_point_to_point=interface_point_to_point)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_point_to_point=interface_point_to_point)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_priority_update(self, loopback=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_priority_level1: long
    :param interface_priority_level1: Priority for Level-1 ISIS Router

        * range restriction: ::

            ['0..4294967295']

    :type interface_priority_level2: long
    :param interface_priority_level2: Priority for Level-2 ISIS Router

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_priority_level_1_update(self, loopback=None, interface_priority_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_priority_level1: long
    :param interface_priority_level1: Priority for Level-1 ISIS Router

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_priority_level1=interface_priority_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_priority_level1=interface_priority_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_priority_level_2_update(self, loopback=None, interface_priority_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_priority_level2: long
    :param interface_priority_level2: Priority for Level-2 ISIS Router

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, interface_priority_level2=interface_priority_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_priority_level2=interface_priority_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_reverse_metric_rev_metric_common_attributes_update(self, loopback=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rev_metric_val: long
    :param rev_metric_val: Configure IS-IS reverse metric value

        * range restriction: ::

            ['0..4294967295']

    :type rev_metric_whole_lan: YANGBool
    :param rev_metric_whole_lan: Change metric for whole LAN

    :type rev_metric_te_def_metric: YANGBool
    :param rev_metric_te_def_metric: Update TE default metric sub-tlv

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_reverse_metric_rev_metric_val_update(self, loopback=None, rev_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rev_metric_val: long
    :param rev_metric_val: Configure IS-IS reverse metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, rev_metric_val=rev_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, rev_metric_val=rev_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_reverse_metric_te_def_metric_update(self, loopback=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rev_metric_te_def_metric: YANGBool
    :param rev_metric_te_def_metric: Update TE default metric sub-tlv

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, rev_metric_te_def_metric=rev_metric_te_def_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_reverse_metric_whole_lan_update(self, loopback=None, rev_metric_whole_lan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rev_metric_whole_lan: YANGBool
    :param rev_metric_whole_lan: Change metric for whole LAN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, rev_metric_whole_lan=rev_metric_whole_lan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, rev_metric_whole_lan=rev_metric_whole_lan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_shutdown_update(self, loopback=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shut down interface loopback port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.intf_loopback', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.intf_loopback', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.intf_loopback', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.intf_loopback": {"shutdown": "shutdown"}, "pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.intf_loopback": {"shutdown": "shutdown"}, "pybind.slxos.v16r_1_00b.routing_system.interface.loopback": {}, "pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.intf_loopback": {"shutdown": "shutdown"}, "pybind.slxos.v17r_1_00a.routing_system.interface.loopback": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_vrf_update(self, loopback=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_vrf_forwarding_update(self, loopback=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.loopback.vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_update(self, management=None, speed=None, shutdown_management=None, shutdown_management_oper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type speed: unicode
    :param speed: Set interface speed parameter

        * enumeration restriction: ::

            ['auto', '100', '10']

    :type shutdown_management: YANGBool
    :param shutdown_management: Shutdown this management interface.

    :type shutdown_management_oper: unicode
    :param shutdown_management_oper: Show the status of this management interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.management', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'management', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, speed=speed, shutdown_management=shutdown_management, shutdown_management_oper=shutdown_management_oper)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, speed=speed, shutdown_management=shutdown_management, shutdown_management_oper=shutdown_management_oper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_access_group_update(self, management=None, mgmt_ip_access_list=None, mgmt_ip_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type mgmt_ip_access_list: unicode
    :param mgmt_ip_access_list: ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mgmt_ip_direction: unicode
    :param mgmt_ip_direction: Keyword argument.

        * enumeration restriction: ::

            ['in']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'mgmt_ip_access_list, mgmt_ip_direction'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, mgmt_ip_access_list=mgmt_ip_access_list, mgmt_ip_direction=mgmt_ip_direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, mgmt_ip_access_list=mgmt_ip_access_list, mgmt_ip_direction=mgmt_ip_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_access_group_mgmt_ip_access_list_update(self, management=None, mgmt_ip_access_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type mgmt_ip_access_list: unicode
    :param mgmt_ip_access_list: ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, mgmt_ip_access_list=mgmt_ip_access_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, mgmt_ip_access_list=mgmt_ip_access_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_access_group_mgmt_ip_direction_update(self, management=None, mgmt_ip_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type mgmt_ip_direction: unicode
    :param mgmt_ip_direction: Keyword argument.

        * enumeration restriction: ::

            ['in']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, mgmt_ip_direction=mgmt_ip_direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, mgmt_ip_direction=mgmt_ip_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_address_update(self, management=None, dhcp=None, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type dhcp: YANGBool
    :param dhcp: DHCP is enabled or not.

    :type ip_address: unicode
    :param ip_address: IP address for this management interface.

        * pattern restriction: ::

            '((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6'
            '-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2('
            '([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?)'
            ')/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, dhcp=dhcp, ip_address=ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, dhcp=dhcp, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_address_dhcp_update(self, management=None, dhcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type dhcp: YANGBool
    :param dhcp: DHCP is enabled or not.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, dhcp=dhcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, dhcp=dhcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_address_ip_address_update(self, management=None, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: IP address for this management interface.

        * pattern restriction: ::

            '((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6'
            '-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2('
            '([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?)'
            ')/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, ip_address=ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_address_ip_address_oper_address_update(self, management=None, oper_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type oper_ip_address: unicode
    :param oper_ip_address: The assigned IPv4 address.

        * pattern restriction: ::

            '((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6'
            '-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2('
            '([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?)'
            ')/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.oper_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.oper_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.oper_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.oper_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.oper_address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, oper_ip_address=oper_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, oper_ip_address=oper_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_address_oper_address_update(self, management=None, oper_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type oper_ip_address: unicode
    :param oper_ip_address: The assigned IPv4 address.

        * pattern restriction: ::

            '((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6'
            '-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2('
            '([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?)'
            ')/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.oper_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.oper_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.oper_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.oper_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.oper_address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, oper_ip_address=oper_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, oper_ip_address=oper_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_gateway_update(self, management=None, gateway_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type gateway_address: unicode
    :param gateway_address: The gateway IP address for this managementinterface.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.gateway', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.gateway', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, gateway_address=gateway_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, gateway_address=gateway_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_gateway_address_update(self, management=None, gateway_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type gateway_address: unicode
    :param gateway_address: The gateway IP address for this managementinterface.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.gateway', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.gateway', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, gateway_address=gateway_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, gateway_address=gateway_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_gateway_address_oper_gateway_con_update(self, management=None, oper_gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type oper_gateway: unicode
    :param oper_gateway: The assigned gateway address.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.oper_gateway_con', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.oper_gateway_con', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.oper_gateway_con', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.oper_gateway_con', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.oper_gateway_con', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, oper_gateway=oper_gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, oper_gateway=oper_gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_icmp_update(self, management=None, unreachable=None, echo_reply=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: To enable generating ICMP Destination Unreachable message.

    :type echo_reply: YANGBool
    :param echo_reply: To enable sending ICMP Echo Reply in response Echo Request.

    :type rate_limiting: long
    :param rate_limiting: To enable ICMP incoming packet response rate limiting

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.icmp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, unreachable=unreachable, echo_reply=echo_reply, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, unreachable=unreachable, echo_reply=echo_reply, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_icmp_echo_reply_update(self, management=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: To enable sending ICMP Echo Reply in response Echo Request.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.icmp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_icmp_rate_limiting_update(self, management=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: To enable ICMP incoming packet response rate limiting

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.icmp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_icmp_unreachable_update(self, management=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: To enable generating ICMP Destination Unreachable message.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.icmp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ip_oper_gateway_con_update(self, management=None, oper_gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type oper_gateway: unicode
    :param oper_gateway: The assigned gateway address.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ip.oper_gateway_con', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ip.oper_gateway_con', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ip.oper_gateway_con', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.oper_gateway_con', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ip.oper_gateway_con', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, oper_gateway=oper_gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, oper_gateway=oper_gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_access_group_update(self, management=None, mgmt_ipv6_access_list=None, mgmt_ip_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type mgmt_ipv6_access_list: unicode
    :param mgmt_ipv6_access_list: ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mgmt_ip_direction: unicode
    :param mgmt_ip_direction: Keyword argument.

        * enumeration restriction: ::

            ['in']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ipv6.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'mgmt_ipv6_access_list, mgmt_ip_direction'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, mgmt_ipv6_access_list=mgmt_ipv6_access_list, mgmt_ip_direction=mgmt_ip_direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, mgmt_ipv6_access_list=mgmt_ipv6_access_list, mgmt_ip_direction=mgmt_ip_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_access_group_mgmt_ip_direction_update(self, management=None, mgmt_ip_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type mgmt_ip_direction: unicode
    :param mgmt_ip_direction: Keyword argument.

        * enumeration restriction: ::

            ['in']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ipv6.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, mgmt_ip_direction=mgmt_ip_direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, mgmt_ip_direction=mgmt_ip_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_access_group_mgmt_ipv6_access_list_update(self, management=None, mgmt_ipv6_access_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type mgmt_ipv6_access_list: unicode
    :param mgmt_ipv6_access_list: ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ipv6.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, mgmt_ipv6_access_list=mgmt_ipv6_access_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, mgmt_ipv6_access_list=mgmt_ipv6_access_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_address_update(self, management=None, autoconfig=None, dhcpv6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type autoconfig: YANGBool
    :param autoconfig: Auto-configuration enabling.

    :type dhcpv6: YANGBool
    :param dhcpv6: ipv6 DHCP enabling

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.ipv6_address_cont', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ipv6.ipv6_address_cont', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, autoconfig=autoconfig, dhcpv6=dhcpv6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, autoconfig=autoconfig, dhcpv6=dhcpv6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_address_autoconfig_update(self, management=None, autoconfig=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type autoconfig: YANGBool
    :param autoconfig: Auto-configuration enabling.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.ipv6_address_cont', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ipv6.ipv6_address_cont', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, autoconfig=autoconfig)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, autoconfig=autoconfig)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_address_dhcp_update(self, management=None, dhcpv6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type dhcpv6: YANGBool
    :param dhcpv6: ipv6 DHCP enabling

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.ipv6_address_cont', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ipv6.ipv6_address_cont', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, dhcpv6=dhcpv6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, dhcpv6=dhcpv6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_address_eui_64_update(self, management=None, ipv6_global_address_eui64=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type ipv6_global_address_eui64: YANGBool
    :param ipv6_global_address_eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, ipv6_global_address_eui64=ipv6_global_address_eui64)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, ipv6_global_address_eui64=ipv6_global_address_eui64)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_address_ipv6_global_address_update(self, management=None, ipv6_global_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type ipv6_global_address: unicode
    :param ipv6_global_address: IPv6 global address for this management interface.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, ipv6_global_address=ipv6_global_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, ipv6_global_address=ipv6_global_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_address_ipv6_global_cont_update(self, management=None, ipv6_global_address=None, ipv6_global_address_eui64=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type ipv6_global_address: unicode
    :param ipv6_global_address: IPv6 global address for this management interface.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type ipv6_global_address_eui64: YANGBool
    :param ipv6_global_address_eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ipv6_global_address, ipv6_global_address_eui64'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, ipv6_global_address=ipv6_global_address, ipv6_global_address_eui64=ipv6_global_address_eui64)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, ipv6_global_address=ipv6_global_address, ipv6_global_address_eui64=ipv6_global_address_eui64)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_icmpv6_update(self, management=None, v6_unreachable=None, v6_echo_reply=None, v6_rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type v6_unreachable: YANGBool
    :param v6_unreachable: To enable generating ICMPv6 Destination Unreachable message.

    :type v6_echo_reply: YANGBool
    :param v6_echo_reply: To enable sending ICMPv6 Echo Reply in response Echo Request.

    :type v6_rate_limiting: long
    :param v6_rate_limiting: To enable ICMPv6 incoming rate limiting

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ipv6.icmpv6', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, v6_unreachable=v6_unreachable, v6_echo_reply=v6_echo_reply, v6_rate_limiting=v6_rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, v6_unreachable=v6_unreachable, v6_echo_reply=v6_echo_reply, v6_rate_limiting=v6_rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_icmpv6_echo_reply_update(self, management=None, v6_echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type v6_echo_reply: YANGBool
    :param v6_echo_reply: To enable sending ICMPv6 Echo Reply in response Echo Request.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ipv6.icmpv6', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, v6_echo_reply=v6_echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, v6_echo_reply=v6_echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_icmpv6_rate_limiting_update(self, management=None, v6_rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type v6_rate_limiting: long
    :param v6_rate_limiting: To enable ICMPv6 incoming rate limiting

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ipv6.icmpv6', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, v6_rate_limiting=v6_rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, v6_rate_limiting=v6_rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_icmpv6_unreachable_update(self, management=None, v6_unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type v6_unreachable: YANGBool
    :param v6_unreachable: To enable generating ICMPv6 Destination Unreachable message.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.ipv6.icmpv6', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, v6_unreachable=v6_unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, v6_unreachable=v6_unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_line_speed_update(self, management=None, actual=None, configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type actual: unicode
    :param actual: The actual line-speed for this management interface.

    :type configured: unicode
    :param configured: The configured line-speed for this management interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.line_speed', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.line_speed', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.line_speed', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.line_speed', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.line_speed', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, actual=actual, configured=configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, actual=actual, configured=configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_line_speed_actual_update(self, management=None, actual=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type actual: unicode
    :param actual: The actual line-speed for this management interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.line_speed', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.line_speed', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.line_speed', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.line_speed', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.line_speed', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, actual=actual)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, actual=actual)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_line_speed_configured_update(self, management=None, configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type configured: unicode
    :param configured: The configured line-speed for this management interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.line_speed', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.line_speed', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.line_speed', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.line_speed', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.line_speed', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, configured=configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, configured=configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_oper_status_update(self, management=None, shutdown_management_oper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type shutdown_management_oper: unicode
    :param shutdown_management_oper: Show the status of this management interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.management', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'management', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, shutdown_management_oper=shutdown_management_oper)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, shutdown_management_oper=shutdown_management_oper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_shutdown_update(self, management=None, shutdown_management=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type shutdown_management: YANGBool
    :param shutdown_management: Shutdown this management interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.management', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'management', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, shutdown_management=shutdown_management)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, shutdown_management=shutdown_management)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_speed_update(self, management=None, speed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type speed: unicode
    :param speed: Set interface speed parameter

        * enumeration restriction: ::

            ['auto', '100', '10']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.management', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'management', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, speed=speed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, speed=speed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_tcp_update(self, management=None, tcp_burstrate=None, tcp_lockdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type tcp_burstrate: long
    :param tcp_burstrate: To enable tcp connection burstrate.

        * range restriction: ::

            ['0..4294967295']

    :type tcp_lockdown: long
    :param tcp_lockdown: To enable tcp connection lockdown time.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.tcp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.tcp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.tcp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.tcp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.tcp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, tcp_burstrate=tcp_burstrate, tcp_lockdown=tcp_lockdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, tcp_burstrate=tcp_burstrate, tcp_lockdown=tcp_lockdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_tcp_burstrate_update(self, management=None, tcp_burstrate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type tcp_burstrate: long
    :param tcp_burstrate: To enable tcp connection burstrate.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.tcp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.tcp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.tcp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.tcp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.tcp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, tcp_burstrate=tcp_burstrate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, tcp_burstrate=tcp_burstrate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_tcp_lockup_update(self, management=None, tcp_lockdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type tcp_lockdown: long
    :param tcp_lockdown: To enable tcp connection lockdown time.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.tcp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.tcp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.tcp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.tcp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.tcp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, tcp_lockdown=tcp_lockdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, tcp_lockdown=tcp_lockdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_vrf_update(self, management=None, vrf_forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type vrf_forwarding: unicode
    :param vrf_forwarding: Enable VRF forwarding on this management interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.vrf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.vrf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.vrf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.vrf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, vrf_forwarding=vrf_forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, vrf_forwarding=vrf_forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_vrf_forwarding_update(self, management=None, vrf_forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type vrf_forwarding: unicode
    :param vrf_forwarding: Enable VRF forwarding on this management interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1b.interface.management', u'management'), ('pybind.nos.v6_0_2c.interface.management', u'management'), ('pybind.slxos.v17r_1_00a.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.management.vrf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management.vrf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.vrf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.management.vrf', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management=management, vrf_forwarding=vrf_forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, vrf_forwarding=vrf_forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_update(self, port_channel=None, cee=None, po_speed=None, ifindex=None, description=None, shutdown=None, minimum_links=None, mtu=None, load_balance=None, port_profile_port=None, priority_tag_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cee: unicode
    :param cee: Apply default CEE map 'default'

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type po_speed: unicode
    :param po_speed: Set speed informational parameter

        * enumeration restriction: ::

            ['40000', '100', '10000', '100000', '1000']

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type minimum_links: long
    :param minimum_links: Least number of operationally UP links to declare port-channel UP

        * range restriction: ::

            ['0..4294967295']

    :type mtu: long
    :param mtu: Set mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type load_balance: unicode
    :param load_balance: Load balancing Commands

        * enumeration restriction: ::

            ['src-dst-ip-port',
            'src-mac-vid',
            'src-dst-ip',
            'src-dst-ip-mac-vid',
            'dst-mac-vid',
            'src-dst-mac-vid',
            'src-dst-ip-mac-vid-port']

    :type port_profile_port: YANGBool
    :param port_profile_port: Set the interface to AMPP profile mode

    :type priority_tag_enable: YANGBool
    :param priority_tag_enable: Configure 802.1p priority tagging

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.interface.port_channel": {"cee": "cee", "minimum_links": "minimum_links", "name": "name", "priority_tag_enable": "priority_tag_enable", "mtu": "mtu", "shutdown": "shutdown", "ifindex": "ifindex", "load_balance": "load_balance", "po_speed": "po_speed", "port_profile_port": "port_profile_port", "description": "description"}, "pybind.slxos.v16r_1_00b.interface.port_channel": {"priority_tag_enable": "priority_tag_enable", "minimum_links": "minimum_links", "name": "name", "mtu": "mtu", "shutdown": "shutdown", "ifindex": "ifindex", "load_balance": "load_balance", "po_speed": "po_speed", "port_profile_port": "port_profile_port", "description": "description"}, "pybind.nos.v7_0_1b.interface.port_channel": {"cee": "cee", "minimum_links": "minimum_links", "name": "name", "priority_tag_enable": "priority_tag_enable", "mtu": "mtu", "shutdown": "shutdown", "ifindex": "ifindex", "load_balance": "load_balance", "po_speed": "po_speed", "port_profile_port": "port_profile_port", "description": "description"}, "pybind.nos.v7_1_0.interface.port_channel": {"cee": "cee", "minimum_links": "minimum_links", "name": "name", "priority_tag_enable": "priority_tag_enable", "mtu": "mtu", "shutdown": "shutdown", "ifindex": "ifindex", "load_balance": "load_balance", "po_speed": "po_speed", "port_profile_port": "port_profile_port", "description": "description"}, "pybind.slxos.v17r_1_00a.interface.port_channel": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, cee=cee, po_speed=po_speed, ifindex=ifindex, description=description, shutdown=shutdown, minimum_links=minimum_links, mtu=mtu, load_balance=load_balance, port_profile_port=port_profile_port, priority_tag_enable=priority_tag_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, cee=cee, po_speed=po_speed, ifindex=ifindex, description=description, shutdown=shutdown, minimum_links=minimum_links, mtu=mtu, load_balance=load_balance, port_profile_port=port_profile_port, priority_tag_enable=priority_tag_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bfd_update(self, port_channel=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bfd_interval_update(self, port_channel=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bfd_interval_min_rx_update(self, port_channel=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bfd_interval_min_tx_update(self, port_channel=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bfd_interval_multiplier_update(self, port_channel=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bfd_shutdown_update(self, port_channel=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bpdu_drop_update(self, port_channel=None, enable=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

    :type direction: unicode
    :param direction: Keyword argument.

        * enumeration restriction: ::

            ['all', 'rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, direction'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, enable=enable, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, enable=enable, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bpdu_drop_direction_update(self, port_channel=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type direction: unicode
    :param direction: Keyword argument.

        * enumeration restriction: ::

            ['all', 'rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bpdu_drop_enable_update(self, port_channel=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_cee_update(self, port_channel=None, cee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cee: unicode
    :param cee: Apply default CEE map 'default'

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, cee=cee)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, cee=cee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_description_update(self, port_channel=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_edge_loop_detection_update(self, port_channel=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type eldvlan: unicode
    :param eldvlan: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, eldprio=eldprio, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_edge_loop_detection_port_priority_update(self, port_channel=None, eldprio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, eldprio=eldprio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, eldprio=eldprio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_edge_loop_detection_vlan_update(self, port_channel=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type eldvlan: unicode
    :param eldvlan: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_esi_update(self, port_channel=None, value=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type value: unicode
    :param value: ESI value

        * pattern restriction: ::

            '[0-9a-fA-F]{2}(\.[0-9a-fA-F]{2}){9}'

    :type auto: unicode
    :param auto: Assign ESI value AUTO.

        * enumeration restriction: ::

            ['lacp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.esi', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.esi', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, value=value, auto=auto)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, value=value, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_esi_auto_update(self, port_channel=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auto: unicode
    :param auto: Assign ESI value AUTO.

        * enumeration restriction: ::

            ['lacp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.esi', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.esi', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, auto=auto)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_esi_value_update(self, port_channel=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type value: unicode
    :param value: ESI value

        * pattern restriction: ::

            '[0-9a-fA-F]{2}(\.[0-9a-fA-F]{2}){9}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.esi', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.esi', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_fcoeport_update(self, port_channel=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fcoeport_map: unicode
    :param fcoeport_map: Keyword argument.

        * length restriction: ::

            ['1..32']

    :type ns_ip_registration: YANGBool
    :param ns_ip_registration: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.fcoeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.fcoeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.fcoeport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoeport_map, ns_ip_registration'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface.port_channel.fcoeport": {"fcoeport_map": "fcoeport_map", "ns_ip_registration": "ns_ip_registration"}, "pybind.nos.v7_1_0.interface.port_channel.fcoeport": {"fcoeport_map": "fcoeport_map", "ns_ip_registration": "ns_ip_registration"}, "pybind.nos.v6_0_2c.interface.port_channel.fcoeport": {"fcoeport_map": "fcoeport_map", "ns_ip_registration": "ns_ip_registration"}, "pybind.slxos.v16r_1_00b.interface.port_channel.fcoeport": {}, "pybind.slxos.v17r_1_00a.interface.port_channel.fcoeport": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_fcoeport_map_update(self, port_channel=None, fcoeport_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fcoeport_map: unicode
    :param fcoeport_map: Keyword argument.

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.fcoeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.fcoeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.fcoeport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, fcoeport_map=fcoeport_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, fcoeport_map=fcoeport_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_fcoeport_ns_ip_registration_update(self, port_channel=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ns_ip_registration: YANGBool
    :param ns_ip_registration: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.fcoeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.fcoeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ns_ip_registration=ns_ip_registration)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ifindex_update(self, port_channel=None, ifindex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ifindex=ifindex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ifindex=ifindex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_insight_update(self, port_channel=None, insight_enable=None, insight_mmId=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type insight_enable: YANGBool
    :param insight_enable: Enable InSight capability

    :type insight_mmId: int
    :param insight_mmId: Management Module Id

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel.insight', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'insight_enable, insight_mmId'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, insight_enable=insight_enable, insight_mmId=insight_mmId)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, insight_enable=insight_enable, insight_mmId=insight_mmId)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_insight_enable_update(self, port_channel=None, insight_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type insight_enable: YANGBool
    :param insight_enable: Enable InSight capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel.insight', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, insight_enable=insight_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, insight_enable=insight_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_insight_mmid_update(self, port_channel=None, insight_mmId=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type insight_mmId: int
    :param insight_mmId: Management Module Id

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel.insight', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, insight_mmId=insight_mmId)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, insight_mmId=insight_mmId)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_access_group_update(self, port_channel=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_access_group_traffic_type_update(self, port_channel=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_address_update(self, port_channel=None, address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config.address": {"secondary": "secondary", "address": "address"}, "pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config.address": {}, "pybind.nos.v6_0_2c.interface.port_channel.ip.hide_ip_holder.ip_config.address": {"secondary": "secondary", "address": "address"}, "pybind.slxos.v17r_1_00a.interface.port_channel.ip.hide_ip_holder.ip_config.address": {"secondary": "secondary", "address": "address"}, "pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.address": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, address=address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, address=address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_address_ospf_ignore_update(self, port_channel=None, address=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, address=address, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, address=address, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_address_ospf_passive_update(self, port_channel=None, address=None, ospf_passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, address=address, ospf_passive=ospf_passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, address=address, ospf_passive=ospf_passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_address_secondary_update(self, port_channel=None, address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, address=address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, address=address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_arp_aging_timeout_update(self, port_channel=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_arp_inspection_update(self, port_channel=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ip.arp.inspection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ip.arp.inspection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ip.arp.inspection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_arp_inspection_filter_update(self, port_channel=None, acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type acl_name: unicode
    :param acl_name: Keyword argument.

        * length restriction: ::

            ['1..62']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel.ip.arp.inspection.filter', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, acl_name=acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, acl_name=acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_arp_inspection_filter_acl_name_update(self, port_channel=None, acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type acl_name: unicode
    :param acl_name: Keyword argument.

        * length restriction: ::

            ['1..62']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel.ip.arp.inspection.filter', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, acl_name=acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, acl_name=acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_arp_inspection_trust_update(self, port_channel=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ip.arp.inspection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ip.arp.inspection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ip.arp.inspection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_arp_ip_config_update(self, port_channel=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type learn_any: YANGBool
    :param learn_any: Learn ARP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config.arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, learn_any=learn_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_arp_learn_any_update(self, port_channel=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type learn_any: YANGBool
    :param learn_any: Learn ARP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config.arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, learn_any=learn_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_dhcp_relay_update(self, port_channel=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_dhcp_relay_gateway_update(self, port_channel=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_directed_broadcast_update(self, port_channel=None, directed_broadcast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, directed_broadcast=directed_broadcast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, directed_broadcast=directed_broadcast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_icmp_update(self, port_channel=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_icmp_address_mask_update(self, port_channel=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_icmp_echo_reply_update(self, port_channel=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_icmp_rate_limiting_update(self, port_channel=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_icmp_redirect_update(self, port_channel=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_icmp_unreachable_update(self, port_channel=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_igmp_update(self, port_channel=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, last_member_query_count=None, startup_query_count=None, startup_query_interval=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type immediate_leave: YANGBool
    :param immediate_leave: Immediate Leave Processing

    :type last_member_query_count: long
    :param last_member_query_count: IGMP Last Member Query Count

        * range restriction: ::

            ['0..4294967295']

    :type startup_query_count: long
    :param startup_query_count: IGMP Startup Query Count

        * range restriction: ::

            ['0..4294967295']

    :type startup_query_interval: long
    :param startup_query_interval: Startup Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type robustness_variable: long
    :param robustness_variable: Robustness Variable

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave, last_member_query_count=last_member_query_count, startup_query_count=startup_query_count, startup_query_interval=startup_query_interval, robustness_variable=robustness_variable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave, last_member_query_count=last_member_query_count, startup_query_count=startup_query_count, startup_query_interval=startup_query_interval, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_igmp_immediate_leave_update(self, port_channel=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type immediate_leave: YANGBool
    :param immediate_leave: Immediate Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, immediate_leave=immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_igmp_last_member_query_count_update(self, port_channel=None, last_member_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_count: long
    :param last_member_query_count: IGMP Last Member Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, last_member_query_count=last_member_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, last_member_query_count=last_member_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_igmp_last_member_query_interval_update(self, port_channel=None, last_member_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, last_member_query_interval=last_member_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, last_member_query_interval=last_member_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_igmp_query_interval_update(self, port_channel=None, query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, query_interval=query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, query_interval=query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_igmp_query_max_response_time_update(self, port_channel=None, query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, query_max_response_time=query_max_response_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, query_max_response_time=query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_igmp_robustness_variable_update(self, port_channel=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type robustness_variable: long
    :param robustness_variable: Robustness Variable

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, robustness_variable=robustness_variable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_igmp_startup_query_count_update(self, port_channel=None, startup_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type startup_query_count: long
    :param startup_query_count: IGMP Startup Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, startup_query_count=startup_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, startup_query_count=startup_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_igmp_startup_query_interval_update(self, port_channel=None, startup_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type startup_query_interval: long
    :param startup_query_interval: Startup Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, startup_query_interval=startup_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, startup_query_interval=startup_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ip_config_update(self, port_channel=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_mtu_update(self, port_channel=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_multicast_boundary_update(self, port_channel=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_update(self, port_channel=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_active_update(self, port_channel=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_area_update(self, port_channel=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, area=area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_auth_change_wait_time_update(self, port_channel=None, auth_change_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, auth_change_wait_time=auth_change_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, auth_change_wait_time=auth_change_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_authentication_key_auth_key_update(self, port_channel=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_authentication_key_auth_key_table_update(self, port_channel=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'encrypttype, auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, encrypttype=encrypttype, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_authentication_key_encrypttype_update(self, port_channel=None, encrypttype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, encrypttype=encrypttype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, encrypttype=encrypttype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_authentication_key_no_encrypt_auth_key_update(self, port_channel=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_authentication_key_no_encrypt_auth_key_table_update(self, port_channel=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_bfd_update(self, port_channel=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_bfd_intf_bfd_enable_update(self, port_channel=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_cost_update(self, port_channel=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_database_filter_update(self, port_channel=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_database_filter_all_external_update(self, port_channel=None, all_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, all_external=all_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, all_external=all_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_database_filter_all_out_update(self, port_channel=None, all_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, all_out=all_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, all_out=all_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_database_filter_all_summary_external_update(self, port_channel=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_dead_interval_update(self, port_channel=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_hello_interval_update(self, port_channel=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_md5_authentication_update(self, port_channel=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_md5_authentication_key_update(self, port_channel=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_md5_authentication_key_activation_wait_time_update(self, port_channel=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_md5_authentication_key_id_update(self, port_channel=None, no_encrypt_key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, no_encrypt_key_id=no_encrypt_key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, no_encrypt_key_id=no_encrypt_key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_md5_authentication_key_id_key_update(self, port_channel=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_md5_authentication_key_id_key_id_update(self, port_channel=None, key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, key_id=key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, key_id=key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_md5_authentication_key_id_md5_authentication_key_update(self, port_channel=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type md5_authentication_key: unicode
    :param md5_authentication_key: MD5 authentication ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, md5_authentication_key=md5_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_md5_authentication_no_encrypt_key_table_update(self, port_channel=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_mtu_ignore_update(self, port_channel=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_network_update(self, port_channel=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_passive_update(self, port_channel=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_priority_update(self, port_channel=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_retransmit_interval_update(self, port_channel=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_transmit_delay_update(self, port_channel=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_pim_update(self, port_channel=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, neighbor_filter=neighbor_filter, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_pim_dr_priority_update(self, port_channel=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_pim_int_cmd_update(self, port_channel=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_pim_multinet_update(self, port_channel=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_pim_multinet_enable_update(self, port_channel=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_pim_neighbor_filter_update(self, port_channel=None, neighbor_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, neighbor_filter=neighbor_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, neighbor_filter=neighbor_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_pim_sparse_update(self, port_channel=None, pim_sparse=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pim_sparse=pim_sparse)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pim_sparse=pim_sparse)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_policy_route_map_update(self, port_channel=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_policy_route_map_route_map_name_update(self, port_channel=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_proxy_arp_update(self, port_channel=None, proxy_arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, proxy_arp=proxy_arp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, proxy_arp=proxy_arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_unnumbered_update(self, port_channel=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_donor_interface_type: unicode
    :param ip_donor_interface_type: The type of donor interface.

        * enumeration restriction: ::

            ['ve',
            'loopback',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type ip_donor_interface_name: unicode
    :param ip_donor_interface_name: The name of donor interface.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ip_donor_interface_type, ip_donor_interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_unnumbered_ip_donor_interface_name_update(self, port_channel=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_donor_interface_name: unicode
    :param ip_donor_interface_name: The name of donor interface.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ip_donor_interface_name=ip_donor_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_unnumbered_ip_donor_interface_type_update(self, port_channel=None, ip_donor_interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_donor_interface_type: unicode
    :param ip_donor_interface_type: The type of donor interface.

        * enumeration restriction: ::

            ['ve',
            'loopback',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ip_donor_interface_type=ip_donor_interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ip_donor_interface_type=ip_donor_interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_update(self, port_channel=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type raguard: YANGBool
    :param raguard: IPv6 Router advertisement guard configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, raguard=raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_access_group_update(self, port_channel=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_access_group_traffic_type_update(self, port_channel=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_update(self, port_channel=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_ipv6_address_update(self, port_channel=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_ipv6_address_anycast_update(self, port_channel=None, ipv6_address=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ipv6_address=ipv6_address, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ipv6_address=ipv6_address, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_ipv6_address_eui_64_update(self, port_channel=None, ipv6_address=None, eui64=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ipv6_address=ipv6_address, eui64=eui64)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ipv6_address=ipv6_address, eui64=eui64)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_ipv6_address_secondary_update(self, port_channel=None, ipv6_address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ipv6_address=ipv6_address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ipv6_address=ipv6_address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_ipv6_address_secondary_eui_config_update(self, port_channel=None, ipv6_address=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui_secondary: YANGBool
    :param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ipv6_address=ipv6_address, eui_secondary=eui_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ipv6_address=ipv6_address, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_link_local_update(self, port_channel=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_link_local_address_update(self, port_channel=None, link_local_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, link_local_address=link_local_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, link_local_address=link_local_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_link_local_config_update(self, port_channel=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'link_local_address, link_local'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, link_local_address=link_local_address, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_use_link_local_only_update(self, port_channel=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_dhcp_relay_servers_update(self, port_channel=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_dhcp_relay_servers_interface_update(self, port_channel=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['port-channel',
            'Ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1])|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5'
            '][0-9]{3}|60[0-9]{2}|61[0-3][0-9]|614[0-4]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, servers=servers, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_dhcp_relay_servers_interface_interface_update(self, port_channel=None, servers=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['port-channel',
            'Ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, servers=servers, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, servers=servers, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_dhcp_relay_servers_interface_interface_name_update(self, port_channel=None, servers=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1])|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5'
            '][0-9]{3}|60[0-9]{2}|61[0-3][0-9]|614[0-4]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, servers=servers, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, servers=servers, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_dhcp_relay_servers_use_vrf_update(self, port_channel=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_icmpv6_update(self, port_channel=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_icmpv6_echo_reply_update(self, port_channel=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_icmpv6_rate_limiting_update(self, port_channel=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_icmpv6_redirect_update(self, port_channel=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_icmpv6_unreachable_update(self, port_channel=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ipv6_config_update(self, port_channel=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ipv6_intf_cmds_update(self, port_channel=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_mtu_update(self, port_channel=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_update(self, port_channel=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type hoplimit: long
    :param hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {"managed_config_flag": "managed_config_flag", "broadcast_mac_trap": "broadcast_mac_trap", "ra_lifetime": "ra_lifetime", "hoplimit": "hoplimit", "mtu": "mtu", "retrans_timer": "retrans_timer", "other_config_flag": "other_config_flag", "ns_interval": "ns_interval", "reachable_time": "reachable_time", "proxy": "proxy"}, "pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_broadcast_mac_trap_update(self, port_channel=None, broadcast_mac_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, broadcast_mac_trap=broadcast_mac_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, broadcast_mac_trap=broadcast_mac_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_cache_update(self, port_channel=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_cache_expire_update(self, port_channel=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_dad_update(self, port_channel=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, attempts=attempts, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_dad_attempts_update(self, port_channel=None, attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, attempts=attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, attempts=attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_dad_time_update(self, port_channel=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_hoplimit_update(self, port_channel=None, hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hoplimit: long
    :param hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, hoplimit=hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, hoplimit=hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_managed_config_flag_update(self, port_channel=None, managed_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, managed_config_flag=managed_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, managed_config_flag=managed_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_mtu_update(self, port_channel=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_ns_interval_update(self, port_channel=None, ns_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ns_interval=ns_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ns_interval=ns_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_nud_retry_update(self, port_channel=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'base, interval, max_attempts'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, base=base, interval=interval, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_nud_retry_base_update(self, port_channel=None, base=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, base=base)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, base=base)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_nud_retry_interval_update(self, port_channel=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_nud_retry_max_attempts_update(self, port_channel=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_other_config_flag_update(self, port_channel=None, other_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, other_config_flag=other_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, other_config_flag=other_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_infinite_update(self, port_channel=None, prefix=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_infinite: YANGBool
    :param valid_infinite: Infinite valid lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, prefix=prefix, valid_infinite=valid_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, prefix=prefix, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_infinite_preferred_update(self, port_channel=None, prefix=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, prefix=prefix, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, prefix=prefix, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_no_advertise_update(self, port_channel=None, prefix=None, no_advertise=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_advertise: YANGBool
    :param no_advertise: Do not advertise prefix

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, prefix=prefix, no_advertise=no_advertise)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, prefix=prefix, no_advertise=no_advertise)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_no_autoconfig_update(self, port_channel=None, prefix=None, no_autoconfig=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, prefix=prefix, no_autoconfig=no_autoconfig)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, prefix=prefix, no_autoconfig=no_autoconfig)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_no_onlink_update(self, port_channel=None, prefix=None, no_onlink=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, prefix=prefix, no_onlink=no_onlink)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, prefix=prefix, no_onlink=no_onlink)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_off_link_update(self, port_channel=None, prefix=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, prefix=prefix, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, prefix=prefix, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_preferred_update(self, port_channel=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'preferred_lifetime, preferred_infinite'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime'], 'pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_preferred_lifetime_update(self, port_channel=None, prefix=None, preferred_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, prefix=prefix, preferred_lifetime=preferred_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, prefix=prefix, preferred_lifetime=preferred_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_prefix_flags_update(self, port_channel=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_autoconfig, no_onlink, off_link'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_valid_lifetime_update(self, port_channel=None, prefix=None, valid_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_lifetime: long
    :param valid_lifetime: Configures valid lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, prefix=prefix, valid_lifetime=valid_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, prefix=prefix, valid_lifetime=valid_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_proxy_update(self, port_channel=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_ra_interval_update(self, port_channel=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_interval, min_'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, max_interval=max_interval, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_ra_interval_max_interval_update(self, port_channel=None, max_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, max_interval=max_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, max_interval=max_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_ra_interval_min_update(self, port_channel=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_ra_lifetime_update(self, port_channel=None, ra_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ra_lifetime=ra_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ra_lifetime=ra_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_reachable_time_update(self, port_channel=None, reachable_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, reachable_time=reachable_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, reachable_time=reachable_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_retrans_timer_update(self, port_channel=None, retrans_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, retrans_timer=retrans_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, retrans_timer=retrans_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_set_cache_expire_time_update(self, port_channel=None, set_cache_expire_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type set_cache_expire_time: long
    :param set_cache_expire_time: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, set_cache_expire_time=set_cache_expire_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, set_cache_expire_time=set_cache_expire_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_set_hoplimit_update(self, port_channel=None, set_hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type set_hoplimit: long
    :param set_hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, set_hoplimit=set_hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, set_hoplimit=set_hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_suppress_ra_update(self, port_channel=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_suppress_ra_all_update(self, port_channel=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_suppress_ra_mtu_update(self, port_channel=None, suppress_ra_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, suppress_ra_mtu=suppress_ra_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, suppress_ra_mtu=suppress_ra_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_suppress_ra_suppress_ra_flag_update(self, port_channel=None, suppress_ra_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, suppress_ra_flag=suppress_ra_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, suppress_ra_flag=suppress_ra_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_neighbor_update(self, port_channel=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_neighbor_hardware_address_update(self, port_channel=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_update(self, port_channel=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_active_update(self, port_channel=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_area_update(self, port_channel=None, interface_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, interface_area=interface_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, interface_area=interface_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_ah_update(self, port_channel=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_esp_update(self, port_channel=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_esp_auth_update(self, port_channel=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_esp_key_update(self, port_channel=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_esp_no_encrypt_update(self, port_channel=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_ipsec_update(self, port_channel=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_ipsec_auth_key_config_update(self, port_channel=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_ipsec_disable_update(self, port_channel=None, ipsec_authentication_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ipsec_authentication_disable=ipsec_authentication_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ipsec_authentication_disable=ipsec_authentication_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, port_channel=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_key_update(self, port_channel=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_no_encrypt_update(self, port_channel=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_spi_update(self, port_channel=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_bfd_update(self, port_channel=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_bfd_bfd_enable_update(self, port_channel=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_cost_update(self, port_channel=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_dead_interval_update(self, port_channel=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_hello_interval_update(self, port_channel=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_hello_jitter_update(self, port_channel=None, hello_jitter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, hello_jitter=hello_jitter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, hello_jitter=hello_jitter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_instance_update(self, port_channel=None, instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, instance=instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, instance=instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_link_interval_properties_update(self, port_channel=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_mtu_ignore_update(self, port_channel=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_network_update(self, port_channel=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_passive_update(self, port_channel=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_priority_update(self, port_channel=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_retransmit_interval_update(self, port_channel=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_suppress_linklsa_update(self, port_channel=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_transmit_delay_update(self, port_channel=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_policy_route_map_update(self, port_channel=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_policy_route_map_ipv6_route_map_name_update(self, port_channel=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_raguard_update(self, port_channel=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type raguard: YANGBool
    :param raguard: IPv6 Router advertisement guard configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, raguard=raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_update(self, port_channel=None, vrrpv3e=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_advertise_backup_update(self, port_channel=None, vrrpv3e=None, advertise_backup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, advertise_backup=advertise_backup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, advertise_backup=advertise_backup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_advertisement_interval_update(self, port_channel=None, vrrpv3e=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_advertisement_interval_scale_update(self, port_channel=None, vrrpv3e=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, advertisement_interval_scale=advertisement_interval_scale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_backup_advertisement_interval_update(self, port_channel=None, vrrpv3e=None, backup_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, backup_advertisement_interval=backup_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, backup_advertisement_interval=backup_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_description_update(self, port_channel=None, vrrpv3e=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_enable_update(self, port_channel=None, vrrpv3e=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_hold_time_update(self, port_channel=None, vrrpv3e=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_nd_advertisement_timer_update(self, port_channel=None, vrrpv3e=None, nd_advertisement_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, nd_advertisement_timer=nd_advertisement_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, nd_advertisement_timer=nd_advertisement_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_preempt_mode_update(self, port_channel=None, vrrpv3e=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_priority_update(self, port_channel=None, vrrpv3e=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_short_path_forwarding_update(self, port_channel=None, vrrpv3e=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.short_path_forwarding', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'basic, revert_priority'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, basic=basic, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_short_path_forwarding_basic_update(self, port_channel=None, vrrpv3e=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.short_path_forwarding', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_short_path_forwarding_revert_priority_update(self, port_channel=None, vrrpv3e=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.short_path_forwarding', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_track_interface_update(self, port_channel=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_track_interface_priority_update(self, port_channel=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_update(self, port_channel=None, vrrpv3=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3": {}, "pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3": {"enable": "enable", "description": "description", "vrid": "vrid", "priority": "priority", "advertisement_interval": "advertisement_interval", "hold_time": "hold_time", "preempt_mode": "preempt_mode"}, "pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3": {}, "pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3": {"enable": "enable", "description": "description", "vrid": "vrid", "priority": "priority", "advertisement_interval": "advertisement_interval", "hold_time": "hold_time", "preempt_mode": "preempt_mode"}, "pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3": {"enable": "enable", "description": "description", "vrid": "vrid", "priority": "priority", "advertisement_interval": "advertisement_interval", "hold_time": "hold_time", "preempt_mode": "preempt_mode"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3=vrrpv3, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3=vrrpv3, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_advertisement_interval_update(self, port_channel=None, vrrpv3=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3=vrrpv3, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3=vrrpv3, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_description_update(self, port_channel=None, vrrpv3=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3=vrrpv3, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3=vrrpv3, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_enable_update(self, port_channel=None, vrrpv3=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3=vrrpv3, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3=vrrpv3, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_hold_time_update(self, port_channel=None, vrrpv3=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3=vrrpv3, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3=vrrpv3, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_preempt_mode_update(self, port_channel=None, vrrpv3=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3=vrrpv3, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3=vrrpv3, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_priority_update(self, port_channel=None, vrrpv3=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3=vrrpv3, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3=vrrpv3, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_track_interface_update(self, port_channel=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_track_interface_priority_update(self, port_channel=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_use_v2_checksum_update(self, port_channel=None, vrrpv3=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_suppress_interface_ra_update(self, port_channel=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_lacp_pdu_forward_update(self, port_channel=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable LACP PDU Forward

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel.lacp_pdu_forward', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_lacp_pdu_forward_enable_update(self, port_channel=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable LACP PDU Forward

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel.lacp_pdu_forward', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_load_balance_update(self, port_channel=None, load_balance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type load_balance: unicode
    :param load_balance: Load balancing Commands

        * enumeration restriction: ::

            ['src-dst-ip-port',
            'src-mac-vid',
            'src-dst-ip',
            'src-dst-ip-mac-vid',
            'dst-mac-vid',
            'src-dst-mac-vid',
            'src-dst-ip-mac-vid-port']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, load_balance=load_balance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, load_balance=load_balance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_load_balance_type_update(self, port_channel=None, load_balance_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type load_balance_type: unicode
    :param load_balance_type: Port-channel load balancing type

        * enumeration restriction: ::

            ['hash-based']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, load_balance_type=load_balance_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, load_balance_type=load_balance_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_name_update(self, port_channel=None, port_channel_=None, logical_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port_channel_: pc_instance_id
    :param port_channel_: Keyword argument tuple.

    :type pc_instance_id: unicode
    :param pc_instance_id: **port_channel_** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-'
            '9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-'
            '9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type logical_interface_name: unicode
    :param logical_interface_name: 64 Chars;;Name of the logical interface.

        * length restriction: ::

            ['1 .. 64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel', u'port_channel_'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_common_commands_dummy.name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_common_commands_dummy.name', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, port_channel_=port_channel_, logical_interface_name=logical_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_channel_=port_channel_, logical_interface_name=logical_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_name_logical_interface_name_update(self, port_channel=None, port_channel_=None, logical_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port_channel_: pc_instance_id
    :param port_channel_: Keyword argument tuple.

    :type pc_instance_id: unicode
    :param pc_instance_id: **port_channel_** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-'
            '9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-'
            '9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type logical_interface_name: unicode
    :param logical_interface_name: 64 Chars;;Name of the logical interface.

        * length restriction: ::

            ['1 .. 64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel', u'port_channel_'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_common_commands_dummy.name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_common_commands_dummy.name', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, port_channel_=port_channel_, logical_interface_name=logical_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_channel_=port_channel_, logical_interface_name=logical_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_shutdown_update(self, port_channel=None, port_channel_=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port_channel_: pc_instance_id
    :param port_channel_: Keyword argument tuple.

    :type pc_instance_id: unicode
    :param pc_instance_id: **port_channel_** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-'
            '9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-'
            '9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel', u'port_channel_'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_common_commands_dummy.shutdown', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_common_commands_dummy.shutdown', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, port_channel_=port_channel_, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_channel_=port_channel_, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_shutdown_shutdown_status_update(self, port_channel=None, port_channel_=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port_channel_: pc_instance_id
    :param port_channel_: Keyword argument tuple.

    :type pc_instance_id: unicode
    :param pc_instance_id: **port_channel_** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-'
            '9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-'
            '9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel', u'port_channel_'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_common_commands_dummy.shutdown', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_common_commands_dummy.shutdown', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, port_channel_=port_channel_, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_channel_=port_channel_, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_untagged_vlan_update(self, port_channel=None, port_channel_=None, untagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port_channel_: pc_instance_id
    :param port_channel_: Keyword argument tuple.

    :type pc_instance_id: unicode
    :param pc_instance_id: **port_channel_** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-'
            '9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-'
            '9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type untagged_vlan_id: long
    :param untagged_vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel', u'port_channel_'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.get_untagged_vlan_dummy.untagged.untagged_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.get_untagged_vlan_dummy.untagged.untagged_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, port_channel_=port_channel_, untagged_vlan_id=untagged_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_channel_=port_channel_, untagged_vlan_id=untagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_untagged_vlan_untagged_vlan_id_update(self, port_channel=None, port_channel_=None, untagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port_channel_: pc_instance_id
    :param port_channel_: Keyword argument tuple.

    :type pc_instance_id: unicode
    :param pc_instance_id: **port_channel_** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-'
            '9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-'
            '9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type untagged_vlan_id: long
    :param untagged_vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel', u'port_channel_'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.get_untagged_vlan_dummy.untagged.untagged_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.get_untagged_vlan_dummy.untagged.untagged_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, port_channel_=port_channel_, untagged_vlan_id=untagged_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_channel_=port_channel_, untagged_vlan_id=untagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_vlan_update(self, port_channel=None, port_channel_=None, outer_tagged_vlan_id=None, inner_vlan=None, inner_tagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port_channel_: pc_instance_id
    :param port_channel_: Keyword argument tuple.

    :type pc_instance_id: unicode
    :param pc_instance_id: **port_channel_** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-'
            '9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-'
            '9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type outer_tagged_vlan_id: long
    :param outer_tagged_vlan_id: VLAN ID between 1 and 4090

        * range restriction: ::

            ['0..4294967295']

    :type inner_vlan: YANGBool
    :param inner_vlan: Configure Inner VLAN for this logical interface

    :type inner_tagged_vlan_id: long
    :param inner_tagged_vlan_id: VLAN ID between 1 and 4090

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'outer_tagged_vlan_id, inner_vlan, inner_tagged_vlan_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, port_channel_=port_channel_, outer_tagged_vlan_id=outer_tagged_vlan_id, inner_vlan=inner_vlan, inner_tagged_vlan_id=inner_tagged_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_channel_=port_channel_, outer_tagged_vlan_id=outer_tagged_vlan_id, inner_vlan=inner_vlan, inner_tagged_vlan_id=inner_tagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_vlan_inner_tagged_vlan_id_update(self, port_channel=None, port_channel_=None, inner_tagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port_channel_: pc_instance_id
    :param port_channel_: Keyword argument tuple.

    :type pc_instance_id: unicode
    :param pc_instance_id: **port_channel_** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-'
            '9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-'
            '9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type inner_tagged_vlan_id: long
    :param inner_tagged_vlan_id: VLAN ID between 1 and 4090

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, port_channel_=port_channel_, inner_tagged_vlan_id=inner_tagged_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_channel_=port_channel_, inner_tagged_vlan_id=inner_tagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_vlan_inner_vlan_update(self, port_channel=None, port_channel_=None, inner_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port_channel_: pc_instance_id
    :param port_channel_: Keyword argument tuple.

    :type pc_instance_id: unicode
    :param pc_instance_id: **port_channel_** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-'
            '9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-'
            '9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type inner_vlan: YANGBool
    :param inner_vlan: Configure Inner VLAN for this logical interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, port_channel_=port_channel_, inner_vlan=inner_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_channel_=port_channel_, inner_vlan=inner_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_vlan_outer_tagged_vlan_id_update(self, port_channel=None, port_channel_=None, outer_tagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port_channel_: pc_instance_id
    :param port_channel_: Keyword argument tuple.

    :type pc_instance_id: unicode
    :param pc_instance_id: **port_channel_** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-'
            '9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-'
            '9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    **Instance Argument(s)**:

    :type outer_tagged_vlan_id: long
    :param outer_tagged_vlan_id: VLAN ID between 1 and 4090

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, port_channel_=port_channel_, outer_tagged_vlan_id=outer_tagged_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_channel_=port_channel_, outer_tagged_vlan_id=outer_tagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_loop_detection_update(self, port_channel=None, loop_detection_native=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type loop_detection_native: YANGBool
    :param loop_detection_native: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel.edge_loop_detection_native', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, loop_detection_native=loop_detection_native)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, loop_detection_native=loop_detection_native)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_loop_detection_port_priority_update(self, port_channel=None, eldprio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel.edge_loop_detection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, eldprio=eldprio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, eldprio=eldprio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_loop_detection_shutdown_disable_update(self, port_channel=None, eldshutdown_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type eldshutdown_disable: YANGBool
    :param eldshutdown_disable: Disable shutting down the interface by Loop Detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel.edge_loop_detection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, eldshutdown_disable=eldshutdown_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, eldshutdown_disable=eldshutdown_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_loop_detection_vlan_update(self, port_channel=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type eldvlan: unicode
    :param eldvlan: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel.edge_loop_detection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_mac_access_group_update(self, port_channel=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.mac.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_mac_access_group_traffic_type_update(self, port_channel=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.mac.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_mac_learning_disable_vlan_update(self, port_channel=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac_learning_vlan_add: unicode
    :param mac_learning_vlan_add: RANGE;;Range of vlans to add

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type mac_learning_vlan_remove: unicode
    :param mac_learning_vlan_remove: RANGE;;Range of vlans to remove

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_mac_learning_disable_vlan_add_update(self, port_channel=None, mac_learning_vlan_add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac_learning_vlan_add: unicode
    :param mac_learning_vlan_add: RANGE;;Range of vlans to add

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mac_learning_vlan_add=mac_learning_vlan_add)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mac_learning_vlan_add=mac_learning_vlan_add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_mac_learning_disable_vlan_remove_update(self, port_channel=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac_learning_vlan_remove: unicode
    :param mac_learning_vlan_remove: RANGE;;Range of vlans to remove

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mac_learning_vlan_remove=mac_learning_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_minimum_links_update(self, port_channel=None, minimum_links=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type minimum_links: long
    :param minimum_links: Least number of operationally UP links to declare port-channel UP

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, minimum_links=minimum_links)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, minimum_links=minimum_links)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_mtu_update(self, port_channel=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_openflow_enable_update(self, port_channel=None, modeTypePo=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type modeTypePo: unicode
    :param modeTypePo: Enable openflow mode

        * enumeration restriction: ::

            ['egress']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel.openflowPo.enablePoMode', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, modeTypePo=modeTypePo)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, modeTypePo=modeTypePo)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_openflow_enable_modetypepo_update(self, port_channel=None, modeTypePo=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type modeTypePo: unicode
    :param modeTypePo: Enable openflow mode

        * enumeration restriction: ::

            ['egress']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel.openflowPo.enablePoMode', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, modeTypePo=modeTypePo)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, modeTypePo=modeTypePo)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_port_profile_port_update(self, port_channel=None, port_profile_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type port_profile_port: YANGBool
    :param port_profile_port: Set the interface to AMPP profile mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, port_profile_port=port_profile_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_profile_port=port_profile_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_port_profile_port_domain_update(self, port_channel=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type profile_domain_name: unicode
    :param profile_domain_name: Port-profile-domain name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, profile_domain_name=profile_domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_port_profile_port_domain_profile_domain_name_update(self, port_channel=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type profile_domain_name: unicode
    :param profile_domain_name: Port-profile-domain name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, profile_domain_name=profile_domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_priority_tag_update(self, port_channel=None, priority_tag_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority_tag_enable: YANGBool
    :param priority_tag_enable: Configure 802.1p priority tagging

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, priority_tag_enable=priority_tag_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, priority_tag_enable=priority_tag_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_update(self, port_channel=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_cos: long
    :param default_cos: Configure default Class of Service (CoS)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_mutation: unicode
    :param dscp_mutation: Configure DSCP-to-DSCP mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Configure DSCP-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_cos: unicode
    :param dscp_cos: Configure DSCP-to-COS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface.port_channel.qos": {"cos_mutation": "cos_mutation", "default_cos": "default_cos", "dscp_mutation": "dscp_mutation", "dscp_traffic_class": "dscp_traffic_class", "cos_traffic_class": "cos_traffic_class", "dscp_cos": "dscp_cos"}, "pybind.nos.v6_0_2c.interface.port_channel.qos": {"cos_mutation": "cos_mutation", "default_cos": "default_cos", "dscp_mutation": "dscp_mutation", "dscp_traffic_class": "dscp_traffic_class", "cos_traffic_class": "cos_traffic_class", "dscp_cos": "dscp_cos"}, "pybind.slxos.v16r_1_00b.interface.port_channel.qos": {}, "pybind.slxos.v17r_1_00a.interface.port_channel.qos": {}, "pybind.nos.v7_1_0.interface.port_channel.qos": {"cos_mutation": "cos_mutation", "default_cos": "default_cos", "dscp_mutation": "dscp_mutation", "dscp_traffic_class": "dscp_traffic_class", "cos_traffic_class": "cos_traffic_class", "dscp_cos": "dscp_cos"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_cos_update(self, port_channel=None, default_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_cos: long
    :param default_cos: Configure default Class of Service (CoS)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, default_cos=default_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, default_cos=default_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_cos_mutation_update(self, port_channel=None, cos_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, cos_mutation=cos_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, cos_mutation=cos_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_cos_traffic_class_update(self, port_channel=None, cos_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, cos_traffic_class=cos_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, cos_traffic_class=cos_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_drop_monitor_update(self, port_channel=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type drop_monitor_enable: YANGBool
    :param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.drop_monitor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.drop_monitor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.drop_monitor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos.drop_monitor', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, drop_monitor_enable=drop_monitor_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_drop_monitor_enable_update(self, port_channel=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type drop_monitor_enable: YANGBool
    :param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.drop_monitor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.drop_monitor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.drop_monitor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos.drop_monitor', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, drop_monitor_enable=drop_monitor_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_dscp_cos_update(self, port_channel=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dscp_cos: unicode
    :param dscp_cos: Configure DSCP-to-COS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_dscp_mutation_update(self, port_channel=None, dscp_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dscp_mutation: unicode
    :param dscp_mutation: Configure DSCP-to-DSCP mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, dscp_mutation=dscp_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, dscp_mutation=dscp_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_dscp_traffic_class_update(self, port_channel=None, dscp_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Configure DSCP-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, dscp_traffic_class=dscp_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, dscp_traffic_class=dscp_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_flowcontrol_link_level_flowcontrol_update(self, port_channel=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type flowcontrol_tx: unicode
    :param flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type flowcontrol_rx: unicode
    :param flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_flowcontrol_pfc_update(self, port_channel=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos.flowcontrol.pfc', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_flowcontrol_pfc_rx_update(self, port_channel=None, pfc=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos.flowcontrol.pfc', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pfc=pfc, pfc_flowcontrol_rx=pfc_flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pfc=pfc, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_flowcontrol_pfc_tx_update(self, port_channel=None, pfc=None, pfc_flowcontrol_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos.flowcontrol.pfc', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_flowcontrol_rx_update(self, port_channel=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type flowcontrol_rx: unicode
    :param flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, flowcontrol_rx=flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_flowcontrol_tx_update(self, port_channel=None, flowcontrol_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type flowcontrol_tx: unicode
    :param flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, flowcontrol_tx=flowcontrol_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, flowcontrol_tx=flowcontrol_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_random_detect_traffic_class_update(self, port_channel=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos.random_detect.traffic_class', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.interface.port_channel.qos.random_detect.traffic_class": {"red_tc_value": "red_tc_value", "red_profile_id": "red_profile_id", "red_enable": "red_enable"}, "pybind.slxos.v17r_1_00a.interface.port_channel.qos.random_detect.traffic_class": {"red_tc_value": "red_tc_value", "red_profile_id": "red_profile_id"}, "pybind.nos.v6_0_2c.interface.port_channel.qos.random_detect.traffic_class": {"red_tc_value": "red_tc_value", "red_profile_id": "red_profile_id", "red_enable": "red_enable"}, "pybind.slxos.v16r_1_00b.interface.port_channel.qos.random_detect.traffic_class": {}, "pybind.nos.v7_0_1b.interface.port_channel.qos.random_detect.traffic_class": {"red_tc_value": "red_tc_value", "red_profile_id": "red_profile_id", "red_enable": "red_enable"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_random_detect_traffic_class_apply_update(self, port_channel=None, traffic_class=None, red_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, traffic_class=traffic_class, red_enable=red_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, traffic_class=traffic_class, red_enable=red_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_random_detect_traffic_class_red_profile_id_update(self, port_channel=None, traffic_class=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos.random_detect.traffic_class', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.interface.port_channel.qos.random_detect.traffic_class": {"red_tc_value": "red_tc_value", "red_profile_id": "red_profile_id"}, "pybind.slxos.v17r_1_00a.interface.port_channel.qos.random_detect.traffic_class": {}, "pybind.nos.v6_0_2c.interface.port_channel.qos.random_detect.traffic_class": {"red_tc_value": "red_tc_value", "red_profile_id": "red_profile_id"}, "pybind.slxos.v16r_1_00b.interface.port_channel.qos.random_detect.traffic_class": {"red_tc_value": "red_tc_value", "red_profile_id": "red_profile_id"}, "pybind.nos.v7_0_1b.interface.port_channel.qos.random_detect.traffic_class": {"red_tc_value": "red_tc_value", "red_profile_id": "red_profile_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, traffic_class=traffic_class, red_profile_id=red_profile_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, traffic_class=traffic_class, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_traffic_class_update(self, port_channel=None, default_tc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_tc: int
    :param default_tc: Configure Default Traffic Class (TC)

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, default_tc=default_tc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, default_tc=default_tc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_traffic_class_cos_update(self, port_channel=None, traffic_class_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type traffic_class_cos: unicode
    :param traffic_class_cos: Apply Traffic-Class-to-CoS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, traffic_class_cos=traffic_class_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, traffic_class_cos=traffic_class_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_trust_update(self, port_channel=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type trust_dscp: YANGBool
    :param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos.trust', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, trust_cos=trust_cos, trust_dscp=trust_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_trust_cos_update(self, port_channel=None, trust_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos.trust', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, trust_cos=trust_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, trust_cos=trust_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_trust_dscp_update(self, port_channel=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trust_dscp: YANGBool
    :param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.qos.trust', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, trust_dscp=trust_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_route_only_update(self, port_channel=None, route_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type route_only: YANGBool
    :param route_only: Route Only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, route_only=route_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, route_only=route_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_service_policy_update(self, port_channel=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type in_: unicode
    :param in_: Input Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type out: unicode
    :param out: Output Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.service_policy', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, in_=in_, out=out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_service_policy_in_update(self, port_channel=None, in_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type in_: unicode
    :param in_: Input Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.service_policy', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, in_=in_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, in_=in_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_service_policy_out_update(self, port_channel=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out: unicode
    :param out: Output Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.service_policy', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, out=out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_shutdown_update(self, port_channel=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_snmp_trap_update(self, port_channel=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.snmp.trap', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.snmp.trap', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_snmp_trap_link_status_update(self, port_channel=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.snmp.trap', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.snmp.trap', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_update(self, port_channel=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, peer_switch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type autoedge: YANGBool
    :param autoedge: Autoedge - enable automatic edge detection

    :type cost: long
    :param cost: Change an interface's spanning tree port path cost

        * range restriction: ::

            ['0..4294967295']

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type bpdu_mac: unicode
    :param bpdu_mac: Configure VLAN spanning-tree control MAC

        * enumeration restriction: ::

            ['0100.0ccc.cccd', '0304.0800.0700']

    :type link_type: unicode
    :param link_type: Specify a link type for spanning tree protocol

        * enumeration restriction: ::

            ['shared', 'point-to-point']

    :type priority: long
    :param priority: Change an interface's spanning tree port priority

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology change and received topology change notifications

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type peer_switch: YANGBool
    :param peer_switch: Enable Peer-switch configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface.port_channel.spanning_tree": {"bpdu_mac": "bpdu_mac", "hello_time": "hello_time", "restricted_tcn": "restricted_tcn", "autoedge": "autoedge", "priority": "priority", "cost": "cost", "peer_switch": "peer_switch", "shutdown": "shutdown", "restricted_role": "restricted_role", "link_type": "link_type"}, "pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree": {}, "pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree": {}, "pybind.nos.v6_0_2c.interface.port_channel.spanning_tree": {"bpdu_mac": "bpdu_mac", "hello_time": "hello_time", "restricted_tcn": "restricted_tcn", "autoedge": "autoedge", "priority": "priority", "cost": "cost", "peer_switch": "peer_switch", "shutdown": "shutdown", "restricted_role": "restricted_role", "link_type": "link_type"}, "pybind.nos.v7_1_0.interface.port_channel.spanning_tree": {"bpdu_mac": "bpdu_mac", "hello_time": "hello_time", "restricted_tcn": "restricted_tcn", "autoedge": "autoedge", "priority": "priority", "cost": "cost", "peer_switch": "peer_switch", "shutdown": "shutdown", "restricted_role": "restricted_role", "link_type": "link_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown, peer_switch=peer_switch)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown, peer_switch=peer_switch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_autoedge_update(self, port_channel=None, autoedge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type autoedge: YANGBool
    :param autoedge: Autoedge - enable automatic edge detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, autoedge=autoedge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, autoedge=autoedge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_bpdu_mac_update(self, port_channel=None, bpdu_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bpdu_mac: unicode
    :param bpdu_mac: Configure VLAN spanning-tree control MAC

        * enumeration restriction: ::

            ['0100.0ccc.cccd', '0304.0800.0700']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, bpdu_mac=bpdu_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, bpdu_mac=bpdu_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_cost_update(self, port_channel=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Change an interface's spanning tree port path cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_edgeport_update(self, port_channel=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type edgeportbasic: YANGBool
    :param edgeportbasic: Edgeport

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.edgeport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_edgeport_bpdu_filter_update(self, port_channel=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.edgeport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_edgeport_bpdu_guard_update(self, port_channel=None, bpdu_guard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.edgeport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, bpdu_guard=bpdu_guard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, bpdu_guard=bpdu_guard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_edgeport_edgeportbasic_update(self, port_channel=None, edgeportbasic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type edgeportbasic: YANGBool
    :param edgeportbasic: Edgeport

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.edgeport', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, edgeportbasic=edgeportbasic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, edgeportbasic=edgeportbasic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_guard_update(self, port_channel=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.guard', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_guard_root_update(self, port_channel=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.guard', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_hello_time_update(self, port_channel=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_instance_update(self, port_channel=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_instance_cost_update(self, port_channel=None, instance=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, instance=instance, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, instance=instance, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_instance_priority_update(self, port_channel=None, instance=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, instance=instance, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, instance=instance, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_instance_restricted_role_update(self, port_channel=None, instance=None, restricted_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, instance=instance, restricted_role=restricted_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, instance=instance, restricted_role=restricted_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_instance_restricted_tcn_update(self, port_channel=None, instance=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, instance=instance, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, instance=instance, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_link_type_update(self, port_channel=None, link_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_type: unicode
    :param link_type: Specify a link type for spanning tree protocol

        * enumeration restriction: ::

            ['shared', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, link_type=link_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, link_type=link_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_peer_switch_update(self, port_channel=None, peer_switch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type peer_switch: YANGBool
    :param peer_switch: Enable Peer-switch configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, peer_switch=peer_switch)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, peer_switch=peer_switch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_portfast_update(self, port_channel=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type portfastbasic: YANGBool
    :param portfastbasic: Enable an interface to move directly to forwarding on link up

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.portfast', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_portfast_bpdu_filter_update(self, port_channel=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.portfast', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_portfast_bpdu_guard_update(self, port_channel=None, bpdu_guard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.portfast', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, bpdu_guard=bpdu_guard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, bpdu_guard=bpdu_guard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_portfast_portfastbasic_update(self, port_channel=None, portfastbasic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type portfastbasic: YANGBool
    :param portfastbasic: Enable an interface to move directly to forwarding on link up

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.portfast', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, portfastbasic=portfastbasic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, portfastbasic=portfastbasic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_priority_update(self, port_channel=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Change an interface's spanning tree port priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_restricted_role_update(self, port_channel=None, restricted_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, restricted_role=restricted_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, restricted_role=restricted_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_restricted_tcn_update(self, port_channel=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology change and received topology change notifications

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_shutdown_update(self, port_channel=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_vlan_update(self, port_channel=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vlan=vlan, cost=cost, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_vlan_cost_update(self, port_channel=None, vlan=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vlan=vlan, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vlan=vlan, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_vlan_guard_update(self, port_channel=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.vlan.guard', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vlan=vlan, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_vlan_guard_root_update(self, port_channel=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.vlan.guard', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vlan=vlan, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_vlan_priority_update(self, port_channel=None, vlan=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.spanning_tree.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vlan=vlan, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vlan=vlan, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_speed_update(self, port_channel=None, po_speed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type po_speed: unicode
    :param po_speed: Set speed informational parameter

        * enumeration restriction: ::

            ['40000', '100', '10000', '100000', '1000']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, po_speed=po_speed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, po_speed=po_speed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_update(self, port_channel=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport_basic', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport_basic', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport_basic', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_access_update(self, port_channel=None, accessvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type accessvlan: long
    :param accessvlan: Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.access', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.access', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.access', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.access', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, accessvlan=accessvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, accessvlan=accessvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_basic_update(self, port_channel=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport_basic', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport_basic', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport_basic', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_mode_update(self, port_channel=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk-no-default-native', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.mode', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.mode', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.mode', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_mode_private_vlan_update(self, port_channel=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type promiscuous: YANGBool
    :param promiscuous: Set the Layer2 interface as private-vlan promiscuous

    :type host: YANGBool
    :param host: Set the Layer2 interface as private-vlan host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, promiscuous=promiscuous, host=host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_mode_private_vlan_host_update(self, port_channel=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type host: YANGBool
    :param host: Set the Layer2 interface as private-vlan host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, host=host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_mode_private_vlan_promiscuous_update(self, port_channel=None, promiscuous=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type promiscuous: YANGBool
    :param promiscuous: Set the Layer2 interface as private-vlan promiscuous

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, promiscuous=promiscuous)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, promiscuous=promiscuous)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_mode_private_vlan_trunk_update(self, port_channel=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_basic: YANGBool
    :param trunk_basic: Keyword argument.

    :type trunk_promiscuous: YANGBool
    :param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous

    :type trunk_host: YANGBool
    :param trunk_host: Set the Layer2 interface as private-vlan trunk host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_mode_private_vlan_trunk_host_update(self, port_channel=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_host: YANGBool
    :param trunk_host: Set the Layer2 interface as private-vlan trunk host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, trunk_host=trunk_host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_mode_private_vlan_trunk_promiscuous_update(self, port_channel=None, trunk_promiscuous=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_promiscuous: YANGBool
    :param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, trunk_promiscuous=trunk_promiscuous)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, trunk_promiscuous=trunk_promiscuous)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_mode_private_vlan_trunk_trunk_basic_update(self, port_channel=None, trunk_basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_basic: YANGBool
    :param trunk_basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, trunk_basic=trunk_basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, trunk_basic=trunk_basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_mode_vlan_mode_update(self, port_channel=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk-no-default-native', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.mode', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.mode', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.mode', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_port_security_max_update(self, port_channel=None, port_sec_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type port_sec_max: long
    :param port_sec_max: Maximum number of allowed MACs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.port_security', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, port_sec_max=port_sec_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_sec_max=port_sec_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_port_security_shutdown_time_update(self, port_channel=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown_time: long
    :param shutdown_time: Shutdown time for port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.port_security', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, shutdown_time=shutdown_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_port_security_sticky_update(self, port_channel=None, sticky_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sticky_flag: YANGBool
    :param sticky_flag: Sticky Flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.port_security.sticky', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.port_security.sticky', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.sticky', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security.sticky', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.port_security.sticky', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, sticky_flag=sticky_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, sticky_flag=sticky_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_port_security_sticky_sticky_flag_update(self, port_channel=None, sticky_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sticky_flag: YANGBool
    :param sticky_flag: Sticky Flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.port_security.sticky', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.port_security.sticky', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.sticky', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security.sticky', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.port_security.sticky', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, sticky_flag=sticky_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, sticky_flag=sticky_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_port_security_violation_update(self, port_channel=None, port_sec_violation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type port_sec_violation: unicode
    :param port_sec_violation: Set the action on violation

        * enumeration restriction: ::

            ['restrict', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.port_security', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, port_sec_violation=port_sec_violation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_sec_violation=port_sec_violation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_host_association_update(self, port_channel=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type host_pri_pvlan: long
    :param host_pri_pvlan: Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type host_sec_pvlan: long
    :param host_sec_pvlan: Secondary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'host_pri_pvlan, host_sec_pvlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_host_association_host_pri_pvlan_update(self, port_channel=None, host_pri_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type host_pri_pvlan: long
    :param host_pri_pvlan: Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, host_pri_pvlan=host_pri_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, host_pri_pvlan=host_pri_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_host_association_host_sec_pvlan_update(self, port_channel=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type host_sec_pvlan: long
    :param host_sec_pvlan: Secondary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, host_sec_pvlan=host_sec_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_mapping_update(self, port_channel=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan, oper, promis_sec_pvlan_range
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type oper: unicode
    :param oper: **mapping** tuple argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: **mapping** tuple argument:  Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_mapping_oper_update(self, port_channel=None, mapping=None, oper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mapping=mapping, oper=oper)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mapping=mapping, oper=oper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_mapping_promis_sec_pvlan_range_update(self, port_channel=None, mapping=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, mapping=mapping, promis_sec_pvlan_range=promis_sec_pvlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mapping=mapping, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_update(self, port_channel=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pvlan_all: YANGBool
    :param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface

    :type pvlan_none: YANGBool
    :param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface

    :type pvlan_add: unicode
    :param pvlan_add: Add a VLAN to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type pvlan_except: unicode
    :param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type pvlan_remove: unicode
    :param pvlan_remove: Remove a VLAN that Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_all_update(self, port_channel=None, pvlan_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pvlan_all: YANGBool
    :param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pvlan_all=pvlan_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pvlan_all=pvlan_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_except_update(self, port_channel=None, pvlan_except=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pvlan_except: unicode
    :param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pvlan_except=pvlan_except)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pvlan_except=pvlan_except)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_none_update(self, port_channel=None, pvlan_none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pvlan_none: YANGBool
    :param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pvlan_none=pvlan_none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pvlan_none=pvlan_none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_native_update(self, port_channel=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pvlanNativevlan: long
    :param pvlanNativevlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pvlan_native_vlan_ctag_id: long
    :param pvlan_native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_native_ctag_update(self, port_channel=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pvlan_native_vlan_ctag_id: long
    :param pvlan_native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_native_vlan_update(self, port_channel=None, pvlanNativevlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pvlanNativevlan: long
    :param pvlanNativevlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pvlanNativevlan=pvlanNativevlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pvlanNativevlan=pvlanNativevlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_tag_update(self, port_channel=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pvlan_tag_native_vlan: YANGBool
    :param pvlan_tag_native_vlan: Set the Private-Vlan native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pvlan_tag_native_vlan=pvlan_tag_native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_tag_native_vlan_update(self, port_channel=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pvlan_tag_native_vlan: YANGBool
    :param pvlan_tag_native_vlan: Set the Private-Vlan native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, pvlan_tag_native_vlan=pvlan_tag_native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlan_update(self, port_channel=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type none: YANGBool
    :param none: Allow no Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type add_: unicode
    :param add_: Allow these VLANs to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..20000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Remove a VLAN range that Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, all=all, none=none, add_=add_, except_=except_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlan_add_update(self, port_channel=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlan_add_ctag_update(self, port_channel=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlan_all_update(self, port_channel=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlan_except_update(self, port_channel=None, except_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, except_=except_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, except_=except_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlan_none_update(self, port_channel=None, none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type none: YANGBool
    :param none: Allow no Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, none=none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, none=none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlan_remove_update(self, port_channel=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlan_remove_ctag_update(self, port_channel=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlanoper_vlan_update(self, port_channel=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, add_=add_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlanoper_vlan_add_update(self, port_channel=None, add_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, add_=add_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, add_=add_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlanoper_vlan_remove_update(self, port_channel=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type remove_: unicode
    :param remove_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_ctag_update(self, port_channel=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_ctag_native_vlan_xtagged_config_update(self, port_channel=None, native_vlan_ctag_id_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_vlan_ctag_id_xtagged: long
    :param native_vlan_ctag_id_xtagged: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_default_vlan_update(self, port_channel=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_transparent_vlan: long
    :param default_transparent_vlan: default transparent vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, default_transparent_vlan=default_transparent_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_default_vlan_config_update(self, port_channel=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_transparent_vlan: long
    :param default_transparent_vlan: default transparent vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_transparent_vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, default_transparent_vlan=default_transparent_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_egress_update(self, port_channel=None, native_vlan_egress_type_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_vlan_egress_type_xtagged: unicode
    :param native_vlan_egress_type_xtagged: Keyword argument.

        * enumeration restriction: ::

            ['untagged', 'tagged', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_native_vlan_update(self, port_channel=None, native_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untaggedtraffic

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, native_vlan_id=native_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, native_vlan_id=native_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_native_vlan_classification_update(self, port_channel=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untaggedtraffic

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id, native_vlan_ctag_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_native_vlan_untagged_update(self, port_channel=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_vlan_id_untagged: long
    :param native_vlan_id_untagged: Set the interface to accept onlyuntagged native-vlan traffic on ingress anduntagged native-vlan traffic on egress.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, native_vlan_id_untagged=native_vlan_id_untagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_native_vlan_untagged_config_update(self, port_channel=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_vlan_id_untagged: long
    :param native_vlan_id_untagged: Set the interface to accept onlyuntagged native-vlan traffic on ingress anduntagged native-vlan traffic on egress.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_untagged'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, native_vlan_id_untagged=native_vlan_id_untagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_native_vlan_xtagged_update(self, port_channel=None, native_vlan_id_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_vlan_id_xtagged: long
    :param native_vlan_id_xtagged: Set the interface to accepttagged|untagged native-vlan traffic on ingress andegress as specified by the user.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, native_vlan_id_xtagged=native_vlan_id_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, native_vlan_id_xtagged=native_vlan_id_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_native_vlan_xtagged_config_update(self, port_channel=None, native_vlan_id_xtagged=None, native_vlan_ctag_id_xtagged=None, native_vlan_egress_type_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_vlan_id_xtagged: long
    :param native_vlan_id_xtagged: Set the interface to accepttagged|untagged native-vlan traffic on ingress andegress as specified by the user.

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_ctag_id_xtagged: long
    :param native_vlan_ctag_id_xtagged: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_egress_type_xtagged: unicode
    :param native_vlan_egress_type_xtagged: Keyword argument.

        * enumeration restriction: ::

            ['untagged', 'tagged', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_xtagged, native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, native_vlan_id_xtagged=native_vlan_id_xtagged, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, native_vlan_id_xtagged=native_vlan_id_xtagged, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_tag_native_vlan_update(self, port_channel=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_vlan: YANGBool
    :param native_vlan: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.tag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.tag', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, native_vlan=native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_update(self, port_channel=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_ctag_update(self, port_channel=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_update(self, port_channel=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_ctag_update(self, port_channel=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_track_update(self, port_channel=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type track_enable: YANGBool
    :param track_enable: Enable tracking interface

    :type min_link: long
    :param min_link: Min link

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.track', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, track_enable=track_enable, min_link=min_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_track_enable_update(self, port_channel=None, track_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type track_enable: YANGBool
    :param track_enable: Enable tracking interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.track', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, track_enable=track_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, track_enable=track_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_track_min_link_update(self, port_channel=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_link: long
    :param min_link: Min link

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.track', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, min_link=min_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_track_remove_update(self, port_channel=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type remove_all_track_interfaces: YANGBool
    :param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.track.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.track.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.track.remove_', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, remove_all_track_interfaces=remove_all_track_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_track_remove_all_update(self, port_channel=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type remove_all_track_interfaces: YANGBool
    :param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.track.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.track.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.track.remove_', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, remove_all_track_interfaces=remove_all_track_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_tunnel_update(self, port_channel=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tagged_ieee_bpdu: YANGBool
    :param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCSfabric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.tunnel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.tunnel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, tagged_ieee_bpdu=tagged_ieee_bpdu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_tunnel_tagged_ieee_bpdu_update(self, port_channel=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tagged_ieee_bpdu: YANGBool
    :param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCSfabric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.tunnel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.tunnel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, tagged_ieee_bpdu=tagged_ieee_bpdu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vlag_update(self, port_channel=None, ignore_split=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ignore_split: YANGBool
    :param ignore_split: vlag ignore-split-recovery

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.vlag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vlag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vlag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.vlag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.vlag', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ignore_split=ignore_split)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ignore_split=ignore_split)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vlag_ignore_split_update(self, port_channel=None, ignore_split=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ignore_split: YANGBool
    :param ignore_split: vlag ignore-split-recovery

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.vlag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vlag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vlag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.vlag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.vlag', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, ignore_split=ignore_split)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ignore_split=ignore_split)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vlan_classifier_activate_group_update(self, port_channel=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group: groupid, vlan
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan: long
    :param vlan: **group** tuple argument:  1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, group=group, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vlan_classifier_activate_group_vlan_update(self, port_channel=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group: groupid
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, group=group, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrf_update(self, port_channel=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.vrf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrf_forwarding_update(self, port_channel=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.vrf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_update(self, port_channel=None, vrrp=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp": {"enable": "enable", "version": "version", "vrid": "vrid", "priority": "priority", "advertisement_interval": "advertisement_interval", "hold_time": "hold_time", "preempt_mode": "preempt_mode", "description": "description"}, "pybind.nos.v7_0_1b.interface.port_channel.vrrp": {}, "pybind.nos.v7_1_0.interface.port_channel.vrrp": {}, "pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp": {"enable": "enable", "version": "version", "vrid": "vrid", "priority": "priority", "advertisement_interval": "advertisement_interval", "hold_time": "hold_time", "preempt_mode": "preempt_mode", "description": "description"}, "pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp": {"enable": "enable", "version": "version", "vrid": "vrid", "priority": "priority", "advertisement_interval": "advertisement_interval", "hold_time": "hold_time", "preempt_mode": "preempt_mode", "description": "description"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp=vrrp, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_advertisement_interval_update(self, port_channel=None, vrrp=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp=vrrp, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_arp_unicast_request_update(self, port_channel=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_arp_unicast_request_receive_update(self, port_channel=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp'), ('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_description_update(self, port_channel=None, vrrp=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp=vrrp, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_enable_update(self, port_channel=None, vrrp=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp=vrrp, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_hold_time_update(self, port_channel=None, vrrp=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp=vrrp, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_preempt_mode_update(self, port_channel=None, vrrp=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp=vrrp, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_priority_update(self, port_channel=None, vrrp=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp=vrrp, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_track_interface_update(self, port_channel=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_track_interface_priority_update(self, port_channel=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.port_channel', u'port_channel'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_use_v2_checksum_update(self, port_channel=None, vrrp=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel=port_channel, vrrp=vrrp, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_update(self, profile_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type profile_name: unicode
    :param profile_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile_name=profile_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile_name=profile_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_update(self, if_name=None, if_index=None, in_pkts=None, in_unicast_pkts=None, in_broadcast_pkts=None, in_multicast_pkts=None, in_pkts_per_second=None, in_bandwidth=None, in_octets=None, in_errors=None, in_crc_errors=None, in_discards=None, out_pkts=None, out_unicast_pkts=None, out_broadcast_pkts=None, out_multicast_pkts=None, out_pkts_per_second=None, out_bandwidth=None, out_octets=None, out_errors=None, out_crc_errors=None, out_discards=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type if_name: unicode
    :param if_name: Keyword argument.

    :type if_index: long
    :param if_index: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type in_pkts: long
    :param in_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type in_unicast_pkts: long
    :param in_unicast_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type in_broadcast_pkts: long
    :param in_broadcast_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type in_multicast_pkts: long
    :param in_multicast_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type in_pkts_per_second: long
    :param in_pkts_per_second: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type in_bandwidth: long
    :param in_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type in_octets: long
    :param in_octets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type in_errors: long
    :param in_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type in_crc_errors: long
    :param in_crc_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type in_discards: long
    :param in_discards: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type out_pkts: long
    :param out_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type out_unicast_pkts: long
    :param out_unicast_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type out_broadcast_pkts: long
    :param out_broadcast_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type out_multicast_pkts: long
    :param out_multicast_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type out_pkts_per_second: long
    :param out_pkts_per_second: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type out_bandwidth: long
    :param out_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type out_octets: long
    :param out_octets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type out_errors: long
    :param out_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type out_crc_errors: long
    :param out_crc_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type out_discards: long
    :param out_discards: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, if_name=if_name, if_index=if_index, in_pkts=in_pkts, in_unicast_pkts=in_unicast_pkts, in_broadcast_pkts=in_broadcast_pkts, in_multicast_pkts=in_multicast_pkts, in_pkts_per_second=in_pkts_per_second, in_bandwidth=in_bandwidth, in_octets=in_octets, in_errors=in_errors, in_crc_errors=in_crc_errors, in_discards=in_discards, out_pkts=out_pkts, out_unicast_pkts=out_unicast_pkts, out_broadcast_pkts=out_broadcast_pkts, out_multicast_pkts=out_multicast_pkts, out_pkts_per_second=out_pkts_per_second, out_bandwidth=out_bandwidth, out_octets=out_octets, out_errors=out_errors, out_crc_errors=out_crc_errors, out_discards=out_discards)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, if_name=if_name, if_index=if_index, in_pkts=in_pkts, in_unicast_pkts=in_unicast_pkts, in_broadcast_pkts=in_broadcast_pkts, in_multicast_pkts=in_multicast_pkts, in_pkts_per_second=in_pkts_per_second, in_bandwidth=in_bandwidth, in_octets=in_octets, in_errors=in_errors, in_crc_errors=in_crc_errors, in_discards=in_discards, out_pkts=out_pkts, out_unicast_pkts=out_unicast_pkts, out_broadcast_pkts=out_broadcast_pkts, out_multicast_pkts=out_multicast_pkts, out_pkts_per_second=out_pkts_per_second, out_bandwidth=out_bandwidth, out_octets=out_octets, out_errors=out_errors, out_crc_errors=out_crc_errors, out_discards=out_discards)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_if_index_update(self, if_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type if_index: long
    :param if_index: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, if_index=if_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, if_index=if_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_if_name_update(self, if_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type if_name: unicode
    :param if_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, if_name=if_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, if_name=if_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_in_bandwidth_update(self, in_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type in_bandwidth: long
    :param in_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_bandwidth=in_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_bandwidth=in_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_in_broadcast_pkts_update(self, in_broadcast_pkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type in_broadcast_pkts: long
    :param in_broadcast_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_broadcast_pkts=in_broadcast_pkts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_broadcast_pkts=in_broadcast_pkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_in_crc_errors_update(self, in_crc_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type in_crc_errors: long
    :param in_crc_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_crc_errors=in_crc_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_crc_errors=in_crc_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_in_discards_update(self, in_discards=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type in_discards: long
    :param in_discards: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_discards=in_discards)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_discards=in_discards)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_in_errors_update(self, in_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type in_errors: long
    :param in_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_errors=in_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_errors=in_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_in_multicast_pkts_update(self, in_multicast_pkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type in_multicast_pkts: long
    :param in_multicast_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_multicast_pkts=in_multicast_pkts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_multicast_pkts=in_multicast_pkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_in_octets_update(self, in_octets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type in_octets: long
    :param in_octets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_octets=in_octets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_octets=in_octets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_in_pkts_update(self, in_pkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type in_pkts: long
    :param in_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_pkts=in_pkts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_pkts=in_pkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_in_pkts_per_second_update(self, in_pkts_per_second=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type in_pkts_per_second: long
    :param in_pkts_per_second: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_pkts_per_second=in_pkts_per_second)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_pkts_per_second=in_pkts_per_second)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_in_unicast_pkts_update(self, in_unicast_pkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type in_unicast_pkts: long
    :param in_unicast_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_unicast_pkts=in_unicast_pkts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_unicast_pkts=in_unicast_pkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_out_bandwidth_update(self, out_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type out_bandwidth: long
    :param out_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, out_bandwidth=out_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, out_bandwidth=out_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_out_broadcast_pkts_update(self, out_broadcast_pkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type out_broadcast_pkts: long
    :param out_broadcast_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, out_broadcast_pkts=out_broadcast_pkts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, out_broadcast_pkts=out_broadcast_pkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_out_crc_errors_update(self, out_crc_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type out_crc_errors: long
    :param out_crc_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, out_crc_errors=out_crc_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, out_crc_errors=out_crc_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_out_discards_update(self, out_discards=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type out_discards: long
    :param out_discards: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, out_discards=out_discards)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, out_discards=out_discards)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_out_errors_update(self, out_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type out_errors: long
    :param out_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, out_errors=out_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, out_errors=out_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_out_multicast_pkts_update(self, out_multicast_pkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type out_multicast_pkts: long
    :param out_multicast_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, out_multicast_pkts=out_multicast_pkts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, out_multicast_pkts=out_multicast_pkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_out_octets_update(self, out_octets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type out_octets: long
    :param out_octets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, out_octets=out_octets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, out_octets=out_octets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_out_pkts_update(self, out_pkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type out_pkts: long
    :param out_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, out_pkts=out_pkts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, out_pkts=out_pkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_out_pkts_per_second_update(self, out_pkts_per_second=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type out_pkts_per_second: long
    :param out_pkts_per_second: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, out_pkts_per_second=out_pkts_per_second)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, out_pkts_per_second=out_pkts_per_second)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_interface_counters_out_unicast_pkts_update(self, out_unicast_pkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type out_unicast_pkts: long
    :param out_unicast_pkts: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state.interface_counters', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, out_unicast_pkts=out_unicast_pkts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, out_unicast_pkts=out_unicast_pkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_statistics_state_profile_name_update(self, profile_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type profile_name: unicode
    :param profile_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_statistics_state', 'pybind.slxos.v17r_1_00a.brocade_interface_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile_name=profile_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile_name=profile_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_update(self, tengigabitethernet=None, long_distance_isl=None, cee=None, speed=None, ifindex=None, description=None, shutdown=None, mtu=None, port_profile_port=None, priority_tag_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type long_distance_isl: unicode
    :param long_distance_isl: Configure the link as long-distance-link

        * enumeration restriction: ::

            ['2000', '5000', '10000', '30000']

    :type cee: unicode
    :param cee: Apply default CEE map 'default'

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type speed: unicode
    :param speed: Set speed informational parameter

        * enumeration restriction: ::

            ['1000-auto', 'auto', '100', '10000', '1000']

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type mtu: long
    :param mtu: Set mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type port_profile_port: YANGBool
    :param port_profile_port: Set the interface to AMPP profile mode

    :type priority_tag_enable: YANGBool
    :param priority_tag_enable: Configure 802.1p priority tagging

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tengigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, long_distance_isl=long_distance_isl, cee=cee, speed=speed, ifindex=ifindex, description=description, shutdown=shutdown, mtu=mtu, port_profile_port=port_profile_port, priority_tag_enable=priority_tag_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, long_distance_isl=long_distance_isl, cee=cee, speed=speed, ifindex=ifindex, description=description, shutdown=shutdown, mtu=mtu, port_profile_port=port_profile_port, priority_tag_enable=priority_tag_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bfd_update(self, tengigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bfd_interval_update(self, tengigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bfd_interval_min_rx_update(self, tengigabitethernet=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bfd_interval_min_tx_update(self, tengigabitethernet=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bfd_interval_multiplier_update(self, tengigabitethernet=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bfd_shutdown_update(self, tengigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bpdu_drop_update(self, tengigabitethernet=None, enable=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

    :type direction: unicode
    :param direction: Keyword argument.

        * enumeration restriction: ::

            ['all', 'rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, direction'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, enable=enable, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, enable=enable, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bpdu_drop_direction_update(self, tengigabitethernet=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type direction: unicode
    :param direction: Keyword argument.

        * enumeration restriction: ::

            ['all', 'rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bpdu_drop_enable_update(self, tengigabitethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_cee_update(self, tengigabitethernet=None, cee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cee: unicode
    :param cee: Apply default CEE map 'default'

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tengigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cee=cee)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cee=cee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_channel_group_update(self, tengigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_int: long
    :param port_int: Channel group number

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: The mode of the port channel.

        * enumeration restriction: ::

            ['active', 'passive', 'on']

    :type type: unicode
    :param type: The type of the port-channel.

        * enumeration restriction: ::

            ['brocade', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, port_int=port_int, mode=mode, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_channel_group_mode_update(self, tengigabitethernet=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: The mode of the port channel.

        * enumeration restriction: ::

            ['active', 'passive', 'on']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_channel_group_port_int_update(self, tengigabitethernet=None, port_int=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_int: long
    :param port_int: Channel group number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, port_int=port_int)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, port_int=port_int)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_channel_group_type_update(self, tengigabitethernet=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: The type of the port-channel.

        * enumeration restriction: ::

            ['brocade', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.channel_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_description_update(self, tengigabitethernet=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tengigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_deviceconnectivity_update(self, tengigabitethernet=None, deviceconnectivity=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type deviceconnectivity: unicode
    :param deviceconnectivity: Device connectivity to IP storage device

        * enumeration restriction: ::

            ['NAS', 'None', 'iSCSI', 'DAS']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.connectivity', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.connectivity', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.connectivity', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, deviceconnectivity=deviceconnectivity)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, deviceconnectivity=deviceconnectivity)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_update(self, tengigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type authentication: YANGBool
    :param authentication: Enable dot1x on a port

    :type port_control: unicode
    :param port_control: Port control commands

        * enumeration restriction: ::

            ['auto',
            'force-unauthorized',
            'force-authorized']

    :type protocol_version: long
    :param protocol_version: Set the protocol version

        * range restriction: ::

            ['0..4294967295']

    :type quiet_period: long
    :param quiet_period: Quiet period in the HELD state

        * range restriction: ::

            ['0..4294967295']

    :type reauthMax: long
    :param reauthMax: Number of reauthentication attempts before becomingunauthorized

        * range restriction: ::

            ['0..4294967295']

    :type reauthentication: YANGBool
    :param reauthentication: Enable reauthentication on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface.tengigabitethernet.dot1x": {"reauthMax": "reauthMax", "port_control": "port_control", "quiet_period": "quiet_period", "authentication": "authentication", "reauthentication": "reauthentication", "protocol_version": "protocol_version"}, "pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x": {}, "pybind.nos.v6_0_2c.interface.tengigabitethernet.dot1x": {"reauthMax": "reauthMax", "port_control": "port_control", "quiet_period": "quiet_period", "authentication": "authentication", "reauthentication": "reauthentication", "protocol_version": "protocol_version"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_authentication_update(self, tengigabitethernet=None, authentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type authentication: YANGBool
    :param authentication: Enable dot1x on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, authentication=authentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, authentication=authentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_mac_auth_bypass_update(self, tengigabitethernet=None, mac_auth_bypass=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_auth_bypass: YANGBool
    :param mac_auth_bypass: Enable MAC Authentication Bypass.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mac_auth_bypass=mac_auth_bypass)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mac_auth_bypass=mac_auth_bypass)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_mac_auth_enable_update(self, tengigabitethernet=None, mac_auth_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_auth_enable: YANGBool
    :param mac_auth_enable: Enable MAC based Authentication.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mac_auth_enable=mac_auth_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mac_auth_enable=mac_auth_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_port_control_update(self, tengigabitethernet=None, port_control=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_control: unicode
    :param port_control: Port control commands

        * enumeration restriction: ::

            ['auto',
            'force-unauthorized',
            'force-authorized']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, port_control=port_control)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, port_control=port_control)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_protocol_version_update(self, tengigabitethernet=None, protocol_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type protocol_version: long
    :param protocol_version: Set the protocol version

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, protocol_version=protocol_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, protocol_version=protocol_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_quiet_period_update(self, tengigabitethernet=None, quiet_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type quiet_period: long
    :param quiet_period: Quiet period in the HELD state

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, quiet_period=quiet_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, quiet_period=quiet_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_reauthentication_update(self, tengigabitethernet=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reauthentication: YANGBool
    :param reauthentication: Enable reauthentication on a port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, reauthentication=reauthentication)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_reauthmax_update(self, tengigabitethernet=None, reauthMax=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reauthMax: long
    :param reauthMax: Number of reauthentication attempts before becomingunauthorized

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.dot1x', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, reauthMax=reauthMax)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, reauthMax=reauthMax)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_timeout_update(self, tengigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type re_authperiod: long
    :param re_authperiod: Reauthentication interval in seconds (default = 3600)

        * range restriction: ::

            ['0..4294967295']

    :type server_timeout: long
    :param server_timeout: Server timeout in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type supp_timeout: long
    :param supp_timeout: Supplicant response timeout (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type tx_period: long
    :param tx_period: Transmission period in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_timeout_re_authperiod_update(self, tengigabitethernet=None, re_authperiod=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type re_authperiod: long
    :param re_authperiod: Reauthentication interval in seconds (default = 3600)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, re_authperiod=re_authperiod)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, re_authperiod=re_authperiod)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_timeout_server_timeout_update(self, tengigabitethernet=None, server_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type server_timeout: long
    :param server_timeout: Server timeout in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, server_timeout=server_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, server_timeout=server_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_timeout_supp_timeout_update(self, tengigabitethernet=None, supp_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type supp_timeout: long
    :param supp_timeout: Supplicant response timeout (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, supp_timeout=supp_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, supp_timeout=supp_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_timeout_tx_period_update(self, tengigabitethernet=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type tx_period: long
    :param tx_period: Transmission period in seconds (default = 30)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, tx_period=tx_period)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_edge_loop_detection_update(self, tengigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Set ELD-priority value to interface

        * range restriction: ::

            ['0..4294967295']

    :type eldvlan: unicode
    :param eldvlan: Enable for specific VLAN on selected interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, eldprio=eldprio, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_edge_loop_detection_port_priority_update(self, tengigabitethernet=None, eldprio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldprio: long
    :param eldprio: Set ELD-priority value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, eldprio=eldprio)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, eldprio=eldprio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_edge_loop_detection_vlan_update(self, tengigabitethernet=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type eldvlan: unicode
    :param eldvlan: Enable for specific VLAN on selected interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, eldvlan=eldvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_dport_update(self, tengigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_dport_enable: YANGBool
    :param fabric_dport_enable: Configure fabric D-port status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_dport": {}, "pybind.nos.v6_0_2c.interface.tengigabitethernet.fabric.fabric_dport": {"fabric_dport_enable": "fabric_dport_enable"}, "pybind.nos.v7_0_1b.interface.tengigabitethernet.fabric.fabric_dport": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, fabric_dport_enable=fabric_dport_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_dport_enable_update(self, tengigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_dport_enable: YANGBool
    :param fabric_dport_enable: Configure fabric D-port status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, fabric_dport_enable=fabric_dport_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_dport_mode_update(self, tengigabitethernet=None, fabric_dport_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_dport_mode: unicode
    :param fabric_dport_mode: Configure D-Port Mode

        * enumeration restriction: ::

            ['static', 'none', 'dynamic']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, fabric_dport_mode=fabric_dport_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, fabric_dport_mode=fabric_dport_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_isl_update(self, tengigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_isl_enable: YANGBool
    :param fabric_isl_enable: Configure fabric isl status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, fabric_isl_enable=fabric_isl_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_isl_enable_update(self, tengigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_isl_enable: YANGBool
    :param fabric_isl_enable: Configure fabric isl status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, fabric_isl_enable=fabric_isl_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_neighbor_discovery_update(self, tengigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable neighbor discovery at this port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_neighbor_discovery_disable_update(self, tengigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable neighbor discovery at this port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_trunk_update(self, tengigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_trunk_enable: YANGBool
    :param fabric_trunk_enable: Configure fabric trunk status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, fabric_trunk_enable=fabric_trunk_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_trunk_enable_update(self, tengigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fabric_trunk_enable: YANGBool
    :param fabric_trunk_enable: Configure fabric trunk status 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, fabric_trunk_enable=fabric_trunk_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fcoeport_update(self, tengigabitethernet=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fcoeport_map: unicode
    :param fcoeport_map: Keyword argument.

        * length restriction: ::

            ['1..32']

    :type ns_ip_registration: YANGBool
    :param ns_ip_registration: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.fcoeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoeport_map, ns_ip_registration'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fcoeport_map_update(self, tengigabitethernet=None, fcoeport_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type fcoeport_map: unicode
    :param fcoeport_map: Keyword argument.

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.fcoeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, fcoeport_map=fcoeport_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, fcoeport_map=fcoeport_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fcoeport_ns_ip_registration_update(self, tengigabitethernet=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ns_ip_registration: YANGBool
    :param ns_ip_registration: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.fcoeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ns_ip_registration=ns_ip_registration)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ifindex_update(self, tengigabitethernet=None, ifindex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tengigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ifindex=ifindex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ifindex=ifindex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_access_group_update(self, tengigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_access_group_traffic_type_update(self, tengigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_address_update(self, tengigabitethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_address_ospf_ignore_update(self, tengigabitethernet=None, address=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, address=address, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, address=address, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_address_ospf_passive_update(self, tengigabitethernet=None, address=None, ospf_passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, address=address, ospf_passive=ospf_passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, address=address, ospf_passive=ospf_passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_address_secondary_update(self, tengigabitethernet=None, address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, address=address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, address=address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_arp_aging_timeout_update(self, tengigabitethernet=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_arp_inspection_update(self, tengigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_arp_inspection_trust_update(self, tengigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_arp_ip_config_update(self, tengigabitethernet=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type learn_any: YANGBool
    :param learn_any: Learn ARP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, learn_any=learn_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_arp_learn_any_update(self, tengigabitethernet=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type learn_any: YANGBool
    :param learn_any: Learn ARP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, learn_any=learn_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_dhcp_relay_update(self, tengigabitethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_dhcp_relay_gateway_update(self, tengigabitethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_directed_broadcast_update(self, tengigabitethernet=None, directed_broadcast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, directed_broadcast=directed_broadcast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, directed_broadcast=directed_broadcast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_icmp_update(self, tengigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_icmp_address_mask_update(self, tengigabitethernet=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_icmp_echo_reply_update(self, tengigabitethernet=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_icmp_rate_limiting_update(self, tengigabitethernet=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_icmp_redirect_update(self, tengigabitethernet=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_icmp_unreachable_update(self, tengigabitethernet=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_igmp_update(self, tengigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type immediate_leave: YANGBool
    :param immediate_leave: Immediate Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp": {"immediate_leave": "immediate_leave", "last_member_query_interval": "last_member_query_interval", "query_interval": "query_interval", "query_max_response_time": "query_max_response_time"}, "pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp": {}, "pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_igmp_immediate_leave_update(self, tengigabitethernet=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type immediate_leave: YANGBool
    :param immediate_leave: Immediate Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, immediate_leave=immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_igmp_last_member_query_count_update(self, tengigabitethernet=None, last_member_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type last_member_query_count: long
    :param last_member_query_count: IGMP Last Member Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, last_member_query_count=last_member_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, last_member_query_count=last_member_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_igmp_last_member_query_interval_update(self, tengigabitethernet=None, last_member_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, last_member_query_interval=last_member_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, last_member_query_interval=last_member_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_igmp_query_interval_update(self, tengigabitethernet=None, query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, query_interval=query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, query_interval=query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_igmp_query_max_response_time_update(self, tengigabitethernet=None, query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, query_max_response_time=query_max_response_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, query_max_response_time=query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_igmp_robustness_variable_update(self, tengigabitethernet=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type robustness_variable: long
    :param robustness_variable: Robustness Variable

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, robustness_variable=robustness_variable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_igmp_startup_query_count_update(self, tengigabitethernet=None, startup_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type startup_query_count: long
    :param startup_query_count: IGMP Startup Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, startup_query_count=startup_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, startup_query_count=startup_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_igmp_startup_query_interval_update(self, tengigabitethernet=None, startup_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type startup_query_interval: long
    :param startup_query_interval: Startup Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, startup_query_interval=startup_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, startup_query_interval=startup_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ip_config_update(self, tengigabitethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_mtu_update(self, tengigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_multicast_boundary_update(self, tengigabitethernet=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_update(self, tengigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_active_update(self, tengigabitethernet=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_area_update(self, tengigabitethernet=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, area=area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_auth_change_wait_time_update(self, tengigabitethernet=None, auth_change_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, auth_change_wait_time=auth_change_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, auth_change_wait_time=auth_change_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_authentication_key_auth_key_update(self, tengigabitethernet=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_authentication_key_auth_key_table_update(self, tengigabitethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'encrypttype, auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, encrypttype=encrypttype, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_authentication_key_encrypttype_update(self, tengigabitethernet=None, encrypttype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, encrypttype=encrypttype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, encrypttype=encrypttype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_authentication_key_no_encrypt_auth_key_update(self, tengigabitethernet=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_authentication_key_no_encrypt_auth_key_table_update(self, tengigabitethernet=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_bfd_update(self, tengigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_bfd_intf_bfd_enable_update(self, tengigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_cost_update(self, tengigabitethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_database_filter_update(self, tengigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_database_filter_all_external_update(self, tengigabitethernet=None, all_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, all_external=all_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, all_external=all_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_database_filter_all_out_update(self, tengigabitethernet=None, all_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, all_out=all_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, all_out=all_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_database_filter_all_summary_external_update(self, tengigabitethernet=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_dead_interval_update(self, tengigabitethernet=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_hello_interval_update(self, tengigabitethernet=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_md5_authentication_update(self, tengigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_md5_authentication_key_update(self, tengigabitethernet=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, tengigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_md5_authentication_key_id_update(self, tengigabitethernet=None, no_encrypt_key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, no_encrypt_key_id=no_encrypt_key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, no_encrypt_key_id=no_encrypt_key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_md5_authentication_key_id_key_update(self, tengigabitethernet=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_md5_authentication_key_id_key_id_update(self, tengigabitethernet=None, key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, key_id=key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, key_id=key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_md5_authentication_key_id_md5_authentication_key_update(self, tengigabitethernet=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type md5_authentication_key: unicode
    :param md5_authentication_key: MD5 authentication ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, md5_authentication_key=md5_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_md5_authentication_no_encrypt_key_table_update(self, tengigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_mtu_ignore_update(self, tengigabitethernet=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_network_update(self, tengigabitethernet=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_passive_update(self, tengigabitethernet=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_priority_update(self, tengigabitethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_retransmit_interval_update(self, tengigabitethernet=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_transmit_delay_update(self, tengigabitethernet=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_pim_update(self, tengigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_pim_dr_priority_update(self, tengigabitethernet=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_pim_int_cmd_update(self, tengigabitethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_pim_multinet_update(self, tengigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_pim_multinet_enable_update(self, tengigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_pim_neighbor_filter_update(self, tengigabitethernet=None, neighbor_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, neighbor_filter=neighbor_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, neighbor_filter=neighbor_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_pim_sparse_update(self, tengigabitethernet=None, pim_sparse=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pim_sparse=pim_sparse)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pim_sparse=pim_sparse)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_policy_route_map_update(self, tengigabitethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_policy_route_map_route_map_name_update(self, tengigabitethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_proxy_arp_update(self, tengigabitethernet=None, proxy_arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, proxy_arp=proxy_arp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, proxy_arp=proxy_arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_unnumbered_update(self, tengigabitethernet=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ip_donor_interface_type: unicode
    :param ip_donor_interface_type: The type of donor interface.

        * enumeration restriction: ::

            ['ve',
            'loopback',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type ip_donor_interface_name: unicode
    :param ip_donor_interface_name: The name of donor interface.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ip_donor_interface_type, ip_donor_interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_unnumbered_ip_donor_interface_name_update(self, tengigabitethernet=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ip_donor_interface_name: unicode
    :param ip_donor_interface_name: The name of donor interface.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ip_donor_interface_name=ip_donor_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_unnumbered_ip_donor_interface_type_update(self, tengigabitethernet=None, ip_donor_interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ip_donor_interface_type: unicode
    :param ip_donor_interface_type: The type of donor interface.

        * enumeration restriction: ::

            ['ve',
            'loopback',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ip_donor_interface_type=ip_donor_interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ip_donor_interface_type=ip_donor_interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_update(self, tengigabitethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type raguard: YANGBool
    :param raguard: IPv6 Router advertisement guard configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, raguard=raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_access_group_update(self, tengigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_access_group_traffic_type_update(self, tengigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_update(self, tengigabitethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_ipv6_address_update(self, tengigabitethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_ipv6_address_anycast_update(self, tengigabitethernet=None, ipv6_address=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_ipv6_address_eui_64_update(self, tengigabitethernet=None, ipv6_address=None, eui64=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, eui64=eui64)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, eui64=eui64)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_ipv6_address_secondary_update(self, tengigabitethernet=None, ipv6_address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_ipv6_address_secondary_eui_config_update(self, tengigabitethernet=None, ipv6_address=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui_secondary: YANGBool
    :param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, eui_secondary=eui_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_link_local_update(self, tengigabitethernet=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_link_local_address_update(self, tengigabitethernet=None, link_local_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, link_local_address=link_local_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, link_local_address=link_local_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_link_local_config_update(self, tengigabitethernet=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'link_local_address, link_local'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, link_local_address=link_local_address, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_use_link_local_only_update(self, tengigabitethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_dhcp_relay_servers_update(self, tengigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_dhcp_relay_servers_interface_update(self, tengigabitethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'Ve']

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_dhcp_relay_servers_interface_interface_update(self, tengigabitethernet=None, servers=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'Ve']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, servers=servers, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, servers=servers, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_dhcp_relay_servers_interface_interface_name_update(self, tengigabitethernet=None, servers=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, servers=servers, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, servers=servers, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_dhcp_relay_servers_use_vrf_update(self, tengigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_hop_by_hop_trap_update(self, tengigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_icmpv6_update(self, tengigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_icmpv6_echo_reply_update(self, tengigabitethernet=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_icmpv6_rate_limiting_update(self, tengigabitethernet=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_icmpv6_redirect_update(self, tengigabitethernet=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_icmpv6_unreachable_update(self, tengigabitethernet=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ipv6_config_update(self, tengigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ipv6_intf_cmds_update(self, tengigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ipv6_phy_intf_cmds_update(self, tengigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_mtu_update(self, tengigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_update(self, tengigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type hoplimit: long
    :param hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {"managed_config_flag": "managed_config_flag", "broadcast_mac_trap": "broadcast_mac_trap", "ra_lifetime": "ra_lifetime", "hoplimit": "hoplimit", "mtu": "mtu", "retrans_timer": "retrans_timer", "other_config_flag": "other_config_flag", "ns_interval": "ns_interval", "reachable_time": "reachable_time", "proxy": "proxy"}, "pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {"managed_config_flag": "managed_config_flag", "broadcast_mac_trap": "broadcast_mac_trap", "ra_lifetime": "ra_lifetime", "hoplimit": "hoplimit", "mtu": "mtu", "retrans_timer": "retrans_timer", "other_config_flag": "other_config_flag", "ns_interval": "ns_interval", "reachable_time": "reachable_time", "proxy": "proxy"}, "pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_broadcast_mac_trap_update(self, tengigabitethernet=None, broadcast_mac_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, broadcast_mac_trap=broadcast_mac_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, broadcast_mac_trap=broadcast_mac_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_cache_update(self, tengigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_cache_expire_update(self, tengigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_dad_update(self, tengigabitethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, attempts=attempts, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_dad_attempts_update(self, tengigabitethernet=None, attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, attempts=attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, attempts=attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_dad_time_update(self, tengigabitethernet=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_hoplimit_update(self, tengigabitethernet=None, hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hoplimit: long
    :param hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, hoplimit=hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, hoplimit=hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_managed_config_flag_update(self, tengigabitethernet=None, managed_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, managed_config_flag=managed_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, managed_config_flag=managed_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_mtu_update(self, tengigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_ns_interval_update(self, tengigabitethernet=None, ns_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ns_interval=ns_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ns_interval=ns_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_nud_retry_update(self, tengigabitethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'base, interval, max_attempts'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, base=base, interval=interval, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_nud_retry_base_update(self, tengigabitethernet=None, base=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, base=base)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, base=base)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_nud_retry_interval_update(self, tengigabitethernet=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_nud_retry_max_attempts_update(self, tengigabitethernet=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_other_config_flag_update(self, tengigabitethernet=None, other_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, other_config_flag=other_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, other_config_flag=other_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_infinite_update(self, tengigabitethernet=None, prefix=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_infinite: YANGBool
    :param valid_infinite: Infinite valid lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, prefix=prefix, valid_infinite=valid_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, prefix=prefix, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_infinite_preferred_update(self, tengigabitethernet=None, prefix=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, prefix=prefix, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, prefix=prefix, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_no_advertise_update(self, tengigabitethernet=None, prefix=None, no_advertise=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_advertise: YANGBool
    :param no_advertise: Do not advertise prefix

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, prefix=prefix, no_advertise=no_advertise)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, prefix=prefix, no_advertise=no_advertise)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_no_autoconfig_update(self, tengigabitethernet=None, prefix=None, no_autoconfig=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_no_onlink_update(self, tengigabitethernet=None, prefix=None, no_onlink=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, prefix=prefix, no_onlink=no_onlink)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, prefix=prefix, no_onlink=no_onlink)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_off_link_update(self, tengigabitethernet=None, prefix=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, prefix=prefix, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, prefix=prefix, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_preferred_update(self, tengigabitethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'preferred_lifetime, preferred_infinite'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime'], 'pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime'], 'pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_preferred_lifetime_update(self, tengigabitethernet=None, prefix=None, preferred_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_prefix_flags_update(self, tengigabitethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_autoconfig, no_onlink, off_link'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_valid_lifetime_update(self, tengigabitethernet=None, prefix=None, valid_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_lifetime: long
    :param valid_lifetime: Configures valid lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, prefix=prefix, valid_lifetime=valid_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, prefix=prefix, valid_lifetime=valid_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_proxy_update(self, tengigabitethernet=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_ra_interval_update(self, tengigabitethernet=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_interval, min_'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, max_interval=max_interval, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_ra_interval_max_interval_update(self, tengigabitethernet=None, max_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, max_interval=max_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, max_interval=max_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_ra_interval_min_update(self, tengigabitethernet=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_ra_lifetime_update(self, tengigabitethernet=None, ra_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ra_lifetime=ra_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ra_lifetime=ra_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_reachable_time_update(self, tengigabitethernet=None, reachable_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, reachable_time=reachable_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, reachable_time=reachable_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_retrans_timer_update(self, tengigabitethernet=None, retrans_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, retrans_timer=retrans_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, retrans_timer=retrans_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_set_cache_expire_time_update(self, tengigabitethernet=None, set_cache_expire_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type set_cache_expire_time: long
    :param set_cache_expire_time: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, set_cache_expire_time=set_cache_expire_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, set_cache_expire_time=set_cache_expire_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_set_hoplimit_update(self, tengigabitethernet=None, set_hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type set_hoplimit: long
    :param set_hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, set_hoplimit=set_hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, set_hoplimit=set_hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_suppress_ra_update(self, tengigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_suppress_ra_all_update(self, tengigabitethernet=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_suppress_ra_mtu_update(self, tengigabitethernet=None, suppress_ra_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, suppress_ra_mtu=suppress_ra_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, suppress_ra_mtu=suppress_ra_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_suppress_ra_suppress_ra_flag_update(self, tengigabitethernet=None, suppress_ra_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, suppress_ra_flag=suppress_ra_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, suppress_ra_flag=suppress_ra_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_neighbor_update(self, tengigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_neighbor_hardware_address_update(self, tengigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_update(self, tengigabitethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_active_update(self, tengigabitethernet=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_area_update(self, tengigabitethernet=None, interface_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, interface_area=interface_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, interface_area=interface_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_ah_update(self, tengigabitethernet=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_esp_update(self, tengigabitethernet=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_esp_auth_update(self, tengigabitethernet=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_esp_key_update(self, tengigabitethernet=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_esp_no_encrypt_update(self, tengigabitethernet=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_ipsec_update(self, tengigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_ipsec_auth_key_config_update(self, tengigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_ipsec_disable_update(self, tengigabitethernet=None, ipsec_authentication_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, tengigabitethernet=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_key_update(self, tengigabitethernet=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_no_encrypt_update(self, tengigabitethernet=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_spi_update(self, tengigabitethernet=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_bfd_update(self, tengigabitethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_bfd_bfd_enable_update(self, tengigabitethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_cost_update(self, tengigabitethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_dead_interval_update(self, tengigabitethernet=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_hello_interval_update(self, tengigabitethernet=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_hello_jitter_update(self, tengigabitethernet=None, hello_jitter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, hello_jitter=hello_jitter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, hello_jitter=hello_jitter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_instance_update(self, tengigabitethernet=None, instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, instance=instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, instance=instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_link_interval_properties_update(self, tengigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_mtu_ignore_update(self, tengigabitethernet=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_network_update(self, tengigabitethernet=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_passive_update(self, tengigabitethernet=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_priority_update(self, tengigabitethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_retransmit_interval_update(self, tengigabitethernet=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_suppress_linklsa_update(self, tengigabitethernet=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_transmit_delay_update(self, tengigabitethernet=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_policy_route_map_update(self, tengigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_policy_route_map_ipv6_route_map_name_update(self, tengigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_raguard_update(self, tengigabitethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type raguard: YANGBool
    :param raguard: IPv6 Router advertisement guard configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, raguard=raguard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_update(self, tengigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_advertise_backup_update(self, tengigabitethernet=None, vrrpv3e_group=None, advertise_backup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, advertise_backup=advertise_backup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, advertise_backup=advertise_backup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_advertisement_interval_update(self, tengigabitethernet=None, vrrpv3e_group=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_advertisement_interval_scale_update(self, tengigabitethernet=None, vrrpv3e_group=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, advertisement_interval_scale=advertisement_interval_scale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_backup_advertisement_interval_update(self, tengigabitethernet=None, vrrpv3e_group=None, backup_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, backup_advertisement_interval=backup_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, backup_advertisement_interval=backup_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_description_update(self, tengigabitethernet=None, vrrpv3e_group=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_enable_update(self, tengigabitethernet=None, vrrpv3e_group=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_hold_time_update(self, tengigabitethernet=None, vrrpv3e_group=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_nd_advertisement_timer_update(self, tengigabitethernet=None, vrrpv3e_group=None, nd_advertisement_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, nd_advertisement_timer=nd_advertisement_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, nd_advertisement_timer=nd_advertisement_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_preempt_mode_update(self, tengigabitethernet=None, vrrpv3e_group=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_priority_update(self, tengigabitethernet=None, vrrpv3e_group=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, tengigabitethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_basic_update(self, tengigabitethernet=None, vrrpv3e_group=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_revert_priority_update(self, tengigabitethernet=None, vrrpv3e_group=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_track_interface_update(self, tengigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_track_interface_priority_update(self, tengigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_update(self, tengigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_advertisement_interval_update(self, tengigabitethernet=None, vrrpv3_group=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_description_update(self, tengigabitethernet=None, vrrpv3_group=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_enable_update(self, tengigabitethernet=None, vrrpv3_group=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_hold_time_update(self, tengigabitethernet=None, vrrpv3_group=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_preempt_mode_update(self, tengigabitethernet=None, vrrpv3_group=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_priority_update(self, tengigabitethernet=None, vrrpv3_group=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_track_interface_update(self, tengigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_track_interface_priority_update(self, tengigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_use_v2_checksum_update(self, tengigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_suppress_interface_ra_update(self, tengigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lacp_update(self, tengigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type timeout: unicode
    :param timeout: Timeout commands

        * enumeration restriction: ::

            ['short', 'long']

    :type std_port_priority: long
    :param std_port_priority: Port priority commands

        * range restriction: ::

            ['0..4294967295']

    :type default_up: YANGBool
    :param default_up: To bring up the interface in LACP default state 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lacp_default_up_update(self, tengigabitethernet=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_up: YANGBool
    :param default_up: To bring up the interface in LACP default state 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, default_up=default_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lacp_port_priority_update(self, tengigabitethernet=None, std_port_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type std_port_priority: long
    :param std_port_priority: Port priority commands

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, std_port_priority=std_port_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, std_port_priority=std_port_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lacp_timeout_update(self, tengigabitethernet=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type timeout: unicode
    :param timeout: Timeout commands

        * enumeration restriction: ::

            ['short', 'long']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.lacp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.lacp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lldp_update(self, tengigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dcbx_version: unicode
    :param dcbx_version: Set up DCBX Version

        * enumeration restriction: ::

            ['auto', 'cee']

    :type disable: YANGBool
    :param disable: Disable LLDP on the Interface.

    :type iscsi_priority: long
    :param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface

        * range restriction: ::

            ['0..4294967295']

    :type profile: unicode
    :param profile: The LLDP profile on the interface.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lldp_cee_update(self, tengigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type lldp_cee_on_off: unicode
    :param lldp_cee_on_off: Keyword argument.

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.lldp.cee', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.lldp.cee', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, lldp_cee_on_off=lldp_cee_on_off)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lldp_cee_lldp_cee_on_off_update(self, tengigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type lldp_cee_on_off: unicode
    :param lldp_cee_on_off: Keyword argument.

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.lldp.cee', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.lldp.cee', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, lldp_cee_on_off=lldp_cee_on_off)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lldp_dcbx_version_update(self, tengigabitethernet=None, dcbx_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dcbx_version: unicode
    :param dcbx_version: Set up DCBX Version

        * enumeration restriction: ::

            ['auto', 'cee']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, dcbx_version=dcbx_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, dcbx_version=dcbx_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lldp_disable_update(self, tengigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable LLDP on the Interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lldp_iscsi_priority_update(self, tengigabitethernet=None, iscsi_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type iscsi_priority: long
    :param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, iscsi_priority=iscsi_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, iscsi_priority=iscsi_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lldp_profile_update(self, tengigabitethernet=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile: unicode
    :param profile: The LLDP profile on the interface.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, profile=profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_long_distance_isl_update(self, tengigabitethernet=None, long_distance_isl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type long_distance_isl: unicode
    :param long_distance_isl: Configure the link as long-distance-link

        * enumeration restriction: ::

            ['2000', '5000', '10000', '30000']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tengigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, long_distance_isl=long_distance_isl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, long_distance_isl=long_distance_isl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_mac_access_group_update(self, tengigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_mac_access_group_traffic_type_update(self, tengigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_mac_learning_disable_vlan_update(self, tengigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_learning_vlan_add: unicode
    :param mac_learning_vlan_add: RANGE;;Range of vlans to add

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type mac_learning_vlan_remove: unicode
    :param mac_learning_vlan_remove: RANGE;;Range of vlans to remove

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_mac_learning_disable_vlan_add_update(self, tengigabitethernet=None, mac_learning_vlan_add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_learning_vlan_add: unicode
    :param mac_learning_vlan_add: RANGE;;Range of vlans to add

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_mac_learning_disable_vlan_remove_update(self, tengigabitethernet=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mac_learning_vlan_remove: unicode
    :param mac_learning_vlan_remove: RANGE;;Range of vlans to remove

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mac_learning_vlan_remove=mac_learning_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_mtu_update(self, tengigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tengigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_openflow_update(self, tengigabitethernet=None, logical_instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type logical_instance_id: long
    :param logical_instance_id: OpenFlow logical instance configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, logical_instance_id=logical_instance_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, logical_instance_id=logical_instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_openflow_enable_update(self, tengigabitethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: OpenFlow enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_openflow_logical_instance_update(self, tengigabitethernet=None, logical_instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type logical_instance_id: long
    :param logical_instance_id: OpenFlow logical instance configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, logical_instance_id=logical_instance_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, logical_instance_id=logical_instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_openflow_match_profile_update(self, tengigabitethernet=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type match_profile: unicode
    :param match_profile: OpenFlow match profile

        * enumeration restriction: ::

            ['Layer3', 'Layer2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, match_profile=match_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_openflow_openflow_enable_update(self, tengigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: OpenFlow enable

    :type match_profile: unicode
    :param match_profile: OpenFlow match profile

        * enumeration restriction: ::

            ['Layer3', 'Layer2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, match_profile'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, enable=enable, match_profile=match_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, enable=enable, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_port_profile_port_update(self, tengigabitethernet=None, port_profile_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_profile_port: YANGBool
    :param port_profile_port: Set the interface to AMPP profile mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tengigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, port_profile_port=port_profile_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, port_profile_port=port_profile_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_port_profile_port_domain_update(self, tengigabitethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile_domain_name: unicode
    :param profile_domain_name: Port-profile-domain name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, profile_domain_name=profile_domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_port_profile_port_domain_profile_domain_name_update(self, tengigabitethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type profile_domain_name: unicode
    :param profile_domain_name: Port-profile-domain name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, profile_domain_name=profile_domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_priority_tag_update(self, tengigabitethernet=None, priority_tag_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority_tag_enable: YANGBool
    :param priority_tag_enable: Configure 802.1p priority tagging

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tengigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, priority_tag_enable=priority_tag_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, priority_tag_enable=priority_tag_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_update(self, tengigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_cos: long
    :param default_cos: Configure default Class of Service (CoS)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_mutation: unicode
    :param dscp_mutation: Configure DSCP-to-DSCP mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Configure DSCP-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_cos: unicode
    :param dscp_cos: Configure DSCP-to-COS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_cos_update(self, tengigabitethernet=None, default_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_cos: long
    :param default_cos: Configure default Class of Service (CoS)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, default_cos=default_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, default_cos=default_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_cos_mutation_update(self, tengigabitethernet=None, cos_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cos_mutation=cos_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cos_mutation=cos_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_cos_traffic_class_update(self, tengigabitethernet=None, cos_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cos_traffic_class=cos_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cos_traffic_class=cos_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_drop_monitor_update(self, tengigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type drop_monitor_enable: YANGBool
    :param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, drop_monitor_enable=drop_monitor_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_drop_monitor_enable_update(self, tengigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type drop_monitor_enable: YANGBool
    :param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, drop_monitor_enable=drop_monitor_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_dscp_cos_update(self, tengigabitethernet=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_cos: unicode
    :param dscp_cos: Configure DSCP-to-COS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_dscp_mutation_update(self, tengigabitethernet=None, dscp_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_mutation: unicode
    :param dscp_mutation: Configure DSCP-to-DSCP mutation

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, dscp_mutation=dscp_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, dscp_mutation=dscp_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_dscp_traffic_class_update(self, tengigabitethernet=None, dscp_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Configure DSCP-to-Traffic Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, dscp_traffic_class=dscp_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, dscp_traffic_class=dscp_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_flowcontrol_link_level_flowcontrol_update(self, tengigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_tx: unicode
    :param flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type flowcontrol_rx: unicode
    :param flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_flowcontrol_pfc_update(self, tengigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_flowcontrol_pfc_rx_update(self, tengigabitethernet=None, pfc=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pfc=pfc, pfc_flowcontrol_rx=pfc_flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pfc=pfc, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_flowcontrol_pfc_tx_update(self, tengigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_flowcontrol_rx_update(self, tengigabitethernet=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_rx: unicode
    :param flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, flowcontrol_rx=flowcontrol_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_flowcontrol_tx_update(self, tengigabitethernet=None, flowcontrol_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type flowcontrol_tx: unicode
    :param flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, flowcontrol_tx=flowcontrol_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, flowcontrol_tx=flowcontrol_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_random_detect_traffic_class_update(self, tengigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_random_detect_traffic_class_apply_update(self, tengigabitethernet=None, traffic_class=None, red_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, traffic_class=traffic_class, red_enable=red_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, traffic_class=traffic_class, red_enable=red_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_random_detect_traffic_class_red_profile_id_update(self, tengigabitethernet=None, traffic_class=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_rcv_queue_cos_threshold_update(self, tengigabitethernet=None, cos0_threshold=None, cos1_threshold=None, cos2_threshold=None, cos3_threshold=None, cos4_threshold=None, cos5_threshold=None, cos6_threshold=None, cos7_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos0_threshold: long
    :param cos0_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos1_threshold: long
    :param cos1_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos2_threshold: long
    :param cos2_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos3_threshold: long
    :param cos3_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos4_threshold: long
    :param cos4_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos5_threshold: long
    :param cos5_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos6_threshold: long
    :param cos6_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cos7_threshold: long
    :param cos7_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cos0_threshold=cos0_threshold, cos1_threshold=cos1_threshold, cos2_threshold=cos2_threshold, cos3_threshold=cos3_threshold, cos4_threshold=cos4_threshold, cos5_threshold=cos5_threshold, cos6_threshold=cos6_threshold, cos7_threshold=cos7_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cos0_threshold=cos0_threshold, cos1_threshold=cos1_threshold, cos2_threshold=cos2_threshold, cos3_threshold=cos3_threshold, cos4_threshold=cos4_threshold, cos5_threshold=cos5_threshold, cos6_threshold=cos6_threshold, cos7_threshold=cos7_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_rcv_queue_cos_threshold_cos0_threshold_update(self, tengigabitethernet=None, cos0_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos0_threshold: long
    :param cos0_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cos0_threshold=cos0_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cos0_threshold=cos0_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_rcv_queue_cos_threshold_cos1_threshold_update(self, tengigabitethernet=None, cos1_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos1_threshold: long
    :param cos1_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cos1_threshold=cos1_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cos1_threshold=cos1_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_rcv_queue_cos_threshold_cos2_threshold_update(self, tengigabitethernet=None, cos2_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos2_threshold: long
    :param cos2_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cos2_threshold=cos2_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cos2_threshold=cos2_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_rcv_queue_cos_threshold_cos3_threshold_update(self, tengigabitethernet=None, cos3_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos3_threshold: long
    :param cos3_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cos3_threshold=cos3_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cos3_threshold=cos3_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_rcv_queue_cos_threshold_cos4_threshold_update(self, tengigabitethernet=None, cos4_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos4_threshold: long
    :param cos4_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cos4_threshold=cos4_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cos4_threshold=cos4_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_rcv_queue_cos_threshold_cos5_threshold_update(self, tengigabitethernet=None, cos5_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos5_threshold: long
    :param cos5_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cos5_threshold=cos5_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cos5_threshold=cos5_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_rcv_queue_cos_threshold_cos6_threshold_update(self, tengigabitethernet=None, cos6_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos6_threshold: long
    :param cos6_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cos6_threshold=cos6_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cos6_threshold=cos6_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_rcv_queue_cos_threshold_cos7_threshold_update(self, tengigabitethernet=None, cos7_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cos7_threshold: long
    :param cos7_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cos7_threshold=cos7_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cos7_threshold=cos7_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_trust_update(self, tengigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type trust_dscp: YANGBool
    :param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_trust_cos_update(self, tengigabitethernet=None, trust_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, trust_cos=trust_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, trust_cos=trust_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_trust_dscp_update(self, tengigabitethernet=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trust_dscp: YANGBool
    :param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.trust', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, trust_dscp=trust_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_rmon_collection_history_update(self, tengigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: **history_control_entry** tuple argument:  Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: **history_control_entry** tuple argument:  Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: **history_control_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_rmon_collection_history_buckets_update(self, tengigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_rmon_collection_history_interval_update(self, tengigabitethernet=None, history_control_entry=None, history_control_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry, history_control_interval=history_control_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry, history_control_interval=history_control_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_rmon_collection_history_owner_update(self, tengigabitethernet=None, history_control_entry=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry, history_control_owner=history_control_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_rmon_collection_stats_update(self, tengigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index, ether_stats_owner
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type ether_stats_owner: unicode
    :param ether_stats_owner: **ether_stats_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_rmon_collection_stats_owner_update(self, tengigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_service_policy_update(self, tengigabitethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type in_: unicode
    :param in_: Input Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type out: unicode
    :param out: Output Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, in_=in_, out=out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_service_policy_in_update(self, tengigabitethernet=None, in_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type in_: unicode
    :param in_: Input Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, in_=in_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, in_=in_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_service_policy_out_update(self, tengigabitethernet=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type out: unicode
    :param out: Output Policy Map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.service_policy', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, out=out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_sflow_update(self, tengigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable port sflow

    :type polling_interval: long
    :param polling_interval: Interface counter polling interval

        * range restriction: ::

            ['0..4294967295']

    :type sample_rate: long
    :param sample_rate: Interface sampling rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_sflow_enable_update(self, tengigabitethernet=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable port sflow

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_sflow_polling_interval_update(self, tengigabitethernet=None, polling_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type polling_interval: long
    :param polling_interval: Interface counter polling interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, polling_interval=polling_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, polling_interval=polling_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_sflow_sample_rate_update(self, tengigabitethernet=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sample_rate: long
    :param sample_rate: Interface sampling rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.sflow', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.sflow', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, sample_rate=sample_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_shutdown_update(self, tengigabitethernet=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tengigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_snmp_trap_update(self, tengigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_snmp_trap_link_status_update(self, tengigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_update(self, tengigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type autoedge: YANGBool
    :param autoedge: Autoedge - enable automatic edge detection

    :type cost: long
    :param cost: Change an interface's spanning tree port path cost

        * range restriction: ::

            ['0..4294967295']

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type bpdu_mac: unicode
    :param bpdu_mac: Configure VLAN spanning-tree control MAC

        * enumeration restriction: ::

            ['0100.0ccc.cccd', '0304.0800.0700']

    :type link_type: unicode
    :param link_type: Specify a link type for spanning tree protocol

        * enumeration restriction: ::

            ['shared', 'point-to-point']

    :type priority: long
    :param priority: Change an interface's spanning tree port priority

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology change and received topology change notifications

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_autoedge_update(self, tengigabitethernet=None, autoedge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type autoedge: YANGBool
    :param autoedge: Autoedge - enable automatic edge detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, autoedge=autoedge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, autoedge=autoedge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_bpdu_mac_update(self, tengigabitethernet=None, bpdu_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_mac: unicode
    :param bpdu_mac: Configure VLAN spanning-tree control MAC

        * enumeration restriction: ::

            ['0100.0ccc.cccd', '0304.0800.0700']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, bpdu_mac=bpdu_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, bpdu_mac=bpdu_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_cost_update(self, tengigabitethernet=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Change an interface's spanning tree port path cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_edgeport_update(self, tengigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type edgeportbasic: YANGBool
    :param edgeportbasic: Edgeport

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_edgeport_bpdu_filter_update(self, tengigabitethernet=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_edgeport_bpdu_guard_update(self, tengigabitethernet=None, bpdu_guard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, bpdu_guard=bpdu_guard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, bpdu_guard=bpdu_guard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_edgeport_edgeportbasic_update(self, tengigabitethernet=None, edgeportbasic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type edgeportbasic: YANGBool
    :param edgeportbasic: Edgeport

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, edgeportbasic=edgeportbasic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, edgeportbasic=edgeportbasic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_guard_update(self, tengigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_guard_root_update(self, tengigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_hello_time_update(self, tengigabitethernet=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_instance_update(self, tengigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_instance_cost_update(self, tengigabitethernet=None, instance=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, instance=instance, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, instance=instance, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_instance_priority_update(self, tengigabitethernet=None, instance=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, instance=instance, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, instance=instance, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_instance_restricted_role_update(self, tengigabitethernet=None, instance=None, restricted_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, instance=instance, restricted_role=restricted_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, instance=instance, restricted_role=restricted_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_instance_restricted_tcn_update(self, tengigabitethernet=None, instance=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, instance=instance, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, instance=instance, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_link_type_update(self, tengigabitethernet=None, link_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type link_type: unicode
    :param link_type: Specify a link type for spanning tree protocol

        * enumeration restriction: ::

            ['shared', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, link_type=link_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, link_type=link_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_portfast_update(self, tengigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type portfastbasic: YANGBool
    :param portfastbasic: Enable an interface to move directly to forwarding on link up

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_portfast_bpdu_filter_update(self, tengigabitethernet=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_filter: YANGBool
    :param bpdu_filter: Set the portfast bpdu-filter for the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, bpdu_filter=bpdu_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_portfast_bpdu_guard_update(self, tengigabitethernet=None, bpdu_guard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type bpdu_guard: YANGBool
    :param bpdu_guard: Guard the port against reception of BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, bpdu_guard=bpdu_guard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, bpdu_guard=bpdu_guard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_portfast_portfastbasic_update(self, tengigabitethernet=None, portfastbasic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type portfastbasic: YANGBool
    :param portfastbasic: Enable an interface to move directly to forwarding on link up

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, portfastbasic=portfastbasic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, portfastbasic=portfastbasic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_priority_update(self, tengigabitethernet=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Change an interface's spanning tree port priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_restricted_role_update(self, tengigabitethernet=None, restricted_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, restricted_role=restricted_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, restricted_role=restricted_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_restricted_tcn_update(self, tengigabitethernet=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology change and received topology change notifications

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, restricted_tcn=restricted_tcn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_shutdown_update(self, tengigabitethernet=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_vlan_update(self, tengigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vlan=vlan, cost=cost, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_vlan_cost_update(self, tengigabitethernet=None, vlan=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vlan=vlan, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vlan=vlan, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_vlan_guard_update(self, tengigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vlan=vlan, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_vlan_guard_root_update(self, tengigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type root: YANGBool
    :param root: Disable reception of superior BPDUs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vlan=vlan, root=root)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_vlan_priority_update(self, tengigabitethernet=None, vlan=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vlan=vlan, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vlan=vlan, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_speed_update(self, tengigabitethernet=None, speed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type speed: unicode
    :param speed: Set speed informational parameter

        * enumeration restriction: ::

            ['1000-auto', 'auto', '100', '10000', '1000']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tengigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, speed=speed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, speed=speed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_storm_control_ingress_update(self, tengigabitethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type, rate_format, rate_bps, rate_percent, bum_action
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    :type rate_format: unicode
    :param rate_format: **ingress** tuple argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: **ingress** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: **ingress** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: **ingress** tuple argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_storm_control_ingress_bum_action_update(self, tengigabitethernet=None, ingress=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ingress=ingress, bum_action=bum_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ingress=ingress, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_storm_control_ingress_rate_bps_update(self, tengigabitethernet=None, ingress=None, rate_bps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ingress=ingress, rate_bps=rate_bps)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ingress=ingress, rate_bps=rate_bps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_storm_control_ingress_rate_format_update(self, tengigabitethernet=None, ingress=None, rate_format=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ingress=ingress, rate_format=rate_format)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ingress=ingress, rate_format=rate_format)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_storm_control_ingress_rate_percent_update(self, tengigabitethernet=None, ingress=None, rate_percent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    **Instance Argument(s)**:

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, ingress=ingress, rate_percent=rate_percent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ingress=ingress, rate_percent=rate_percent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_update(self, tengigabitethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport_basic', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport_basic', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_access_update(self, tengigabitethernet=None, accessvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type accessvlan: long
    :param accessvlan: Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.access', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.access', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, accessvlan=accessvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, accessvlan=accessvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_access_rspan_access_update(self, tengigabitethernet=None, rspan_access_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type rspan_access_vlan: long
    :param rspan_access_vlan: Specify rspan-vlan id to set as access vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.access.rspan_access', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, rspan_access_vlan=rspan_access_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, rspan_access_vlan=rspan_access_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_basic_update(self, tengigabitethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport_basic', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport_basic', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_mode_update(self, tengigabitethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk-no-default-native', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.mode', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.mode', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_mode_private_vlan_update(self, tengigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type promiscuous: YANGBool
    :param promiscuous: Set the Layer2 interface as private-vlan promiscuous

    :type host: YANGBool
    :param host: Set the Layer2 interface as private-vlan host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, promiscuous=promiscuous, host=host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_mode_private_vlan_host_update(self, tengigabitethernet=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host: YANGBool
    :param host: Set the Layer2 interface as private-vlan host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, host=host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_mode_private_vlan_promiscuous_update(self, tengigabitethernet=None, promiscuous=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type promiscuous: YANGBool
    :param promiscuous: Set the Layer2 interface as private-vlan promiscuous

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, promiscuous=promiscuous)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, promiscuous=promiscuous)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_mode_private_vlan_trunk_update(self, tengigabitethernet=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_basic: YANGBool
    :param trunk_basic: Keyword argument.

    :type trunk_promiscuous: YANGBool
    :param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous

    :type trunk_host: YANGBool
    :param trunk_host: Set the Layer2 interface as private-vlan trunk host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_mode_private_vlan_trunk_host_update(self, tengigabitethernet=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_host: YANGBool
    :param trunk_host: Set the Layer2 interface as private-vlan trunk host

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, trunk_host=trunk_host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_mode_private_vlan_trunk_promiscuous_update(self, tengigabitethernet=None, trunk_promiscuous=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_promiscuous: YANGBool
    :param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, trunk_promiscuous=trunk_promiscuous)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, trunk_promiscuous=trunk_promiscuous)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_mode_private_vlan_trunk_trunk_basic_update(self, tengigabitethernet=None, trunk_basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type trunk_basic: YANGBool
    :param trunk_basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, trunk_basic=trunk_basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, trunk_basic=trunk_basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_mode_vlan_mode_update(self, tengigabitethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk-no-default-native', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.mode', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.mode', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_port_security_max_update(self, tengigabitethernet=None, port_sec_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_max: long
    :param port_sec_max: Maximum number of allowed MACs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, port_sec_max=port_sec_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, port_sec_max=port_sec_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_port_security_shutdown_time_update(self, tengigabitethernet=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type shutdown_time: long
    :param shutdown_time: Shutdown time for port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, shutdown_time=shutdown_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_port_security_sticky_update(self, tengigabitethernet=None, sticky_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sticky_flag: YANGBool
    :param sticky_flag: Sticky Flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.port_security.sticky', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, sticky_flag=sticky_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, sticky_flag=sticky_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_port_security_sticky_sticky_flag_update(self, tengigabitethernet=None, sticky_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type sticky_flag: YANGBool
    :param sticky_flag: Sticky Flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.port_security.sticky', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.sticky', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, sticky_flag=sticky_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, sticky_flag=sticky_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_port_security_violation_update(self, tengigabitethernet=None, port_sec_violation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_violation: unicode
    :param port_sec_violation: Set the action on violation

        * enumeration restriction: ::

            ['restrict', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, port_sec_violation=port_sec_violation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, port_sec_violation=port_sec_violation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_host_association_update(self, tengigabitethernet=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host_pri_pvlan: long
    :param host_pri_pvlan: Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type host_sec_pvlan: long
    :param host_sec_pvlan: Secondary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'host_pri_pvlan, host_sec_pvlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_host_association_host_pri_pvlan_update(self, tengigabitethernet=None, host_pri_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host_pri_pvlan: long
    :param host_pri_pvlan: Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, host_pri_pvlan=host_pri_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, host_pri_pvlan=host_pri_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_host_association_host_sec_pvlan_update(self, tengigabitethernet=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type host_sec_pvlan: long
    :param host_sec_pvlan: Secondary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, host_sec_pvlan=host_sec_pvlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_mapping_update(self, tengigabitethernet=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan, oper, promis_sec_pvlan_range
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type oper: unicode
    :param oper: **mapping** tuple argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: **mapping** tuple argument:  Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_mapping_oper_update(self, tengigabitethernet=None, mapping=None, oper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mapping=mapping, oper=oper)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mapping=mapping, oper=oper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_mapping_promis_sec_pvlan_range_update(self, tengigabitethernet=None, mapping=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, mapping=mapping, promis_sec_pvlan_range=promis_sec_pvlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mapping=mapping, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_update(self, tengigabitethernet=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_all: YANGBool
    :param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface

    :type pvlan_none: YANGBool
    :param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface

    :type pvlan_add: unicode
    :param pvlan_add: Add a VLAN to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type pvlan_except: unicode
    :param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type pvlan_remove: unicode
    :param pvlan_remove: Remove a VLAN that Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_all_update(self, tengigabitethernet=None, pvlan_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_all: YANGBool
    :param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pvlan_all=pvlan_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pvlan_all=pvlan_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_except_update(self, tengigabitethernet=None, pvlan_except=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_except: unicode
    :param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pvlan_except=pvlan_except)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pvlan_except=pvlan_except)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_none_update(self, tengigabitethernet=None, pvlan_none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_none: YANGBool
    :param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pvlan_none=pvlan_none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pvlan_none=pvlan_none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_native_update(self, tengigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlanNativevlan: long
    :param pvlanNativevlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pvlan_native_vlan_ctag_id: long
    :param pvlan_native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_native_ctag_update(self, tengigabitethernet=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_native_vlan_ctag_id: long
    :param pvlan_native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_native_vlan_update(self, tengigabitethernet=None, pvlanNativevlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlanNativevlan: long
    :param pvlanNativevlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pvlanNativevlan=pvlanNativevlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pvlanNativevlan=pvlanNativevlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_tag_update(self, tengigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_tag_native_vlan: YANGBool
    :param pvlan_tag_native_vlan: Set the Private-Vlan native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_tag_native_vlan_update(self, tengigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type pvlan_tag_native_vlan: YANGBool
    :param pvlan_tag_native_vlan: Set the Private-Vlan native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_rspan_vlan_update(self, tengigabitethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_rspan_trunk_vlan: unicode
    :param add_rspan_trunk_vlan: Specify rspan-vlan id

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_rspan_trunk_vlan: unicode
    :param remove_rspan_trunk_vlan: Specify the rspan vlans to be removed

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlan_update(self, tengigabitethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type none: YANGBool
    :param none: Allow no Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type add_: unicode
    :param add_: Allow these VLANs to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..20000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Remove a VLAN range that Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlan_add_update(self, tengigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlan_add_ctag_update(self, tengigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlan_all_update(self, tengigabitethernet=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlan_except_update(self, tengigabitethernet=None, except_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, except_=except_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, except_=except_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlan_none_update(self, tengigabitethernet=None, none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type none: YANGBool
    :param none: Allow no Dot1Q VLANs to Xmit/Rx through theLayer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, none=none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, none=none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlan_remove_update(self, tengigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlan_remove_ctag_update(self, tengigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, tengigabitethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, add_=add_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, tengigabitethernet=None, add_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, add_=add_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, add_=add_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlanoper_vlan_remove_update(self, tengigabitethernet=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_: unicode
    :param remove_: Keyword argument.

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_ctag_update(self, tengigabitethernet=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_ctag_native_vlan_xtagged_config_update(self, tengigabitethernet=None, native_vlan_ctag_id_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_ctag_id_xtagged: long
    :param native_vlan_ctag_id_xtagged: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_default_vlan_update(self, tengigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_transparent_vlan: long
    :param default_transparent_vlan: default transparent vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, default_transparent_vlan=default_transparent_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_default_vlan_config_update(self, tengigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type default_transparent_vlan: long
    :param default_transparent_vlan: default transparent vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_transparent_vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, default_transparent_vlan=default_transparent_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_egress_update(self, tengigabitethernet=None, native_vlan_egress_type_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_egress_type_xtagged: unicode
    :param native_vlan_egress_type_xtagged: Keyword argument.

        * enumeration restriction: ::

            ['untagged', 'tagged', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_native_vlan_update(self, tengigabitethernet=None, native_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untaggedtraffic

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, native_vlan_id=native_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, native_vlan_id=native_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_native_vlan_classification_update(self, tengigabitethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untaggedtraffic

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id, native_vlan_ctag_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_native_vlan_untagged_update(self, tengigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_untagged: long
    :param native_vlan_id_untagged: Set the interface to accept onlyuntagged native-vlan traffic on ingress anduntagged native-vlan traffic on egress.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_native_vlan_untagged_config_update(self, tengigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_untagged: long
    :param native_vlan_id_untagged: Set the interface to accept onlyuntagged native-vlan traffic on ingress anduntagged native-vlan traffic on egress.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_untagged'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_native_vlan_xtagged_update(self, tengigabitethernet=None, native_vlan_id_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_xtagged: long
    :param native_vlan_id_xtagged: Set the interface to accepttagged|untagged native-vlan traffic on ingress andegress as specified by the user.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_native_vlan_xtagged_config_update(self, tengigabitethernet=None, native_vlan_id_xtagged=None, native_vlan_ctag_id_xtagged=None, native_vlan_egress_type_xtagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan_id_xtagged: long
    :param native_vlan_id_xtagged: Set the interface to accepttagged|untagged native-vlan traffic on ingress andegress as specified by the user.

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_ctag_id_xtagged: long
    :param native_vlan_ctag_id_xtagged: Associate a Ctag.

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_egress_type_xtagged: unicode
    :param native_vlan_egress_type_xtagged: Keyword argument.

        * enumeration restriction: ::

            ['untagged', 'tagged', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_xtagged, native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, native_vlan_id_xtagged=native_vlan_id_xtagged, native_vlan_ctag_id_xtagged=native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged=native_vlan_egress_type_xtagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_tag_native_vlan_update(self, tengigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan: YANGBool
    :param native_vlan: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, native_vlan=native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_track_update(self, tengigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_enable: YANGBool
    :param track_enable: Enable tracking interface

    :type min_link: long
    :param min_link: Min link

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, track_enable=track_enable, min_link=min_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_track_enable_update(self, tengigabitethernet=None, track_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_enable: YANGBool
    :param track_enable: Enable tracking interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, track_enable=track_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, track_enable=track_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_track_min_link_update(self, tengigabitethernet=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type min_link: long
    :param min_link: Min link

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.track', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.track', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, min_link=min_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_track_remove_update(self, tengigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_all_track_interfaces: YANGBool
    :param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.track.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.track.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_track_remove_all_update(self, tengigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type remove_all_track_interfaces: YANGBool
    :param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.track.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.track.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_tunable_optics_sfpp_update(self, tengigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type channel: long
    :param channel: Channel configuration.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, channel=channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_tunable_optics_sfpp_channel_update(self, tengigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type channel: long
    :param channel: Channel configuration.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, channel=channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_tunnel_update(self, tengigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type tagged_ieee_bpdu: YANGBool
    :param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCSfabric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.tunnel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.tunnel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_tunnel_tagged_ieee_bpdu_update(self, tengigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type tagged_ieee_bpdu: YANGBool
    :param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCSfabric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.tunnel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.tunnel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_udld_update(self, tengigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type udld_enable: YANGBool
    :param udld_enable: Enable UDLD protocol on the Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.udld', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.udld', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, udld_enable=udld_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_udld_enable_update(self, tengigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type udld_enable: YANGBool
    :param udld_enable: Enable UDLD protocol on the Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.udld', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.udld', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, udld_enable=udld_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vepa_update(self, tengigabitethernet=None, vepa_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vepa_enable: YANGBool
    :param vepa_enable: Set enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vepa', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vepa', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vepa', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vepa_enable=vepa_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vepa_enable=vepa_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vepa_enable_update(self, tengigabitethernet=None, vepa_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type vepa_enable: YANGBool
    :param vepa_enable: Set enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vepa', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vepa', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vepa', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vepa_enable=vepa_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vepa_enable=vepa_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vlan_classifier_activate_group_update(self, tengigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type group: groupid, vlan
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan: long
    :param vlan: **group** tuple argument:  1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, group=group, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vlan_classifier_activate_group_vlan_update(self, tengigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type group: groupid
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, group=group, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrf_update(self, tengigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrf_forwarding_update(self, tengigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrf', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_update(self, tengigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_advertisement_interval_update(self, tengigabitethernet=None, vrrp=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_arp_unicast_request_update(self, tengigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_arp_unicast_request_receive_update(self, tengigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_description_update(self, tengigabitethernet=None, vrrp=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_enable_update(self, tengigabitethernet=None, vrrp=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_hold_time_update(self, tengigabitethernet=None, vrrp=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_preempt_mode_update(self, tengigabitethernet=None, vrrp=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_priority_update(self, tengigabitethernet=None, vrrp=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_track_interface_update(self, tengigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_track_interface_priority_update(self, tengigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_use_v2_checksum_update(self, tengigabitethernet=None, vrrp=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_update(self, tunnel=None, tunnel_destination=None, tunnel_shutdown=None, gre_ttl=None, gre_dscp=None, tunnel_name=None, dscp_ttl_mode=None, statistics=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tunnel_destination: unicode
    :param tunnel_destination: destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_shutdown: YANGBool
    :param tunnel_shutdown: Tunnel shutdown

    :type gre_ttl: long
    :param gre_ttl: Tunnel ttl range 1 to 255

        * range restriction: ::

            ['0..4294967295']

    :type gre_dscp: long
    :param gre_dscp: Tunnel dscp range 0 to 63

        * range restriction: ::

            ['0..4294967295']

    :type tunnel_name: unicode
    :param tunnel_name: Tunnel name

        * length restriction: ::

            ['1..256']

    :type dscp_ttl_mode: unicode
    :param dscp_ttl_mode: Tunnel dscp ttl mode

        * enumeration restriction: ::

            ['pipe', 'uniform']

    :type statistics: YANGBool
    :param statistics: Tunnel statistics

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, tunnel_destination=tunnel_destination, tunnel_shutdown=tunnel_shutdown, gre_ttl=gre_ttl, gre_dscp=gre_dscp, tunnel_name=tunnel_name, dscp_ttl_mode=dscp_ttl_mode, statistics=statistics)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, tunnel_destination=tunnel_destination, tunnel_shutdown=tunnel_shutdown, gre_ttl=gre_ttl, gre_dscp=gre_dscp, tunnel_name=tunnel_name, dscp_ttl_mode=dscp_ttl_mode, statistics=statistics)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_destination_update(self, tunnel=None, tunnel_destination=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tunnel_destination: unicode
    :param tunnel_destination: destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, tunnel_destination=tunnel_destination)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, tunnel_destination=tunnel_destination)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_dscp_update(self, tunnel=None, gre_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gre_dscp: long
    :param gre_dscp: Tunnel dscp range 0 to 63

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, gre_dscp=gre_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, gre_dscp=gre_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_dscp_ttl_mode_update(self, tunnel=None, dscp_ttl_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dscp_ttl_mode: unicode
    :param dscp_ttl_mode: Tunnel dscp ttl mode

        * enumeration restriction: ::

            ['pipe', 'uniform']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, dscp_ttl_mode=dscp_ttl_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, dscp_ttl_mode=dscp_ttl_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_keepalive_update(self, tunnel=None, time_interval=None, retry_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type time_interval: long
    :param time_interval: Time interval range 1 to 32767

        * range restriction: ::

            ['0..4294967295']

    :type retry_count: long
    :param retry_count: Retry count range 1 to 255

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel'), ('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.keepalive', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.keepalive', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, time_interval=time_interval, retry_count=retry_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, time_interval=time_interval, retry_count=retry_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_keepalive_retry_count_update(self, tunnel=None, retry_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retry_count: long
    :param retry_count: Retry count range 1 to 255

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel'), ('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.keepalive', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.keepalive', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, retry_count=retry_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, retry_count=retry_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_keepalive_time_interval_update(self, tunnel=None, time_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type time_interval: long
    :param time_interval: Time interval range 1 to 32767

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel'), ('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.keepalive', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.keepalive', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, time_interval=time_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, time_interval=time_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_map_update(self, tunnel=None, map_vlan=None, map_bd=None, map_vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type map_vlan: long
    :param map_vlan: vlan id range 1 to 4096. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type map_bd: long
    :param map_bd: bd id range 1 to 4096. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type map_vni: long
    :param map_vni: vni id range 1 to 16777216

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel'), ('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.tunnel_map', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.interface.tunnel.tunnel_map': [u'map_bd', u'map_vlan'], 'pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_map': [u'map_bd', u'map_vlan']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, map_vlan=map_vlan, map_bd=map_bd, map_vni=map_vni)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, map_vlan=map_vlan, map_bd=map_bd, map_vni=map_vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_map_bd_update(self, tunnel=None, map_bd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type map_bd: long
    :param map_bd: bd id range 1 to 4096

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel'), ('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.tunnel_map', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, map_bd=map_bd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, map_bd=map_bd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_map_vlan_update(self, tunnel=None, map_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type map_vlan: long
    :param map_vlan: vlan id range 1 to 4096

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel'), ('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.tunnel_map', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, map_vlan=map_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, map_vlan=map_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_map_vni_update(self, tunnel=None, map_vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type map_vni: long
    :param map_vni: vni id range 1 to 16777216

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel'), ('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.tunnel_map', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, map_vni=map_vni)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, map_vni=map_vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_mode_update(self, tunnel=None, vxlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vxlan: YANGBool
    :param vxlan: vxlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel'), ('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.mode', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, vxlan=vxlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, vxlan=vxlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_mode_gre_update(self, tunnel=None, ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip: YANGBool
    :param ip: Over IP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel'), ('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.mode.gre', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.mode.gre', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, ip=ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, ip=ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_mode_gre_ip_update(self, tunnel=None, ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip: YANGBool
    :param ip: Over IP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel'), ('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.mode.gre', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.mode.gre', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, ip=ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, ip=ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_mode_vxlan_update(self, tunnel=None, vxlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vxlan: YANGBool
    :param vxlan: vxlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel'), ('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.mode', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, vxlan=vxlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, vxlan=vxlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_name_update(self, tunnel=None, tunnel_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tunnel_name: unicode
    :param tunnel_name: Tunnel name

        * length restriction: ::

            ['1..256']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, tunnel_name=tunnel_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, tunnel_name=tunnel_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_router_interface_update(self, tunnel=None, router_ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type router_ve: long
    :param router_ve: ve num range 1 to 4095

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel'), ('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_router_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.tunnel_router_interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, router_ve=router_ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, router_ve=router_ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_router_interface_ve_update(self, tunnel=None, router_ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type router_ve: long
    :param router_ve: ve num range 1 to 4095

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel'), ('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_router_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.tunnel_router_interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, router_ve=router_ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, router_ve=router_ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_shutdown_update(self, tunnel=None, tunnel_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tunnel_shutdown: YANGBool
    :param tunnel_shutdown: Tunnel shutdown

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, tunnel_shutdown=tunnel_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, tunnel_shutdown=tunnel_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_source_update(self, tunnel=None, source_address=None, interface_loopback=None, interface_ethernet=None, interface_ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type source_address: unicode
    :param source_address: Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_loopback: long
    :param interface_loopback: Loopback port. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type interface_ethernet: unicode
    :param interface_ethernet: Ethernet port. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type interface_ve: long
    :param interface_ve: ve num range 1 to 4095. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel'), ('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.gre_source', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.gre_source', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.interface.tunnel.gre_source': [u'source_address', u'interface_ethernet', u'interface_loopback', u'interface_ve'], 'pybind.slxos.v17r_1_00a.interface.tunnel.gre_source': [u'source_address', u'interface_ethernet', u'interface_loopback', u'interface_ve']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, source_address=source_address, interface_loopback=interface_loopback, interface_ethernet=interface_ethernet, interface_ve=interface_ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, source_address=source_address, interface_loopback=interface_loopback, interface_ethernet=interface_ethernet, interface_ve=interface_ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_source_ethernet_update(self, tunnel=None, interface_ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ethernet: unicode
    :param interface_ethernet: Ethernet port

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel'), ('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.gre_source', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.gre_source', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, interface_ethernet=interface_ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, interface_ethernet=interface_ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_source_loopback_update(self, tunnel=None, interface_loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_loopback: long
    :param interface_loopback: Loopback port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel'), ('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.gre_source', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.gre_source', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, interface_loopback=interface_loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, interface_loopback=interface_loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_source_source_address_update(self, tunnel=None, source_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type source_address: unicode
    :param source_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel'), ('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.gre_source', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.gre_source', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, source_address=source_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, source_address=source_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_source_ve_update(self, tunnel=None, interface_ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ve: long
    :param interface_ve: ve num range 1 to 4095

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel'), ('pybind.slxos.v17r_1_00a.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.gre_source', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel.gre_source', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}, {'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, interface_ve=interface_ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, interface_ve=interface_ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_statistics_update(self, tunnel=None, statistics=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics: YANGBool
    :param statistics: Tunnel statistics

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, statistics=statistics)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, statistics=statistics)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_ttl_update(self, tunnel=None, gre_ttl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gre_ttl: long
    :param gre_ttl: Tunnel ttl range 1 to 255

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface.tunnel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel=tunnel, gre_ttl=gre_ttl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, gre_ttl=gre_ttl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_update(self, ve=None, global_ve_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type global_ve_shutdown: YANGBool
    :param global_ve_shutdown: Shutdown the selected interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'gve_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.interface_vlan.interface.ve": {"global_ve_shutdown": "global_ve_shutdown", "gve_name": "gve_name"}, "pybind.slxos.v16r_1_00b.routing_system.interface.ve": {"global_ve_shutdown": "shutdown", "gve_name": "name"}, "pybind.slxos.v17r_1_00a.routing_system.interface.ve": {"global_ve_shutdown": "shutdown", "gve_name": "name"}, "pybind.nos.v7_1_0.interface_vlan.interface.ve": {"global_ve_shutdown": "global_ve_shutdown", "gve_name": "gve_name"}, "pybind.nos.v7_0_1b.interface_vlan.interface.ve": {"global_ve_shutdown": "global_ve_shutdown", "gve_name": "gve_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, global_ve_shutdown=global_ve_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, global_ve_shutdown=global_ve_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_attach_rbridge_id_update(self, ve=None, rb_add=None, rb_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rb_add: unicode
    :param rb_add: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type rb_remove: unicode
    :param rb_remove: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, rb_add=rb_add, rb_remove=rb_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, rb_add=rb_add, rb_remove=rb_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_attach_rbridge_id_add_update(self, ve=None, rb_add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rb_add: unicode
    :param rb_add: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, rb_add=rb_add)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, rb_add=rb_add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_attach_rbridge_id_remove_update(self, ve=None, rb_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rb_remove: unicode
    :param rb_remove: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, rb_remove=rb_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, rb_remove=rb_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_bfd_update(self, ve=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_bfd_interval_update(self, ve=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_bfd_interval_min_rx_update(self, ve=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_bfd_interval_min_tx_update(self, ve=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_bfd_interval_multiplier_update(self, ve=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_bfd_shutdown_update(self, ve=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_access_group_update(self, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip_acl_interface.ip.access_group', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_access_group_traffic_type_update(self, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip_acl_interface.ip.access_group', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_address_update(self, ve=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_address_ospf_ignore_update(self, ve=None, address=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, address=address, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, address=address, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_address_ospf_passive_update(self, ve=None, address=None, ospf_passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, address=address, ospf_passive=ospf_passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, address=address, ospf_passive=ospf_passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_address_secondary_update(self, ve=None, address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, address=address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, address=address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_arp_aging_timeout_update(self, ve=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_dhcp_relay_update(self, ve=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_dhcp_relay_gateway_update(self, ve=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_directed_broadcast_update(self, ve=None, directed_broadcast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, directed_broadcast=directed_broadcast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, directed_broadcast=directed_broadcast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_update(self, ve=None, ip_anycast_gateway=None, ipv4_gateway_address=None, hold_time=None, load_balancing_disable=None, enable=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ip_anycast_gateway: ip_gw_id
    :param ip_anycast_gateway: Keyword argument tuple.

    :type ip_gw_id: long
    :param ip_gw_id: **ip_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv4_gateway_address: unicode
    :param ipv4_gateway_address: A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type hold_time: long
    :param hold_time: Hold timer for Fabric Virtual Gateway

        * range restriction: ::

            ['0..4294967295']

    :type load_balancing_disable: YANGBool
    :param load_balancing_disable: Disable load balancing

    :type enable: YANGBool
    :param enable: Enable Fabric Virtual Gateway

    :type description: unicode
    :param description: Fabric Virtual Gateway specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_anycast_gateway', 'keyval': 'ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway": {"enable": "enable", "description": "description", "ipv4_gateway_address": "ipv4_gateway_address", "ip_gw_id": "ip_gw_id", "load_balancing_disable": "load_balancing_disable", "hold_time": "hold_time"}, "pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway": {}, "pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway": {}, "pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway": {"enable": "enable", "description": "description", "ipv4_gateway_address": "ipv4_gateway_address", "ip_gw_id": "ip_gw_id", "load_balancing_disable": "load_balancing_disable", "hold_time": "hold_time"}, "pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway": {"enable": "enable", "description": "description", "ipv4_gateway_address": "ipv4_gateway_address", "ip_gw_id": "ip_gw_id", "load_balancing_disable": "load_balancing_disable", "hold_time": "hold_time"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, ipv4_gateway_address=ipv4_gateway_address, hold_time=hold_time, load_balancing_disable=load_balancing_disable, enable=enable, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, ipv4_gateway_address=ipv4_gateway_address, hold_time=hold_time, load_balancing_disable=load_balancing_disable, enable=enable, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_description_update(self, ve=None, ip_anycast_gateway=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ip_anycast_gateway: ip_gw_id
    :param ip_anycast_gateway: Keyword argument tuple.

    :type ip_gw_id: long
    :param ip_gw_id: **ip_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Fabric Virtual Gateway specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_anycast_gateway', 'keyval': 'ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_disable_update(self, ve=None, ip_local_anycast_gateway=None, disable_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type disable_local: YANGBool
    :param disable_local: Disable Fabric Virtual Gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_local_anycast_gateway', 'keyval': 'local_ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, disable_local=disable_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, disable_local=disable_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_enable_update(self, ve=None, ip_anycast_gateway=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ip_anycast_gateway: ip_gw_id
    :param ip_anycast_gateway: Keyword argument tuple.

    :type ip_gw_id: long
    :param ip_gw_id: **ip_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Fabric Virtual Gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_anycast_gateway', 'keyval': 'ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway": {"ip_gw_id": "ip_gw_id", "enable": "enable"}, "pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway": {"ip_gw_id": "local_ip_gw_id", "enable": "enable_local"}, "pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway": {"ip_gw_id": "local_ip_gw_id", "enable": "enable_local"}, "pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway": {"ip_gw_id": "ip_gw_id", "enable": "enable"}, "pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway": {"ip_gw_id": "ip_gw_id", "enable": "enable"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_gateway_address_update(self, ve=None, ip_anycast_gateway=None, ipv4_gateway_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ip_anycast_gateway: ip_gw_id
    :param ip_anycast_gateway: Keyword argument tuple.

    :type ip_gw_id: long
    :param ip_gw_id: **ip_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv4_gateway_address: unicode
    :param ipv4_gateway_address: A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_anycast_gateway', 'keyval': 'ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, ipv4_gateway_address=ipv4_gateway_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, ipv4_gateway_address=ipv4_gateway_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_gratuitous_arp_update(self, ve=None, ip_anycast_gateway=None, gve_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_anycast_gateway: ip_gw_id
    :param ip_anycast_gateway: Keyword argument tuple.

    :type ip_gw_id: long
    :param ip_gw_id: **ip_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gve_timer: long
    :param gve_timer: Gratuitous ARP timer value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, gve_timer=gve_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, gve_timer=gve_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_gratuitous_arp_timer_update(self, ve=None, ip_anycast_gateway=None, gve_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_anycast_gateway: ip_gw_id
    :param ip_anycast_gateway: Keyword argument tuple.

    :type ip_gw_id: long
    :param ip_gw_id: **ip_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gve_timer: long
    :param gve_timer: Gratuitous ARP timer value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, gve_timer=gve_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, gve_timer=gve_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_hold_time_update(self, ve=None, ip_anycast_gateway=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ip_anycast_gateway: ip_gw_id
    :param ip_anycast_gateway: Keyword argument tuple.

    :type ip_gw_id: long
    :param ip_gw_id: **ip_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Hold timer for Fabric Virtual Gateway

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_anycast_gateway', 'keyval': 'ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_load_balancing_update(self, ve=None, ip_local_anycast_gateway=None, basic=None, threshold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type threshold_priority: long
    :param threshold_priority: Threshold Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_load_balancing_basic_update(self, ve=None, ip_local_anycast_gateway=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_load_balancing_disable_update(self, ve=None, ip_anycast_gateway=None, load_balancing_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ip_anycast_gateway: ip_gw_id
    :param ip_anycast_gateway: Keyword argument tuple.

    :type ip_gw_id: long
    :param ip_gw_id: **ip_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type load_balancing_disable: YANGBool
    :param load_balancing_disable: Disable load balancing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_anycast_gateway', 'keyval': 'ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, load_balancing_disable=load_balancing_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, load_balancing_disable=load_balancing_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_load_balancing_threshold_priority_update(self, ve=None, ip_local_anycast_gateway=None, threshold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type threshold_priority: long
    :param threshold_priority: Threshold Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, threshold_priority=threshold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, threshold_priority=threshold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_track_interface_update(self, ve=None, ip_local_anycast_gateway=None, interface=None, interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_priority: long
    :param interface_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_track_interface_priority_update(self, ve=None, ip_local_anycast_gateway=None, interface=None, interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_priority: long
    :param interface_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_track_network_update(self, ve=None, ip_local_anycast_gateway=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type network_priority: long
    :param network_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_track_network_priority_update(self, ve=None, ip_local_anycast_gateway=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type network_priority: long
    :param network_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_track_next_hop_update(self, ve=None, ip_local_anycast_gateway=None, next_hop=None, next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type next_hop: next_hop_address
    :param next_hop: Keyword argument tuple.

    :type next_hop_address: unicode
    :param next_hop_address: **next_hop** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_priority: long
    :param next_hop_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_track_next_hop_priority_update(self, ve=None, ip_local_anycast_gateway=None, next_hop=None, next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type next_hop: next_hop_address
    :param next_hop: Keyword argument tuple.

    :type next_hop_address: unicode
    :param next_hop_address: **next_hop** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_priority: long
    :param next_hop_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_icmp_update(self, ve=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.icmp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_icmp_plus_update(self, ve=None, echo_reply=None, unreachable=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp_plus', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.icmp_plus', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, echo_reply=echo_reply, unreachable=unreachable, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, echo_reply=echo_reply, unreachable=unreachable, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_icmp_plus_address_mask_update(self, ve=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp_plus', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.icmp_plus', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_icmp_plus_echo_reply_update(self, ve=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp_plus', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.icmp_plus', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_icmp_plus_unreachable_update(self, ve=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp_plus', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.icmp_plus', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_icmp_rate_limiting_update(self, ve=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.icmp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_igmp_update(self, ve=None, igmpl3_last_member_query_interval=None, igmpl3_query_interval=None, igmpl3_query_max_response_time=None, igmpl3_immediate_leave=None, igmpl3_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmpl3_last_member_query_interval: long
    :param igmpl3_last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type igmpl3_query_interval: long
    :param igmpl3_query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type igmpl3_query_max_response_time: long
    :param igmpl3_query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type igmpl3_immediate_leave: YANGBool
    :param igmpl3_immediate_leave: Immediate Leave Processing

    :type igmpl3_version: long
    :param igmpl3_version: Version for this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval, igmpl3_query_interval=igmpl3_query_interval, igmpl3_query_max_response_time=igmpl3_query_max_response_time, igmpl3_immediate_leave=igmpl3_immediate_leave, igmpl3_version=igmpl3_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval, igmpl3_query_interval=igmpl3_query_interval, igmpl3_query_max_response_time=igmpl3_query_max_response_time, igmpl3_immediate_leave=igmpl3_immediate_leave, igmpl3_version=igmpl3_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_igmp_immediate_leave_update(self, ve=None, igmpl3_immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmpl3_immediate_leave: YANGBool
    :param igmpl3_immediate_leave: Immediate Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, igmpl3_immediate_leave=igmpl3_immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, igmpl3_immediate_leave=igmpl3_immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_igmp_last_member_query_interval_update(self, ve=None, igmpl3_last_member_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmpl3_last_member_query_interval: long
    :param igmpl3_last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_igmp_query_interval_update(self, ve=None, igmpl3_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmpl3_query_interval: long
    :param igmpl3_query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, igmpl3_query_interval=igmpl3_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, igmpl3_query_interval=igmpl3_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_igmp_query_max_response_time_update(self, ve=None, igmpl3_query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmpl3_query_max_response_time: long
    :param igmpl3_query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, igmpl3_query_max_response_time=igmpl3_query_max_response_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, igmpl3_query_max_response_time=igmpl3_query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_igmp_version_update(self, ve=None, igmpl3_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmpl3_version: long
    :param igmpl3_version: Version for this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, igmpl3_version=igmpl3_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, igmpl3_version=igmpl3_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ip_config_update(self, ve=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_mtu_update(self, ve=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_multicast_boundary_update(self, ve=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_update(self, ve=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type intf_ldp_sync: unicode
    :param intf_ldp_sync: Set LDP-SYNC operation mode on this interface

        * enumeration restriction: ::

            ['enable', 'disable']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_active_update(self, ve=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_area_update(self, ve=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, area=area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_auth_change_wait_time_update(self, ve=None, auth_change_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, auth_change_wait_time=auth_change_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, auth_change_wait_time=auth_change_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_authentication_key_auth_key_update(self, ve=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_authentication_key_auth_key_table_update(self, ve=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'encrypttype, auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, encrypttype=encrypttype, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_authentication_key_encrypttype_update(self, ve=None, encrypttype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, encrypttype=encrypttype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, encrypttype=encrypttype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_authentication_key_no_encrypt_auth_key_update(self, ve=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_authentication_key_no_encrypt_auth_key_table_update(self, ve=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_bfd_update(self, ve=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_bfd_intf_bfd_enable_update(self, ve=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_cost_update(self, ve=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_database_filter_update(self, ve=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.database_filter', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_database_filter_all_external_update(self, ve=None, all_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.database_filter', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, all_external=all_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, all_external=all_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_database_filter_all_out_update(self, ve=None, all_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.database_filter', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, all_out=all_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, all_out=all_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_database_filter_all_summary_external_update(self, ve=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.database_filter', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_dead_interval_update(self, ve=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_hello_interval_update(self, ve=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_ldp_sync_update(self, ve=None, intf_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intf_ldp_sync: unicode
    :param intf_ldp_sync: Set LDP-SYNC operation mode on this interface

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, intf_ldp_sync=intf_ldp_sync)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, intf_ldp_sync=intf_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_md5_authentication_update(self, ve=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_md5_authentication_key_activation_wait_time_update(self, ve=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_md5_authentication_key_id_update(self, ve=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type md5_authentication_key: unicode
    :param md5_authentication_key: MD5 authentication ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_md5_authentication_key_id_key_update(self, ve=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_md5_authentication_key_id_key_id_update(self, ve=None, key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, key_id=key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, key_id=key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_md5_authentication_no_encrypt_key_update(self, ve=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_md5_authentication_no_encrypt_key_id_update(self, ve=None, no_encrypt_key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, no_encrypt_key_id=no_encrypt_key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, no_encrypt_key_id=no_encrypt_key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_md5_authentication_no_encrypt_key_table_update(self, ve=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_mtu_ignore_update(self, ve=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_network_update(self, ve=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_passive_update(self, ve=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_priority_update(self, ve=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_retransmit_interval_update(self, ve=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_transmit_delay_update(self, ve=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_pim_update(self, ve=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type ttl_threshold: long
    :param ttl_threshold: Set TTL threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_pim_dr_priority_update(self, ve=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_pim_int_cmd_update(self, ve=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_pim_neighbor_filter_update(self, ve=None, neighbor_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, neighbor_filter=neighbor_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, neighbor_filter=neighbor_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_pim_sparse_update(self, ve=None, pim_sparse=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, pim_sparse=pim_sparse)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, pim_sparse=pim_sparse)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_pim_ttl_threshold_update(self, ve=None, ttl_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ttl_threshold: long
    :param ttl_threshold: Set TTL threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ttl_threshold=ttl_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ttl_threshold=ttl_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_policy_route_map_update(self, ve=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_policy_route_map_route_map_name_update(self, ve=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_proxy_arp_update(self, ve=None, proxy_arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, proxy_arp=proxy_arp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, proxy_arp=proxy_arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_router_update(self, ve=None, interface_ip_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ip_router_isis: YANGBool
    :param interface_ip_router_isis: Enable IS-IS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_ip_router_isis=interface_ip_router_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_ip_router_isis=interface_ip_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_router_isis_update(self, ve=None, interface_ip_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ip_router_isis: YANGBool
    :param interface_ip_router_isis: Enable IS-IS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_ip_router_isis=interface_ip_router_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_ip_router_isis=interface_ip_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_vrrp_extended_auth_type_md5_auth_update(self, ve=None, auth_data=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_data: unicode
    :param auth_data: Authentication data

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_vrrp_extended.auth_type.md5_auth', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_vrrp_extended.auth_type.md5_auth', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, auth_data=auth_data)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, auth_data=auth_data)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_vrrp_extended_auth_type_md5_auth_auth_data_update(self, ve=None, auth_data=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_data: unicode
    :param auth_data: Authentication data

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_vrrp_extended.auth_type.md5_auth', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ip.ip_vrrp_extended.auth_type.md5_auth', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, auth_data=auth_data)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, auth_data=auth_data)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_access_group_update(self, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.access_group', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_access_group_traffic_type_update(self, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.access_group', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_update(self, ve=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_ipv6_address_update(self, ve=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_ipv6_address_anycast_update(self, ve=None, ipv6_address=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_address=ipv6_address, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_address=ipv6_address, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_ipv6_address_eui_64_update(self, ve=None, ipv6_address=None, eui64=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_address=ipv6_address, eui64=eui64)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_address=ipv6_address, eui64=eui64)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_ipv6_address_secondary_update(self, ve=None, ipv6_address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_address=ipv6_address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_address=ipv6_address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_ipv6_address_secondary_eui_config_update(self, ve=None, ipv6_address=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui_secondary: YANGBool
    :param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_address=ipv6_address, eui_secondary=eui_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_address=ipv6_address, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_link_local_update(self, ve=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_link_local_address_update(self, ve=None, link_local_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, link_local_address=link_local_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, link_local_address=link_local_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_link_local_config_update(self, ve=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'link_local_address, link_local'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, link_local_address=link_local_address, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_use_link_local_only_update(self, ve=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_dhcp_relay_servers_update(self, ve=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_dhcp_relay_servers_interface_update(self, ve=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['ethernet', 'Ve']

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, servers=servers, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_dhcp_relay_servers_interface_interface_update(self, ve=None, servers=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['ethernet', 'Ve']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, servers=servers, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, servers=servers, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_dhcp_relay_servers_interface_interface_name_update(self, ve=None, servers=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, servers=servers, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, servers=servers, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_dhcp_relay_servers_use_vrf_update(self, ve=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_update(self, ve=None, ipv6_anycast_gateway=None, hold_time=None, load_balancing_disable=None, enable=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_anycast_gateway: ipv6_gw_id
    :param ipv6_anycast_gateway: Keyword argument tuple.

    :type ipv6_gw_id: long
    :param ipv6_gw_id: **ipv6_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Hold timer for Fabric Virtual Gateway

        * range restriction: ::

            ['0..4294967295']

    :type load_balancing_disable: YANGBool
    :param load_balancing_disable: Disable load balancing

    :type enable: YANGBool
    :param enable: Enable Fabric Virtual Gateway

    :type description: unicode
    :param description: Fabric Virtual Gateway specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_gateway', 'keyval': 'ipv6_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway": {}, "pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway": {"ipv6_gw_id": "ipv6_gw_id", "enable": "enable", "hold_time": "hold_time", "description": "description", "load_balancing_disable": "load_balancing_disable"}, "pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway": {}, "pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway": {"ipv6_gw_id": "ipv6_gw_id", "enable": "enable", "hold_time": "hold_time", "description": "description", "load_balancing_disable": "load_balancing_disable"}, "pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway": {"ipv6_gw_id": "ipv6_gw_id", "enable": "enable", "hold_time": "hold_time", "description": "description", "load_balancing_disable": "load_balancing_disable"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, hold_time=hold_time, load_balancing_disable=load_balancing_disable, enable=enable, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, hold_time=hold_time, load_balancing_disable=load_balancing_disable, enable=enable, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_description_update(self, ve=None, ipv6_anycast_gateway=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_anycast_gateway: ipv6_gw_id
    :param ipv6_anycast_gateway: Keyword argument tuple.

    :type ipv6_gw_id: long
    :param ipv6_gw_id: **ipv6_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Fabric Virtual Gateway specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_gateway', 'keyval': 'ipv6_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_disable_update(self, ve=None, ipv6_local_anycast_gateway=None, disable_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type disable_local: YANGBool
    :param disable_local: Disable Fabric Virtual Gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_local_anycast_gateway', 'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, disable_local=disable_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, disable_local=disable_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_enable_update(self, ve=None, ipv6_anycast_gateway=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_anycast_gateway: ipv6_gw_id
    :param ipv6_anycast_gateway: Keyword argument tuple.

    :type ipv6_gw_id: long
    :param ipv6_gw_id: **ipv6_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Fabric Virtual Gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_gateway', 'keyval': 'ipv6_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway": {"ipv6_gw_id": "local_ipv6_gw_id", "enable": "enable_local"}, "pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway": {"ipv6_gw_id": "ipv6_gw_id", "enable": "enable"}, "pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway": {"ipv6_gw_id": "local_ipv6_gw_id", "enable": "enable_local"}, "pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway": {"ipv6_gw_id": "ipv6_gw_id", "enable": "enable"}, "pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway": {"ipv6_gw_id": "ipv6_gw_id", "enable": "enable"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_gratuitous_arp_update(self, ve=None, ipv6_anycast_gateway=None, gve_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_anycast_gateway: ipv6_gw_id
    :param ipv6_anycast_gateway: Keyword argument tuple.

    :type ipv6_gw_id: long
    :param ipv6_gw_id: **ipv6_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gve_timer: long
    :param gve_timer: Gratuitous ARP timer value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, gve_timer=gve_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, gve_timer=gve_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_gratuitous_arp_timer_update(self, ve=None, ipv6_anycast_gateway=None, gve_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_anycast_gateway: ipv6_gw_id
    :param ipv6_anycast_gateway: Keyword argument tuple.

    :type ipv6_gw_id: long
    :param ipv6_gw_id: **ipv6_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gve_timer: long
    :param gve_timer: Gratuitous ARP timer value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, gve_timer=gve_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, gve_timer=gve_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_hold_time_update(self, ve=None, ipv6_anycast_gateway=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_anycast_gateway: ipv6_gw_id
    :param ipv6_anycast_gateway: Keyword argument tuple.

    :type ipv6_gw_id: long
    :param ipv6_gw_id: **ipv6_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Hold timer for Fabric Virtual Gateway

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_gateway', 'keyval': 'ipv6_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_load_balancing_update(self, ve=None, ipv6_local_anycast_gateway=None, basic=None, threshold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type threshold_priority: long
    :param threshold_priority: Threshold Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_load_balancing_basic_update(self, ve=None, ipv6_local_anycast_gateway=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_load_balancing_disable_update(self, ve=None, ipv6_anycast_gateway=None, load_balancing_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_anycast_gateway: ipv6_gw_id
    :param ipv6_anycast_gateway: Keyword argument tuple.

    :type ipv6_gw_id: long
    :param ipv6_gw_id: **ipv6_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type load_balancing_disable: YANGBool
    :param load_balancing_disable: Disable load balancing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_gateway', 'keyval': 'ipv6_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, load_balancing_disable=load_balancing_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, load_balancing_disable=load_balancing_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_load_balancing_threshold_priority_update(self, ve=None, ipv6_local_anycast_gateway=None, threshold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type threshold_priority: long
    :param threshold_priority: Threshold Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, threshold_priority=threshold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, threshold_priority=threshold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_track_interface_update(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, ipv6_interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_interface: ipv6_interface_type, ipv6_interface_name
    :param ipv6_interface: Keyword argument tuple.

    :type ipv6_interface_type: unicode
    :param ipv6_interface_type: **ipv6_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type ipv6_interface_name: unicode
    :param ipv6_interface_name: **ipv6_interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_interface_priority: long
    :param ipv6_interface_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_track_interface_priority_update(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, ipv6_interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_interface: ipv6_interface_type, ipv6_interface_name
    :param ipv6_interface: Keyword argument tuple.

    :type ipv6_interface_type: unicode
    :param ipv6_interface_type: **ipv6_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type ipv6_interface_name: unicode
    :param ipv6_interface_name: **ipv6_interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_interface_priority: long
    :param ipv6_interface_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_track_network_update(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, ipv6_network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_network: ipv6_network_address
    :param ipv6_network: Keyword argument tuple.

    :type ipv6_network_address: unicode
    :param ipv6_network_address: **ipv6_network** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type ipv6_network_priority: long
    :param ipv6_network_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_track_network_priority_update(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, ipv6_network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_network: ipv6_network_address
    :param ipv6_network: Keyword argument tuple.

    :type ipv6_network_address: unicode
    :param ipv6_network_address: **ipv6_network** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type ipv6_network_priority: long
    :param ipv6_network_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_update(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, ipv6_next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_next_hop: ipv6_next_hop_address
    :param ipv6_next_hop: Keyword argument tuple.

    :type ipv6_next_hop_address: unicode
    :param ipv6_next_hop_address: **ipv6_next_hop** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ipv6_next_hop_priority: long
    :param ipv6_next_hop_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_priority_update(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, ipv6_next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_next_hop: ipv6_next_hop_address
    :param ipv6_next_hop: Keyword argument tuple.

    :type ipv6_next_hop_address: unicode
    :param ipv6_next_hop_address: **ipv6_next_hop** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ipv6_next_hop_priority: long
    :param ipv6_next_hop_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_hop_by_hop_trap_update(self, ve=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_icmpv6_update(self, ve=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.icmpv6', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_icmpv6_rate_limiting_update(self, ve=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.icmpv6', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ipv6_config_update(self, ve=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ipv6_intf_cmds_update(self, ve=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ipv6_ve_intf_cmds_update(self, ve=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_mtu_update(self, ve=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_update(self, ve=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, send_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type hoplimit: long
    :param hoplimit:  Configure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type send_ra: YANGBool
    :param send_ra: Set send-ra

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy, send_ra=send_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy, send_ra=send_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_address_update(self, ve=None, address_suppress_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address_suppress_all: YANGBool
    :param address_suppress_all: Suppress all IPv6 addresses in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, address_suppress_all=address_suppress_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, address_suppress_all=address_suppress_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_address_suppress_update(self, ve=None, address_suppress_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address_suppress_all: YANGBool
    :param address_suppress_all: Suppress all IPv6 addresses in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, address_suppress_all=address_suppress_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, address_suppress_all=address_suppress_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_address_suppressing_address_update(self, ve=None, suppressing_address=None, suppress_per_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type suppressing_address: suppress_ipv6_address, suppress_per_address
    :param suppressing_address: Keyword argument tuple.

    :type suppress_ipv6_address: unicode
    :param suppress_ipv6_address: **suppressing_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type suppress_per_address: YANGBool
    :param suppress_per_address: **suppressing_address** tuple argument:  Suppress all IPv6 addresses in router advertisement

    **Instance Argument(s)**:

    :type suppress_per_address: YANGBool
    :param suppress_per_address: Suppress all IPv6 addresses in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, suppressing_address=suppressing_address, suppress_per_address=suppress_per_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, suppressing_address=suppressing_address, suppress_per_address=suppress_per_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_address_suppressing_address_suppress_update(self, ve=None, suppressing_address=None, suppress_per_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type suppressing_address: suppress_ipv6_address
    :param suppressing_address: Keyword argument tuple.

    :type suppress_ipv6_address: unicode
    :param suppress_ipv6_address: **suppressing_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type suppress_per_address: YANGBool
    :param suppress_per_address: Suppress all IPv6 addresses in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, suppressing_address=suppressing_address, suppress_per_address=suppress_per_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, suppressing_address=suppressing_address, suppress_per_address=suppress_per_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_broadcast_mac_trap_update(self, ve=None, broadcast_mac_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, broadcast_mac_trap=broadcast_mac_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, broadcast_mac_trap=broadcast_mac_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_cache_update(self, ve=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_cache_expire_update(self, ve=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_dad_update(self, ve=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, attempts=attempts, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_dad_attempts_update(self, ve=None, attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, attempts=attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, attempts=attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_dad_time_update(self, ve=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_hoplimit_update(self, ve=None, hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hoplimit: long
    :param hoplimit:  Configure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, hoplimit=hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, hoplimit=hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_managed_config_flag_update(self, ve=None, managed_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, managed_config_flag=managed_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, managed_config_flag=managed_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_mtu_update(self, ve=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ns_interval_update(self, ve=None, ns_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ns_interval=ns_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ns_interval=ns_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_nud_retry_update(self, ve=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'base, interval, max_attempts'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, base=base, interval=interval, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_nud_retry_base_update(self, ve=None, base=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, base=base)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, base=base)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_nud_retry_interval_update(self, ve=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_nud_retry_max_attempts_update(self, ve=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_other_config_flag_update(self, ve=None, other_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, other_config_flag=other_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, other_config_flag=other_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_infinite_update(self, ve=None, prefix=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_infinite: YANGBool
    :param valid_infinite: Infinite valid lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, prefix=prefix, valid_infinite=valid_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, prefix=prefix, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_infinite_preferred_update(self, ve=None, prefix=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, prefix=prefix, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, prefix=prefix, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_no_advertise_update(self, ve=None, prefix=None, no_advertise=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_advertise: YANGBool
    :param no_advertise: Do not advertise prefix

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, prefix=prefix, no_advertise=no_advertise)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, prefix=prefix, no_advertise=no_advertise)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_no_autoconfig_update(self, ve=None, prefix=None, no_autoconfig=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, prefix=prefix, no_autoconfig=no_autoconfig)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, prefix=prefix, no_autoconfig=no_autoconfig)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_no_onlink_update(self, ve=None, prefix=None, no_onlink=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, prefix=prefix, no_onlink=no_onlink)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, prefix=prefix, no_onlink=no_onlink)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_off_link_update(self, ve=None, prefix=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, prefix=prefix, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, prefix=prefix, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_preferred_update(self, ve=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'preferred_lifetime, preferred_infinite'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime'], 'pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_preferred_lifetime_update(self, ve=None, prefix=None, preferred_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, prefix=prefix, preferred_lifetime=preferred_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, prefix=prefix, preferred_lifetime=preferred_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_prefix_flags_update(self, ve=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_autoconfig, no_onlink, off_link'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_valid_lifetime_update(self, ve=None, prefix=None, valid_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_lifetime: long
    :param valid_lifetime: Configures valid lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, prefix=prefix, valid_lifetime=valid_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, prefix=prefix, valid_lifetime=valid_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_proxy_update(self, ve=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ra_dns_server_update(self, ve=None, ra_dns_server=None, dns_server_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ra_dns_server: dns_server_prefix
    :param ra_dns_server: Keyword argument tuple.

    :type dns_server_prefix: unicode
    :param dns_server_prefix: **ra_dns_server** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type dns_server_lifetime_multiplier: long
    :param dns_server_lifetime_multiplier: Lifetime multiplier for the Recursive DNS Server option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ra_dns_server_lifetime_multiplier_update(self, ve=None, ra_dns_server=None, dns_server_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ra_dns_server: dns_server_prefix
    :param ra_dns_server: Keyword argument tuple.

    :type dns_server_prefix: unicode
    :param dns_server_prefix: **ra_dns_server** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type dns_server_lifetime_multiplier: long
    :param dns_server_lifetime_multiplier: Lifetime multiplier for the Recursive DNS Server option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ra_domain_name_update(self, ve=None, ra_domain_name=None, domain_name_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ra_domain_name: domain_name_string
    :param ra_domain_name: Keyword argument tuple.

    :type domain_name_string: unicode
    :param domain_name_string: **ra_domain_name** tuple argument.

    **Instance Argument(s)**:

    :type domain_name_lifetime_multiplier: long
    :param domain_name_lifetime_multiplier: Lifetime multiplier for DNS Search List option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ra_domain_name_lifetime_multiplier_update(self, ve=None, ra_domain_name=None, domain_name_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ra_domain_name: domain_name_string
    :param ra_domain_name: Keyword argument tuple.

    :type domain_name_string: unicode
    :param domain_name_string: **ra_domain_name** tuple argument.

    **Instance Argument(s)**:

    :type domain_name_lifetime_multiplier: long
    :param domain_name_lifetime_multiplier: Lifetime multiplier for DNS Search List option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ra_interval_update(self, ve=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_interval, min_'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, max_interval=max_interval, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ra_interval_max_interval_update(self, ve=None, max_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, max_interval=max_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, max_interval=max_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ra_interval_min_update(self, ve=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ra_lifetime_update(self, ve=None, ra_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ra_lifetime=ra_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ra_lifetime=ra_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_reachable_time_update(self, ve=None, reachable_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, reachable_time=reachable_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, reachable_time=reachable_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_retrans_timer_update(self, ve=None, retrans_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, retrans_timer=retrans_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, retrans_timer=retrans_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_router_preference_update(self, ve=None, router_pref_high=None, router_pref_low=None, router_pref_medium=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type router_pref_high: YANGBool
    :param router_pref_high: Set router-preference to high

    :type router_pref_low: YANGBool
    :param router_pref_low:  Set router-preference to low

    :type router_pref_medium: YANGBool
    :param router_pref_medium: Set router-preference to medium

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'router_pref_high, router_pref_low, router_pref_medium'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, router_pref_high=router_pref_high, router_pref_low=router_pref_low, router_pref_medium=router_pref_medium)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, router_pref_high=router_pref_high, router_pref_low=router_pref_low, router_pref_medium=router_pref_medium)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_router_preference_high_update(self, ve=None, router_pref_high=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type router_pref_high: YANGBool
    :param router_pref_high: Set router-preference to high

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, router_pref_high=router_pref_high)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, router_pref_high=router_pref_high)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_router_preference_low_update(self, ve=None, router_pref_low=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type router_pref_low: YANGBool
    :param router_pref_low:  Set router-preference to low

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, router_pref_low=router_pref_low)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, router_pref_low=router_pref_low)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_router_preference_medium_update(self, ve=None, router_pref_medium=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type router_pref_medium: YANGBool
    :param router_pref_medium: Set router-preference to medium

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, router_pref_medium=router_pref_medium)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, router_pref_medium=router_pref_medium)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_send_ra_update(self, ve=None, send_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type send_ra: YANGBool
    :param send_ra: Set send-ra

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, send_ra=send_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, send_ra=send_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_suppress_ra_update(self, ve=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_suppress_ra_all_update(self, ve=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_suppress_ra_mtu_update(self, ve=None, suppress_ra_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, suppress_ra_mtu=suppress_ra_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, suppress_ra_mtu=suppress_ra_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_suppress_ra_suppress_ra_flag_update(self, ve=None, suppress_ra_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, suppress_ra_flag=suppress_ra_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, suppress_ra_flag=suppress_ra_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_neighbor_update(self, ve=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(.[0-9a-fA-F]{4}){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_neighbor_hardware_address_update(self, ve=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(.[0-9a-fA-F]{4}){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_update(self, ve=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_active_update(self, ve=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_area_update(self, ve=None, interface_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_area=interface_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_area=interface_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_ah_update(self, ve=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_esp_update(self, ve=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_esp_auth_update(self, ve=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_esp_key_update(self, ve=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_esp_no_encrypt_update(self, ve=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_ipsec_update(self, ve=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_ipsec_auth_key_config_update(self, ve=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_ipsec_disable_update(self, ve=None, ipsec_authentication_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, ve=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_key_update(self, ve=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_no_encrypt_update(self, ve=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_spi_update(self, ve=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_bfd_update(self, ve=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_bfd_bfd_enable_update(self, ve=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_cost_update(self, ve=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_dead_interval_update(self, ve=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_hello_interval_update(self, ve=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_hello_jitter_update(self, ve=None, hello_jitter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, hello_jitter=hello_jitter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, hello_jitter=hello_jitter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_instance_update(self, ve=None, instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, instance=instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, instance=instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_link_interval_properties_update(self, ve=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_mtu_ignore_update(self, ve=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_network_update(self, ve=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_passive_update(self, ve=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_priority_update(self, ve=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_retransmit_interval_update(self, ve=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_suppress_linklsa_update(self, ve=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_transmit_delay_update(self, ve=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_policy_route_map_update(self, ve=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.policy.route_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_policy_route_map_ipv6_route_map_name_update(self, ve=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.policy.route_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_router_update(self, ve=None, interface_ipv6_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ipv6_router_isis: YANGBool
    :param interface_ipv6_router_isis: Enable IS-IS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_ipv6_router_isis=interface_ipv6_router_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_ipv6_router_isis=interface_ipv6_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_router_isis_update(self, ve=None, interface_ipv6_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ipv6_router_isis: YANGBool
    :param interface_ipv6_router_isis: Enable IS-IS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_ipv6_router_isis=interface_ipv6_router_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_ipv6_router_isis=interface_ipv6_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_auth_type_md5_auth_update(self, ve=None, auth_data=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_data: unicode
    :param auth_data: Authentication data

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_vrrp_extended.auth_type.md5_auth', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_vrrp_extended.auth_type.md5_auth', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, auth_data=auth_data)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, auth_data=auth_data)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_auth_type_md5_auth_auth_data_update(self, ve=None, auth_data=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_data: unicode
    :param auth_data: Authentication data

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_vrrp_extended.auth_type.md5_auth', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_vrrp_extended.auth_type.md5_auth', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, auth_data=auth_data)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, auth_data=auth_data)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_update(self, ve=None, vrrpv3e=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Neighbor Discovery Advertisment Interval

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e": {}, "pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e": {"enable": "enable", "description": "description", "nd_advertisement_timer": "nd_advertisement_timer", "advertisement_interval_scale": "advertisement_interval_scale", "vrid": "vrid", "advertise_backup": "advertise_backup", "priority": "priority", "vrrpe_advertisement_interval": "vrrpe_advertisement_interval", "hold_time": "hold_time", "preempt_mode": "preempt_mode", "backup_advertisement_interval": "backup_advertisement_interval"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_advertise_backup_update(self, ve=None, vrrpv3e=None, advertise_backup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, advertise_backup=advertise_backup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, advertise_backup=advertise_backup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_advertisement_interval_update(self, ve=None, vrrpv3e=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_advertisement_interval_scale_update(self, ve=None, vrrpv3e=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, advertisement_interval_scale=advertisement_interval_scale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_backup_advertisement_interval_update(self, ve=None, vrrpv3e=None, backup_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, backup_advertisement_interval=backup_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, backup_advertisement_interval=backup_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_description_update(self, ve=None, vrrpv3e=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_enable_update(self, ve=None, vrrpv3e=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_hold_time_update(self, ve=None, vrrpv3e=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_nd_advertisement_timer_update(self, ve=None, vrrpv3e=None, nd_advertisement_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Neighbor Discovery Advertisment Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, nd_advertisement_timer=nd_advertisement_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, nd_advertisement_timer=nd_advertisement_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_preempt_mode_update(self, ve=None, vrrpv3e=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_priority_update(self, ve=None, vrrpv3e=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_short_path_forwarding_update(self, ve=None, vrrpv3e=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'basic, revert_priority'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, basic=basic, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_short_path_forwarding_basic_update(self, ve=None, vrrpv3e=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_short_path_forwarding_revert_priority_update(self, ve=None, vrrpv3e=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_track_interface_update(self, ve=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_track_interface_priority_update(self, ve=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_track_network_update(self, ve=None, vrrpv3e=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument:  XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_priority: int
    :param network_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_track_network_priority_update(self, ve=None, vrrpv3e=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument:  XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_priority: int
    :param network_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_virtual_mac_update(self, ve=None, vrrpv3e=None, virtual_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type virtual_mac: unicode
    :param virtual_mac: Virtual MAC

        * enumeration restriction: ::

            ['02e0.5200.00xx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, virtual_mac=virtual_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, virtual_mac=virtual_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_virtual_mac_02e0_5200_00xx_update(self, ve=None, vrrpv3e=None, vmac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vmac: YANGBool
    :param vmac: Virtual MAC address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_update(self, ve=None, vrrpv3=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_advertisement_interval_update(self, ve=None, vrrpv3=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3=vrrpv3, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3=vrrpv3, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_description_update(self, ve=None, vrrpv3=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3=vrrpv3, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3=vrrpv3, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_enable_update(self, ve=None, vrrpv3=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3=vrrpv3, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3=vrrpv3, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_hold_time_update(self, ve=None, vrrpv3=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3=vrrpv3, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3=vrrpv3, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_preempt_mode_update(self, ve=None, vrrpv3=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3=vrrpv3, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3=vrrpv3, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_priority_update(self, ve=None, vrrpv3=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3=vrrpv3, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3=vrrpv3, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_track_interface_update(self, ve=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_track_interface_priority_update(self, ve=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_use_v2_checksum_update(self, ve=None, vrrpv3=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_suppress_interface_ra_update(self, ve=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_update(self, ve=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type circuit_type: unicode
    :param circuit_type: Define inter-area/intra area operation mode

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    :type interface_point_to_point: YANGBool
    :param interface_point_to_point: Point-to-point interface for ISIS operation

    :type interface_passive: YANGBool
    :param interface_passive: Passive interface for ISIS operation

    :type interface_ldp_sync: unicode
    :param interface_ldp_sync: Set LDP-SYNC operation mode on this interface

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_check_level_1_update(self, ve=None, interface_auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_check_level1_disable: YANGBool
    :param interface_auth_check_level1_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_auth_check_level1_disable=interface_auth_check_level1_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_check_level_1_disable_update(self, ve=None, interface_auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_check_level1_disable: YANGBool
    :param interface_auth_check_level1_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_auth_check_level1_disable=interface_auth_check_level1_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_check_level_2_update(self, ve=None, interface_auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_check_level2_disable: YANGBool
    :param interface_auth_check_level2_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_auth_check_level2_disable=interface_auth_check_level2_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_check_level_2_disable_update(self, ve=None, interface_auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_check_level2_disable: YANGBool
    :param interface_auth_check_level2_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_auth_check_level2_disable=interface_auth_check_level2_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_key_update(self, ve=None, interface_auth_key=None, interface_auth_key_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_auth_key: interface_auth_key_level, interface_auth_key_str
    :param interface_auth_key: Keyword argument tuple.

    :type interface_auth_key_level: unicode
    :param interface_auth_key_level: **interface_auth_key** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: **interface_auth_key** tuple argument.

        * length restriction: ::

            ['1..63']

    **Instance Argument(s)**:

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_key_interface_auth_key_str_update(self, ve=None, interface_auth_key=None, interface_auth_key_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_auth_key: interface_auth_key_level
    :param interface_auth_key: Keyword argument tuple.

    :type interface_auth_key_level: unicode
    :param interface_auth_key_level: **interface_auth_key** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_mode_md5_update(self, ve=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_mode_md5_level1: YANGBool
    :param interface_auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP

    :type interface_auth_mode_md5_level2: YANGBool
    :param interface_auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_mode_md5_level_1_update(self, ve=None, interface_auth_mode_md5_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_mode_md5_level1: YANGBool
    :param interface_auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_mode_md5_level_2_update(self, ve=None, interface_auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_auth_mode_md5_level2: YANGBool
    :param interface_auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_bfd_update(self, ve=None, interface_bfd_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_bfd_disable: YANGBool
    :param interface_bfd_disable: Disable BFD operation mode on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_bfd": {}, "pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_bfd": {"interface_bfd_disable": "interface_bfd_disable"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_bfd_disable=interface_bfd_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_bfd_disable=interface_bfd_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_bfd_disable_update(self, ve=None, interface_bfd_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_bfd_disable: YANGBool
    :param interface_bfd_disable: Disable BFD operation mode on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_bfd_disable=interface_bfd_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_bfd_disable=interface_bfd_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_bfd_interface_bfd_enable_update(self, ve=None, interface_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_bfd_enable: YANGBool
    :param interface_bfd_enable: Enable BFD operation mode on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_bfd_enable=interface_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_bfd_enable=interface_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_circuit_type_update(self, ve=None, circuit_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type circuit_type: unicode
    :param circuit_type: Define inter-area/intra area operation mode

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, circuit_type=circuit_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, circuit_type=circuit_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_hello_interval_update(self, ve=None, interface_hello_interval=None, interface_hello_interval_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_hello_interval: interface_hello_interval_level, interface_hello_interval_val
    :param interface_hello_interval: Keyword argument tuple.

    :type interface_hello_interval_level: unicode
    :param interface_hello_interval_level: **interface_hello_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: **interface_hello_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_hello_interval_interface_hello_interval_val_update(self, ve=None, interface_hello_interval=None, interface_hello_interval_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_hello_interval: interface_hello_interval_level
    :param interface_hello_interval: Keyword argument tuple.

    :type interface_hello_interval_level: unicode
    :param interface_hello_interval_level: **interface_hello_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_hello_multiplier_update(self, ve=None, interface_hello_multiplier=None, interface_hello_multiplier_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_hello_multiplier: interface_hello_multiplier_level, interface_hello_multiplier_val
    :param interface_hello_multiplier: Keyword argument tuple.

    :type interface_hello_multiplier_level: unicode
    :param interface_hello_multiplier_level: **interface_hello_multiplier** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: **interface_hello_multiplier** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_hello_multiplier_interface_hello_multiplier_val_update(self, ve=None, interface_hello_multiplier=None, interface_hello_multiplier_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_hello_multiplier: interface_hello_multiplier_level
    :param interface_hello_multiplier: Keyword argument tuple.

    :type interface_hello_multiplier_level: unicode
    :param interface_hello_multiplier_level: **interface_hello_multiplier** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_hello_padding_update(self, ve=None, interface_hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_padding_disable: YANGBool
    :param interface_hello_padding_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_hello_padding_disable=interface_hello_padding_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_hello_padding_disable=interface_hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_hello_padding_disable_update(self, ve=None, interface_hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_padding_disable: YANGBool
    :param interface_hello_padding_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_hello_padding_disable=interface_hello_padding_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_hello_padding_disable=interface_hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_ipv6_metric_update(self, ve=None, interface_ipv6_metric=None, interface_ipv6_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_ipv6_metric: interface_ipv6_metric_level, interface_ipv6_metric_val
    :param interface_ipv6_metric: Keyword argument tuple.

    :type interface_ipv6_metric_level: unicode
    :param interface_ipv6_metric_level: **interface_ipv6_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: **interface_ipv6_metric** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_ipv6_metric_interface_ipv6_metric_val_update(self, ve=None, interface_ipv6_metric=None, interface_ipv6_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_ipv6_metric: interface_ipv6_metric_level
    :param interface_ipv6_metric: Keyword argument tuple.

    :type interface_ipv6_metric_level: unicode
    :param interface_ipv6_metric_level: **interface_ipv6_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_ldp_sync_update(self, ve=None, interface_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ldp_sync: unicode
    :param interface_ldp_sync: Set LDP-SYNC operation mode on this interface

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_ldp_sync=interface_ldp_sync)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_ldp_sync=interface_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_metric_update(self, ve=None, interface_metric=None, interface_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_metric: interface_metric_level, interface_metric_val
    :param interface_metric: Keyword argument tuple.

    :type interface_metric_level: unicode
    :param interface_metric_level: **interface_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_metric_val: long
    :param interface_metric_val: **interface_metric** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_metric_val: long
    :param interface_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_metric=interface_metric, interface_metric_val=interface_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_metric=interface_metric, interface_metric_val=interface_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_metric_interface_metric_val_update(self, ve=None, interface_metric=None, interface_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_metric: interface_metric_level
    :param interface_metric: Keyword argument tuple.

    :type interface_metric_level: unicode
    :param interface_metric_level: **interface_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type interface_metric_val: long
    :param interface_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_metric=interface_metric, interface_metric_val=interface_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_metric=interface_metric, interface_metric_val=interface_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_passive_update(self, ve=None, interface_passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_passive: YANGBool
    :param interface_passive: Passive interface for ISIS operation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_passive=interface_passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_passive=interface_passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_point_to_point_update(self, ve=None, interface_point_to_point=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_point_to_point: YANGBool
    :param interface_point_to_point: Point-to-point interface for ISIS operation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_point_to_point=interface_point_to_point)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_point_to_point=interface_point_to_point)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_priority_update(self, ve=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_priority_level1: long
    :param interface_priority_level1: Priority for Level-1 ISIS Router

        * range restriction: ::

            ['0..4294967295']

    :type interface_priority_level2: long
    :param interface_priority_level2: Priority for Level-2 ISIS Router

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_priority_level_1_update(self, ve=None, interface_priority_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_priority_level1: long
    :param interface_priority_level1: Priority for Level-1 ISIS Router

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_priority_level1=interface_priority_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_priority_level1=interface_priority_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_priority_level_2_update(self, ve=None, interface_priority_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_priority_level2: long
    :param interface_priority_level2: Priority for Level-2 ISIS Router

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, interface_priority_level2=interface_priority_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_priority_level2=interface_priority_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_reverse_metric_rev_metric_common_attributes_update(self, ve=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rev_metric_val: long
    :param rev_metric_val: Configure IS-IS reverse metric value

        * range restriction: ::

            ['0..4294967295']

    :type rev_metric_whole_lan: YANGBool
    :param rev_metric_whole_lan: Change metric for whole LAN

    :type rev_metric_te_def_metric: YANGBool
    :param rev_metric_te_def_metric: Update TE default metric sub-tlv

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_reverse_metric_rev_metric_val_update(self, ve=None, rev_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rev_metric_val: long
    :param rev_metric_val: Configure IS-IS reverse metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, rev_metric_val=rev_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, rev_metric_val=rev_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_reverse_metric_te_def_metric_update(self, ve=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rev_metric_te_def_metric: YANGBool
    :param rev_metric_te_def_metric: Update TE default metric sub-tlv

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, rev_metric_te_def_metric=rev_metric_te_def_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_reverse_metric_whole_lan_update(self, ve=None, rev_metric_whole_lan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rev_metric_whole_lan: YANGBool
    :param rev_metric_whole_lan: Change metric for whole LAN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, rev_metric_whole_lan=rev_metric_whole_lan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, rev_metric_whole_lan=rev_metric_whole_lan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_log_update(self, ve=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log packets that fail RPF check and are to be dropped

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve.rpf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_qos_update(self, ve=None, dscp_cos=None, dscp_mutation=None, dscp_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dscp_cos: unicode
    :param dscp_cos: Apply DSCP-to-CoS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_mutation: unicode
    :param dscp_mutation: Apply DSCP-Mutation map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Apply DSCP-to-Traffic-Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.qos', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.qos', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, dscp_cos=dscp_cos, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, dscp_cos=dscp_cos, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_qos_dscp_cos_update(self, ve=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dscp_cos: unicode
    :param dscp_cos: Apply DSCP-to-CoS map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.qos', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.qos', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_qos_dscp_mutation_update(self, ve=None, dscp_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dscp_mutation: unicode
    :param dscp_mutation: Apply DSCP-Mutation map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.qos', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.qos', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, dscp_mutation=dscp_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, dscp_mutation=dscp_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_qos_dscp_traffic_class_update(self, ve=None, dscp_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Apply DSCP-to-Traffic-Class map

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.qos', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.qos', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, dscp_traffic_class=dscp_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, dscp_traffic_class=dscp_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_rpf_update(self, ve=None, log=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log packets that fail RPF check and are to be dropped

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve.rpf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, log=log, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, log=log, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_rpf_mode_update(self, ve=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve.rpf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_rpf_mode_mode_update(self, ve=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.rpf_mode', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_shutdown_update(self, ve=None, global_ve_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type global_ve_shutdown: YANGBool
    :param global_ve_shutdown: Shutdown the selected interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'gve_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.interface_vlan.interface.ve": {"global_ve_shutdown": "global_ve_shutdown", "gve_name": "gve_name"}, "pybind.slxos.v16r_1_00b.routing_system.interface.ve": {"global_ve_shutdown": "shutdown", "gve_name": "name"}, "pybind.slxos.v17r_1_00a.routing_system.interface.ve": {"global_ve_shutdown": "shutdown", "gve_name": "name"}, "pybind.nos.v7_1_0.interface_vlan.interface.ve": {"global_ve_shutdown": "global_ve_shutdown", "gve_name": "gve_name"}, "pybind.nos.v7_0_1b.interface_vlan.interface.ve": {"global_ve_shutdown": "global_ve_shutdown", "gve_name": "gve_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, global_ve_shutdown=global_ve_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, global_ve_shutdown=global_ve_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrf_update(self, ve=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrf_forwarding_update(self, ve=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_update(self, ve=None, vrrpe=None, virtual_mac=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, vrrpe_garp_timer=None, backup_advertisement_interval=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type virtual_mac: unicode
    :param virtual_mac: Virtual MAC

        * enumeration restriction: ::

            ['02e0.5200.00xx']

    :type advertisement_interval: long
    :param advertisement_interval: Ipv4 session advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type vrrpe_garp_timer: long
    :param vrrpe_garp_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv4 session advertisement interval scale factor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, vrrpe_garp_timer=vrrpe_garp_timer, backup_advertisement_interval=backup_advertisement_interval, advertisement_interval_scale=advertisement_interval_scale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, vrrpe_garp_timer=vrrpe_garp_timer, backup_advertisement_interval=backup_advertisement_interval, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_advertise_backup_update(self, ve=None, vrrpe=None, advertise_backup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, advertise_backup=advertise_backup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, advertise_backup=advertise_backup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_advertisement_interval_update(self, ve=None, vrrpe=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: Ipv4 session advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_advertisement_interval_scale_update(self, ve=None, vrrpe=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv4 session advertisement interval scale factor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, advertisement_interval_scale=advertisement_interval_scale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_arp_unicast_request_update(self, ve=None, vrrpe=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe.arp.unicast_request', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_arp_unicast_request_receive_update(self, ve=None, vrrpe=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe.arp.unicast_request', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_backup_advertisement_interval_update(self, ve=None, vrrpe=None, backup_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, backup_advertisement_interval=backup_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, backup_advertisement_interval=backup_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_description_update(self, ve=None, vrrpe=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_enable_update(self, ve=None, vrrpe=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_hold_time_update(self, ve=None, vrrpe=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_preempt_mode_update(self, ve=None, vrrpe=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_priority_update(self, ve=None, vrrpe=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_short_path_forwarding_update(self, ve=None, vrrpe=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe.short_path_forwarding', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'basic, revert_priority'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, basic=basic, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_short_path_forwarding_basic_update(self, ve=None, vrrpe=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe.short_path_forwarding', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_short_path_forwarding_revert_priority_update(self, ve=None, vrrpe=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe.short_path_forwarding', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_track_interface_update(self, ve=None, vrrpe=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe.track.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_track_interface_priority_update(self, ve=None, vrrpe=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe.track.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_track_network_update(self, ve=None, vrrpe=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument:  IPv4 global address

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-2])'
            ')'

    **Instance Argument(s)**:

    :type network_priority: int
    :param network_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', u'vrrpe'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe.track.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_track_network_priority_update(self, ve=None, vrrpe=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument:  IPv4 global address

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-2])'
            ')'

    **Instance Argument(s)**:

    :type network_priority: int
    :param network_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', u'vrrpe'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe.track.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_virtual_mac_update(self, ve=None, vrrpe=None, virtual_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type virtual_mac: unicode
    :param virtual_mac: Virtual MAC

        * enumeration restriction: ::

            ['02e0.5200.00xx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_vrrpe_garp_timer_update(self, ve=None, vrrpe=None, vrrpe_garp_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vrrpe_garp_timer: long
    :param vrrpe_garp_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrpe', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrpe=vrrpe, vrrpe_garp_timer=vrrpe_garp_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, vrrpe_garp_timer=vrrpe_garp_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_update(self, ve=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: Ipv4 session advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_advertisement_interval_update(self, ve=None, vrrp=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: Ipv4 session advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp=vrrp, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_arp_unicast_request_update(self, ve=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp.arp.unicast_request', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_arp_unicast_request_receive_update(self, ve=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp.arp.unicast_request', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_description_update(self, ve=None, vrrp=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp=vrrp, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_enable_update(self, ve=None, vrrp=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp=vrrp, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_hold_time_update(self, ve=None, vrrp=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp=vrrp, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_preempt_mode_update(self, ve=None, vrrp=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp=vrrp, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_priority_update(self, ve=None, vrrp=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp=vrrp, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_track_interface_update(self, ve=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp.track.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_track_interface_priority_update(self, ve=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp.track.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_use_v2_checksum_update(self, ve=None, vrrp=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.interface.ve.vrrp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_description_update(self, vlan=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ifindex_update(self, vlan=None, ifindex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, ifindex=ifindex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, ifindex=ifindex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_arp_inspection_update(self, vlan=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.arp.inspection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.arp.inspection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_arp_inspection_filter_update(self, vlan=None, acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type acl_name: unicode
    :param acl_name: Keyword argument.

        * length restriction: ::

            ['1..62']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.arp.inspection.filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.arp.inspection.filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection.filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, acl_name=acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, acl_name=acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_arp_inspection_filter_acl_name_update(self, vlan=None, acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type acl_name: unicode
    :param acl_name: Keyword argument.

        * length restriction: ::

            ['1..62']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.arp.inspection.filter', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.arp.inspection.filter', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection.filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, acl_name=acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, acl_name=acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_arp_inspection_logging_update(self, vlan=None, acl_match=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type acl_match: unicode
    :param acl_match: Enable DAI Logging

        * enumeration restriction: ::

            ['none', 'matchlog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, acl_match=acl_match)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, acl_match=acl_match)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_arp_inspection_logging_acl_match_update(self, vlan=None, acl_match=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type acl_match: unicode
    :param acl_match: Enable DAI Logging

        * enumeration restriction: ::

            ['none', 'matchlog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, acl_match=acl_match)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, acl_match=acl_match)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_arp_inspection_trust_update(self, vlan=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.arp.inspection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.arp.inspection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_update(self, vlan=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp": {"last_member_query_interval": "last_member_query_interval", "query_interval": "query_interval", "query_max_response_time": "query_max_response_time"}, "pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp": {}, "pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_last_member_query_count_update(self, vlan=None, last_member_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_count: long
    :param last_member_query_count: IGMP Last Member Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, last_member_query_count=last_member_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, last_member_query_count=last_member_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_last_member_query_interval_update(self, vlan=None, last_member_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, last_member_query_interval=last_member_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, last_member_query_interval=last_member_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_query_interval_update(self, vlan=None, query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, query_interval=query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, query_interval=query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_query_max_response_time_update(self, vlan=None, query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, query_max_response_time=query_max_response_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, query_max_response_time=query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_robustness_variable_update(self, vlan=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type robustness_variable: long
    :param robustness_variable: Robustness Variable

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, robustness_variable=robustness_variable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_snooping_update(self, vlan=None, enable=None, fast_leave=None, mrouter_timeout=None, restrict_unknown_multicast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: IGMP Enable

    :type fast_leave: YANGBool
    :param fast_leave: Fast Leave Processing

    :type mrouter_timeout: long
    :param mrouter_timeout: Mrouter timeout

        * range restriction: ::

            ['0..4294967295']

    :type restrict_unknown_multicast: YANGBool
    :param restrict_unknown_multicast: Restrict Unknown Multicast traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, enable=enable, fast_leave=fast_leave, mrouter_timeout=mrouter_timeout, restrict_unknown_multicast=restrict_unknown_multicast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, enable=enable, fast_leave=fast_leave, mrouter_timeout=mrouter_timeout, restrict_unknown_multicast=restrict_unknown_multicast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_snooping_enable_update(self, vlan=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: IGMP Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_snooping_fast_leave_update(self, vlan=None, fast_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fast_leave: YANGBool
    :param fast_leave: Fast Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, fast_leave=fast_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, fast_leave=fast_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_snooping_mrouter_timeout_update(self, vlan=None, mrouter_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mrouter_timeout: long
    :param mrouter_timeout: Mrouter timeout

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, mrouter_timeout=mrouter_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, mrouter_timeout=mrouter_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_snooping_querier_update(self, vlan=None, qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type qenable: YANGBool
    :param qenable: Enable snooping querier

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, qenable=qenable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, qenable=qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_snooping_querier_enable_update(self, vlan=None, qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type qenable: YANGBool
    :param qenable: Enable snooping querier

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, qenable=qenable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, qenable=qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_snooping_restrict_unknown_multicast_update(self, vlan=None, restrict_unknown_multicast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type restrict_unknown_multicast: YANGBool
    :param restrict_unknown_multicast: Restrict Unknown Multicast traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, restrict_unknown_multicast=restrict_unknown_multicast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, restrict_unknown_multicast=restrict_unknown_multicast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_startup_query_count_update(self, vlan=None, startup_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type startup_query_count: long
    :param startup_query_count: IGMP Startup Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, startup_query_count=startup_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, startup_query_count=startup_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_startup_query_interval_update(self, vlan=None, startup_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type startup_query_interval: long
    :param startup_query_interval: Startup Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, startup_query_interval=startup_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, startup_query_interval=startup_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_pim_snooping_update(self, vlan=None, vlan_pimv4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_pimv4_enable: YANGBool
    :param vlan_pimv4_enable: IGMP : Ip PIM Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmpPIM.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmpPIM.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_pim_snooping_enable_update(self, vlan=None, vlan_pimv4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_pimv4_enable: YANGBool
    :param vlan_pimv4_enable: IGMP : Ip PIM Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmpPIM.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmpPIM.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_update(self, vlan=None, last_member_query_interval=None, last_member_query_count=None, startup_query_interval=None, startup_query_count=None, query_max_response_time=None, query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type last_member_query_count: long
    :param last_member_query_count: Last Member Query Count

        * range restriction: ::

            ['0..4294967295']

    :type startup_query_interval: long
    :param startup_query_interval: Startup Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type startup_query_count: long
    :param startup_query_count: Startup Query Count

        * range restriction: ::

            ['0..4294967295']

    :type query_max_response_time: long
    :param query_max_response_time: MLDS Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, last_member_query_interval=last_member_query_interval, last_member_query_count=last_member_query_count, startup_query_interval=startup_query_interval, startup_query_count=startup_query_count, query_max_response_time=query_max_response_time, query_interval=query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, last_member_query_interval=last_member_query_interval, last_member_query_count=last_member_query_count, startup_query_interval=startup_query_interval, startup_query_count=startup_query_count, query_max_response_time=query_max_response_time, query_interval=query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_last_member_query_count_update(self, vlan=None, last_member_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_count: long
    :param last_member_query_count: Last Member Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, last_member_query_count=last_member_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, last_member_query_count=last_member_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_last_member_query_interval_update(self, vlan=None, last_member_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, last_member_query_interval=last_member_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, last_member_query_interval=last_member_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_query_interval_update(self, vlan=None, query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, query_interval=query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, query_interval=query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_query_max_response_time_update(self, vlan=None, query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type query_max_response_time: long
    :param query_max_response_time: MLDS Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, query_max_response_time=query_max_response_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, query_max_response_time=query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_snooping_update(self, vlan=None, enable=None, fast_leave=None, restrict_unknown_multicast_vlan=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: MLDS Enable

    :type fast_leave: YANGBool
    :param fast_leave: Fast Leave Processing

    :type restrict_unknown_multicast_vlan: YANGBool
    :param restrict_unknown_multicast_vlan: Restrict Unknown Multicast traffic

    :type robustness_variable: long
    :param robustness_variable: Robustness Variable

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, enable=enable, fast_leave=fast_leave, restrict_unknown_multicast_vlan=restrict_unknown_multicast_vlan, robustness_variable=robustness_variable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, enable=enable, fast_leave=fast_leave, restrict_unknown_multicast_vlan=restrict_unknown_multicast_vlan, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_snooping_enable_update(self, vlan=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: MLDS Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_snooping_fast_leave_update(self, vlan=None, fast_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fast_leave: YANGBool
    :param fast_leave: Fast Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, fast_leave=fast_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, fast_leave=fast_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_snooping_querier_update(self, vlan=None, qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type qenable: YANGBool
    :param qenable: Enable snooping querier

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, qenable=qenable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, qenable=qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_snooping_querier_enable_update(self, vlan=None, qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type qenable: YANGBool
    :param qenable: Enable snooping querier

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, qenable=qenable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, qenable=qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_snooping_restrict_unknown_multicast_update(self, vlan=None, restrict_unknown_multicast_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type restrict_unknown_multicast_vlan: YANGBool
    :param restrict_unknown_multicast_vlan: Restrict Unknown Multicast traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, restrict_unknown_multicast_vlan=restrict_unknown_multicast_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, restrict_unknown_multicast_vlan=restrict_unknown_multicast_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_snooping_robustness_variable_update(self, vlan=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type robustness_variable: long
    :param robustness_variable: Robustness Variable

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, robustness_variable=robustness_variable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_startup_query_count_update(self, vlan=None, startup_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type startup_query_count: long
    :param startup_query_count: Startup Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, startup_query_count=startup_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, startup_query_count=startup_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_startup_query_interval_update(self, vlan=None, startup_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type startup_query_interval: long
    :param startup_query_interval: Startup Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, startup_query_interval=startup_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, startup_query_interval=startup_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_pim_snooping_update(self, vlan=None, vlan_pimv6_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_pimv6_enable: YANGBool
    :param vlan_pimv6_enable: MLD : IpV6 PIM Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldPIM.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldPIM.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_pim_snooping_enable_update(self, vlan=None, vlan_pimv6_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_pimv6_enable: YANGBool
    :param vlan_pimv6_enable: MLD : IpV6 PIM Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldPIM.snooping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldPIM.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_mac_access_group_update(self, vlan=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_mac_access_group_traffic_type_update(self, vlan=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_name_update(self, vlan=None, vlan_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_name: unicode
    :param vlan_name: Alternative name for the VLAN

        * length restriction: ::

            ['1 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, vlan_name=vlan_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, vlan_name=vlan_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_private_vlan_update(self, vlan=None, pvlan_type_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pvlan_type_leaf: unicode
    :param pvlan_type_leaf: Keyword argument.

        * enumeration restriction: ::

            ['primary', 'community', 'isolated']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, pvlan_type_leaf=pvlan_type_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, pvlan_type_leaf=pvlan_type_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_private_vlan_association_update(self, vlan=None, sec_assoc_add=None, sec_assoc_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sec_assoc_add: unicode
    :param sec_assoc_add: Add Secondary Vlan association

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type sec_assoc_remove: unicode
    :param sec_assoc_remove: Remove Secondary Vlan association

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, sec_assoc_add=sec_assoc_add, sec_assoc_remove=sec_assoc_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, sec_assoc_add=sec_assoc_add, sec_assoc_remove=sec_assoc_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_private_vlan_association_add_update(self, vlan=None, sec_assoc_add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sec_assoc_add: unicode
    :param sec_assoc_add: Add Secondary Vlan association

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, sec_assoc_add=sec_assoc_add)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, sec_assoc_add=sec_assoc_add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_private_vlan_association_remove_update(self, vlan=None, sec_assoc_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sec_assoc_remove: unicode
    :param sec_assoc_remove: Remove Secondary Vlan association

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, sec_assoc_remove=sec_assoc_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, sec_assoc_remove=sec_assoc_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_private_vlan_pvlan_type_leaf_update(self, vlan=None, pvlan_type_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pvlan_type_leaf: unicode
    :param pvlan_type_leaf: Keyword argument.

        * enumeration restriction: ::

            ['primary', 'community', 'isolated']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.private_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.private_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, pvlan_type_leaf=pvlan_type_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, pvlan_type_leaf=pvlan_type_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_rspan_vlan_update(self, vlan=None, remote_span=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type remote_span: YANGBool
    :param remote_span: Configure the vlan as rspan vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, remote_span=remote_span)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, remote_span=remote_span)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_spanning_tree_update(self, vlan=None, stp_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type stp_shutdown: YANGBool
    :param stp_shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, stp_shutdown=stp_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, stp_shutdown=stp_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_spanning_tree_shutdown_update(self, vlan=None, stp_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type stp_shutdown: YANGBool
    :param stp_shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, stp_shutdown=stp_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, stp_shutdown=stp_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_suppress_arp_update(self, vlan=None, suppress_arp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_arp_enable: YANGBool
    :param suppress_arp_enable: Enable ARP suppression

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.suppress_arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.suppress_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, suppress_arp_enable=suppress_arp_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, suppress_arp_enable=suppress_arp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_suppress_arp_enable_update(self, vlan=None, suppress_arp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_arp_enable: YANGBool
    :param suppress_arp_enable: Enable ARP suppression

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.suppress_arp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.suppress_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, suppress_arp_enable=suppress_arp_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, suppress_arp_enable=suppress_arp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_suppress_nd_update(self, vlan=None, suppress_nd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_nd_enable: YANGBool
    :param suppress_nd_enable: Enable ND suppression

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.suppress_nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.suppress_nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, suppress_nd_enable=suppress_nd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, suppress_nd_enable=suppress_nd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_suppress_nd_enable_update(self, vlan=None, suppress_nd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_nd_enable: YANGBool
    :param suppress_nd_enable: Enable ND suppression

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.suppress_nd', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.suppress_nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, suppress_nd_enable=suppress_nd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, suppress_nd_enable=suppress_nd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_transport_service_update(self, vlan=None, transport_service=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transport_service: int
    :param transport_service:  Set tlsid for Transparent vlan 

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, transport_service=transport_service)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, transport_service=transport_service)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_update(self, global_ip_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type global_ip_mtu: long
    :param global_ip_mtu: Set ip mtu value to all interfaces of this cluster

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.global_mtu_conf.ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.global_mtu_conf.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.igmp_snooping.ip": {}, "pybind.nos.v6_0_2c.igmp_snooping.ip": {}, "pybind.slxos.v16r_1_00b.igmp_snooping.ip": {}, "pybind.nos.v7_1_0.global_mtu_conf.ip": {"global_ip_mtu": "global_ip_mtu"}, "pybind.nos.v7_0_1b.global_mtu_conf.ip": {"global_ip_mtu": "global_ip_mtu"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_ip_mtu=global_ip_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_ip_mtu=global_ip_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_update(self, extended=None, seq=None, action=None, protocol_type=None, src_host_any_sip=None, src_host_ip=None, src_mask=None, sport=None, sport_number_eq_neq_tcp=None, sport_number_lt_tcp=None, sport_number_gt_tcp=None, sport_number_eq_neq_udp=None, sport_number_lt_udp=None, sport_number_gt_udp=None, sport_number_range_lower_tcp=None, sport_number_range_lower_udp=None, sport_number_range_higher_tcp=None, sport_number_range_higher_udp=None, dst_host_any_dip=None, dst_host_ip=None, dst_mask=None, dport=None, dport_number_eq_neq_tcp=None, dport_number_lt_tcp=None, dport_number_gt_tcp=None, dport_number_eq_neq_udp=None, dport_number_lt_udp=None, dport_number_gt_udp=None, dport_number_range_lower_tcp=None, dport_number_range_lower_udp=None, dport_number_range_higher_tcp=None, dport_number_range_higher_udp=None, dscp=None, urg=None, ack=None, push=None, fin=None, rst=None, sync=None, vlan=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type action: unicode
    :param action: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type protocol_type: unicode
    :param protocol_type: **seq** tuple argument.

        * enumeration restriction: ::

            ['ip', 'udp', 'icmp', 'tcp']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: **seq** tuple argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: **seq** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_mask: unicode
    :param src_mask: **seq** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type sport: unicode
    :param sport: **seq** tuple argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type sport_number_eq_neq_tcp: unicode
    :param sport_number_eq_neq_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_lt_tcp: unicode
    :param sport_number_lt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_gt_tcp: unicode
    :param sport_number_gt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_eq_neq_udp: unicode
    :param sport_number_eq_neq_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_lt_udp: unicode
    :param sport_number_lt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_gt_udp: unicode
    :param sport_number_gt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_lower_tcp: unicode
    :param sport_number_range_lower_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_lower_udp: unicode
    :param sport_number_range_lower_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_higher_tcp: unicode
    :param sport_number_range_higher_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_higher_udp: unicode
    :param sport_number_range_higher_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dst_host_any_dip: unicode
    :param dst_host_any_dip: **seq** tuple argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type dst_host_ip: unicode
    :param dst_host_ip: **seq** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_mask: unicode
    :param dst_mask: **seq** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dport: unicode
    :param dport: **seq** tuple argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type dport_number_eq_neq_tcp: unicode
    :param dport_number_eq_neq_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_lt_tcp: unicode
    :param dport_number_lt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_gt_tcp: unicode
    :param dport_number_gt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_eq_neq_udp: unicode
    :param dport_number_eq_neq_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_lt_udp: unicode
    :param dport_number_lt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_gt_udp: unicode
    :param dport_number_gt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_lower_tcp: unicode
    :param dport_number_range_lower_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_lower_udp: unicode
    :param dport_number_range_lower_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_higher_tcp: unicode
    :param dport_number_range_higher_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_higher_udp: unicode
    :param dport_number_range_higher_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dscp: unicode
    :param dscp: **seq** tuple argument:  Differentiated Service Code Point

        * enumeration restriction: ::

            ['af23',
            'af22',
            'af21',
            'af33',
            'af41',
            'af43',
            'af31',
            'default',
            'af42',
            'af12',
            'af32',
            'af13',
            'cs6',
            'cs2',
            'cs5',
            'cs4',
            'cs7',
            'af11',
            'cs1',
            'cs3',
            'ef']

    :type urg: YANGBool
    :param urg: **seq** tuple argument:  Urgent

    :type ack: YANGBool
    :param ack: **seq** tuple argument:  Acknowledgement

    :type push: YANGBool
    :param push: **seq** tuple argument:  Push

    :type fin: YANGBool
    :param fin: **seq** tuple argument:  No more data

    :type rst: YANGBool
    :param rst: **seq** tuple argument:  Reset connection

    :type sync: YANGBool
    :param sync: **seq** tuple argument:  Synchronize

    :type vlan: long
    :param vlan: **seq** tuple argument:  Vlan

        * range restriction: ::

            ['0..4294967295']

    :type count: YANGBool
    :param count: **seq** tuple argument:  Packet Count

    :type log: YANGBool
    :param log: **seq** tuple argument:  Log Packet

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type protocol_type: unicode
    :param protocol_type: Keyword argument.

        * enumeration restriction: ::

            ['ip', 'udp', 'icmp', 'tcp']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_mask: unicode
    :param src_mask: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type sport: unicode
    :param sport: Keyword argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type sport_number_eq_neq_tcp: unicode
    :param sport_number_eq_neq_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_lt_tcp: unicode
    :param sport_number_lt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_gt_tcp: unicode
    :param sport_number_gt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_eq_neq_udp: unicode
    :param sport_number_eq_neq_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_lt_udp: unicode
    :param sport_number_lt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_gt_udp: unicode
    :param sport_number_gt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_lower_tcp: unicode
    :param sport_number_range_lower_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_lower_udp: unicode
    :param sport_number_range_lower_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_higher_tcp: unicode
    :param sport_number_range_higher_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_higher_udp: unicode
    :param sport_number_range_higher_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dst_host_any_dip: unicode
    :param dst_host_any_dip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type dst_host_ip: unicode
    :param dst_host_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_mask: unicode
    :param dst_mask: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dport: unicode
    :param dport: Keyword argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type dport_number_eq_neq_tcp: unicode
    :param dport_number_eq_neq_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_lt_tcp: unicode
    :param dport_number_lt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_gt_tcp: unicode
    :param dport_number_gt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_eq_neq_udp: unicode
    :param dport_number_eq_neq_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_lt_udp: unicode
    :param dport_number_lt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_gt_udp: unicode
    :param dport_number_gt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_lower_tcp: unicode
    :param dport_number_range_lower_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_lower_udp: unicode
    :param dport_number_range_lower_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_higher_tcp: unicode
    :param dport_number_range_higher_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_higher_udp: unicode
    :param dport_number_range_higher_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dscp: unicode
    :param dscp: Differentiated Service Code Point

        * enumeration restriction: ::

            ['af23',
            'af22',
            'af21',
            'af33',
            'af41',
            'af43',
            'af31',
            'default',
            'af42',
            'af12',
            'af32',
            'af13',
            'cs6',
            'cs2',
            'cs5',
            'cs4',
            'cs7',
            'af11',
            'cs1',
            'cs3',
            'ef']

    :type urg: YANGBool
    :param urg: Urgent

    :type ack: YANGBool
    :param ack: Acknowledgement

    :type push: YANGBool
    :param push: Push

    :type fin: YANGBool
    :param fin: No more data

    :type rst: YANGBool
    :param rst: Reset connection

    :type sync: YANGBool
    :param sync: Synchronize

    :type vlan: long
    :param vlan: Vlan

        * range restriction: ::

            ['0..4294967295']

    :type count: YANGBool
    :param count: Packet Count

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq": {"dport_number_range_higher_udp": "dport_number_range_higher_udp", "sport_number_range_lower_tcp": "sport_number_range_lower_tcp", "push": "push", "sport_number_eq_neq_udp": "sport_number_eq_neq_udp", "sport_number_range_higher_tcp": "sport_number_range_higher_tcp", "sync": "sync", "sport": "sport", "src_mask": "src_mask", "dport_number_lt_udp": "dport_number_lt_udp", "sport_number_range_lower_udp": "sport_number_range_lower_udp", "log": "log", "seq_id": "seq_id", "dport_number_range_lower_tcp": "dport_number_range_lower_tcp", "dport_number_eq_neq_udp": "dport_number_eq_neq_udp", "src_host_ip": "src_host_ip", "sport_number_lt_tcp": "sport_number_lt_tcp", "sport_number_gt_tcp": "sport_number_gt_tcp", "dport_number_gt_udp": "dport_number_gt_udp", "fin": "fin", "dport_number_gt_tcp": "dport_number_gt_tcp", "vlan": "vlan", "dport_number_range_higher_tcp": "dport_number_range_higher_tcp", "sport_number_eq_neq_tcp": "sport_number_eq_neq_tcp", "dscp": "dscp", "sport_number_range_higher_udp": "sport_number_range_higher_udp", "action": "action", "dst_host_ip": "dst_host_ip", "rst": "rst", "dst_mask": "dst_mask", "protocol_type": "protocol_type", "count": "count", "urg": "urg", "dport_number_lt_tcp": "dport_number_lt_tcp", "ack": "ack", "dport_number_eq_neq_tcp": "dport_number_eq_neq_tcp", "dport_number_range_lower_udp": "dport_number_range_lower_udp", "dport": "dport", "src_host_any_sip": "src_host_any_sip", "dst_host_any_dip": "dst_host_any_dip", "sport_number_lt_udp": "sport_number_lt_udp", "sport_number_gt_udp": "sport_number_gt_udp"}, "pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq": {}, "pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq": {"dport_number_range_higher_udp": "dport_number_range_higher_udp", "sport_number_range_lower_tcp": "sport_number_range_lower_tcp", "push": "push", "sport_number_eq_neq_udp": "sport_number_eq_neq_udp", "sport_number_range_higher_tcp": "sport_number_range_higher_tcp", "sync": "sync", "sport": "sport", "src_mask": "src_mask", "dport_number_lt_udp": "dport_number_lt_udp", "sport_number_range_lower_udp": "sport_number_range_lower_udp", "log": "log", "seq_id": "seq_id", "dport_number_range_lower_tcp": "dport_number_range_lower_tcp", "dport_number_eq_neq_udp": "dport_number_eq_neq_udp", "src_host_ip": "src_host_ip", "sport_number_lt_tcp": "sport_number_lt_tcp", "sport_number_gt_tcp": "sport_number_gt_tcp", "dport_number_gt_udp": "dport_number_gt_udp", "fin": "fin", "dport_number_gt_tcp": "dport_number_gt_tcp", "vlan": "vlan", "dport_number_range_higher_tcp": "dport_number_range_higher_tcp", "sport_number_eq_neq_tcp": "sport_number_eq_neq_tcp", "dscp": "dscp", "sport_number_range_higher_udp": "sport_number_range_higher_udp", "action": "action", "dst_host_ip": "dst_host_ip", "rst": "rst", "dst_mask": "dst_mask", "protocol_type": "protocol_type", "count": "count", "urg": "urg", "dport_number_lt_tcp": "dport_number_lt_tcp", "ack": "ack", "dport_number_eq_neq_tcp": "dport_number_eq_neq_tcp", "dport_number_range_lower_udp": "dport_number_range_lower_udp", "dport": "dport", "src_host_any_sip": "src_host_any_sip", "dst_host_any_dip": "dst_host_any_dip", "sport_number_lt_udp": "sport_number_lt_udp", "sport_number_gt_udp": "sport_number_gt_udp"}, "pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq": {}, "pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq": {"dport_number_range_higher_udp": "dport_number_range_higher_udp", "sport_number_range_lower_tcp": "sport_number_range_lower_tcp", "push": "push", "sport_number_eq_neq_udp": "sport_number_eq_neq_udp", "sport_number_range_higher_tcp": "sport_number_range_higher_tcp", "sync": "sync", "sport": "sport", "src_mask": "src_mask", "dport_number_lt_udp": "dport_number_lt_udp", "sport_number_range_lower_udp": "sport_number_range_lower_udp", "log": "log", "seq_id": "seq_id", "dport_number_range_lower_tcp": "dport_number_range_lower_tcp", "dport_number_eq_neq_udp": "dport_number_eq_neq_udp", "src_host_ip": "src_host_ip", "sport_number_lt_tcp": "sport_number_lt_tcp", "sport_number_gt_tcp": "sport_number_gt_tcp", "dport_number_gt_udp": "dport_number_gt_udp", "fin": "fin", "dport_number_gt_tcp": "dport_number_gt_tcp", "vlan": "vlan", "dport_number_range_higher_tcp": "dport_number_range_higher_tcp", "sport_number_eq_neq_tcp": "sport_number_eq_neq_tcp", "dscp": "dscp", "sport_number_range_higher_udp": "sport_number_range_higher_udp", "action": "action", "dst_host_ip": "dst_host_ip", "rst": "rst", "dst_mask": "dst_mask", "protocol_type": "protocol_type", "count": "count", "urg": "urg", "dport_number_lt_tcp": "dport_number_lt_tcp", "ack": "ack", "dport_number_eq_neq_tcp": "dport_number_eq_neq_tcp", "dport_number_range_lower_udp": "dport_number_range_lower_udp", "dport": "dport", "src_host_any_sip": "src_host_any_sip", "dst_host_any_dip": "dst_host_any_dip", "sport_number_lt_udp": "sport_number_lt_udp", "sport_number_gt_udp": "sport_number_gt_udp"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, action=action, protocol_type=protocol_type, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, sport=sport, sport_number_eq_neq_tcp=sport_number_eq_neq_tcp, sport_number_lt_tcp=sport_number_lt_tcp, sport_number_gt_tcp=sport_number_gt_tcp, sport_number_eq_neq_udp=sport_number_eq_neq_udp, sport_number_lt_udp=sport_number_lt_udp, sport_number_gt_udp=sport_number_gt_udp, sport_number_range_lower_tcp=sport_number_range_lower_tcp, sport_number_range_lower_udp=sport_number_range_lower_udp, sport_number_range_higher_tcp=sport_number_range_higher_tcp, sport_number_range_higher_udp=sport_number_range_higher_udp, dst_host_any_dip=dst_host_any_dip, dst_host_ip=dst_host_ip, dst_mask=dst_mask, dport=dport, dport_number_eq_neq_tcp=dport_number_eq_neq_tcp, dport_number_lt_tcp=dport_number_lt_tcp, dport_number_gt_tcp=dport_number_gt_tcp, dport_number_eq_neq_udp=dport_number_eq_neq_udp, dport_number_lt_udp=dport_number_lt_udp, dport_number_gt_udp=dport_number_gt_udp, dport_number_range_lower_tcp=dport_number_range_lower_tcp, dport_number_range_lower_udp=dport_number_range_lower_udp, dport_number_range_higher_tcp=dport_number_range_higher_tcp, dport_number_range_higher_udp=dport_number_range_higher_udp, dscp=dscp, urg=urg, ack=ack, push=push, fin=fin, rst=rst, sync=sync, vlan=vlan, count=count, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, action=action, protocol_type=protocol_type, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, sport=sport, sport_number_eq_neq_tcp=sport_number_eq_neq_tcp, sport_number_lt_tcp=sport_number_lt_tcp, sport_number_gt_tcp=sport_number_gt_tcp, sport_number_eq_neq_udp=sport_number_eq_neq_udp, sport_number_lt_udp=sport_number_lt_udp, sport_number_gt_udp=sport_number_gt_udp, sport_number_range_lower_tcp=sport_number_range_lower_tcp, sport_number_range_lower_udp=sport_number_range_lower_udp, sport_number_range_higher_tcp=sport_number_range_higher_tcp, sport_number_range_higher_udp=sport_number_range_higher_udp, dst_host_any_dip=dst_host_any_dip, dst_host_ip=dst_host_ip, dst_mask=dst_mask, dport=dport, dport_number_eq_neq_tcp=dport_number_eq_neq_tcp, dport_number_lt_tcp=dport_number_lt_tcp, dport_number_gt_tcp=dport_number_gt_tcp, dport_number_eq_neq_udp=dport_number_eq_neq_udp, dport_number_lt_udp=dport_number_lt_udp, dport_number_gt_udp=dport_number_gt_udp, dport_number_range_lower_tcp=dport_number_range_lower_tcp, dport_number_range_lower_udp=dport_number_range_lower_udp, dport_number_range_higher_tcp=dport_number_range_higher_tcp, dport_number_range_higher_udp=dport_number_range_higher_udp, dscp=dscp, urg=urg, ack=ack, push=push, fin=fin, rst=rst, sync=sync, vlan=vlan, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_ack_update(self, extended=None, seq=None, ack=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type ack: YANGBool
    :param ack: Acknowledgement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, ack=ack)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, ack=ack)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_action_update(self, extended=None, seq=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_copy_sflow_update(self, extended=None, seq=None, copy_sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type copy_sflow: YANGBool
    :param copy_sflow: Copy to sFlow Collector

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, copy_sflow=copy_sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, copy_sflow=copy_sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_count_update(self, extended=None, seq=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type count: YANGBool
    :param count: Packet Count

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dport_update(self, extended=None, seq=None, dport=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport: unicode
    :param dport: Keyword argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport=dport)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport=dport)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dport_number_eq_neq_tcp_update(self, extended=None, seq=None, dport_number_eq_neq_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_eq_neq_tcp: unicode
    :param dport_number_eq_neq_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_eq_neq_tcp=dport_number_eq_neq_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_eq_neq_tcp=dport_number_eq_neq_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dport_number_eq_neq_udp_update(self, extended=None, seq=None, dport_number_eq_neq_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_eq_neq_udp: unicode
    :param dport_number_eq_neq_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_eq_neq_udp=dport_number_eq_neq_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_eq_neq_udp=dport_number_eq_neq_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dport_number_gt_tcp_update(self, extended=None, seq=None, dport_number_gt_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_gt_tcp: unicode
    :param dport_number_gt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_gt_tcp=dport_number_gt_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_gt_tcp=dport_number_gt_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dport_number_gt_udp_update(self, extended=None, seq=None, dport_number_gt_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_gt_udp: unicode
    :param dport_number_gt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_gt_udp=dport_number_gt_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_gt_udp=dport_number_gt_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dport_number_lt_tcp_update(self, extended=None, seq=None, dport_number_lt_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_lt_tcp: unicode
    :param dport_number_lt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_lt_tcp=dport_number_lt_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_lt_tcp=dport_number_lt_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dport_number_lt_udp_update(self, extended=None, seq=None, dport_number_lt_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_lt_udp: unicode
    :param dport_number_lt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_lt_udp=dport_number_lt_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_lt_udp=dport_number_lt_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dport_number_range_higher_tcp_update(self, extended=None, seq=None, dport_number_range_higher_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_range_higher_tcp: unicode
    :param dport_number_range_higher_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_range_higher_tcp=dport_number_range_higher_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_range_higher_tcp=dport_number_range_higher_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dport_number_range_higher_udp_update(self, extended=None, seq=None, dport_number_range_higher_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_range_higher_udp: unicode
    :param dport_number_range_higher_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_range_higher_udp=dport_number_range_higher_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_range_higher_udp=dport_number_range_higher_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dport_number_range_lower_tcp_update(self, extended=None, seq=None, dport_number_range_lower_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_range_lower_tcp: unicode
    :param dport_number_range_lower_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_range_lower_tcp=dport_number_range_lower_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_range_lower_tcp=dport_number_range_lower_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dport_number_range_lower_udp_update(self, extended=None, seq=None, dport_number_range_lower_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_range_lower_udp: unicode
    :param dport_number_range_lower_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_range_lower_udp=dport_number_range_lower_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_range_lower_udp=dport_number_range_lower_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_drop_precedence_force_update(self, extended=None, seq=None, drop_precedence_force=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type drop_precedence_force: long
    :param drop_precedence_force: Force drop precedence

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, drop_precedence_force=drop_precedence_force)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, drop_precedence_force=drop_precedence_force)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dscp_update(self, extended=None, seq=None, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dscp: unicode
    :param dscp: Differentiated Service Code Point

        * enumeration restriction: ::

            ['af23',
            'af22',
            'af21',
            'af33',
            'af41',
            'af43',
            'af31',
            'default',
            'af42',
            'af12',
            'af32',
            'af13',
            'cs6',
            'cs2',
            'cs5',
            'cs4',
            'cs7',
            'af11',
            'cs1',
            'cs3',
            'ef']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dscp=dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dscp_force_update(self, extended=None, seq=None, dscp_force=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dscp_force: long
    :param dscp_force: force outgoing packet dscp

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dscp_force=dscp_force)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dscp_force=dscp_force)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dst_host_any_dip_update(self, extended=None, seq=None, dst_host_any_dip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dst_host_any_dip: unicode
    :param dst_host_any_dip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dst_host_any_dip=dst_host_any_dip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dst_host_any_dip=dst_host_any_dip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dst_host_ip_update(self, extended=None, seq=None, dst_host_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dst_host_ip: unicode
    :param dst_host_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dst_host_ip=dst_host_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dst_host_ip=dst_host_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_dst_mask_update(self, extended=None, seq=None, dst_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dst_mask: unicode
    :param dst_mask: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dst_mask=dst_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dst_mask=dst_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_fin_update(self, extended=None, seq=None, fin=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type fin: YANGBool
    :param fin: No more data

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, fin=fin)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, fin=fin)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_log_update(self, extended=None, seq=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_mirror_update(self, extended=None, seq=None, mirror=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type mirror: YANGBool
    :param mirror: Mirror Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, mirror=mirror)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, mirror=mirror)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_protocol_type_update(self, extended=None, seq=None, protocol_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type protocol_type: unicode
    :param protocol_type: Keyword argument.

        * enumeration restriction: ::

            ['ip', 'udp', 'icmp', 'tcp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, protocol_type=protocol_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, protocol_type=protocol_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_push_update(self, extended=None, seq=None, push=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type push: YANGBool
    :param push: Push

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, push=push)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, push=push)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_rst_update(self, extended=None, seq=None, rst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type rst: YANGBool
    :param rst: Reset connection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, rst=rst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, rst=rst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_sport_update(self, extended=None, seq=None, sport=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport: unicode
    :param sport: Keyword argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport=sport)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport=sport)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_sport_number_eq_neq_tcp_update(self, extended=None, seq=None, sport_number_eq_neq_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_eq_neq_tcp: unicode
    :param sport_number_eq_neq_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_eq_neq_tcp=sport_number_eq_neq_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_eq_neq_tcp=sport_number_eq_neq_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_sport_number_eq_neq_udp_update(self, extended=None, seq=None, sport_number_eq_neq_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_eq_neq_udp: unicode
    :param sport_number_eq_neq_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_eq_neq_udp=sport_number_eq_neq_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_eq_neq_udp=sport_number_eq_neq_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_sport_number_gt_tcp_update(self, extended=None, seq=None, sport_number_gt_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_gt_tcp: unicode
    :param sport_number_gt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_gt_tcp=sport_number_gt_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_gt_tcp=sport_number_gt_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_sport_number_gt_udp_update(self, extended=None, seq=None, sport_number_gt_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_gt_udp: unicode
    :param sport_number_gt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_gt_udp=sport_number_gt_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_gt_udp=sport_number_gt_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_sport_number_lt_tcp_update(self, extended=None, seq=None, sport_number_lt_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_lt_tcp: unicode
    :param sport_number_lt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_lt_tcp=sport_number_lt_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_lt_tcp=sport_number_lt_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_sport_number_lt_udp_update(self, extended=None, seq=None, sport_number_lt_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_lt_udp: unicode
    :param sport_number_lt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_lt_udp=sport_number_lt_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_lt_udp=sport_number_lt_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_sport_number_range_higher_tcp_update(self, extended=None, seq=None, sport_number_range_higher_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_range_higher_tcp: unicode
    :param sport_number_range_higher_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_range_higher_tcp=sport_number_range_higher_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_range_higher_tcp=sport_number_range_higher_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_sport_number_range_higher_udp_update(self, extended=None, seq=None, sport_number_range_higher_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_range_higher_udp: unicode
    :param sport_number_range_higher_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_range_higher_udp=sport_number_range_higher_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_range_higher_udp=sport_number_range_higher_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_sport_number_range_lower_tcp_update(self, extended=None, seq=None, sport_number_range_lower_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_range_lower_tcp: unicode
    :param sport_number_range_lower_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_range_lower_tcp=sport_number_range_lower_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_range_lower_tcp=sport_number_range_lower_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_sport_number_range_lower_udp_update(self, extended=None, seq=None, sport_number_range_lower_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_range_lower_udp: unicode
    :param sport_number_range_lower_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_range_lower_udp=sport_number_range_lower_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_range_lower_udp=sport_number_range_lower_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_src_host_any_sip_update(self, extended=None, seq=None, src_host_any_sip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_host_any_sip: unicode
    :param src_host_any_sip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, src_host_any_sip=src_host_any_sip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, src_host_any_sip=src_host_any_sip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_src_host_ip_update(self, extended=None, seq=None, src_host_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_host_ip: unicode
    :param src_host_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, src_host_ip=src_host_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, src_host_ip=src_host_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_src_mask_update(self, extended=None, seq=None, src_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_mask: unicode
    :param src_mask: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, src_mask=src_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, src_mask=src_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_sync_update(self, extended=None, seq=None, sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sync: YANGBool
    :param sync: Synchronize

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sync=sync)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sync=sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_urg_update(self, extended=None, seq=None, urg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type urg: YANGBool
    :param urg: Urgent

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, urg=urg)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, urg=urg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_vlan_update(self, extended=None, seq=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_standard_seq_update(self, standard=None, seq=None, action=None, src_host_any_sip=None, src_host_ip=None, src_mask=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type action: unicode
    :param action: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: **seq** tuple argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: **seq** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_mask: unicode
    :param src_mask: **seq** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type count: YANGBool
    :param count: **seq** tuple argument:  Packet count

    :type log: YANGBool
    :param log: **seq** tuple argument:  Log Packet

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_mask: unicode
    :param src_mask: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type count: YANGBool
    :param count: Packet count

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq": {"count": "count", "log": "log", "seq_id": "seq_id", "src_host_ip": "src_host_ip", "action": "action", "src_host_any_sip": "src_host_any_sip", "src_mask": "src_mask"}, "pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq": {"count": "count", "log": "log", "seq_id": "seq_id", "src_host_ip": "src_host_ip", "action": "action", "src_host_any_sip": "src_host_any_sip", "src_mask": "src_mask"}, "pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq": {"count": "count", "log": "log", "seq_id": "seq_id", "src_host_ip": "src_host_ip", "action": "action", "src_host_any_sip": "src_host_any_sip", "src_mask": "src_mask"}, "pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq": {}, "pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, action=action, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, count=count, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, action=action, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_standard_seq_action_update(self, standard=None, seq=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_standard_seq_copy_sflow_update(self, standard=None, seq=None, copy_sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type copy_sflow: YANGBool
    :param copy_sflow: Copy to sFlow Collector

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, copy_sflow=copy_sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, copy_sflow=copy_sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_standard_seq_count_update(self, standard=None, seq=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type count: YANGBool
    :param count: Packet count

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_standard_seq_log_update(self, standard=None, seq=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_standard_seq_src_host_any_sip_update(self, standard=None, seq=None, src_host_any_sip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_host_any_sip: unicode
    :param src_host_any_sip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, src_host_any_sip=src_host_any_sip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, src_host_any_sip=src_host_any_sip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_standard_seq_src_host_ip_update(self, standard=None, seq=None, src_host_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_host_ip: unicode
    :param src_host_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, src_host_ip=src_host_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, src_host_ip=src_host_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_standard_seq_src_mask_update(self, standard=None, seq=None, src_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_mask: unicode
    :param src_mask: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_ip_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, src_mask=src_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, src_mask=src_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_as_path_access_list_update(self, access_list=None, ip_action=None, ip_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type access_list: name, seq_keyword, instance, ip_action, ip_reg_expr
    :param access_list: Keyword argument tuple.

    :type name: unicode
    :param name: **access_list** tuple argument.

        * length restriction: ::

            ['1..32']

    :type seq_keyword: unicode
    :param seq_keyword: **access_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **access_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ip_action: unicode
    :param ip_action: **access_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_reg_expr: unicode
    :param ip_reg_expr: **access_list** tuple argument.

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_reg_expr: unicode
    :param ip_reg_expr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_as_path_holder.as_path.access_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_as_path_holder.as_path.access_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, access_list=access_list, ip_action=ip_action, ip_reg_expr=ip_reg_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, access_list=access_list, ip_action=ip_action, ip_reg_expr=ip_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_as_path_access_list_ip_action_update(self, access_list=None, ip_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type access_list: name, seq_keyword, instance
    :param access_list: Keyword argument tuple.

    :type name: unicode
    :param name: **access_list** tuple argument.

        * length restriction: ::

            ['1..32']

    :type seq_keyword: unicode
    :param seq_keyword: **access_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **access_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_as_path_holder.as_path.access_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_as_path_holder.as_path.access_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, access_list=access_list, ip_action=ip_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, access_list=access_list, ip_action=ip_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_as_path_access_list_ip_reg_expr_update(self, access_list=None, ip_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type access_list: name, seq_keyword, instance
    :param access_list: Keyword argument tuple.

    :type name: unicode
    :param name: **access_list** tuple argument.

        * length restriction: ::

            ['1..32']

    :type seq_keyword: unicode
    :param seq_keyword: **access_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **access_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ip_reg_expr: unicode
    :param ip_reg_expr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_as_path_holder.as_path.access_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_as_path_holder.as_path.access_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, access_list=access_list, ip_reg_expr=ip_reg_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, access_list=access_list, ip_reg_expr=ip_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_community_list_extended_update(self, extended=None, ip_action=None, ip_community_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended: name, seq_keyword, instance, ip_action, ip_community_reg_expr
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **extended** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **extended** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ip_action: unicode
    :param ip_action: **extended** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_community_reg_expr: unicode
    :param ip_community_reg_expr: **extended** tuple argument.

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_community_reg_expr: unicode
    :param ip_community_reg_expr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_community_list_holder.community_list.extended', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ip_action=ip_action, ip_community_reg_expr=ip_community_reg_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ip_action=ip_action, ip_community_reg_expr=ip_community_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_community_list_extended_ip_action_update(self, extended=None, ip_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended: name, seq_keyword, instance
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **extended** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **extended** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_community_list_holder.community_list.extended', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ip_action=ip_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ip_action=ip_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_community_list_extended_ip_community_reg_expr_update(self, extended=None, ip_community_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended: name, seq_keyword, instance
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **extended** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **extended** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ip_community_reg_expr: unicode
    :param ip_community_reg_expr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_community_list_holder.community_list.extended', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ip_community_reg_expr=ip_community_reg_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ip_community_reg_expr=ip_community_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_community_list_standard_update(self, standard=None, ip_action=None, std_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type standard: name, seq_keyword, instance, ip_action, std_community_expr
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **standard** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **standard** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ip_action: unicode
    :param ip_action: **standard** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type std_community_expr: unicode
    :param std_community_expr: **standard** tuple argument.

        * pattern restriction: ::

            '(\s*)|(\s*((local\-as)|(internet)|(no\-export)|('
            'no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4'
            '})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]['
            '0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9'
            ']{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-'
            '2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]['
            '0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429'
            '[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0'
            '-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]'
            '{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s'
            '+((local\-as)|(internet)|(no\-export)|(no\-adver'
            'tise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6['
            '0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|'
            '(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|'
            '(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9'
            ']{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|('
            '429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429'
            '49672[0-8][0-9])|(429496729[0-5])))*)'

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type std_community_expr: unicode
    :param std_community_expr: Keyword argument.

        * pattern restriction: ::

            '(\s*)|(\s*((local\-as)|(internet)|(no\-export)|('
            'no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4'
            '})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]['
            '0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9'
            ']{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-'
            '2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]['
            '0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429'
            '[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0'
            '-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]'
            '{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s'
            '+((local\-as)|(internet)|(no\-export)|(no\-adver'
            'tise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6['
            '0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|'
            '(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|'
            '(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9'
            ']{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|('
            '429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429'
            '49672[0-8][0-9])|(429496729[0-5])))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_community_list_holder.community_list.standard', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, ip_action=ip_action, std_community_expr=std_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, ip_action=ip_action, std_community_expr=std_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_community_list_standard_ip_action_update(self, standard=None, ip_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type standard: name, seq_keyword, instance
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **standard** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **standard** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_community_list_holder.community_list.standard', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, ip_action=ip_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, ip_action=ip_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_community_list_standard_std_community_expr_update(self, standard=None, std_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type standard: name, seq_keyword, instance
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **standard** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **standard** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type std_community_expr: unicode
    :param std_community_expr: Keyword argument.

        * pattern restriction: ::

            '(\s*)|(\s*((local\-as)|(internet)|(no\-export)|('
            'no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4'
            '})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]['
            '0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9'
            ']{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-'
            '2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]['
            '0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429'
            '[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0'
            '-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]'
            '{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s'
            '+((local\-as)|(internet)|(no\-export)|(no\-adver'
            'tise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6['
            '0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|'
            '(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|'
            '(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9'
            ']{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|('
            '429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429'
            '49672[0-8][0-9])|(429496729[0-5])))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_community_list_holder.community_list.standard', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, std_community_expr=std_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, std_community_expr=std_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_dhcp_relay_information_update(self, option=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type option: YANGBool
    :param option: Configure DHCP Relay Information Option

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ip.dhcp.relay.information', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ip.dhcp.relay.information', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, option=option)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, option=option)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_dhcp_relay_information_option_update(self, option=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type option: YANGBool
    :param option: Configure DHCP Relay Information Option

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ip.dhcp.relay.information', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ip.dhcp.relay.information', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, option=option)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, option=option)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_dns_dom_name_update(self, domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type domain_name: unicode
    :param domain_name: Configure Domain Name

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.dns.dom_name', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.dns.dom_name', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.dns.dom_name', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.dns.dom_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.dns.dom_name', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_dns_domain_name_update(self, domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type domain_name: unicode
    :param domain_name: Configure Domain Name

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.dns.dom_name', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.dns.dom_name', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.dns.dom_name', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.dns.dom_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.dns.dom_name', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_extcommunity_list_update(self, extcommunity_list=None, ext_community_action=None, ext_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type extcommunity_list: extcommunity_list_num, ext_community_action, ext_community_expr
    :param extcommunity_list: Keyword argument tuple.

    :type extcommunity_list_num: int
    :param extcommunity_list_num: **extcommunity_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ext_community_action: unicode
    :param ext_community_action: **extcommunity_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_community_expr: unicode
    :param ext_community_expr: **extcommunity_list** tuple argument:  Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    **Instance Argument(s)**:

    :type ext_community_action: unicode
    :param ext_community_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_community_expr: unicode
    :param ext_community_expr: Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_expr'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.ip.hide_ext_community_list_holder.extcommunity_list": {}, "pybind.nos.v6_0_2c.ip.hide_ext_community_list_holder.extcommunity_list": {"ext_community_action": "ext_community_action", "ext_community_expr": "ext_community_expr", "extcommunity_list_num": "extcommunity_list_num"}, "pybind.nos.v7_0_1b.ip.hide_ext_community_list_holder.extcommunity_list": {"ext_community_action": "ext_community_action", "ext_community_expr": "ext_community_expr", "extcommunity_list_num": "extcommunity_list_num"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extcommunity_list=extcommunity_list, ext_community_action=ext_community_action, ext_community_expr=ext_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extcommunity_list=extcommunity_list, ext_community_action=ext_community_action, ext_community_expr=ext_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_extcommunity_list_ext_community_action_update(self, extcommunity_list=None, ext_community_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type extcommunity_list: extcommunity_list_num
    :param extcommunity_list: Keyword argument tuple.

    :type extcommunity_list_num: int
    :param extcommunity_list_num: **extcommunity_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ext_community_action: unicode
    :param ext_community_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extcommunity_list=extcommunity_list, ext_community_action=ext_community_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extcommunity_list=extcommunity_list, ext_community_action=ext_community_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_extcommunity_list_ext_community_expr_update(self, extcommunity_list=None, ext_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type extcommunity_list: extcommunity_list_num
    :param extcommunity_list: Keyword argument tuple.

    :type extcommunity_list_num: int
    :param extcommunity_list_num: **extcommunity_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ext_community_expr: unicode
    :param ext_community_expr: Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extcommunity_list=extcommunity_list, ext_community_expr=ext_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extcommunity_list=extcommunity_list, ext_community_expr=ext_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_extcommunity_list_ext_community_regex_update(self, extcommunity_list=None, ext_community_regex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type extcommunity_list: extcommunity_list_num
    :param extcommunity_list: Keyword argument tuple.

    :type extcommunity_list_num: int
    :param extcommunity_list_num: **extcommunity_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ext_community_regex: unicode
    :param ext_community_regex: Filter regular expression.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extcommunity_list=extcommunity_list, ext_community_regex=ext_community_regex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extcommunity_list=extcommunity_list, ext_community_regex=ext_community_regex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_extcommunity_list_standard_update(self, standard=None, ext_community_action=None, ext_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type standard: extcommunity_list_name, ext_community_action, ext_community_expr
    :param standard: Keyword argument tuple.

    :type extcommunity_list_name: unicode
    :param extcommunity_list_name: **standard** tuple argument.

    :type ext_community_action: unicode
    :param ext_community_action: **standard** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_community_expr: unicode
    :param ext_community_expr: **standard** tuple argument:  Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    **Instance Argument(s)**:

    :type ext_community_action: unicode
    :param ext_community_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_community_expr: unicode
    :param ext_community_expr: Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ip.hide_ext_community_list_holder.extcommunity_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_ext_community_list_holder.extcommunity_list.standard', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'extcommunity_list_name', 'extra_keyval': 'extcommunity_list_name, ext_community_action, ext_community_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, ext_community_action=ext_community_action, ext_community_expr=ext_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, ext_community_action=ext_community_action, ext_community_expr=ext_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_extcommunity_list_standard_ext_community_action_update(self, standard=None, ext_community_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type standard: extcommunity_list_name
    :param standard: Keyword argument tuple.

    :type extcommunity_list_name: unicode
    :param extcommunity_list_name: **standard** tuple argument.

    **Instance Argument(s)**:

    :type ext_community_action: unicode
    :param ext_community_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ip.hide_ext_community_list_holder.extcommunity_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_ext_community_list_holder.extcommunity_list.standard', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'extcommunity_list_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, ext_community_action=ext_community_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, ext_community_action=ext_community_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_extcommunity_list_standard_ext_community_expr_update(self, standard=None, ext_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type standard: extcommunity_list_name
    :param standard: Keyword argument tuple.

    :type extcommunity_list_name: unicode
    :param extcommunity_list_name: **standard** tuple argument.

    **Instance Argument(s)**:

    :type ext_community_expr: unicode
    :param ext_community_expr: Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ip.hide_ext_community_list_holder.extcommunity_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_ext_community_list_holder.extcommunity_list.standard', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'extcommunity_list_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, ext_community_expr=ext_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, ext_community_expr=ext_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_icmp_echo_update(self, broadcast_request=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type broadcast_request: YANGBool
    :param broadcast_request: Reply to broadcast ICMP echo packets.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ip.icmp.echo', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.icmp.echo', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, broadcast_request=broadcast_request)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, broadcast_request=broadcast_request)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_icmp_echo_broadcast_request_update(self, broadcast_request=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type broadcast_request: YANGBool
    :param broadcast_request: Reply to broadcast ICMP echo packets.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ip.icmp.echo', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.icmp.echo', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, broadcast_request=broadcast_request)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, broadcast_request=broadcast_request)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_igmp_update(self, router_alert_check_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type router_alert_check_disable: YANGBool
    :param router_alert_check_disable: RA option Disable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping.ip.igmp', 'pybind.slxos.v17r_1_00a.brocade_igmp_snooping', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.igmp_snooping.ip.igmp": {}, "pybind.nos.v7_0_1b.igmp_snooping.ip.igmp": {}, "pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp": {"router_alert_check_disable": "router_alert_check_disable"}, "pybind.nos.v6_0_2c.igmp_snooping.ip.igmp": {}, "pybind.slxos.v17r_1_00a.igmp_snooping.ip.igmp": {"router_alert_check_disable": "router_alert_check_disable"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_alert_check_disable=router_alert_check_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_alert_check_disable=router_alert_check_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_igmp_router_alert_check_disable_update(self, router_alert_check_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type router_alert_check_disable: YANGBool
    :param router_alert_check_disable: RA option Disable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping.ip.igmp', 'pybind.slxos.v17r_1_00a.brocade_igmp_snooping', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_alert_check_disable=router_alert_check_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_alert_check_disable=router_alert_check_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_igmp_snooping_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: IGMP Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v6_0_2c.brocade_igmp_snooping', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.igmp_snooping', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping.ip.igmp.igmp_snooping', 'pybind.slxos.v17r_1_00a.brocade_igmp_snooping', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.igmp_snooping.ip.igmp.snooping": {"enable": "enable"}, "pybind.slxos.v17r_1_00a.igmp_snooping.ip.igmp.igmp_snooping": {"enable": "igmps_enable"}, "pybind.nos.v7_1_0.igmp_snooping.ip": {}, "pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.igmp_snooping": {"enable": "igmps_enable"}, "pybind.nos.v7_0_1b.igmp_snooping.ip": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_igmp_snooping_2_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: IGMP Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v7_0_1b.brocade_igmp_snooping', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_igmp_snooping_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: IGMP Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v6_0_2c.brocade_igmp_snooping', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v7_0_1b.brocade_igmp_snooping', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.igmp_snooping', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping.ip.igmp.igmp_snooping', 'pybind.slxos.v17r_1_00a.brocade_igmp_snooping', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.igmp_snooping.ip.igmp.snooping": {"enable": "enable"}, "pybind.nos.v7_1_0.igmp_snooping.ip.igmp.snooping": {"enable": "enable"}, "pybind.slxos.v17r_1_00a.igmp_snooping.ip.igmp.igmp_snooping": {"enable": "igmps_enable"}, "pybind.nos.v7_0_1b.igmp_snooping.ip.igmp.snooping": {"enable": "enable"}, "pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.igmp_snooping": {"enable": "igmps_enable"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_igmp_ssm_map_update(self, igmps_ssmmap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type igmps_ssmmap: YANGBool
    :param igmps_ssmmap: Enables IGMPv2 SSM Mapping

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.ssm_map', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping.ip.igmp.ssm_map', 'pybind.slxos.v17r_1_00a.brocade_igmp_snooping', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmps_ssmmap=igmps_ssmmap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmps_ssmmap=igmps_ssmmap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_igmp_ssm_map_enable_update(self, igmps_ssmmap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type igmps_ssmmap: YANGBool
    :param igmps_ssmmap: Enables IGMPv2 SSM Mapping

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.ssm_map', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping.ip.igmp.ssm_map', 'pybind.slxos.v17r_1_00a.brocade_igmp_snooping', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, igmps_ssmmap=igmps_ssmmap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmps_ssmmap=igmps_ssmmap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_load_sharing_update(self, load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type load_sharing: long
    :param load_sharing: Enable IP load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, load_sharing=load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, load_sharing=load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_mtu_update(self, global_ip_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type global_ip_mtu: long
    :param global_ip_mtu: Set ip mtu value to all interfaces of this cluster

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.global_mtu_conf.ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.global_mtu_conf.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_ip_mtu=global_ip_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_ip_mtu=global_ip_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_pim_snooping_update(self, pimv4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pimv4_enable: YANGBool
    :param pimv4_enable: PIM Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.igmp_snooping.ip.pim.snooping', 'pybind.nos.v7_0_1b.brocade_igmp_snooping', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.igmp_snooping.ip.pim.snooping', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.pim.snooping', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping.ip.pim.snooping', 'pybind.slxos.v17r_1_00a.brocade_igmp_snooping', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pimv4_enable=pimv4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pimv4_enable=pimv4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_pim_snooping_enable_update(self, pimv4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pimv4_enable: YANGBool
    :param pimv4_enable: PIM Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.igmp_snooping.ip.pim.snooping', 'pybind.nos.v7_0_1b.brocade_igmp_snooping', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.igmp_snooping.ip.pim.snooping', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.pim.snooping', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.igmp_snooping.ip.pim.snooping', 'pybind.slxos.v17r_1_00a.brocade_igmp_snooping', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pimv4_enable=pimv4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pimv4_enable=pimv4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_prefix_list_update(self, prefix_list=None, action_ipp=None, prefix_ipp=None, ge_ipp=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type action_ipp: unicode
    :param action_ipp: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type prefix_ipp: unicode
    :param prefix_ipp: **prefix_list** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type ge_ipp: long
    :param ge_ipp: **prefix_list** tuple argument:  Minimum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: **prefix_list** tuple argument:  Maximum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_ipp: unicode
    :param action_ipp: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type prefix_ipp: unicode
    :param prefix_ipp: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type ge_ipp: long
    :param ge_ipp: Minimum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: Maximum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list=prefix_list, action_ipp=action_ipp, prefix_ipp=prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list=prefix_list, action_ipp=action_ipp, prefix_ipp=prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_prefix_list_action_ipp_update(self, prefix_list=None, action_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type action_ipp: unicode
    :param action_ipp: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list=prefix_list, action_ipp=action_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list=prefix_list, action_ipp=action_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_prefix_list_ge_update(self, prefix_list=None, ge_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ge_ipp: long
    :param ge_ipp: Minimum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list=prefix_list, ge_ipp=ge_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list=prefix_list, ge_ipp=ge_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_prefix_list_le_update(self, prefix_list=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type le_ipp: long
    :param le_ipp: Maximum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list=prefix_list, le_ipp=le_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list=prefix_list, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_prefix_list_prefix_ipp_update(self, prefix_list=None, prefix_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_ipp: unicode
    :param prefix_ipp: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list=prefix_list, prefix_ipp=prefix_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list=prefix_list, prefix_ipp=prefix_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_bfd_update(self, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type holdover_interval: int
    :param holdover_interval: Holdover interval

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.ip.rtm_config.route.static.bfd": {}, "pybind.nos.v7_0_1b.ip.rtm_config.route.static.bfd": {}, "pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd": {}, "pybind.slxos.v17r_1_00a.ip.rtm_config.route.static.bfd": {"holdover_interval": "holdover_interval"}, "pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd": {"holdover_interval": "holdover_interval"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_bfd_bfd_static_route_interval_update(self, bfd_static_route=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interval: int
    :param interval: Transmit interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v6_0_2c.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_static_route=bfd_static_route, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_static_route=bfd_static_route, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_bfd_bfd_static_route_min_rx_update(self, bfd_static_route=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_rx: int
    :param min_rx: Receive interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v6_0_2c.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_static_route=bfd_static_route, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_static_route=bfd_static_route, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_bfd_bfd_static_route_multiplier_update(self, bfd_static_route=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type multiplier: int
    :param multiplier: Multiplier value

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v6_0_2c.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_static_route=bfd_static_route, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_static_route=bfd_static_route, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_bfd_holdover_interval_update(self, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type holdover_interval: int
    :param holdover_interval: Holdover interval

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_route_nh_distance_update(self, static_route_nh=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_nh=static_route_nh, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_nh=static_route_nh, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_route_nh_metric_update(self, static_route_nh=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_nh=static_route_nh, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_nh=static_route_nh, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_route_nh_tag_update(self, static_route_nh=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_nh=static_route_nh, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_nh=static_route_nh, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_route_oif_distance_update(self, static_route_oif=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_oif=static_route_oif, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_oif=static_route_oif, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_route_oif_metric_update(self, static_route_oif=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_oif=static_route_oif, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_oif=static_route_oif, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_route_oif_tag_update(self, static_route_oif=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_oif=static_route_oif, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_oif=static_route_oif, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_router_id_update(self, router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type router_id: unicode
    :param router_id: Change the router ID already in use

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id=router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id=router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_rtm_config_update(self, router_id=None, load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type router_id: unicode
    :param router_id: Change the router ID already in use

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type load_sharing: long
    :param load_sharing: Enable IP load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ip.rtm_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id=router_id, load_sharing=load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id=router_id, load_sharing=load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_update(self, global_ipv6_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type global_ipv6_mtu: long
    :param global_ipv6_mtu: Set ipv6 mtu value to all interfaces of this cluster

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.global_mtu_conf.ipv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.global_mtu_conf.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.ipv6": {}, "pybind.nos.v7_0_1b.global_mtu_conf.ipv6": {"global_ipv6_mtu": "global_ipv6_mtu"}, "pybind.nos.v7_1_0.global_mtu_conf.ipv6": {"global_ipv6_mtu": "global_ipv6_mtu"}, "pybind.slxos.v17r_1_00a.ipv6": {}, "pybind.nos.v6_0_2c.ipv6": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_ipv6_mtu=global_ipv6_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_ipv6_mtu=global_ipv6_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_update(self, extended=None, seq=None, action=None, protocol_type=None, src_host_any_sip=None, src_host_ip=None, src_mask=None, sport=None, sport_number_eq_neq_tcp=None, sport_number_lt_tcp=None, sport_number_gt_tcp=None, sport_number_eq_neq_udp=None, sport_number_lt_udp=None, sport_number_gt_udp=None, sport_number_range_lower_tcp=None, sport_number_range_lower_udp=None, sport_number_range_higher_tcp=None, sport_number_range_higher_udp=None, dst_host_any_dip=None, dst_host_ip=None, dst_mask=None, dport=None, dport_number_eq_neq_tcp=None, dport_number_lt_tcp=None, dport_number_gt_tcp=None, dport_number_eq_neq_udp=None, dport_number_lt_udp=None, dport_number_gt_udp=None, dport_number_range_lower_tcp=None, dport_number_range_lower_udp=None, dport_number_range_higher_tcp=None, dport_number_range_higher_udp=None, dscp=None, urg=None, ack=None, push=None, fin=None, rst=None, sync=None, vlan=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type action: unicode
    :param action: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type protocol_type: unicode
    :param protocol_type: **seq** tuple argument.

        * enumeration restriction: ::

            ['udp', 'ipv6-icmp', 'tcp', 'ipv6']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: **seq** tuple argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: **seq** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type src_mask: unicode
    :param src_mask: **seq** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type sport: unicode
    :param sport: **seq** tuple argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type sport_number_eq_neq_tcp: unicode
    :param sport_number_eq_neq_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_lt_tcp: unicode
    :param sport_number_lt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_gt_tcp: unicode
    :param sport_number_gt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_eq_neq_udp: unicode
    :param sport_number_eq_neq_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_lt_udp: unicode
    :param sport_number_lt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_gt_udp: unicode
    :param sport_number_gt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_lower_tcp: unicode
    :param sport_number_range_lower_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_lower_udp: unicode
    :param sport_number_range_lower_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_higher_tcp: unicode
    :param sport_number_range_higher_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_higher_udp: unicode
    :param sport_number_range_higher_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dst_host_any_dip: unicode
    :param dst_host_any_dip: **seq** tuple argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type dst_host_ip: unicode
    :param dst_host_ip: **seq** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type dst_mask: unicode
    :param dst_mask: **seq** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type dport: unicode
    :param dport: **seq** tuple argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type dport_number_eq_neq_tcp: unicode
    :param dport_number_eq_neq_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_lt_tcp: unicode
    :param dport_number_lt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_gt_tcp: unicode
    :param dport_number_gt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_eq_neq_udp: unicode
    :param dport_number_eq_neq_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_lt_udp: unicode
    :param dport_number_lt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_gt_udp: unicode
    :param dport_number_gt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_lower_tcp: unicode
    :param dport_number_range_lower_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_lower_udp: unicode
    :param dport_number_range_lower_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_higher_tcp: unicode
    :param dport_number_range_higher_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_higher_udp: unicode
    :param dport_number_range_higher_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dscp: unicode
    :param dscp: **seq** tuple argument:  Differentiated Service Code Point

        * enumeration restriction: ::

            ['af23',
            'af22',
            'af21',
            'af33',
            'af41',
            'af43',
            'af31',
            'default',
            'af42',
            'af12',
            'af32',
            'af13',
            'cs6',
            'cs2',
            'cs5',
            'cs4',
            'cs7',
            'af11',
            'cs1',
            'cs3',
            'ef']

    :type urg: YANGBool
    :param urg: **seq** tuple argument:  Urgent

    :type ack: YANGBool
    :param ack: **seq** tuple argument:  Acknowledgement

    :type push: YANGBool
    :param push: **seq** tuple argument:  Push

    :type fin: YANGBool
    :param fin: **seq** tuple argument:  No more data

    :type rst: YANGBool
    :param rst: **seq** tuple argument:  Reset connection

    :type sync: YANGBool
    :param sync: **seq** tuple argument:  Synchronize

    :type vlan: long
    :param vlan: **seq** tuple argument:  Vlan

        * range restriction: ::

            ['0..4294967295']

    :type count: YANGBool
    :param count: **seq** tuple argument:  Packet Count

    :type log: YANGBool
    :param log: **seq** tuple argument:  Log Packet

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type protocol_type: unicode
    :param protocol_type: Keyword argument.

        * enumeration restriction: ::

            ['udp', 'ipv6-icmp', 'tcp', 'ipv6']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type src_mask: unicode
    :param src_mask: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type sport: unicode
    :param sport: Keyword argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type sport_number_eq_neq_tcp: unicode
    :param sport_number_eq_neq_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_lt_tcp: unicode
    :param sport_number_lt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_gt_tcp: unicode
    :param sport_number_gt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_eq_neq_udp: unicode
    :param sport_number_eq_neq_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_lt_udp: unicode
    :param sport_number_lt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_gt_udp: unicode
    :param sport_number_gt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_lower_tcp: unicode
    :param sport_number_range_lower_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_lower_udp: unicode
    :param sport_number_range_lower_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_higher_tcp: unicode
    :param sport_number_range_higher_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_higher_udp: unicode
    :param sport_number_range_higher_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dst_host_any_dip: unicode
    :param dst_host_any_dip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type dst_host_ip: unicode
    :param dst_host_ip: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type dst_mask: unicode
    :param dst_mask: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type dport: unicode
    :param dport: Keyword argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type dport_number_eq_neq_tcp: unicode
    :param dport_number_eq_neq_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_lt_tcp: unicode
    :param dport_number_lt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_gt_tcp: unicode
    :param dport_number_gt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_eq_neq_udp: unicode
    :param dport_number_eq_neq_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_lt_udp: unicode
    :param dport_number_lt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_gt_udp: unicode
    :param dport_number_gt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_lower_tcp: unicode
    :param dport_number_range_lower_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_lower_udp: unicode
    :param dport_number_range_lower_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_higher_tcp: unicode
    :param dport_number_range_higher_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_higher_udp: unicode
    :param dport_number_range_higher_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dscp: unicode
    :param dscp: Differentiated Service Code Point

        * enumeration restriction: ::

            ['af23',
            'af22',
            'af21',
            'af33',
            'af41',
            'af43',
            'af31',
            'default',
            'af42',
            'af12',
            'af32',
            'af13',
            'cs6',
            'cs2',
            'cs5',
            'cs4',
            'cs7',
            'af11',
            'cs1',
            'cs3',
            'ef']

    :type urg: YANGBool
    :param urg: Urgent

    :type ack: YANGBool
    :param ack: Acknowledgement

    :type push: YANGBool
    :param push: Push

    :type fin: YANGBool
    :param fin: No more data

    :type rst: YANGBool
    :param rst: Reset connection

    :type sync: YANGBool
    :param sync: Synchronize

    :type vlan: long
    :param vlan: Vlan

        * range restriction: ::

            ['0..4294967295']

    :type count: YANGBool
    :param count: Packet Count

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq": {"dport_number_range_higher_udp": "dport_number_range_higher_udp", "sport_number_range_lower_tcp": "sport_number_range_lower_tcp", "push": "push", "sport_number_eq_neq_udp": "sport_number_eq_neq_udp", "sport_number_range_higher_tcp": "sport_number_range_higher_tcp", "sync": "sync", "sport": "sport", "src_mask": "src_mask", "dport_number_lt_udp": "dport_number_lt_udp", "sport_number_range_lower_udp": "sport_number_range_lower_udp", "log": "log", "seq_id": "seq_id", "dport_number_range_lower_tcp": "dport_number_range_lower_tcp", "dport_number_eq_neq_udp": "dport_number_eq_neq_udp", "src_host_ip": "src_host_ip", "sport_number_lt_tcp": "sport_number_lt_tcp", "sport_number_gt_tcp": "sport_number_gt_tcp", "dport_number_gt_udp": "dport_number_gt_udp", "fin": "fin", "dport_number_gt_tcp": "dport_number_gt_tcp", "vlan": "vlan", "dport_number_range_higher_tcp": "dport_number_range_higher_tcp", "sport_number_eq_neq_tcp": "sport_number_eq_neq_tcp", "dscp": "dscp", "sport_number_range_higher_udp": "sport_number_range_higher_udp", "action": "action", "dst_host_ip": "dst_host_ip", "rst": "rst", "dst_mask": "dst_mask", "protocol_type": "protocol_type", "count": "count", "urg": "urg", "dport_number_lt_tcp": "dport_number_lt_tcp", "ack": "ack", "dport_number_eq_neq_tcp": "dport_number_eq_neq_tcp", "dport_number_range_lower_udp": "dport_number_range_lower_udp", "dport": "dport", "src_host_any_sip": "src_host_any_sip", "dst_host_any_dip": "dst_host_any_dip", "sport_number_lt_udp": "sport_number_lt_udp", "sport_number_gt_udp": "sport_number_gt_udp"}, "pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq": {}, "pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq": {"dport_number_range_higher_udp": "dport_number_range_higher_udp", "sport_number_range_lower_tcp": "sport_number_range_lower_tcp", "push": "push", "sport_number_eq_neq_udp": "sport_number_eq_neq_udp", "sport_number_range_higher_tcp": "sport_number_range_higher_tcp", "sync": "sync", "sport": "sport", "src_mask": "src_mask", "dport_number_lt_udp": "dport_number_lt_udp", "sport_number_range_lower_udp": "sport_number_range_lower_udp", "log": "log", "seq_id": "seq_id", "dport_number_range_lower_tcp": "dport_number_range_lower_tcp", "dport_number_eq_neq_udp": "dport_number_eq_neq_udp", "src_host_ip": "src_host_ip", "sport_number_lt_tcp": "sport_number_lt_tcp", "sport_number_gt_tcp": "sport_number_gt_tcp", "dport_number_gt_udp": "dport_number_gt_udp", "fin": "fin", "dport_number_gt_tcp": "dport_number_gt_tcp", "vlan": "vlan", "dport_number_range_higher_tcp": "dport_number_range_higher_tcp", "sport_number_eq_neq_tcp": "sport_number_eq_neq_tcp", "dscp": "dscp", "sport_number_range_higher_udp": "sport_number_range_higher_udp", "action": "action", "dst_host_ip": "dst_host_ip", "rst": "rst", "dst_mask": "dst_mask", "protocol_type": "protocol_type", "count": "count", "urg": "urg", "dport_number_lt_tcp": "dport_number_lt_tcp", "ack": "ack", "dport_number_eq_neq_tcp": "dport_number_eq_neq_tcp", "dport_number_range_lower_udp": "dport_number_range_lower_udp", "dport": "dport", "src_host_any_sip": "src_host_any_sip", "dst_host_any_dip": "dst_host_any_dip", "sport_number_lt_udp": "sport_number_lt_udp", "sport_number_gt_udp": "sport_number_gt_udp"}, "pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq": {"dport_number_range_higher_udp": "dport_number_range_higher_udp", "sport_number_range_lower_tcp": "sport_number_range_lower_tcp", "push": "push", "sport_number_eq_neq_udp": "sport_number_eq_neq_udp", "sport_number_range_higher_tcp": "sport_number_range_higher_tcp", "sync": "sync", "sport": "sport", "src_mask": "src_mask", "dport_number_lt_udp": "dport_number_lt_udp", "sport_number_range_lower_udp": "sport_number_range_lower_udp", "log": "log", "seq_id": "seq_id", "dport_number_range_lower_tcp": "dport_number_range_lower_tcp", "dport_number_eq_neq_udp": "dport_number_eq_neq_udp", "src_host_ip": "src_host_ip", "sport_number_lt_tcp": "sport_number_lt_tcp", "sport_number_gt_tcp": "sport_number_gt_tcp", "dport_number_gt_udp": "dport_number_gt_udp", "fin": "fin", "dport_number_gt_tcp": "dport_number_gt_tcp", "vlan": "vlan", "dport_number_range_higher_tcp": "dport_number_range_higher_tcp", "sport_number_eq_neq_tcp": "sport_number_eq_neq_tcp", "dscp": "dscp", "sport_number_range_higher_udp": "sport_number_range_higher_udp", "action": "action", "dst_host_ip": "dst_host_ip", "rst": "rst", "dst_mask": "dst_mask", "protocol_type": "protocol_type", "count": "count", "urg": "urg", "dport_number_lt_tcp": "dport_number_lt_tcp", "ack": "ack", "dport_number_eq_neq_tcp": "dport_number_eq_neq_tcp", "dport_number_range_lower_udp": "dport_number_range_lower_udp", "dport": "dport", "src_host_any_sip": "src_host_any_sip", "dst_host_any_dip": "dst_host_any_dip", "sport_number_lt_udp": "sport_number_lt_udp", "sport_number_gt_udp": "sport_number_gt_udp"}, "pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, action=action, protocol_type=protocol_type, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, sport=sport, sport_number_eq_neq_tcp=sport_number_eq_neq_tcp, sport_number_lt_tcp=sport_number_lt_tcp, sport_number_gt_tcp=sport_number_gt_tcp, sport_number_eq_neq_udp=sport_number_eq_neq_udp, sport_number_lt_udp=sport_number_lt_udp, sport_number_gt_udp=sport_number_gt_udp, sport_number_range_lower_tcp=sport_number_range_lower_tcp, sport_number_range_lower_udp=sport_number_range_lower_udp, sport_number_range_higher_tcp=sport_number_range_higher_tcp, sport_number_range_higher_udp=sport_number_range_higher_udp, dst_host_any_dip=dst_host_any_dip, dst_host_ip=dst_host_ip, dst_mask=dst_mask, dport=dport, dport_number_eq_neq_tcp=dport_number_eq_neq_tcp, dport_number_lt_tcp=dport_number_lt_tcp, dport_number_gt_tcp=dport_number_gt_tcp, dport_number_eq_neq_udp=dport_number_eq_neq_udp, dport_number_lt_udp=dport_number_lt_udp, dport_number_gt_udp=dport_number_gt_udp, dport_number_range_lower_tcp=dport_number_range_lower_tcp, dport_number_range_lower_udp=dport_number_range_lower_udp, dport_number_range_higher_tcp=dport_number_range_higher_tcp, dport_number_range_higher_udp=dport_number_range_higher_udp, dscp=dscp, urg=urg, ack=ack, push=push, fin=fin, rst=rst, sync=sync, vlan=vlan, count=count, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, action=action, protocol_type=protocol_type, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, sport=sport, sport_number_eq_neq_tcp=sport_number_eq_neq_tcp, sport_number_lt_tcp=sport_number_lt_tcp, sport_number_gt_tcp=sport_number_gt_tcp, sport_number_eq_neq_udp=sport_number_eq_neq_udp, sport_number_lt_udp=sport_number_lt_udp, sport_number_gt_udp=sport_number_gt_udp, sport_number_range_lower_tcp=sport_number_range_lower_tcp, sport_number_range_lower_udp=sport_number_range_lower_udp, sport_number_range_higher_tcp=sport_number_range_higher_tcp, sport_number_range_higher_udp=sport_number_range_higher_udp, dst_host_any_dip=dst_host_any_dip, dst_host_ip=dst_host_ip, dst_mask=dst_mask, dport=dport, dport_number_eq_neq_tcp=dport_number_eq_neq_tcp, dport_number_lt_tcp=dport_number_lt_tcp, dport_number_gt_tcp=dport_number_gt_tcp, dport_number_eq_neq_udp=dport_number_eq_neq_udp, dport_number_lt_udp=dport_number_lt_udp, dport_number_gt_udp=dport_number_gt_udp, dport_number_range_lower_tcp=dport_number_range_lower_tcp, dport_number_range_lower_udp=dport_number_range_lower_udp, dport_number_range_higher_tcp=dport_number_range_higher_tcp, dport_number_range_higher_udp=dport_number_range_higher_udp, dscp=dscp, urg=urg, ack=ack, push=push, fin=fin, rst=rst, sync=sync, vlan=vlan, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_ack_update(self, extended=None, seq=None, ack=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type ack: YANGBool
    :param ack: Acknowledgement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, ack=ack)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, ack=ack)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_action_update(self, extended=None, seq=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_copy_sflow_update(self, extended=None, seq=None, copy_sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type copy_sflow: YANGBool
    :param copy_sflow: Copy to Sflow Collector

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, copy_sflow=copy_sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, copy_sflow=copy_sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_count_update(self, extended=None, seq=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type count: YANGBool
    :param count: Packet Count

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dport_update(self, extended=None, seq=None, dport=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport: unicode
    :param dport: Keyword argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport=dport)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport=dport)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dport_number_eq_neq_tcp_update(self, extended=None, seq=None, dport_number_eq_neq_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_eq_neq_tcp: unicode
    :param dport_number_eq_neq_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_eq_neq_tcp=dport_number_eq_neq_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_eq_neq_tcp=dport_number_eq_neq_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dport_number_eq_neq_udp_update(self, extended=None, seq=None, dport_number_eq_neq_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_eq_neq_udp: unicode
    :param dport_number_eq_neq_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_eq_neq_udp=dport_number_eq_neq_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_eq_neq_udp=dport_number_eq_neq_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dport_number_gt_tcp_update(self, extended=None, seq=None, dport_number_gt_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_gt_tcp: unicode
    :param dport_number_gt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_gt_tcp=dport_number_gt_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_gt_tcp=dport_number_gt_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dport_number_gt_udp_update(self, extended=None, seq=None, dport_number_gt_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_gt_udp: unicode
    :param dport_number_gt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_gt_udp=dport_number_gt_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_gt_udp=dport_number_gt_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dport_number_lt_tcp_update(self, extended=None, seq=None, dport_number_lt_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_lt_tcp: unicode
    :param dport_number_lt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_lt_tcp=dport_number_lt_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_lt_tcp=dport_number_lt_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dport_number_lt_udp_update(self, extended=None, seq=None, dport_number_lt_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_lt_udp: unicode
    :param dport_number_lt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_lt_udp=dport_number_lt_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_lt_udp=dport_number_lt_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dport_number_range_higher_tcp_update(self, extended=None, seq=None, dport_number_range_higher_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_range_higher_tcp: unicode
    :param dport_number_range_higher_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_range_higher_tcp=dport_number_range_higher_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_range_higher_tcp=dport_number_range_higher_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dport_number_range_higher_udp_update(self, extended=None, seq=None, dport_number_range_higher_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_range_higher_udp: unicode
    :param dport_number_range_higher_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_range_higher_udp=dport_number_range_higher_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_range_higher_udp=dport_number_range_higher_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dport_number_range_lower_tcp_update(self, extended=None, seq=None, dport_number_range_lower_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_range_lower_tcp: unicode
    :param dport_number_range_lower_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_range_lower_tcp=dport_number_range_lower_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_range_lower_tcp=dport_number_range_lower_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dport_number_range_lower_udp_update(self, extended=None, seq=None, dport_number_range_lower_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dport_number_range_lower_udp: unicode
    :param dport_number_range_lower_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dport_number_range_lower_udp=dport_number_range_lower_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dport_number_range_lower_udp=dport_number_range_lower_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_drop_precedence_force_update(self, extended=None, seq=None, drop_precedence_force=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type drop_precedence_force: long
    :param drop_precedence_force: Force drop precedence

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, drop_precedence_force=drop_precedence_force)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, drop_precedence_force=drop_precedence_force)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dscp_update(self, extended=None, seq=None, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dscp: unicode
    :param dscp: Differentiated Service Code Point

        * enumeration restriction: ::

            ['af23',
            'af22',
            'af21',
            'af33',
            'af41',
            'af43',
            'af31',
            'default',
            'af42',
            'af12',
            'af32',
            'af13',
            'cs6',
            'cs2',
            'cs5',
            'cs4',
            'cs7',
            'af11',
            'cs1',
            'cs3',
            'ef']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dscp=dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dscp_force_update(self, extended=None, seq=None, dscp_force=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dscp_force: long
    :param dscp_force: Force outgoing packet dscp

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dscp_force=dscp_force)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dscp_force=dscp_force)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dst_host_any_dip_update(self, extended=None, seq=None, dst_host_any_dip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dst_host_any_dip: unicode
    :param dst_host_any_dip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dst_host_any_dip=dst_host_any_dip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dst_host_any_dip=dst_host_any_dip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dst_host_ip_update(self, extended=None, seq=None, dst_host_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dst_host_ip: unicode
    :param dst_host_ip: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dst_host_ip=dst_host_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dst_host_ip=dst_host_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_dst_mask_update(self, extended=None, seq=None, dst_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dst_mask: unicode
    :param dst_mask: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dst_mask=dst_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dst_mask=dst_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_fin_update(self, extended=None, seq=None, fin=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type fin: YANGBool
    :param fin: No more data

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, fin=fin)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, fin=fin)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_log_update(self, extended=None, seq=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_mirror_update(self, extended=None, seq=None, mirror=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type mirror: YANGBool
    :param mirror: Mirror packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, mirror=mirror)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, mirror=mirror)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_protocol_type_update(self, extended=None, seq=None, protocol_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type protocol_type: unicode
    :param protocol_type: Keyword argument.

        * enumeration restriction: ::

            ['udp', 'ipv6-icmp', 'tcp', 'ipv6']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, protocol_type=protocol_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, protocol_type=protocol_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_push_update(self, extended=None, seq=None, push=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type push: YANGBool
    :param push: Push

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, push=push)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, push=push)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_rst_update(self, extended=None, seq=None, rst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type rst: YANGBool
    :param rst: Reset connection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, rst=rst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, rst=rst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_sport_update(self, extended=None, seq=None, sport=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport: unicode
    :param sport: Keyword argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport=sport)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport=sport)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_sport_number_eq_neq_tcp_update(self, extended=None, seq=None, sport_number_eq_neq_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_eq_neq_tcp: unicode
    :param sport_number_eq_neq_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_eq_neq_tcp=sport_number_eq_neq_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_eq_neq_tcp=sport_number_eq_neq_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_sport_number_eq_neq_udp_update(self, extended=None, seq=None, sport_number_eq_neq_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_eq_neq_udp: unicode
    :param sport_number_eq_neq_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_eq_neq_udp=sport_number_eq_neq_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_eq_neq_udp=sport_number_eq_neq_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_sport_number_gt_tcp_update(self, extended=None, seq=None, sport_number_gt_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_gt_tcp: unicode
    :param sport_number_gt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_gt_tcp=sport_number_gt_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_gt_tcp=sport_number_gt_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_sport_number_gt_udp_update(self, extended=None, seq=None, sport_number_gt_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_gt_udp: unicode
    :param sport_number_gt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_gt_udp=sport_number_gt_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_gt_udp=sport_number_gt_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_sport_number_lt_tcp_update(self, extended=None, seq=None, sport_number_lt_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_lt_tcp: unicode
    :param sport_number_lt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_lt_tcp=sport_number_lt_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_lt_tcp=sport_number_lt_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_sport_number_lt_udp_update(self, extended=None, seq=None, sport_number_lt_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_lt_udp: unicode
    :param sport_number_lt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_lt_udp=sport_number_lt_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_lt_udp=sport_number_lt_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_sport_number_range_higher_tcp_update(self, extended=None, seq=None, sport_number_range_higher_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_range_higher_tcp: unicode
    :param sport_number_range_higher_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_range_higher_tcp=sport_number_range_higher_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_range_higher_tcp=sport_number_range_higher_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_sport_number_range_higher_udp_update(self, extended=None, seq=None, sport_number_range_higher_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_range_higher_udp: unicode
    :param sport_number_range_higher_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_range_higher_udp=sport_number_range_higher_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_range_higher_udp=sport_number_range_higher_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_sport_number_range_lower_tcp_update(self, extended=None, seq=None, sport_number_range_lower_tcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_range_lower_tcp: unicode
    :param sport_number_range_lower_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_range_lower_tcp=sport_number_range_lower_tcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_range_lower_tcp=sport_number_range_lower_tcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_sport_number_range_lower_udp_update(self, extended=None, seq=None, sport_number_range_lower_udp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sport_number_range_lower_udp: unicode
    :param sport_number_range_lower_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sport_number_range_lower_udp=sport_number_range_lower_udp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sport_number_range_lower_udp=sport_number_range_lower_udp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_src_host_any_sip_update(self, extended=None, seq=None, src_host_any_sip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_host_any_sip: unicode
    :param src_host_any_sip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, src_host_any_sip=src_host_any_sip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, src_host_any_sip=src_host_any_sip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_src_host_ip_update(self, extended=None, seq=None, src_host_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_host_ip: unicode
    :param src_host_ip: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, src_host_ip=src_host_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, src_host_ip=src_host_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_src_mask_update(self, extended=None, seq=None, src_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_mask: unicode
    :param src_mask: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, src_mask=src_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, src_mask=src_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_sync_update(self, extended=None, seq=None, sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type sync: YANGBool
    :param sync: Synchronize

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, sync=sync)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, sync=sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_urg_update(self, extended=None, seq=None, urg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type urg: YANGBool
    :param urg: Urgent

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, urg=urg)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, urg=urg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_vlan_update(self, extended=None, seq=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_standard_seq_update(self, standard=None, seq=None, action=None, src_host_any_sip=None, src_host_ip=None, src_mask=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type action: unicode
    :param action: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: **seq** tuple argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: **seq** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type src_mask: unicode
    :param src_mask: **seq** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type count: YANGBool
    :param count: **seq** tuple argument:  Packet count

    :type log: YANGBool
    :param log: **seq** tuple argument:  Log Packet

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type src_mask: unicode
    :param src_mask: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type count: YANGBool
    :param count: Packet count

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard.seq": {}, "pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq": {}, "pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq": {"count": "count", "log": "log", "seq_id": "seq_id", "src_host_ip": "src_host_ip", "action": "action", "src_host_any_sip": "src_host_any_sip", "src_mask": "src_mask"}, "pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard.seq": {"count": "count", "log": "log", "seq_id": "seq_id", "src_host_ip": "src_host_ip", "action": "action", "src_host_any_sip": "src_host_any_sip", "src_mask": "src_mask"}, "pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard.seq": {"count": "count", "log": "log", "seq_id": "seq_id", "src_host_ip": "src_host_ip", "action": "action", "src_host_any_sip": "src_host_any_sip", "src_mask": "src_mask"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, action=action, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, count=count, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, action=action, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_standard_seq_action_update(self, standard=None, seq=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_standard_seq_copy_sflow_update(self, standard=None, seq=None, copy_sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type copy_sflow: YANGBool
    :param copy_sflow: Copy to Sflow Collector

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, copy_sflow=copy_sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, copy_sflow=copy_sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_standard_seq_count_update(self, standard=None, seq=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type count: YANGBool
    :param count: Packet count

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_standard_seq_log_update(self, standard=None, seq=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_standard_seq_src_host_any_sip_update(self, standard=None, seq=None, src_host_any_sip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_host_any_sip: unicode
    :param src_host_any_sip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, src_host_any_sip=src_host_any_sip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, src_host_any_sip=src_host_any_sip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_standard_seq_src_host_ip_update(self, standard=None, seq=None, src_host_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_host_ip: unicode
    :param src_host_ip: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, src_host_ip=src_host_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, src_host_ip=src_host_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_standard_seq_src_mask_update(self, standard=None, seq=None, src_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_mask: unicode
    :param src_mask: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_ipv6_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, src_mask=src_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, src_mask=src_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_mld_snooping_2_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: MLD Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v6_0_2c.brocade_mld_snooping', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v7_0_1b.brocade_mld_snooping', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6.mld.snooping', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mld_snooping.ipv6.mld.snooping', 'pybind.slxos.v17r_1_00a.brocade_mld_snooping', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_mld_snooping_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: MLD Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v6_0_2c.brocade_mld_snooping', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v7_0_1b.brocade_mld_snooping', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6.mld.snooping', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mld_snooping.ipv6.mld.snooping', 'pybind.slxos.v17r_1_00a.brocade_mld_snooping', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_mtu_update(self, global_ipv6_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type global_ipv6_mtu: long
    :param global_ipv6_mtu: Set ipv6 mtu value to all interfaces of this cluster

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.global_mtu_conf.ipv6', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.global_mtu_conf.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_ipv6_mtu=global_ipv6_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_ipv6_mtu=global_ipv6_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_nd_update(self, global_suppress_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type global_suppress_ra: YANGBool
    :param global_suppress_ra: Set Globally suppress-ra

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.ipv6_global_cmds.nd_global', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_suppress_ra=global_suppress_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_suppress_ra=global_suppress_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_nd_dad_update(self, global_dad_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type global_dad_time: long
    :param global_dad_time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_dad_time=global_dad_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_dad_time=global_dad_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_nd_dad_time_update(self, global_dad_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type global_dad_time: long
    :param global_dad_time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_dad_time=global_dad_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_dad_time=global_dad_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_nd_global_suppress_ra_update(self, global_suppress_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type global_suppress_ra: YANGBool
    :param global_suppress_ra: Set Globally suppress-ra

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.ipv6_global_cmds.nd_global', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_suppress_ra=global_suppress_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_suppress_ra=global_suppress_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_nd_ra_dns_server_update(self, dns_server_global=None, dns_server_lifetime_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dns_server_global: dns_server_prefix_global
    :param dns_server_global: Keyword argument tuple.

    :type dns_server_prefix_global: unicode
    :param dns_server_prefix_global: **dns_server_global** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type dns_server_lifetime_global: long
    :param dns_server_lifetime_global: Lifetime multiplier for the Recursive DNS Server option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dns_server_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.ipv6_global_cmds.nd_global.dns_server_global', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dns_server_global', 'keyval': 'dns_server_prefix_global', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dns_server_global=dns_server_global, dns_server_lifetime_global=dns_server_lifetime_global)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dns_server_global=dns_server_global, dns_server_lifetime_global=dns_server_lifetime_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_nd_ra_dns_server_lifetime_multiplier_update(self, dns_server_global=None, dns_server_lifetime_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dns_server_global: dns_server_prefix_global
    :param dns_server_global: Keyword argument tuple.

    :type dns_server_prefix_global: unicode
    :param dns_server_prefix_global: **dns_server_global** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type dns_server_lifetime_global: long
    :param dns_server_lifetime_global: Lifetime multiplier for the Recursive DNS Server option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dns_server_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.ipv6_global_cmds.nd_global.dns_server_global', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dns_server_global', 'keyval': 'dns_server_prefix_global', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dns_server_global=dns_server_global, dns_server_lifetime_global=dns_server_lifetime_global)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dns_server_global=dns_server_global, dns_server_lifetime_global=dns_server_lifetime_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_nd_ra_domain_name_update(self, domain_name_global=None, domain_name_lifetime_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type domain_name_global: domain_name_string_global
    :param domain_name_global: Keyword argument tuple.

    :type domain_name_string_global: unicode
    :param domain_name_string_global: **domain_name_global** tuple argument.

    **Instance Argument(s)**:

    :type domain_name_lifetime_global: long
    :param domain_name_lifetime_global: Lifetime multiplier for DNS Search List option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.domain_name_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.ipv6_global_cmds.nd_global.domain_name_global', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain_name_global', 'keyval': 'domain_name_string_global', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name_global=domain_name_global, domain_name_lifetime_global=domain_name_lifetime_global)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name_global=domain_name_global, domain_name_lifetime_global=domain_name_lifetime_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_nd_ra_domain_name_lifetime_multiplier_update(self, domain_name_global=None, domain_name_lifetime_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type domain_name_global: domain_name_string_global
    :param domain_name_global: Keyword argument tuple.

    :type domain_name_string_global: unicode
    :param domain_name_string_global: **domain_name_global** tuple argument.

    **Instance Argument(s)**:

    :type domain_name_lifetime_global: long
    :param domain_name_lifetime_global: Lifetime multiplier for DNS Search List option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.domain_name_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.ipv6_global_cmds.nd_global.domain_name_global', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain_name_global', 'keyval': 'domain_name_string_global', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name_global=domain_name_global, domain_name_lifetime_global=domain_name_lifetime_global)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name_global=domain_name_global, domain_name_lifetime_global=domain_name_lifetime_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_pim_snooping_update(self, pimv6_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pimv6_enable: YANGBool
    :param pimv6_enable: PIM Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.mld_snooping.ipv6.pim.snooping', 'pybind.nos.v7_0_1b.brocade_mld_snooping', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mld_snooping.ipv6.pim.snooping', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6.pim.snooping', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mld_snooping.ipv6.pim.snooping', 'pybind.slxos.v17r_1_00a.brocade_mld_snooping', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pimv6_enable=pimv6_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pimv6_enable=pimv6_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_pim_snooping_enable_update(self, pimv6_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pimv6_enable: YANGBool
    :param pimv6_enable: PIM Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.mld_snooping.ipv6.pim.snooping', 'pybind.nos.v7_0_1b.brocade_mld_snooping', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mld_snooping.ipv6.pim.snooping', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6.pim.snooping', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mld_snooping.ipv6.pim.snooping', 'pybind.slxos.v17r_1_00a.brocade_mld_snooping', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pimv6_enable=pimv6_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pimv6_enable=pimv6_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_prefix_list_update(self, prefix_list=None, action_ipp=None, ipv6_prefix_ipp=None, ge_ipp=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type action_ipp: unicode
    :param action_ipp: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ipv6_prefix_ipp: unicode
    :param ipv6_prefix_ipp: **prefix_list** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type ge_ipp: long
    :param ge_ipp: **prefix_list** tuple argument:  Minimum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: **prefix_list** tuple argument:  Maximum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_ipp: unicode
    :param action_ipp: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ipv6_prefix_ipp: unicode
    :param ipv6_prefix_ipp: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type ge_ipp: long
    :param ge_ipp: Minimum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: Maximum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.prefix_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list=prefix_list, action_ipp=action_ipp, ipv6_prefix_ipp=ipv6_prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list=prefix_list, action_ipp=action_ipp, ipv6_prefix_ipp=ipv6_prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_prefix_list_action_ipp_update(self, prefix_list=None, action_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type action_ipp: unicode
    :param action_ipp: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.prefix_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list=prefix_list, action_ipp=action_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list=prefix_list, action_ipp=action_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_prefix_list_ge_update(self, prefix_list=None, ge_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ge_ipp: long
    :param ge_ipp: Minimum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.prefix_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list=prefix_list, ge_ipp=ge_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list=prefix_list, ge_ipp=ge_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_prefix_list_ipv6_prefix_ipp_update(self, prefix_list=None, ipv6_prefix_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_ipp: unicode
    :param ipv6_prefix_ipp: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.prefix_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list=prefix_list, ipv6_prefix_ipp=ipv6_prefix_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list=prefix_list, ipv6_prefix_ipp=ipv6_prefix_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_prefix_list_le_update(self, prefix_list=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type le_ipp: long
    :param le_ipp: Maximum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.prefix_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list=prefix_list, le_ipp=le_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list=prefix_list, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_protocol_update(self, vrrp=None, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vrrp: YANGBool
    :param vrrp: Virtual Router Redundacy Protocol IPv6 (VRRPv3)

    :type vrrp_extended: YANGBool
    :param vrrp_extended: Virtual Router Redundacy Protocol IPv6 Extended (VRRPv3-E)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.proto_vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.proto_vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrrp=vrrp, vrrp_extended=vrrp_extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrrp=vrrp, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_protocol_vrrp_update(self, vrrp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vrrp: YANGBool
    :param vrrp: Virtual Router Redundacy Protocol IPv6 (VRRPv3)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.proto_vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.proto_vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrrp=vrrp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrrp=vrrp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_protocol_vrrp_extended_update(self, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vrrp_extended: YANGBool
    :param vrrp_extended: Virtual Router Redundacy Protocol IPv6 Extended (VRRPv3-E)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.proto_vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.proto_vrrpv3', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrrp_extended=vrrp_extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_update(self, route=None, next_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: dest
    :param route: Keyword argument tuple.

    :type dest: unicode
    :param dest: **route** tuple argument:  IPv6Address/prefix.;; Destination IPv6 address-prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type next_hop: unicode
    :param next_hop: IPv6 address.;; Next hop IPv6 address. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ipv6.ipv6route.route', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6.ipv6route.route', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.ipv6route.route', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'dest', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.ipv6.ipv6route.route': [u'next_hop'], 'pybind.nos.v7_1_0.ipv6.ipv6route.route': [u'next_hop'], 'pybind.nos.v6_0_2c.ipv6.ipv6route.route': [u'next_hop'], 'pybind.slxos.v17r_1_00a.ipv6.ipv6route.route': [u'next_hop'], 'pybind.slxos.v16r_1_00b.ipv6.ipv6route.route': [u'next_hop']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, next_hop=next_hop)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, next_hop=next_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_link_local_static_route_nh_distance_update(self, link_local_static_route_nh=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'management', 'null', 've']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link_local_static_route_nh=link_local_static_route_nh, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link_local_static_route_nh=link_local_static_route_nh, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_link_local_static_route_nh_metric_update(self, link_local_static_route_nh=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'management', 'null', 've']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link_local_static_route_nh=link_local_static_route_nh, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link_local_static_route_nh=link_local_static_route_nh, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_link_local_static_route_nh_tag_update(self, link_local_static_route_nh=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'management', 'null', 've']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link_local_static_route_nh=link_local_static_route_nh, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link_local_static_route_nh=link_local_static_route_nh, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_next_hop_update(self, route=None, next_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: dest
    :param route: Keyword argument tuple.

    :type dest: unicode
    :param dest: **route** tuple argument:  IPv6Address/prefix.;; Destination IPv6 address-prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type next_hop: unicode
    :param next_hop: IPv6 address.;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ipv6.ipv6route.route', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6.ipv6route.route', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.ipv6route.route', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'dest', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, next_hop=next_hop)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, next_hop=next_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_bfd_update(self, ipv6_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6_holdover_interval: int
    :param ipv6_holdover_interval: Holdover interval

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_holdover_interval=ipv6_holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_holdover_interval=ipv6_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_interval_update(self, bfd_ipv6_link_local_static_route=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type interval: int
    :param interval: Transmit interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_min_rx_update(self, bfd_ipv6_link_local_static_route=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type min_rx: int
    :param min_rx: Receive interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_multiplier_update(self, bfd_ipv6_link_local_static_route=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type multiplier: int
    :param multiplier: Multiplier value

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_bfd_bfd_ipv6_static_route_interval_update(self, bfd_ipv6_static_route=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interval: int
    :param interval: Transmit interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_ipv6_static_route=bfd_ipv6_static_route, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_ipv6_static_route=bfd_ipv6_static_route, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_bfd_bfd_ipv6_static_route_min_rx_update(self, bfd_ipv6_static_route=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_rx: int
    :param min_rx: Receive interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_ipv6_static_route=bfd_ipv6_static_route, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_ipv6_static_route=bfd_ipv6_static_route, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_bfd_bfd_ipv6_static_route_multiplier_update(self, bfd_ipv6_static_route=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type multiplier: int
    :param multiplier: Multiplier value

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_ipv6_static_route=bfd_ipv6_static_route, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_ipv6_static_route=bfd_ipv6_static_route, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_bfd_holdover_interval_update(self, ipv6_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6_holdover_interval: int
    :param ipv6_holdover_interval: Holdover interval

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_holdover_interval=ipv6_holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_holdover_interval=ipv6_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_route_nh_distance_update(self, static_route_nh=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v17r_1_00a.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_nh=static_route_nh, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_nh=static_route_nh, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_route_nh_metric_update(self, static_route_nh=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v17r_1_00a.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_nh=static_route_nh, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_nh=static_route_nh, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_route_nh_tag_update(self, static_route_nh=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v17r_1_00a.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_nh=static_route_nh, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_nh=static_route_nh, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_route_oif_distance_update(self, static_route_oif=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v17r_1_00a.ipv6.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_oif=static_route_oif, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_oif=static_route_oif, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_route_oif_metric_update(self, static_route_oif=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v17r_1_00a.ipv6.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_oif=static_route_oif, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_oif=static_route_oif, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_route_oif_tag_update(self, static_route_oif=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v17r_1_00a.ipv6.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_oif=static_route_oif, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_oif=static_route_oif, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_update(self, ospf=None, database_overflow_interval=None, default_metric=None, default_passive_interface=None, external_lsdb_limit=None, key_add_remove_interval=None, key_rollover_interval=None, log_status_change=None, global_metric_type=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type database_overflow_interval: long
    :param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated.

        * range restriction: ::

            ['0..4294967295']

    :type default_metric: long
    :param default_metric: Set OSPF default metric

        * range restriction: ::

            ['0..4294967295']

    :type default_passive_interface: YANGBool
    :param default_passive_interface: Set OSPF interface passive

    :type external_lsdb_limit: long
    :param external_lsdb_limit: Set maximum number of external LSAs.

        * range restriction: ::

            ['0..4294967295']

    :type key_add_remove_interval: long
    :param key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type key_rollover_interval: long
    :param key_rollover_interval: Configure OSPFv3 authentication key rollover interval

        * range restriction: ::

            ['0..4294967295']

    :type log_status_change: YANGBool
    :param log_status_change: Log status change

    :type global_metric_type: unicode
    :param global_metric_type: OSPFv3 metric type for redistributed routes

        * enumeration restriction: ::

            ['type1', 'type2']

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enable nonstop-routing capability

    :type maximum_paths: long
    :param maximum_paths: Set the maximum number of paths to a destination.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, database_overflow_interval=database_overflow_interval, default_metric=default_metric, default_passive_interface=default_passive_interface, external_lsdb_limit=external_lsdb_limit, key_add_remove_interval=key_add_remove_interval, key_rollover_interval=key_rollover_interval, log_status_change=log_status_change, global_metric_type=global_metric_type, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, database_overflow_interval=database_overflow_interval, default_metric=default_metric, default_passive_interface=default_passive_interface, external_lsdb_limit=external_lsdb_limit, key_add_remove_interval=key_add_remove_interval, key_rollover_interval=key_rollover_interval, log_status_change=log_status_change, global_metric_type=global_metric_type, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_update(self, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type normal: YANGBool
    :param normal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, normal=normal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_authentication_ah_update(self, ospf=None, area=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_authentication_esp_update(self, ospf=None, area=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_authentication_esp_auth_update(self, ospf=None, area=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_authentication_esp_key_update(self, ospf=None, area=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_authentication_esp_no_encrypt_update(self, ospf=None, area=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_authentication_ipsec_auth_key_config_update(self, ospf=None, area=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_authentication_key_update(self, ospf=None, area=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_authentication_no_encrypt_update(self, ospf=None, area=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_authentication_spi_update(self, ospf=None, area=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_normal_update(self, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type normal: YANGBool
    :param normal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, normal=normal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_default_information_originate_metric_update(self, ospf=None, area=None, area_default_information_originate_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type area_default_information_originate_metric: long
    :param area_default_information_originate_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, area_default_information_originate_metric=area_default_information_originate_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, area_default_information_originate_metric=area_default_information_originate_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_default_information_originate_metric_type_update(self, ospf=None, area=None, area_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type area_default_information_originate_metric_type: unicode
    :param area_default_information_originate_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, area_default_information_originate_metric_type=area_default_information_originate_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, area_default_information_originate_metric_type=area_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_metric_update(self, ospf=None, area=None, nssa_area_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type nssa_area_metric: long
    :param nssa_area_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.nssa.metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, nssa_area_metric=nssa_area_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, nssa_area_metric=nssa_area_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_no_redistribution_update(self, ospf=None, area=None, no_redistribution=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type no_redistribution: YANGBool
    :param no_redistribution: Do not send redistributed LSA into nssa area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.nssa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, no_redistribution=no_redistribution)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, no_redistribution=no_redistribution)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_no_summary_update(self, ospf=None, area=None, nssa_area_no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type nssa_area_no_summary: YANGBool
    :param nssa_area_no_summary: Do not send summary LSA into nssa area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.nssa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, nssa_area_no_summary=nssa_area_no_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, nssa_area_no_summary=nssa_area_no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_nssa_area_metric_update(self, ospf=None, area=None, nssa_area_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type nssa_area_metric: long
    :param nssa_area_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.nssa.metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, nssa_area_metric=nssa_area_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, nssa_area_metric=nssa_area_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_translator_always_update(self, ospf=None, area=None, translator_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type translator_always: YANGBool
    :param translator_always: Set nssa translator role

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.nssa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, translator_always=translator_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, translator_always=translator_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_translator_interval_update(self, ospf=None, area=None, translator_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type translator_interval: long
    :param translator_interval: Set nssa translator stability interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.nssa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, translator_interval=translator_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, translator_interval=translator_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_range_update(self, ospf=None, area=None, area_range=None, range_effect=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type area_range: range_address, range_effect, range_cost
    :param area_range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **area_range** tuple argument:  A:B::C:D/LEN;; IPv6 address to match

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type range_effect: unicode
    :param range_effect: **area_range** tuple argument:  Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: **area_range** tuple argument:  Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type range_effect: unicode
    :param range_effect: Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.area_range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.area_range', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, area_range=area_range, range_effect=range_effect, range_cost=range_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, area_range=area_range, range_effect=range_effect, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_range_cost_update(self, ospf=None, area=None, area_range=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type area_range: range_address
    :param area_range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **area_range** tuple argument:  A:B::C:D/LEN;; IPv6 address to match

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type range_cost: long
    :param range_cost: Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.area_range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.area_range', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, area_range=area_range, range_cost=range_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, area_range=area_range, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_range_range_effect_update(self, ospf=None, area=None, area_range=None, range_effect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type area_range: range_address
    :param area_range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **area_range** tuple argument:  A:B::C:D/LEN;; IPv6 address to match

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type range_effect: unicode
    :param range_effect: Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.area_range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.area_range', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, area_range=area_range, range_effect=range_effect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, area_range=area_range, range_effect=range_effect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_stub_update(self, ospf=None, area=None, stub_area_no_summary=None, stub_area_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type stub_area_no_summary: YANGBool
    :param stub_area_no_summary: Do not send summary LSA into stub area

    :type stub_area_metric: long
    :param stub_area_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.stub', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.stub', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'stub_area_no_summary, stub_area_metric'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, stub_area_no_summary=stub_area_no_summary, stub_area_metric=stub_area_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, stub_area_no_summary=stub_area_no_summary, stub_area_metric=stub_area_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_stub_no_summary_update(self, ospf=None, area=None, stub_area_no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type stub_area_no_summary: YANGBool
    :param stub_area_no_summary: Do not send summary LSA into stub area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.stub', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.stub', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, stub_area_no_summary=stub_area_no_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, stub_area_no_summary=stub_area_no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_stub_stub_area_metric_update(self, ospf=None, area=None, stub_area_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type stub_area_metric: long
    :param stub_area_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.stub', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.stub', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, stub_area_metric=stub_area_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, stub_area_metric=stub_area_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_authentication_ah_update(self, ospf=None, area=None, virtual_link=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_authentication_esp_update(self, ospf=None, area=None, virtual_link=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_authentication_esp_auth_update(self, ospf=None, area=None, virtual_link=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_authentication_esp_key_update(self, ospf=None, area=None, virtual_link=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_authentication_esp_no_encrypt_update(self, ospf=None, area=None, virtual_link=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_authentication_ipsec_auth_key_config_update(self, ospf=None, area=None, virtual_link=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_authentication_key_update(self, ospf=None, area=None, virtual_link=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_authentication_no_encrypt_update(self, ospf=None, area=None, virtual_link=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_authentication_spi_update(self, ospf=None, area=None, virtual_link=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_dead_interval_update(self, ospf=None, area=None, virtual_link=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_hello_interval_update(self, ospf=None, area=None, virtual_link=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_hello_jitter_update(self, ospf=None, area=None, virtual_link=None, hello_jitter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, hello_jitter=hello_jitter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, hello_jitter=hello_jitter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_link_interval_properties_update(self, ospf=None, area=None, virtual_link=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_retransmit_interval_update(self, ospf=None, area=None, virtual_link=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_transmit_delay_update(self, ospf=None, area=None, virtual_link=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_auto_cost_update(self, ospf=None, reference_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type reference_bandwidth: long
    :param reference_bandwidth: Set OSPFv3  Auto-cost Reference-bandwidth in Mbits per second

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.auto_cost', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.auto_cost', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, reference_bandwidth=reference_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, reference_bandwidth=reference_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_auto_cost_reference_bandwidth_update(self, ospf=None, reference_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type reference_bandwidth: long
    :param reference_bandwidth: Set OSPFv3  Auto-cost Reference-bandwidth in Mbits per second

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.auto_cost', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.auto_cost', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, reference_bandwidth=reference_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, reference_bandwidth=reference_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_bfd_update(self, ospf=None, bfd_enable=None, bfd_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type bfd_holdover_interval: long
    :param bfd_holdover_interval: The time by which the BFD session DOWN notification to Ospf is delayed

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, bfd_enable=bfd_enable, bfd_holdover_interval=bfd_holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, bfd_enable=bfd_enable, bfd_holdover_interval=bfd_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_bfd_bfd_enable_update(self, ospf=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_bfd_holdover_interval_update(self, ospf=None, bfd_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type bfd_holdover_interval: long
    :param bfd_holdover_interval: The time by which the BFD session DOWN notification to Ospf is delayed

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, bfd_holdover_interval=bfd_holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, bfd_holdover_interval=bfd_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_database_overflow_interval_update(self, ospf=None, database_overflow_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type database_overflow_interval: long
    :param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, database_overflow_interval=database_overflow_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, database_overflow_interval=database_overflow_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_default_information_originate_always_update(self, ospf=None, global_default_information_originate_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type global_default_information_originate_always: YANGBool
    :param global_default_information_originate_always: Always advertise default route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.global_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.global_default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, global_default_information_originate_always=global_default_information_originate_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, global_default_information_originate_always=global_default_information_originate_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_default_information_originate_metric_update(self, ospf=None, global_default_information_originate_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type global_default_information_originate_metric: long
    :param global_default_information_originate_metric: OSPF metric for default route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.global_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.global_default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, global_default_information_originate_metric=global_default_information_originate_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, global_default_information_originate_metric=global_default_information_originate_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_default_information_originate_metric_type_update(self, ospf=None, global_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type global_default_information_originate_metric_type: unicode
    :param global_default_information_originate_metric_type: OSPF metric type for default route

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.global_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.global_default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, global_default_information_originate_metric_type=global_default_information_originate_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, global_default_information_originate_metric_type=global_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_default_metric_update(self, ospf=None, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Set OSPF default metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_default_passive_interface_update(self, ospf=None, default_passive_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type default_passive_interface: YANGBool
    :param default_passive_interface: Set OSPF interface passive

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, default_passive_interface=default_passive_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, default_passive_interface=default_passive_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distance_update(self, ospf=None, distance=None, distance_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type distance: route_type
    :param distance: Keyword argument tuple.

    :type route_type: unicode
    :param route_type: **distance** tuple argument:  The type of route propagation

        * enumeration restriction: ::

            ['intra-area', 'external', 'inter-area']

    **Instance Argument(s)**:

    :type distance_value: long
    :param distance_value: The distance for a given type of route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.distance', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, distance=distance, distance_value=distance_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, distance=distance, distance_value=distance_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distance_distance_value_update(self, ospf=None, distance=None, distance_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type distance: route_type
    :param distance: Keyword argument tuple.

    :type route_type: unicode
    :param route_type: **distance** tuple argument:  The type of route propagation

        * enumeration restriction: ::

            ['intra-area', 'external', 'inter-area']

    **Instance Argument(s)**:

    :type distance_value: long
    :param distance_value: The distance for a given type of route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.distance', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, distance=distance, distance_value=distance_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, distance=distance, distance_value=distance_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distribute_list_prefix_list_update(self, ospf=None, distribute_list_prefix_list_name=None, distribute_list_prefix_list_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type distribute_list_prefix_list_name: unicode
    :param distribute_list_prefix_list_name: Prefix list  name.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type distribute_list_prefix_list_in: YANGBool
    :param distribute_list_prefix_list_in: Inbound Filtering

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'distribute_list_prefix_list_name, distribute_list_prefix_list_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name, distribute_list_prefix_list_in=distribute_list_prefix_list_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name, distribute_list_prefix_list_in=distribute_list_prefix_list_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distribute_list_prefix_list_distribute_list_prefix_list_name_update(self, ospf=None, distribute_list_prefix_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type distribute_list_prefix_list_name: unicode
    :param distribute_list_prefix_list_name: Prefix list  name.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distribute_list_prefix_list_in_update(self, ospf=None, distribute_list_prefix_list_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type distribute_list_prefix_list_in: YANGBool
    :param distribute_list_prefix_list_in: Inbound Filtering

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, distribute_list_prefix_list_in=distribute_list_prefix_list_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, distribute_list_prefix_list_in=distribute_list_prefix_list_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distribute_list_route_map_update(self, ospf=None, distribute_list_route_map_name=None, distribute_list_route_map_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type distribute_list_route_map_name: unicode
    :param distribute_list_route_map_name: Route-map name.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type distribute_list_route_map_in: YANGBool
    :param distribute_list_route_map_in: Inbound Filtering

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.distribute_list.route_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'distribute_list_route_map_name, distribute_list_route_map_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name, distribute_list_route_map_in=distribute_list_route_map_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name, distribute_list_route_map_in=distribute_list_route_map_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distribute_list_route_map_distribute_list_route_map_name_update(self, ospf=None, distribute_list_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type distribute_list_route_map_name: unicode
    :param distribute_list_route_map_name: Route-map name.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.distribute_list.route_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distribute_list_route_map_in_update(self, ospf=None, distribute_list_route_map_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type distribute_list_route_map_in: YANGBool
    :param distribute_list_route_map_in: Inbound Filtering

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.distribute_list.route_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, distribute_list_route_map_in=distribute_list_route_map_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, distribute_list_route_map_in=distribute_list_route_map_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_external_lsdb_limit_update(self, ospf=None, external_lsdb_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type external_lsdb_limit: long
    :param external_lsdb_limit: Set maximum number of external LSAs.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, external_lsdb_limit=external_lsdb_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, external_lsdb_limit=external_lsdb_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_graceful_restart_helper_update(self, ospf=None, graceful_restart_helper_disable=None, graceful_restart_helper_strict_lsa_checking=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type graceful_restart_helper_disable: YANGBool
    :param graceful_restart_helper_disable: Disable graceful restart helper capability

    :type graceful_restart_helper_strict_lsa_checking: YANGBool
    :param graceful_restart_helper_strict_lsa_checking: Set strict LSA checking

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.graceful_restart.helper', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.graceful_restart.helper', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_graceful_restart_helper_disable_update(self, ospf=None, graceful_restart_helper_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type graceful_restart_helper_disable: YANGBool
    :param graceful_restart_helper_disable: Disable graceful restart helper capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.graceful_restart.helper', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.graceful_restart.helper', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_graceful_restart_helper_strict_lsa_checking_update(self, ospf=None, graceful_restart_helper_strict_lsa_checking=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type graceful_restart_helper_strict_lsa_checking: YANGBool
    :param graceful_restart_helper_strict_lsa_checking: Set strict LSA checking

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.graceful_restart.helper', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.graceful_restart.helper', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_key_add_remove_interval_update(self, ospf=None, key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type key_add_remove_interval: long
    :param key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, key_add_remove_interval=key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, key_add_remove_interval=key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_key_rollover_interval_update(self, ospf=None, key_rollover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type key_rollover_interval: long
    :param key_rollover_interval: Configure OSPFv3 authentication key rollover interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, key_rollover_interval=key_rollover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, key_rollover_interval=key_rollover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_update(self, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_all: YANGBool
    :param log_all: Logging everything

    :type log_database: YANGBool
    :param log_database: Logging LSA activity

    :type log_retransmit: YANGBool
    :param log_retransmit: Logging retransmit activity

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.log', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_adjacency_dr_only_update(self, ospf=None, log_adjacency_dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_adjacency_dr_only: YANGBool
    :param log_adjacency_dr_only: Logging only Designated Router interfaces' adjacency changes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log.log_adjacency', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.log.log_adjacency', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_all_update(self, ospf=None, log_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_all: YANGBool
    :param log_all: Logging everything

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.log', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, log_all=log_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_all=log_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_bad_packet_checksum_update(self, ospf=None, log_bad_packet_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_bad_packet_checksum: YANGBool
    :param log_bad_packet_checksum: Logging bad checksum packets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log.log_bad_packet', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.log.log_bad_packet', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_database_update(self, ospf=None, log_database=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_database: YANGBool
    :param log_database: Logging LSA activity

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.log', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, log_database=log_database)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_database=log_database)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_retransmit_update(self, ospf=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_retransmit: YANGBool
    :param log_retransmit: Logging retransmit activity

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.log', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, log_retransmit=log_retransmit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_status_change_update(self, ospf=None, log_status_change=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_status_change: YANGBool
    :param log_status_change: Log status change

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, log_status_change=log_status_change)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_status_change=log_status_change)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_all_lsas_update(self, ospf=None, all_lsas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type all_lsas: YANGBool
    :param all_lsas: Replace Metric in all External and Summary LSAs with default max metric value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.max_metric.router_lsa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, all_lsas=all_lsas)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, all_lsas=all_lsas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_external_lsa_external_lsa_value_update(self, ospf=None, external_lsa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type external_lsa_value: long
    :param external_lsa_value: Indicates the metric of all external type 5 and type 7 LSA's

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, external_lsa_value=external_lsa_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, external_lsa_value=external_lsa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_include_stub_update(self, ospf=None, include_stub=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type include_stub: YANGBool
    :param include_stub: Configure include-stub for max-metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.max_metric.router_lsa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, include_stub=include_stub)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, include_stub=include_stub)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_on_startup_update(self, ospf=None, on_startup_time=None, wait_for_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type on_startup_time: long
    :param on_startup_time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds

        * range restriction: ::

            ['0..4294967295']

    :type wait_for_bgp: YANGBool
    :param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, on_startup_time=on_startup_time, wait_for_bgp=wait_for_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, on_startup_time=on_startup_time, wait_for_bgp=wait_for_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_on_startup_on_startup_time_update(self, ospf=None, on_startup_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type on_startup_time: long
    :param on_startup_time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, on_startup_time=on_startup_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, on_startup_time=on_startup_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_on_startup_wait_for_bgp_update(self, ospf=None, wait_for_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type wait_for_bgp: YANGBool
    :param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, wait_for_bgp=wait_for_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, wait_for_bgp=wait_for_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_summary_lsa_summary_lsa_value_update(self, ospf=None, summary_lsa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type summary_lsa_value: long
    :param summary_lsa_value: Metric of all summary type 3 and type 4 LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, summary_lsa_value=summary_lsa_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, summary_lsa_value=summary_lsa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_maximum_paths_update(self, ospf=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type maximum_paths: long
    :param maximum_paths: Set the maximum number of paths to a destination.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_metric_type_update(self, ospf=None, global_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type global_metric_type: unicode
    :param global_metric_type: OSPFv3 metric type for redistributed routes

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, global_metric_type=global_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, global_metric_type=global_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_nonstop_routing_update(self, ospf=None, nonstop_routing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enable nonstop-routing capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, nonstop_routing=nonstop_routing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, nonstop_routing=nonstop_routing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_bgp_metric_update(self, ospf=None, redistribute_bgp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_bgp_metric: long
    :param redistribute_bgp_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute_bgp_metric=redistribute_bgp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute_bgp_metric=redistribute_bgp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_bgp_metric_type_update(self, ospf=None, redistribute_bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_bgp_metric_type: unicode
    :param redistribute_bgp_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute_bgp_metric_type=redistribute_bgp_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute_bgp_metric_type=redistribute_bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_bgp_route_map_update(self, ospf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_connected_metric_update(self, ospf=None, redistribute_connected_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_connected_metric: long
    :param redistribute_connected_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute_connected_metric=redistribute_connected_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute_connected_metric=redistribute_connected_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_connected_metric_type_update(self, ospf=None, redistribute_connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_connected_metric_type: unicode
    :param redistribute_connected_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute_connected_metric_type=redistribute_connected_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute_connected_metric_type=redistribute_connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_connected_route_map_update(self, ospf=None, connected_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type connected_route_map: unicode
    :param connected_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, connected_route_map=connected_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, connected_route_map=connected_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_isis_level_1_update(self, ospf=None, level_1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type level_1: YANGBool
    :param level_1: Redistribution of IS-IS Level-1 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, level_1=level_1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, level_1=level_1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_isis_level_1_2_update(self, ospf=None, level_1_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type level_1_2: YANGBool
    :param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, level_1_2=level_1_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, level_1_2=level_1_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_isis_level_2_update(self, ospf=None, level_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type level_2: YANGBool
    :param level_2: Redistribution of IS-IS Level-2 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, level_2=level_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, level_2=level_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_isis_metric_update(self, ospf=None, redistribute_isis_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_isis_metric: long
    :param redistribute_isis_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute_isis_metric=redistribute_isis_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute_isis_metric=redistribute_isis_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_isis_metric_type_update(self, ospf=None, redistribute_isis_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_isis_metric_type: unicode
    :param redistribute_isis_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute_isis_metric_type=redistribute_isis_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute_isis_metric_type=redistribute_isis_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_isis_route_map_update(self, ospf=None, redistribute_isis_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_isis_route_map: unicode
    :param redistribute_isis_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute_isis_route_map=redistribute_isis_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute_isis_route_map=redistribute_isis_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_ospf_metric_update(self, ospf=None, redistribute_ospf_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_ospf_metric: long
    :param redistribute_ospf_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute_ospf_metric=redistribute_ospf_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute_ospf_metric=redistribute_ospf_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_ospf_metric_type_update(self, ospf=None, redistribute_ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_ospf_metric_type: unicode
    :param redistribute_ospf_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute_ospf_metric_type=redistribute_ospf_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute_ospf_metric_type=redistribute_ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_ospf_route_map_update(self, ospf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_static_metric_update(self, ospf=None, redistribute_static_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_static_metric: long
    :param redistribute_static_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute_static_metric=redistribute_static_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute_static_metric=redistribute_static_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_static_metric_type_update(self, ospf=None, redistribute_static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_static_metric_type: unicode
    :param redistribute_static_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute_static_metric_type=redistribute_static_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute_static_metric_type=redistribute_static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_static_route_map_update(self, ospf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_timers_update(self, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type lsa_group_pacing: long
    :param lsa_group_pacing: OSPFv3 LSA group pacing timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, lsa_group_pacing=lsa_group_pacing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_timers_lsa_group_pacing_update(self, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type lsa_group_pacing: long
    :param lsa_group_pacing: OSPFv3 LSA group pacing timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, lsa_group_pacing=lsa_group_pacing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_timers_spf_update(self, ospf=None, spf_delay=None, spf_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type spf_delay: long
    :param spf_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_hold_time: long
    :param spf_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.timers.spf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.timers.spf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spf_delay, spf_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, spf_delay=spf_delay, spf_hold_time=spf_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, spf_delay=spf_delay, spf_hold_time=spf_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_timers_spf_spf_delay_update(self, ospf=None, spf_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type spf_delay: long
    :param spf_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.timers.spf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.timers.spf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, spf_delay=spf_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, spf_delay=spf_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_timers_spf_spf_hold_time_update(self, ospf=None, spf_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type spf_hold_time: long
    :param spf_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.timers.spf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.ipv6.router.ospf.timers.spf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, spf_hold_time=spf_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, spf_hold_time=spf_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_update(self, database=None, isis_operation=None, detail=None, summary=None, lsp_level1_count=None, lsp_level2_count=None, lsp_level1_loading=None, lsp_level2_loading=None, lsp_level1_fragments=None, lsp_level2_fragments=None, lsp_level1_pseudo=None, lsp_level2_pseudo=None, lsp_level1_pseudo_fragments=None, lsp_level2_pseudo_fragments=None, lsp_level1_my_count=None, lsp_level2_my_count=None, lsp_level1_my_lsp_fragments=None, lsp_level2_my_lsp_fragments=None, lsp_level1_my_pseudo=None, lsp_level2_my_pseudo=None, lsp_level1_my_pseudo_fragments=None, lsp_level2_my_pseudo_fragments=None, lsp_level1_checksum=None, lsp_level2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type isis_operation: YANGBool
    :param isis_operation: Keyword argument.

    :type detail: YANGBool
    :param detail: Keyword argument.

    :type summary: YANGBool
    :param summary: Keyword argument.

    :type lsp_level1_count: long
    :param lsp_level1_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_count: long
    :param lsp_level2_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_loading: long
    :param lsp_level1_loading: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_loading: long
    :param lsp_level2_loading: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_fragments: long
    :param lsp_level1_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_fragments: long
    :param lsp_level2_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_pseudo: long
    :param lsp_level1_pseudo: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_pseudo: long
    :param lsp_level2_pseudo: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_pseudo_fragments: long
    :param lsp_level1_pseudo_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_pseudo_fragments: long
    :param lsp_level2_pseudo_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_my_count: long
    :param lsp_level1_my_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_my_count: long
    :param lsp_level2_my_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_my_lsp_fragments: long
    :param lsp_level1_my_lsp_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_my_lsp_fragments: long
    :param lsp_level2_my_lsp_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_my_pseudo: long
    :param lsp_level1_my_pseudo: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_my_pseudo: long
    :param lsp_level2_my_pseudo: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_my_pseudo_fragments: long
    :param lsp_level1_my_pseudo_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_my_pseudo_fragments: long
    :param lsp_level2_my_pseudo_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_checksum: long
    :param lsp_level1_checksum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_checksum: long
    :param lsp_level2_checksum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.isis_state.database": {"isis_operation": "isis_operation", "lsp_level2_fragments": "lsp_level2_fragments", "lsp_level2_pseudo_fragments": "lsp_level2_pseudo_fragments", "lsp_level1_my_pseudo": "lsp_level1_my_pseudo", "detail": "detail", "lsp_level2_my_pseudo_fragments": "lsp_level2_my_pseudo_fragments", "lsp_level1_loading": "lsp_level1_loading", "lsp_level1_fragments": "lsp_level1_fragments", "lsp_level1_my_pseudo_fragments": "lsp_level1_my_pseudo_fragments", "lsp_level1_pseudo": "lsp_level1_pseudo", "lsp_level2_count": "lsp_level2_count", "lsp_level2_my_count": "lsp_level2_my_count", "lsp_level2_checksum": "lsp_level2_checksum", "lsp_level2_my_pseudo": "lsp_level2_my_pseudo", "lsp_level1_count": "lsp_level1_count", "level": "level", "lsp_level2_pseudo": "lsp_level2_pseudo", "lsp_level1_my_count": "lsp_level1_my_count", "summary": "summary", "lsp_level2_my_lsp_fragments": "lsp_level2_my_lsp_fragments", "lsp_level1_checksum": "lsp_level1_checksum", "lsp_level1_pseudo_fragments": "lsp_level1_pseudo_fragments", "lsp_level2_loading": "lsp_level2_loading", "lsp_level1_my_lsp_fragments": "lsp_level1_my_lsp_fragments"}, "pybind.slxos.v17r_1_00a.isis_state.database": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, isis_operation=isis_operation, detail=detail, summary=summary, lsp_level1_count=lsp_level1_count, lsp_level2_count=lsp_level2_count, lsp_level1_loading=lsp_level1_loading, lsp_level2_loading=lsp_level2_loading, lsp_level1_fragments=lsp_level1_fragments, lsp_level2_fragments=lsp_level2_fragments, lsp_level1_pseudo=lsp_level1_pseudo, lsp_level2_pseudo=lsp_level2_pseudo, lsp_level1_pseudo_fragments=lsp_level1_pseudo_fragments, lsp_level2_pseudo_fragments=lsp_level2_pseudo_fragments, lsp_level1_my_count=lsp_level1_my_count, lsp_level2_my_count=lsp_level2_my_count, lsp_level1_my_lsp_fragments=lsp_level1_my_lsp_fragments, lsp_level2_my_lsp_fragments=lsp_level2_my_lsp_fragments, lsp_level1_my_pseudo=lsp_level1_my_pseudo, lsp_level2_my_pseudo=lsp_level2_my_pseudo, lsp_level1_my_pseudo_fragments=lsp_level1_my_pseudo_fragments, lsp_level2_my_pseudo_fragments=lsp_level2_my_pseudo_fragments, lsp_level1_checksum=lsp_level1_checksum, lsp_level2_checksum=lsp_level2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, isis_operation=isis_operation, detail=detail, summary=summary, lsp_level1_count=lsp_level1_count, lsp_level2_count=lsp_level2_count, lsp_level1_loading=lsp_level1_loading, lsp_level2_loading=lsp_level2_loading, lsp_level1_fragments=lsp_level1_fragments, lsp_level2_fragments=lsp_level2_fragments, lsp_level1_pseudo=lsp_level1_pseudo, lsp_level2_pseudo=lsp_level2_pseudo, lsp_level1_pseudo_fragments=lsp_level1_pseudo_fragments, lsp_level2_pseudo_fragments=lsp_level2_pseudo_fragments, lsp_level1_my_count=lsp_level1_my_count, lsp_level2_my_count=lsp_level2_my_count, lsp_level1_my_lsp_fragments=lsp_level1_my_lsp_fragments, lsp_level2_my_lsp_fragments=lsp_level2_my_lsp_fragments, lsp_level1_my_pseudo=lsp_level1_my_pseudo, lsp_level2_my_pseudo=lsp_level2_my_pseudo, lsp_level1_my_pseudo_fragments=lsp_level1_my_pseudo_fragments, lsp_level2_my_pseudo_fragments=lsp_level2_my_pseudo_fragments, lsp_level1_checksum=lsp_level1_checksum, lsp_level2_checksum=lsp_level2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_detail_update(self, database=None, detail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type detail: YANGBool
    :param detail: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, detail=detail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, detail=detail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_isis_operation_update(self, database=None, isis_operation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type isis_operation: YANGBool
    :param isis_operation: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, isis_operation=isis_operation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, isis_operation=isis_operation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_update(self, database=None, lsp_entry=None, lsp_seq_no=None, lsp_checksum=None, lsp_holdtime=None, lsp_att=None, lsp_p=None, lsp_ol=None, lsp_area_address=None, lsp_nlpid=None, lsp_hostname=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Argument(s)**:

    :type lsp_seq_no: long
    :param lsp_seq_no: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_checksum: int
    :param lsp_checksum: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type lsp_holdtime: long
    :param lsp_holdtime: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_att: long
    :param lsp_att: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_p: long
    :param lsp_p: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_ol: long
    :param lsp_ol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_area_address: long
    :param lsp_area_address: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_nlpid: unicode
    :param lsp_nlpid: Keyword argument.

    :type lsp_hostname: unicode
    :param lsp_hostname: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v17r_1_00a.isis_state.database', u'database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database.lsp_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry": {"lsp_nlpid": "lsp_nlpid", "lsp_ol": "lsp_ol", "lsp_level": "lsp_level", "lsp_checksum": "lsp_checksum", "lsp_area_address": "lsp_area_address", "lsp_hostname": "lsp_hostname", "lsp_p": "lsp_p", "lsp_att": "lsp_att", "lsp_holdtime": "lsp_holdtime", "lsp_id": "lsp_id", "lsp_seq_no": "lsp_seq_no"}, "pybind.slxos.v17r_1_00a.isis_state.database.lsp_entry": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_seq_no=lsp_seq_no, lsp_checksum=lsp_checksum, lsp_holdtime=lsp_holdtime, lsp_att=lsp_att, lsp_p=lsp_p, lsp_ol=lsp_ol, lsp_area_address=lsp_area_address, lsp_nlpid=lsp_nlpid, lsp_hostname=lsp_hostname)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_seq_no=lsp_seq_no, lsp_checksum=lsp_checksum, lsp_holdtime=lsp_holdtime, lsp_att=lsp_att, lsp_p=lsp_p, lsp_ol=lsp_ol, lsp_area_address=lsp_area_address, lsp_nlpid=lsp_nlpid, lsp_hostname=lsp_hostname)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_area_address_update(self, database=None, lsp_entry=None, lsp_area_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Argument(s)**:

    :type lsp_area_address: long
    :param lsp_area_address: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_area_address=lsp_area_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_area_address=lsp_area_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_att_update(self, database=None, lsp_entry=None, lsp_att=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Argument(s)**:

    :type lsp_att: long
    :param lsp_att: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v17r_1_00a.isis_state.database', u'database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database.lsp_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_att=lsp_att)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_att=lsp_att)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_checksum_update(self, database=None, lsp_entry=None, lsp_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Argument(s)**:

    :type lsp_checksum: int
    :param lsp_checksum: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v17r_1_00a.isis_state.database', u'database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database.lsp_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_checksum=lsp_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_checksum=lsp_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_holdtime_update(self, database=None, lsp_entry=None, lsp_holdtime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Argument(s)**:

    :type lsp_holdtime: long
    :param lsp_holdtime: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v17r_1_00a.isis_state.database', u'database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database.lsp_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_holdtime=lsp_holdtime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_holdtime=lsp_holdtime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_hostname_update(self, database=None, lsp_entry=None, lsp_hostname=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Argument(s)**:

    :type lsp_hostname: unicode
    :param lsp_hostname: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_hostname=lsp_hostname)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_hostname=lsp_hostname)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_nlpid_update(self, database=None, lsp_entry=None, lsp_nlpid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Argument(s)**:

    :type lsp_nlpid: unicode
    :param lsp_nlpid: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_nlpid=lsp_nlpid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_nlpid=lsp_nlpid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_ol_update(self, database=None, lsp_entry=None, lsp_ol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Argument(s)**:

    :type lsp_ol: long
    :param lsp_ol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v17r_1_00a.isis_state.database', u'database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database.lsp_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_ol=lsp_ol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_ol=lsp_ol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_p_update(self, database=None, lsp_entry=None, lsp_p=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Argument(s)**:

    :type lsp_p: long
    :param lsp_p: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v17r_1_00a.isis_state.database', u'database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database.lsp_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_p=lsp_p)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_p=lsp_p)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_seq_no_update(self, database=None, lsp_entry=None, lsp_seq_no=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Argument(s)**:

    :type lsp_seq_no: long
    :param lsp_seq_no: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v17r_1_00a.isis_state.database', u'database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database.lsp_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_seq_no=lsp_seq_no)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_seq_no=lsp_seq_no)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_tlv_entry_update(self, database=None, lsp_entry=None, lsp_tlv_entry=None, length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type lsp_tlv_entry: type
    :param lsp_tlv_entry: Keyword argument tuple.

    :type type: long
    :param type: **lsp_tlv_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type length: long
    :param length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.database', u'database'), ('pybind.slxos.v17r_1_00a.isis_state.database.lsp_entry', u'lsp_entry'), ('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database.lsp_entry.lsp_tlv_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, length=length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, length=length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_tlv_entry_length_update(self, database=None, lsp_entry=None, lsp_tlv_entry=None, length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type lsp_tlv_entry: type
    :param lsp_tlv_entry: Keyword argument tuple.

    :type type: long
    :param type: **lsp_tlv_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type length: long
    :param length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.database', u'database'), ('pybind.slxos.v17r_1_00a.isis_state.database.lsp_entry', u'lsp_entry'), ('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database.lsp_entry.lsp_tlv_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, length=length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, length=length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_tlv_entry_sub_tlv_entry_update(self, database=None, lsp_entry=None, lsp_tlv_entry=None, sub_tlv_entry=None, length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    :type lsp_tlv_entry: type
    :param lsp_tlv_entry: Keyword argument tuple.

    :type type: long
    :param type: **lsp_tlv_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type sub_tlv_entry: type
    :param sub_tlv_entry: Keyword argument tuple.

    :type type: long
    :param type: **sub_tlv_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type length: long
    :param length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', u'lsp_tlv_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry.sub_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}, {'keyval': 'type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sub_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, sub_tlv_entry=sub_tlv_entry, length=length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, sub_tlv_entry=sub_tlv_entry, length=length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_tlv_entry_sub_tlv_entry_length_update(self, database=None, lsp_entry=None, lsp_tlv_entry=None, sub_tlv_entry=None, length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    :type lsp_tlv_entry: type
    :param lsp_tlv_entry: Keyword argument tuple.

    :type type: long
    :param type: **lsp_tlv_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type sub_tlv_entry: type
    :param sub_tlv_entry: Keyword argument tuple.

    :type type: long
    :param type: **sub_tlv_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type length: long
    :param length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', u'lsp_tlv_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry.sub_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}, {'keyval': 'type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sub_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, sub_tlv_entry=sub_tlv_entry, length=length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, sub_tlv_entry=sub_tlv_entry, length=length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level1_checksum_update(self, database=None, lsp_level1_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level1_checksum: long
    :param lsp_level1_checksum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level1_checksum=lsp_level1_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level1_checksum=lsp_level1_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level1_count_update(self, database=None, lsp_level1_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level1_count: long
    :param lsp_level1_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level1_count=lsp_level1_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level1_count=lsp_level1_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level1_fragments_update(self, database=None, lsp_level1_fragments=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level1_fragments: long
    :param lsp_level1_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level1_fragments=lsp_level1_fragments)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level1_fragments=lsp_level1_fragments)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level1_loading_update(self, database=None, lsp_level1_loading=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level1_loading: long
    :param lsp_level1_loading: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level1_loading=lsp_level1_loading)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level1_loading=lsp_level1_loading)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level1_my_count_update(self, database=None, lsp_level1_my_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level1_my_count: long
    :param lsp_level1_my_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level1_my_count=lsp_level1_my_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level1_my_count=lsp_level1_my_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level1_my_lsp_fragments_update(self, database=None, lsp_level1_my_lsp_fragments=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level1_my_lsp_fragments: long
    :param lsp_level1_my_lsp_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level1_my_lsp_fragments=lsp_level1_my_lsp_fragments)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level1_my_lsp_fragments=lsp_level1_my_lsp_fragments)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level1_my_pseudo_update(self, database=None, lsp_level1_my_pseudo=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level1_my_pseudo: long
    :param lsp_level1_my_pseudo: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level1_my_pseudo=lsp_level1_my_pseudo)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level1_my_pseudo=lsp_level1_my_pseudo)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level1_my_pseudo_fragments_update(self, database=None, lsp_level1_my_pseudo_fragments=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level1_my_pseudo_fragments: long
    :param lsp_level1_my_pseudo_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level1_my_pseudo_fragments=lsp_level1_my_pseudo_fragments)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level1_my_pseudo_fragments=lsp_level1_my_pseudo_fragments)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level1_pseudo_update(self, database=None, lsp_level1_pseudo=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level1_pseudo: long
    :param lsp_level1_pseudo: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level1_pseudo=lsp_level1_pseudo)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level1_pseudo=lsp_level1_pseudo)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level1_pseudo_fragments_update(self, database=None, lsp_level1_pseudo_fragments=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level1_pseudo_fragments: long
    :param lsp_level1_pseudo_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level1_pseudo_fragments=lsp_level1_pseudo_fragments)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level1_pseudo_fragments=lsp_level1_pseudo_fragments)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level2_checksum_update(self, database=None, lsp_level2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level2_checksum: long
    :param lsp_level2_checksum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level2_checksum=lsp_level2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level2_checksum=lsp_level2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level2_count_update(self, database=None, lsp_level2_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level2_count: long
    :param lsp_level2_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level2_count=lsp_level2_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level2_count=lsp_level2_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level2_fragments_update(self, database=None, lsp_level2_fragments=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level2_fragments: long
    :param lsp_level2_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level2_fragments=lsp_level2_fragments)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level2_fragments=lsp_level2_fragments)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level2_loading_update(self, database=None, lsp_level2_loading=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level2_loading: long
    :param lsp_level2_loading: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level2_loading=lsp_level2_loading)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level2_loading=lsp_level2_loading)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level2_my_count_update(self, database=None, lsp_level2_my_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level2_my_count: long
    :param lsp_level2_my_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level2_my_count=lsp_level2_my_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level2_my_count=lsp_level2_my_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level2_my_lsp_fragments_update(self, database=None, lsp_level2_my_lsp_fragments=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level2_my_lsp_fragments: long
    :param lsp_level2_my_lsp_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level2_my_lsp_fragments=lsp_level2_my_lsp_fragments)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level2_my_lsp_fragments=lsp_level2_my_lsp_fragments)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level2_my_pseudo_update(self, database=None, lsp_level2_my_pseudo=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level2_my_pseudo: long
    :param lsp_level2_my_pseudo: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level2_my_pseudo=lsp_level2_my_pseudo)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level2_my_pseudo=lsp_level2_my_pseudo)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level2_my_pseudo_fragments_update(self, database=None, lsp_level2_my_pseudo_fragments=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level2_my_pseudo_fragments: long
    :param lsp_level2_my_pseudo_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level2_my_pseudo_fragments=lsp_level2_my_pseudo_fragments)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level2_my_pseudo_fragments=lsp_level2_my_pseudo_fragments)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level2_pseudo_update(self, database=None, lsp_level2_pseudo=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level2_pseudo: long
    :param lsp_level2_pseudo: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level2_pseudo=lsp_level2_pseudo)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level2_pseudo=lsp_level2_pseudo)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_level2_pseudo_fragments_update(self, database=None, lsp_level2_pseudo_fragments=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_level2_pseudo_fragments: long
    :param lsp_level2_pseudo_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.database', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, lsp_level2_pseudo_fragments=lsp_level2_pseudo_fragments)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_level2_pseudo_fragments=lsp_level2_pseudo_fragments)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_summary_update(self, database=None, summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type summary: YANGBool
    :param summary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database=database, summary=summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, summary=summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_update(self, isis_protocol=None, isis_state=None, is_type=None, system_id=None, area_addresses=None, database_state_level_1=None, database_state_level_2=None, database_state_level_1_2=None, overload_reason=None, check_alarm=None, overload_state_since=None, overload_state_rem_time=None, admin_distance=None, v6_admin_distance=None, max_paths=None, v6_max_paths=None, default_redis_metric=None, v6_default_redis_metric=None, default_link_metric_l1_conf=None, default_link_metric_l1_adv=None, default_link_metric_l2_conf=None, default_link_metric_l2_adv=None, v6_default_link_metric_l1_conf=None, v6_default_link_metric_l1_adv=None, v6_default_link_metric_l2_conf=None, v6_default_link_metric_l2_adv=None, redis_protocol=None, no_routes_redis=None, v6_redis_protocol=None, v6_no_routes_redis=None, auth_mode_l1=None, auth_mode_l2=None, auth_key_l1=None, auth_key_l2=None, metric_style_l1=None, metric_style_l2=None, graceful_restart_helper=None, pspf_optimization=None, spf_max_wait_l1=None, spf_max_wait_l2=None, spf_init_wait_l1=None, spf_init_wait_l2=None, spf_second_wait_l1=None, spf_second_wait_l2=None, spf_scheduled_l1=None, spf_scheduled_l2=None, pspf_max_wait=None, pspf_init_wait=None, pspf_second_wait=None, pspf_scheduled=None, spf6_max_wait_l1=None, spf6_max_wait_l2=None, spf6_init_wait_l1=None, spf6_init_wait_l2=None, spf6_second_wait_l1=None, spf6_second_wait_l2=None, spf6_scheduled_l1=None, spf6_scheduled_l2=None, pspf6_max_wait=None, pspf6_init_wait=None, pspf6_second_wait=None, pspf6_scheduled=None, lsp_max_lifetime=None, lsp_refresh_interval=None, lsp_gen_interval=None, lsp_retrans_interval=None, lsp_interval=None, snp_csnp_interval=None, snp_psnp_interval=None, hello_padding=None, hello_padding_ptp=None, ptp_handshake=None, bgp_ipv4_converged=None, bgp_ipv6_converged=None, isis_te=None, isis_shortcuts=None, isis_reverse_metric=None, isis_reverse_metric_wbit=None, isis_reverse_metric_sbit=None, bfd_enabled=None, bfd_hold_interval=None, nsr_enabled=None, nsr_state=None, nsr_standby_state=None, nsr_sync_state=None, isis_is_mp=None, ldp_sync=None, ldp_sync_holddown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_protocol: YANGBool
    :param isis_protocol: Keyword argument.

    :type isis_state: YANGBool
    :param isis_state: Keyword argument.

    :type is_type: long
    :param is_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type system_id: unicode
    :param system_id: Keyword argument.

    :type area_addresses: unicode
    :param area_addresses: Keyword argument.

    :type database_state_level_1: unicode
    :param database_state_level_1: Keyword argument.

    :type database_state_level_2: unicode
    :param database_state_level_2: Keyword argument.

    :type database_state_level_1_2: unicode
    :param database_state_level_1_2: Keyword argument.

    :type overload_reason: unicode
    :param overload_reason: Keyword argument.

    :type check_alarm: YANGBool
    :param check_alarm: Keyword argument.

    :type overload_state_since: unicode
    :param overload_state_since: Keyword argument.

    :type overload_state_rem_time: unicode
    :param overload_state_rem_time: Keyword argument.

    :type admin_distance: long
    :param admin_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v6_admin_distance: long
    :param v6_admin_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_paths: long
    :param max_paths: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v6_max_paths: long
    :param v6_max_paths: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type default_redis_metric: long
    :param default_redis_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v6_default_redis_metric: long
    :param v6_default_redis_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type default_link_metric_l1_conf: long
    :param default_link_metric_l1_conf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type default_link_metric_l1_adv: long
    :param default_link_metric_l1_adv: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type default_link_metric_l2_conf: long
    :param default_link_metric_l2_conf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type default_link_metric_l2_adv: long
    :param default_link_metric_l2_adv: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v6_default_link_metric_l1_conf: long
    :param v6_default_link_metric_l1_conf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v6_default_link_metric_l1_adv: long
    :param v6_default_link_metric_l1_adv: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v6_default_link_metric_l2_conf: long
    :param v6_default_link_metric_l2_conf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v6_default_link_metric_l2_adv: long
    :param v6_default_link_metric_l2_adv: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type redis_protocol: unicode
    :param redis_protocol: Keyword argument.

    :type no_routes_redis: long
    :param no_routes_redis: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v6_redis_protocol: unicode
    :param v6_redis_protocol: Keyword argument.

    :type v6_no_routes_redis: long
    :param v6_no_routes_redis: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auth_mode_l1: unicode
    :param auth_mode_l1: Keyword argument.

    :type auth_mode_l2: unicode
    :param auth_mode_l2: Keyword argument.

    :type auth_key_l1: unicode
    :param auth_key_l1: Keyword argument.

    :type auth_key_l2: unicode
    :param auth_key_l2: Keyword argument.

    :type metric_style_l1: unicode
    :param metric_style_l1: Keyword argument.

    :type metric_style_l2: unicode
    :param metric_style_l2: Keyword argument.

    :type graceful_restart_helper: YANGBool
    :param graceful_restart_helper: Keyword argument.

    :type pspf_optimization: YANGBool
    :param pspf_optimization: Keyword argument.

    :type spf_max_wait_l1: long
    :param spf_max_wait_l1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_max_wait_l2: long
    :param spf_max_wait_l2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_init_wait_l1: long
    :param spf_init_wait_l1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_init_wait_l2: long
    :param spf_init_wait_l2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_second_wait_l1: long
    :param spf_second_wait_l1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_second_wait_l2: long
    :param spf_second_wait_l2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_scheduled_l1: unicode
    :param spf_scheduled_l1: Keyword argument.

    :type spf_scheduled_l2: unicode
    :param spf_scheduled_l2: Keyword argument.

    :type pspf_max_wait: long
    :param pspf_max_wait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pspf_init_wait: long
    :param pspf_init_wait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pspf_second_wait: long
    :param pspf_second_wait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pspf_scheduled: unicode
    :param pspf_scheduled: Keyword argument.

    :type spf6_max_wait_l1: long
    :param spf6_max_wait_l1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_max_wait_l2: long
    :param spf6_max_wait_l2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_init_wait_l1: long
    :param spf6_init_wait_l1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_init_wait_l2: long
    :param spf6_init_wait_l2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_second_wait_l1: long
    :param spf6_second_wait_l1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_second_wait_l2: long
    :param spf6_second_wait_l2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_scheduled_l1: unicode
    :param spf6_scheduled_l1: Keyword argument.

    :type spf6_scheduled_l2: unicode
    :param spf6_scheduled_l2: Keyword argument.

    :type pspf6_max_wait: long
    :param pspf6_max_wait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pspf6_init_wait: long
    :param pspf6_init_wait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pspf6_second_wait: long
    :param pspf6_second_wait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pspf6_scheduled: unicode
    :param pspf6_scheduled: Keyword argument.

    :type lsp_max_lifetime: long
    :param lsp_max_lifetime: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_refresh_interval: long
    :param lsp_refresh_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_gen_interval: long
    :param lsp_gen_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_retrans_interval: long
    :param lsp_retrans_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_interval: long
    :param lsp_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type snp_csnp_interval: long
    :param snp_csnp_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type snp_psnp_interval: long
    :param snp_psnp_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_padding: YANGBool
    :param hello_padding: Keyword argument.

    :type hello_padding_ptp: long
    :param hello_padding_ptp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ptp_handshake: YANGBool
    :param ptp_handshake: Keyword argument.

    :type bgp_ipv4_converged: YANGBool
    :param bgp_ipv4_converged: Keyword argument.

    :type bgp_ipv6_converged: YANGBool
    :param bgp_ipv6_converged: Keyword argument.

    :type isis_te: YANGBool
    :param isis_te: Keyword argument.

    :type isis_shortcuts: unicode
    :param isis_shortcuts: Keyword argument.

    :type isis_reverse_metric: long
    :param isis_reverse_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type isis_reverse_metric_wbit: long
    :param isis_reverse_metric_wbit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type isis_reverse_metric_sbit: long
    :param isis_reverse_metric_sbit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bfd_enabled: YANGBool
    :param bfd_enabled: Keyword argument.

    :type bfd_hold_interval: long
    :param bfd_hold_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type nsr_enabled: YANGBool
    :param nsr_enabled: Keyword argument.

    :type nsr_state: unicode
    :param nsr_state: Keyword argument.

    :type nsr_standby_state: unicode
    :param nsr_standby_state: Keyword argument.

    :type nsr_sync_state: YANGBool
    :param nsr_sync_state: Keyword argument.

    :type isis_is_mp: YANGBool
    :param isis_is_mp: Keyword argument.

    :type ldp_sync: YANGBool
    :param ldp_sync: Keyword argument.

    :type ldp_sync_holddown_time: long
    :param ldp_sync_holddown_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.isis_state.global_isis_info": {"auth_mode_l2": "auth_mode_l2", "auth_mode_l1": "auth_mode_l1", "max_paths": "max_paths", "isis_reverse_metric_wbit": "isis_reverse_metric_wbit", "pspf6_scheduled": "pspf6_scheduled", "spf6_second_wait_l1": "spf6_second_wait_l1", "spf6_second_wait_l2": "spf6_second_wait_l2", "bfd_hold_interval": "bfd_hold_interval", "v6_redis_protocol": "v6_redis_protocol", "isis_is_mp": "isis_is_mp", "no_routes_redis": "no_routes_redis", "graceful_restart_helper": "graceful_restart_helper", "nsr_sync_state": "nsr_sync_state", "spf_second_wait_l2": "spf_second_wait_l2", "spf6_max_wait_l1": "spf6_max_wait_l1", "spf6_max_wait_l2": "spf6_max_wait_l2", "spf6_init_wait_l1": "spf6_init_wait_l1", "spf6_init_wait_l2": "spf6_init_wait_l2", "hello_padding_ptp": "hello_padding_ptp", "default_link_metric_l2_conf": "default_link_metric_l2_conf", "isis_te": "isis_te", "snp_psnp_interval": "snp_psnp_interval", "lsp_retrans_interval": "lsp_retrans_interval", "v6_no_routes_redis": "v6_no_routes_redis", "default_redis_metric": "default_redis_metric", "isis_reverse_metric_sbit": "isis_reverse_metric_sbit", "pspf6_init_wait": "pspf6_init_wait", "metric_style_l2": "metric_style_l2", "metric_style_l1": "metric_style_l1", "isis_state": "isis_state", "database_state_level_2": "database_state_level_2", "pspf_init_wait": "pspf_init_wait", "nsr_state": "nsr_state", "v6_default_link_metric_l1_adv": "v6_default_link_metric_l1_adv", "lsp_refresh_interval": "lsp_refresh_interval", "nsr_enabled": "nsr_enabled", "pspf_optimization": "pspf_optimization", "hello_padding": "hello_padding", "snp_csnp_interval": "snp_csnp_interval", "check_alarm": "check_alarm", "is_type": "is_type", "isis_shortcuts": "isis_shortcuts", "v6_default_link_metric_l2_adv": "v6_default_link_metric_l2_adv", "overload_reason": "overload_reason", "v6_max_paths": "v6_max_paths", "lsp_max_lifetime": "lsp_max_lifetime", "default_link_metric_l1_conf": "default_link_metric_l1_conf", "spf_second_wait_l1": "spf_second_wait_l1", "admin_distance": "admin_distance", "ptp_handshake": "ptp_handshake", "database_state_level_1_2": "database_state_level_1_2", "isis_reverse_metric": "isis_reverse_metric", "v6_default_link_metric_l2_conf": "v6_default_link_metric_l2_conf", "lsp_gen_interval": "lsp_gen_interval", "spf_init_wait_l1": "spf_init_wait_l1", "spf_init_wait_l2": "spf_init_wait_l2", "pspf_max_wait": "pspf_max_wait", "bgp_ipv4_converged": "bgp_ipv4_converged", "overload_state_since": "overload_state_since", "default_link_metric_l2_adv": "default_link_metric_l2_adv", "area_addresses": "area_addresses", "ldp_sync": "ldp_sync", "spf_max_wait_l2": "spf_max_wait_l2", "spf_max_wait_l1": "spf_max_wait_l1", "isis_protocol": "isis_protocol", "pspf6_max_wait": "pspf6_max_wait", "pspf6_second_wait": "pspf6_second_wait", "nsr_standby_state": "nsr_standby_state", "lsp_interval": "lsp_interval", "bgp_ipv6_converged": "bgp_ipv6_converged", "spf6_scheduled_l1": "spf6_scheduled_l1", "spf6_scheduled_l2": "spf6_scheduled_l2", "spf_scheduled_l1": "spf_scheduled_l1", "spf_scheduled_l2": "spf_scheduled_l2", "system_id": "system_id", "v6_admin_distance": "v6_admin_distance", "default_link_metric_l1_adv": "default_link_metric_l1_adv", "pspf_scheduled": "pspf_scheduled", "auth_key_l2": "auth_key_l2", "database_state_level_1": "database_state_level_1", "auth_key_l1": "auth_key_l1", "v6_default_link_metric_l1_conf": "v6_default_link_metric_l1_conf", "ldp_sync_holddown_time": "ldp_sync_holddown_time", "redis_protocol": "redis_protocol", "overload_state_rem_time": "overload_state_rem_time", "bfd_enabled": "bfd_enabled", "pspf_second_wait": "pspf_second_wait", "v6_default_redis_metric": "v6_default_redis_metric"}, "pybind.slxos.v17r_1_00a.isis_state.global_isis_info": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_protocol=isis_protocol, isis_state=isis_state, is_type=is_type, system_id=system_id, area_addresses=area_addresses, database_state_level_1=database_state_level_1, database_state_level_2=database_state_level_2, database_state_level_1_2=database_state_level_1_2, overload_reason=overload_reason, check_alarm=check_alarm, overload_state_since=overload_state_since, overload_state_rem_time=overload_state_rem_time, admin_distance=admin_distance, v6_admin_distance=v6_admin_distance, max_paths=max_paths, v6_max_paths=v6_max_paths, default_redis_metric=default_redis_metric, v6_default_redis_metric=v6_default_redis_metric, default_link_metric_l1_conf=default_link_metric_l1_conf, default_link_metric_l1_adv=default_link_metric_l1_adv, default_link_metric_l2_conf=default_link_metric_l2_conf, default_link_metric_l2_adv=default_link_metric_l2_adv, v6_default_link_metric_l1_conf=v6_default_link_metric_l1_conf, v6_default_link_metric_l1_adv=v6_default_link_metric_l1_adv, v6_default_link_metric_l2_conf=v6_default_link_metric_l2_conf, v6_default_link_metric_l2_adv=v6_default_link_metric_l2_adv, redis_protocol=redis_protocol, no_routes_redis=no_routes_redis, v6_redis_protocol=v6_redis_protocol, v6_no_routes_redis=v6_no_routes_redis, auth_mode_l1=auth_mode_l1, auth_mode_l2=auth_mode_l2, auth_key_l1=auth_key_l1, auth_key_l2=auth_key_l2, metric_style_l1=metric_style_l1, metric_style_l2=metric_style_l2, graceful_restart_helper=graceful_restart_helper, pspf_optimization=pspf_optimization, spf_max_wait_l1=spf_max_wait_l1, spf_max_wait_l2=spf_max_wait_l2, spf_init_wait_l1=spf_init_wait_l1, spf_init_wait_l2=spf_init_wait_l2, spf_second_wait_l1=spf_second_wait_l1, spf_second_wait_l2=spf_second_wait_l2, spf_scheduled_l1=spf_scheduled_l1, spf_scheduled_l2=spf_scheduled_l2, pspf_max_wait=pspf_max_wait, pspf_init_wait=pspf_init_wait, pspf_second_wait=pspf_second_wait, pspf_scheduled=pspf_scheduled, spf6_max_wait_l1=spf6_max_wait_l1, spf6_max_wait_l2=spf6_max_wait_l2, spf6_init_wait_l1=spf6_init_wait_l1, spf6_init_wait_l2=spf6_init_wait_l2, spf6_second_wait_l1=spf6_second_wait_l1, spf6_second_wait_l2=spf6_second_wait_l2, spf6_scheduled_l1=spf6_scheduled_l1, spf6_scheduled_l2=spf6_scheduled_l2, pspf6_max_wait=pspf6_max_wait, pspf6_init_wait=pspf6_init_wait, pspf6_second_wait=pspf6_second_wait, pspf6_scheduled=pspf6_scheduled, lsp_max_lifetime=lsp_max_lifetime, lsp_refresh_interval=lsp_refresh_interval, lsp_gen_interval=lsp_gen_interval, lsp_retrans_interval=lsp_retrans_interval, lsp_interval=lsp_interval, snp_csnp_interval=snp_csnp_interval, snp_psnp_interval=snp_psnp_interval, hello_padding=hello_padding, hello_padding_ptp=hello_padding_ptp, ptp_handshake=ptp_handshake, bgp_ipv4_converged=bgp_ipv4_converged, bgp_ipv6_converged=bgp_ipv6_converged, isis_te=isis_te, isis_shortcuts=isis_shortcuts, isis_reverse_metric=isis_reverse_metric, isis_reverse_metric_wbit=isis_reverse_metric_wbit, isis_reverse_metric_sbit=isis_reverse_metric_sbit, bfd_enabled=bfd_enabled, bfd_hold_interval=bfd_hold_interval, nsr_enabled=nsr_enabled, nsr_state=nsr_state, nsr_standby_state=nsr_standby_state, nsr_sync_state=nsr_sync_state, isis_is_mp=isis_is_mp, ldp_sync=ldp_sync, ldp_sync_holddown_time=ldp_sync_holddown_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_protocol=isis_protocol, isis_state=isis_state, is_type=is_type, system_id=system_id, area_addresses=area_addresses, database_state_level_1=database_state_level_1, database_state_level_2=database_state_level_2, database_state_level_1_2=database_state_level_1_2, overload_reason=overload_reason, check_alarm=check_alarm, overload_state_since=overload_state_since, overload_state_rem_time=overload_state_rem_time, admin_distance=admin_distance, v6_admin_distance=v6_admin_distance, max_paths=max_paths, v6_max_paths=v6_max_paths, default_redis_metric=default_redis_metric, v6_default_redis_metric=v6_default_redis_metric, default_link_metric_l1_conf=default_link_metric_l1_conf, default_link_metric_l1_adv=default_link_metric_l1_adv, default_link_metric_l2_conf=default_link_metric_l2_conf, default_link_metric_l2_adv=default_link_metric_l2_adv, v6_default_link_metric_l1_conf=v6_default_link_metric_l1_conf, v6_default_link_metric_l1_adv=v6_default_link_metric_l1_adv, v6_default_link_metric_l2_conf=v6_default_link_metric_l2_conf, v6_default_link_metric_l2_adv=v6_default_link_metric_l2_adv, redis_protocol=redis_protocol, no_routes_redis=no_routes_redis, v6_redis_protocol=v6_redis_protocol, v6_no_routes_redis=v6_no_routes_redis, auth_mode_l1=auth_mode_l1, auth_mode_l2=auth_mode_l2, auth_key_l1=auth_key_l1, auth_key_l2=auth_key_l2, metric_style_l1=metric_style_l1, metric_style_l2=metric_style_l2, graceful_restart_helper=graceful_restart_helper, pspf_optimization=pspf_optimization, spf_max_wait_l1=spf_max_wait_l1, spf_max_wait_l2=spf_max_wait_l2, spf_init_wait_l1=spf_init_wait_l1, spf_init_wait_l2=spf_init_wait_l2, spf_second_wait_l1=spf_second_wait_l1, spf_second_wait_l2=spf_second_wait_l2, spf_scheduled_l1=spf_scheduled_l1, spf_scheduled_l2=spf_scheduled_l2, pspf_max_wait=pspf_max_wait, pspf_init_wait=pspf_init_wait, pspf_second_wait=pspf_second_wait, pspf_scheduled=pspf_scheduled, spf6_max_wait_l1=spf6_max_wait_l1, spf6_max_wait_l2=spf6_max_wait_l2, spf6_init_wait_l1=spf6_init_wait_l1, spf6_init_wait_l2=spf6_init_wait_l2, spf6_second_wait_l1=spf6_second_wait_l1, spf6_second_wait_l2=spf6_second_wait_l2, spf6_scheduled_l1=spf6_scheduled_l1, spf6_scheduled_l2=spf6_scheduled_l2, pspf6_max_wait=pspf6_max_wait, pspf6_init_wait=pspf6_init_wait, pspf6_second_wait=pspf6_second_wait, pspf6_scheduled=pspf6_scheduled, lsp_max_lifetime=lsp_max_lifetime, lsp_refresh_interval=lsp_refresh_interval, lsp_gen_interval=lsp_gen_interval, lsp_retrans_interval=lsp_retrans_interval, lsp_interval=lsp_interval, snp_csnp_interval=snp_csnp_interval, snp_psnp_interval=snp_psnp_interval, hello_padding=hello_padding, hello_padding_ptp=hello_padding_ptp, ptp_handshake=ptp_handshake, bgp_ipv4_converged=bgp_ipv4_converged, bgp_ipv6_converged=bgp_ipv6_converged, isis_te=isis_te, isis_shortcuts=isis_shortcuts, isis_reverse_metric=isis_reverse_metric, isis_reverse_metric_wbit=isis_reverse_metric_wbit, isis_reverse_metric_sbit=isis_reverse_metric_sbit, bfd_enabled=bfd_enabled, bfd_hold_interval=bfd_hold_interval, nsr_enabled=nsr_enabled, nsr_state=nsr_state, nsr_standby_state=nsr_standby_state, nsr_sync_state=nsr_sync_state, isis_is_mp=isis_is_mp, ldp_sync=ldp_sync, ldp_sync_holddown_time=ldp_sync_holddown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_admin_distance_update(self, admin_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type admin_distance: long
    :param admin_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, admin_distance=admin_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, admin_distance=admin_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_area_addresses_update(self, area_addresses=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type area_addresses: unicode
    :param area_addresses: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area_addresses=area_addresses)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area_addresses=area_addresses)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_auth_key_l1_update(self, auth_key_l1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_key_l1: unicode
    :param auth_key_l1: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_key_l1=auth_key_l1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_key_l1=auth_key_l1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_auth_key_l2_update(self, auth_key_l2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_key_l2: unicode
    :param auth_key_l2: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_key_l2=auth_key_l2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_key_l2=auth_key_l2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_auth_mode_l1_update(self, auth_mode_l1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_mode_l1: unicode
    :param auth_mode_l1: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_mode_l1=auth_mode_l1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_mode_l1=auth_mode_l1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_auth_mode_l2_update(self, auth_mode_l2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_mode_l2: unicode
    :param auth_mode_l2: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_mode_l2=auth_mode_l2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_mode_l2=auth_mode_l2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_bfd_enabled_update(self, bfd_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bfd_enabled: YANGBool
    :param bfd_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_enabled=bfd_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_enabled=bfd_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_bfd_hold_interval_update(self, bfd_hold_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bfd_hold_interval: long
    :param bfd_hold_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_hold_interval=bfd_hold_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_hold_interval=bfd_hold_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_bgp_ipv4_converged_update(self, bgp_ipv4_converged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_ipv4_converged: YANGBool
    :param bgp_ipv4_converged: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_ipv4_converged=bgp_ipv4_converged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_ipv4_converged=bgp_ipv4_converged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_bgp_ipv6_converged_update(self, bgp_ipv6_converged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_ipv6_converged: YANGBool
    :param bgp_ipv6_converged: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_ipv6_converged=bgp_ipv6_converged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_ipv6_converged=bgp_ipv6_converged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_check_alarm_update(self, check_alarm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type check_alarm: YANGBool
    :param check_alarm: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, check_alarm=check_alarm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, check_alarm=check_alarm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_database_state_level_1_update(self, database_state_level_1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type database_state_level_1: unicode
    :param database_state_level_1: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database_state_level_1=database_state_level_1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database_state_level_1=database_state_level_1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_database_state_level_1_2_update(self, database_state_level_1_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type database_state_level_1_2: unicode
    :param database_state_level_1_2: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database_state_level_1_2=database_state_level_1_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database_state_level_1_2=database_state_level_1_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_database_state_level_2_update(self, database_state_level_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type database_state_level_2: unicode
    :param database_state_level_2: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, database_state_level_2=database_state_level_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database_state_level_2=database_state_level_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_default_link_metric_l1_adv_update(self, default_link_metric_l1_adv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_link_metric_l1_adv: long
    :param default_link_metric_l1_adv: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_link_metric_l1_adv=default_link_metric_l1_adv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_link_metric_l1_adv=default_link_metric_l1_adv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_default_link_metric_l1_conf_update(self, default_link_metric_l1_conf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_link_metric_l1_conf: long
    :param default_link_metric_l1_conf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_link_metric_l1_conf=default_link_metric_l1_conf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_link_metric_l1_conf=default_link_metric_l1_conf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_default_link_metric_l2_adv_update(self, default_link_metric_l2_adv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_link_metric_l2_adv: long
    :param default_link_metric_l2_adv: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_link_metric_l2_adv=default_link_metric_l2_adv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_link_metric_l2_adv=default_link_metric_l2_adv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_default_link_metric_l2_conf_update(self, default_link_metric_l2_conf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_link_metric_l2_conf: long
    :param default_link_metric_l2_conf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_link_metric_l2_conf=default_link_metric_l2_conf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_link_metric_l2_conf=default_link_metric_l2_conf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_default_redis_metric_update(self, default_redis_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_redis_metric: long
    :param default_redis_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_redis_metric=default_redis_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_redis_metric=default_redis_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_graceful_restart_helper_update(self, graceful_restart_helper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type graceful_restart_helper: YANGBool
    :param graceful_restart_helper: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, graceful_restart_helper=graceful_restart_helper)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, graceful_restart_helper=graceful_restart_helper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_hello_padding_update(self, hello_padding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_padding: YANGBool
    :param hello_padding: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_padding=hello_padding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_padding=hello_padding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_hello_padding_ptp_update(self, hello_padding_ptp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_padding_ptp: long
    :param hello_padding_ptp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_padding_ptp=hello_padding_ptp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_padding_ptp=hello_padding_ptp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_is_type_update(self, is_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type is_type: long
    :param is_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, is_type=is_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, is_type=is_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_isis_is_mp_update(self, isis_is_mp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_is_mp: YANGBool
    :param isis_is_mp: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_is_mp=isis_is_mp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_is_mp=isis_is_mp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_isis_protocol_update(self, isis_protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_protocol: YANGBool
    :param isis_protocol: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_protocol=isis_protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_protocol=isis_protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_isis_reverse_metric_update(self, isis_reverse_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_reverse_metric: long
    :param isis_reverse_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_reverse_metric=isis_reverse_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_reverse_metric=isis_reverse_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_isis_reverse_metric_sbit_update(self, isis_reverse_metric_sbit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_reverse_metric_sbit: long
    :param isis_reverse_metric_sbit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_reverse_metric_sbit=isis_reverse_metric_sbit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_reverse_metric_sbit=isis_reverse_metric_sbit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_isis_reverse_metric_wbit_update(self, isis_reverse_metric_wbit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_reverse_metric_wbit: long
    :param isis_reverse_metric_wbit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_reverse_metric_wbit=isis_reverse_metric_wbit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_reverse_metric_wbit=isis_reverse_metric_wbit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_isis_shortcuts_update(self, isis_shortcuts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_shortcuts: unicode
    :param isis_shortcuts: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_shortcuts=isis_shortcuts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_shortcuts=isis_shortcuts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_isis_state_update(self, isis_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_state: YANGBool
    :param isis_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_state=isis_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_state=isis_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_isis_te_update(self, isis_te=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_te: YANGBool
    :param isis_te: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_te=isis_te)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_te=isis_te)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_l1_auth_no_check_update(self, l1_auth_no_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type l1_auth_no_check: unicode
    :param l1_auth_no_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1_auth_no_check=l1_auth_no_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1_auth_no_check=l1_auth_no_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_l2_auth_no_check_update(self, l2_auth_no_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_auth_no_check: unicode
    :param l2_auth_no_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_auth_no_check=l2_auth_no_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_auth_no_check=l2_auth_no_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_ldp_sync_update(self, ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_sync: YANGBool
    :param ldp_sync: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_sync=ldp_sync)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_sync=ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_ldp_sync_holddown_time_update(self, ldp_sync_holddown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_sync_holddown_time: long
    :param ldp_sync_holddown_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_sync_holddown_time=ldp_sync_holddown_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_sync_holddown_time=ldp_sync_holddown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_lsp_gen_interval_update(self, lsp_gen_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_gen_interval: long
    :param lsp_gen_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_gen_interval=lsp_gen_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_gen_interval=lsp_gen_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_lsp_interval_update(self, lsp_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_interval: long
    :param lsp_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_interval=lsp_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_interval=lsp_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_lsp_max_lifetime_update(self, lsp_max_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_max_lifetime: long
    :param lsp_max_lifetime: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_max_lifetime=lsp_max_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_max_lifetime=lsp_max_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_lsp_refresh_interval_update(self, lsp_refresh_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_refresh_interval: long
    :param lsp_refresh_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_refresh_interval=lsp_refresh_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_refresh_interval=lsp_refresh_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_lsp_retrans_interval_update(self, lsp_retrans_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_retrans_interval: long
    :param lsp_retrans_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_retrans_interval=lsp_retrans_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_retrans_interval=lsp_retrans_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_max_paths_update(self, max_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_paths: long
    :param max_paths: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_paths=max_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_paths=max_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_metric_style_l1_update(self, metric_style_l1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type metric_style_l1: unicode
    :param metric_style_l1: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, metric_style_l1=metric_style_l1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, metric_style_l1=metric_style_l1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_metric_style_l2_update(self, metric_style_l2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type metric_style_l2: unicode
    :param metric_style_l2: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, metric_style_l2=metric_style_l2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, metric_style_l2=metric_style_l2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_no_routes_redis_update(self, no_routes_redis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type no_routes_redis: long
    :param no_routes_redis: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, no_routes_redis=no_routes_redis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, no_routes_redis=no_routes_redis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_nsr_enabled_update(self, nsr_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type nsr_enabled: YANGBool
    :param nsr_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsr_enabled=nsr_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsr_enabled=nsr_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_nsr_standby_state_update(self, nsr_standby_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type nsr_standby_state: unicode
    :param nsr_standby_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsr_standby_state=nsr_standby_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsr_standby_state=nsr_standby_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_nsr_state_update(self, nsr_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type nsr_state: unicode
    :param nsr_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsr_state=nsr_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsr_state=nsr_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_nsr_sync_state_update(self, nsr_sync_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type nsr_sync_state: YANGBool
    :param nsr_sync_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsr_sync_state=nsr_sync_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsr_sync_state=nsr_sync_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_overload_reason_update(self, overload_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type overload_reason: unicode
    :param overload_reason: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overload_reason=overload_reason)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overload_reason=overload_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_overload_state_rem_time_update(self, overload_state_rem_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type overload_state_rem_time: unicode
    :param overload_state_rem_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overload_state_rem_time=overload_state_rem_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overload_state_rem_time=overload_state_rem_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_overload_state_since_update(self, overload_state_since=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type overload_state_since: unicode
    :param overload_state_since: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overload_state_since=overload_state_since)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overload_state_since=overload_state_since)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_pspf6_init_wait_update(self, pspf6_init_wait=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf6_init_wait: long
    :param pspf6_init_wait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf6_init_wait=pspf6_init_wait)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf6_init_wait=pspf6_init_wait)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_pspf6_max_wait_update(self, pspf6_max_wait=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf6_max_wait: long
    :param pspf6_max_wait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf6_max_wait=pspf6_max_wait)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf6_max_wait=pspf6_max_wait)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_pspf6_scheduled_update(self, pspf6_scheduled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf6_scheduled: unicode
    :param pspf6_scheduled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf6_scheduled=pspf6_scheduled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf6_scheduled=pspf6_scheduled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_pspf6_second_wait_update(self, pspf6_second_wait=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf6_second_wait: long
    :param pspf6_second_wait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf6_second_wait=pspf6_second_wait)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf6_second_wait=pspf6_second_wait)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_pspf_init_wait_update(self, pspf_init_wait=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf_init_wait: long
    :param pspf_init_wait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf_init_wait=pspf_init_wait)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf_init_wait=pspf_init_wait)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_pspf_max_wait_update(self, pspf_max_wait=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf_max_wait: long
    :param pspf_max_wait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf_max_wait=pspf_max_wait)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf_max_wait=pspf_max_wait)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_pspf_optimization_update(self, pspf_optimization=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf_optimization: YANGBool
    :param pspf_optimization: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf_optimization=pspf_optimization)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf_optimization=pspf_optimization)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_pspf_scheduled_update(self, pspf_scheduled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf_scheduled: unicode
    :param pspf_scheduled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf_scheduled=pspf_scheduled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf_scheduled=pspf_scheduled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_pspf_second_wait_update(self, pspf_second_wait=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf_second_wait: long
    :param pspf_second_wait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf_second_wait=pspf_second_wait)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf_second_wait=pspf_second_wait)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_ptp_handshake_update(self, ptp_handshake=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ptp_handshake: YANGBool
    :param ptp_handshake: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ptp_handshake=ptp_handshake)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ptp_handshake=ptp_handshake)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_redis_protocol_update(self, redis_protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redis_protocol: unicode
    :param redis_protocol: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redis_protocol=redis_protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redis_protocol=redis_protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_snp_csnp_interval_update(self, snp_csnp_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type snp_csnp_interval: long
    :param snp_csnp_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, snp_csnp_interval=snp_csnp_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, snp_csnp_interval=snp_csnp_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_snp_psnp_interval_update(self, snp_psnp_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type snp_psnp_interval: long
    :param snp_psnp_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, snp_psnp_interval=snp_psnp_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, snp_psnp_interval=snp_psnp_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf6_init_wait_l1_update(self, spf6_init_wait_l1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf6_init_wait_l1: long
    :param spf6_init_wait_l1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf6_init_wait_l1=spf6_init_wait_l1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf6_init_wait_l1=spf6_init_wait_l1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf6_init_wait_l2_update(self, spf6_init_wait_l2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf6_init_wait_l2: long
    :param spf6_init_wait_l2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf6_init_wait_l2=spf6_init_wait_l2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf6_init_wait_l2=spf6_init_wait_l2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf6_max_wait_l1_update(self, spf6_max_wait_l1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf6_max_wait_l1: long
    :param spf6_max_wait_l1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf6_max_wait_l1=spf6_max_wait_l1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf6_max_wait_l1=spf6_max_wait_l1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf6_max_wait_l2_update(self, spf6_max_wait_l2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf6_max_wait_l2: long
    :param spf6_max_wait_l2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf6_max_wait_l2=spf6_max_wait_l2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf6_max_wait_l2=spf6_max_wait_l2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf6_scheduled_l1_update(self, spf6_scheduled_l1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf6_scheduled_l1: unicode
    :param spf6_scheduled_l1: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf6_scheduled_l1=spf6_scheduled_l1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf6_scheduled_l1=spf6_scheduled_l1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf6_scheduled_l2_update(self, spf6_scheduled_l2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf6_scheduled_l2: unicode
    :param spf6_scheduled_l2: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf6_scheduled_l2=spf6_scheduled_l2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf6_scheduled_l2=spf6_scheduled_l2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf6_second_wait_l1_update(self, spf6_second_wait_l1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf6_second_wait_l1: long
    :param spf6_second_wait_l1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf6_second_wait_l1=spf6_second_wait_l1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf6_second_wait_l1=spf6_second_wait_l1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf6_second_wait_l2_update(self, spf6_second_wait_l2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf6_second_wait_l2: long
    :param spf6_second_wait_l2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf6_second_wait_l2=spf6_second_wait_l2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf6_second_wait_l2=spf6_second_wait_l2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf_init_wait_l1_update(self, spf_init_wait_l1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf_init_wait_l1: long
    :param spf_init_wait_l1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_init_wait_l1=spf_init_wait_l1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_init_wait_l1=spf_init_wait_l1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf_init_wait_l2_update(self, spf_init_wait_l2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf_init_wait_l2: long
    :param spf_init_wait_l2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_init_wait_l2=spf_init_wait_l2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_init_wait_l2=spf_init_wait_l2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf_max_wait_l1_update(self, spf_max_wait_l1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf_max_wait_l1: long
    :param spf_max_wait_l1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_max_wait_l1=spf_max_wait_l1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_max_wait_l1=spf_max_wait_l1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf_max_wait_l2_update(self, spf_max_wait_l2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf_max_wait_l2: long
    :param spf_max_wait_l2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_max_wait_l2=spf_max_wait_l2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_max_wait_l2=spf_max_wait_l2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf_scheduled_l1_update(self, spf_scheduled_l1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf_scheduled_l1: unicode
    :param spf_scheduled_l1: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_scheduled_l1=spf_scheduled_l1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_scheduled_l1=spf_scheduled_l1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf_scheduled_l2_update(self, spf_scheduled_l2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf_scheduled_l2: unicode
    :param spf_scheduled_l2: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_scheduled_l2=spf_scheduled_l2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_scheduled_l2=spf_scheduled_l2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf_second_wait_l1_update(self, spf_second_wait_l1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf_second_wait_l1: long
    :param spf_second_wait_l1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_second_wait_l1=spf_second_wait_l1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_second_wait_l1=spf_second_wait_l1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_spf_second_wait_l2_update(self, spf_second_wait_l2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spf_second_wait_l2: long
    :param spf_second_wait_l2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_second_wait_l2=spf_second_wait_l2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_second_wait_l2=spf_second_wait_l2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_system_id_update(self, system_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type system_id: unicode
    :param system_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, system_id=system_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, system_id=system_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_v6_admin_distance_update(self, v6_admin_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v6_admin_distance: long
    :param v6_admin_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v6_admin_distance=v6_admin_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v6_admin_distance=v6_admin_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_v6_default_link_metric_l1_adv_update(self, v6_default_link_metric_l1_adv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v6_default_link_metric_l1_adv: long
    :param v6_default_link_metric_l1_adv: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v6_default_link_metric_l1_adv=v6_default_link_metric_l1_adv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v6_default_link_metric_l1_adv=v6_default_link_metric_l1_adv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_v6_default_link_metric_l1_conf_update(self, v6_default_link_metric_l1_conf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v6_default_link_metric_l1_conf: long
    :param v6_default_link_metric_l1_conf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v6_default_link_metric_l1_conf=v6_default_link_metric_l1_conf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v6_default_link_metric_l1_conf=v6_default_link_metric_l1_conf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_v6_default_link_metric_l2_adv_update(self, v6_default_link_metric_l2_adv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v6_default_link_metric_l2_adv: long
    :param v6_default_link_metric_l2_adv: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v6_default_link_metric_l2_adv=v6_default_link_metric_l2_adv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v6_default_link_metric_l2_adv=v6_default_link_metric_l2_adv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_v6_default_link_metric_l2_conf_update(self, v6_default_link_metric_l2_conf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v6_default_link_metric_l2_conf: long
    :param v6_default_link_metric_l2_conf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v6_default_link_metric_l2_conf=v6_default_link_metric_l2_conf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v6_default_link_metric_l2_conf=v6_default_link_metric_l2_conf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_v6_default_redis_metric_update(self, v6_default_redis_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v6_default_redis_metric: long
    :param v6_default_redis_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v6_default_redis_metric=v6_default_redis_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v6_default_redis_metric=v6_default_redis_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_v6_max_paths_update(self, v6_max_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v6_max_paths: long
    :param v6_max_paths: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v6_max_paths=v6_max_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v6_max_paths=v6_max_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_v6_no_routes_redis_update(self, v6_no_routes_redis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v6_no_routes_redis: long
    :param v6_no_routes_redis: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v6_no_routes_redis=v6_no_routes_redis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v6_no_routes_redis=v6_no_routes_redis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_v6_redis_protocol_update(self, v6_redis_protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type v6_redis_protocol: unicode
    :param v6_redis_protocol: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.global_isis_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v6_redis_protocol=v6_redis_protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v6_redis_protocol=v6_redis_protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_host_table_update(self, hostname_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hostname_enabled: YANGBool
    :param hostname_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.host_table', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hostname_enabled=hostname_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hostname_enabled=hostname_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_host_table_hostname_enabled_update(self, hostname_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hostname_enabled: YANGBool
    :param hostname_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.host_table', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hostname_enabled=hostname_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hostname_enabled=hostname_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_host_table_isis_router_entry_update(self, isis_router_entry=None, host_name=None, is_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_router_entry: system_id
    :param isis_router_entry: Keyword argument tuple.

    :type system_id: unicode
    :param system_id: **isis_router_entry** tuple argument.

    **Instance Argument(s)**:

    :type host_name: unicode
    :param host_name: Keyword argument.

    :type is_local: YANGBool
    :param is_local: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table.isis_router_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.host_table.isis_router_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_router_entry', 'keyval': 'system_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_router_entry=isis_router_entry, host_name=host_name, is_local=is_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_router_entry=isis_router_entry, host_name=host_name, is_local=is_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_host_table_isis_router_entry_host_name_update(self, isis_router_entry=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_router_entry: system_id
    :param isis_router_entry: Keyword argument tuple.

    :type system_id: unicode
    :param system_id: **isis_router_entry** tuple argument.

    **Instance Argument(s)**:

    :type host_name: unicode
    :param host_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table.isis_router_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.host_table.isis_router_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_router_entry', 'keyval': 'system_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_router_entry=isis_router_entry, host_name=host_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_router_entry=isis_router_entry, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_host_table_isis_router_entry_is_local_update(self, isis_router_entry=None, is_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_router_entry: system_id
    :param isis_router_entry: Keyword argument tuple.

    :type system_id: unicode
    :param system_id: **isis_router_entry** tuple argument.

    **Instance Argument(s)**:

    :type is_local: YANGBool
    :param is_local: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table.isis_router_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.host_table.isis_router_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_router_entry', 'keyval': 'system_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_router_entry=isis_router_entry, is_local=is_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_router_entry=isis_router_entry, is_local=is_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_brief_isis_intf_brief_update(self, isis_intf_brief=None, circuit_type=None, is_circuit_passive=None, circuit_mode=None, circ_state=None, mtu_size=None, circ_adj_up=None, circ_changes=None, adj_changes=None, is_l1_dis=None, is_l2_dis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf_brief: intf_name
    :param isis_intf_brief: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf_brief** tuple argument.

    **Instance Argument(s)**:

    :type circuit_type: unicode
    :param circuit_type: Keyword argument.

        * enumeration restriction: ::

            ['is-circ-lan',
            'is-circ-ptpt',
            'is-circ-unknown']

    :type is_circuit_passive: unicode
    :param is_circuit_passive: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type circuit_mode: unicode
    :param circuit_mode: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type circ_state: YANGBool
    :param circ_state: Keyword argument.

    :type mtu_size: int
    :param mtu_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type circ_adj_up: int
    :param circ_adj_up: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type circ_changes: long
    :param circ_changes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_changes: long
    :param adj_changes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_l1_dis: YANGBool
    :param is_l1_dis: Keyword argument.

    :type is_l2_dis: YANGBool
    :param is_l2_dis: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_type, intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief": {"circuit_mode": "circuit_mode", "circ_adj_up": "circ_adj_up", "circuit_type": "circuit_type", "mtu_size": "mtu_size", "is_circuit_passive": "is_circuit_passive", "intf_name": "intf_name", "circ_changes": "circ_changes", "is_l2_dis": "is_l2_dis", "adj_changes": "adj_changes", "circ_state": "circ_state", "is_l1_dis": "is_l1_dis"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf_brief=isis_intf_brief, circuit_type=circuit_type, is_circuit_passive=is_circuit_passive, circuit_mode=circuit_mode, circ_state=circ_state, mtu_size=mtu_size, circ_adj_up=circ_adj_up, circ_changes=circ_changes, adj_changes=adj_changes, is_l1_dis=is_l1_dis, is_l2_dis=is_l2_dis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf_brief=isis_intf_brief, circuit_type=circuit_type, is_circuit_passive=is_circuit_passive, circuit_mode=circuit_mode, circ_state=circ_state, mtu_size=mtu_size, circ_adj_up=circ_adj_up, circ_changes=circ_changes, adj_changes=adj_changes, is_l1_dis=is_l1_dis, is_l2_dis=is_l2_dis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_brief_isis_intf_brief_adj_changes_update(self, isis_intf_brief=None, adj_changes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf_brief: intf_name
    :param isis_intf_brief: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf_brief** tuple argument.

    **Instance Argument(s)**:

    :type adj_changes: long
    :param adj_changes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_type, intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief": {"adj_changes": "adj_changes", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf_brief=isis_intf_brief, adj_changes=adj_changes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf_brief=isis_intf_brief, adj_changes=adj_changes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_brief_isis_intf_brief_circ_adj_up_update(self, isis_intf_brief=None, circ_adj_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf_brief: intf_name
    :param isis_intf_brief: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf_brief** tuple argument.

    **Instance Argument(s)**:

    :type circ_adj_up: int
    :param circ_adj_up: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_type, intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief": {"circ_adj_up": "circ_adj_up", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf_brief=isis_intf_brief, circ_adj_up=circ_adj_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf_brief=isis_intf_brief, circ_adj_up=circ_adj_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_brief_isis_intf_brief_circ_changes_update(self, isis_intf_brief=None, circ_changes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf_brief: intf_name
    :param isis_intf_brief: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf_brief** tuple argument.

    **Instance Argument(s)**:

    :type circ_changes: long
    :param circ_changes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_type, intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief": {"intf_name": "intf_name", "circ_changes": "circ_changes"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf_brief=isis_intf_brief, circ_changes=circ_changes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf_brief=isis_intf_brief, circ_changes=circ_changes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_brief_isis_intf_brief_circ_state_update(self, isis_intf_brief=None, circ_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf_brief: intf_name
    :param isis_intf_brief: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf_brief** tuple argument.

    **Instance Argument(s)**:

    :type circ_state: YANGBool
    :param circ_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_type, intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief": {"circ_state": "circ_state", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf_brief=isis_intf_brief, circ_state=circ_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf_brief=isis_intf_brief, circ_state=circ_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_brief_isis_intf_brief_circuit_mode_update(self, isis_intf_brief=None, circuit_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf_brief: intf_name
    :param isis_intf_brief: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf_brief** tuple argument.

    **Instance Argument(s)**:

    :type circuit_mode: unicode
    :param circuit_mode: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_type, intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief": {"circuit_mode": "circuit_mode", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf_brief=isis_intf_brief, circuit_mode=circuit_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf_brief=isis_intf_brief, circuit_mode=circuit_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_brief_isis_intf_brief_circuit_type_update(self, isis_intf_brief=None, circuit_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf_brief: intf_name
    :param isis_intf_brief: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf_brief** tuple argument.

    **Instance Argument(s)**:

    :type circuit_type: unicode
    :param circuit_type: Keyword argument.

        * enumeration restriction: ::

            ['is-circ-lan',
            'is-circ-ptpt',
            'is-circ-unknown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_type, intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief": {"circuit_type": "circuit_type", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf_brief=isis_intf_brief, circuit_type=circuit_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf_brief=isis_intf_brief, circuit_type=circuit_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_brief_isis_intf_brief_is_circuit_passive_update(self, isis_intf_brief=None, is_circuit_passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf_brief: intf_name
    :param isis_intf_brief: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf_brief** tuple argument.

    **Instance Argument(s)**:

    :type is_circuit_passive: unicode
    :param is_circuit_passive: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_type, intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief": {"is_circuit_passive": "is_circuit_passive", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf_brief=isis_intf_brief, is_circuit_passive=is_circuit_passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf_brief=isis_intf_brief, is_circuit_passive=is_circuit_passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_brief_isis_intf_brief_is_l1_dis_update(self, isis_intf_brief=None, is_l1_dis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf_brief: intf_name
    :param isis_intf_brief: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf_brief** tuple argument.

    **Instance Argument(s)**:

    :type is_l1_dis: YANGBool
    :param is_l1_dis: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_type, intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief": {"intf_name": "intf_name", "is_l1_dis": "is_l1_dis"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf_brief=isis_intf_brief, is_l1_dis=is_l1_dis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf_brief=isis_intf_brief, is_l1_dis=is_l1_dis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_brief_isis_intf_brief_is_l2_dis_update(self, isis_intf_brief=None, is_l2_dis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf_brief: intf_name
    :param isis_intf_brief: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf_brief** tuple argument.

    **Instance Argument(s)**:

    :type is_l2_dis: YANGBool
    :param is_l2_dis: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_type, intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief": {"is_l2_dis": "is_l2_dis", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf_brief=isis_intf_brief, is_l2_dis=is_l2_dis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf_brief=isis_intf_brief, is_l2_dis=is_l2_dis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_brief_isis_intf_brief_mtu_size_update(self, isis_intf_brief=None, mtu_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf_brief: intf_name
    :param isis_intf_brief: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf_brief** tuple argument.

    **Instance Argument(s)**:

    :type mtu_size: int
    :param mtu_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_type, intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_brief.isis_intf_brief": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief": {"mtu_size": "mtu_size", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf_brief=isis_intf_brief, mtu_size=mtu_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf_brief=isis_intf_brief, mtu_size=mtu_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_update(self, isis_intf=None, intf_type=None, intf_index=None, v4circuit_enabled=None, v6circuit_enabled=None, circuit_id=None, circuit_ifid=None, circuit_state=None, circuit_ip_state=None, circuit_ipv6_state=None, circuit_mode=None, circuit_type=None, circuit_encap=None, is_circuit_passive=None, mtu_size=None, padding_enabled=None, bfd_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type intf_type: unicode
    :param intf_type: Keyword argument.

        * enumeration restriction: ::

            ['isis-interface-type-unknown',
            'isis-interface-type-port-channel',
            'isis-interface-type-ethernet',
            'isis-interface-type-ve',
            'isis-interface-type-loopback']

    :type intf_index: long
    :param intf_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v4circuit_enabled: unicode
    :param v4circuit_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type v6circuit_enabled: unicode
    :param v6circuit_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type circuit_id: int
    :param circuit_id: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type circuit_ifid: int
    :param circuit_ifid: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type circuit_state: YANGBool
    :param circuit_state: Keyword argument.

    :type circuit_ip_state: YANGBool
    :param circuit_ip_state: Keyword argument.

    :type circuit_ipv6_state: YANGBool
    :param circuit_ipv6_state: Keyword argument.

    :type circuit_mode: unicode
    :param circuit_mode: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type circuit_type: unicode
    :param circuit_type: Keyword argument.

        * enumeration restriction: ::

            ['is-circ-lan',
            'is-circ-ptpt',
            'is-circ-unknown']

    :type circuit_encap: unicode
    :param circuit_encap: Keyword argument.

        * enumeration restriction: ::

            ['undef', 'ppp', 'chdlc']

    :type is_circuit_passive: unicode
    :param is_circuit_passive: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type mtu_size: int
    :param mtu_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type padding_enabled: unicode
    :param padding_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type bfd_enabled: unicode
    :param bfd_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"circuit_mode": "circuit_mode", "padding_enabled": "padding_enabled", "intf_type": "intf_type", "circuit_ifid": "circuit_ifid", "circuit_type": "circuit_type", "circuit_id": "circuit_id", "mtu_size": "mtu_size", "intf_index": "intf_index", "circuit_state": "circuit_state", "v4circuit_enabled": "v4circuit_enabled", "circuit_ip_state": "circuit_ip_state", "v6circuit_enabled": "v6circuit_enabled", "is_circuit_passive": "is_circuit_passive", "intf_name": "intf_name", "circuit_encap": "circuit_encap", "circuit_ipv6_state": "circuit_ipv6_state", "bfd_enabled": "bfd_enabled"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, intf_type=intf_type, intf_index=intf_index, v4circuit_enabled=v4circuit_enabled, v6circuit_enabled=v6circuit_enabled, circuit_id=circuit_id, circuit_ifid=circuit_ifid, circuit_state=circuit_state, circuit_ip_state=circuit_ip_state, circuit_ipv6_state=circuit_ipv6_state, circuit_mode=circuit_mode, circuit_type=circuit_type, circuit_encap=circuit_encap, is_circuit_passive=is_circuit_passive, mtu_size=mtu_size, padding_enabled=padding_enabled, bfd_enabled=bfd_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, intf_type=intf_type, intf_index=intf_index, v4circuit_enabled=v4circuit_enabled, v6circuit_enabled=v6circuit_enabled, circuit_id=circuit_id, circuit_ifid=circuit_ifid, circuit_state=circuit_state, circuit_ip_state=circuit_ip_state, circuit_ipv6_state=circuit_ipv6_state, circuit_mode=circuit_mode, circuit_type=circuit_type, circuit_encap=circuit_encap, is_circuit_passive=is_circuit_passive, mtu_size=mtu_size, padding_enabled=padding_enabled, bfd_enabled=bfd_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_bfd_enabled_update(self, isis_intf=None, bfd_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type bfd_enabled: unicode
    :param bfd_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"bfd_enabled": "bfd_enabled", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, bfd_enabled=bfd_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, bfd_enabled=bfd_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_chstats_update(self, isis_intf=None, circ_changes=None, adj_changes=None, adj_rej=None, l1authfail=None, l2authfail=None, bad_lsps=None, ctrl_out=None, ctrl_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circ_changes: long
    :param circ_changes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_changes: long
    :param adj_changes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_rej: long
    :param adj_rej: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l1authfail: long
    :param l1authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2authfail: long
    :param l2authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bad_lsps: long
    :param bad_lsps: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ctrl_out: long
    :param ctrl_out: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ctrl_in: long
    :param ctrl_in: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_changes=circ_changes, adj_changes=adj_changes, adj_rej=adj_rej, l1authfail=l1authfail, l2authfail=l2authfail, bad_lsps=bad_lsps, ctrl_out=ctrl_out, ctrl_in=ctrl_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_changes=circ_changes, adj_changes=adj_changes, adj_rej=adj_rej, l1authfail=l1authfail, l2authfail=l2authfail, bad_lsps=bad_lsps, ctrl_out=ctrl_out, ctrl_in=ctrl_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_chstats_adj_changes_update(self, isis_intf=None, adj_changes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type adj_changes: long
    :param adj_changes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, adj_changes=adj_changes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, adj_changes=adj_changes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_chstats_adj_rej_update(self, isis_intf=None, adj_rej=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type adj_rej: long
    :param adj_rej: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, adj_rej=adj_rej)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, adj_rej=adj_rej)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_chstats_bad_lsps_update(self, isis_intf=None, bad_lsps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type bad_lsps: long
    :param bad_lsps: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, bad_lsps=bad_lsps)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, bad_lsps=bad_lsps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_chstats_circ_changes_update(self, isis_intf=None, circ_changes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circ_changes: long
    :param circ_changes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_changes=circ_changes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_changes=circ_changes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_chstats_ctrl_in_update(self, isis_intf=None, ctrl_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type ctrl_in: long
    :param ctrl_in: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ctrl_in=ctrl_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ctrl_in=ctrl_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_chstats_ctrl_out_update(self, isis_intf=None, ctrl_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type ctrl_out: long
    :param ctrl_out: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ctrl_out=ctrl_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ctrl_out=ctrl_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_chstats_l1authfail_update(self, isis_intf=None, l1authfail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type l1authfail: long
    :param l1authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, l1authfail=l1authfail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, l1authfail=l1authfail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_chstats_l2authfail_update(self, isis_intf=None, l2authfail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type l2authfail: long
    :param l2authfail: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, l2authfail=l2authfail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, l2authfail=l2authfail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_metrics_update(self, isis_intf=None, circ_metrics=None, auth_check=None, auth_mode=None, auth_key=None, circ_metric=None, ip6_circ_metric=None, circ_priority=None, hello_int=None, hello_mult=None, dis=None, dis_ch=None, next_hello=None, active_adj=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_type, intf_number
    :param isis_intf: Keyword argument tuple.

    :type intf_type: unicode
    :param intf_type: **isis_intf** tuple argument.

        * enumeration restriction: ::

            ['eth', 've', 'invalid', 'loopback']

    :type intf_number: unicode
    :param intf_number: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type circ_metrics: level
    :param circ_metrics: Keyword argument tuple.

    :type level: unicode
    :param level: **circ_metrics** tuple argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    **Instance Argument(s)**:

    :type auth_check: unicode
    :param auth_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type auth_mode: unicode
    :param auth_mode: Keyword argument.

        * enumeration restriction: ::

            ['none', 'cleartext', 'md5']

    :type auth_key: unicode
    :param auth_key: Keyword argument.

    :type circ_metric: long
    :param circ_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip6_circ_metric: long
    :param ip6_circ_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type circ_priority: int
    :param circ_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type hello_int: long
    :param hello_int: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_mult: long
    :param hello_mult: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dis: unicode
    :param dis: Keyword argument.

    :type dis_ch: long
    :param dis_ch: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type next_hello: long
    :param next_hello: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type active_adj: long
    :param active_adj: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_metrics', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'circ_metrics', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metrics=circ_metrics, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metrics=circ_metrics, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_metrics_active_adj_update(self, isis_intf=None, circ_metrics=None, active_adj=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_type, intf_number
    :param isis_intf: Keyword argument tuple.

    :type intf_type: unicode
    :param intf_type: **isis_intf** tuple argument.

        * enumeration restriction: ::

            ['eth', 've', 'invalid', 'loopback']

    :type intf_number: unicode
    :param intf_number: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type circ_metrics: level
    :param circ_metrics: Keyword argument tuple.

    :type level: unicode
    :param level: **circ_metrics** tuple argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    **Instance Argument(s)**:

    :type active_adj: long
    :param active_adj: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_metrics', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'circ_metrics', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metrics=circ_metrics, active_adj=active_adj)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metrics=circ_metrics, active_adj=active_adj)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_metrics_auth_check_update(self, isis_intf=None, circ_metrics=None, auth_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_type, intf_number
    :param isis_intf: Keyword argument tuple.

    :type intf_type: unicode
    :param intf_type: **isis_intf** tuple argument.

        * enumeration restriction: ::

            ['eth', 've', 'invalid', 'loopback']

    :type intf_number: unicode
    :param intf_number: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type circ_metrics: level
    :param circ_metrics: Keyword argument tuple.

    :type level: unicode
    :param level: **circ_metrics** tuple argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    **Instance Argument(s)**:

    :type auth_check: unicode
    :param auth_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_metrics', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'circ_metrics', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metrics=circ_metrics, auth_check=auth_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metrics=circ_metrics, auth_check=auth_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_metrics_auth_key_update(self, isis_intf=None, circ_metrics=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_type, intf_number
    :param isis_intf: Keyword argument tuple.

    :type intf_type: unicode
    :param intf_type: **isis_intf** tuple argument.

        * enumeration restriction: ::

            ['eth', 've', 'invalid', 'loopback']

    :type intf_number: unicode
    :param intf_number: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type circ_metrics: level
    :param circ_metrics: Keyword argument tuple.

    :type level: unicode
    :param level: **circ_metrics** tuple argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_metrics', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'circ_metrics', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metrics=circ_metrics, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metrics=circ_metrics, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_metrics_auth_mode_update(self, isis_intf=None, circ_metrics=None, auth_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_type, intf_number
    :param isis_intf: Keyword argument tuple.

    :type intf_type: unicode
    :param intf_type: **isis_intf** tuple argument.

        * enumeration restriction: ::

            ['eth', 've', 'invalid', 'loopback']

    :type intf_number: unicode
    :param intf_number: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type circ_metrics: level
    :param circ_metrics: Keyword argument tuple.

    :type level: unicode
    :param level: **circ_metrics** tuple argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    **Instance Argument(s)**:

    :type auth_mode: unicode
    :param auth_mode: Keyword argument.

        * enumeration restriction: ::

            ['none', 'cleartext', 'md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_metrics', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'circ_metrics', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metrics=circ_metrics, auth_mode=auth_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metrics=circ_metrics, auth_mode=auth_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_metrics_circ_metric_update(self, isis_intf=None, circ_metrics=None, circ_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_type, intf_number
    :param isis_intf: Keyword argument tuple.

    :type intf_type: unicode
    :param intf_type: **isis_intf** tuple argument.

        * enumeration restriction: ::

            ['eth', 've', 'invalid', 'loopback']

    :type intf_number: unicode
    :param intf_number: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type circ_metrics: level
    :param circ_metrics: Keyword argument tuple.

    :type level: unicode
    :param level: **circ_metrics** tuple argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    **Instance Argument(s)**:

    :type circ_metric: long
    :param circ_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_metrics', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'circ_metrics', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metrics=circ_metrics, circ_metric=circ_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metrics=circ_metrics, circ_metric=circ_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_metrics_circ_priority_update(self, isis_intf=None, circ_metrics=None, circ_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_type, intf_number
    :param isis_intf: Keyword argument tuple.

    :type intf_type: unicode
    :param intf_type: **isis_intf** tuple argument.

        * enumeration restriction: ::

            ['eth', 've', 'invalid', 'loopback']

    :type intf_number: unicode
    :param intf_number: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type circ_metrics: level
    :param circ_metrics: Keyword argument tuple.

    :type level: unicode
    :param level: **circ_metrics** tuple argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    **Instance Argument(s)**:

    :type circ_priority: int
    :param circ_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_metrics', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'circ_metrics', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metrics=circ_metrics, circ_priority=circ_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metrics=circ_metrics, circ_priority=circ_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_metrics_dis_update(self, isis_intf=None, circ_metrics=None, dis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_type, intf_number
    :param isis_intf: Keyword argument tuple.

    :type intf_type: unicode
    :param intf_type: **isis_intf** tuple argument.

        * enumeration restriction: ::

            ['eth', 've', 'invalid', 'loopback']

    :type intf_number: unicode
    :param intf_number: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type circ_metrics: level
    :param circ_metrics: Keyword argument tuple.

    :type level: unicode
    :param level: **circ_metrics** tuple argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    **Instance Argument(s)**:

    :type dis: unicode
    :param dis: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_metrics', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'circ_metrics', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metrics=circ_metrics, dis=dis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metrics=circ_metrics, dis=dis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_metrics_dis_ch_update(self, isis_intf=None, circ_metrics=None, dis_ch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_type, intf_number
    :param isis_intf: Keyword argument tuple.

    :type intf_type: unicode
    :param intf_type: **isis_intf** tuple argument.

        * enumeration restriction: ::

            ['eth', 've', 'invalid', 'loopback']

    :type intf_number: unicode
    :param intf_number: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type circ_metrics: level
    :param circ_metrics: Keyword argument tuple.

    :type level: unicode
    :param level: **circ_metrics** tuple argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    **Instance Argument(s)**:

    :type dis_ch: long
    :param dis_ch: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_metrics', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'circ_metrics', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metrics=circ_metrics, dis_ch=dis_ch)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metrics=circ_metrics, dis_ch=dis_ch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_metrics_hello_int_update(self, isis_intf=None, circ_metrics=None, hello_int=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_type, intf_number
    :param isis_intf: Keyword argument tuple.

    :type intf_type: unicode
    :param intf_type: **isis_intf** tuple argument.

        * enumeration restriction: ::

            ['eth', 've', 'invalid', 'loopback']

    :type intf_number: unicode
    :param intf_number: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type circ_metrics: level
    :param circ_metrics: Keyword argument tuple.

    :type level: unicode
    :param level: **circ_metrics** tuple argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    **Instance Argument(s)**:

    :type hello_int: long
    :param hello_int: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_metrics', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'circ_metrics', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metrics=circ_metrics, hello_int=hello_int)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metrics=circ_metrics, hello_int=hello_int)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_metrics_hello_mult_update(self, isis_intf=None, circ_metrics=None, hello_mult=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_type, intf_number
    :param isis_intf: Keyword argument tuple.

    :type intf_type: unicode
    :param intf_type: **isis_intf** tuple argument.

        * enumeration restriction: ::

            ['eth', 've', 'invalid', 'loopback']

    :type intf_number: unicode
    :param intf_number: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type circ_metrics: level
    :param circ_metrics: Keyword argument tuple.

    :type level: unicode
    :param level: **circ_metrics** tuple argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    **Instance Argument(s)**:

    :type hello_mult: long
    :param hello_mult: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_metrics', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'circ_metrics', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metrics=circ_metrics, hello_mult=hello_mult)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metrics=circ_metrics, hello_mult=hello_mult)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_metrics_ip6_circ_metric_update(self, isis_intf=None, circ_metrics=None, ip6_circ_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_type, intf_number
    :param isis_intf: Keyword argument tuple.

    :type intf_type: unicode
    :param intf_type: **isis_intf** tuple argument.

        * enumeration restriction: ::

            ['eth', 've', 'invalid', 'loopback']

    :type intf_number: unicode
    :param intf_number: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type circ_metrics: level
    :param circ_metrics: Keyword argument tuple.

    :type level: unicode
    :param level: **circ_metrics** tuple argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    **Instance Argument(s)**:

    :type ip6_circ_metric: long
    :param ip6_circ_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_metrics', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'circ_metrics', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metrics=circ_metrics, ip6_circ_metric=ip6_circ_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metrics=circ_metrics, ip6_circ_metric=ip6_circ_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_metrics_next_hello_update(self, isis_intf=None, circ_metrics=None, next_hello=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_type, intf_number
    :param isis_intf: Keyword argument tuple.

    :type intf_type: unicode
    :param intf_type: **isis_intf** tuple argument.

        * enumeration restriction: ::

            ['eth', 've', 'invalid', 'loopback']

    :type intf_number: unicode
    :param intf_number: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type circ_metrics: level
    :param circ_metrics: Keyword argument tuple.

    :type level: unicode
    :param level: **circ_metrics** tuple argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    **Instance Argument(s)**:

    :type next_hello: long
    :param next_hello: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.circ_metrics', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'circ_metrics', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metrics=circ_metrics, next_hello=next_hello)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metrics=circ_metrics, next_hello=next_hello)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circuit_encap_update(self, isis_intf=None, circuit_encap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circuit_encap: unicode
    :param circuit_encap: Keyword argument.

        * enumeration restriction: ::

            ['undef', 'ppp', 'chdlc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"circuit_encap": "circuit_encap", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circuit_encap=circuit_encap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circuit_encap=circuit_encap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circuit_id_update(self, isis_intf=None, circuit_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circuit_id: int
    :param circuit_id: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"circuit_id": "circuit_id", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circuit_id=circuit_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circuit_id=circuit_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circuit_ifid_update(self, isis_intf=None, circuit_ifid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circuit_ifid: int
    :param circuit_ifid: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"intf_name": "intf_name", "circuit_ifid": "circuit_ifid"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circuit_ifid=circuit_ifid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circuit_ifid=circuit_ifid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circuit_ip_state_update(self, isis_intf=None, circuit_ip_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circuit_ip_state: YANGBool
    :param circuit_ip_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"circuit_ip_state": "circuit_ip_state", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circuit_ip_state=circuit_ip_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circuit_ip_state=circuit_ip_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circuit_ipv6_state_update(self, isis_intf=None, circuit_ipv6_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circuit_ipv6_state: YANGBool
    :param circuit_ipv6_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"circuit_ipv6_state": "circuit_ipv6_state", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circuit_ipv6_state=circuit_ipv6_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circuit_ipv6_state=circuit_ipv6_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circuit_mode_update(self, isis_intf=None, circuit_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circuit_mode: unicode
    :param circuit_mode: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"circuit_mode": "circuit_mode", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circuit_mode=circuit_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circuit_mode=circuit_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circuit_state_update(self, isis_intf=None, circuit_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circuit_state: YANGBool
    :param circuit_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"intf_name": "intf_name", "circuit_state": "circuit_state"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circuit_state=circuit_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circuit_state=circuit_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circuit_type_update(self, isis_intf=None, circuit_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circuit_type: unicode
    :param circuit_type: Keyword argument.

        * enumeration restriction: ::

            ['is-circ-lan',
            'is-circ-ptpt',
            'is-circ-unknown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"circuit_type": "circuit_type", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circuit_type=circuit_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circuit_type=circuit_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_intf_index_update(self, isis_intf=None, intf_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type intf_index: long
    :param intf_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, intf_index=intf_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, intf_index=intf_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_intf_type_update(self, isis_intf=None, intf_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type intf_type: unicode
    :param intf_type: Keyword argument.

        * enumeration restriction: ::

            ['isis-interface-type-unknown',
            'isis-interface-type-port-channel',
            'isis-interface-type-ethernet',
            'isis-interface-type-ve',
            'isis-interface-type-loopback']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, intf_type=intf_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, intf_type=intf_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ip6_info_update(self, isis_intf=None, ip6_info=None, ip6_prefix=None, is_link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ip6_info: ip6_add
    :param ip6_info: Keyword argument tuple.

    :type ip6_add: unicode
    :param ip6_add: **ip6_info** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ip6_prefix: int
    :param ip6_prefix: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type is_link_local: YANGBool
    :param is_link_local: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip6_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.ip6_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}, {'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip6_info', 'keyval': 'ip6_add', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ip6_info=ip6_info, ip6_prefix=ip6_prefix, is_link_local=is_link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ip6_info=ip6_info, ip6_prefix=ip6_prefix, is_link_local=is_link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ip6_info_ip6_prefix_update(self, isis_intf=None, ip6_info=None, ip6_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ip6_info: ip6_add
    :param ip6_info: Keyword argument tuple.

    :type ip6_add: unicode
    :param ip6_add: **ip6_info** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ip6_prefix: int
    :param ip6_prefix: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip6_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.ip6_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}, {'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip6_info', 'keyval': 'ip6_add', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ip6_info=ip6_info, ip6_prefix=ip6_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ip6_info=ip6_info, ip6_prefix=ip6_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ip6_info_is_link_local_update(self, isis_intf=None, ip6_info=None, is_link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ip6_info: ip6_add
    :param ip6_info: Keyword argument tuple.

    :type ip6_add: unicode
    :param ip6_add: **ip6_info** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type is_link_local: YANGBool
    :param is_link_local: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip6_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.ip6_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}, {'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip6_info', 'keyval': 'ip6_add', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ip6_info=ip6_info, is_link_local=is_link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ip6_info=ip6_info, is_link_local=is_link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ip_info_update(self, isis_intf=None, ip_info=None, ip_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ip_info: ip_add
    :param ip_info: Keyword argument tuple.

    :type ip_add: unicode
    :param ip_add: **ip_info** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ip_prefix: int
    :param ip_prefix: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.ip_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}, {'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_info', 'keyval': 'ip_add', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ip_info=ip_info, ip_prefix=ip_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ip_info=ip_info, ip_prefix=ip_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ip_info_ip_prefix_update(self, isis_intf=None, ip_info=None, ip_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ip_info: ip_add
    :param ip_info: Keyword argument tuple.

    :type ip_add: unicode
    :param ip_add: **ip_info** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ip_prefix: int
    :param ip_prefix: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.ip_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}, {'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_info', 'keyval': 'ip_add', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ip_info=ip_info, ip_prefix=ip_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ip_info=ip_info, ip_prefix=ip_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_is_circuit_passive_update(self, isis_intf=None, is_circuit_passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type is_circuit_passive: unicode
    :param is_circuit_passive: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"is_circuit_passive": "is_circuit_passive", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, is_circuit_passive=is_circuit_passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, is_circuit_passive=is_circuit_passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_update(self, isis_intf=None, auth_check=None, auth_mode=None, auth_key=None, circ_metric=None, ip6_circ_metric=None, circ_priority=None, hello_int=None, hello_mult=None, dis=None, dis_ch=None, next_hello=None, active_adj=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type auth_check: unicode
    :param auth_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type auth_mode: unicode
    :param auth_mode: Keyword argument.

        * enumeration restriction: ::

            ['none', 'cleartext', 'md5']

    :type auth_key: unicode
    :param auth_key: Keyword argument.

    :type circ_metric: long
    :param circ_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip6_circ_metric: long
    :param ip6_circ_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type circ_priority: int
    :param circ_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type hello_int: long
    :param hello_int: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_mult: long
    :param hello_mult: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dis: unicode
    :param dis: Keyword argument.

    :type dis_ch: long
    :param dis_ch: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type next_hello: long
    :param next_hello: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type active_adj: long
    :param active_adj: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_active_adj_update(self, isis_intf=None, active_adj=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type active_adj: long
    :param active_adj: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, active_adj=active_adj)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, active_adj=active_adj)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_auth_check_update(self, isis_intf=None, auth_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type auth_check: unicode
    :param auth_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, auth_check=auth_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, auth_check=auth_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_auth_key_update(self, isis_intf=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_auth_mode_update(self, isis_intf=None, auth_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type auth_mode: unicode
    :param auth_mode: Keyword argument.

        * enumeration restriction: ::

            ['none', 'cleartext', 'md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, auth_mode=auth_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, auth_mode=auth_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_circ_metric_update(self, isis_intf=None, circ_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circ_metric: long
    :param circ_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metric=circ_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metric=circ_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_circ_priority_update(self, isis_intf=None, circ_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circ_priority: int
    :param circ_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_priority=circ_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_priority=circ_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_dis_update(self, isis_intf=None, dis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type dis: unicode
    :param dis: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, dis=dis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, dis=dis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_dis_ch_update(self, isis_intf=None, dis_ch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type dis_ch: long
    :param dis_ch: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, dis_ch=dis_ch)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, dis_ch=dis_ch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_hello_int_update(self, isis_intf=None, hello_int=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type hello_int: long
    :param hello_int: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, hello_int=hello_int)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, hello_int=hello_int)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_hello_mult_update(self, isis_intf=None, hello_mult=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type hello_mult: long
    :param hello_mult: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, hello_mult=hello_mult)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, hello_mult=hello_mult)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_ip6_circ_metric_update(self, isis_intf=None, ip6_circ_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type ip6_circ_metric: long
    :param ip6_circ_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ip6_circ_metric=ip6_circ_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ip6_circ_metric=ip6_circ_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_next_hello_update(self, isis_intf=None, next_hello=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type next_hello: long
    :param next_hello: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, next_hello=next_hello)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, next_hello=next_hello)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_update(self, isis_intf=None, auth_check=None, auth_mode=None, auth_key=None, circ_metric=None, ip6_circ_metric=None, circ_priority=None, hello_int=None, hello_mult=None, dis=None, dis_ch=None, next_hello=None, active_adj=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type auth_check: unicode
    :param auth_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type auth_mode: unicode
    :param auth_mode: Keyword argument.

        * enumeration restriction: ::

            ['none', 'cleartext', 'md5']

    :type auth_key: unicode
    :param auth_key: Keyword argument.

    :type circ_metric: long
    :param circ_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip6_circ_metric: long
    :param ip6_circ_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type circ_priority: int
    :param circ_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type hello_int: long
    :param hello_int: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_mult: long
    :param hello_mult: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dis: unicode
    :param dis: Keyword argument.

    :type dis_ch: long
    :param dis_ch: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type next_hello: long
    :param next_hello: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type active_adj: long
    :param active_adj: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_active_adj_update(self, isis_intf=None, active_adj=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type active_adj: long
    :param active_adj: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, active_adj=active_adj)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, active_adj=active_adj)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_auth_check_update(self, isis_intf=None, auth_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type auth_check: unicode
    :param auth_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, auth_check=auth_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, auth_check=auth_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_auth_key_update(self, isis_intf=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_auth_mode_update(self, isis_intf=None, auth_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type auth_mode: unicode
    :param auth_mode: Keyword argument.

        * enumeration restriction: ::

            ['none', 'cleartext', 'md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, auth_mode=auth_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, auth_mode=auth_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_circ_metric_update(self, isis_intf=None, circ_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circ_metric: long
    :param circ_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_metric=circ_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_metric=circ_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_circ_priority_update(self, isis_intf=None, circ_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type circ_priority: int
    :param circ_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, circ_priority=circ_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, circ_priority=circ_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_dis_update(self, isis_intf=None, dis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type dis: unicode
    :param dis: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, dis=dis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, dis=dis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_dis_ch_update(self, isis_intf=None, dis_ch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type dis_ch: long
    :param dis_ch: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, dis_ch=dis_ch)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, dis_ch=dis_ch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_hello_int_update(self, isis_intf=None, hello_int=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type hello_int: long
    :param hello_int: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, hello_int=hello_int)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, hello_int=hello_int)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_hello_mult_update(self, isis_intf=None, hello_mult=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type hello_mult: long
    :param hello_mult: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, hello_mult=hello_mult)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, hello_mult=hello_mult)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_ip6_circ_metric_update(self, isis_intf=None, ip6_circ_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type ip6_circ_metric: long
    :param ip6_circ_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ip6_circ_metric=ip6_circ_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ip6_circ_metric=ip6_circ_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_next_hello_update(self, isis_intf=None, next_hello=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type next_hello: long
    :param next_hello: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, next_hello=next_hello)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, next_hello=next_hello)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ldp_sync_info_update(self, isis_intf=None, ldp_sync_enabled=None, ldp_sync_hold_down=None, ldp_in_sync=None, remain_hd_time=None, ldp_sync_hd_expired=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type ldp_sync_enabled: unicode
    :param ldp_sync_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type ldp_sync_hold_down: int
    :param ldp_sync_hold_down: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type ldp_in_sync: YANGBool
    :param ldp_in_sync: Keyword argument.

    :type remain_hd_time: long
    :param remain_hd_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ldp_sync_hd_expired: YANGBool
    :param ldp_sync_hd_expired: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ldp_sync_enabled=ldp_sync_enabled, ldp_sync_hold_down=ldp_sync_hold_down, ldp_in_sync=ldp_in_sync, remain_hd_time=remain_hd_time, ldp_sync_hd_expired=ldp_sync_hd_expired)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ldp_sync_enabled=ldp_sync_enabled, ldp_sync_hold_down=ldp_sync_hold_down, ldp_in_sync=ldp_in_sync, remain_hd_time=remain_hd_time, ldp_sync_hd_expired=ldp_sync_hd_expired)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ldp_sync_info_ldp_in_sync_update(self, isis_intf=None, ldp_in_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type ldp_in_sync: YANGBool
    :param ldp_in_sync: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ldp_in_sync=ldp_in_sync)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ldp_in_sync=ldp_in_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ldp_sync_info_ldp_sync_enabled_update(self, isis_intf=None, ldp_sync_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type ldp_sync_enabled: unicode
    :param ldp_sync_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ldp_sync_enabled=ldp_sync_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ldp_sync_enabled=ldp_sync_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ldp_sync_info_ldp_sync_hd_expired_update(self, isis_intf=None, ldp_sync_hd_expired=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type ldp_sync_hd_expired: YANGBool
    :param ldp_sync_hd_expired: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ldp_sync_hd_expired=ldp_sync_hd_expired)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ldp_sync_hd_expired=ldp_sync_hd_expired)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ldp_sync_info_ldp_sync_hold_down_update(self, isis_intf=None, ldp_sync_hold_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type ldp_sync_hold_down: int
    :param ldp_sync_hold_down: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, ldp_sync_hold_down=ldp_sync_hold_down)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ldp_sync_hold_down=ldp_sync_hold_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ldp_sync_info_remain_hd_time_update(self, isis_intf=None, remain_hd_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type remain_hd_time: long
    :param remain_hd_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, remain_hd_time=remain_hd_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, remain_hd_time=remain_hd_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_mpls_info_update(self, isis_intf=None, te_enabled=None, admin_group=None, te_metric=None, max_link_bw=None, max_reserv_bw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type te_enabled: unicode
    :param te_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type admin_group: long
    :param admin_group: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type te_metric: long
    :param te_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_link_bw: long
    :param max_link_bw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_reserv_bw: long
    :param max_reserv_bw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}, {'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, te_enabled=te_enabled, admin_group=admin_group, te_metric=te_metric, max_link_bw=max_link_bw, max_reserv_bw=max_reserv_bw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, te_enabled=te_enabled, admin_group=admin_group, te_metric=te_metric, max_link_bw=max_link_bw, max_reserv_bw=max_reserv_bw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_mpls_info_admin_group_update(self, isis_intf=None, admin_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type admin_group: long
    :param admin_group: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}, {'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, admin_group=admin_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, admin_group=admin_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_mpls_info_max_link_bw_update(self, isis_intf=None, max_link_bw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type max_link_bw: long
    :param max_link_bw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}, {'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, max_link_bw=max_link_bw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, max_link_bw=max_link_bw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_mpls_info_max_reserv_bw_update(self, isis_intf=None, max_reserv_bw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type max_reserv_bw: long
    :param max_reserv_bw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}, {'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, max_reserv_bw=max_reserv_bw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, max_reserv_bw=max_reserv_bw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_mpls_info_te_enabled_update(self, isis_intf=None, te_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type te_enabled: unicode
    :param te_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}, {'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, te_enabled=te_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, te_enabled=te_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_mpls_info_te_metric_update(self, isis_intf=None, te_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type te_metric: long
    :param te_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_type, intf_number', 'extra_keyval': ''}, {'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, te_metric=te_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, te_metric=te_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_mtu_size_update(self, isis_intf=None, mtu_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type mtu_size: int
    :param mtu_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"mtu_size": "mtu_size", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, mtu_size=mtu_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, mtu_size=mtu_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_padding_enabled_update(self, isis_intf=None, padding_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type padding_enabled: unicode
    :param padding_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"intf_name": "intf_name", "padding_enabled": "padding_enabled"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, padding_enabled=padding_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, padding_enabled=padding_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_reverse_metric_info_update(self, isis_intf=None, is_global_config=None, reverse_metric_value=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type is_global_config: YANGBool
    :param is_global_config: Keyword argument.

    :type reverse_metric_value: long
    :param reverse_metric_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rev_metric_whole_lan: unicode
    :param rev_metric_whole_lan: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type rev_metric_te_def_metric: unicode
    :param rev_metric_te_def_metric: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, is_global_config=is_global_config, reverse_metric_value=reverse_metric_value, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, is_global_config=is_global_config, reverse_metric_value=reverse_metric_value, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_reverse_metric_info_is_global_config_update(self, isis_intf=None, is_global_config=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type is_global_config: YANGBool
    :param is_global_config: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, is_global_config=is_global_config)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, is_global_config=is_global_config)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_reverse_metric_info_rev_metric_te_def_metric_update(self, isis_intf=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type rev_metric_te_def_metric: unicode
    :param rev_metric_te_def_metric: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, rev_metric_te_def_metric=rev_metric_te_def_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_reverse_metric_info_rev_metric_whole_lan_update(self, isis_intf=None, rev_metric_whole_lan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type rev_metric_whole_lan: unicode
    :param rev_metric_whole_lan: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, rev_metric_whole_lan=rev_metric_whole_lan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, rev_metric_whole_lan=rev_metric_whole_lan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_reverse_metric_info_reverse_metric_value_update(self, isis_intf=None, reverse_metric_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type reverse_metric_value: long
    :param reverse_metric_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'intf_type, intf_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, reverse_metric_value=reverse_metric_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, reverse_metric_value=reverse_metric_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_v4circuit_enabled_update(self, isis_intf=None, v4circuit_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type v4circuit_enabled: unicode
    :param v4circuit_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"v4circuit_enabled": "v4circuit_enabled", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, v4circuit_enabled=v4circuit_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, v4circuit_enabled=v4circuit_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_v6circuit_enabled_update(self, isis_intf=None, v6circuit_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type v6circuit_enabled: unicode
    :param v6circuit_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.interface_detail.isis_intf": {}, "pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf": {"v6circuit_enabled": "v6circuit_enabled", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_intf=isis_intf, v6circuit_enabled=v6circuit_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, v6circuit_enabled=v6circuit_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_update(self, total_routes_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_routes_count: long
    :param total_routes_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_routes_count=total_routes_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_routes_count=total_routes_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_update(self, ipv4_route_entry=None, level=None, cost=None, tag=None, flags=None, is_l1_summarized=None, is_l2_summarized=None, is_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type level: int
    :param level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type cost: long
    :param cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tag: long
    :param tag: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flags: int
    :param flags: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type is_l1_summarized: YANGBool
    :param is_l1_summarized: Keyword argument.

    :type is_l2_summarized: YANGBool
    :param is_l2_summarized: Keyword argument.

    :type is_summary: YANGBool
    :param is_summary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv4_route_entry=ipv4_route_entry, level=level, cost=cost, tag=tag, flags=flags, is_l1_summarized=is_l1_summarized, is_l2_summarized=is_l2_summarized, is_summary=is_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, level=level, cost=cost, tag=tag, flags=flags, is_l1_summarized=is_l1_summarized, is_l2_summarized=is_l2_summarized, is_summary=is_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_cost_update(self, ipv4_route_entry=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv4_route_entry=ipv4_route_entry, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_flags_update(self, ipv4_route_entry=None, flags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type flags: int
    :param flags: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv4_route_entry=ipv4_route_entry, flags=flags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, flags=flags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_is_l1_summarized_update(self, ipv4_route_entry=None, is_l1_summarized=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type is_l1_summarized: YANGBool
    :param is_l1_summarized: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv4_route_entry=ipv4_route_entry, is_l1_summarized=is_l1_summarized)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, is_l1_summarized=is_l1_summarized)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_is_l2_summarized_update(self, ipv4_route_entry=None, is_l2_summarized=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type is_l2_summarized: YANGBool
    :param is_l2_summarized: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv4_route_entry=ipv4_route_entry, is_l2_summarized=is_l2_summarized)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, is_l2_summarized=is_l2_summarized)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_is_summary_update(self, ipv4_route_entry=None, is_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type is_summary: YANGBool
    :param is_summary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv4_route_entry=ipv4_route_entry, is_summary=is_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, is_summary=is_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_level_update(self, ipv4_route_entry=None, level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type level: int
    :param level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv4_route_entry=ipv4_route_entry, level=level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, level=level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_nh_info_update(self, ipv4_route_entry=None, nh_info=None, ipv4_nh_addr=None, is_mpls_tunnel_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Keyword Argument Tuple**:

    :type nh_info: outgoing_intf_name
    :param nh_info: Keyword argument tuple.

    :type outgoing_intf_name: unicode
    :param outgoing_intf_name: **nh_info** tuple argument.

    **Instance Argument(s)**:

    :type ipv4_nh_addr: unicode
    :param ipv4_nh_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type is_mpls_tunnel_port: YANGBool
    :param is_mpls_tunnel_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry.nh_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}, {'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_type, outgoing_intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info": {"is_mpls_tunnel_port": "is_mpls_tunnel_port", "outgoing_intf_name": "outgoing_intf_name", "ipv4_nh_addr": "ipv4_nh_addr"}, "pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry.nh_info": {"ipv4_nh_addr": "ipv4_nh_addr"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info, ipv4_nh_addr=ipv4_nh_addr, is_mpls_tunnel_port=is_mpls_tunnel_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info, ipv4_nh_addr=ipv4_nh_addr, is_mpls_tunnel_port=is_mpls_tunnel_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_nh_info_ipv4_nh_addr_update(self, ipv4_route_entry=None, nh_info=None, ipv4_nh_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Keyword Argument Tuple**:

    :type nh_info: outgoing_intf_name
    :param nh_info: Keyword argument tuple.

    :type outgoing_intf_name: unicode
    :param outgoing_intf_name: **nh_info** tuple argument.

    **Instance Argument(s)**:

    :type ipv4_nh_addr: unicode
    :param ipv4_nh_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry.nh_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}, {'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_type, outgoing_intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info": {"outgoing_intf_name": "outgoing_intf_name", "ipv4_nh_addr": "ipv4_nh_addr"}, "pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry.nh_info": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info, ipv4_nh_addr=ipv4_nh_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info, ipv4_nh_addr=ipv4_nh_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_nh_info_is_mpls_tunnel_port_update(self, ipv4_route_entry=None, nh_info=None, is_mpls_tunnel_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Keyword Argument Tuple**:

    :type nh_info: outgoing_intf_name
    :param nh_info: Keyword argument tuple.

    :type outgoing_intf_name: unicode
    :param outgoing_intf_name: **nh_info** tuple argument.

    **Instance Argument(s)**:

    :type is_mpls_tunnel_port: YANGBool
    :param is_mpls_tunnel_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info, is_mpls_tunnel_port=is_mpls_tunnel_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info, is_mpls_tunnel_port=is_mpls_tunnel_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_tag_update(self, ipv4_route_entry=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv4_route_entry=ipv4_route_entry, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_total_routes_count_update(self, total_routes_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_routes_count: long
    :param total_routes_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv4_routes', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_routes_count=total_routes_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_routes_count=total_routes_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_update(self, level1_route_count=None, level2_route_count=None, ecmp_route_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type level1_route_count: long
    :param level1_route_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type level2_route_count: long
    :param level2_route_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ecmp_route_count: long
    :param ecmp_route_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.isis_state.ipv6_routes": {}, "pybind.slxos.v16r_1_00b.isis_state.ipv6_routes": {"level2_route_count": "level2_route_count", "ecmp_route_count": "ecmp_route_count", "level1_route_count": "level1_route_count"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, level1_route_count=level1_route_count, level2_route_count=level2_route_count, ecmp_route_count=ecmp_route_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, level1_route_count=level1_route_count, level2_route_count=level2_route_count, ecmp_route_count=ecmp_route_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ecmp_route_count_update(self, ecmp_route_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ecmp_route_count: long
    :param ecmp_route_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ecmp_route_count=ecmp_route_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ecmp_route_count=ecmp_route_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_update(self, ipv6_route_entry=None, level=None, cost=None, tag=None, flags=None, is_l1_summarized=None, is_l2_summarized=None, is_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv6_route_entry: ipv6_dest_addr, ipv6_prefix_len
    :param ipv6_route_entry: Keyword argument tuple.

    :type ipv6_dest_addr: unicode
    :param ipv6_dest_addr: **ipv6_route_entry** tuple argument.

    :type ipv6_prefix_len: int
    :param ipv6_prefix_len: **ipv6_route_entry** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type level: int
    :param level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type cost: long
    :param cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tag: long
    :param tag: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flags: int
    :param flags: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type is_l1_summarized: YANGBool
    :param is_l1_summarized: Keyword argument.

    :type is_l2_summarized: YANGBool
    :param is_l2_summarized: Keyword argument.

    :type is_summary: YANGBool
    :param is_summary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_route_entry=ipv6_route_entry, level=level, cost=cost, tag=tag, flags=flags, is_l1_summarized=is_l1_summarized, is_l2_summarized=is_l2_summarized, is_summary=is_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_route_entry=ipv6_route_entry, level=level, cost=cost, tag=tag, flags=flags, is_l1_summarized=is_l1_summarized, is_l2_summarized=is_l2_summarized, is_summary=is_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_cost_update(self, ipv6_route_entry=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv6_route_entry: ipv6_dest_addr, ipv6_prefix_len
    :param ipv6_route_entry: Keyword argument tuple.

    :type ipv6_dest_addr: unicode
    :param ipv6_dest_addr: **ipv6_route_entry** tuple argument.

    :type ipv6_prefix_len: int
    :param ipv6_prefix_len: **ipv6_route_entry** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_route_entry=ipv6_route_entry, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_route_entry=ipv6_route_entry, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_flags_update(self, ipv6_route_entry=None, flags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv6_route_entry: ipv6_dest_addr, ipv6_prefix_len
    :param ipv6_route_entry: Keyword argument tuple.

    :type ipv6_dest_addr: unicode
    :param ipv6_dest_addr: **ipv6_route_entry** tuple argument.

    :type ipv6_prefix_len: int
    :param ipv6_prefix_len: **ipv6_route_entry** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type flags: int
    :param flags: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_route_entry=ipv6_route_entry, flags=flags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_route_entry=ipv6_route_entry, flags=flags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_is_l1_summarized_update(self, ipv6_route_entry=None, is_l1_summarized=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv6_route_entry: ipv6_dest_addr, ipv6_prefix_len
    :param ipv6_route_entry: Keyword argument tuple.

    :type ipv6_dest_addr: unicode
    :param ipv6_dest_addr: **ipv6_route_entry** tuple argument.

    :type ipv6_prefix_len: int
    :param ipv6_prefix_len: **ipv6_route_entry** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type is_l1_summarized: YANGBool
    :param is_l1_summarized: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_route_entry=ipv6_route_entry, is_l1_summarized=is_l1_summarized)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_route_entry=ipv6_route_entry, is_l1_summarized=is_l1_summarized)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_is_l2_summarized_update(self, ipv6_route_entry=None, is_l2_summarized=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv6_route_entry: ipv6_dest_addr, ipv6_prefix_len
    :param ipv6_route_entry: Keyword argument tuple.

    :type ipv6_dest_addr: unicode
    :param ipv6_dest_addr: **ipv6_route_entry** tuple argument.

    :type ipv6_prefix_len: int
    :param ipv6_prefix_len: **ipv6_route_entry** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type is_l2_summarized: YANGBool
    :param is_l2_summarized: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_route_entry=ipv6_route_entry, is_l2_summarized=is_l2_summarized)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_route_entry=ipv6_route_entry, is_l2_summarized=is_l2_summarized)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_is_summary_update(self, ipv6_route_entry=None, is_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv6_route_entry: ipv6_dest_addr, ipv6_prefix_len
    :param ipv6_route_entry: Keyword argument tuple.

    :type ipv6_dest_addr: unicode
    :param ipv6_dest_addr: **ipv6_route_entry** tuple argument.

    :type ipv6_prefix_len: int
    :param ipv6_prefix_len: **ipv6_route_entry** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type is_summary: YANGBool
    :param is_summary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_route_entry=ipv6_route_entry, is_summary=is_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_route_entry=ipv6_route_entry, is_summary=is_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_level_update(self, ipv6_route_entry=None, level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv6_route_entry: ipv6_dest_addr, ipv6_prefix_len
    :param ipv6_route_entry: Keyword argument tuple.

    :type ipv6_dest_addr: unicode
    :param ipv6_dest_addr: **ipv6_route_entry** tuple argument.

    :type ipv6_prefix_len: int
    :param ipv6_prefix_len: **ipv6_route_entry** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type level: int
    :param level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_route_entry=ipv6_route_entry, level=level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_route_entry=ipv6_route_entry, level=level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_nh_info_update(self, ipv6_route_entry=None, nh_info=None, ipv6_nh_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ipv6_route_entry: ipv6_dest_addr, ipv6_prefix_len
    :param ipv6_route_entry: Keyword argument tuple.

    :type ipv6_dest_addr: unicode
    :param ipv6_dest_addr: **ipv6_route_entry** tuple argument.

    :type ipv6_prefix_len: int
    :param ipv6_prefix_len: **ipv6_route_entry** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type nh_info: outgoing_intf_name
    :param nh_info: Keyword argument tuple.

    :type outgoing_intf_name: unicode
    :param outgoing_intf_name: **nh_info** tuple argument.

    **Instance Argument(s)**:

    :type ipv6_nh_addr: unicode
    :param ipv6_nh_addr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', u'ipv6_route_entry'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry', u'ipv6_route_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry.nh_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}, {'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_type, outgoing_intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry.nh_info": {"outgoing_intf_name": "outgoing_intf_name", "ipv6_nh_addr": "ipv6_nh_addr"}, "pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry.nh_info": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_route_entry=ipv6_route_entry, nh_info=nh_info, ipv6_nh_addr=ipv6_nh_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_route_entry=ipv6_route_entry, nh_info=nh_info, ipv6_nh_addr=ipv6_nh_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_nh_info_ipv6_nh_addr_update(self, ipv6_route_entry=None, nh_info=None, ipv6_nh_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ipv6_route_entry: ipv6_dest_addr, ipv6_prefix_len
    :param ipv6_route_entry: Keyword argument tuple.

    :type ipv6_dest_addr: unicode
    :param ipv6_dest_addr: **ipv6_route_entry** tuple argument.

    :type ipv6_prefix_len: int
    :param ipv6_prefix_len: **ipv6_route_entry** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type nh_info: outgoing_intf_name
    :param nh_info: Keyword argument tuple.

    :type outgoing_intf_name: unicode
    :param outgoing_intf_name: **nh_info** tuple argument.

    **Instance Argument(s)**:

    :type ipv6_nh_addr: unicode
    :param ipv6_nh_addr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', u'ipv6_route_entry'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry', u'ipv6_route_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry.nh_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}, {'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_type, outgoing_intf_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry.nh_info": {"outgoing_intf_name": "outgoing_intf_name", "ipv6_nh_addr": "ipv6_nh_addr"}, "pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry.nh_info": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_route_entry=ipv6_route_entry, nh_info=nh_info, ipv6_nh_addr=ipv6_nh_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_route_entry=ipv6_route_entry, nh_info=nh_info, ipv6_nh_addr=ipv6_nh_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_tag_update(self, ipv6_route_entry=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ipv6_route_entry: ipv6_dest_addr, ipv6_prefix_len
    :param ipv6_route_entry: Keyword argument tuple.

    :type ipv6_dest_addr: unicode
    :param ipv6_dest_addr: **ipv6_route_entry** tuple argument.

    :type ipv6_prefix_len: int
    :param ipv6_prefix_len: **ipv6_route_entry** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_route_entry=ipv6_route_entry, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_route_entry=ipv6_route_entry, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_level1_route_count_update(self, level1_route_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type level1_route_count: long
    :param level1_route_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, level1_route_count=level1_route_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, level1_route_count=level1_route_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_level2_route_count_update(self, level2_route_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type level2_route_count: long
    :param level2_route_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, level2_route_count=level2_route_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, level2_route_count=level2_route_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_total_routes_count_update(self, total_routes_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type total_routes_count: long
    :param total_routes_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.ipv6_routes', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_routes_count=total_routes_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_routes_count=total_routes_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_update(self, nsr_state=None, lsp_flood_count=None, lsp_fast_flood_count=None, fast_flood_wait_count=None, hello_padding=None, hello_padding_ptp=None, csnp_interval=None, lsp_gen_interval=None, lsp_interval=None, lsp_refresh_interval=None, lsp_lifetime=None, retransmit_interval=None, pspf_enabled=None, ispf_enabled=None, istct_spf_enabled=None, overload_state=None, overload_startup_time=None, overload_wait_on_bgp=None, overload_bgp_wait_time=None, enable_code_assertions=None, graceful_restart_helper=None, isis_hostname_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type nsr_state: unicode
    :param nsr_state: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type lsp_flood_count: int
    :param lsp_flood_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type lsp_fast_flood_count: int
    :param lsp_fast_flood_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type fast_flood_wait_count: int
    :param fast_flood_wait_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type hello_padding: unicode
    :param hello_padding: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type hello_padding_ptp: unicode
    :param hello_padding_ptp: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type csnp_interval: int
    :param csnp_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type lsp_gen_interval: int
    :param lsp_gen_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type lsp_interval: long
    :param lsp_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_refresh_interval: int
    :param lsp_refresh_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type lsp_lifetime: int
    :param lsp_lifetime: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type retransmit_interval: int
    :param retransmit_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type pspf_enabled: unicode
    :param pspf_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type ispf_enabled: unicode
    :param ispf_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type istct_spf_enabled: unicode
    :param istct_spf_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type overload_state: unicode
    :param overload_state: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type overload_startup_time: long
    :param overload_startup_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type overload_wait_on_bgp: unicode
    :param overload_wait_on_bgp: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type overload_bgp_wait_time: long
    :param overload_bgp_wait_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type enable_code_assertions: unicode
    :param enable_code_assertions: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type graceful_restart_helper: unicode
    :param graceful_restart_helper: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type isis_hostname_enabled: unicode
    :param isis_hostname_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.isis_state.router_isis_config": {"ispf_enabled": "ispf_enabled", "overload_bgp_wait_time": "overload_bgp_wait_time", "fast_flood_wait_count": "fast_flood_wait_count", "lsp_interval": "lsp_interval", "overload_state": "overload_state", "retransmit_interval": "retransmit_interval", "lsp_fast_flood_count": "lsp_fast_flood_count", "overload_startup_time": "overload_startup_time", "csnp_interval": "csnp_interval", "istct_spf_enabled": "istct_spf_enabled", "lsp_flood_count": "lsp_flood_count", "nsr_state": "nsr_state", "overload_wait_on_bgp": "overload_wait_on_bgp", "lsp_gen_interval": "lsp_gen_interval", "lsp_refresh_interval": "lsp_refresh_interval", "lsp_lifetime": "lsp_lifetime", "isis_hostname_enabled": "isis_hostname_enabled", "hello_padding": "hello_padding", "graceful_restart_helper": "graceful_restart_helper", "enable_code_assertions": "enable_code_assertions", "hello_padding_ptp": "hello_padding_ptp", "pspf_enabled": "pspf_enabled"}, "pybind.slxos.v17r_1_00a.isis_state.router_isis_config": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsr_state=nsr_state, lsp_flood_count=lsp_flood_count, lsp_fast_flood_count=lsp_fast_flood_count, fast_flood_wait_count=fast_flood_wait_count, hello_padding=hello_padding, hello_padding_ptp=hello_padding_ptp, csnp_interval=csnp_interval, lsp_gen_interval=lsp_gen_interval, lsp_interval=lsp_interval, lsp_refresh_interval=lsp_refresh_interval, lsp_lifetime=lsp_lifetime, retransmit_interval=retransmit_interval, pspf_enabled=pspf_enabled, ispf_enabled=ispf_enabled, istct_spf_enabled=istct_spf_enabled, overload_state=overload_state, overload_startup_time=overload_startup_time, overload_wait_on_bgp=overload_wait_on_bgp, overload_bgp_wait_time=overload_bgp_wait_time, enable_code_assertions=enable_code_assertions, graceful_restart_helper=graceful_restart_helper, isis_hostname_enabled=isis_hostname_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsr_state=nsr_state, lsp_flood_count=lsp_flood_count, lsp_fast_flood_count=lsp_fast_flood_count, fast_flood_wait_count=fast_flood_wait_count, hello_padding=hello_padding, hello_padding_ptp=hello_padding_ptp, csnp_interval=csnp_interval, lsp_gen_interval=lsp_gen_interval, lsp_interval=lsp_interval, lsp_refresh_interval=lsp_refresh_interval, lsp_lifetime=lsp_lifetime, retransmit_interval=retransmit_interval, pspf_enabled=pspf_enabled, ispf_enabled=ispf_enabled, istct_spf_enabled=istct_spf_enabled, overload_state=overload_state, overload_startup_time=overload_startup_time, overload_wait_on_bgp=overload_wait_on_bgp, overload_bgp_wait_time=overload_bgp_wait_time, enable_code_assertions=enable_code_assertions, graceful_restart_helper=graceful_restart_helper, isis_hostname_enabled=isis_hostname_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_bfd_update(self, bfd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type bfd: YANGBool
    :param bfd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd=bfd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd=bfd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_bfd_holdover_interval_update(self, bfd_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type bfd_holdover_interval: int
    :param bfd_holdover_interval: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_holdover_interval=bfd_holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_holdover_interval=bfd_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_csnp_interval_update(self, csnp_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type csnp_interval: int
    :param csnp_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, csnp_interval=csnp_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, csnp_interval=csnp_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_debug_handler_update(self, debug_nsr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type debug_nsr: unicode
    :param debug_nsr: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.debug_handler', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.debug_handler', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, debug_nsr=debug_nsr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, debug_nsr=debug_nsr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_debug_handler_debug_nsr_update(self, debug_nsr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type debug_nsr: unicode
    :param debug_nsr: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.debug_handler', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.debug_handler', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, debug_nsr=debug_nsr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, debug_nsr=debug_nsr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_enable_code_assertions_update(self, enable_code_assertions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable_code_assertions: unicode
    :param enable_code_assertions: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable_code_assertions=enable_code_assertions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable_code_assertions=enable_code_assertions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_fast_flood_wait_count_update(self, fast_flood_wait_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fast_flood_wait_count: int
    :param fast_flood_wait_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fast_flood_wait_count=fast_flood_wait_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fast_flood_wait_count=fast_flood_wait_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_graceful_restart_helper_update(self, graceful_restart_helper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type graceful_restart_helper: unicode
    :param graceful_restart_helper: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, graceful_restart_helper=graceful_restart_helper)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, graceful_restart_helper=graceful_restart_helper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_hello_padding_update(self, hello_padding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_padding: unicode
    :param hello_padding: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_padding=hello_padding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_padding=hello_padding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_hello_padding_ptp_update(self, hello_padding_ptp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_padding_ptp: unicode
    :param hello_padding_ptp: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_padding_ptp=hello_padding_ptp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_padding_ptp=hello_padding_ptp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_update(self, afi=None, safi=None, originate_default_route=None, originate_default_routemap_name=None, default_metric=None, l1_default_link_metric=None, l2_default_link_metric=None, administrative_distance=None, maximum_equal_cost_paths=None, l1_wide_metric_enabled=None, l2_wide_metric_enabled=None, ldp_sync_enabled=None, ldp_sync_hold_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type afi: unicode
    :param afi: Keyword argument.

        * enumeration restriction: ::

            ['isis-ipv6-afi', 'isis-ipv4-afi']

    :type safi: unicode
    :param safi: Keyword argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type originate_default_route: unicode
    :param originate_default_route: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type originate_default_routemap_name: unicode
    :param originate_default_routemap_name: Keyword argument.

    :type default_metric: int
    :param default_metric: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type l1_default_link_metric: long
    :param l1_default_link_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2_default_link_metric: long
    :param l2_default_link_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type administrative_distance: long
    :param administrative_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type maximum_equal_cost_paths: long
    :param maximum_equal_cost_paths: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l1_wide_metric_enabled: YANGBool
    :param l1_wide_metric_enabled: Keyword argument.

    :type l2_wide_metric_enabled: YANGBool
    :param l2_wide_metric_enabled: Keyword argument.

    :type ldp_sync_enabled: unicode
    :param ldp_sync_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type ldp_sync_hold_down: int
    :param ldp_sync_hold_down: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, afi=afi, safi=safi, originate_default_route=originate_default_route, originate_default_routemap_name=originate_default_routemap_name, default_metric=default_metric, l1_default_link_metric=l1_default_link_metric, l2_default_link_metric=l2_default_link_metric, administrative_distance=administrative_distance, maximum_equal_cost_paths=maximum_equal_cost_paths, l1_wide_metric_enabled=l1_wide_metric_enabled, l2_wide_metric_enabled=l2_wide_metric_enabled, ldp_sync_enabled=ldp_sync_enabled, ldp_sync_hold_down=ldp_sync_hold_down)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, afi=afi, safi=safi, originate_default_route=originate_default_route, originate_default_routemap_name=originate_default_routemap_name, default_metric=default_metric, l1_default_link_metric=l1_default_link_metric, l2_default_link_metric=l2_default_link_metric, administrative_distance=administrative_distance, maximum_equal_cost_paths=maximum_equal_cost_paths, l1_wide_metric_enabled=l1_wide_metric_enabled, l2_wide_metric_enabled=l2_wide_metric_enabled, ldp_sync_enabled=ldp_sync_enabled, ldp_sync_hold_down=ldp_sync_hold_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_administrative_distance_update(self, administrative_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type administrative_distance: long
    :param administrative_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, administrative_distance=administrative_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, administrative_distance=administrative_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_afi_update(self, afi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type afi: unicode
    :param afi: Keyword argument.

        * enumeration restriction: ::

            ['isis-ipv6-afi', 'isis-ipv4-afi']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, afi=afi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, afi=afi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_default_metric_update(self, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_metric: int
    :param default_metric: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_l1_default_link_metric_update(self, l1_default_link_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l1_default_link_metric: long
    :param l1_default_link_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1_default_link_metric=l1_default_link_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1_default_link_metric=l1_default_link_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_l1_wide_metric_enabled_update(self, l1_wide_metric_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l1_wide_metric_enabled: YANGBool
    :param l1_wide_metric_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1_wide_metric_enabled=l1_wide_metric_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1_wide_metric_enabled=l1_wide_metric_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_l2_default_link_metric_update(self, l2_default_link_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_default_link_metric: long
    :param l2_default_link_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_default_link_metric=l2_default_link_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_default_link_metric=l2_default_link_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_l2_wide_metric_enabled_update(self, l2_wide_metric_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_wide_metric_enabled: YANGBool
    :param l2_wide_metric_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_wide_metric_enabled=l2_wide_metric_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_wide_metric_enabled=l2_wide_metric_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_ldp_sync_enabled_update(self, ldp_sync_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_sync_enabled: unicode
    :param ldp_sync_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_sync_enabled=ldp_sync_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_sync_enabled=ldp_sync_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_ldp_sync_hold_down_update(self, ldp_sync_hold_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_sync_hold_down: int
    :param ldp_sync_hold_down: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_sync_hold_down=ldp_sync_hold_down)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_sync_hold_down=ldp_sync_hold_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_maximum_equal_cost_paths_update(self, maximum_equal_cost_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type maximum_equal_cost_paths: long
    :param maximum_equal_cost_paths: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, maximum_equal_cost_paths=maximum_equal_cost_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, maximum_equal_cost_paths=maximum_equal_cost_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_originate_default_route_update(self, originate_default_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type originate_default_route: unicode
    :param originate_default_route: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, originate_default_route=originate_default_route)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, originate_default_route=originate_default_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_originate_default_routemap_name_update(self, originate_default_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type originate_default_routemap_name: unicode
    :param originate_default_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, originate_default_routemap_name=originate_default_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, originate_default_routemap_name=originate_default_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_bgp_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_bgp_redist_enabled_update(self, redist_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_bgp_redist_level_update(self, redist_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_level=redist_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_level=redist_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_bgp_redist_metric_update(self, redist_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric=redist_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric=redist_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_bgp_redist_metric_type_update(self, redist_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric_type=redist_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric_type=redist_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_bgp_redist_routemap_name_update(self, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_connected_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_connected_redist_enabled_update(self, redist_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_connected_redist_level_update(self, redist_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_level=redist_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_level=redist_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_connected_redist_metric_update(self, redist_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric=redist_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric=redist_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_connected_redist_metric_type_update(self, redist_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric_type=redist_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric_type=redist_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_connected_redist_routemap_name_update(self, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_isis_update(self, redist_is_l2_to_l1=None, redist_is_l2_to_l1_prefix=None, redist_is_l1_to_l2=None, redist_is_l1_to_l2_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_is_l2_to_l1: unicode
    :param redist_is_l2_to_l1: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_is_l2_to_l1_prefix: unicode
    :param redist_is_l2_to_l1_prefix: Keyword argument.

    :type redist_is_l1_to_l2: unicode
    :param redist_is_l1_to_l2: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_is_l1_to_l2_prefix: unicode
    :param redist_is_l1_to_l2_prefix: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_is_l2_to_l1=redist_is_l2_to_l1, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix, redist_is_l1_to_l2=redist_is_l1_to_l2, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_is_l2_to_l1=redist_is_l2_to_l1, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix, redist_is_l1_to_l2=redist_is_l1_to_l2, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_isis_redist_is_l1_to_l2_update(self, redist_is_l1_to_l2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_is_l1_to_l2: unicode
    :param redist_is_l1_to_l2: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_is_l1_to_l2=redist_is_l1_to_l2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_is_l1_to_l2=redist_is_l1_to_l2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_isis_redist_is_l1_to_l2_prefix_update(self, redist_is_l1_to_l2_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_is_l1_to_l2_prefix: unicode
    :param redist_is_l1_to_l2_prefix: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_isis_redist_is_l2_to_l1_update(self, redist_is_l2_to_l1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_is_l2_to_l1: unicode
    :param redist_is_l2_to_l1: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_is_l2_to_l1=redist_is_l2_to_l1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_is_l2_to_l1=redist_is_l2_to_l1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_isis_redist_is_l2_to_l1_prefix_update(self, redist_is_l2_to_l1_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_is_l2_to_l1_prefix: unicode
    :param redist_is_l2_to_l1_prefix: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_ospf_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, ospf_internal_enabled=None, ospf_external1_enabled=None, ospf_external2_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type ospf_internal_enabled: unicode
    :param ospf_internal_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type ospf_external1_enabled: unicode
    :param ospf_external1_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type ospf_external2_enabled: unicode
    :param ospf_external2_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name, ospf_internal_enabled=ospf_internal_enabled, ospf_external1_enabled=ospf_external1_enabled, ospf_external2_enabled=ospf_external2_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name, ospf_internal_enabled=ospf_internal_enabled, ospf_external1_enabled=ospf_external1_enabled, ospf_external2_enabled=ospf_external2_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_ospf_ospf_external1_enabled_update(self, ospf_external1_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_external1_enabled: unicode
    :param ospf_external1_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_external1_enabled=ospf_external1_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_external1_enabled=ospf_external1_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_ospf_ospf_external2_enabled_update(self, ospf_external2_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_external2_enabled: unicode
    :param ospf_external2_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_external2_enabled=ospf_external2_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_external2_enabled=ospf_external2_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_ospf_ospf_internal_enabled_update(self, ospf_internal_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_internal_enabled: unicode
    :param ospf_internal_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_internal_enabled=ospf_internal_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_internal_enabled=ospf_internal_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_ospf_redist_enabled_update(self, redist_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_ospf_redist_level_update(self, redist_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_level=redist_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_level=redist_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_ospf_redist_metric_update(self, redist_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric=redist_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric=redist_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_ospf_redist_metric_type_update(self, redist_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric_type=redist_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric_type=redist_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_ospf_redist_routemap_name_update(self, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_rip_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_rip_redist_enabled_update(self, redist_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_rip_redist_level_update(self, redist_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_level=redist_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_level=redist_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_rip_redist_metric_update(self, redist_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric=redist_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric=redist_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_rip_redist_metric_type_update(self, redist_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric_type=redist_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric_type=redist_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_rip_redist_routemap_name_update(self, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_static_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_static_redist_enabled_update(self, redist_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_static_redist_level_update(self, redist_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_level=redist_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_level=redist_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_static_redist_metric_update(self, redist_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric=redist_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric=redist_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_static_redist_metric_type_update(self, redist_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric_type=redist_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric_type=redist_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_static_redist_routemap_name_update(self, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_safi_update(self, safi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type safi: unicode
    :param safi: Keyword argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, safi=safi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, safi=safi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_summary_address_v4_update(self, summary_address_v4=None, ipv4_mask=None, level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type summary_address_v4: address
    :param summary_address_v4: Keyword argument tuple.

    :type address: unicode
    :param address: **summary_address_v4** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ipv4_mask: unicode
    :param ipv4_mask: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level: unicode
    :param level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.summary_address_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.summary_address_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_address_v4', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, summary_address_v4=summary_address_v4, ipv4_mask=ipv4_mask, level=level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_address_v4=summary_address_v4, ipv4_mask=ipv4_mask, level=level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_summary_address_v4_ipv4_mask_update(self, summary_address_v4=None, ipv4_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type summary_address_v4: address
    :param summary_address_v4: Keyword argument tuple.

    :type address: unicode
    :param address: **summary_address_v4** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ipv4_mask: unicode
    :param ipv4_mask: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.summary_address_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.summary_address_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_address_v4', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, summary_address_v4=summary_address_v4, ipv4_mask=ipv4_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_address_v4=summary_address_v4, ipv4_mask=ipv4_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_summary_address_v4_level_update(self, summary_address_v4=None, level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type summary_address_v4: address
    :param summary_address_v4: Keyword argument tuple.

    :type address: unicode
    :param address: **summary_address_v4** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type level: unicode
    :param level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.summary_address_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v4.summary_address_v4', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_address_v4', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, summary_address_v4=summary_address_v4, level=level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_address_v4=summary_address_v4, level=level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_update(self, afi=None, safi=None, originate_default_route=None, originate_default_routemap_name=None, default_metric=None, l1_default_link_metric=None, l2_default_link_metric=None, administrative_distance=None, maximum_equal_cost_paths=None, adjacency_check=None, multi_topology=None, mt_transition_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type afi: unicode
    :param afi: Keyword argument.

        * enumeration restriction: ::

            ['isis-ipv6-afi', 'isis-ipv4-afi']

    :type safi: unicode
    :param safi: Keyword argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type originate_default_route: unicode
    :param originate_default_route: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type originate_default_routemap_name: unicode
    :param originate_default_routemap_name: Keyword argument.

    :type default_metric: int
    :param default_metric: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type l1_default_link_metric: long
    :param l1_default_link_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2_default_link_metric: long
    :param l2_default_link_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type administrative_distance: long
    :param administrative_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type maximum_equal_cost_paths: long
    :param maximum_equal_cost_paths: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adjacency_check: unicode
    :param adjacency_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type multi_topology: unicode
    :param multi_topology: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type mt_transition_state: YANGBool
    :param mt_transition_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, afi=afi, safi=safi, originate_default_route=originate_default_route, originate_default_routemap_name=originate_default_routemap_name, default_metric=default_metric, l1_default_link_metric=l1_default_link_metric, l2_default_link_metric=l2_default_link_metric, administrative_distance=administrative_distance, maximum_equal_cost_paths=maximum_equal_cost_paths, adjacency_check=adjacency_check, multi_topology=multi_topology, mt_transition_state=mt_transition_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, afi=afi, safi=safi, originate_default_route=originate_default_route, originate_default_routemap_name=originate_default_routemap_name, default_metric=default_metric, l1_default_link_metric=l1_default_link_metric, l2_default_link_metric=l2_default_link_metric, administrative_distance=administrative_distance, maximum_equal_cost_paths=maximum_equal_cost_paths, adjacency_check=adjacency_check, multi_topology=multi_topology, mt_transition_state=mt_transition_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_adjacency_check_update(self, adjacency_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type adjacency_check: unicode
    :param adjacency_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adjacency_check=adjacency_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adjacency_check=adjacency_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_administrative_distance_update(self, administrative_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type administrative_distance: long
    :param administrative_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, administrative_distance=administrative_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, administrative_distance=administrative_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_afi_update(self, afi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type afi: unicode
    :param afi: Keyword argument.

        * enumeration restriction: ::

            ['isis-ipv6-afi', 'isis-ipv4-afi']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, afi=afi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, afi=afi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_default_metric_update(self, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_metric: int
    :param default_metric: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_l1_default_link_metric_update(self, l1_default_link_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l1_default_link_metric: long
    :param l1_default_link_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1_default_link_metric=l1_default_link_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1_default_link_metric=l1_default_link_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_l2_default_link_metric_update(self, l2_default_link_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_default_link_metric: long
    :param l2_default_link_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_default_link_metric=l2_default_link_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_default_link_metric=l2_default_link_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_maximum_equal_cost_paths_update(self, maximum_equal_cost_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type maximum_equal_cost_paths: long
    :param maximum_equal_cost_paths: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, maximum_equal_cost_paths=maximum_equal_cost_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, maximum_equal_cost_paths=maximum_equal_cost_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_mt_transition_state_update(self, mt_transition_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mt_transition_state: YANGBool
    :param mt_transition_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mt_transition_state=mt_transition_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mt_transition_state=mt_transition_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_multi_topology_update(self, multi_topology=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type multi_topology: unicode
    :param multi_topology: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, multi_topology=multi_topology)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multi_topology=multi_topology)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_originate_default_route_update(self, originate_default_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type originate_default_route: unicode
    :param originate_default_route: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, originate_default_route=originate_default_route)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, originate_default_route=originate_default_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_originate_default_routemap_name_update(self, originate_default_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type originate_default_routemap_name: unicode
    :param originate_default_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, originate_default_routemap_name=originate_default_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, originate_default_routemap_name=originate_default_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_bgp_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_bgp_redist_enabled_update(self, redist_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_bgp_redist_level_update(self, redist_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_level=redist_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_level=redist_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_bgp_redist_metric_update(self, redist_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric=redist_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric=redist_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_bgp_redist_metric_type_update(self, redist_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric_type=redist_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric_type=redist_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_bgp_redist_routemap_name_update(self, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_connected_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_connected_redist_enabled_update(self, redist_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_connected_redist_level_update(self, redist_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_level=redist_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_level=redist_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_connected_redist_metric_update(self, redist_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric=redist_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric=redist_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_connected_redist_metric_type_update(self, redist_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric_type=redist_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric_type=redist_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_connected_redist_routemap_name_update(self, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_isis_update(self, redist_is_l2_to_l1=None, redist_is_l2_to_l1_prefix=None, redist_is_l1_to_l2=None, redist_is_l1_to_l2_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_is_l2_to_l1: unicode
    :param redist_is_l2_to_l1: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_is_l2_to_l1_prefix: unicode
    :param redist_is_l2_to_l1_prefix: Keyword argument.

    :type redist_is_l1_to_l2: unicode
    :param redist_is_l1_to_l2: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_is_l1_to_l2_prefix: unicode
    :param redist_is_l1_to_l2_prefix: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_is_l2_to_l1=redist_is_l2_to_l1, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix, redist_is_l1_to_l2=redist_is_l1_to_l2, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_is_l2_to_l1=redist_is_l2_to_l1, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix, redist_is_l1_to_l2=redist_is_l1_to_l2, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_isis_redist_is_l1_to_l2_update(self, redist_is_l1_to_l2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_is_l1_to_l2: unicode
    :param redist_is_l1_to_l2: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_is_l1_to_l2=redist_is_l1_to_l2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_is_l1_to_l2=redist_is_l1_to_l2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_isis_redist_is_l1_to_l2_prefix_update(self, redist_is_l1_to_l2_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_is_l1_to_l2_prefix: unicode
    :param redist_is_l1_to_l2_prefix: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_isis_redist_is_l2_to_l1_update(self, redist_is_l2_to_l1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_is_l2_to_l1: unicode
    :param redist_is_l2_to_l1: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_is_l2_to_l1=redist_is_l2_to_l1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_is_l2_to_l1=redist_is_l2_to_l1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_isis_redist_is_l2_to_l1_prefix_update(self, redist_is_l2_to_l1_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_is_l2_to_l1_prefix: unicode
    :param redist_is_l2_to_l1_prefix: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_ospf_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, ospf_internal_enabled=None, ospf_external1_enabled=None, ospf_external2_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type ospf_internal_enabled: unicode
    :param ospf_internal_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type ospf_external1_enabled: unicode
    :param ospf_external1_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type ospf_external2_enabled: unicode
    :param ospf_external2_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name, ospf_internal_enabled=ospf_internal_enabled, ospf_external1_enabled=ospf_external1_enabled, ospf_external2_enabled=ospf_external2_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name, ospf_internal_enabled=ospf_internal_enabled, ospf_external1_enabled=ospf_external1_enabled, ospf_external2_enabled=ospf_external2_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_ospf_ospf_external1_enabled_update(self, ospf_external1_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_external1_enabled: unicode
    :param ospf_external1_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_external1_enabled=ospf_external1_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_external1_enabled=ospf_external1_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_ospf_ospf_external2_enabled_update(self, ospf_external2_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_external2_enabled: unicode
    :param ospf_external2_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_external2_enabled=ospf_external2_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_external2_enabled=ospf_external2_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_ospf_ospf_internal_enabled_update(self, ospf_internal_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_internal_enabled: unicode
    :param ospf_internal_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_internal_enabled=ospf_internal_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_internal_enabled=ospf_internal_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_ospf_redist_enabled_update(self, redist_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_ospf_redist_level_update(self, redist_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_level=redist_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_level=redist_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_ospf_redist_metric_update(self, redist_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric=redist_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric=redist_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_ospf_redist_metric_type_update(self, redist_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric_type=redist_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric_type=redist_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_ospf_redist_routemap_name_update(self, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_rip_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_rip_redist_enabled_update(self, redist_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_rip_redist_level_update(self, redist_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_level=redist_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_level=redist_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_rip_redist_metric_update(self, redist_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric=redist_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric=redist_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_rip_redist_metric_type_update(self, redist_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric_type=redist_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric_type=redist_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_rip_redist_routemap_name_update(self, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_static_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_static_redist_enabled_update(self, redist_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_enabled: unicode
    :param redist_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_enabled=redist_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_enabled=redist_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_static_redist_level_update(self, redist_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_level: unicode
    :param redist_level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_level=redist_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_level=redist_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_static_redist_metric_update(self, redist_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric: long
    :param redist_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric=redist_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric=redist_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_static_redist_metric_type_update(self, redist_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_metric_type: unicode
    :param redist_metric_type: Keyword argument.

        * enumeration restriction: ::

            ['is-metric-external', 'is-metric-internal']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_metric_type=redist_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_metric_type=redist_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_static_redist_routemap_name_update(self, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redist_routemap_name: unicode
    :param redist_routemap_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redist_routemap_name=redist_routemap_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_safi_update(self, safi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type safi: unicode
    :param safi: Keyword argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, safi=safi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, safi=safi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_summary_prefix_v6_update(self, summary_prefix_v6=None, level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type summary_prefix_v6: address
    :param summary_prefix_v6: Keyword argument tuple.

    :type address: unicode
    :param address: **summary_prefix_v6** tuple argument.

    **Instance Argument(s)**:

    :type level: unicode
    :param level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.summary_prefix_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.summary_prefix_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_prefix_v6', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, summary_prefix_v6=summary_prefix_v6, level=level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_prefix_v6=summary_prefix_v6, level=level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_summary_prefix_v6_level_update(self, summary_prefix_v6=None, level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type summary_prefix_v6: address
    :param summary_prefix_v6: Keyword argument tuple.

    :type address: unicode
    :param address: **summary_prefix_v6** tuple argument.

    **Instance Argument(s)**:

    :type level: unicode
    :param level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.summary_prefix_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.is_address_family_v6.summary_prefix_v6', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_prefix_v6', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, summary_prefix_v6=summary_prefix_v6, level=level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_prefix_v6=summary_prefix_v6, level=level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_isis_hostname_enabled_update(self, isis_hostname_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_hostname_enabled: unicode
    :param isis_hostname_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_hostname_enabled=isis_hostname_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_hostname_enabled=isis_hostname_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_isis_system_info_update(self, protocol_enabled=None, operation_mode=None, system_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol_enabled: unicode
    :param protocol_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type operation_mode: unicode
    :param operation_mode: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type system_id: unicode
    :param system_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.isis_system_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_enabled=protocol_enabled, operation_mode=operation_mode, system_id=system_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_enabled=protocol_enabled, operation_mode=operation_mode, system_id=system_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_isis_system_info_nsap_update(self, nsap=None, length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type nsap: net_addr
    :param nsap: Keyword argument tuple.

    :type net_addr: unicode
    :param net_addr: **nsap** tuple argument.

    **Instance Argument(s)**:

    :type length: int
    :param length: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info.nsap', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.isis_system_info.nsap', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'nsap', 'keyval': 'net_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsap=nsap, length=length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsap=nsap, length=length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_isis_system_info_nsap_length_update(self, nsap=None, length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type nsap: net_addr
    :param nsap: Keyword argument tuple.

    :type net_addr: unicode
    :param net_addr: **nsap** tuple argument.

    **Instance Argument(s)**:

    :type length: int
    :param length: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info.nsap', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.isis_system_info.nsap', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'nsap', 'keyval': 'net_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsap=nsap, length=length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsap=nsap, length=length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_isis_system_info_operation_mode_update(self, operation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type operation_mode: unicode
    :param operation_mode: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.isis_system_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, operation_mode=operation_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, operation_mode=operation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_isis_system_info_protocol_enabled_update(self, protocol_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol_enabled: unicode
    :param protocol_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.isis_system_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_enabled=protocol_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_enabled=protocol_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_isis_system_info_system_id_update(self, system_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type system_id: unicode
    :param system_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.isis_system_info', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, system_id=system_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, system_id=system_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_ispf_enabled_update(self, ispf_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ispf_enabled: unicode
    :param ispf_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ispf_enabled=ispf_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ispf_enabled=ispf_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_istct_spf_enabled_update(self, istct_spf_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type istct_spf_enabled: unicode
    :param istct_spf_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, istct_spf_enabled=istct_spf_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, istct_spf_enabled=istct_spf_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_auth_profile_update(self, auth_check=None, auth_mode=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_check: unicode
    :param auth_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type auth_mode: unicode
    :param auth_mode: Keyword argument.

        * enumeration restriction: ::

            ['none', 'cleartext', 'md5']

    :type auth_key: unicode
    :param auth_key: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l1_auth_profile', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_auth_profile_auth_check_update(self, auth_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_check: unicode
    :param auth_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l1_auth_profile', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_check=auth_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_check=auth_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_auth_profile_auth_key_update(self, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l1_auth_profile', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_auth_profile_auth_mode_update(self, auth_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_mode: unicode
    :param auth_mode: Keyword argument.

        * enumeration restriction: ::

            ['none', 'cleartext', 'md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l1_auth_profile', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_mode=auth_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_mode=auth_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_spf6_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type init_delay_time: long
    :param init_delay_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hold_down_time: long
    :param hold_down_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_time: long
    :param max_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l1_spf6_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_spf6_timer_hold_down_time_update(self, hold_down_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hold_down_time: long
    :param hold_down_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l1_spf6_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hold_down_time=hold_down_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hold_down_time=hold_down_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_spf6_timer_init_delay_time_update(self, init_delay_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type init_delay_time: long
    :param init_delay_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l1_spf6_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, init_delay_time=init_delay_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, init_delay_time=init_delay_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_spf6_timer_max_time_update(self, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_time: long
    :param max_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l1_spf6_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_time=max_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_spf_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type init_delay_time: long
    :param init_delay_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hold_down_time: long
    :param hold_down_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_time: long
    :param max_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l1_spf_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_spf_timer_hold_down_time_update(self, hold_down_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hold_down_time: long
    :param hold_down_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l1_spf_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hold_down_time=hold_down_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hold_down_time=hold_down_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_spf_timer_init_delay_time_update(self, init_delay_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type init_delay_time: long
    :param init_delay_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l1_spf_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, init_delay_time=init_delay_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, init_delay_time=init_delay_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_spf_timer_max_time_update(self, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_time: long
    :param max_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l1_spf_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_time=max_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_auth_profile_update(self, auth_check=None, auth_mode=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_check: unicode
    :param auth_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type auth_mode: unicode
    :param auth_mode: Keyword argument.

        * enumeration restriction: ::

            ['none', 'cleartext', 'md5']

    :type auth_key: unicode
    :param auth_key: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l2_auth_profile', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_auth_profile_auth_check_update(self, auth_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_check: unicode
    :param auth_check: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l2_auth_profile', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_check=auth_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_check=auth_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_auth_profile_auth_key_update(self, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l2_auth_profile', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_auth_profile_auth_mode_update(self, auth_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_mode: unicode
    :param auth_mode: Keyword argument.

        * enumeration restriction: ::

            ['none', 'cleartext', 'md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l2_auth_profile', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_mode=auth_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_mode=auth_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_spf6_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type init_delay_time: long
    :param init_delay_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hold_down_time: long
    :param hold_down_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_time: long
    :param max_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l2_spf6_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_spf6_timer_hold_down_time_update(self, hold_down_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hold_down_time: long
    :param hold_down_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l2_spf6_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hold_down_time=hold_down_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hold_down_time=hold_down_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_spf6_timer_init_delay_time_update(self, init_delay_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type init_delay_time: long
    :param init_delay_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l2_spf6_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, init_delay_time=init_delay_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, init_delay_time=init_delay_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_spf6_timer_max_time_update(self, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_time: long
    :param max_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l2_spf6_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_time=max_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_spf_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type init_delay_time: long
    :param init_delay_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hold_down_time: long
    :param hold_down_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_time: long
    :param max_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l2_spf_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_spf_timer_hold_down_time_update(self, hold_down_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hold_down_time: long
    :param hold_down_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l2_spf_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hold_down_time=hold_down_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hold_down_time=hold_down_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_spf_timer_init_delay_time_update(self, init_delay_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type init_delay_time: long
    :param init_delay_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l2_spf_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, init_delay_time=init_delay_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, init_delay_time=init_delay_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_spf_timer_max_time_update(self, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_time: long
    :param max_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.l2_spf_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_time=max_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_log_handler_update(self, log_adj_state_change=None, log_bad_lsp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type log_adj_state_change: unicode
    :param log_adj_state_change: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type log_bad_lsp: unicode
    :param log_bad_lsp: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.log_handler', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.log_handler', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, log_adj_state_change=log_adj_state_change, log_bad_lsp=log_bad_lsp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, log_adj_state_change=log_adj_state_change, log_bad_lsp=log_bad_lsp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_log_handler_log_adj_state_change_update(self, log_adj_state_change=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type log_adj_state_change: unicode
    :param log_adj_state_change: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.log_handler', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.log_handler', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, log_adj_state_change=log_adj_state_change)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, log_adj_state_change=log_adj_state_change)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_log_handler_log_bad_lsp_update(self, log_bad_lsp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type log_bad_lsp: unicode
    :param log_bad_lsp: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.log_handler', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.log_handler', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, log_bad_lsp=log_bad_lsp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, log_bad_lsp=log_bad_lsp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_lsp_fast_flood_count_update(self, lsp_fast_flood_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_fast_flood_count: int
    :param lsp_fast_flood_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_fast_flood_count=lsp_fast_flood_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_fast_flood_count=lsp_fast_flood_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_lsp_flood_count_update(self, lsp_flood_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_flood_count: int
    :param lsp_flood_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_flood_count=lsp_flood_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_flood_count=lsp_flood_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_lsp_gen_interval_update(self, lsp_gen_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_gen_interval: int
    :param lsp_gen_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_gen_interval=lsp_gen_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_gen_interval=lsp_gen_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_lsp_interval_update(self, lsp_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_interval: long
    :param lsp_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_interval=lsp_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_interval=lsp_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_lsp_lifetime_update(self, lsp_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_lifetime: int
    :param lsp_lifetime: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_lifetime=lsp_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_lifetime=lsp_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_lsp_refresh_interval_update(self, lsp_refresh_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_refresh_interval: int
    :param lsp_refresh_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_refresh_interval=lsp_refresh_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_refresh_interval=lsp_refresh_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_nsr_state_update(self, nsr_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type nsr_state: unicode
    :param nsr_state: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsr_state=nsr_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsr_state=nsr_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_overload_bgp_wait_time_update(self, overload_bgp_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type overload_bgp_wait_time: long
    :param overload_bgp_wait_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overload_bgp_wait_time=overload_bgp_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overload_bgp_wait_time=overload_bgp_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_overload_startup_time_update(self, overload_startup_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type overload_startup_time: long
    :param overload_startup_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overload_startup_time=overload_startup_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overload_startup_time=overload_startup_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_overload_state_update(self, overload_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type overload_state: unicode
    :param overload_state: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overload_state=overload_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overload_state=overload_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_overload_wait_on_bgp_update(self, overload_wait_on_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type overload_wait_on_bgp: unicode
    :param overload_wait_on_bgp: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overload_wait_on_bgp=overload_wait_on_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overload_wait_on_bgp=overload_wait_on_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_pspf6_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type init_delay_time: long
    :param init_delay_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hold_down_time: long
    :param hold_down_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_time: long
    :param max_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.pspf6_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_pspf6_timer_hold_down_time_update(self, hold_down_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hold_down_time: long
    :param hold_down_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.pspf6_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hold_down_time=hold_down_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hold_down_time=hold_down_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_pspf6_timer_init_delay_time_update(self, init_delay_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type init_delay_time: long
    :param init_delay_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.pspf6_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, init_delay_time=init_delay_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, init_delay_time=init_delay_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_pspf6_timer_max_time_update(self, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_time: long
    :param max_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.pspf6_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_time=max_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_pspf_enabled_update(self, pspf_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf_enabled: unicode
    :param pspf_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf_enabled=pspf_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf_enabled=pspf_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_pspf_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type init_delay_time: long
    :param init_delay_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hold_down_time: long
    :param hold_down_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_time: long
    :param max_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.pspf_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_pspf_timer_hold_down_time_update(self, hold_down_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hold_down_time: long
    :param hold_down_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.pspf_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hold_down_time=hold_down_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hold_down_time=hold_down_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_pspf_timer_init_delay_time_update(self, init_delay_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type init_delay_time: long
    :param init_delay_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.pspf_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, init_delay_time=init_delay_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, init_delay_time=init_delay_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_pspf_timer_max_time_update(self, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_time: long
    :param max_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.pspf_timer', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_time=max_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_retransmit_interval_update(self, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type retransmit_interval: int
    :param retransmit_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_reverse_metric_update(self, reverse_metric_value=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, rev_metric_tlv_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type reverse_metric_value: long
    :param reverse_metric_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rev_metric_whole_lan: unicode
    :param rev_metric_whole_lan: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type rev_metric_te_def_metric: unicode
    :param rev_metric_te_def_metric: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type rev_metric_tlv_type: long
    :param rev_metric_tlv_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, reverse_metric_value=reverse_metric_value, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric, rev_metric_tlv_type=rev_metric_tlv_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, reverse_metric_value=reverse_metric_value, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric, rev_metric_tlv_type=rev_metric_tlv_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_reverse_metric_rev_metric_te_def_metric_update(self, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rev_metric_te_def_metric: unicode
    :param rev_metric_te_def_metric: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rev_metric_te_def_metric=rev_metric_te_def_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_reverse_metric_rev_metric_tlv_type_update(self, rev_metric_tlv_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rev_metric_tlv_type: long
    :param rev_metric_tlv_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rev_metric_tlv_type=rev_metric_tlv_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rev_metric_tlv_type=rev_metric_tlv_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_reverse_metric_rev_metric_whole_lan_update(self, rev_metric_whole_lan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rev_metric_whole_lan: unicode
    :param rev_metric_whole_lan: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rev_metric_whole_lan=rev_metric_whole_lan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rev_metric_whole_lan=rev_metric_whole_lan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_reverse_metric_reverse_metric_value_update(self, reverse_metric_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type reverse_metric_value: long
    :param reverse_metric_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, reverse_metric_value=reverse_metric_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, reverse_metric_value=reverse_metric_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isns_vrf_forwarding_update(self, isns_vrf=None, isns_ipaddress=None, esi_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type isns_vrf: isns_vrf_instance
    :param isns_vrf: Keyword argument tuple.

    :type isns_vrf_instance: long
    :param isns_vrf_instance: **isns_vrf** tuple argument:  iSNS VRF forwarding value 1

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type isns_ipaddress: unicode
    :param isns_ipaddress: iSNS VRF forwarding IP address A.B.C.D format

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type esi_timeout: long
    :param esi_timeout: iSNS VRF forwarding esi timeout.Default esi time is 300.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isns_vrf', 'keyval': 'isns_vrf_instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isns_vrf=isns_vrf, isns_ipaddress=isns_ipaddress, esi_timeout=esi_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isns_vrf=isns_vrf, isns_ipaddress=isns_ipaddress, esi_timeout=esi_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isns_vrf_forwarding_discovery_domain_set_update(self, isns_vrf=None, isns_discovery_domain_set=None, isns_discovery_domain_set_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isns_vrf: isns_vrf_instance
    :param isns_vrf: Keyword argument tuple.

    :type isns_vrf_instance: long
    :param isns_vrf_instance: **isns_vrf** tuple argument:  iSNS VRF forwarding value 1

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type isns_discovery_domain_set: isns_discovery_domain_set_name
    :param isns_discovery_domain_set: Keyword argument tuple.

    :type isns_discovery_domain_set_name: unicode
    :param isns_discovery_domain_set_name: **isns_discovery_domain_set** tuple argument:  iSNS Discovery Domain Set Name (Max Size - 256)

        * length restriction: ::

            ['1..255']

        * pattern restriction: ::

            '[-_0-9a-zA-Z]{1,255}'

    **Instance Argument(s)**:

    :type isns_discovery_domain_set_enable: YANGBool
    :param isns_discovery_domain_set_enable: Enable Discovery Domain Set

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.isns.isns_vrf', u'isns_vrf')]
    bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf.isns_discovery_domain_set', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'isns_vrf_instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'isns_discovery_domain_set', 'keyval': 'isns_discovery_domain_set_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isns_vrf=isns_vrf, isns_discovery_domain_set=isns_discovery_domain_set, isns_discovery_domain_set_enable=isns_discovery_domain_set_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isns_vrf=isns_vrf, isns_discovery_domain_set=isns_discovery_domain_set, isns_discovery_domain_set_enable=isns_discovery_domain_set_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isns_vrf_forwarding_discovery_domain_set_enable_update(self, isns_vrf=None, isns_discovery_domain_set=None, isns_discovery_domain_set_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isns_vrf: isns_vrf_instance
    :param isns_vrf: Keyword argument tuple.

    :type isns_vrf_instance: long
    :param isns_vrf_instance: **isns_vrf** tuple argument:  iSNS VRF forwarding value 1

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type isns_discovery_domain_set: isns_discovery_domain_set_name
    :param isns_discovery_domain_set: Keyword argument tuple.

    :type isns_discovery_domain_set_name: unicode
    :param isns_discovery_domain_set_name: **isns_discovery_domain_set** tuple argument:  iSNS Discovery Domain Set Name (Max Size - 256)

        * length restriction: ::

            ['1..255']

        * pattern restriction: ::

            '[-_0-9a-zA-Z]{1,255}'

    **Instance Argument(s)**:

    :type isns_discovery_domain_set_enable: YANGBool
    :param isns_discovery_domain_set_enable: Enable Discovery Domain Set

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.isns.isns_vrf', u'isns_vrf')]
    bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf.isns_discovery_domain_set', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'isns_vrf_instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'isns_discovery_domain_set', 'keyval': 'isns_discovery_domain_set_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isns_vrf=isns_vrf, isns_discovery_domain_set=isns_discovery_domain_set, isns_discovery_domain_set_enable=isns_discovery_domain_set_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isns_vrf=isns_vrf, isns_discovery_domain_set=isns_discovery_domain_set, isns_discovery_domain_set_enable=isns_discovery_domain_set_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isns_vrf_forwarding_esi_timeout_update(self, isns_vrf=None, esi_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type isns_vrf: isns_vrf_instance
    :param isns_vrf: Keyword argument tuple.

    :type isns_vrf_instance: long
    :param isns_vrf_instance: **isns_vrf** tuple argument:  iSNS VRF forwarding value 1

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esi_timeout: long
    :param esi_timeout: iSNS VRF forwarding esi timeout.Default esi time is 300.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isns_vrf', 'keyval': 'isns_vrf_instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isns_vrf=isns_vrf, esi_timeout=esi_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isns_vrf=isns_vrf, esi_timeout=esi_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isns_vrf_forwarding_isns_ipaddress_update(self, isns_vrf=None, isns_ipaddress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type isns_vrf: isns_vrf_instance
    :param isns_vrf: Keyword argument tuple.

    :type isns_vrf_instance: long
    :param isns_vrf_instance: **isns_vrf** tuple argument:  iSNS VRF forwarding value 1

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type isns_ipaddress: unicode
    :param isns_ipaddress: iSNS VRF forwarding IP address A.B.C.D format

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isns_vrf', 'keyval': 'isns_vrf_instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isns_vrf=isns_vrf, isns_ipaddress=isns_ipaddress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isns_vrf=isns_vrf, isns_ipaddress=isns_ipaddress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lacp_update(self, system_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type system_priority: long
    :param system_priority: LACP system priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.lacp', 'pybind.nos.v6_0_2c.brocade_lacp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.lacp', 'pybind.nos.v7_0_1b.brocade_lacp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.lacp', 'pybind.nos.v7_1_0.brocade_lacp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.lacp', 'pybind.slxos.v16r_1_00b.brocade_lacp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.lacp', 'pybind.slxos.v17r_1_00a.brocade_lacp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, system_priority=system_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, system_priority=system_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lacp_system_priority_update(self, system_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type system_priority: long
    :param system_priority: LACP system priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.lacp', 'pybind.nos.v6_0_2c.brocade_lacp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.lacp', 'pybind.nos.v7_0_1b.brocade_lacp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.lacp', 'pybind.nos.v7_1_0.brocade_lacp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.lacp', 'pybind.slxos.v16r_1_00b.brocade_lacp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.lacp', 'pybind.slxos.v17r_1_00a.brocade_lacp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, system_priority=system_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, system_priority=system_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lag_hash_update(self, hdr_count=None, rotate=None, normalize=None, srcport=None, pwctrlword=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hdr_count: long
    :param hdr_count: Number of headers to be considered for LAG hashing

        * range restriction: ::

            ['0..4294967295']

    :type rotate: long
    :param rotate: Hash Rotate

        * range restriction: ::

            ['0..4294967295']

    :type normalize: YANGBool
    :param normalize: Enable/Disable using the same hash in both directions of a flow

    :type srcport: YANGBool
    :param srcport: Include/Exclude Source port

    :type pwctrlword: YANGBool
    :param pwctrlword: Include/Exclude PW control word in hashing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.lag.hash', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hdr_count=hdr_count, rotate=rotate, normalize=normalize, srcport=srcport, pwctrlword=pwctrlword)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hdr_count=hdr_count, rotate=rotate, normalize=normalize, srcport=srcport, pwctrlword=pwctrlword)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lag_hash_bos_update(self, start_skip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type start_skip: unicode
    :param start_skip: Keyword argument.

        * enumeration restriction: ::

            ['start', 'skip']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash.bos', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.lag.hash.bos', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'start_skip'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, start_skip=start_skip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, start_skip=start_skip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lag_hash_bos_start_skip_update(self, start_skip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type start_skip: unicode
    :param start_skip: Keyword argument.

        * enumeration restriction: ::

            ['start', 'skip']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash.bos', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.lag.hash.bos', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, start_skip=start_skip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, start_skip=start_skip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lag_hash_hdr_count_update(self, hdr_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hdr_count: long
    :param hdr_count: Number of headers to be considered for LAG hashing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.lag.hash', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hdr_count=hdr_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hdr_count=hdr_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lag_hash_hdr_start_update(self, fwd_term=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fwd_term: unicode
    :param fwd_term: Keyword argument.

        * enumeration restriction: ::

            ['fwd', 'term']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash.hdr_start', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.lag.hash.hdr_start', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fwd_term'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fwd_term=fwd_term)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fwd_term=fwd_term)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lag_hash_hdr_start_fwd_term_update(self, fwd_term=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fwd_term: unicode
    :param fwd_term: Keyword argument.

        * enumeration restriction: ::

            ['fwd', 'term']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash.hdr_start', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.lag.hash.hdr_start', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fwd_term=fwd_term)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fwd_term=fwd_term)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lag_hash_normalize_update(self, normalize=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type normalize: YANGBool
    :param normalize: Enable/Disable using the same hash in both directions of a flow

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.lag.hash', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, normalize=normalize)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, normalize=normalize)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lag_hash_pwctrlword_update(self, pwctrlword=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pwctrlword: YANGBool
    :param pwctrlword: Include/Exclude PW control word in hashing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.lag.hash', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pwctrlword=pwctrlword)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pwctrlword=pwctrlword)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lag_hash_rotate_update(self, rotate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rotate: long
    :param rotate: Hash Rotate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.lag.hash', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rotate=rotate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rotate=rotate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lag_hash_speculate_mpls_update(self, enable_eth_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable_eth_ip: unicode
    :param enable_eth_ip: Keyword argument.

        * enumeration restriction: ::

            ['enable',
            'inner-ipv6-raw',
            'inner-eth',
            'inner-ipv6-tag',
            'inner-ip-tag',
            'inner-ip-raw']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash.speculate_mpls', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.lag.hash.speculate_mpls', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable_eth_ip=enable_eth_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable_eth_ip=enable_eth_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lag_hash_speculate_mpls_enable_eth_ip_update(self, enable_eth_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable_eth_ip: unicode
    :param enable_eth_ip: Keyword argument.

        * enumeration restriction: ::

            ['enable',
            'inner-ipv6-raw',
            'inner-eth',
            'inner-ipv6-tag',
            'inner-ip-tag',
            'inner-ip-raw']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash.speculate_mpls', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.lag.hash.speculate_mpls', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable_eth_ip=enable_eth_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable_eth_ip=enable_eth_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def lag_hash_srcport_update(self, srcport=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type srcport: YANGBool
    :param srcport: Include/Exclude Source port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.lag.hash', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, srcport=srcport)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, srcport=srcport)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ldap_server_host_update(self, host=None, port=None, retries=None, timeout=None, basedn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this LDAP server

        * length restriction: ::

            ['1..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type port: int
    :param port: TCP Port for Authentication (default=389)

        * range restriction: ::

            ['0..65535']

    :type retries: int
    :param retries: Number of retries for this server connection (default=5)

        * range restriction: ::

            ['0..255']

    :type timeout: int
    :param timeout: Wait time for this server to respond (default=5 sec)

        * range restriction: ::

            ['0..255']

    :type basedn: unicode
    :param basedn: Base Domain Name (default='local')

        * length restriction: ::

            ['1..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ldap_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ldap_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ldap_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.ldap_server.host": {}, "pybind.nos.v6_0_2c.ldap_server.host": {"retries": "retries", "hostname": "hostname", "basedn": "basedn", "port": "port", "timeout": "timeout"}, "pybind.slxos.v16r_1_00b.ldap_server.host": {}, "pybind.nos.v7_1_0.ldap_server.host": {}, "pybind.slxos.v17r_1_00a.ldap_server.host": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, port=port, retries=retries, timeout=timeout, basedn=basedn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, port=port, retries=retries, timeout=timeout, basedn=basedn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ldap_server_host_basedn_update(self, host=None, basedn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this LDAP server

        * length restriction: ::

            ['1..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type basedn: unicode
    :param basedn: Base Domain Name (default='local')

        * length restriction: ::

            ['1..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ldap_server.host', u'host'), ('pybind.slxos.v17r_1_00a.ldap_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.ldap_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ldap_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ldap_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.host.ldap_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ldap_server.host.ldap_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.ldap_server.host.ldap_server_options": {}, "pybind.nos.v7_0_1b.ldap_server.host": {}, "pybind.nos.v6_0_2c.ldap_server.host": {"basedn": "basedn", "hostname": "hostname"}, "pybind.slxos.v16r_1_00b.ldap_server.host.ldap_server_options": {}, "pybind.nos.v7_1_0.ldap_server.host": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, basedn=basedn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, basedn=basedn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ldap_server_host_port_update(self, host=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this LDAP server

        * length restriction: ::

            ['1..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type port: int
    :param port: TCP Port for Authentication (default=389)

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ldap_server.host', u'host'), ('pybind.slxos.v17r_1_00a.ldap_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.ldap_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ldap_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ldap_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.host.ldap_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ldap_server.host.ldap_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.ldap_server.host.ldap_server_options": {}, "pybind.nos.v7_0_1b.ldap_server.host": {}, "pybind.nos.v6_0_2c.ldap_server.host": {"hostname": "hostname", "port": "port"}, "pybind.slxos.v16r_1_00b.ldap_server.host.ldap_server_options": {}, "pybind.nos.v7_1_0.ldap_server.host": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, port=port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ldap_server_host_retries_update(self, host=None, retries=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this LDAP server

        * length restriction: ::

            ['1..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type retries: int
    :param retries: Number of retries for this server connection (default=5)

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ldap_server.host', u'host'), ('pybind.slxos.v17r_1_00a.ldap_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.ldap_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ldap_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ldap_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.host.ldap_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ldap_server.host.ldap_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.ldap_server.host.ldap_server_options": {}, "pybind.nos.v7_0_1b.ldap_server.host": {}, "pybind.nos.v6_0_2c.ldap_server.host": {"retries": "retries", "hostname": "hostname"}, "pybind.slxos.v16r_1_00b.ldap_server.host.ldap_server_options": {}, "pybind.nos.v7_1_0.ldap_server.host": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, retries=retries)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, retries=retries)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ldap_server_host_timeout_update(self, host=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this LDAP server

        * length restriction: ::

            ['1..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type timeout: int
    :param timeout: Wait time for this server to respond (default=5 sec)

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ldap_server.host', u'host'), ('pybind.slxos.v17r_1_00a.ldap_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.ldap_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ldap_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ldap_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.host.ldap_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ldap_server.host.ldap_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.ldap_server.host.ldap_server_options": {}, "pybind.nos.v7_0_1b.ldap_server.host": {}, "pybind.nos.v6_0_2c.ldap_server.host": {"hostname": "hostname", "timeout": "timeout"}, "pybind.slxos.v16r_1_00b.ldap_server.host.ldap_server_options": {}, "pybind.nos.v7_1_0.ldap_server.host": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ldap_server_maprole_group_update(self, group=None, switch_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group: ad_group, switch_role
    :param group: Keyword argument tuple.

    :type ad_group: unicode
    :param ad_group: **group** tuple argument:  AD group belongs to user on the AD Server

        * length restriction: ::

            ['1..max']

    :type switch_role: unicode
    :param switch_role: **group** tuple argument:  AD group belongs to user on the AD Server

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type switch_role: unicode
    :param switch_role: AD group belongs to user on the AD Server

        * length restriction: ::

            ['4 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ldap_server.maprole.group', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ldap_server.maprole.group', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ldap_server.maprole.group', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.maprole.group', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ldap_server.maprole.group', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'ad_group', 'extra_keyval': 'ad_group, switch_role'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group=group, switch_role=switch_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group=group, switch_role=switch_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ldap_server_maprole_group_role_update(self, group=None, switch_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group: ad_group
    :param group: Keyword argument tuple.

    :type ad_group: unicode
    :param ad_group: **group** tuple argument:  AD group belongs to user on the AD Server

        * length restriction: ::

            ['1..max']

    **Instance Argument(s)**:

    :type switch_role: unicode
    :param switch_role: AD group belongs to user on the AD Server

        * length restriction: ::

            ['4 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ldap_server.maprole.group', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ldap_server.maprole.group', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ldap_server.maprole.group', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.maprole.group', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ldap_server.maprole.group', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'ad_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group=group, switch_role=switch_role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group=group, switch_role=switch_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def line_update(self, line=None, exec_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type line: sessionid
    :param line: Keyword argument tuple.

    :type sessionid: unicode
    :param sessionid: **line** tuple argument:  Terminal type

        * enumeration restriction: ::

            ['vty']

    **Instance Argument(s)**:

    :type exec_timeout: long
    :param exec_timeout: CLI session maximum idle time (in minutes) before automatic logout

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.terminal_cfg.line', 'pybind.nos.v6_0_2c.brocade_terminal', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.terminal_cfg.line', 'pybind.nos.v7_0_1b.brocade_terminal', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.terminal_cfg.line', 'pybind.nos.v7_1_0.brocade_terminal', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.terminal_cfg.line', 'pybind.slxos.v16r_1_00b.brocade_terminal', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.terminal_cfg.line', 'pybind.slxos.v17r_1_00a.brocade_terminal', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'line', 'keyval': 'sessionid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, line=line, exec_timeout=exec_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, line=line, exec_timeout=exec_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def line_exec_timeout_update(self, line=None, exec_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type line: sessionid
    :param line: Keyword argument tuple.

    :type sessionid: unicode
    :param sessionid: **line** tuple argument:  Terminal type

        * enumeration restriction: ::

            ['vty']

    **Instance Argument(s)**:

    :type exec_timeout: long
    :param exec_timeout: CLI session maximum idle time (in minutes) before automatic logout

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.terminal_cfg.line', 'pybind.nos.v6_0_2c.brocade_terminal', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.terminal_cfg.line', 'pybind.nos.v7_0_1b.brocade_terminal', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.terminal_cfg.line', 'pybind.nos.v7_1_0.brocade_terminal', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.terminal_cfg.line', 'pybind.slxos.v16r_1_00b.brocade_terminal', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.terminal_cfg.line', 'pybind.slxos.v17r_1_00a.brocade_terminal', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'line', 'keyval': 'sessionid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, line=line, exec_timeout=exec_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, line=line, exec_timeout=exec_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def linecard_linecards_update(self, linecards=None, linecardType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type linecards: linecardName, linecardType
    :param linecards: Keyword argument tuple.

    :type linecardName: unicode
    :param linecardName: **linecards** tuple argument.

        * pattern restriction: ::

            '([1-9]|[1][0-6])'

    :type linecardType: unicode
    :param linecardType: **linecards** tuple argument.

        * enumeration restriction: ::

            ['LC36X100G', 'LC72X10G']

    **Instance Argument(s)**:

    :type linecardType: unicode
    :param linecardType: Keyword argument.

        * enumeration restriction: ::

            ['LC36X100G', 'LC72X10G']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.global_lc_holder.linecard.linecards', 'pybind.slxos.v16r_1_00b.brocade_linecard_management', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.global_lc_holder.linecard.linecards', 'pybind.slxos.v17r_1_00a.brocade_linecard_management', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, linecards=linecards, linecardType=linecardType)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, linecards=linecards, linecardType=linecardType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def linecard_linecards_linecardtype_update(self, linecards=None, linecardType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type linecards: linecardName
    :param linecards: Keyword argument tuple.

    :type linecardName: unicode
    :param linecardName: **linecards** tuple argument.

        * pattern restriction: ::

            '([1-9]|[1][0-6])'

    **Instance Argument(s)**:

    :type linecardType: unicode
    :param linecardType: Keyword argument.

        * enumeration restriction: ::

            ['LC36X100G', 'LC72X10G']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.global_lc_holder.linecard.linecards', 'pybind.slxos.v16r_1_00b.brocade_linecard_management', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.global_lc_holder.linecard.linecards', 'pybind.slxos.v17r_1_00a.brocade_linecard_management', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, linecards=linecards, linecardType=linecardType)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, linecards=linecards, linecardType=linecardType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def link_fault_signaling_update(self, rx=None, tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx: unicode
    :param rx: rx link fault signaling

        * enumeration restriction: ::

            ['on', 'off']

    :type tx: unicode
    :param tx: tx link fault signaling

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_lfs', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.link_fault_signaling', 'pybind.slxos.v17r_1_00a.brocade_lfs', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'rx, tx'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx=rx, tx=tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx=rx, tx=tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def link_fault_signaling_rx_update(self, rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx: unicode
    :param rx: rx link fault signaling

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_lfs', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.link_fault_signaling', 'pybind.slxos.v17r_1_00a.brocade_lfs', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx=rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx=rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def link_fault_signaling_tx_update(self, tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type tx: unicode
    :param tx: tx link fault signaling

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_lfs', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.link_fault_signaling', 'pybind.slxos.v17r_1_00a.brocade_lfs', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tx=tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tx=tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ethernet_update(self, sa_mac=None, da_mac=None, vlan=None, etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sa_mac: YANGBool
    :param sa_mac: sa-mac

    :type da_mac: YANGBool
    :param da_mac: da-mac

    :type vlan: YANGBool
    :param vlan: vlan

    :type etype: YANGBool
    :param etype: etype

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sa_mac=sa_mac, da_mac=da_mac, vlan=vlan, etype=etype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sa_mac=sa_mac, da_mac=da_mac, vlan=vlan, etype=etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ethernet_da_mac_update(self, da_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type da_mac: YANGBool
    :param da_mac: da-mac

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, da_mac=da_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, da_mac=da_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ethernet_etype_update(self, etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type etype: YANGBool
    :param etype: etype

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, etype=etype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, etype=etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ethernet_sa_mac_update(self, sa_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sa_mac: YANGBool
    :param sa_mac: sa-mac

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sa_mac=sa_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sa_mac=sa_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ethernet_vlan_update(self, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vlan: YANGBool
    :param vlan: vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ip_update(self, src_l4_port=None, dst_l4_port=None, src_ip=None, dst_ip=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type src_l4_port: YANGBool
    :param src_l4_port: src-l4-port

    :type dst_l4_port: YANGBool
    :param dst_l4_port: dst-l4-port

    :type src_ip: YANGBool
    :param src_ip: src-ip

    :type dst_ip: YANGBool
    :param dst_ip: dst-ip

    :type protocol: YANGBool
    :param protocol: protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, src_l4_port=src_l4_port, dst_l4_port=dst_l4_port, src_ip=src_ip, dst_ip=dst_ip, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, src_l4_port=src_l4_port, dst_l4_port=dst_l4_port, src_ip=src_ip, dst_ip=dst_ip, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ip_dst_ip_update(self, dst_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dst_ip: YANGBool
    :param dst_ip: dst-ip

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dst_ip=dst_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dst_ip=dst_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ip_dst_l4_port_update(self, dst_l4_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dst_l4_port: YANGBool
    :param dst_l4_port: dst-l4-port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dst_l4_port=dst_l4_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dst_l4_port=dst_l4_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ip_protocol_update(self, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol: YANGBool
    :param protocol: protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ip_src_ip_update(self, src_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type src_ip: YANGBool
    :param src_ip: src-ip

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, src_ip=src_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, src_ip=src_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ip_src_l4_port_update(self, src_l4_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type src_l4_port: YANGBool
    :param src_l4_port: src-l4-port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, src_l4_port=src_l4_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, src_l4_port=src_l4_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ipv6_update(self, ipv6_src_l4_port=None, ipv6_dst_l4_port=None, ipv6_src_ip=None, ipv6_dst_ip=None, ipv6_next_hdr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6_src_l4_port: YANGBool
    :param ipv6_src_l4_port: ipv6-src-l4-port

    :type ipv6_dst_l4_port: YANGBool
    :param ipv6_dst_l4_port: ipv6-dst-l4-port

    :type ipv6_src_ip: YANGBool
    :param ipv6_src_ip: ipv6-src-ip

    :type ipv6_dst_ip: YANGBool
    :param ipv6_dst_ip: ipv6-dst-ip

    :type ipv6_next_hdr: YANGBool
    :param ipv6_next_hdr: ipv6-next-hdr

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_src_l4_port=ipv6_src_l4_port, ipv6_dst_l4_port=ipv6_dst_l4_port, ipv6_src_ip=ipv6_src_ip, ipv6_dst_ip=ipv6_dst_ip, ipv6_next_hdr=ipv6_next_hdr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_src_l4_port=ipv6_src_l4_port, ipv6_dst_l4_port=ipv6_dst_l4_port, ipv6_src_ip=ipv6_src_ip, ipv6_dst_ip=ipv6_dst_ip, ipv6_next_hdr=ipv6_next_hdr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ipv6_ipv6_dst_ip_update(self, ipv6_dst_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6_dst_ip: YANGBool
    :param ipv6_dst_ip: ipv6-dst-ip

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_dst_ip=ipv6_dst_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_dst_ip=ipv6_dst_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ipv6_ipv6_dst_l4_port_update(self, ipv6_dst_l4_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6_dst_l4_port: YANGBool
    :param ipv6_dst_l4_port: ipv6-dst-l4-port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_dst_l4_port=ipv6_dst_l4_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_dst_l4_port=ipv6_dst_l4_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ipv6_ipv6_next_hdr_update(self, ipv6_next_hdr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6_next_hdr: YANGBool
    :param ipv6_next_hdr: ipv6-next-hdr

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_next_hdr=ipv6_next_hdr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_next_hdr=ipv6_next_hdr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ipv6_ipv6_src_ip_update(self, ipv6_src_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6_src_ip: YANGBool
    :param ipv6_src_ip: ipv6-src-ip

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_src_ip=ipv6_src_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_src_ip=ipv6_src_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ipv6_ipv6_src_l4_port_update(self, ipv6_src_l4_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6_src_l4_port: YANGBool
    :param ipv6_src_l4_port: ipv6-src-l4-port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_src_l4_port=ipv6_src_l4_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_src_l4_port=ipv6_src_l4_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_mpls_update(self, label1=None, label2=None, label3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type label1: YANGBool
    :param label1: label1

    :type label2: YANGBool
    :param label2: label2

    :type label3: YANGBool
    :param label3: label3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.mpls', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.mpls', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, label1=label1, label2=label2, label3=label3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, label1=label1, label2=label2, label3=label3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_mpls_label1_update(self, label1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type label1: YANGBool
    :param label1: label1

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.mpls', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.mpls', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, label1=label1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, label1=label1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_mpls_label2_update(self, label2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type label2: YANGBool
    :param label2: label2

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.mpls', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.mpls', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, label2=label2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, label2=label2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def load_balance_hash_mpls_label3_update(self, label3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type label3: YANGBool
    :param label3: label3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.mpls', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.load_balance_lag.load_balance.hash.mpls', 'pybind.slxos.v17r_1_00a.brocade_rbridge_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, label3=label3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, label3=label3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def loam_show_debug_state_loam_show_debug_information_update(self, if_name=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type if_name: unicode
    :param if_name: Keyword argument.

    :type direction: unicode
    :param direction: Keyword argument.

        * enumeration restriction: ::

            ['loam-debug-rx',
            'loam-debug-none',
            'loam-debug-both',
            'loam-debug-tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.loam_show_debug_state.loam_show_debug_information', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, if_name=if_name, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, if_name=if_name, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def loam_show_debug_state_loam_show_debug_information_direction_update(self, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type direction: unicode
    :param direction: Keyword argument.

        * enumeration restriction: ::

            ['loam-debug-rx',
            'loam-debug-none',
            'loam-debug-both',
            'loam-debug-tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.loam_show_debug_state.loam_show_debug_information', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def loam_show_debug_state_loam_show_debug_information_if_name_update(self, if_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type if_name: unicode
    :param if_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.loam_show_debug_state.loam_show_debug_information', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, if_name=if_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, if_name=if_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def loam_state_loam_info_update(self, loam_info=None, link_status=None, loam_status=None, mode=None, local_stable=None, remote_stable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type loam_info: port
    :param loam_info: Keyword argument tuple.

    :type port: unicode
    :param port: **loam_info** tuple argument.

    **Instance Argument(s)**:

    :type link_status: YANGBool
    :param link_status: Keyword argument.

    :type loam_status: unicode
    :param loam_status: Keyword argument.

        * enumeration restriction: ::

            ['loam-status-up',
            'loam-status-down',
            'loam-status-init']

    :type mode: YANGBool
    :param mode: Keyword argument.

    :type local_stable: YANGBool
    :param local_stable: Keyword argument.

    :type remote_stable: YANGBool
    :param remote_stable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.loam_state.loam_info', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'loam_info', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loam_info=loam_info, link_status=link_status, loam_status=loam_status, mode=mode, local_stable=local_stable, remote_stable=remote_stable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loam_info=loam_info, link_status=link_status, loam_status=loam_status, mode=mode, local_stable=local_stable, remote_stable=remote_stable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def loam_state_loam_info_link_status_update(self, loam_info=None, link_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type loam_info: port
    :param loam_info: Keyword argument tuple.

    :type port: unicode
    :param port: **loam_info** tuple argument.

    **Instance Argument(s)**:

    :type link_status: YANGBool
    :param link_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.loam_state.loam_info', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'loam_info', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loam_info=loam_info, link_status=link_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loam_info=loam_info, link_status=link_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def loam_state_loam_info_loam_status_update(self, loam_info=None, loam_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type loam_info: port
    :param loam_info: Keyword argument tuple.

    :type port: unicode
    :param port: **loam_info** tuple argument.

    **Instance Argument(s)**:

    :type loam_status: unicode
    :param loam_status: Keyword argument.

        * enumeration restriction: ::

            ['loam-status-up',
            'loam-status-down',
            'loam-status-init']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.loam_state.loam_info', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'loam_info', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loam_info=loam_info, loam_status=loam_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loam_info=loam_info, loam_status=loam_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def loam_state_loam_info_local_stable_update(self, loam_info=None, local_stable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type loam_info: port
    :param loam_info: Keyword argument tuple.

    :type port: unicode
    :param port: **loam_info** tuple argument.

    **Instance Argument(s)**:

    :type local_stable: YANGBool
    :param local_stable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.loam_state.loam_info', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'loam_info', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loam_info=loam_info, local_stable=local_stable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loam_info=loam_info, local_stable=local_stable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def loam_state_loam_info_mode_update(self, loam_info=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type loam_info: port
    :param loam_info: Keyword argument tuple.

    :type port: unicode
    :param port: **loam_info** tuple argument.

    **Instance Argument(s)**:

    :type mode: YANGBool
    :param mode: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.loam_state.loam_info', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'loam_info', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loam_info=loam_info, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loam_info=loam_info, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def loam_state_loam_info_remote_stable_update(self, loam_info=None, remote_stable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type loam_info: port
    :param loam_info: Keyword argument tuple.

    :type port: unicode
    :param port: **loam_info** tuple argument.

    **Instance Argument(s)**:

    :type remote_stable: YANGBool
    :param remote_stable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.loam_state.loam_info', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'loam_info', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loam_info=loam_info, remote_stable=remote_stable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loam_info=loam_info, remote_stable=remote_stable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def loam_state_loam_statistics_update(self, loam_statistics=None, tx_pdus=None, rx_pdus=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type loam_statistics: port
    :param loam_statistics: Keyword argument tuple.

    :type port: unicode
    :param port: **loam_statistics** tuple argument.

    **Instance Argument(s)**:

    :type tx_pdus: long
    :param tx_pdus: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rx_pdus: long
    :param rx_pdus: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.loam_state.loam_statistics', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'loam_statistics', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loam_statistics=loam_statistics, tx_pdus=tx_pdus, rx_pdus=rx_pdus)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loam_statistics=loam_statistics, tx_pdus=tx_pdus, rx_pdus=rx_pdus)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def loam_state_loam_statistics_rx_pdus_update(self, loam_statistics=None, rx_pdus=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type loam_statistics: port
    :param loam_statistics: Keyword argument tuple.

    :type port: unicode
    :param port: **loam_statistics** tuple argument.

    **Instance Argument(s)**:

    :type rx_pdus: long
    :param rx_pdus: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.loam_state.loam_statistics', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'loam_statistics', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loam_statistics=loam_statistics, rx_pdus=rx_pdus)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loam_statistics=loam_statistics, rx_pdus=rx_pdus)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def loam_state_loam_statistics_tx_pdus_update(self, loam_statistics=None, tx_pdus=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type loam_statistics: port
    :param loam_statistics: Keyword argument tuple.

    :type port: unicode
    :param port: **loam_statistics** tuple argument.

    **Instance Argument(s)**:

    :type tx_pdus: long
    :param tx_pdus: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.loam_state.loam_statistics', 'pybind.slxos.v17r_1_00a.brocade_dot1ag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'loam_statistics', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loam_statistics=loam_statistics, tx_pdus=tx_pdus)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loam_statistics=loam_statistics, tx_pdus=tx_pdus)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def local_node_update(self, swbd_number=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type swbd_number: long
    :param swbd_number: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.local_node', 'pybind.nos.v6_0_2c.brocade_vcs', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.local_node', 'pybind.nos.v7_0_1b.brocade_vcs', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.local_node', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.local_node', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.local_node', 'pybind.slxos.v17r_1_00a.brocade_vcs', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, swbd_number=swbd_number)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, swbd_number=swbd_number)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def local_node_swbd_number_update(self, swbd_number=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type swbd_number: long
    :param swbd_number: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.local_node', 'pybind.nos.v6_0_2c.brocade_vcs', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.local_node', 'pybind.nos.v7_0_1b.brocade_vcs', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.local_node', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.local_node', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.local_node', 'pybind.slxos.v17r_1_00a.brocade_vcs', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, swbd_number=swbd_number)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, swbd_number=swbd_number)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_raslog_update(self, console=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type console: unicode
    :param console: Configure RASLOG console severity: <CRITICAL|ERROR|WARNING|INFO>

        * enumeration restriction: ::

            ['INFO', 'CRITICAL', 'WARNING', 'ERROR']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.raslog', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.raslog', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.raslog', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.raslog', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, console=console)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, console=console)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_raslog_console_update(self, console=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type console: unicode
    :param console: Configure RASLOG console severity: <CRITICAL|ERROR|WARNING|INFO>

        * enumeration restriction: ::

            ['INFO', 'CRITICAL', 'WARNING', 'ERROR']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.raslog', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.raslog', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.raslog', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.raslog', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, console=console)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, console=console)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_raslog_interface_update(self, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type description: YANGBool
    :param description: use interface description

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logging.raslog.interface', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.raslog.interface', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_raslog_interface_description_update(self, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type description: YANGBool
    :param description: use interface description

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logging.raslog.interface', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.raslog.interface', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_raslog_message_msgid_update(self, msgid=None, severity=None, suppress=None, syslog=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type msgid: msgId
    :param msgid: Keyword argument tuple.

    :type msgId: unicode
    :param msgId: **msgid** tuple argument:  Specify the Msg ID

    **Instance Argument(s)**:

    :type severity: unicode
    :param severity: Configure raslog message severity

        * enumeration restriction: ::

            ['INFO',
            'DEFAULT',
            'CRITICAL',
            'WARNING',
            'ERROR']

    :type suppress: YANGBool
    :param suppress: Suppress raslog message

    :type syslog: YANGBool
    :param syslog: Enable syslog logging for internal raslog message

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.raslog.message.msgId', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.raslog.message.msgId', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.raslog.message.msgId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.message.msgId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.raslog.message.msgId', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'msgid', 'keyval': 'msgId', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, msgid=msgid, severity=severity, suppress=suppress, syslog=syslog)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, msgid=msgid, severity=severity, suppress=suppress, syslog=syslog)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_raslog_message_msgid_severity_update(self, msgid=None, severity=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type msgid: msgId
    :param msgid: Keyword argument tuple.

    :type msgId: unicode
    :param msgId: **msgid** tuple argument:  Specify the Msg ID

    **Instance Argument(s)**:

    :type severity: unicode
    :param severity: Configure raslog message severity

        * enumeration restriction: ::

            ['INFO',
            'DEFAULT',
            'CRITICAL',
            'WARNING',
            'ERROR']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.raslog.message.msgId', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.raslog.message.msgId', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.raslog.message.msgId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.message.msgId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.raslog.message.msgId', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'msgid', 'keyval': 'msgId', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, msgid=msgid, severity=severity)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, msgid=msgid, severity=severity)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_raslog_message_msgid_suppress_update(self, msgid=None, suppress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type msgid: msgId
    :param msgid: Keyword argument tuple.

    :type msgId: unicode
    :param msgId: **msgid** tuple argument:  Specify the Msg ID

    **Instance Argument(s)**:

    :type suppress: YANGBool
    :param suppress: Suppress raslog message

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.raslog.message.msgId', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.raslog.message.msgId', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.raslog.message.msgId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.message.msgId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.raslog.message.msgId', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'msgid', 'keyval': 'msgId', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, msgid=msgid, suppress=suppress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, msgid=msgid, suppress=suppress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_raslog_message_msgid_syslog_update(self, msgid=None, syslog=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type msgid: msgId
    :param msgid: Keyword argument tuple.

    :type msgId: unicode
    :param msgId: **msgid** tuple argument:  Specify the Msg ID

    **Instance Argument(s)**:

    :type syslog: YANGBool
    :param syslog: Enable syslog logging for internal raslog message

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.raslog.message.msgId', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.raslog.message.msgId', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.raslog.message.msgId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.message.msgId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.raslog.message.msgId', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'msgid', 'keyval': 'msgId', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, msgid=msgid, syslog=syslog)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, msgid=msgid, syslog=syslog)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_syslog_client_update(self, localip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type localip: unicode
    :param localip: Configure LocalIP Type <MM or CHASSIS>

        * enumeration restriction: ::

            ['CHASSIS_IP', 'MM_IP']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.syslog_client', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.syslog_client', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.syslog_client', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_client', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.syslog_client', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, localip=localip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, localip=localip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_syslog_client_localip_update(self, localip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type localip: unicode
    :param localip: Configure LocalIP Type <MM or CHASSIS>

        * enumeration restriction: ::

            ['CHASSIS_IP', 'MM_IP']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.syslog_client', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.syslog_client', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.syslog_client', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_client', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.syslog_client', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, localip=localip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, localip=localip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_syslog_facility_update(self, local_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type local_: unicode
    :param local_: Configure SYSLOG facility <LOG_LOCAL0 - LOG_LOCAL7>

        * enumeration restriction: ::

            ['LOG_LOCAL4',
            'LOG_LOCAL5',
            'LOG_LOCAL6',
            'LOG_LOCAL7',
            'LOG_LOCAL0',
            'LOG_LOCAL1',
            'LOG_LOCAL2',
            'LOG_LOCAL3']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.syslog_facility', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.syslog_facility', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.syslog_facility', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_facility', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.syslog_facility', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, local_=local_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, local_=local_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_syslog_facility_local_update(self, local_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type local_: unicode
    :param local_: Configure SYSLOG facility <LOG_LOCAL0 - LOG_LOCAL7>

        * enumeration restriction: ::

            ['LOG_LOCAL4',
            'LOG_LOCAL5',
            'LOG_LOCAL6',
            'LOG_LOCAL7',
            'LOG_LOCAL0',
            'LOG_LOCAL1',
            'LOG_LOCAL2',
            'LOG_LOCAL3']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.syslog_facility', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.syslog_facility', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.syslog_facility', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_facility', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.syslog_facility', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, local_=local_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, local_=local_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_syslog_server_update(self, syslog_server=None, secure=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type syslog_server: syslogip, use_vrf, secure, port
    :param syslog_server: Keyword argument tuple.

    :type syslogip: unicode
    :param syslogip: **syslog_server** tuple argument:  IPADDRESS		The IPv4 or IPv6 Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type use_vrf: unicode
    :param use_vrf: **syslog_server** tuple argument:  vrf to use for sending notification to the receiver. (Default=management).

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type secure: YANGBool
    :param secure: **syslog_server** tuple argument:  Indicates if transport is secure

    :type port: int
    :param port: **syslog_server** tuple argument:  Port number on which the syslog server is listening

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type secure: YANGBool
    :param secure: Indicates if transport is secure

    :type port: int
    :param port: Port number on which the syslog server is listening

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.syslog_server', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.syslog_server', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.syslog_server', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'syslog_server', 'keyval': 'syslogip, use_vrf', 'extra_keyval': 'syslogip, use_vrf, secure, port'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.logging.syslog_server": {"port": "port", "syslogip": "syslogip", "use_vrf": "use_vrf", "secure": "secure"}, "pybind.slxos.v16r_1_00b.logging.syslog_server": {}, "pybind.nos.v6_0_2c.logging.syslog_server": {"port": "port", "syslogip": "syslogip", "use_vrf": "use_vrf", "secure": "secure"}, "pybind.slxos.v17r_1_00a.logging.syslog_server": {}, "pybind.nos.v7_1_0.logging.syslog_server": {"port": "port", "syslogip": "syslogip", "use_vrf": "use_vrf", "secure": "secure"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, syslog_server=syslog_server, secure=secure, port=port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, syslog_server=syslog_server, secure=secure, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_syslog_server_port_update(self, syslog_server=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type syslog_server: syslogip, use_vrf
    :param syslog_server: Keyword argument tuple.

    :type syslogip: unicode
    :param syslogip: **syslog_server** tuple argument:  IPADDRESS		The IPv4 or IPv6 Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type use_vrf: unicode
    :param use_vrf: **syslog_server** tuple argument:  vrf to use for sending notification to the receiver. (Default=management).

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type port: int
    :param port: Port number on which the syslog server is listening

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logging.syslog_server', u'syslog_server'), ('pybind.slxos.v17r_1_00a.logging.syslog_server', u'syslog_server')]
    bindings_list = [('pybind.nos.v6_0_2c.logging.syslog_server', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.syslog_server', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.syslog_server', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_server.syslog_secure', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.syslog_server.syslog_secure', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'syslogip, use_vrf', 'extra_keyval': ''}, {'keyval': 'syslogip, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'syslog_server', 'keyval': 'syslogip, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.logging.syslog_server": {"syslogip": "syslogip", "port": "port", "use_vrf": "use_vrf"}, "pybind.slxos.v16r_1_00b.logging.syslog_server.syslog_secure": {}, "pybind.slxos.v17r_1_00a.logging.syslog_server.syslog_secure": {}, "pybind.nos.v6_0_2c.logging.syslog_server": {"syslogip": "syslogip", "port": "port", "use_vrf": "use_vrf"}, "pybind.nos.v7_1_0.logging.syslog_server": {"syslogip": "syslogip", "port": "port", "use_vrf": "use_vrf"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, syslog_server=syslog_server, port=port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, syslog_server=syslog_server, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_syslog_server_secure_update(self, syslog_server=None, secure=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type syslog_server: syslogip, use_vrf
    :param syslog_server: Keyword argument tuple.

    :type syslogip: unicode
    :param syslogip: **syslog_server** tuple argument:  IPADDRESS		The IPv4 or IPv6 Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type use_vrf: unicode
    :param use_vrf: **syslog_server** tuple argument:  vrf to use for sending notification to the receiver. (Default=management).

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type secure: YANGBool
    :param secure: Indicates if transport is secure

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logging.syslog_server', u'syslog_server'), ('pybind.slxos.v17r_1_00a.logging.syslog_server', u'syslog_server')]
    bindings_list = [('pybind.nos.v6_0_2c.logging.syslog_server', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.syslog_server', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.syslog_server', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_server.syslog_secure', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logging.syslog_server.syslog_secure', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'syslogip, use_vrf', 'extra_keyval': ''}, {'keyval': 'syslogip, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'syslog_server', 'keyval': 'syslogip, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.logging.syslog_server": {"syslogip": "syslogip", "secure": "secure", "use_vrf": "use_vrf"}, "pybind.slxos.v16r_1_00b.logging.syslog_server.syslog_secure": {}, "pybind.slxos.v17r_1_00a.logging.syslog_server.syslog_secure": {}, "pybind.nos.v6_0_2c.logging.syslog_server": {"syslogip": "syslogip", "secure": "secure", "use_vrf": "use_vrf"}, "pybind.nos.v7_1_0.logging.syslog_server": {"syslogip": "syslogip", "secure": "secure", "use_vrf": "use_vrf"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, syslog_server=syslog_server, secure=secure)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, syslog_server=syslog_server, secure=secure)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_update(self, main_interface_physical=None, protocol_status=None, admin_status=None, interface_index=None, intf_type=None, is_tagged=None, port_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type interface_index: long
    :param interface_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type intf_type: unicode
    :param intf_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 'ccep']

    :type is_tagged: YANGBool
    :param is_tagged: Keyword argument.

    :type port_mode: unicode
    :param port_mode: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'main_interface_physical', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, protocol_status=protocol_status, admin_status=admin_status, interface_index=interface_index, intf_type=intf_type, is_tagged=is_tagged, port_mode=port_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, protocol_status=protocol_status, admin_status=admin_status, interface_index=interface_index, intf_type=intf_type, is_tagged=is_tagged, port_mode=port_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_admin_status_update(self, main_interface_physical=None, admin_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'main_interface_physical', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical": {"admin_status": "admin_status", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, admin_status=admin_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, admin_status=admin_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_counters_update(self, main_interface_physical=None, counters=None, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: interface_index, intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **main_interface_physical** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type counters: implicit_lifs, explicit_lifs
    :param counters: Keyword argument tuple.

    :type implicit_lifs: long
    :param implicit_lifs: **counters** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type explicit_lifs: long
    :param explicit_lifs: **counters** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lif_type: unicode
    :param lif_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 'ccep']

    :type total_lifs: long
    :param total_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type protocol_status_up_lifs: long
    :param protocol_status_up_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type binded_lifs: long
    :param binded_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unbinded_lifs: long
    :param unbinded_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'counters', 'keyval': 'implicit_lifs, explicit_lifs', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, counters=counters, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, counters=counters, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_counters_binded_lifs_update(self, main_interface_physical=None, binded_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type binded_lifs: long
    :param binded_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'counters', 'keyval': 'implicit_lifs, explicit_lifs', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters": {"binded_lifs": "binded_lifs"}, "pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.counters": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, binded_lifs=binded_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, binded_lifs=binded_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_counters_explicit_lifs_update(self, main_interface_physical=None, explicit_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type explicit_lifs: long
    :param explicit_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, explicit_lifs=explicit_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, explicit_lifs=explicit_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_counters_implicit_lifs_update(self, main_interface_physical=None, implicit_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type implicit_lifs: long
    :param implicit_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, implicit_lifs=implicit_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, implicit_lifs=implicit_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_counters_lif_type_update(self, main_interface_physical=None, lif_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type lif_type: unicode
    :param lif_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 'ccep']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'counters', 'keyval': 'implicit_lifs, explicit_lifs', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters": {"lif_type": "lif_type"}, "pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.counters": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, lif_type=lif_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, lif_type=lif_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_counters_protocol_status_up_lifs_update(self, main_interface_physical=None, protocol_status_up_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type protocol_status_up_lifs: long
    :param protocol_status_up_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'counters', 'keyval': 'implicit_lifs, explicit_lifs', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters": {"protocol_status_up_lifs": "protocol_status_up_lifs"}, "pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.counters": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, protocol_status_up_lifs=protocol_status_up_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, protocol_status_up_lifs=protocol_status_up_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_counters_total_lifs_update(self, main_interface_physical=None, total_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type total_lifs: long
    :param total_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'counters', 'keyval': 'implicit_lifs, explicit_lifs', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters": {"total_lifs": "total_lifs"}, "pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.counters": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, total_lifs=total_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, total_lifs=total_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_counters_unbinded_lifs_update(self, main_interface_physical=None, unbinded_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type unbinded_lifs: long
    :param unbinded_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'counters', 'keyval': 'implicit_lifs, explicit_lifs', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters": {"unbinded_lifs": "unbinded_lifs"}, "pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.counters": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, unbinded_lifs=unbinded_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, unbinded_lifs=unbinded_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_interface_index_update(self, main_interface_physical=None, interface_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type interface_index: long
    :param interface_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'main_interface_physical', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, interface_index=interface_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, interface_index=interface_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_intf_type_update(self, main_interface_physical=None, intf_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type intf_type: unicode
    :param intf_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 'ccep']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'main_interface_physical', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical": {"intf_type": "intf_type", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, intf_type=intf_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, intf_type=intf_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_is_tagged_update(self, main_interface_physical=None, is_tagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type is_tagged: YANGBool
    :param is_tagged: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'main_interface_physical', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical": {"intf_name": "intf_name", "is_tagged": "is_tagged"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, is_tagged=is_tagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, is_tagged=is_tagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_update(self, main_interface_physical=None, logical_interface_physical=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, outer_vlan_id=None, inner_vlan_id=None, intf_type=None, is_tagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: interface_index, intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **main_interface_physical** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type logical_interface_physical: logical_interface_name
    :param logical_interface_physical: Keyword argument tuple.

    :type logical_interface_name: unicode
    :param logical_interface_name: **logical_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type source_type: unicode
    :param source_type: Keyword argument.

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type lif_index: long
    :param lif_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_index: long
    :param bridge_domain_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type is_binded: YANGBool
    :param is_binded: Keyword argument.

    :type outer_vlan_id: long
    :param outer_vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type inner_vlan_id: long
    :param inner_vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type intf_type: unicode
    :param intf_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 'ccep']

    :type is_tagged: YANGBool
    :param is_tagged: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_physical', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, logical_interface_physical=logical_interface_physical, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, outer_vlan_id=outer_vlan_id, inner_vlan_id=inner_vlan_id, intf_type=intf_type, is_tagged=is_tagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, logical_interface_physical=logical_interface_physical, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, outer_vlan_id=outer_vlan_id, inner_vlan_id=inner_vlan_id, intf_type=intf_type, is_tagged=is_tagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_admin_status_update(self, main_interface_physical=None, admin_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_physical', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical": {"admin_status": "admin_status"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, admin_status=admin_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, admin_status=admin_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_bridge_domain_index_update(self, main_interface_physical=None, bridge_domain_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type bridge_domain_index: long
    :param bridge_domain_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_physical', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical": {"bridge_domain_index": "bridge_domain_index"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, bridge_domain_index=bridge_domain_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, bridge_domain_index=bridge_domain_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_inner_vlan_id_update(self, main_interface_physical=None, inner_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type inner_vlan_id: long
    :param inner_vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_physical', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical": {"inner_vlan_id": "inner_vlan_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, inner_vlan_id=inner_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, inner_vlan_id=inner_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_interface_name_update(self, main_interface_physical=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_physical', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical": {"interface_name": "interface_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_intf_type_update(self, main_interface_physical=None, intf_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type intf_type: unicode
    :param intf_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 'ccep']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_physical', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical": {"intf_type": "intf_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, intf_type=intf_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, intf_type=intf_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_is_binded_update(self, main_interface_physical=None, is_binded=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type is_binded: YANGBool
    :param is_binded: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_physical', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical": {"is_binded": "is_binded"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, is_binded=is_binded)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, is_binded=is_binded)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_is_tagged_update(self, main_interface_physical=None, is_tagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type is_tagged: YANGBool
    :param is_tagged: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_physical', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical": {"is_tagged": "is_tagged"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, is_tagged=is_tagged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, is_tagged=is_tagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_lif_index_update(self, main_interface_physical=None, lif_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type lif_index: long
    :param lif_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_physical', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical": {"lif_index": "lif_index"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, lif_index=lif_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, lif_index=lif_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_logical_interface_name_update(self, main_interface_physical=None, logical_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type logical_interface_name: unicode
    :param logical_interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, logical_interface_name=logical_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, logical_interface_name=logical_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_outer_vlan_id_update(self, main_interface_physical=None, outer_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type outer_vlan_id: long
    :param outer_vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_physical', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical": {"outer_vlan_id": "outer_vlan_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, outer_vlan_id=outer_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, outer_vlan_id=outer_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_protocol_status_update(self, main_interface_physical=None, protocol_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_physical', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical": {"protocol_status": "protocol_status"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, protocol_status=protocol_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, protocol_status=protocol_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_source_type_update(self, main_interface_physical=None, source_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type source_type: unicode
    :param source_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}, {'keyval': 'interface_index, intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_physical', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical.logical_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical": {"source_type": "source_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, source_type=source_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, source_type=source_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_port_mode_update(self, main_interface_physical=None, port_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type port_mode: unicode
    :param port_mode: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'main_interface_physical', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical": {"port_mode": "port_mode", "intf_name": "intf_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, port_mode=port_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, port_mode=port_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_protocol_status_update(self, main_interface_physical=None, protocol_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'main_interface_physical', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_physical": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical": {"intf_name": "intf_name", "protocol_status": "protocol_status"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_physical=main_interface_physical, protocol_status=protocol_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, protocol_status=protocol_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_update(self, main_interface_pseudo_wire=None, protocol_status=None, admin_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type main_interface_pseudo_wire: interface_index
    :param main_interface_pseudo_wire: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **main_interface_pseudo_wire** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'main_interface_pseudo_wire', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_pseudo_wire=main_interface_pseudo_wire, protocol_status=protocol_status, admin_status=admin_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_pseudo_wire=main_interface_pseudo_wire, protocol_status=protocol_status, admin_status=admin_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_admin_status_update(self, admin_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire": {"admin_status": "admin_status"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, admin_status=admin_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, admin_status=admin_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_counters_update(self, main_interface_pseudo_wire=None, counters=None, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_pseudo_wire: interface_index
    :param main_interface_pseudo_wire: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **main_interface_pseudo_wire** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type counters: implicit_lifs, explicit_lifs
    :param counters: Keyword argument tuple.

    :type implicit_lifs: long
    :param implicit_lifs: **counters** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type explicit_lifs: long
    :param explicit_lifs: **counters** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lif_type: unicode
    :param lif_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 'ccep']

    :type total_lifs: long
    :param total_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type protocol_status_up_lifs: long
    :param protocol_status_up_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type binded_lifs: long
    :param binded_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unbinded_lifs: long
    :param unbinded_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'counters', 'keyval': 'implicit_lifs, explicit_lifs', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_pseudo_wire=main_interface_pseudo_wire, counters=counters, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_pseudo_wire=main_interface_pseudo_wire, counters=counters, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_counters_binded_lifs_update(self, binded_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type binded_lifs: long
    :param binded_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.counters": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters": {"binded_lifs": "binded_lifs"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, binded_lifs=binded_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, binded_lifs=binded_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_counters_explicit_lifs_update(self, explicit_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type explicit_lifs: long
    :param explicit_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, explicit_lifs=explicit_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, explicit_lifs=explicit_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_counters_implicit_lifs_update(self, implicit_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type implicit_lifs: long
    :param implicit_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, implicit_lifs=implicit_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, implicit_lifs=implicit_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_counters_lif_type_update(self, lif_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lif_type: unicode
    :param lif_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 'ccep']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.counters": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters": {"lif_type": "lif_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lif_type=lif_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lif_type=lif_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_counters_protocol_status_up_lifs_update(self, protocol_status_up_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol_status_up_lifs: long
    :param protocol_status_up_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.counters": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters": {"protocol_status_up_lifs": "protocol_status_up_lifs"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_status_up_lifs=protocol_status_up_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_status_up_lifs=protocol_status_up_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_counters_total_lifs_update(self, total_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_lifs: long
    :param total_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.counters": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters": {"total_lifs": "total_lifs"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_lifs=total_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_lifs=total_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_counters_unbinded_lifs_update(self, unbinded_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type unbinded_lifs: long
    :param unbinded_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.counters": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters": {"unbinded_lifs": "unbinded_lifs"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, unbinded_lifs=unbinded_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, unbinded_lifs=unbinded_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_interface_index_update(self, interface_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type interface_index: long
    :param interface_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_index=interface_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_index=interface_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_update(self, main_interface_pseudo_wire=None, logical_interface_pseudo_wire=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_pseudo_wire: interface_index
    :param main_interface_pseudo_wire: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **main_interface_pseudo_wire** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type logical_interface_pseudo_wire: logical_interface_name
    :param logical_interface_pseudo_wire: Keyword argument tuple.

    :type logical_interface_name: unicode
    :param logical_interface_name: **logical_interface_pseudo_wire** tuple argument.

    **Instance Argument(s)**:

    :type source_type: unicode
    :param source_type: Keyword argument.

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type lif_index: long
    :param lif_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_index: long
    :param bridge_domain_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type is_binded: YANGBool
    :param is_binded: Keyword argument.

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_pseudo_wire', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_pseudo_wire=main_interface_pseudo_wire, logical_interface_pseudo_wire=logical_interface_pseudo_wire, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, ip_address=ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_pseudo_wire=main_interface_pseudo_wire, logical_interface_pseudo_wire=logical_interface_pseudo_wire, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_admin_status_update(self, admin_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {"admin_status": "admin_status"}, "pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, admin_status=admin_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, admin_status=admin_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_bridge_domain_index_update(self, bridge_domain_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bridge_domain_index: long
    :param bridge_domain_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {"bridge_domain_index": "bridge_domain_index"}, "pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_index=bridge_domain_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_index=bridge_domain_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_interface_name_update(self, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {"interface_name": "interface_name"}, "pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_ip_address_update(self, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {"ip_address": "ip_address"}, "pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ip_address=ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_is_binded_update(self, is_binded=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type is_binded: YANGBool
    :param is_binded: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {"is_binded": "is_binded"}, "pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, is_binded=is_binded)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, is_binded=is_binded)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_lif_index_update(self, lif_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lif_index: long
    :param lif_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {"lif_index": "lif_index"}, "pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lif_index=lif_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lif_index=lif_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_logical_interface_name_update(self, logical_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type logical_interface_name: unicode
    :param logical_interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, logical_interface_name=logical_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, logical_interface_name=logical_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_protocol_status_update(self, protocol_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {"protocol_status": "protocol_status"}, "pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_status=protocol_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_status=protocol_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_source_type_update(self, source_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type source_type: unicode
    :param source_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', u'main_interface_pseudo_wire')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {"source_type": "source_type"}, "pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, source_type=source_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, source_type=source_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_protocol_status_update(self, protocol_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_pseudo_wire": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire": {"protocol_status": "protocol_status"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_status=protocol_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_status=protocol_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_update(self, main_interface_tunnel=None, protocol_status=None, admin_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type main_interface_tunnel: interface_index
    :param main_interface_tunnel: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **main_interface_tunnel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'main_interface_tunnel', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_tunnel=main_interface_tunnel, protocol_status=protocol_status, admin_status=admin_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_tunnel=main_interface_tunnel, protocol_status=protocol_status, admin_status=admin_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_admin_status_update(self, admin_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'main_interface_tunnel', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel": {"admin_status": "admin_status"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, admin_status=admin_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, admin_status=admin_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_counters_update(self, main_interface_tunnel=None, counters=None, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_tunnel: interface_index
    :param main_interface_tunnel: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **main_interface_tunnel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type counters: implicit_lifs, explicit_lifs
    :param counters: Keyword argument tuple.

    :type implicit_lifs: long
    :param implicit_lifs: **counters** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type explicit_lifs: long
    :param explicit_lifs: **counters** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lif_type: unicode
    :param lif_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 'ccep']

    :type total_lifs: long
    :param total_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type protocol_status_up_lifs: long
    :param protocol_status_up_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type binded_lifs: long
    :param binded_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unbinded_lifs: long
    :param unbinded_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'counters', 'keyval': 'implicit_lifs, explicit_lifs', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_tunnel=main_interface_tunnel, counters=counters, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_tunnel=main_interface_tunnel, counters=counters, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_counters_binded_lifs_update(self, binded_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type binded_lifs: long
    :param binded_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'counters', 'keyval': 'implicit_lifs, explicit_lifs', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.counters": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters": {"binded_lifs": "binded_lifs"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, binded_lifs=binded_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, binded_lifs=binded_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_counters_explicit_lifs_update(self, explicit_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type explicit_lifs: long
    :param explicit_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, explicit_lifs=explicit_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, explicit_lifs=explicit_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_counters_implicit_lifs_update(self, implicit_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type implicit_lifs: long
    :param implicit_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, implicit_lifs=implicit_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, implicit_lifs=implicit_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_counters_lif_type_update(self, lif_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lif_type: unicode
    :param lif_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 'ccep']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'counters', 'keyval': 'implicit_lifs, explicit_lifs', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.counters": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters": {"lif_type": "lif_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lif_type=lif_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lif_type=lif_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_counters_protocol_status_up_lifs_update(self, protocol_status_up_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol_status_up_lifs: long
    :param protocol_status_up_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'counters', 'keyval': 'implicit_lifs, explicit_lifs', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.counters": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters": {"protocol_status_up_lifs": "protocol_status_up_lifs"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_status_up_lifs=protocol_status_up_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_status_up_lifs=protocol_status_up_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_counters_total_lifs_update(self, total_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_lifs: long
    :param total_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'counters', 'keyval': 'implicit_lifs, explicit_lifs', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.counters": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters": {"total_lifs": "total_lifs"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_lifs=total_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_lifs=total_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_counters_unbinded_lifs_update(self, unbinded_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type unbinded_lifs: long
    :param unbinded_lifs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'counters', 'keyval': 'implicit_lifs, explicit_lifs', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.counters": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters": {"unbinded_lifs": "unbinded_lifs"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, unbinded_lifs=unbinded_lifs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, unbinded_lifs=unbinded_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_interface_index_update(self, interface_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type interface_index: long
    :param interface_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_index=interface_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_index=interface_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_update(self, main_interface_tunnel=None, logical_interface_tunnel=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, vni_tni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type main_interface_tunnel: interface_index
    :param main_interface_tunnel: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **main_interface_tunnel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type logical_interface_tunnel: logical_interface_name
    :param logical_interface_tunnel: Keyword argument tuple.

    :type logical_interface_name: unicode
    :param logical_interface_name: **logical_interface_tunnel** tuple argument.

    **Instance Argument(s)**:

    :type source_type: unicode
    :param source_type: Keyword argument.

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type lif_index: long
    :param lif_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_index: long
    :param bridge_domain_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type is_binded: YANGBool
    :param is_binded: Keyword argument.

    :type vni_tni: long
    :param vni_tni: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_interface_tunnel', 'keyval': 'logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, main_interface_tunnel=main_interface_tunnel, logical_interface_tunnel=logical_interface_tunnel, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, vni_tni=vni_tni)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_tunnel=main_interface_tunnel, logical_interface_tunnel=logical_interface_tunnel, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, vni_tni=vni_tni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_admin_status_update(self, admin_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {"admin_status": "admin_status"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, admin_status=admin_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, admin_status=admin_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_bridge_domain_index_update(self, bridge_domain_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bridge_domain_index: long
    :param bridge_domain_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {"bridge_domain_index": "bridge_domain_index"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_index=bridge_domain_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_index=bridge_domain_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_interface_name_update(self, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {"interface_name": "interface_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_is_binded_update(self, is_binded=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type is_binded: YANGBool
    :param is_binded: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {"is_binded": "is_binded"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, is_binded=is_binded)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, is_binded=is_binded)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_lif_index_update(self, lif_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lif_index: long
    :param lif_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {"lif_index": "lif_index"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lif_index=lif_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lif_index=lif_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_logical_interface_name_update(self, logical_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type logical_interface_name: unicode
    :param logical_interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, logical_interface_name=logical_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, logical_interface_name=logical_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_protocol_status_update(self, protocol_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {"protocol_status": "protocol_status"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_status=protocol_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_status=protocol_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_source_type_update(self, source_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type source_type: unicode
    :param source_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {"source_type": "source_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, source_type=source_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, source_type=source_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_vni_tni_update(self, vni_tni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vni_tni: long
    :param vni_tni: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', u'main_interface_tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel": {"vni_tni": "vni_tni"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vni_tni=vni_tni)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vni_tni=vni_tni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_protocol_status_update(self, protocol_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'main_interface_tunnel', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.logical_interface_state.main_interface_tunnel": {}, "pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel": {"protocol_status": "protocol_status"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_status=protocol_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_status=protocol_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_update(self, extended=None, seq=None, action=None, source=None, srchost=None, src_mac_addr_mask=None, dst=None, dsthost=None, dst_mac_addr_mask=None, ethertype=None, vlan=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type action: unicode
    :param action: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type source: unicode
    :param source: **seq** tuple argument.

    :type srchost: unicode
    :param srchost: **seq** tuple argument:  source mac address HHHH.HHHH.HHHH

    :type src_mac_addr_mask: unicode
    :param src_mac_addr_mask: **seq** tuple argument.

    :type dst: unicode
    :param dst: **seq** tuple argument.

    :type dsthost: unicode
    :param dsthost: **seq** tuple argument:  Destination mac address HHHH.HHHH.HHHH

    :type dst_mac_addr_mask: unicode
    :param dst_mac_addr_mask: **seq** tuple argument.

    :type ethertype: unicode
    :param ethertype: **seq** tuple argument.

        * enumeration restriction: ::

            ['arp', 'fcoe', 'ipv4']

    :type vlan: long
    :param vlan: **seq** tuple argument:  Vlan

        * range restriction: ::

            ['0..4294967295']

    :type count: YANGBool
    :param count: **seq** tuple argument:  Packet count

    :type log: YANGBool
    :param log: **seq** tuple argument:  Log Packet

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type source: unicode
    :param source: Keyword argument.

    :type srchost: unicode
    :param srchost: source mac address HHHH.HHHH.HHHH

    :type src_mac_addr_mask: unicode
    :param src_mac_addr_mask: Keyword argument.

    :type dst: unicode
    :param dst: Keyword argument.

    :type dsthost: unicode
    :param dsthost: Destination mac address HHHH.HHHH.HHHH

    :type dst_mac_addr_mask: unicode
    :param dst_mac_addr_mask: Keyword argument.

    :type ethertype: unicode
    :param ethertype: Keyword argument.

        * enumeration restriction: ::

            ['arp', 'fcoe', 'ipv4']

    :type vlan: long
    :param vlan: Vlan

        * range restriction: ::

            ['0..4294967295']

    :type count: YANGBool
    :param count: Packet count

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq": {"dsthost": "dsthost", "count": "count", "log": "log", "srchost": "srchost", "seq_id": "seq_id", "dst": "dst", "vlan": "vlan", "dst_mac_addr_mask": "dst_mac_addr_mask", "source": "source", "src_mac_addr_mask": "src_mac_addr_mask", "ethertype": "ethertype", "action": "action"}, "pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq": {"dsthost": "dsthost", "count": "count", "log": "log", "srchost": "srchost", "seq_id": "seq_id", "dst": "dst", "vlan": "vlan", "dst_mac_addr_mask": "dst_mac_addr_mask", "source": "source", "src_mac_addr_mask": "src_mac_addr_mask", "ethertype": "ethertype", "action": "action"}, "pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq": {"dsthost": "dsthost", "count": "count", "log": "log", "srchost": "srchost", "seq_id": "seq_id", "dst": "dst", "vlan": "vlan", "dst_mac_addr_mask": "dst_mac_addr_mask", "source": "source", "src_mac_addr_mask": "src_mac_addr_mask", "ethertype": "ethertype", "action": "action"}, "pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq": {}, "pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, action=action, source=source, srchost=srchost, src_mac_addr_mask=src_mac_addr_mask, dst=dst, dsthost=dsthost, dst_mac_addr_mask=dst_mac_addr_mask, ethertype=ethertype, vlan=vlan, count=count, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, action=action, source=source, srchost=srchost, src_mac_addr_mask=src_mac_addr_mask, dst=dst, dsthost=dsthost, dst_mac_addr_mask=dst_mac_addr_mask, ethertype=ethertype, vlan=vlan, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_action_update(self, extended=None, seq=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_arp_guard_update(self, extended=None, seq=None, arp_guard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type arp_guard: YANGBool
    :param arp_guard: Arp Gaurd

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, arp_guard=arp_guard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, arp_guard=arp_guard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_copy_sflow_update(self, extended=None, seq=None, copy_sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type copy_sflow: YANGBool
    :param copy_sflow: Copy to sFlow Collector

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, copy_sflow=copy_sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, copy_sflow=copy_sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_count_update(self, extended=None, seq=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type count: YANGBool
    :param count: Packet count

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_drop_precedence_force_update(self, extended=None, seq=None, drop_precedence_force=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type drop_precedence_force: long
    :param drop_precedence_force: Force drop precedence

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, drop_precedence_force=drop_precedence_force)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, drop_precedence_force=drop_precedence_force)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_dst_update(self, extended=None, seq=None, dst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dst: unicode
    :param dst: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dst=dst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dst=dst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_dst_mac_addr_mask_update(self, extended=None, seq=None, dst_mac_addr_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dst_mac_addr_mask: unicode
    :param dst_mac_addr_mask: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dst_mac_addr_mask=dst_mac_addr_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dst_mac_addr_mask=dst_mac_addr_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_dsthost_update(self, extended=None, seq=None, dsthost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type dsthost: unicode
    :param dsthost: Destination mac address HHHH.HHHH.HHHH

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, dsthost=dsthost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, dsthost=dsthost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_ethertype_update(self, extended=None, seq=None, ethertype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type ethertype: unicode
    :param ethertype: Keyword argument.

        * enumeration restriction: ::

            ['arp', 'fcoe', 'ipv4']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, ethertype=ethertype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, ethertype=ethertype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_inner_vlan_update(self, extended=None, seq=None, inner_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type inner_vlan: long
    :param inner_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, inner_vlan=inner_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, inner_vlan=inner_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_inner_vlan_id_mask_update(self, extended=None, seq=None, inner_vlan_id_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type inner_vlan_id_mask: unicode
    :param inner_vlan_id_mask: Inner vlan-id mask

        * length restriction: ::

            ['5']

        * pattern restriction: ::

            '[0][x][0-9a-fA-F]*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, inner_vlan_id_mask=inner_vlan_id_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, inner_vlan_id_mask=inner_vlan_id_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_log_update(self, extended=None, seq=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_mirror_update(self, extended=None, seq=None, mirror=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type mirror: YANGBool
    :param mirror: Mirror packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, mirror=mirror)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, mirror=mirror)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_outer_vlan_update(self, extended=None, seq=None, outer_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type outer_vlan: long
    :param outer_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, outer_vlan=outer_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, outer_vlan=outer_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_outer_vlan_id_mask_update(self, extended=None, seq=None, outer_vlan_id_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type outer_vlan_id_mask: unicode
    :param outer_vlan_id_mask: Outer vlan-id mask

        * length restriction: ::

            ['5']

        * pattern restriction: ::

            '[0][x][0-9a-fA-F]*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, outer_vlan_id_mask=outer_vlan_id_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, outer_vlan_id_mask=outer_vlan_id_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_pcp_update(self, extended=None, seq=None, pcp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type pcp: long
    :param pcp: filter packet with pcp value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, pcp=pcp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, pcp=pcp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_pcp_force_update(self, extended=None, seq=None, pcp_force=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type pcp_force: long
    :param pcp_force: force pcp for outgoing packet

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, pcp_force=pcp_force)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, pcp_force=pcp_force)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_source_update(self, extended=None, seq=None, source=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type source: unicode
    :param source: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, source=source)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, source=source)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_src_mac_addr_mask_update(self, extended=None, seq=None, src_mac_addr_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_mac_addr_mask: unicode
    :param src_mac_addr_mask: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, src_mac_addr_mask=src_mac_addr_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, src_mac_addr_mask=src_mac_addr_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_srchost_update(self, extended=None, seq=None, srchost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type srchost: unicode
    :param srchost: source mac address HHHH.HHHH.HHHH

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, srchost=srchost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, srchost=srchost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_vlan_update(self, extended=None, seq=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_vlan_id_mask_update(self, extended=None, seq=None, vlan_id_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type vlan_id_mask: unicode
    :param vlan_id_mask: Keyword argument.

        * length restriction: ::

            ['5']

        * pattern restriction: ::

            '[0][x][0-9a-fA-F]*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, vlan_id_mask=vlan_id_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, vlan_id_mask=vlan_id_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_vlan_tag_format_update(self, extended=None, seq=None, vlan_tag_format=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type vlan_tag_format: unicode
    :param vlan_tag_format: Keyword argument.

        * enumeration restriction: ::

            ['untagged', 'single-tagged', 'double-tagged']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, seq=seq, vlan_tag_format=vlan_tag_format)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, vlan_tag_format=vlan_tag_format)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_standard_seq_update(self, standard=None, seq=None, action=None, source=None, srchost=None, src_mac_addr_mask=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id, action, source, srchost, src_mac_addr_mask, count, log
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type action: unicode
    :param action: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type source: unicode
    :param source: **seq** tuple argument.

    :type srchost: unicode
    :param srchost: **seq** tuple argument.

    :type src_mac_addr_mask: unicode
    :param src_mac_addr_mask: **seq** tuple argument.

    :type count: YANGBool
    :param count: **seq** tuple argument:  Packet count

    :type log: YANGBool
    :param log: **seq** tuple argument:  Log Packet

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type source: unicode
    :param source: Keyword argument.

    :type srchost: unicode
    :param srchost: Keyword argument.

    :type src_mac_addr_mask: unicode
    :param src_mac_addr_mask: Keyword argument.

    :type count: YANGBool
    :param count: Packet count

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.mac.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.mac.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, count, log'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mac.access_list.standard.hide_mac_acl_std.seq": {}, "pybind.nos.v7_0_1b.mac.access_list.standard.hide_mac_acl_std.seq": {"count": "count", "log": "log", "srchost": "srchost", "seq_id": "seq_id", "source": "source", "src_mac_addr_mask": "src_mac_addr_mask", "action": "action"}, "pybind.nos.v6_0_2c.mac.access_list.standard.hide_mac_acl_std.seq": {"count": "count", "log": "log", "srchost": "srchost", "seq_id": "seq_id", "source": "source", "src_mac_addr_mask": "src_mac_addr_mask", "action": "action"}, "pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq": {"count": "count", "log": "log", "srchost": "srchost", "seq_id": "seq_id", "source": "source", "src_mac_addr_mask": "src_mac_addr_mask", "action": "action"}, "pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, action=action, source=source, srchost=srchost, src_mac_addr_mask=src_mac_addr_mask, count=count, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, action=action, source=source, srchost=srchost, src_mac_addr_mask=src_mac_addr_mask, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_standard_seq_action_update(self, standard=None, seq=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.mac.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.mac.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_standard_seq_copy_sflow_update(self, standard=None, seq=None, copy_sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type copy_sflow: YANGBool
    :param copy_sflow: Copy to sFlow Collector

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, copy_sflow=copy_sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, copy_sflow=copy_sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_standard_seq_count_update(self, standard=None, seq=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type count: YANGBool
    :param count: Packet count

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.mac.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.mac.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_standard_seq_log_update(self, standard=None, seq=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.mac.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.mac.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_standard_seq_source_update(self, standard=None, seq=None, source=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type source: unicode
    :param source: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.mac.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.mac.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, source=source)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, source=source)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_standard_seq_src_mac_addr_mask_update(self, standard=None, seq=None, src_mac_addr_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type src_mac_addr_mask: unicode
    :param src_mac_addr_mask: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.mac.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.mac.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, src_mac_addr_mask=src_mac_addr_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, src_mac_addr_mask=src_mac_addr_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_standard_seq_srchost_update(self, standard=None, seq=None, srchost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    **Instance Argument(s)**:

    :type srchost: unicode
    :param srchost: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mac.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.mac.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.mac.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v17r_1_00a.brocade_mac_access_list', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, srchost=srchost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, srchost=srchost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_update(self, learning_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type learning_mode: unicode
    :param learning_mode: Conversational Learning Mode

        * enumeration restriction: ::

            ['conversational']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac_address_table', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_address_table', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_address_table', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac_address_table', 'pybind.slxos.v17r_1_00a.brocade_mac_address_table', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, learning_mode=learning_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, learning_mode=learning_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_aging_time_update(self, conversational_time_out=None, legacy_time_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type conversational_time_out: long
    :param conversational_time_out: Conversational Aging time in seconds (default = 300)

        * range restriction: ::

            ['0..4294967295']

    :type legacy_time_out: long
    :param legacy_time_out: Aging time in seconds (default = 300)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac_address_table.aging_time', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_address_table.aging_time', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_address_table.aging_time', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.aging_time', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac_address_table.aging_time', 'pybind.slxos.v17r_1_00a.brocade_mac_address_table', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, conversational_time_out=conversational_time_out, legacy_time_out=legacy_time_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, conversational_time_out=conversational_time_out, legacy_time_out=legacy_time_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_aging_time_conversational_update(self, conversational_time_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type conversational_time_out: long
    :param conversational_time_out: Conversational Aging time in seconds (default = 300)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac_address_table.aging_time', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_address_table.aging_time', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_address_table.aging_time', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.aging_time', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac_address_table.aging_time', 'pybind.slxos.v17r_1_00a.brocade_mac_address_table', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, conversational_time_out=conversational_time_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, conversational_time_out=conversational_time_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_aging_time_legacy_time_out_update(self, legacy_time_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type legacy_time_out: long
    :param legacy_time_out: Aging time in seconds (default = 300)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac_address_table.aging_time', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_address_table.aging_time', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_address_table.aging_time', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.aging_time', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac_address_table.aging_time', 'pybind.slxos.v17r_1_00a.brocade_mac_address_table', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, legacy_time_out=legacy_time_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, legacy_time_out=legacy_time_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_consistency_check_update(self, mac_consistency_check_suppress=None, mac_consistency_check_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mac_consistency_check_suppress: YANGBool
    :param mac_consistency_check_suppress: Suppress MAC Consistency check

    :type mac_consistency_check_interval: long
    :param mac_consistency_check_interval: MAC Consistency check interval in seconds (default = 300)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac_address_table.consistency_check', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_address_table.consistency_check', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_address_table.consistency_check', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.consistency_check', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac_address_table.consistency_check', 'pybind.slxos.v17r_1_00a.brocade_mac_address_table', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_consistency_check_suppress=mac_consistency_check_suppress, mac_consistency_check_interval=mac_consistency_check_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_consistency_check_suppress=mac_consistency_check_suppress, mac_consistency_check_interval=mac_consistency_check_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_consistency_check_interval_update(self, mac_consistency_check_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mac_consistency_check_interval: long
    :param mac_consistency_check_interval: MAC Consistency check interval in seconds (default = 300)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac_address_table.consistency_check', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_address_table.consistency_check', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_address_table.consistency_check', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.consistency_check', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac_address_table.consistency_check', 'pybind.slxos.v17r_1_00a.brocade_mac_address_table', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_consistency_check_interval=mac_consistency_check_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_consistency_check_interval=mac_consistency_check_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_consistency_check_suppress_update(self, mac_consistency_check_suppress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mac_consistency_check_suppress: YANGBool
    :param mac_consistency_check_suppress: Suppress MAC Consistency check

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac_address_table.consistency_check', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_address_table.consistency_check', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_address_table.consistency_check', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.consistency_check', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac_address_table.consistency_check', 'pybind.slxos.v17r_1_00a.brocade_mac_address_table', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_consistency_check_suppress=mac_consistency_check_suppress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_consistency_check_suppress=mac_consistency_check_suppress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_learning_mode_update(self, learning_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type learning_mode: unicode
    :param learning_mode: Conversational Learning Mode

        * enumeration restriction: ::

            ['conversational']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac_address_table', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_address_table', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_address_table', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac_address_table', 'pybind.slxos.v17r_1_00a.brocade_mac_address_table', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, learning_mode=learning_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, learning_mode=learning_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_mac_move_update(self, mac_move_detect_enable=None, mac_move_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mac_move_detect_enable: YANGBool
    :param mac_move_detect_enable: Enable MAC move detect

    :type mac_move_limit: long
    :param mac_move_limit: MAC move detect limit (default = 20)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac_address_table.mac_move', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_address_table.mac_move', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_address_table.mac_move', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.mac_move', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac_address_table.mac_move', 'pybind.slxos.v17r_1_00a.brocade_mac_address_table', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mac_address_table.mac_move": {"mac_move_detect_enable": "mac_move_detect_enable", "mac_move_limit": "mac_move_limit"}, "pybind.slxos.v16r_1_00b.mac_address_table.mac_move": {"mac_move_detect_enable": "mac_move_detect_enable", "mac_move_limit": "mac_move_limit"}, "pybind.nos.v7_1_0.mac_address_table.mac_move": {}, "pybind.nos.v6_0_2c.mac_address_table.mac_move": {"mac_move_detect_enable": "mac_move_detect_enable", "mac_move_limit": "mac_move_limit"}, "pybind.nos.v7_0_1b.mac_address_table.mac_move": {"mac_move_detect_enable": "mac_move_detect_enable", "mac_move_limit": "mac_move_limit"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_move_detect_enable=mac_move_detect_enable, mac_move_limit=mac_move_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_move_detect_enable=mac_move_detect_enable, mac_move_limit=mac_move_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_mac_move_action_update(self, mac_move_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Argument(s)**:

    :type mac_move_action: unicode
    :param mac_move_action: Action on MAC move

        * enumeration restriction: ::

            ['shutdown', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.mac_address_table.mac_move', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_move_action=mac_move_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_move_action=mac_move_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_mac_move_auto_recovery_update(self, auto_recovery_enable=None, auto_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Argument(s)**:

    :type auto_recovery_enable: YANGBool
    :param auto_recovery_enable: Enable auto recovery

    :type auto_recovery_time: long
    :param auto_recovery_time: Auto recovery time in minutes (default = 5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.mac_address_table.mac_move.auto_recovery', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_recovery_enable=auto_recovery_enable, auto_recovery_time=auto_recovery_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_recovery_enable=auto_recovery_enable, auto_recovery_time=auto_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_mac_move_auto_recovery_enable_update(self, auto_recovery_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Argument(s)**:

    :type auto_recovery_enable: YANGBool
    :param auto_recovery_enable: Enable auto recovery

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.mac_address_table.mac_move.auto_recovery', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_recovery_enable=auto_recovery_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_recovery_enable=auto_recovery_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_mac_move_auto_recovery_time_update(self, auto_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Argument(s)**:

    :type auto_recovery_time: long
    :param auto_recovery_time: Auto recovery time in minutes (default = 5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.mac_address_table.mac_move.auto_recovery', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_recovery_time=auto_recovery_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_recovery_time=auto_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_mac_move_detect_update(self, mac_move_detect_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mac_move_detect_enable: YANGBool
    :param mac_move_detect_enable: Enable MAC move detect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac_address_table.mac_move', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_address_table.mac_move', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_address_table.mac_move', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.mac_move', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac_address_table.mac_move', 'pybind.slxos.v17r_1_00a.brocade_mac_address_table', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_move_detect_enable=mac_move_detect_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_move_detect_enable=mac_move_detect_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_mac_move_limit_update(self, mac_move_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mac_move_limit: long
    :param mac_move_limit: MAC move detect limit (default = 20)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac_address_table.mac_move', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_address_table.mac_move', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_address_table.mac_move', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.mac_move', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mac_address_table.mac_move', 'pybind.slxos.v17r_1_00a.brocade_mac_address_table', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_move_limit=mac_move_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_move_limit=mac_move_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_bd_update(self, num_bds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type num_bds: long
    :param num_bds: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_bd', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_bds=num_bds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_bds=num_bds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_bd_bd_label_info_update(self, bd_label_info=None, unicast_label_local=None, unicast_label_remote=None, fw_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bd_label_info: bd_id
    :param bd_label_info: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bd_label_info** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unicast_label_local: long
    :param unicast_label_local: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unicast_label_remote: long
    :param unicast_label_remote: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fw_state: YANGBool
    :param fw_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_bd.bd_label_info', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bd_label_info', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_label_info=bd_label_info, unicast_label_local=unicast_label_local, unicast_label_remote=unicast_label_remote, fw_state=fw_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_label_info=bd_label_info, unicast_label_local=unicast_label_local, unicast_label_remote=unicast_label_remote, fw_state=fw_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_bd_bd_label_info_fw_state_update(self, bd_label_info=None, fw_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bd_label_info: bd_id
    :param bd_label_info: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bd_label_info** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fw_state: YANGBool
    :param fw_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_bd.bd_label_info', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bd_label_info', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_label_info=bd_label_info, fw_state=fw_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_label_info=bd_label_info, fw_state=fw_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_bd_bd_label_info_unicast_label_local_update(self, bd_label_info=None, unicast_label_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bd_label_info: bd_id
    :param bd_label_info: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bd_label_info** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unicast_label_local: long
    :param unicast_label_local: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_bd.bd_label_info', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bd_label_info', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_label_info=bd_label_info, unicast_label_local=unicast_label_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_label_info=bd_label_info, unicast_label_local=unicast_label_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_bd_bd_label_info_unicast_label_remote_update(self, bd_label_info=None, unicast_label_remote=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bd_label_info: bd_id
    :param bd_label_info: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bd_label_info** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unicast_label_remote: long
    :param unicast_label_remote: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_bd.bd_label_info', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bd_label_info', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bd_label_info=bd_label_info, unicast_label_remote=unicast_label_remote)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_label_info=bd_label_info, unicast_label_remote=unicast_label_remote)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_bd_num_bds_update(self, num_bds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type num_bds: long
    :param num_bds: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_bd', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_bds=num_bds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_bds=num_bds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_vlan_update(self, show_cluster_mem_vlan=None, num_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type show_cluster_mem_vlan: cluster_id
    :param show_cluster_mem_vlan: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_vlans: long
    :param num_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_vlan_num_vlans_update(self, show_cluster_mem_vlan=None, num_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster_mem_vlan: cluster_id
    :param show_cluster_mem_vlan: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_vlans: long
    :param num_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_vlan', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_vlan": {}, "pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan": {"cluster_id": "cluster_id", "num_vlans": "num_vlans"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_vlan_vlan_label_info_update(self, vlan_label_info=None, unicast_label_local=None, unicast_label_remote=None, fw_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan_label_info: vlan_id
    :param vlan_label_info: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **vlan_label_info** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unicast_label_local: long
    :param unicast_label_local: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unicast_label_remote: long
    :param unicast_label_remote: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fw_state: YANGBool
    :param fw_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan_label_info', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan_label_info=vlan_label_info, unicast_label_local=unicast_label_local, unicast_label_remote=unicast_label_remote, fw_state=fw_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_label_info=vlan_label_info, unicast_label_local=unicast_label_local, unicast_label_remote=unicast_label_remote, fw_state=fw_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_vlan_vlan_label_info_fw_state_update(self, vlan_label_info=None, fw_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan_label_info: vlan_id
    :param vlan_label_info: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **vlan_label_info** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fw_state: YANGBool
    :param fw_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan_label_info', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan_label_info=vlan_label_info, fw_state=fw_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_label_info=vlan_label_info, fw_state=fw_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_vlan_vlan_label_info_unicast_label_local_update(self, show_cluster_mem_vlan=None, unicast_label_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mem_vlan: cluster_id
    :param show_cluster_mem_vlan: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unicast_label_local: long
    :param unicast_label_local: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info": {"unicast_label_local": "unicast_label_local"}, "pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_vlan=show_cluster_mem_vlan, unicast_label_local=unicast_label_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_vlan=show_cluster_mem_vlan, unicast_label_local=unicast_label_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_vlan_vlan_label_info_unicast_label_remote_update(self, show_cluster_mem_vlan=None, unicast_label_remote=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mem_vlan: cluster_id
    :param show_cluster_mem_vlan: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unicast_label_remote: long
    :param unicast_label_remote: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v17r_1_00a.brocade_l2sys_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info": {"unicast_label_remote": "unicast_label_remote"}, "pybind.slxos.v17r_1_00a.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_vlan=show_cluster_mem_vlan, unicast_label_remote=unicast_label_remote)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_vlan=show_cluster_mem_vlan, unicast_label_remote=unicast_label_remote)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_vlan_vlan_label_info_vlan_id_update(self, show_cluster_mem_vlan=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mem_vlan: cluster_id
    :param show_cluster_mem_vlan: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_update(self, show_cluster=None, is_cluster_client_command=None, cluster_name=None, cluster_status=None, client_isolation_status=None, num_peers=None, num_clients=None, num_config_vlans=None, num_active_vlans=None, client_interfaces_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_cluster_client_command: YANGBool
    :param is_cluster_client_command: Keyword argument.

    :type cluster_name: unicode
    :param cluster_name: Keyword argument.

    :type cluster_status: YANGBool
    :param cluster_status: Keyword argument.

    :type client_isolation_status: YANGBool
    :param client_isolation_status: Keyword argument.

    :type num_peers: long
    :param num_peers: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_clients: long
    :param num_clients: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_config_vlans: long
    :param num_config_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_active_vlans: long
    :param num_active_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_interfaces_shutdown: YANGBool
    :param client_interfaces_shutdown: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mct_state.show_cluster": {}, "pybind.slxos.v16r_1_00b.mct_state.show_cluster": {"client_interfaces_shutdown": "client_interfaces_shutdown", "num_active_vlans": "num_active_vlans", "client_isolation_status": "client_isolation_status", "is_cluster_client_command": "is_cluster_client_command", "num_config_vlans": "num_config_vlans", "cluster_name": "cluster_name", "cluster_id": "cluster_id", "cluster_status": "cluster_status", "num_peers": "num_peers", "num_clients": "num_clients"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, is_cluster_client_command=is_cluster_client_command, cluster_name=cluster_name, cluster_status=cluster_status, client_isolation_status=client_isolation_status, num_peers=num_peers, num_clients=num_clients, num_config_vlans=num_config_vlans, num_active_vlans=num_active_vlans, client_interfaces_shutdown=client_interfaces_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, is_cluster_client_command=is_cluster_client_command, cluster_name=cluster_name, cluster_status=cluster_status, client_isolation_status=client_isolation_status, num_peers=num_peers, num_clients=num_clients, num_config_vlans=num_config_vlans, num_active_vlans=num_active_vlans, client_interfaces_shutdown=client_interfaces_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_active_vlan_list_vlan_id_update(self, show_cluster=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.active_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_info_list_update(self, show_cluster=None, client_info_list=None, client_name=None, client_esi=None, client_interface=None, client_state=None, num_config_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type client_info_list: cluster_id, client_id
    :param client_info_list: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_name: unicode
    :param client_name: Keyword argument.

    :type client_esi: unicode
    :param client_esi: Keyword argument.

    :type client_interface: unicode
    :param client_interface: Keyword argument.

    :type client_state: YANGBool
    :param client_state: Keyword argument.

    :type num_config_vlans: long
    :param num_config_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster.client_info_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client_info_list', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mct_state.show_cluster.client_info_list": {}, "pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list": {"client_interface": "client_interface", "client_name": "client_name", "num_config_vlans": "num_config_vlans", "cluster_id": "cluster_id", "client_id": "client_id", "client_esi": "client_esi", "client_state": "client_state"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, client_info_list=client_info_list, client_name=client_name, client_esi=client_esi, client_interface=client_interface, client_state=client_state, num_config_vlans=num_config_vlans)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, client_info_list=client_info_list, client_name=client_name, client_esi=client_esi, client_interface=client_interface, client_state=client_state, num_config_vlans=num_config_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_info_list_client_esi_update(self, show_cluster=None, client_info_list=None, client_esi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type client_info_list: cluster_id, client_id
    :param client_info_list: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_esi: unicode
    :param client_esi: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster.client_info_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client_info_list', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, client_info_list=client_info_list, client_esi=client_esi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, client_info_list=client_info_list, client_esi=client_esi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_info_list_client_interface_update(self, show_cluster=None, client_info_list=None, client_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type client_info_list: cluster_id, client_id
    :param client_info_list: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_interface: unicode
    :param client_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster.client_info_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client_info_list', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, client_info_list=client_info_list, client_interface=client_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, client_info_list=client_info_list, client_interface=client_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_info_list_client_name_update(self, show_cluster=None, client_info_list=None, client_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type client_info_list: cluster_id, client_id
    :param client_info_list: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_name: unicode
    :param client_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster.client_info_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client_info_list', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, client_info_list=client_info_list, client_name=client_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, client_info_list=client_info_list, client_name=client_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_info_list_client_state_update(self, show_cluster=None, client_info_list=None, client_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type client_info_list: cluster_id, client_id
    :param client_info_list: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_state: YANGBool
    :param client_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster.client_info_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client_info_list', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, client_info_list=client_info_list, client_state=client_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, client_info_list=client_info_list, client_state=client_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_info_list_config_vlans_update(self, show_cluster=None, client_info_list=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_info_list: cluster_id, client_id
    :param client_info_list: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster'), ('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', u'client_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list.config_vlans', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id, client_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, client_info_list=client_info_list, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, client_info_list=client_info_list, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_info_list_config_vlans_vlan_id_update(self, show_cluster=None, client_info_list=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_info_list: cluster_id, client_id
    :param client_info_list: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster'), ('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', u'client_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list.config_vlans', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id, client_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, client_info_list=client_info_list, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, client_info_list=client_info_list, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_info_list_num_config_bds_update(self, show_cluster=None, client_info_list=None, num_config_bds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type client_info_list: cluster_id, client_id
    :param client_info_list: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_config_bds: long
    :param num_config_bds: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mct_state.show_cluster.client_info_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client_info_list', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, client_info_list=client_info_list, num_config_bds=num_config_bds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, client_info_list=client_info_list, num_config_bds=num_config_bds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_info_list_num_config_vlans_update(self, show_cluster=None, client_info_list=None, num_config_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type client_info_list: cluster_id, client_id
    :param client_info_list: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_config_vlans: long
    :param num_config_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster.client_info_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client_info_list', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, client_info_list=client_info_list, num_config_vlans=num_config_vlans)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, client_info_list=client_info_list, num_config_vlans=num_config_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_interfaces_shutdown_update(self, show_cluster=None, client_interfaces_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_interfaces_shutdown: YANGBool
    :param client_interfaces_shutdown: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, client_interfaces_shutdown=client_interfaces_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, client_interfaces_shutdown=client_interfaces_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_isolation_status_update(self, show_cluster=None, client_isolation_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_isolation_status: YANGBool
    :param client_isolation_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, client_isolation_status=client_isolation_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, client_isolation_status=client_isolation_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_cluster_name_update(self, show_cluster=None, cluster_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cluster_name: unicode
    :param cluster_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, cluster_name=cluster_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, cluster_name=cluster_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_cluster_status_update(self, show_cluster=None, cluster_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cluster_status: YANGBool
    :param cluster_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, cluster_status=cluster_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, cluster_status=cluster_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_config_vlan_list_update(self, show_cluster=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.config_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_config_vlan_list_vlan_id_update(self, show_cluster=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.config_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_is_cluster_client_command_update(self, show_cluster=None, is_cluster_client_command=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_cluster_client_command: YANGBool
    :param is_cluster_client_command: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, is_cluster_client_command=is_cluster_client_command)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, is_cluster_client_command=is_cluster_client_command)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_num_active_bds_update(self, show_cluster=None, num_active_bds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_active_bds: long
    :param num_active_bds: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mct_state.show_cluster', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, num_active_bds=num_active_bds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, num_active_bds=num_active_bds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_num_active_vlans_update(self, show_cluster=None, num_active_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_active_vlans: long
    :param num_active_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, num_active_vlans=num_active_vlans)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, num_active_vlans=num_active_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_num_bds_update(self, show_cluster=None, num_bds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_bds: long
    :param num_bds: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mct_state.show_cluster', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, num_bds=num_bds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, num_bds=num_bds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_num_clients_update(self, show_cluster=None, num_clients=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_clients: long
    :param num_clients: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, num_clients=num_clients)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, num_clients=num_clients)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_num_config_vlans_update(self, show_cluster=None, num_config_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_config_vlans: long
    :param num_config_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, num_config_vlans=num_config_vlans)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, num_config_vlans=num_config_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_num_peers_update(self, show_cluster=None, num_peers=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_peers: long
    :param num_peers: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, num_peers=num_peers)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, num_peers=num_peers)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_peer_info_list_update(self, show_cluster=None, peer_info_list=None, peer_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type peer_info_list: peer_ip_addr
    :param peer_info_list: Keyword argument tuple.

    :type peer_ip_addr: long
    :param peer_ip_addr: **peer_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type peer_state: YANGBool
    :param peer_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mct_state.show_cluster', u'show_cluster'), ('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.peer_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster.peer_info_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'peer_info_list', 'keyval': 'peer_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.mct_state.show_cluster.peer_info_list": {"peer_ip_addr": "peer_ip_addr", "peer_state": "peer_state"}, "pybind.slxos.v17r_1_00a.mct_state.show_cluster.peer_info_list": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, peer_info_list=peer_info_list, peer_state=peer_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, peer_info_list=peer_info_list, peer_state=peer_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_peer_info_list_peer_interface_update(self, show_cluster=None, peer_info_list=None, peer_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type peer_info_list: peer_ip_addr
    :param peer_info_list: Keyword argument tuple.

    :type peer_ip_addr: long
    :param peer_ip_addr: **peer_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type peer_interface: unicode
    :param peer_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mct_state.show_cluster.peer_info_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'peer_info_list', 'keyval': 'peer_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, peer_info_list=peer_info_list, peer_interface=peer_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, peer_info_list=peer_info_list, peer_interface=peer_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_peer_info_list_peer_state_update(self, show_cluster=None, peer_info_list=None, peer_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type peer_info_list: peer_ip_addr
    :param peer_info_list: Keyword argument tuple.

    :type peer_ip_addr: long
    :param peer_ip_addr: **peer_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type peer_state: YANGBool
    :param peer_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mct_state.show_cluster', u'show_cluster'), ('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.peer_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mct_state.show_cluster.peer_info_list', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'peer_info_list', 'keyval': 'peer_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster=show_cluster, peer_info_list=peer_info_list, peer_state=peer_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, peer_info_list=peer_info_list, peer_state=peer_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mctd_client_update(self, show_cluster_mctd_client=None, num_clients=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster_mctd_client: cluster_id
    :param show_cluster_mctd_client: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mctd_client** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_clients: long
    :param num_clients: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster_mctd_client', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mctd_client=show_cluster_mctd_client, num_clients=num_clients)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mctd_client=show_cluster_mctd_client, num_clients=num_clients)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mctd_client_client_state_info_update(self, show_cluster_mctd_client=None, client_state_info=None, client_name=None, local_state=None, remote_state=None, local_esi_label=None, remote_esi_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mctd_client: cluster_id
    :param show_cluster_mctd_client: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mctd_client** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type client_state_info: client_id
    :param client_state_info: Keyword argument tuple.

    :type client_id: long
    :param client_id: **client_state_info** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_name: unicode
    :param client_name: Keyword argument.

    :type local_state: long
    :param local_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type remote_state: long
    :param remote_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type local_esi_label: long
    :param local_esi_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type remote_esi_label: long
    :param remote_esi_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client_state_info', 'keyval': 'client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mctd_client=show_cluster_mctd_client, client_state_info=client_state_info, client_name=client_name, local_state=local_state, remote_state=remote_state, local_esi_label=local_esi_label, remote_esi_label=remote_esi_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mctd_client=show_cluster_mctd_client, client_state_info=client_state_info, client_name=client_name, local_state=local_state, remote_state=remote_state, local_esi_label=local_esi_label, remote_esi_label=remote_esi_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mctd_client_client_state_info_client_id_update(self, show_cluster_mctd_client=None, client_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mctd_client: cluster_id
    :param show_cluster_mctd_client: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mctd_client** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_id: long
    :param client_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mctd_client=show_cluster_mctd_client, client_id=client_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mctd_client=show_cluster_mctd_client, client_id=client_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mctd_client_client_state_info_client_name_update(self, show_cluster_mctd_client=None, client_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mctd_client: cluster_id
    :param show_cluster_mctd_client: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mctd_client** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_name: unicode
    :param client_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client'), ('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client.client_state_info": {}, "pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info": {"client_name": "client_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mctd_client=show_cluster_mctd_client, client_name=client_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mctd_client=show_cluster_mctd_client, client_name=client_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mctd_client_client_state_info_local_esi_label_update(self, show_cluster_mctd_client=None, local_esi_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mctd_client: cluster_id
    :param show_cluster_mctd_client: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mctd_client** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type local_esi_label: long
    :param local_esi_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client'), ('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client.client_state_info": {}, "pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info": {"local_esi_label": "local_esi_label"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mctd_client=show_cluster_mctd_client, local_esi_label=local_esi_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mctd_client=show_cluster_mctd_client, local_esi_label=local_esi_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mctd_client_client_state_info_local_state_update(self, show_cluster_mctd_client=None, local_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mctd_client: cluster_id
    :param show_cluster_mctd_client: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mctd_client** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type local_state: long
    :param local_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client'), ('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client.client_state_info": {}, "pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info": {"local_state": "local_state"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mctd_client=show_cluster_mctd_client, local_state=local_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mctd_client=show_cluster_mctd_client, local_state=local_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mctd_client_client_state_info_remote_esi_label_update(self, show_cluster_mctd_client=None, remote_esi_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mctd_client: cluster_id
    :param show_cluster_mctd_client: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mctd_client** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type remote_esi_label: long
    :param remote_esi_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client'), ('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client.client_state_info": {}, "pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info": {"remote_esi_label": "remote_esi_label"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mctd_client=show_cluster_mctd_client, remote_esi_label=remote_esi_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mctd_client=show_cluster_mctd_client, remote_esi_label=remote_esi_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mctd_client_client_state_info_remote_state_update(self, show_cluster_mctd_client=None, remote_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mctd_client: cluster_id
    :param show_cluster_mctd_client: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mctd_client** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type remote_state: long
    :param remote_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client'), ('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client.client_state_info": {}, "pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info": {"remote_state": "remote_state"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mctd_client=show_cluster_mctd_client, remote_state=remote_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mctd_client=show_cluster_mctd_client, remote_state=remote_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mctd_client_num_clients_update(self, show_cluster_mctd_client=None, num_clients=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster_mctd_client: cluster_id
    :param show_cluster_mctd_client: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mctd_client** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_clients: long
    :param num_clients: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mctd_client', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster_mctd_client', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mctd_client=show_cluster_mctd_client, num_clients=num_clients)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mctd_client=show_cluster_mctd_client, num_clients=num_clients)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mem_vlan_update(self, show_cluster_mem_vlan=None, num_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster_mem_vlan: cluster_id
    :param show_cluster_mem_vlan: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_vlans: long
    :param num_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mem_vlan', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mem_vlan_num_vlans_update(self, show_cluster_mem_vlan=None, num_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster_mem_vlan: cluster_id
    :param show_cluster_mem_vlan: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_vlans: long
    :param num_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mem_vlan', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mem_vlan_vlan_label_info_update(self, show_cluster_mem_vlan=None, vlan_label_info=None, mcast_label_local=None, mcast_label_remote=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mem_vlan: cluster_id
    :param show_cluster_mem_vlan: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vlan_label_info: vlan_id
    :param vlan_label_info: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **vlan_label_info** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_label_local: long
    :param mcast_label_local: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mcast_label_remote: long
    :param mcast_label_remote: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan_label_info', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_label_info=vlan_label_info, mcast_label_local=mcast_label_local, mcast_label_remote=mcast_label_remote)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_label_info=vlan_label_info, mcast_label_local=mcast_label_local, mcast_label_remote=mcast_label_remote)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mem_vlan_vlan_label_info_mcast_label_local_update(self, show_cluster_mem_vlan=None, mcast_label_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mem_vlan: cluster_id
    :param show_cluster_mem_vlan: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_label_local: long
    :param mcast_label_local: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan'), ('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan_label_info', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info": {}, "pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info": {"mcast_label_local": "mcast_label_local"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_vlan=show_cluster_mem_vlan, mcast_label_local=mcast_label_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_vlan=show_cluster_mem_vlan, mcast_label_local=mcast_label_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mem_vlan_vlan_label_info_mcast_label_remote_update(self, show_cluster_mem_vlan=None, mcast_label_remote=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mem_vlan: cluster_id
    :param show_cluster_mem_vlan: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_label_remote: long
    :param mcast_label_remote: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan'), ('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan_label_info', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info": {}, "pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info": {"mcast_label_remote": "mcast_label_remote"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_vlan=show_cluster_mem_vlan, mcast_label_remote=mcast_label_remote)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_vlan=show_cluster_mem_vlan, mcast_label_remote=mcast_label_remote)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mem_vlan_vlan_label_info_vlan_id_update(self, show_cluster_mem_vlan=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mem_vlan: cluster_id
    :param show_cluster_mem_vlan: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_update(self, session=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Description string of session

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.monitor.session', 'pybind.nos.v6_0_2c.brocade_span', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.monitor.session', 'pybind.nos.v7_0_1b.brocade_span', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.monitor.session', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.monitor.session', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.monitor.session', 'pybind.slxos.v17r_1_00a.brocade_span', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'session', 'keyval': 'session_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_description_update(self, session=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Description string of session

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.monitor.session', 'pybind.nos.v6_0_2c.brocade_span', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.monitor.session', 'pybind.nos.v7_0_1b.brocade_span', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.monitor.session', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.monitor.session', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.monitor.session', 'pybind.slxos.v17r_1_00a.brocade_span', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'session', 'keyval': 'session_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_dest_ethernet_update(self, session=None, dest_ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument:  NUMBER:0-512;;Session_Id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dest_ethernet: unicode
    :param dest_ethernet: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'rspan-vlan', 'port-channel']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.monitor.session', u'session'), ('pybind.slxos.v17r_1_00a.monitor.session', u'session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.monitor.session.span_command', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.monitor.session.span_command', 'pybind.slxos.v17r_1_00a.brocade_span', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, dest_ethernet=dest_ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, dest_ethernet=dest_ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_dest_ethernet_val_update(self, session=None, dest_ethernet_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument:  NUMBER:0-512;;Session_Id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dest_ethernet_val: unicode
    :param dest_ethernet_val: Keyword argument.

        * length restriction: ::

            ['3..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.monitor.session', u'session'), ('pybind.slxos.v17r_1_00a.monitor.session', u'session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.monitor.session.span_command', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.monitor.session.span_command', 'pybind.slxos.v17r_1_00a.brocade_span', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, dest_ethernet_val=dest_ethernet_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, dest_ethernet_val=dest_ethernet_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_dest_port_channel_val_update(self, session=None, dest_port_channel_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument:  NUMBER:0-512;;Session_Id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dest_port_channel_val: long
    :param dest_port_channel_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.monitor.session', u'session'), ('pybind.slxos.v17r_1_00a.monitor.session', u'session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.monitor.session.span_command', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.monitor.session.span_command', 'pybind.slxos.v17r_1_00a.brocade_span', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, dest_port_channel_val=dest_port_channel_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, dest_port_channel_val=dest_port_channel_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_dest_tengigabitethernet_update(self, session=None, dest_tengigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dest_tengigabitethernet: unicode
    :param dest_tengigabitethernet: Keyword argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'rspan-vlan',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.monitor.session', u'session'), ('pybind.nos.v7_1_0.monitor.session', u'session'), ('pybind.nos.v6_0_2c.monitor.session', u'session')]
    bindings_list = [('pybind.nos.v6_0_2c.monitor.session.span_command', 'pybind.nos.v6_0_2c.brocade_span', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.monitor.session.span_command', 'pybind.nos.v7_0_1b.brocade_span', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.monitor.session.span_command', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, dest_tengigabitethernet=dest_tengigabitethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, dest_tengigabitethernet=dest_tengigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_dest_tengigabitethernet_val_update(self, session=None, dest_tengigabitethernet_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dest_tengigabitethernet_val: unicode
    :param dest_tengigabitethernet_val: Keyword argument.

        * length restriction: ::

            ['3..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.monitor.session', u'session'), ('pybind.nos.v7_1_0.monitor.session', u'session'), ('pybind.nos.v6_0_2c.monitor.session', u'session')]
    bindings_list = [('pybind.nos.v6_0_2c.monitor.session.span_command', 'pybind.nos.v6_0_2c.brocade_span', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.monitor.session.span_command', 'pybind.nos.v7_0_1b.brocade_span', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.monitor.session.span_command', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, dest_tengigabitethernet_val=dest_tengigabitethernet_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, dest_tengigabitethernet_val=dest_tengigabitethernet_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_dest_vlan_val_update(self, session=None, dest_vlan_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dest_vlan_val: long
    :param dest_vlan_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.monitor.session', u'session'), ('pybind.slxos.v17r_1_00a.monitor.session', u'session'), ('pybind.slxos.v16r_1_00b.monitor.session', u'session'), ('pybind.nos.v6_0_2c.monitor.session', u'session'), ('pybind.nos.v7_1_0.monitor.session', u'session')]
    bindings_list = [('pybind.nos.v6_0_2c.monitor.session.span_command', 'pybind.nos.v6_0_2c.brocade_span', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.monitor.session.span_command', 'pybind.nos.v7_0_1b.brocade_span', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.monitor.session.span_command', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.monitor.session.span_command', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.monitor.session.span_command', 'pybind.slxos.v17r_1_00a.brocade_span', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, dest_vlan_val=dest_vlan_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, dest_vlan_val=dest_vlan_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_destination_update(self, session=None, destination=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type destination: unicode
    :param destination: Keyword argument.

        * enumeration restriction: ::

            ['destination']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.monitor.session', u'session'), ('pybind.slxos.v17r_1_00a.monitor.session', u'session'), ('pybind.slxos.v16r_1_00b.monitor.session', u'session'), ('pybind.nos.v6_0_2c.monitor.session', u'session'), ('pybind.nos.v7_1_0.monitor.session', u'session')]
    bindings_list = [('pybind.nos.v6_0_2c.monitor.session.span_command', 'pybind.nos.v6_0_2c.brocade_span', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.monitor.session.span_command', 'pybind.nos.v7_0_1b.brocade_span', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.monitor.session.span_command', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.monitor.session.span_command', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.monitor.session.span_command', 'pybind.slxos.v17r_1_00a.brocade_span', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, destination=destination)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, destination=destination)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_direction_update(self, session=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type direction: unicode
    :param direction: Mirror Direction:Ingress or Egress or Both

        * enumeration restriction: ::

            ['both', 'rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.monitor.session', u'session'), ('pybind.slxos.v17r_1_00a.monitor.session', u'session'), ('pybind.slxos.v16r_1_00b.monitor.session', u'session'), ('pybind.nos.v6_0_2c.monitor.session', u'session'), ('pybind.nos.v7_1_0.monitor.session', u'session')]
    bindings_list = [('pybind.nos.v6_0_2c.monitor.session.span_command', 'pybind.nos.v6_0_2c.brocade_span', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.monitor.session.span_command', 'pybind.nos.v7_0_1b.brocade_span', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.monitor.session.span_command', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.monitor.session.span_command', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.monitor.session.span_command', 'pybind.slxos.v17r_1_00a.brocade_span', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_source_update(self, session=None, source=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type source: unicode
    :param source: Keyword argument.

        * enumeration restriction: ::

            ['source']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.monitor.session', u'session'), ('pybind.slxos.v17r_1_00a.monitor.session', u'session'), ('pybind.slxos.v16r_1_00b.monitor.session', u'session'), ('pybind.nos.v6_0_2c.monitor.session', u'session'), ('pybind.nos.v7_1_0.monitor.session', u'session')]
    bindings_list = [('pybind.nos.v6_0_2c.monitor.session.span_command', 'pybind.nos.v6_0_2c.brocade_span', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.monitor.session.span_command', 'pybind.nos.v7_0_1b.brocade_span', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.monitor.session.span_command', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.monitor.session.span_command', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.monitor.session.span_command', 'pybind.slxos.v17r_1_00a.brocade_span', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, source=source)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, source=source)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_src_ethernet_update(self, session=None, src_ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument:  NUMBER:0-512;;Session_Id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_ethernet: unicode
    :param src_ethernet: Keyword argument.

        * enumeration restriction: ::

            ['ethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.monitor.session', u'session'), ('pybind.slxos.v17r_1_00a.monitor.session', u'session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.monitor.session.span_command', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.monitor.session.span_command', 'pybind.slxos.v17r_1_00a.brocade_span', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, src_ethernet=src_ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, src_ethernet=src_ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_src_ethernet_val_update(self, session=None, src_ethernet_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument:  NUMBER:0-512;;Session_Id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_ethernet_val: unicode
    :param src_ethernet_val: Keyword argument.

        * length restriction: ::

            ['3..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.monitor.session', u'session'), ('pybind.slxos.v17r_1_00a.monitor.session', u'session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.monitor.session.span_command', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.monitor.session.span_command', 'pybind.slxos.v17r_1_00a.brocade_span', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, src_ethernet_val=src_ethernet_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, src_ethernet_val=src_ethernet_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_src_tengigabitethernet_update(self, session=None, src_tengigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_tengigabitethernet: unicode
    :param src_tengigabitethernet: Keyword argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.monitor.session', u'session'), ('pybind.nos.v7_1_0.monitor.session', u'session'), ('pybind.nos.v6_0_2c.monitor.session', u'session')]
    bindings_list = [('pybind.nos.v6_0_2c.monitor.session.span_command', 'pybind.nos.v6_0_2c.brocade_span', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.monitor.session.span_command', 'pybind.nos.v7_0_1b.brocade_span', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.monitor.session.span_command', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, src_tengigabitethernet=src_tengigabitethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, src_tengigabitethernet=src_tengigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_src_tengigabitethernet_val_update(self, session=None, src_tengigabitethernet_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_tengigabitethernet_val: unicode
    :param src_tengigabitethernet_val: Keyword argument.

        * length restriction: ::

            ['3..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.monitor.session', u'session'), ('pybind.nos.v7_1_0.monitor.session', u'session'), ('pybind.nos.v6_0_2c.monitor.session', u'session')]
    bindings_list = [('pybind.nos.v6_0_2c.monitor.session.span_command', 'pybind.nos.v6_0_2c.brocade_span', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.monitor.session.span_command', 'pybind.nos.v7_0_1b.brocade_span', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.monitor.session.span_command', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}, {'keyval': 'session_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, session=session, src_tengigabitethernet_val=src_tengigabitethernet_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, src_tengigabitethernet_val=src_tengigabitethernet_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_update(self, auto_bandwidth_template=None, adjustment_interval=None, adjustment_threshold=None, maximum_bandwidth=None, minimum_bandwidth=None, overflow_limit=None, underflow_limit=None, mode=None, sample_recording=None, associated_paths_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Argument(s)**:

    :type adjustment_interval: long
    :param adjustment_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adjustment_threshold: long
    :param adjustment_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type maximum_bandwidth: long
    :param maximum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type minimum_bandwidth: long
    :param minimum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type overflow_limit: long
    :param overflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type underflow_limit: long
    :param underflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mode: YANGBool
    :param mode: Keyword argument.

    :type sample_recording: YANGBool
    :param sample_recording: Keyword argument.

    :type associated_paths_count: long
    :param associated_paths_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_template=auto_bandwidth_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, maximum_bandwidth=maximum_bandwidth, minimum_bandwidth=minimum_bandwidth, overflow_limit=overflow_limit, underflow_limit=underflow_limit, mode=mode, sample_recording=sample_recording, associated_paths_count=associated_paths_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, maximum_bandwidth=maximum_bandwidth, minimum_bandwidth=minimum_bandwidth, overflow_limit=overflow_limit, underflow_limit=underflow_limit, mode=mode, sample_recording=sample_recording, associated_paths_count=associated_paths_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_adjustment_interval_update(self, auto_bandwidth_template=None, adjustment_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Argument(s)**:

    :type adjustment_interval: long
    :param adjustment_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_template=auto_bandwidth_template, adjustment_interval=adjustment_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, adjustment_interval=adjustment_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_adjustment_threshold_update(self, auto_bandwidth_template=None, adjustment_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Argument(s)**:

    :type adjustment_threshold: long
    :param adjustment_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_template=auto_bandwidth_template, adjustment_threshold=adjustment_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, adjustment_threshold=adjustment_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_associated_paths_update(self, auto_bandwidth_template=None, associated_paths=None, path_name=None, is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type associated_paths: lsp_name
    :param associated_paths: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **associated_paths** tuple argument.

    **Instance Argument(s)**:

    :type path_name: unicode
    :param path_name: Keyword argument.

    :type is_active: YANGBool
    :param is_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', u'auto_bandwidth_template'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template', u'auto_bandwidth_template')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template.associated_paths', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template.associated_paths', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'associated_paths', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_template=auto_bandwidth_template, associated_paths=associated_paths, path_name=path_name, is_active=is_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, associated_paths=associated_paths, path_name=path_name, is_active=is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_associated_paths_count_update(self, auto_bandwidth_template=None, associated_paths_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Argument(s)**:

    :type associated_paths_count: long
    :param associated_paths_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_template=auto_bandwidth_template, associated_paths_count=associated_paths_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, associated_paths_count=associated_paths_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_associated_paths_is_active_update(self, auto_bandwidth_template=None, associated_paths=None, is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type associated_paths: lsp_name
    :param associated_paths: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **associated_paths** tuple argument.

    **Instance Argument(s)**:

    :type is_active: YANGBool
    :param is_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', u'auto_bandwidth_template'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template', u'auto_bandwidth_template')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template.associated_paths', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template.associated_paths', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'associated_paths', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_template=auto_bandwidth_template, associated_paths=associated_paths, is_active=is_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, associated_paths=associated_paths, is_active=is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_associated_paths_path_name_update(self, auto_bandwidth_template=None, associated_paths=None, path_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type associated_paths: lsp_name
    :param associated_paths: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **associated_paths** tuple argument.

    **Instance Argument(s)**:

    :type path_name: unicode
    :param path_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', u'auto_bandwidth_template'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template', u'auto_bandwidth_template')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template.associated_paths', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template.associated_paths', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'associated_paths', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_template=auto_bandwidth_template, associated_paths=associated_paths, path_name=path_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, associated_paths=associated_paths, path_name=path_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_maximum_bandwidth_update(self, auto_bandwidth_template=None, maximum_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Argument(s)**:

    :type maximum_bandwidth: long
    :param maximum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_template=auto_bandwidth_template, maximum_bandwidth=maximum_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, maximum_bandwidth=maximum_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_minimum_bandwidth_update(self, auto_bandwidth_template=None, minimum_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Argument(s)**:

    :type minimum_bandwidth: long
    :param minimum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_template=auto_bandwidth_template, minimum_bandwidth=minimum_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, minimum_bandwidth=minimum_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_mode_update(self, auto_bandwidth_template=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Argument(s)**:

    :type mode: YANGBool
    :param mode: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_template=auto_bandwidth_template, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_overflow_limit_update(self, auto_bandwidth_template=None, overflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Argument(s)**:

    :type overflow_limit: long
    :param overflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_template=auto_bandwidth_template, overflow_limit=overflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, overflow_limit=overflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_sample_recording_update(self, auto_bandwidth_template=None, sample_recording=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Argument(s)**:

    :type sample_recording: YANGBool
    :param sample_recording: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_template=auto_bandwidth_template, sample_recording=sample_recording)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, sample_recording=sample_recording)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_underflow_limit_update(self, auto_bandwidth_template=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Argument(s)**:

    :type underflow_limit: long
    :param underflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.auto_bandwidth_template', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_template=auto_bandwidth_template, underflow_limit=underflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_autobw_threshold_table_entry_update(self, autobw_threshold_table_entry=None, threshold=None, is_percentage_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type autobw_threshold_table_entry: bandwidth
    :param autobw_threshold_table_entry: Keyword argument tuple.

    :type bandwidth: long
    :param bandwidth: **autobw_threshold_table_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_percentage_threshold: YANGBool
    :param is_percentage_threshold: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.autobw_threshold_table_entry', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_entry', 'keyval': 'bandwidth', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_threshold_table_entry=autobw_threshold_table_entry, threshold=threshold, is_percentage_threshold=is_percentage_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_threshold_table_entry=autobw_threshold_table_entry, threshold=threshold, is_percentage_threshold=is_percentage_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_autobw_threshold_table_entry_is_percentage_threshold_update(self, autobw_threshold_table_entry=None, is_percentage_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type autobw_threshold_table_entry: bandwidth
    :param autobw_threshold_table_entry: Keyword argument tuple.

    :type bandwidth: long
    :param bandwidth: **autobw_threshold_table_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_percentage_threshold: YANGBool
    :param is_percentage_threshold: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.autobw_threshold_table_entry', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_entry', 'keyval': 'bandwidth', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_threshold_table_entry=autobw_threshold_table_entry, is_percentage_threshold=is_percentage_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_threshold_table_entry=autobw_threshold_table_entry, is_percentage_threshold=is_percentage_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_autobw_threshold_table_entry_threshold_update(self, autobw_threshold_table_entry=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type autobw_threshold_table_entry: bandwidth
    :param autobw_threshold_table_entry: Keyword argument tuple.

    :type bandwidth: long
    :param bandwidth: **autobw_threshold_table_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.autobw_threshold_table_entry', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_entry', 'keyval': 'bandwidth', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_threshold_table_entry=autobw_threshold_table_entry, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_threshold_table_entry=autobw_threshold_table_entry, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_autobw_threshold_table_summary_update(self, total_number_of_autobw_threshold_table_entries=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_number_of_autobw_threshold_table_entries: long
    :param total_number_of_autobw_threshold_table_entries: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.autobw_threshold_table_summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_number_of_autobw_threshold_table_entries=total_number_of_autobw_threshold_table_entries)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_number_of_autobw_threshold_table_entries=total_number_of_autobw_threshold_table_entries)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_autobw_threshold_table_summary_total_number_of_autobw_threshold_table_entries_update(self, total_number_of_autobw_threshold_table_entries=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_number_of_autobw_threshold_table_entries: long
    :param total_number_of_autobw_threshold_table_entries: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.autobw_threshold_table_summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_number_of_autobw_threshold_table_entries=total_number_of_autobw_threshold_table_entries)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_number_of_autobw_threshold_table_entries=total_number_of_autobw_threshold_table_entries)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_bfd_update(self, admin_status=None, min_tx_interval=None, min_rx_interval=None, detection_time_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type admin_status: int
    :param admin_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type min_tx_interval: long
    :param min_tx_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx_interval: long
    :param min_rx_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type detection_time_multiplier: int
    :param detection_time_multiplier: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.bfd', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.bfd', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, admin_status=admin_status, min_tx_interval=min_tx_interval, min_rx_interval=min_rx_interval, detection_time_multiplier=detection_time_multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, admin_status=admin_status, min_tx_interval=min_tx_interval, min_rx_interval=min_rx_interval, detection_time_multiplier=detection_time_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_bfd_admin_status_update(self, admin_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type admin_status: int
    :param admin_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.bfd', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.bfd', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, admin_status=admin_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, admin_status=admin_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_bfd_detection_time_multiplier_update(self, detection_time_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type detection_time_multiplier: int
    :param detection_time_multiplier: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.bfd', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.bfd', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, detection_time_multiplier=detection_time_multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, detection_time_multiplier=detection_time_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_bfd_min_rx_interval_update(self, min_rx_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type min_rx_interval: long
    :param min_rx_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.bfd', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.bfd', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, min_rx_interval=min_rx_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, min_rx_interval=min_rx_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_bfd_min_tx_interval_update(self, min_tx_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type min_tx_interval: long
    :param min_tx_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.bfd', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.bfd', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, min_tx_interval=min_tx_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, min_tx_interval=min_tx_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_global_update(self, config_enable=None, config_enable_all=None, reoptimize_timer=None, max_bypasses_per_mp=None, max_bypasses=None, bypass_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type config_enable: int
    :param config_enable: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type config_enable_all: int
    :param config_enable_all: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type reoptimize_timer: long
    :param reoptimize_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_bypasses_per_mp: int
    :param max_bypasses_per_mp: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type max_bypasses: int
    :param max_bypasses: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type bypass_count: int
    :param bypass_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, config_enable=config_enable, config_enable_all=config_enable_all, reoptimize_timer=reoptimize_timer, max_bypasses_per_mp=max_bypasses_per_mp, max_bypasses=max_bypasses, bypass_count=bypass_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, config_enable=config_enable, config_enable_all=config_enable_all, reoptimize_timer=reoptimize_timer, max_bypasses_per_mp=max_bypasses_per_mp, max_bypasses=max_bypasses, bypass_count=bypass_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_global_bypass_count_update(self, bypass_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bypass_count: int
    :param bypass_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_count=bypass_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_count=bypass_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_global_config_enable_update(self, config_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type config_enable: int
    :param config_enable: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, config_enable=config_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, config_enable=config_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_global_config_enable_all_update(self, config_enable_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type config_enable_all: int
    :param config_enable_all: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, config_enable_all=config_enable_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, config_enable_all=config_enable_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_global_max_bypasses_update(self, max_bypasses=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_bypasses: int
    :param max_bypasses: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_bypasses=max_bypasses)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_bypasses=max_bypasses)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_global_max_bypasses_per_mp_update(self, max_bypasses_per_mp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_bypasses_per_mp: int
    :param max_bypasses_per_mp: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_bypasses_per_mp=max_bypasses_per_mp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_bypasses_per_mp=max_bypasses_per_mp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_global_reoptimize_timer_update(self, reoptimize_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type reoptimize_timer: long
    :param reoptimize_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, reoptimize_timer=reoptimize_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, reoptimize_timer=reoptimize_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_update(self, dynamic_bypass_interface=None, active_status=None, admin_type=None, admin_status=None, hop_limit=None, tie_breaking=None, cos=None, cspf_comp_mode=None, setup_priority=None, hold_priority=None, traffic_eng_max_rate=None, traffic_eng_mean_rate=None, traffic_eng_max_burst=None, from_addr=None, reoptimize_timer=None, adaptive=None, record_route=None, name_prefix=None, primary_path=None, max_bypasses_per_mp=None, bypass_count=None, exclude_any=None, include_all=None, include_any=None, status_flags=None, mp_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type active_status: int
    :param active_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type admin_type: int
    :param admin_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type admin_status: int
    :param admin_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type hop_limit: int
    :param hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type tie_breaking: int
    :param tie_breaking: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type cos: int
    :param cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type cspf_comp_mode: int
    :param cspf_comp_mode: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type setup_priority: int
    :param setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type hold_priority: int
    :param hold_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type traffic_eng_max_rate: long
    :param traffic_eng_max_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type traffic_eng_mean_rate: long
    :param traffic_eng_mean_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type traffic_eng_max_burst: long
    :param traffic_eng_max_burst: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type from_addr: unicode
    :param from_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type reoptimize_timer: long
    :param reoptimize_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adaptive: long
    :param adaptive: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type record_route: long
    :param record_route: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type name_prefix: unicode
    :param name_prefix: Keyword argument.

    :type primary_path: unicode
    :param primary_path: Keyword argument.

    :type max_bypasses_per_mp: int
    :param max_bypasses_per_mp: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type bypass_count: int
    :param bypass_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type exclude_any: long
    :param exclude_any: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type include_all: long
    :param include_all: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type include_any: long
    :param include_any: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type status_flags: long
    :param status_flags: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mp_count: long
    :param mp_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"record_route": "record_route", "include_all": "include_all", "traffic_eng_max_burst": "traffic_eng_max_burst", "tie_breaking": "tie_breaking", "status_flags": "status_flags", "include_any": "include_any", "from_addr": "from_addr", "mp_count": "mp_count", "active_status": "active_status", "primary_path": "primary_path", "traffic_eng_mean_rate": "traffic_eng_mean_rate", "hold_priority": "hold_priority", "reoptimize_timer": "reoptimize_timer", "bypass_count": "bypass_count", "max_bypasses_per_mp": "max_bypasses_per_mp", "adaptive": "adaptive", "name_prefix": "name_prefix", "cspf_comp_mode": "cspf_comp_mode", "if_name": "if_name", "admin_status": "admin_status", "exclude_any": "exclude_any", "setup_priority": "setup_priority", "cos": "cos", "admin_type": "admin_type", "traffic_eng_max_rate": "traffic_eng_max_rate", "if_type": "if_type", "hop_limit": "hop_limit"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, active_status=active_status, admin_type=admin_type, admin_status=admin_status, hop_limit=hop_limit, tie_breaking=tie_breaking, cos=cos, cspf_comp_mode=cspf_comp_mode, setup_priority=setup_priority, hold_priority=hold_priority, traffic_eng_max_rate=traffic_eng_max_rate, traffic_eng_mean_rate=traffic_eng_mean_rate, traffic_eng_max_burst=traffic_eng_max_burst, from_addr=from_addr, reoptimize_timer=reoptimize_timer, adaptive=adaptive, record_route=record_route, name_prefix=name_prefix, primary_path=primary_path, max_bypasses_per_mp=max_bypasses_per_mp, bypass_count=bypass_count, exclude_any=exclude_any, include_all=include_all, include_any=include_any, status_flags=status_flags, mp_count=mp_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, active_status=active_status, admin_type=admin_type, admin_status=admin_status, hop_limit=hop_limit, tie_breaking=tie_breaking, cos=cos, cspf_comp_mode=cspf_comp_mode, setup_priority=setup_priority, hold_priority=hold_priority, traffic_eng_max_rate=traffic_eng_max_rate, traffic_eng_mean_rate=traffic_eng_mean_rate, traffic_eng_max_burst=traffic_eng_max_burst, from_addr=from_addr, reoptimize_timer=reoptimize_timer, adaptive=adaptive, record_route=record_route, name_prefix=name_prefix, primary_path=primary_path, max_bypasses_per_mp=max_bypasses_per_mp, bypass_count=bypass_count, exclude_any=exclude_any, include_all=include_all, include_any=include_any, status_flags=status_flags, mp_count=mp_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_active_status_update(self, dynamic_bypass_interface=None, active_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type active_status: int
    :param active_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"if_name": "if_name", "active_status": "active_status", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, active_status=active_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, active_status=active_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_adaptive_update(self, dynamic_bypass_interface=None, adaptive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type adaptive: long
    :param adaptive: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"adaptive": "adaptive", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, adaptive=adaptive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, adaptive=adaptive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_admin_status_update(self, dynamic_bypass_interface=None, admin_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type admin_status: int
    :param admin_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"admin_status": "admin_status", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, admin_status=admin_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, admin_status=admin_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_admin_type_update(self, dynamic_bypass_interface=None, admin_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type admin_type: int
    :param admin_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"admin_type": "admin_type", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, admin_type=admin_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, admin_type=admin_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_bypass_count_update(self, dynamic_bypass_interface=None, bypass_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type bypass_count: int
    :param bypass_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"bypass_count": "bypass_count", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, bypass_count=bypass_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, bypass_count=bypass_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_cos_update(self, dynamic_bypass_interface=None, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type cos: int
    :param cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"cos": "cos", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, cos=cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_cspf_comp_mode_update(self, dynamic_bypass_interface=None, cspf_comp_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type cspf_comp_mode: int
    :param cspf_comp_mode: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"cspf_comp_mode": "cspf_comp_mode", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, cspf_comp_mode=cspf_comp_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, cspf_comp_mode=cspf_comp_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_exclude_any_update(self, dynamic_bypass_interface=None, exclude_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type exclude_any: long
    :param exclude_any: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"if_name": "if_name", "exclude_any": "exclude_any", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, exclude_any=exclude_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, exclude_any=exclude_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_from_addr_update(self, dynamic_bypass_interface=None, from_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type from_addr: unicode
    :param from_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"if_type": "if_type", "if_name": "if_name", "from_addr": "from_addr"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, from_addr=from_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, from_addr=from_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_hold_priority_update(self, dynamic_bypass_interface=None, hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type hold_priority: int
    :param hold_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"hold_priority": "hold_priority", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, hold_priority=hold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, hold_priority=hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_hop_limit_update(self, dynamic_bypass_interface=None, hop_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type hop_limit: int
    :param hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"hop_limit": "hop_limit", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, hop_limit=hop_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, hop_limit=hop_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_if_name_update(self, dynamic_bypass_interface=None, if_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_index
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_index: long
    :param if_index: **dynamic_bypass_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type if_name: unicode
    :param if_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, if_name=if_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, if_name=if_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_if_type_update(self, dynamic_bypass_interface=None, if_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_index
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_index: long
    :param if_index: **dynamic_bypass_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type if_type: unicode
    :param if_type: Keyword argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, if_type=if_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, if_type=if_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_include_all_update(self, dynamic_bypass_interface=None, include_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type include_all: long
    :param include_all: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"include_all": "include_all", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, include_all=include_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, include_all=include_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_include_any_update(self, dynamic_bypass_interface=None, include_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type include_any: long
    :param include_any: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"include_any": "include_any", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, include_any=include_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, include_any=include_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_max_bypasses_per_mp_update(self, dynamic_bypass_interface=None, max_bypasses_per_mp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type max_bypasses_per_mp: int
    :param max_bypasses_per_mp: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"max_bypasses_per_mp": "max_bypasses_per_mp", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, max_bypasses_per_mp=max_bypasses_per_mp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, max_bypasses_per_mp=max_bypasses_per_mp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_mp_count_update(self, dynamic_bypass_interface=None, mp_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type mp_count: long
    :param mp_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"if_type": "if_type", "if_name": "if_name", "mp_count": "mp_count"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, mp_count=mp_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, mp_count=mp_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_mp_infos_update(self, dynamic_bypass_interface=None, mp_infos=None, bypass_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Keyword Argument Tuple**:

    :type mp_infos: router_id
    :param mp_infos: Keyword argument tuple.

    :type router_id: unicode
    :param router_id: **mp_infos** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bypass_count: int
    :param bypass_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', u'dynamic_bypass_interface'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', u'dynamic_bypass_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface.mp_infos', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface.mp_infos', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'if_name, if_type', 'extra_keyval': ''}, {'keyval': 'if_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mp_infos', 'keyval': 'router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, mp_infos=mp_infos, bypass_count=bypass_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, mp_infos=mp_infos, bypass_count=bypass_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_mp_infos_bypass_count_update(self, dynamic_bypass_interface=None, mp_infos=None, bypass_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Keyword Argument Tuple**:

    :type mp_infos: router_id
    :param mp_infos: Keyword argument tuple.

    :type router_id: unicode
    :param router_id: **mp_infos** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bypass_count: int
    :param bypass_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', u'dynamic_bypass_interface'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', u'dynamic_bypass_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface.mp_infos', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface.mp_infos', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'if_name, if_type', 'extra_keyval': ''}, {'keyval': 'if_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mp_infos', 'keyval': 'router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, mp_infos=mp_infos, bypass_count=bypass_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, mp_infos=mp_infos, bypass_count=bypass_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_name_prefix_update(self, dynamic_bypass_interface=None, name_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type name_prefix: unicode
    :param name_prefix: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"name_prefix": "name_prefix", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, name_prefix=name_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, name_prefix=name_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_primary_path_update(self, dynamic_bypass_interface=None, primary_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type primary_path: unicode
    :param primary_path: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"primary_path": "primary_path", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, primary_path=primary_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, primary_path=primary_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_record_route_update(self, dynamic_bypass_interface=None, record_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type record_route: long
    :param record_route: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"record_route": "record_route", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, record_route=record_route)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, record_route=record_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_reoptimize_timer_update(self, dynamic_bypass_interface=None, reoptimize_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type reoptimize_timer: long
    :param reoptimize_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"reoptimize_timer": "reoptimize_timer", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, reoptimize_timer=reoptimize_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, reoptimize_timer=reoptimize_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_setup_priority_update(self, dynamic_bypass_interface=None, setup_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type setup_priority: int
    :param setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"setup_priority": "setup_priority", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, setup_priority=setup_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, setup_priority=setup_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_status_flags_update(self, dynamic_bypass_interface=None, status_flags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type status_flags: long
    :param status_flags: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"if_name": "if_name", "status_flags": "status_flags", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, status_flags=status_flags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, status_flags=status_flags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_tie_breaking_update(self, dynamic_bypass_interface=None, tie_breaking=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type tie_breaking: int
    :param tie_breaking: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"tie_breaking": "tie_breaking", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, tie_breaking=tie_breaking)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, tie_breaking=tie_breaking)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_traffic_eng_max_burst_update(self, dynamic_bypass_interface=None, traffic_eng_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type traffic_eng_max_burst: long
    :param traffic_eng_max_burst: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"if_type": "if_type", "if_name": "if_name", "traffic_eng_max_burst": "traffic_eng_max_burst"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, traffic_eng_max_burst=traffic_eng_max_burst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, traffic_eng_max_burst=traffic_eng_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_traffic_eng_max_rate_update(self, dynamic_bypass_interface=None, traffic_eng_max_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type traffic_eng_max_rate: long
    :param traffic_eng_max_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"traffic_eng_max_rate": "traffic_eng_max_rate", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, traffic_eng_max_rate=traffic_eng_max_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, traffic_eng_max_rate=traffic_eng_max_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_traffic_eng_mean_rate_update(self, dynamic_bypass_interface=None, traffic_eng_mean_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type traffic_eng_mean_rate: long
    :param traffic_eng_mean_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.dynamic_bypass.dynamic_bypass_interface": {}, "pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface": {"traffic_eng_mean_rate": "traffic_eng_mean_rate", "if_name": "if_name", "if_type": "if_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_interface=dynamic_bypass_interface, traffic_eng_mean_rate=traffic_eng_mean_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, traffic_eng_mean_rate=traffic_eng_mean_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_forwarding_entry_update(self, forwarding_entry=None, dest_ip_prefix=None, in_label=None, out_label=None, protocol=None, out_interface_name=None, nexthop_ip_addr=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type forwarding_entry: entry_index, sync_index
    :param forwarding_entry: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type sync_index: long
    :param sync_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dest_ip_prefix: unicode
    :param dest_ip_prefix: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type in_label: long
    :param in_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_label: long
    :param out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type protocol: unicode
    :param protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-protocol-none',
            'mpls-protocol-ldp',
            'mpls-protocol-rsvp']

    :type out_interface_name: unicode
    :param out_interface_name: Keyword argument.

    :type nexthop_ip_addr: unicode
    :param nexthop_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['mpls-forwarding-entry-backup',
            'mpls-forwarding-entry-detour']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.forwarding_entry', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forwarding_entry=forwarding_entry, dest_ip_prefix=dest_ip_prefix, in_label=in_label, out_label=out_label, protocol=protocol, out_interface_name=out_interface_name, nexthop_ip_addr=nexthop_ip_addr, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forwarding_entry=forwarding_entry, dest_ip_prefix=dest_ip_prefix, in_label=in_label, out_label=out_label, protocol=protocol, out_interface_name=out_interface_name, nexthop_ip_addr=nexthop_ip_addr, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_forwarding_entry_dest_ip_prefix_update(self, forwarding_entry=None, dest_ip_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type forwarding_entry: entry_index, sync_index
    :param forwarding_entry: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type sync_index: long
    :param sync_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dest_ip_prefix: unicode
    :param dest_ip_prefix: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.forwarding_entry', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forwarding_entry=forwarding_entry, dest_ip_prefix=dest_ip_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forwarding_entry=forwarding_entry, dest_ip_prefix=dest_ip_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_forwarding_entry_in_label_update(self, forwarding_entry=None, in_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type forwarding_entry: entry_index, sync_index
    :param forwarding_entry: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type sync_index: long
    :param sync_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type in_label: long
    :param in_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.forwarding_entry', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forwarding_entry=forwarding_entry, in_label=in_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forwarding_entry=forwarding_entry, in_label=in_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_forwarding_entry_nexthop_ip_addr_update(self, forwarding_entry=None, nexthop_ip_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type forwarding_entry: entry_index, sync_index
    :param forwarding_entry: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type sync_index: long
    :param sync_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type nexthop_ip_addr: unicode
    :param nexthop_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.forwarding_entry', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forwarding_entry=forwarding_entry, nexthop_ip_addr=nexthop_ip_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forwarding_entry=forwarding_entry, nexthop_ip_addr=nexthop_ip_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_forwarding_entry_out_interface_name_update(self, forwarding_entry=None, out_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type forwarding_entry: entry_index, sync_index
    :param forwarding_entry: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type sync_index: long
    :param sync_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_interface_name: unicode
    :param out_interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.forwarding_entry', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forwarding_entry=forwarding_entry, out_interface_name=out_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forwarding_entry=forwarding_entry, out_interface_name=out_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_forwarding_entry_out_label_update(self, forwarding_entry=None, out_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type forwarding_entry: entry_index, sync_index
    :param forwarding_entry: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type sync_index: long
    :param sync_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_label: long
    :param out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.forwarding_entry', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forwarding_entry=forwarding_entry, out_label=out_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forwarding_entry=forwarding_entry, out_label=out_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_forwarding_entry_protocol_update(self, forwarding_entry=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type forwarding_entry: entry_index, sync_index
    :param forwarding_entry: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type sync_index: long
    :param sync_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-protocol-none',
            'mpls-protocol-ldp',
            'mpls-protocol-rsvp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.forwarding_entry', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forwarding_entry=forwarding_entry, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forwarding_entry=forwarding_entry, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_forwarding_entry_type_update(self, forwarding_entry=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type forwarding_entry: entry_index, sync_index
    :param forwarding_entry: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type sync_index: long
    :param sync_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['mpls-forwarding-entry-backup',
            'mpls-forwarding-entry-detour']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.forwarding_entry', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forwarding_entry=forwarding_entry, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forwarding_entry=forwarding_entry, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_update(self, interface=None, interface_name=None, admin_status=None, oper_status=None, mtu=None, bypass_lsp_count=None, max_lsp_priority_level=None, is_ldp_enabled=None, ldp_tunnel_count=None, ldp_transit_tunnel_count=None, is_gre_port=None, admin_group=None, admin_group_max=None, admin_group_min=None, te_metric=None, max_bandwidth=None, max_resv_bandwidth=None, max_resv_bandwidth_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type oper_status: YANGBool
    :param oper_status: Keyword argument.

    :type mtu: long
    :param mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bypass_lsp_count: long
    :param bypass_lsp_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_lsp_priority_level: long
    :param max_lsp_priority_level: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_ldp_enabled: YANGBool
    :param is_ldp_enabled: Keyword argument.

    :type ldp_tunnel_count: long
    :param ldp_tunnel_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ldp_transit_tunnel_count: long
    :param ldp_transit_tunnel_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_gre_port: YANGBool
    :param is_gre_port: Keyword argument.

    :type admin_group: long
    :param admin_group: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type admin_group_max: int
    :param admin_group_max: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type admin_group_min: int
    :param admin_group_min: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type te_metric: long
    :param te_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_bandwidth: long
    :param max_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_resv_bandwidth: long
    :param max_resv_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_resv_bandwidth_percentage: long
    :param max_resv_bandwidth_percentage: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, interface_name=interface_name, admin_status=admin_status, oper_status=oper_status, mtu=mtu, bypass_lsp_count=bypass_lsp_count, max_lsp_priority_level=max_lsp_priority_level, is_ldp_enabled=is_ldp_enabled, ldp_tunnel_count=ldp_tunnel_count, ldp_transit_tunnel_count=ldp_transit_tunnel_count, is_gre_port=is_gre_port, admin_group=admin_group, admin_group_max=admin_group_max, admin_group_min=admin_group_min, te_metric=te_metric, max_bandwidth=max_bandwidth, max_resv_bandwidth=max_resv_bandwidth, max_resv_bandwidth_percentage=max_resv_bandwidth_percentage)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, interface_name=interface_name, admin_status=admin_status, oper_status=oper_status, mtu=mtu, bypass_lsp_count=bypass_lsp_count, max_lsp_priority_level=max_lsp_priority_level, is_ldp_enabled=is_ldp_enabled, ldp_tunnel_count=ldp_tunnel_count, ldp_transit_tunnel_count=ldp_transit_tunnel_count, is_gre_port=is_gre_port, admin_group=admin_group, admin_group_max=admin_group_max, admin_group_min=admin_group_min, te_metric=te_metric, max_bandwidth=max_bandwidth, max_resv_bandwidth=max_resv_bandwidth, max_resv_bandwidth_percentage=max_resv_bandwidth_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_admin_group_update(self, interface=None, admin_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group: long
    :param admin_group: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, admin_group=admin_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, admin_group=admin_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_admin_group_max_update(self, interface=None, admin_group_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_max: int
    :param admin_group_max: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, admin_group_max=admin_group_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, admin_group_max=admin_group_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_admin_group_min_update(self, interface=None, admin_group_min=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_min: int
    :param admin_group_min: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, admin_group_min=admin_group_min)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, admin_group_min=admin_group_min)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_admin_status_update(self, interface=None, admin_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, admin_status=admin_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, admin_status=admin_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_bypass_lsp_count_update(self, interface=None, bypass_lsp_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bypass_lsp_count: long
    :param bypass_lsp_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, bypass_lsp_count=bypass_lsp_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, bypass_lsp_count=bypass_lsp_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_interface_name_update(self, interface=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_is_gre_port_update(self, interface=None, is_gre_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_gre_port: YANGBool
    :param is_gre_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, is_gre_port=is_gre_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, is_gre_port=is_gre_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_is_ldp_enabled_update(self, interface=None, is_ldp_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_ldp_enabled: YANGBool
    :param is_ldp_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, is_ldp_enabled=is_ldp_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, is_ldp_enabled=is_ldp_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_ldp_transit_tunnel_count_update(self, interface=None, ldp_transit_tunnel_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ldp_transit_tunnel_count: long
    :param ldp_transit_tunnel_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, ldp_transit_tunnel_count=ldp_transit_tunnel_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, ldp_transit_tunnel_count=ldp_transit_tunnel_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_ldp_tunnel_count_update(self, interface=None, ldp_tunnel_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ldp_tunnel_count: long
    :param ldp_tunnel_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, ldp_tunnel_count=ldp_tunnel_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, ldp_tunnel_count=ldp_tunnel_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_max_bandwidth_update(self, interface=None, max_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_bandwidth: long
    :param max_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, max_bandwidth=max_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, max_bandwidth=max_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_max_lsp_priority_level_update(self, interface=None, max_lsp_priority_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_lsp_priority_level: long
    :param max_lsp_priority_level: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, max_lsp_priority_level=max_lsp_priority_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, max_lsp_priority_level=max_lsp_priority_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_max_resv_bandwidth_update(self, interface=None, max_resv_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_resv_bandwidth: long
    :param max_resv_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, max_resv_bandwidth=max_resv_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, max_resv_bandwidth=max_resv_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_max_resv_bandwidth_percentage_update(self, interface=None, max_resv_bandwidth_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_resv_bandwidth_percentage: long
    :param max_resv_bandwidth_percentage: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, max_resv_bandwidth_percentage=max_resv_bandwidth_percentage)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, max_resv_bandwidth_percentage=max_resv_bandwidth_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_mtu_update(self, interface=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_oper_status_update(self, interface=None, oper_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type oper_status: YANGBool
    :param oper_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, oper_status=oper_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, oper_status=oper_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_te_metric_update(self, interface=None, te_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type te_metric: long
    :param te_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, te_metric=te_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, te_metric=te_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_update(self, ldp_initialized=None, lsr_id=None, lsr_id_configured=None, loopback=None, hello_interval_link=None, hello_interval_target=None, hold_time_sent_link=None, hold_time_sent_target=None, ka_interval=None, ka_multiple=None, ka_timeout=None, ka_timeout_default=None, load_sharing=None, advertise_fecs_for_prefix_list=None, advertise_fecs_for_prefix_list_exists=None, inbound_fecs_filtering_prefix_list=None, inbound_fecs_filtering_prefix_list_exists=None, outbound_fecs_filtering_prefix_list=None, outbound_fecs_filtering_prefix_list_exists=None, tunnel_metric=None, fec_128_used_for_auto_disc_current=None, fec_128_used_for_auto_disc_configured=None, end_of_lib=None, eol_notification_time=None, tx_silence_time=None, rx_silence_time=None, gr_enable=None, gr_helper=None, gr_reconnect_time=None, gr_max_peer_reconnect_time=None, gr_recovery_time=None, gr_max_peer_recovery_time=None, forwarding_state_timer_running=None, forwarding_state_timer_remaining=None, lwd_delay=None, lwd_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_initialized: YANGBool
    :param ldp_initialized: Keyword argument.

    :type lsr_id: unicode
    :param lsr_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsr_id_configured: YANGBool
    :param lsr_id_configured: Keyword argument.

    :type loopback: int
    :param loopback: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type hello_interval_link: long
    :param hello_interval_link: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval_target: long
    :param hello_interval_target: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hold_time_sent_link: long
    :param hold_time_sent_link: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hold_time_sent_target: long
    :param hold_time_sent_target: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ka_interval: long
    :param ka_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ka_multiple: long
    :param ka_multiple: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ka_timeout: long
    :param ka_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ka_timeout_default: YANGBool
    :param ka_timeout_default: Keyword argument.

    :type load_sharing: int
    :param load_sharing: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type advertise_fecs_for_prefix_list: unicode
    :param advertise_fecs_for_prefix_list: Keyword argument.

    :type advertise_fecs_for_prefix_list_exists: YANGBool
    :param advertise_fecs_for_prefix_list_exists: Keyword argument.

    :type inbound_fecs_filtering_prefix_list: unicode
    :param inbound_fecs_filtering_prefix_list: Keyword argument.

    :type inbound_fecs_filtering_prefix_list_exists: YANGBool
    :param inbound_fecs_filtering_prefix_list_exists: Keyword argument.

    :type outbound_fecs_filtering_prefix_list: unicode
    :param outbound_fecs_filtering_prefix_list: Keyword argument.

    :type outbound_fecs_filtering_prefix_list_exists: YANGBool
    :param outbound_fecs_filtering_prefix_list_exists: Keyword argument.

    :type tunnel_metric: int
    :param tunnel_metric: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type fec_128_used_for_auto_disc_current: YANGBool
    :param fec_128_used_for_auto_disc_current: Keyword argument.

    :type fec_128_used_for_auto_disc_configured: YANGBool
    :param fec_128_used_for_auto_disc_configured: Keyword argument.

    :type end_of_lib: YANGBool
    :param end_of_lib: Keyword argument.

    :type eol_notification_time: long
    :param eol_notification_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tx_silence_time: long
    :param tx_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rx_silence_time: long
    :param rx_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gr_enable: YANGBool
    :param gr_enable: Keyword argument.

    :type gr_helper: YANGBool
    :param gr_helper: Keyword argument.

    :type gr_reconnect_time: long
    :param gr_reconnect_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gr_max_peer_reconnect_time: long
    :param gr_max_peer_reconnect_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gr_recovery_time: long
    :param gr_recovery_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gr_max_peer_recovery_time: long
    :param gr_max_peer_recovery_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type forwarding_state_timer_running: YANGBool
    :param forwarding_state_timer_running: Keyword argument.

    :type forwarding_state_timer_remaining: long
    :param forwarding_state_timer_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lwd_delay: long
    :param lwd_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lwd_default: YANGBool
    :param lwd_default: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.ldp": {"forwarding_state_timer_remaining": "forwarding_state_timer_remaining", "fec_128_used_for_auto_disc_configured": "fec_128_used_for_auto_disc_configured", "fec_128_used_for_auto_disc_current": "fec_128_used_for_auto_disc_current", "gr_max_peer_recovery_time": "gr_max_peer_recovery_time", "gr_max_peer_reconnect_time": "gr_max_peer_reconnect_time", "hold_time_sent_target": "hold_time_sent_target", "advertise_fecs_for_prefix_list_exists": "advertise_fecs_for_prefix_list_exists", "end_of_lib": "end_of_lib", "lsr_id_configured": "lsr_id_configured", "lsr_id": "lsr_id", "ka_timeout": "ka_timeout", "ka_interval": "ka_interval", "inbound_fecs_filtering_prefix_list": "inbound_fecs_filtering_prefix_list", "hello_interval_link": "hello_interval_link", "lwd_delay": "lwd_delay", "gr_enable": "gr_enable", "loopback": "loopback", "outbound_fecs_filtering_prefix_list": "outbound_fecs_filtering_prefix_list", "outbound_fecs_filtering_prefix_list_exists": "outbound_fecs_filtering_prefix_list_exists", "inbound_fecs_filtering_prefix_list_exists": "inbound_fecs_filtering_prefix_list_exists", "ldp_initialized": "ldp_initialized", "load_sharing": "load_sharing", "gr_reconnect_time": "gr_reconnect_time", "eol_notification_time": "eol_notification_time", "gr_recovery_time": "gr_recovery_time", "tx_silence_time": "tx_silence_time", "rx_silence_time": "rx_silence_time", "gr_helper": "gr_helper", "tunnel_metric": "tunnel_metric", "hello_interval_target": "hello_interval_target", "hold_time_sent_link": "hold_time_sent_link", "ka_timeout_default": "ka_timeout_default", "ka_multiple": "ka_multiple", "forwarding_state_timer_running": "forwarding_state_timer_running", "lwd_default": "lwd_default", "advertise_fecs_for_prefix_list": "advertise_fecs_for_prefix_list"}, "pybind.slxos.v16r_1_00b.mpls_state.ldp": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_initialized=ldp_initialized, lsr_id=lsr_id, lsr_id_configured=lsr_id_configured, loopback=loopback, hello_interval_link=hello_interval_link, hello_interval_target=hello_interval_target, hold_time_sent_link=hold_time_sent_link, hold_time_sent_target=hold_time_sent_target, ka_interval=ka_interval, ka_multiple=ka_multiple, ka_timeout=ka_timeout, ka_timeout_default=ka_timeout_default, load_sharing=load_sharing, advertise_fecs_for_prefix_list=advertise_fecs_for_prefix_list, advertise_fecs_for_prefix_list_exists=advertise_fecs_for_prefix_list_exists, inbound_fecs_filtering_prefix_list=inbound_fecs_filtering_prefix_list, inbound_fecs_filtering_prefix_list_exists=inbound_fecs_filtering_prefix_list_exists, outbound_fecs_filtering_prefix_list=outbound_fecs_filtering_prefix_list, outbound_fecs_filtering_prefix_list_exists=outbound_fecs_filtering_prefix_list_exists, tunnel_metric=tunnel_metric, fec_128_used_for_auto_disc_current=fec_128_used_for_auto_disc_current, fec_128_used_for_auto_disc_configured=fec_128_used_for_auto_disc_configured, end_of_lib=end_of_lib, eol_notification_time=eol_notification_time, tx_silence_time=tx_silence_time, rx_silence_time=rx_silence_time, gr_enable=gr_enable, gr_helper=gr_helper, gr_reconnect_time=gr_reconnect_time, gr_max_peer_reconnect_time=gr_max_peer_reconnect_time, gr_recovery_time=gr_recovery_time, gr_max_peer_recovery_time=gr_max_peer_recovery_time, forwarding_state_timer_running=forwarding_state_timer_running, forwarding_state_timer_remaining=forwarding_state_timer_remaining, lwd_delay=lwd_delay, lwd_default=lwd_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_initialized=ldp_initialized, lsr_id=lsr_id, lsr_id_configured=lsr_id_configured, loopback=loopback, hello_interval_link=hello_interval_link, hello_interval_target=hello_interval_target, hold_time_sent_link=hold_time_sent_link, hold_time_sent_target=hold_time_sent_target, ka_interval=ka_interval, ka_multiple=ka_multiple, ka_timeout=ka_timeout, ka_timeout_default=ka_timeout_default, load_sharing=load_sharing, advertise_fecs_for_prefix_list=advertise_fecs_for_prefix_list, advertise_fecs_for_prefix_list_exists=advertise_fecs_for_prefix_list_exists, inbound_fecs_filtering_prefix_list=inbound_fecs_filtering_prefix_list, inbound_fecs_filtering_prefix_list_exists=inbound_fecs_filtering_prefix_list_exists, outbound_fecs_filtering_prefix_list=outbound_fecs_filtering_prefix_list, outbound_fecs_filtering_prefix_list_exists=outbound_fecs_filtering_prefix_list_exists, tunnel_metric=tunnel_metric, fec_128_used_for_auto_disc_current=fec_128_used_for_auto_disc_current, fec_128_used_for_auto_disc_configured=fec_128_used_for_auto_disc_configured, end_of_lib=end_of_lib, eol_notification_time=eol_notification_time, tx_silence_time=tx_silence_time, rx_silence_time=rx_silence_time, gr_enable=gr_enable, gr_helper=gr_helper, gr_reconnect_time=gr_reconnect_time, gr_max_peer_reconnect_time=gr_max_peer_reconnect_time, gr_recovery_time=gr_recovery_time, gr_max_peer_recovery_time=gr_max_peer_recovery_time, forwarding_state_timer_running=forwarding_state_timer_running, forwarding_state_timer_remaining=forwarding_state_timer_remaining, lwd_delay=lwd_delay, lwd_default=lwd_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_advertise_fecs_for_prefix_list_update(self, advertise_fecs_for_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type advertise_fecs_for_prefix_list: unicode
    :param advertise_fecs_for_prefix_list: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, advertise_fecs_for_prefix_list=advertise_fecs_for_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, advertise_fecs_for_prefix_list=advertise_fecs_for_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_advertise_fecs_for_prefix_list_exists_update(self, advertise_fecs_for_prefix_list_exists=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type advertise_fecs_for_prefix_list_exists: YANGBool
    :param advertise_fecs_for_prefix_list_exists: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, advertise_fecs_for_prefix_list_exists=advertise_fecs_for_prefix_list_exists)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, advertise_fecs_for_prefix_list_exists=advertise_fecs_for_prefix_list_exists)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_end_of_lib_update(self, end_of_lib=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type end_of_lib: YANGBool
    :param end_of_lib: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, end_of_lib=end_of_lib)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, end_of_lib=end_of_lib)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_eol_notification_time_update(self, eol_notification_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type eol_notification_time: long
    :param eol_notification_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, eol_notification_time=eol_notification_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, eol_notification_time=eol_notification_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_128_used_for_auto_disc_configured_update(self, fec_128_used_for_auto_disc_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type fec_128_used_for_auto_disc_configured: YANGBool
    :param fec_128_used_for_auto_disc_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fec_128_used_for_auto_disc_configured=fec_128_used_for_auto_disc_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fec_128_used_for_auto_disc_configured=fec_128_used_for_auto_disc_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_128_used_for_auto_disc_current_update(self, fec_128_used_for_auto_disc_current=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type fec_128_used_for_auto_disc_current: YANGBool
    :param fec_128_used_for_auto_disc_current: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fec_128_used_for_auto_disc_current=fec_128_used_for_auto_disc_current)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fec_128_used_for_auto_disc_current=fec_128_used_for_auto_disc_current)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_update(self, ldp_fec_prefix_longer=None, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type type: int
    :param type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type prefix_len: int
    :param prefix_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type inet_addr_type: int
    :param inet_addr_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type inet_addr_len: int
    :param inet_addr_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type inet_addr: unicode
    :param inet_addr: Keyword argument.

    :type vc_ldp_peer_id: unicode
    :param vc_ldp_peer_id: Keyword argument.

    :type data_fec_type: int
    :param data_fec_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_type: int
    :param vc_type: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type vc_control_word_config: int
    :param vc_control_word_config: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_use_control_word: int
    :param vc_use_control_word: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_group_id: long
    :param vc_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_id: long
    :param vc_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_agi_offset: int
    :param vc_agi_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_agi_len: int
    :param vc_agi_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_saii_offset: int
    :param vc_saii_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_saii_len: int
    :param vc_saii_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_taii_offset: int
    :param vc_taii_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_taii_len: int
    :param vc_taii_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_gen_id_size: int
    :param vc_gen_id_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type vc_gen_id: unicode
    :param vc_gen_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_data_fec_type_update(self, ldp_fec_prefix_longer=None, data_fec_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type data_fec_type: int
    :param data_fec_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, data_fec_type=data_fec_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, data_fec_type=data_fec_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_inet_addr_update(self, ldp_fec_prefix_longer=None, inet_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type inet_addr: unicode
    :param inet_addr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, inet_addr=inet_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, inet_addr=inet_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_inet_addr_len_update(self, ldp_fec_prefix_longer=None, inet_addr_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type inet_addr_len: int
    :param inet_addr_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, inet_addr_len=inet_addr_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, inet_addr_len=inet_addr_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_inet_addr_type_update(self, ldp_fec_prefix_longer=None, inet_addr_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type inet_addr_type: int
    :param inet_addr_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, inet_addr_type=inet_addr_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, inet_addr_type=inet_addr_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_prefix_len_update(self, ldp_fec_prefix_longer=None, prefix_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type prefix_len: int
    :param prefix_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_len=prefix_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_len=prefix_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_type_update(self, ldp_fec_prefix_longer=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type type: int
    :param type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_agi_len_update(self, ldp_fec_prefix_longer=None, vc_agi_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_agi_len: int
    :param vc_agi_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_agi_len=vc_agi_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_agi_len=vc_agi_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_agi_offset_update(self, ldp_fec_prefix_longer=None, vc_agi_offset=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_agi_offset: int
    :param vc_agi_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_agi_offset=vc_agi_offset)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_agi_offset=vc_agi_offset)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_control_word_config_update(self, ldp_fec_prefix_longer=None, vc_control_word_config=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_control_word_config: int
    :param vc_control_word_config: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_control_word_config=vc_control_word_config)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_control_word_config=vc_control_word_config)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_gen_id_update(self, ldp_fec_prefix_longer=None, vc_gen_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_gen_id: unicode
    :param vc_gen_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_gen_id=vc_gen_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_gen_id=vc_gen_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_gen_id_size_update(self, ldp_fec_prefix_longer=None, vc_gen_id_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_gen_id_size: int
    :param vc_gen_id_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_gen_id_size=vc_gen_id_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_gen_id_size=vc_gen_id_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_group_id_update(self, ldp_fec_prefix_longer=None, vc_group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_group_id: long
    :param vc_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_group_id=vc_group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_group_id=vc_group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_id_update(self, ldp_fec_prefix_longer=None, vc_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_id: long
    :param vc_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_id=vc_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_id=vc_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_ldp_peer_id_update(self, ldp_fec_prefix_longer=None, vc_ldp_peer_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_ldp_peer_id: unicode
    :param vc_ldp_peer_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_ldp_peer_id=vc_ldp_peer_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_ldp_peer_id=vc_ldp_peer_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_saii_len_update(self, ldp_fec_prefix_longer=None, vc_saii_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_saii_len: int
    :param vc_saii_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_saii_len=vc_saii_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_saii_len=vc_saii_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_saii_offset_update(self, ldp_fec_prefix_longer=None, vc_saii_offset=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_saii_offset: int
    :param vc_saii_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_saii_offset=vc_saii_offset)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_saii_offset=vc_saii_offset)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_taii_len_update(self, ldp_fec_prefix_longer=None, vc_taii_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_taii_len: int
    :param vc_taii_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_taii_len=vc_taii_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_taii_len=vc_taii_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_taii_offset_update(self, ldp_fec_prefix_longer=None, vc_taii_offset=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_taii_offset: int
    :param vc_taii_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_taii_offset=vc_taii_offset)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_taii_offset=vc_taii_offset)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_type_update(self, ldp_fec_prefix_longer=None, vc_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_type: int
    :param vc_type: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_type=vc_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_type=vc_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_vc_use_control_word_update(self, ldp_fec_prefix_longer=None, vc_use_control_word=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Argument(s)**:

    :type vc_use_control_word: int
    :param vc_use_control_word: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_use_control_word=vc_use_control_word)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, vc_use_control_word=vc_use_control_word)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_feccb=None, prefix_idx=None, prefix_type=None, prefix_pend_notif=None, prefix_state=None, prefix_ingress=None, prefix_egress=None, prefix_um_dist_done=None, prefix_lwd=None, prefix_lwd_started=None, prefix_is_ldp_o_rsvp=None, prefix_excess_dms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_feccb: long
    :param prefix_feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_idx: long
    :param prefix_idx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_type: long
    :param prefix_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_pend_notif: unicode
    :param prefix_pend_notif: Keyword argument.

    :type prefix_state: unicode
    :param prefix_state: Keyword argument.

    :type prefix_ingress: unicode
    :param prefix_ingress: Keyword argument.

    :type prefix_egress: unicode
    :param prefix_egress: Keyword argument.

    :type prefix_um_dist_done: unicode
    :param prefix_um_dist_done: Keyword argument.

    :type prefix_lwd: unicode
    :param prefix_lwd: Keyword argument.

    :type prefix_lwd_started: unicode
    :param prefix_lwd_started: Keyword argument.

    :type prefix_is_ldp_o_rsvp: YANGBool
    :param prefix_is_ldp_o_rsvp: Keyword argument.

    :type prefix_excess_dms: YANGBool
    :param prefix_excess_dms: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_feccb=prefix_feccb, prefix_idx=prefix_idx, prefix_type=prefix_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, prefix_lwd=prefix_lwd, prefix_lwd_started=prefix_lwd_started, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp, prefix_excess_dms=prefix_excess_dms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_feccb=prefix_feccb, prefix_idx=prefix_idx, prefix_type=prefix_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, prefix_lwd=prefix_lwd, prefix_lwd_started=prefix_lwd_started, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp, prefix_excess_dms=prefix_excess_dms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_fec_dm_state_dw_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_fec_filtered_state_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, fec_filtered_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, fec_filtered_state=fec_filtered_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, fec_filtered_state=fec_filtered_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_fec_stale_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, fec_stale=fec_stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, fec_stale=fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_feccb_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, feccb=feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, feccb=feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_label_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_local_ldp_lblspc_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, local_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_peer_ldp_id_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, peer_ldp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, peer_ldp_id=peer_ldp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, peer_ldp_id=peer_ldp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_peer_ldp_lblspc_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, peer_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, peer_ldp_lblspc=peer_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, peer_ldp_lblspc=peer_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_state_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_egress_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_egress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_egress: unicode
    :param prefix_egress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_egress=prefix_egress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_egress=prefix_egress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_excess_dms_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_excess_dms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_excess_dms: YANGBool
    :param prefix_excess_dms: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_excess_dms=prefix_excess_dms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_excess_dms=prefix_excess_dms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_feccb_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_feccb: long
    :param prefix_feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_feccb=prefix_feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_feccb=prefix_feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_idx_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_idx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_idx: long
    :param prefix_idx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_idx=prefix_idx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_idx=prefix_idx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_ingress_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_ingress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_ingress: unicode
    :param prefix_ingress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_ingress=prefix_ingress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_ingress=prefix_ingress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_is_ldp_o_rsvp_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_is_ldp_o_rsvp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_is_ldp_o_rsvp: YANGBool
    :param prefix_is_ldp_o_rsvp: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_lwd_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_lwd: unicode
    :param prefix_lwd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_lwd=prefix_lwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_lwd=prefix_lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_lwd_started_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_lwd_started=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_lwd_started: unicode
    :param prefix_lwd_started: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_lwd_started=prefix_lwd_started)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_lwd_started=prefix_lwd_started)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_nexthops_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_nexthops: nexthop
    :param prefix_nexthops: Keyword argument tuple.

    :type nexthop: unicode
    :param nexthop: **prefix_nexthops** tuple argument.

    **Instance Argument(s)**:

    :type out_intf: unicode
    :param out_intf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_nexthops=prefix_nexthops, out_intf=out_intf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_nexthops=prefix_nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_nexthops_out_intf_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_nexthops: nexthop
    :param prefix_nexthops: Keyword argument tuple.

    :type nexthop: unicode
    :param nexthop: **prefix_nexthops** tuple argument.

    **Instance Argument(s)**:

    :type out_intf: unicode
    :param out_intf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_nexthops=prefix_nexthops, out_intf=out_intf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_nexthops=prefix_nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_pend_notif_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_pend_notif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_pend_notif: unicode
    :param prefix_pend_notif: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_pend_notif=prefix_pend_notif)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_pend_notif=prefix_pend_notif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_state_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_state: unicode
    :param prefix_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_state=prefix_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_state=prefix_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_type_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_type: long
    :param prefix_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_type=prefix_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_type=prefix_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_um_dist_done_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_um_dist_done=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_um_dist_done: unicode
    :param prefix_um_dist_done: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_um_dist_done=prefix_um_dist_done)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_um_dist_done=prefix_um_dist_done)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_fec_dm_state_dw_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_fec_filtered_state_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, fec_filtered_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, fec_filtered_state=fec_filtered_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, fec_filtered_state=fec_filtered_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_fec_stale_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, fec_stale=fec_stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, fec_stale=fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_feccb_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, feccb=feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, feccb=feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_label_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_local_ldp_lblspc_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, local_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_peer_ldp_id_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, peer_ldp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, peer_ldp_id=peer_ldp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, peer_ldp_id=peer_ldp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_peer_ldp_lblspc_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, peer_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, peer_ldp_lblspc=peer_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, peer_ldp_lblspc=peer_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_state_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_update(self, prefix=None, prefix_feccb=None, prefix_idx=None, prefix_type=None, prefix_pend_notif=None, prefix_state=None, prefix_ingress=None, prefix_egress=None, prefix_um_dist_done=None, prefix_lwd=None, prefix_lwd_started=None, prefix_is_ldp_o_rsvp=None, prefix_excess_dms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix: unicode
    :param prefix: Keyword argument.

    :type prefix_feccb: long
    :param prefix_feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_idx: long
    :param prefix_idx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_type: long
    :param prefix_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_pend_notif: unicode
    :param prefix_pend_notif: Keyword argument.

    :type prefix_state: unicode
    :param prefix_state: Keyword argument.

    :type prefix_ingress: unicode
    :param prefix_ingress: Keyword argument.

    :type prefix_egress: unicode
    :param prefix_egress: Keyword argument.

    :type prefix_um_dist_done: unicode
    :param prefix_um_dist_done: Keyword argument.

    :type prefix_lwd: unicode
    :param prefix_lwd: Keyword argument.

    :type prefix_lwd_started: unicode
    :param prefix_lwd_started: Keyword argument.

    :type prefix_is_ldp_o_rsvp: YANGBool
    :param prefix_is_ldp_o_rsvp: Keyword argument.

    :type prefix_excess_dms: YANGBool
    :param prefix_excess_dms: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix=prefix, prefix_feccb=prefix_feccb, prefix_idx=prefix_idx, prefix_type=prefix_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, prefix_lwd=prefix_lwd, prefix_lwd_started=prefix_lwd_started, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp, prefix_excess_dms=prefix_excess_dms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix=prefix, prefix_feccb=prefix_feccb, prefix_idx=prefix_idx, prefix_type=prefix_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, prefix_lwd=prefix_lwd, prefix_lwd_started=prefix_lwd_started, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp, prefix_excess_dms=prefix_excess_dms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_update(self, prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix: unicode
    :param prefix: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix=prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix=prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_update(self, prefix_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_fec_dm_state_dw_update(self, prefix_downstream=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_downstream=prefix_downstream, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_downstream=prefix_downstream, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_fec_filtered_state_update(self, prefix_downstream=None, fec_filtered_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_downstream=prefix_downstream, fec_filtered_state=fec_filtered_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_downstream=prefix_downstream, fec_filtered_state=fec_filtered_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_fec_stale_update(self, prefix_downstream=None, fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_downstream=prefix_downstream, fec_stale=fec_stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_downstream=prefix_downstream, fec_stale=fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_feccb_update(self, prefix_downstream=None, feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_downstream=prefix_downstream, feccb=feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_downstream=prefix_downstream, feccb=feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_label_update(self, prefix_downstream=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_downstream=prefix_downstream, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_downstream=prefix_downstream, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_local_ldp_lblspc_update(self, prefix_downstream=None, local_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_peer_ldp_id_update(self, prefix_downstream=None, peer_ldp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_downstream=prefix_downstream, peer_ldp_id=peer_ldp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_downstream=prefix_downstream, peer_ldp_id=peer_ldp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_peer_ldp_lblspc_update(self, prefix_downstream=None, peer_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_downstream=prefix_downstream, peer_ldp_lblspc=peer_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_downstream=prefix_downstream, peer_ldp_lblspc=peer_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_state_update(self, prefix_downstream=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_downstream=prefix_downstream, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_downstream=prefix_downstream, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_egress_update(self, prefix_egress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_egress: unicode
    :param prefix_egress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_egress=prefix_egress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_egress=prefix_egress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_excess_dms_update(self, prefix_excess_dms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_excess_dms: YANGBool
    :param prefix_excess_dms: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_excess_dms=prefix_excess_dms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_excess_dms=prefix_excess_dms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_feccb_update(self, prefix_feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_feccb: long
    :param prefix_feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_feccb=prefix_feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_feccb=prefix_feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_idx_update(self, prefix_idx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_idx: long
    :param prefix_idx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_idx=prefix_idx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_idx=prefix_idx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_ingress_update(self, prefix_ingress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_ingress: unicode
    :param prefix_ingress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_ingress=prefix_ingress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_ingress=prefix_ingress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_is_ldp_o_rsvp_update(self, prefix_is_ldp_o_rsvp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_is_ldp_o_rsvp: YANGBool
    :param prefix_is_ldp_o_rsvp: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_lwd_update(self, prefix_lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_lwd: unicode
    :param prefix_lwd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_lwd=prefix_lwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_lwd=prefix_lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_lwd_started_update(self, prefix_lwd_started=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_lwd_started: unicode
    :param prefix_lwd_started: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_lwd_started=prefix_lwd_started)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_lwd_started=prefix_lwd_started)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_nexthops_update(self, prefix_nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_nexthops: nexthop
    :param prefix_nexthops: Keyword argument tuple.

    :type nexthop: unicode
    :param nexthop: **prefix_nexthops** tuple argument.

    **Instance Argument(s)**:

    :type out_intf: unicode
    :param out_intf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_nexthops=prefix_nexthops, out_intf=out_intf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_nexthops=prefix_nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_nexthops_out_intf_update(self, prefix_nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_nexthops: nexthop
    :param prefix_nexthops: Keyword argument tuple.

    :type nexthop: unicode
    :param nexthop: **prefix_nexthops** tuple argument.

    **Instance Argument(s)**:

    :type out_intf: unicode
    :param out_intf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_nexthops=prefix_nexthops, out_intf=out_intf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_nexthops=prefix_nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_pend_notif_update(self, prefix_pend_notif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_pend_notif: unicode
    :param prefix_pend_notif: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_pend_notif=prefix_pend_notif)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_pend_notif=prefix_pend_notif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_state_update(self, prefix_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_state: unicode
    :param prefix_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_state=prefix_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_state=prefix_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_type_update(self, prefix_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_type: long
    :param prefix_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_type=prefix_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_type=prefix_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_um_dist_done_update(self, prefix_um_dist_done=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_um_dist_done: unicode
    :param prefix_um_dist_done: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_um_dist_done=prefix_um_dist_done)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_um_dist_done=prefix_um_dist_done)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_update(self, prefix_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_fec_dm_state_dw_update(self, prefix_upstream=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_upstream=prefix_upstream, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_upstream=prefix_upstream, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_fec_filtered_state_update(self, prefix_upstream=None, fec_filtered_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_upstream=prefix_upstream, fec_filtered_state=fec_filtered_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_upstream=prefix_upstream, fec_filtered_state=fec_filtered_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_fec_stale_update(self, prefix_upstream=None, fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_upstream=prefix_upstream, fec_stale=fec_stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_upstream=prefix_upstream, fec_stale=fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_feccb_update(self, prefix_upstream=None, feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_upstream=prefix_upstream, feccb=feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_upstream=prefix_upstream, feccb=feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_label_update(self, prefix_upstream=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_upstream=prefix_upstream, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_upstream=prefix_upstream, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_local_ldp_lblspc_update(self, prefix_upstream=None, local_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_peer_ldp_id_update(self, prefix_upstream=None, peer_ldp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_upstream=prefix_upstream, peer_ldp_id=peer_ldp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_upstream=prefix_upstream, peer_ldp_id=peer_ldp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_peer_ldp_lblspc_update(self, prefix_upstream=None, peer_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_upstream=prefix_upstream, peer_ldp_lblspc=peer_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_upstream=prefix_upstream, peer_ldp_lblspc=peer_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_state_update(self, prefix_upstream=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_upstream=prefix_upstream, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_upstream=prefix_upstream, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_update(self, tot_no_of_prefix_fec=None, tot_no_of_prefix_fec_installed=None, tot_no_of_prefix_fec_filtered=None, tot_no_of_prefix_fec_lwd=None, filtered=None, prefix_filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_prefix_fec: long
    :param tot_no_of_prefix_fec: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tot_no_of_prefix_fec_installed: long
    :param tot_no_of_prefix_fec_installed: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tot_no_of_prefix_fec_filtered: long
    :param tot_no_of_prefix_fec_filtered: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tot_no_of_prefix_fec_lwd: long
    :param tot_no_of_prefix_fec_lwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type filtered: unicode
    :param filtered: Keyword argument.

        * enumeration restriction: ::

            ['filtered', 'filtered-in', 'filtered-out']

    :type prefix_filtered: unicode
    :param prefix_filtered: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_prefix_fec=tot_no_of_prefix_fec, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered, tot_no_of_prefix_fec_lwd=tot_no_of_prefix_fec_lwd, filtered=filtered, prefix_filtered=prefix_filtered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_prefix_fec=tot_no_of_prefix_fec, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered, tot_no_of_prefix_fec_lwd=tot_no_of_prefix_fec_lwd, filtered=filtered, prefix_filtered=prefix_filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_filtered_update(self, filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type filtered: unicode
    :param filtered: Keyword argument.

        * enumeration restriction: ::

            ['filtered', 'filtered-in', 'filtered-out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, filtered=filtered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, filtered=filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_update(self, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type type: int
    :param type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type prefix_len: int
    :param prefix_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type inet_addr_type: int
    :param inet_addr_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type inet_addr_len: int
    :param inet_addr_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type inet_addr: unicode
    :param inet_addr: Keyword argument.

    :type vc_ldp_peer_id: unicode
    :param vc_ldp_peer_id: Keyword argument.

    :type data_fec_type: int
    :param data_fec_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_type: int
    :param vc_type: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type vc_control_word_config: int
    :param vc_control_word_config: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_use_control_word: int
    :param vc_use_control_word: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_group_id: long
    :param vc_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_id: long
    :param vc_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_agi_offset: int
    :param vc_agi_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_agi_len: int
    :param vc_agi_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_saii_offset: int
    :param vc_saii_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_saii_len: int
    :param vc_saii_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_taii_offset: int
    :param vc_taii_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_taii_len: int
    :param vc_taii_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_gen_id_size: int
    :param vc_gen_id_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type vc_gen_id: unicode
    :param vc_gen_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_data_fec_type_update(self, data_fec_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type data_fec_type: int
    :param data_fec_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, data_fec_type=data_fec_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, data_fec_type=data_fec_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_inet_addr_update(self, inet_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type inet_addr: unicode
    :param inet_addr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inet_addr=inet_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inet_addr=inet_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_inet_addr_len_update(self, inet_addr_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type inet_addr_len: int
    :param inet_addr_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inet_addr_len=inet_addr_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inet_addr_len=inet_addr_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_inet_addr_type_update(self, inet_addr_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type inet_addr_type: int
    :param inet_addr_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inet_addr_type=inet_addr_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inet_addr_type=inet_addr_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_prefix_len_update(self, prefix_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_len: int
    :param prefix_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_len=prefix_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_len=prefix_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_type_update(self, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type type: int
    :param type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_agi_len_update(self, vc_agi_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_agi_len: int
    :param vc_agi_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_agi_len=vc_agi_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_agi_len=vc_agi_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_agi_offset_update(self, vc_agi_offset=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_agi_offset: int
    :param vc_agi_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_agi_offset=vc_agi_offset)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_agi_offset=vc_agi_offset)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_control_word_config_update(self, vc_control_word_config=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_control_word_config: int
    :param vc_control_word_config: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_control_word_config=vc_control_word_config)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_control_word_config=vc_control_word_config)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_gen_id_update(self, vc_gen_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_gen_id: unicode
    :param vc_gen_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_gen_id=vc_gen_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_gen_id=vc_gen_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_gen_id_size_update(self, vc_gen_id_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_gen_id_size: int
    :param vc_gen_id_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_gen_id_size=vc_gen_id_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_gen_id_size=vc_gen_id_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_group_id_update(self, vc_group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_group_id: long
    :param vc_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_group_id=vc_group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_group_id=vc_group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_id_update(self, vc_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_id: long
    :param vc_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_id=vc_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_id=vc_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_ldp_peer_id_update(self, vc_ldp_peer_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_ldp_peer_id: unicode
    :param vc_ldp_peer_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_ldp_peer_id=vc_ldp_peer_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_ldp_peer_id=vc_ldp_peer_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_saii_len_update(self, vc_saii_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_saii_len: int
    :param vc_saii_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_saii_len=vc_saii_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_saii_len=vc_saii_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_saii_offset_update(self, vc_saii_offset=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_saii_offset: int
    :param vc_saii_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_saii_offset=vc_saii_offset)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_saii_offset=vc_saii_offset)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_taii_len_update(self, vc_taii_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_taii_len: int
    :param vc_taii_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_taii_len=vc_taii_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_taii_len=vc_taii_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_taii_offset_update(self, vc_taii_offset=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_taii_offset: int
    :param vc_taii_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_taii_offset=vc_taii_offset)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_taii_offset=vc_taii_offset)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_type_update(self, vc_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_type: int
    :param vc_type: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_type=vc_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_type=vc_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_vc_use_control_word_update(self, vc_use_control_word=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_use_control_word: int
    :param vc_use_control_word: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_use_control_word=vc_use_control_word)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_use_control_word=vc_use_control_word)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_update(self, prefix=None, state=None, ingress=None, egress=None, filtered=None, lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix: destination
    :param prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **prefix** tuple argument.

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type ingress: unicode
    :param ingress: Keyword argument.

    :type egress: unicode
    :param egress: Keyword argument.

    :type filtered: unicode
    :param filtered: Keyword argument.

    :type lwd: unicode
    :param lwd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix=prefix, state=state, ingress=ingress, egress=egress, filtered=filtered, lwd=lwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix=prefix, state=state, ingress=ingress, egress=egress, filtered=filtered, lwd=lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_egress_update(self, prefix=None, egress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix: destination
    :param prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **prefix** tuple argument.

    **Instance Argument(s)**:

    :type egress: unicode
    :param egress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix=prefix, egress=egress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix=prefix, egress=egress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_filtered_update(self, prefix_filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_filtered: unicode
    :param prefix_filtered: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_filtered=prefix_filtered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_filtered=prefix_filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_filtered_prefix_update(self, prefix=None, filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix: destination
    :param prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **prefix** tuple argument.

    **Instance Argument(s)**:

    :type filtered: unicode
    :param filtered: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix=prefix, filtered=filtered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix=prefix, filtered=filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_ingress_update(self, prefix=None, ingress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix: destination
    :param prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **prefix** tuple argument.

    **Instance Argument(s)**:

    :type ingress: unicode
    :param ingress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix=prefix, ingress=ingress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix=prefix, ingress=ingress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_lwd_update(self, prefix=None, lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix: destination
    :param prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **prefix** tuple argument.

    **Instance Argument(s)**:

    :type lwd: unicode
    :param lwd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix=prefix, lwd=lwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix=prefix, lwd=lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_nexthops_update(self, prefix=None, nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type prefix: destination
    :param prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type nexthops: nexthop
    :param nexthops: Keyword argument tuple.

    :type nexthop: unicode
    :param nexthop: **nexthops** tuple argument.

    **Instance Argument(s)**:

    :type out_intf: unicode
    :param out_intf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix.nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix=prefix, nexthops=nexthops, out_intf=out_intf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix=prefix, nexthops=nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_nexthops_out_intf_update(self, prefix=None, nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type prefix: destination
    :param prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type nexthops: nexthop
    :param nexthops: Keyword argument tuple.

    :type nexthop: unicode
    :param nexthop: **nexthops** tuple argument.

    **Instance Argument(s)**:

    :type out_intf: unicode
    :param out_intf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix.nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix=prefix, nexthops=nexthops, out_intf=out_intf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix=prefix, nexthops=nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_state_update(self, prefix=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix: destination
    :param prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **prefix** tuple argument.

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix=prefix, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix=prefix, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_tot_no_of_prefix_fec_update(self, tot_no_of_prefix_fec=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_prefix_fec: long
    :param tot_no_of_prefix_fec: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_prefix_fec=tot_no_of_prefix_fec)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_prefix_fec=tot_no_of_prefix_fec)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_tot_no_of_prefix_fec_filtered_update(self, tot_no_of_prefix_fec_filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_prefix_fec_filtered: long
    :param tot_no_of_prefix_fec_filtered: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_tot_no_of_prefix_fec_installed_update(self, tot_no_of_prefix_fec_installed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_prefix_fec_installed: long
    :param tot_no_of_prefix_fec_installed: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_tot_no_of_prefix_fec_lwd_update(self, tot_no_of_prefix_fec_lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_prefix_fec_lwd: long
    :param tot_no_of_prefix_fec_lwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_prefix_fec_lwd=tot_no_of_prefix_fec_lwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_prefix_fec_lwd=tot_no_of_prefix_fec_lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_summary_update(self, tot_no_of_prefix_fec=None, tot_no_of_prefix_fec_installed=None, tot_no_of_prefix_fec_filtered=None, tot_no_of_vc_fec_128=None, tot_no_of_vc_fec_129=None, tot_no_of_vc_fec_installed=None, tot_no_of_route_upd_proc_errors=None, tot_no_of_vc_fec_proc_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_prefix_fec: long
    :param tot_no_of_prefix_fec: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tot_no_of_prefix_fec_installed: long
    :param tot_no_of_prefix_fec_installed: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tot_no_of_prefix_fec_filtered: long
    :param tot_no_of_prefix_fec_filtered: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tot_no_of_vc_fec_128: long
    :param tot_no_of_vc_fec_128: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tot_no_of_vc_fec_129: long
    :param tot_no_of_vc_fec_129: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tot_no_of_vc_fec_installed: long
    :param tot_no_of_vc_fec_installed: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tot_no_of_route_upd_proc_errors: long
    :param tot_no_of_route_upd_proc_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tot_no_of_vc_fec_proc_errors: long
    :param tot_no_of_vc_fec_proc_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_prefix_fec=tot_no_of_prefix_fec, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered, tot_no_of_vc_fec_128=tot_no_of_vc_fec_128, tot_no_of_vc_fec_129=tot_no_of_vc_fec_129, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed, tot_no_of_route_upd_proc_errors=tot_no_of_route_upd_proc_errors, tot_no_of_vc_fec_proc_errors=tot_no_of_vc_fec_proc_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_prefix_fec=tot_no_of_prefix_fec, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered, tot_no_of_vc_fec_128=tot_no_of_vc_fec_128, tot_no_of_vc_fec_129=tot_no_of_vc_fec_129, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed, tot_no_of_route_upd_proc_errors=tot_no_of_route_upd_proc_errors, tot_no_of_vc_fec_proc_errors=tot_no_of_vc_fec_proc_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_summary_tot_no_of_prefix_fec_update(self, tot_no_of_prefix_fec=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_prefix_fec: long
    :param tot_no_of_prefix_fec: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_prefix_fec=tot_no_of_prefix_fec)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_prefix_fec=tot_no_of_prefix_fec)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_summary_tot_no_of_prefix_fec_filtered_update(self, tot_no_of_prefix_fec_filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_prefix_fec_filtered: long
    :param tot_no_of_prefix_fec_filtered: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_summary_tot_no_of_prefix_fec_installed_update(self, tot_no_of_prefix_fec_installed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_prefix_fec_installed: long
    :param tot_no_of_prefix_fec_installed: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_summary_tot_no_of_route_upd_proc_errors_update(self, tot_no_of_route_upd_proc_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_route_upd_proc_errors: long
    :param tot_no_of_route_upd_proc_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_route_upd_proc_errors=tot_no_of_route_upd_proc_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_route_upd_proc_errors=tot_no_of_route_upd_proc_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_summary_tot_no_of_vc_fec_128_update(self, tot_no_of_vc_fec_128=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_vc_fec_128: long
    :param tot_no_of_vc_fec_128: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_vc_fec_128=tot_no_of_vc_fec_128)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_vc_fec_128=tot_no_of_vc_fec_128)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_summary_tot_no_of_vc_fec_129_update(self, tot_no_of_vc_fec_129=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_vc_fec_129: long
    :param tot_no_of_vc_fec_129: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_vc_fec_129=tot_no_of_vc_fec_129)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_vc_fec_129=tot_no_of_vc_fec_129)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_summary_tot_no_of_vc_fec_installed_update(self, tot_no_of_vc_fec_installed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_vc_fec_installed: long
    :param tot_no_of_vc_fec_installed: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_summary_tot_no_of_vc_fec_proc_errors_update(self, tot_no_of_vc_fec_proc_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_vc_fec_proc_errors: long
    :param tot_no_of_vc_fec_proc_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_vc_fec_proc_errors=tot_no_of_vc_fec_proc_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_vc_fec_proc_errors=tot_no_of_vc_fec_proc_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_update(self, ldp_fec_vcid=None, vc_feccb=None, vc_idx=None, vc_fec_type=None, prefix_pend_notif=None, prefix_state=None, prefix_ingress=None, prefix_egress=None, prefix_um_dist_done=None, vc_type=None, vc_grp_id=None, vc_local_mtu=None, vc_remote_mtu=None, vc_mtu_enforcement=None, vc_agi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_feccb: long
    :param vc_feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_idx: long
    :param vc_idx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_fec_type: long
    :param vc_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_pend_notif: unicode
    :param prefix_pend_notif: Keyword argument.

    :type prefix_state: unicode
    :param prefix_state: Keyword argument.

    :type prefix_ingress: unicode
    :param prefix_ingress: Keyword argument.

    :type prefix_egress: unicode
    :param prefix_egress: Keyword argument.

    :type prefix_um_dist_done: unicode
    :param prefix_um_dist_done: Keyword argument.

    :type vc_type: long
    :param vc_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_grp_id: long
    :param vc_grp_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_local_mtu: long
    :param vc_local_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_mtu: long
    :param vc_remote_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_mtu_enforcement: long
    :param vc_mtu_enforcement: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_agi: unicode
    :param vc_agi: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_feccb=vc_feccb, vc_idx=vc_idx, vc_fec_type=vc_fec_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, vc_type=vc_type, vc_grp_id=vc_grp_id, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_mtu_enforcement=vc_mtu_enforcement, vc_agi=vc_agi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_feccb=vc_feccb, vc_idx=vc_idx, vc_fec_type=vc_fec_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, vc_type=vc_type, vc_grp_id=vc_grp_id, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_mtu_enforcement=vc_mtu_enforcement, vc_agi=vc_agi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_prefix_egress_update(self, ldp_fec_vcid=None, prefix_egress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type prefix_egress: unicode
    :param prefix_egress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, prefix_egress=prefix_egress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, prefix_egress=prefix_egress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_prefix_ingress_update(self, ldp_fec_vcid=None, prefix_ingress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type prefix_ingress: unicode
    :param prefix_ingress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, prefix_ingress=prefix_ingress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, prefix_ingress=prefix_ingress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_prefix_pend_notif_update(self, ldp_fec_vcid=None, prefix_pend_notif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type prefix_pend_notif: unicode
    :param prefix_pend_notif: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, prefix_pend_notif=prefix_pend_notif)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, prefix_pend_notif=prefix_pend_notif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_prefix_state_update(self, ldp_fec_vcid=None, prefix_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type prefix_state: unicode
    :param prefix_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, prefix_state=prefix_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, prefix_state=prefix_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_prefix_um_dist_done_update(self, ldp_fec_vcid=None, prefix_um_dist_done=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type prefix_um_dist_done: unicode
    :param prefix_um_dist_done: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, prefix_um_dist_done=prefix_um_dist_done)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, prefix_um_dist_done=prefix_um_dist_done)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_agi_update(self, ldp_fec_vcid=None, vc_agi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_agi: unicode
    :param vc_agi: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_agi=vc_agi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_agi=vc_agi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_update(self, ldp_fec_vcid=None, vc_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_fec_dm_state_dw_update(self, ldp_fec_vcid=None, vc_downstream=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_fec_filtered_state_update(self, ldp_fec_vcid=None, vc_downstream=None, fec_filtered_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, fec_filtered_state=fec_filtered_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, fec_filtered_state=fec_filtered_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_fec_stale_update(self, ldp_fec_vcid=None, vc_downstream=None, fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, fec_stale=fec_stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, fec_stale=fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_feccb_update(self, ldp_fec_vcid=None, vc_downstream=None, feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, feccb=feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, feccb=feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_label_update(self, ldp_fec_vcid=None, vc_downstream=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_local_ldp_lblspc_update(self, ldp_fec_vcid=None, vc_downstream=None, local_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, local_ldp_lblspc=local_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, local_ldp_lblspc=local_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_peer_ldp_id_update(self, ldp_fec_vcid=None, vc_downstream=None, peer_ldp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, peer_ldp_id=peer_ldp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, peer_ldp_id=peer_ldp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_peer_ldp_lblspc_update(self, ldp_fec_vcid=None, vc_downstream=None, peer_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, peer_ldp_lblspc=peer_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, peer_ldp_lblspc=peer_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_state_update(self, ldp_fec_vcid=None, vc_downstream=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_fec_type_update(self, ldp_fec_vcid=None, vc_fec_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_fec_type: long
    :param vc_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_fec_type=vc_fec_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_fec_type=vc_fec_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_feccb_update(self, ldp_fec_vcid=None, vc_feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_feccb: long
    :param vc_feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_feccb=vc_feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_feccb=vc_feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_grp_id_update(self, ldp_fec_vcid=None, vc_grp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_grp_id: long
    :param vc_grp_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_grp_id=vc_grp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_grp_id=vc_grp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_idx_update(self, ldp_fec_vcid=None, vc_idx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_idx: long
    :param vc_idx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_idx=vc_idx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_idx=vc_idx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_local_mtu_update(self, ldp_fec_vcid=None, vc_local_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_local_mtu: long
    :param vc_local_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_local_mtu=vc_local_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_local_mtu=vc_local_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_mtu_enforcement_update(self, ldp_fec_vcid=None, vc_mtu_enforcement=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_mtu_enforcement: long
    :param vc_mtu_enforcement: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_mtu_enforcement=vc_mtu_enforcement)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_mtu_enforcement=vc_mtu_enforcement)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_remote_mtu_update(self, ldp_fec_vcid=None, vc_remote_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_remote_mtu: long
    :param vc_remote_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_remote_mtu=vc_remote_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_remote_mtu=vc_remote_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_type_update(self, ldp_fec_vcid=None, vc_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_type: long
    :param vc_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_type=vc_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_type=vc_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_update(self, ldp_fec_vcid=None, vc_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_fec_dm_state_dw_update(self, ldp_fec_vcid=None, vc_upstream=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_fec_filtered_state_update(self, ldp_fec_vcid=None, vc_upstream=None, fec_filtered_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, fec_filtered_state=fec_filtered_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, fec_filtered_state=fec_filtered_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_fec_stale_update(self, ldp_fec_vcid=None, vc_upstream=None, fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, fec_stale=fec_stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, fec_stale=fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_feccb_update(self, ldp_fec_vcid=None, vc_upstream=None, feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, feccb=feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, feccb=feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_label_update(self, ldp_fec_vcid=None, vc_upstream=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_local_ldp_lblspc_update(self, ldp_fec_vcid=None, vc_upstream=None, local_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, local_ldp_lblspc=local_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, local_ldp_lblspc=local_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_peer_ldp_id_update(self, ldp_fec_vcid=None, vc_upstream=None, peer_ldp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, peer_ldp_id=peer_ldp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, peer_ldp_id=peer_ldp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_peer_ldp_lblspc_update(self, ldp_fec_vcid=None, vc_upstream=None, peer_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, peer_ldp_lblspc=peer_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, peer_ldp_lblspc=peer_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_state_update(self, ldp_fec_vcid=None, vc_upstream=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_update(self, tot_no_of_vc_fec=None, tot_no_of_vc_fec_installed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_vc_fec: long
    :param tot_no_of_vc_fec: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tot_no_of_vc_fec_installed: long
    :param tot_no_of_vc_fec_installed: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_vc_fec=tot_no_of_vc_fec, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_vc_fec=tot_no_of_vc_fec, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_update(self, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type type: int
    :param type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type prefix_len: int
    :param prefix_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type inet_addr_type: int
    :param inet_addr_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type inet_addr_len: int
    :param inet_addr_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type inet_addr: unicode
    :param inet_addr: Keyword argument.

    :type vc_ldp_peer_id: unicode
    :param vc_ldp_peer_id: Keyword argument.

    :type data_fec_type: int
    :param data_fec_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_type: int
    :param vc_type: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type vc_control_word_config: int
    :param vc_control_word_config: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_use_control_word: int
    :param vc_use_control_word: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_group_id: long
    :param vc_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_id: long
    :param vc_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_agi_offset: int
    :param vc_agi_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_agi_len: int
    :param vc_agi_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_saii_offset: int
    :param vc_saii_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_saii_len: int
    :param vc_saii_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_taii_offset: int
    :param vc_taii_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_taii_len: int
    :param vc_taii_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_gen_id_size: int
    :param vc_gen_id_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type vc_gen_id: unicode
    :param vc_gen_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_data_fec_type_update(self, data_fec_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type data_fec_type: int
    :param data_fec_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, data_fec_type=data_fec_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, data_fec_type=data_fec_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_inet_addr_update(self, inet_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type inet_addr: unicode
    :param inet_addr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inet_addr=inet_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inet_addr=inet_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_inet_addr_len_update(self, inet_addr_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type inet_addr_len: int
    :param inet_addr_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inet_addr_len=inet_addr_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inet_addr_len=inet_addr_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_inet_addr_type_update(self, inet_addr_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type inet_addr_type: int
    :param inet_addr_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inet_addr_type=inet_addr_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inet_addr_type=inet_addr_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_prefix_len_update(self, prefix_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_len: int
    :param prefix_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_len=prefix_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_len=prefix_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_type_update(self, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type type: int
    :param type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_agi_len_update(self, vc_agi_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_agi_len: int
    :param vc_agi_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_agi_len=vc_agi_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_agi_len=vc_agi_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_agi_offset_update(self, vc_agi_offset=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_agi_offset: int
    :param vc_agi_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_agi_offset=vc_agi_offset)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_agi_offset=vc_agi_offset)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_control_word_config_update(self, vc_control_word_config=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_control_word_config: int
    :param vc_control_word_config: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_control_word_config=vc_control_word_config)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_control_word_config=vc_control_word_config)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_gen_id_update(self, vc_gen_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_gen_id: unicode
    :param vc_gen_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_gen_id=vc_gen_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_gen_id=vc_gen_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_gen_id_size_update(self, vc_gen_id_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_gen_id_size: int
    :param vc_gen_id_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_gen_id_size=vc_gen_id_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_gen_id_size=vc_gen_id_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_group_id_update(self, vc_group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_group_id: long
    :param vc_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_group_id=vc_group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_group_id=vc_group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_id_update(self, vc_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_id: long
    :param vc_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_id=vc_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_id=vc_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_ldp_peer_id_update(self, vc_ldp_peer_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_ldp_peer_id: unicode
    :param vc_ldp_peer_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_ldp_peer_id=vc_ldp_peer_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_ldp_peer_id=vc_ldp_peer_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_saii_len_update(self, vc_saii_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_saii_len: int
    :param vc_saii_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_saii_len=vc_saii_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_saii_len=vc_saii_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_saii_offset_update(self, vc_saii_offset=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_saii_offset: int
    :param vc_saii_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_saii_offset=vc_saii_offset)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_saii_offset=vc_saii_offset)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_taii_len_update(self, vc_taii_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_taii_len: int
    :param vc_taii_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_taii_len=vc_taii_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_taii_len=vc_taii_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_taii_offset_update(self, vc_taii_offset=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_taii_offset: int
    :param vc_taii_offset: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_taii_offset=vc_taii_offset)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_taii_offset=vc_taii_offset)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_type_update(self, vc_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_type: int
    :param vc_type: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_type=vc_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_type=vc_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_vc_use_control_word_update(self, vc_use_control_word=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vc_use_control_word: int
    :param vc_use_control_word: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_use_control_word=vc_use_control_word)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_use_control_word=vc_use_control_word)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_tot_no_of_vc_fec_update(self, tot_no_of_vc_fec=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_vc_fec: long
    :param tot_no_of_vc_fec: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_vc_fec=tot_no_of_vc_fec)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_vc_fec=tot_no_of_vc_fec)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_tot_no_of_vc_fec_installed_update(self, tot_no_of_vc_fec_installed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tot_no_of_vc_fec_installed: long
    :param tot_no_of_vc_fec_installed: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_vc_update(self, vc=None, peer_lblspc=None, state=None, vc_id=None, peer_vc_type=None, peer_fec_type=None, ingress=None, egress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vc: peer_id
    :param vc: Keyword argument tuple.

    :type peer_id: unicode
    :param peer_id: **vc** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_lblspc: long
    :param peer_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type vc_id: long
    :param vc_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_vc_type: long
    :param peer_vc_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_fec_type: long
    :param peer_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ingress: unicode
    :param ingress: Keyword argument.

    :type egress: unicode
    :param egress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc=vc, peer_lblspc=peer_lblspc, state=state, vc_id=vc_id, peer_vc_type=peer_vc_type, peer_fec_type=peer_fec_type, ingress=ingress, egress=egress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc=vc, peer_lblspc=peer_lblspc, state=state, vc_id=vc_id, peer_vc_type=peer_vc_type, peer_fec_type=peer_fec_type, ingress=ingress, egress=egress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_vc_egress_update(self, vc=None, egress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vc: peer_id
    :param vc: Keyword argument tuple.

    :type peer_id: unicode
    :param peer_id: **vc** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type egress: unicode
    :param egress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc=vc, egress=egress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc=vc, egress=egress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_vc_ingress_update(self, vc=None, ingress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vc: peer_id
    :param vc: Keyword argument tuple.

    :type peer_id: unicode
    :param peer_id: **vc** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ingress: unicode
    :param ingress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc=vc, ingress=ingress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc=vc, ingress=ingress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_vc_peer_fec_type_update(self, vc=None, peer_fec_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vc: peer_id
    :param vc: Keyword argument tuple.

    :type peer_id: unicode
    :param peer_id: **vc** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_fec_type: long
    :param peer_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc=vc, peer_fec_type=peer_fec_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc=vc, peer_fec_type=peer_fec_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_vc_peer_lblspc_update(self, vc=None, peer_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vc: peer_id
    :param vc: Keyword argument tuple.

    :type peer_id: unicode
    :param peer_id: **vc** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_lblspc: long
    :param peer_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc=vc, peer_lblspc=peer_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc=vc, peer_lblspc=peer_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_vc_peer_vc_type_update(self, vc=None, peer_vc_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vc: peer_id
    :param vc: Keyword argument tuple.

    :type peer_id: unicode
    :param peer_id: **vc** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_vc_type: long
    :param peer_vc_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc=vc, peer_vc_type=peer_vc_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc=vc, peer_vc_type=peer_vc_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_vc_state_update(self, vc=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vc: peer_id
    :param vc: Keyword argument tuple.

    :type peer_id: unicode
    :param peer_id: **vc** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc=vc, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc=vc, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_vc_vc_id_update(self, vc=None, vc_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vc: peer_id
    :param vc: Keyword argument tuple.

    :type peer_id: unicode
    :param peer_id: **vc** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_id: long
    :param vc_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc=vc, vc_id=vc_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc=vc, vc_id=vc_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_forwarding_state_timer_remaining_update(self, forwarding_state_timer_remaining=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type forwarding_state_timer_remaining: long
    :param forwarding_state_timer_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forwarding_state_timer_remaining=forwarding_state_timer_remaining)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forwarding_state_timer_remaining=forwarding_state_timer_remaining)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_forwarding_state_timer_running_update(self, forwarding_state_timer_running=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type forwarding_state_timer_running: YANGBool
    :param forwarding_state_timer_running: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forwarding_state_timer_running=forwarding_state_timer_running)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forwarding_state_timer_running=forwarding_state_timer_running)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_gr_enable_update(self, gr_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type gr_enable: YANGBool
    :param gr_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_enable=gr_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_enable=gr_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_gr_helper_update(self, gr_helper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type gr_helper: YANGBool
    :param gr_helper: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_helper=gr_helper)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_helper=gr_helper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_gr_max_peer_reconnect_time_update(self, gr_max_peer_reconnect_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type gr_max_peer_reconnect_time: long
    :param gr_max_peer_reconnect_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_max_peer_reconnect_time=gr_max_peer_reconnect_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_max_peer_reconnect_time=gr_max_peer_reconnect_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_gr_max_peer_recovery_time_update(self, gr_max_peer_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type gr_max_peer_recovery_time: long
    :param gr_max_peer_recovery_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_max_peer_recovery_time=gr_max_peer_recovery_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_max_peer_recovery_time=gr_max_peer_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_gr_reconnect_time_update(self, gr_reconnect_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type gr_reconnect_time: long
    :param gr_reconnect_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_reconnect_time=gr_reconnect_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_reconnect_time=gr_reconnect_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_gr_recovery_time_update(self, gr_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type gr_recovery_time: long
    :param gr_recovery_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_recovery_time=gr_recovery_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_recovery_time=gr_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_hello_interval_link_update(self, hello_interval_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_interval_link: long
    :param hello_interval_link: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_interval_link=hello_interval_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_interval_link=hello_interval_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_hello_interval_target_update(self, hello_interval_target=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_interval_target: long
    :param hello_interval_target: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_interval_target=hello_interval_target)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_interval_target=hello_interval_target)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_hold_time_sent_link_update(self, hold_time_sent_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type hold_time_sent_link: long
    :param hold_time_sent_link: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hold_time_sent_link=hold_time_sent_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hold_time_sent_link=hold_time_sent_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_hold_time_sent_target_update(self, hold_time_sent_target=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type hold_time_sent_target: long
    :param hold_time_sent_target: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hold_time_sent_target=hold_time_sent_target)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hold_time_sent_target=hold_time_sent_target)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_inbound_fecs_filtering_prefix_list_update(self, inbound_fecs_filtering_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type inbound_fecs_filtering_prefix_list: unicode
    :param inbound_fecs_filtering_prefix_list: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inbound_fecs_filtering_prefix_list=inbound_fecs_filtering_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inbound_fecs_filtering_prefix_list=inbound_fecs_filtering_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_inbound_fecs_filtering_prefix_list_exists_update(self, inbound_fecs_filtering_prefix_list_exists=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type inbound_fecs_filtering_prefix_list_exists: YANGBool
    :param inbound_fecs_filtering_prefix_list_exists: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inbound_fecs_filtering_prefix_list_exists=inbound_fecs_filtering_prefix_list_exists)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inbound_fecs_filtering_prefix_list_exists=inbound_fecs_filtering_prefix_list_exists)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_update(self, interface=None, interface_name=None, label_space=None, neighbor_count=None, hello_interval=None, hello_timeout=None, hello_next=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type label_space: long
    :param label_space: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_count: long
    :param neighbor_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_timeout: long
    :param hello_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_next: long
    :param hello_next: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, interface_name=interface_name, label_space=label_space, neighbor_count=neighbor_count, hello_interval=hello_interval, hello_timeout=hello_timeout, hello_next=hello_next)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, interface_name=interface_name, label_space=label_space, neighbor_count=neighbor_count, hello_interval=hello_interval, hello_timeout=hello_timeout, hello_next=hello_next)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_hello_interval_update(self, interface=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_hello_next_update(self, interface=None, hello_next=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_next: long
    :param hello_next: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, hello_next=hello_next)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, hello_next=hello_next)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_hello_timeout_update(self, interface=None, hello_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_timeout: long
    :param hello_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, hello_timeout=hello_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, hello_timeout=hello_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_interface_name_update(self, interface=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_label_space_update(self, interface=None, label_space=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type label_space: long
    :param label_space: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, label_space=label_space)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, label_space=label_space)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_ldp_interface_data_update(self, ldp_interface_data=None, ldp_interface_lbpsp=None, ldp_interface_nbr_cnt=None, ldp_interface_hello_intl=None, ldp_interface_hello_timeout=None, ldp_interface_hello_next=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_interface_data: ldp_interface_name, ldp_interface_type
    :param ldp_interface_data: Keyword argument tuple.

    :type ldp_interface_name: unicode
    :param ldp_interface_name: **ldp_interface_data** tuple argument.

    :type ldp_interface_type: unicode
    :param ldp_interface_type: **ldp_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type ldp_interface_lbpsp: long
    :param ldp_interface_lbpsp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ldp_interface_nbr_cnt: long
    :param ldp_interface_nbr_cnt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ldp_interface_hello_intl: long
    :param ldp_interface_hello_intl: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ldp_interface_hello_timeout: long
    :param ldp_interface_hello_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ldp_interface_hello_next: long
    :param ldp_interface_hello_next: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.interface.ldp_interface_data', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_interface_data', 'keyval': 'ldp_interface_name, ldp_interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_interface_data=ldp_interface_data, ldp_interface_lbpsp=ldp_interface_lbpsp, ldp_interface_nbr_cnt=ldp_interface_nbr_cnt, ldp_interface_hello_intl=ldp_interface_hello_intl, ldp_interface_hello_timeout=ldp_interface_hello_timeout, ldp_interface_hello_next=ldp_interface_hello_next)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_interface_data=ldp_interface_data, ldp_interface_lbpsp=ldp_interface_lbpsp, ldp_interface_nbr_cnt=ldp_interface_nbr_cnt, ldp_interface_hello_intl=ldp_interface_hello_intl, ldp_interface_hello_timeout=ldp_interface_hello_timeout, ldp_interface_hello_next=ldp_interface_hello_next)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_ldp_interface_data_ldp_interface_hello_intl_update(self, ldp_interface_data=None, ldp_interface_hello_intl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_interface_data: ldp_interface_name, ldp_interface_type
    :param ldp_interface_data: Keyword argument tuple.

    :type ldp_interface_name: unicode
    :param ldp_interface_name: **ldp_interface_data** tuple argument.

    :type ldp_interface_type: unicode
    :param ldp_interface_type: **ldp_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type ldp_interface_hello_intl: long
    :param ldp_interface_hello_intl: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.interface.ldp_interface_data', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_interface_data', 'keyval': 'ldp_interface_name, ldp_interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_interface_data=ldp_interface_data, ldp_interface_hello_intl=ldp_interface_hello_intl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_interface_data=ldp_interface_data, ldp_interface_hello_intl=ldp_interface_hello_intl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_ldp_interface_data_ldp_interface_hello_next_update(self, ldp_interface_data=None, ldp_interface_hello_next=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_interface_data: ldp_interface_name, ldp_interface_type
    :param ldp_interface_data: Keyword argument tuple.

    :type ldp_interface_name: unicode
    :param ldp_interface_name: **ldp_interface_data** tuple argument.

    :type ldp_interface_type: unicode
    :param ldp_interface_type: **ldp_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type ldp_interface_hello_next: long
    :param ldp_interface_hello_next: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.interface.ldp_interface_data', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_interface_data', 'keyval': 'ldp_interface_name, ldp_interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_interface_data=ldp_interface_data, ldp_interface_hello_next=ldp_interface_hello_next)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_interface_data=ldp_interface_data, ldp_interface_hello_next=ldp_interface_hello_next)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_ldp_interface_data_ldp_interface_hello_timeout_update(self, ldp_interface_data=None, ldp_interface_hello_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_interface_data: ldp_interface_name, ldp_interface_type
    :param ldp_interface_data: Keyword argument tuple.

    :type ldp_interface_name: unicode
    :param ldp_interface_name: **ldp_interface_data** tuple argument.

    :type ldp_interface_type: unicode
    :param ldp_interface_type: **ldp_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type ldp_interface_hello_timeout: long
    :param ldp_interface_hello_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.interface.ldp_interface_data', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_interface_data', 'keyval': 'ldp_interface_name, ldp_interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_interface_data=ldp_interface_data, ldp_interface_hello_timeout=ldp_interface_hello_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_interface_data=ldp_interface_data, ldp_interface_hello_timeout=ldp_interface_hello_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_ldp_interface_data_ldp_interface_lbpsp_update(self, ldp_interface_data=None, ldp_interface_lbpsp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_interface_data: ldp_interface_name, ldp_interface_type
    :param ldp_interface_data: Keyword argument tuple.

    :type ldp_interface_name: unicode
    :param ldp_interface_name: **ldp_interface_data** tuple argument.

    :type ldp_interface_type: unicode
    :param ldp_interface_type: **ldp_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type ldp_interface_lbpsp: long
    :param ldp_interface_lbpsp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.interface.ldp_interface_data', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_interface_data', 'keyval': 'ldp_interface_name, ldp_interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_interface_data=ldp_interface_data, ldp_interface_lbpsp=ldp_interface_lbpsp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_interface_data=ldp_interface_data, ldp_interface_lbpsp=ldp_interface_lbpsp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_ldp_interface_data_ldp_interface_nbr_cnt_update(self, ldp_interface_data=None, ldp_interface_nbr_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_interface_data: ldp_interface_name, ldp_interface_type
    :param ldp_interface_data: Keyword argument tuple.

    :type ldp_interface_name: unicode
    :param ldp_interface_name: **ldp_interface_data** tuple argument.

    :type ldp_interface_type: unicode
    :param ldp_interface_type: **ldp_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type ldp_interface_nbr_cnt: long
    :param ldp_interface_nbr_cnt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.interface.ldp_interface_data', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_interface_data', 'keyval': 'ldp_interface_name, ldp_interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_interface_data=ldp_interface_data, ldp_interface_nbr_cnt=ldp_interface_nbr_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_interface_data=ldp_interface_data, ldp_interface_nbr_cnt=ldp_interface_nbr_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_neighbor_count_update(self, interface=None, neighbor_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type neighbor_count: long
    :param neighbor_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.interface', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, neighbor_count=neighbor_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, neighbor_count=neighbor_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ka_interval_update(self, ka_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type ka_interval: long
    :param ka_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ka_interval=ka_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ka_interval=ka_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ka_multiple_update(self, ka_multiple=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type ka_multiple: long
    :param ka_multiple: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ka_multiple=ka_multiple)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ka_multiple=ka_multiple)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ka_timeout_update(self, ka_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type ka_timeout: long
    :param ka_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ka_timeout=ka_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ka_timeout=ka_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ka_timeout_default_update(self, ka_timeout_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type ka_timeout_default: YANGBool
    :param ka_timeout_default: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ka_timeout_default=ka_timeout_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ka_timeout_default=ka_timeout_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_update(self, ldp_database=None, ldp_database_own_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ldp_database_own_ip: unicode
    :param ldp_database_own_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_database', 'keyval': 'peer_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database": {"ldp_database_own_ip": "own_ip", "ldp_database_peer_ip": "peer_ip"}, "pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database": {"ldp_database_own_ip": "ldp_database_own_ip", "ldp_database_peer_ip": "ldp_database_peer_ip"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, ldp_database_own_ip=ldp_database_own_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, ldp_database_own_ip=ldp_database_own_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_downstream_update(self, ldp_database=None, downstream=None, label=None, prefix_length=None, fec_type=None, stale=None, state=None, filtered=None, lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type downstream: prefix
    :param downstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_length: long
    :param prefix_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_type: long
    :param fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type stale: YANGBool
    :param stale: Keyword argument.

    :type state: unicode
    :param state: Keyword argument.

    :type filtered: YANGBool
    :param filtered: Keyword argument.

    :type lwd: YANGBool
    :param lwd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, downstream=downstream, label=label, prefix_length=prefix_length, fec_type=fec_type, stale=stale, state=state, filtered=filtered, lwd=lwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, downstream=downstream, label=label, prefix_length=prefix_length, fec_type=fec_type, stale=stale, state=state, filtered=filtered, lwd=lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_downstream_fec_type_update(self, ldp_database=None, downstream=None, fec_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type downstream: prefix
    :param downstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_type: long
    :param fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, downstream=downstream, fec_type=fec_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, downstream=downstream, fec_type=fec_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_downstream_filtered_update(self, ldp_database=None, downstream=None, filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type downstream: prefix
    :param downstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filtered: YANGBool
    :param filtered: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, downstream=downstream, filtered=filtered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, downstream=downstream, filtered=filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_downstream_label_update(self, ldp_database=None, downstream=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type downstream: prefix
    :param downstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, downstream=downstream, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, downstream=downstream, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_downstream_lwd_update(self, ldp_database=None, downstream=None, lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type downstream: prefix
    :param downstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type lwd: YANGBool
    :param lwd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, downstream=downstream, lwd=lwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, downstream=downstream, lwd=lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_downstream_prefix_length_update(self, ldp_database=None, downstream=None, prefix_length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type downstream: prefix
    :param downstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_length: long
    :param prefix_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, downstream=downstream, prefix_length=prefix_length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, downstream=downstream, prefix_length=prefix_length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_downstream_stale_update(self, ldp_database=None, downstream=None, stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type downstream: prefix
    :param downstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type stale: YANGBool
    :param stale: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, downstream=downstream, stale=stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, downstream=downstream, stale=stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_downstream_state_update(self, ldp_database=None, downstream=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type downstream: prefix
    :param downstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, downstream=downstream, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, downstream=downstream, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_ldp_database_own_ip_update(self, ldp_database=None, ldp_database_own_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ldp_database_own_ip: unicode
    :param ldp_database_own_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_database', 'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, ldp_database_own_ip=ldp_database_own_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, ldp_database_own_ip=ldp_database_own_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_update(self, ldp_database=None, mpls_ldp_database_downstream=None, mpls_ldp_database_ds_fec_label=None, mpls_ldp_database_ds_fec_prefix_length=None, mpls_ldp_database_ds_fec_type=None, mpls_ldp_database_ds_fec_state=None, mpls_ldp_database_ds_fec_filtered=None, mpls_ldp_database_ds_fec_stale=None, mpls_ldp_database_ds_fec_lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_downstream: mpls_ldp_database_ds_fec_prefix
    :param mpls_ldp_database_downstream: Keyword argument tuple.

    :type mpls_ldp_database_ds_fec_prefix: unicode
    :param mpls_ldp_database_ds_fec_prefix: **mpls_ldp_database_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_ds_fec_label: long
    :param mpls_ldp_database_ds_fec_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mpls_ldp_database_ds_fec_prefix_length: long
    :param mpls_ldp_database_ds_fec_prefix_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mpls_ldp_database_ds_fec_type: long
    :param mpls_ldp_database_ds_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mpls_ldp_database_ds_fec_state: unicode
    :param mpls_ldp_database_ds_fec_state: Keyword argument.

    :type mpls_ldp_database_ds_fec_filtered: YANGBool
    :param mpls_ldp_database_ds_fec_filtered: Keyword argument.

    :type mpls_ldp_database_ds_fec_stale: YANGBool
    :param mpls_ldp_database_ds_fec_stale: Keyword argument.

    :type mpls_ldp_database_ds_fec_lwd: YANGBool
    :param mpls_ldp_database_ds_fec_lwd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_label=mpls_ldp_database_ds_fec_label, mpls_ldp_database_ds_fec_prefix_length=mpls_ldp_database_ds_fec_prefix_length, mpls_ldp_database_ds_fec_type=mpls_ldp_database_ds_fec_type, mpls_ldp_database_ds_fec_state=mpls_ldp_database_ds_fec_state, mpls_ldp_database_ds_fec_filtered=mpls_ldp_database_ds_fec_filtered, mpls_ldp_database_ds_fec_stale=mpls_ldp_database_ds_fec_stale, mpls_ldp_database_ds_fec_lwd=mpls_ldp_database_ds_fec_lwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_label=mpls_ldp_database_ds_fec_label, mpls_ldp_database_ds_fec_prefix_length=mpls_ldp_database_ds_fec_prefix_length, mpls_ldp_database_ds_fec_type=mpls_ldp_database_ds_fec_type, mpls_ldp_database_ds_fec_state=mpls_ldp_database_ds_fec_state, mpls_ldp_database_ds_fec_filtered=mpls_ldp_database_ds_fec_filtered, mpls_ldp_database_ds_fec_stale=mpls_ldp_database_ds_fec_stale, mpls_ldp_database_ds_fec_lwd=mpls_ldp_database_ds_fec_lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_mpls_ldp_database_ds_fec_filtered_update(self, ldp_database=None, mpls_ldp_database_downstream=None, mpls_ldp_database_ds_fec_filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_downstream: mpls_ldp_database_ds_fec_prefix
    :param mpls_ldp_database_downstream: Keyword argument tuple.

    :type mpls_ldp_database_ds_fec_prefix: unicode
    :param mpls_ldp_database_ds_fec_prefix: **mpls_ldp_database_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_ds_fec_filtered: YANGBool
    :param mpls_ldp_database_ds_fec_filtered: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_filtered=mpls_ldp_database_ds_fec_filtered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_filtered=mpls_ldp_database_ds_fec_filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_mpls_ldp_database_ds_fec_label_update(self, ldp_database=None, mpls_ldp_database_downstream=None, mpls_ldp_database_ds_fec_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_downstream: mpls_ldp_database_ds_fec_prefix
    :param mpls_ldp_database_downstream: Keyword argument tuple.

    :type mpls_ldp_database_ds_fec_prefix: unicode
    :param mpls_ldp_database_ds_fec_prefix: **mpls_ldp_database_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_ds_fec_label: long
    :param mpls_ldp_database_ds_fec_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_label=mpls_ldp_database_ds_fec_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_label=mpls_ldp_database_ds_fec_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_mpls_ldp_database_ds_fec_lwd_update(self, ldp_database=None, mpls_ldp_database_downstream=None, mpls_ldp_database_ds_fec_lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_downstream: mpls_ldp_database_ds_fec_prefix
    :param mpls_ldp_database_downstream: Keyword argument tuple.

    :type mpls_ldp_database_ds_fec_prefix: unicode
    :param mpls_ldp_database_ds_fec_prefix: **mpls_ldp_database_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_ds_fec_lwd: YANGBool
    :param mpls_ldp_database_ds_fec_lwd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_lwd=mpls_ldp_database_ds_fec_lwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_lwd=mpls_ldp_database_ds_fec_lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_mpls_ldp_database_ds_fec_prefix_length_update(self, ldp_database=None, mpls_ldp_database_downstream=None, mpls_ldp_database_ds_fec_prefix_length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_downstream: mpls_ldp_database_ds_fec_prefix
    :param mpls_ldp_database_downstream: Keyword argument tuple.

    :type mpls_ldp_database_ds_fec_prefix: unicode
    :param mpls_ldp_database_ds_fec_prefix: **mpls_ldp_database_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_ds_fec_prefix_length: long
    :param mpls_ldp_database_ds_fec_prefix_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_prefix_length=mpls_ldp_database_ds_fec_prefix_length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_prefix_length=mpls_ldp_database_ds_fec_prefix_length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_mpls_ldp_database_ds_fec_stale_update(self, ldp_database=None, mpls_ldp_database_downstream=None, mpls_ldp_database_ds_fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_downstream: mpls_ldp_database_ds_fec_prefix
    :param mpls_ldp_database_downstream: Keyword argument tuple.

    :type mpls_ldp_database_ds_fec_prefix: unicode
    :param mpls_ldp_database_ds_fec_prefix: **mpls_ldp_database_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_ds_fec_stale: YANGBool
    :param mpls_ldp_database_ds_fec_stale: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_stale=mpls_ldp_database_ds_fec_stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_stale=mpls_ldp_database_ds_fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_mpls_ldp_database_ds_fec_state_update(self, ldp_database=None, mpls_ldp_database_downstream=None, mpls_ldp_database_ds_fec_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_downstream: mpls_ldp_database_ds_fec_prefix
    :param mpls_ldp_database_downstream: Keyword argument tuple.

    :type mpls_ldp_database_ds_fec_prefix: unicode
    :param mpls_ldp_database_ds_fec_prefix: **mpls_ldp_database_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_ds_fec_state: unicode
    :param mpls_ldp_database_ds_fec_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_state=mpls_ldp_database_ds_fec_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_state=mpls_ldp_database_ds_fec_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_mpls_ldp_database_ds_fec_type_update(self, ldp_database=None, mpls_ldp_database_downstream=None, mpls_ldp_database_ds_fec_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_downstream: mpls_ldp_database_ds_fec_prefix
    :param mpls_ldp_database_downstream: Keyword argument tuple.

    :type mpls_ldp_database_ds_fec_prefix: unicode
    :param mpls_ldp_database_ds_fec_prefix: **mpls_ldp_database_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_ds_fec_type: long
    :param mpls_ldp_database_ds_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_type=mpls_ldp_database_ds_fec_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_type=mpls_ldp_database_ds_fec_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_upstream_update(self, ldp_database=None, mpls_ldp_database_upstream=None, mpls_ldp_database_us_fec_label=None, mpls_ldp_database_us_fec_prefix_length=None, mpls_ldp_database_us_fec_type=None, mpls_ldp_database_us_fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_upstream: mpls_ldp_database_us_fec_prefix
    :param mpls_ldp_database_upstream: Keyword argument tuple.

    :type mpls_ldp_database_us_fec_prefix: unicode
    :param mpls_ldp_database_us_fec_prefix: **mpls_ldp_database_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_us_fec_label: long
    :param mpls_ldp_database_us_fec_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mpls_ldp_database_us_fec_prefix_length: long
    :param mpls_ldp_database_us_fec_prefix_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mpls_ldp_database_us_fec_type: long
    :param mpls_ldp_database_us_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mpls_ldp_database_us_fec_stale: YANGBool
    :param mpls_ldp_database_us_fec_stale: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_upstream', 'keyval': 'mpls_ldp_database_us_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream, mpls_ldp_database_us_fec_label=mpls_ldp_database_us_fec_label, mpls_ldp_database_us_fec_prefix_length=mpls_ldp_database_us_fec_prefix_length, mpls_ldp_database_us_fec_type=mpls_ldp_database_us_fec_type, mpls_ldp_database_us_fec_stale=mpls_ldp_database_us_fec_stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream, mpls_ldp_database_us_fec_label=mpls_ldp_database_us_fec_label, mpls_ldp_database_us_fec_prefix_length=mpls_ldp_database_us_fec_prefix_length, mpls_ldp_database_us_fec_type=mpls_ldp_database_us_fec_type, mpls_ldp_database_us_fec_stale=mpls_ldp_database_us_fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_upstream_mpls_ldp_database_us_fec_label_update(self, ldp_database=None, mpls_ldp_database_upstream=None, mpls_ldp_database_us_fec_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_upstream: mpls_ldp_database_us_fec_prefix
    :param mpls_ldp_database_upstream: Keyword argument tuple.

    :type mpls_ldp_database_us_fec_prefix: unicode
    :param mpls_ldp_database_us_fec_prefix: **mpls_ldp_database_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_us_fec_label: long
    :param mpls_ldp_database_us_fec_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_upstream', 'keyval': 'mpls_ldp_database_us_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream, mpls_ldp_database_us_fec_label=mpls_ldp_database_us_fec_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream, mpls_ldp_database_us_fec_label=mpls_ldp_database_us_fec_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_upstream_mpls_ldp_database_us_fec_prefix_length_update(self, ldp_database=None, mpls_ldp_database_upstream=None, mpls_ldp_database_us_fec_prefix_length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_upstream: mpls_ldp_database_us_fec_prefix
    :param mpls_ldp_database_upstream: Keyword argument tuple.

    :type mpls_ldp_database_us_fec_prefix: unicode
    :param mpls_ldp_database_us_fec_prefix: **mpls_ldp_database_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_us_fec_prefix_length: long
    :param mpls_ldp_database_us_fec_prefix_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_upstream', 'keyval': 'mpls_ldp_database_us_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream, mpls_ldp_database_us_fec_prefix_length=mpls_ldp_database_us_fec_prefix_length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream, mpls_ldp_database_us_fec_prefix_length=mpls_ldp_database_us_fec_prefix_length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_upstream_mpls_ldp_database_us_fec_stale_update(self, ldp_database=None, mpls_ldp_database_upstream=None, mpls_ldp_database_us_fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_upstream: mpls_ldp_database_us_fec_prefix
    :param mpls_ldp_database_upstream: Keyword argument tuple.

    :type mpls_ldp_database_us_fec_prefix: unicode
    :param mpls_ldp_database_us_fec_prefix: **mpls_ldp_database_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_us_fec_stale: YANGBool
    :param mpls_ldp_database_us_fec_stale: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_upstream', 'keyval': 'mpls_ldp_database_us_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream, mpls_ldp_database_us_fec_stale=mpls_ldp_database_us_fec_stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream, mpls_ldp_database_us_fec_stale=mpls_ldp_database_us_fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_upstream_mpls_ldp_database_us_fec_type_update(self, ldp_database=None, mpls_ldp_database_upstream=None, mpls_ldp_database_us_fec_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_upstream: mpls_ldp_database_us_fec_prefix
    :param mpls_ldp_database_upstream: Keyword argument tuple.

    :type mpls_ldp_database_us_fec_prefix: unicode
    :param mpls_ldp_database_us_fec_prefix: **mpls_ldp_database_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_us_fec_type: long
    :param mpls_ldp_database_us_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_upstream', 'keyval': 'mpls_ldp_database_us_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream, mpls_ldp_database_us_fec_type=mpls_ldp_database_us_fec_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream, mpls_ldp_database_us_fec_type=mpls_ldp_database_us_fec_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_own_ip_update(self, ldp_database=None, own_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type own_ip: unicode
    :param own_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_database', 'keyval': 'peer_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, own_ip=own_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, own_ip=own_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_upstream_update(self, ldp_database=None, upstream=None, label=None, prefix_length=None, fec_type=None, stale=None, state=None, filtered=None, lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type upstream: prefix
    :param upstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_length: long
    :param prefix_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_type: long
    :param fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type stale: YANGBool
    :param stale: Keyword argument.

    :type state: unicode
    :param state: Keyword argument.

    :type filtered: YANGBool
    :param filtered: Keyword argument.

    :type lwd: YANGBool
    :param lwd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, upstream=upstream, label=label, prefix_length=prefix_length, fec_type=fec_type, stale=stale, state=state, filtered=filtered, lwd=lwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, upstream=upstream, label=label, prefix_length=prefix_length, fec_type=fec_type, stale=stale, state=state, filtered=filtered, lwd=lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_upstream_fec_type_update(self, ldp_database=None, upstream=None, fec_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type upstream: prefix
    :param upstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_type: long
    :param fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, upstream=upstream, fec_type=fec_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, upstream=upstream, fec_type=fec_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_upstream_filtered_update(self, ldp_database=None, upstream=None, filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type upstream: prefix
    :param upstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filtered: YANGBool
    :param filtered: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, upstream=upstream, filtered=filtered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, upstream=upstream, filtered=filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_upstream_label_update(self, ldp_database=None, upstream=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type upstream: prefix
    :param upstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, upstream=upstream, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, upstream=upstream, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_upstream_lwd_update(self, ldp_database=None, upstream=None, lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type upstream: prefix
    :param upstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type lwd: YANGBool
    :param lwd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, upstream=upstream, lwd=lwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, upstream=upstream, lwd=lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_upstream_prefix_length_update(self, ldp_database=None, upstream=None, prefix_length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type upstream: prefix
    :param upstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_length: long
    :param prefix_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, upstream=upstream, prefix_length=prefix_length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, upstream=upstream, prefix_length=prefix_length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_upstream_stale_update(self, ldp_database=None, upstream=None, stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type upstream: prefix
    :param upstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type stale: YANGBool
    :param stale: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, upstream=upstream, stale=stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, upstream=upstream, stale=stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_upstream_state_update(self, ldp_database=None, upstream=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: peer_ip
    :param ldp_database: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type upstream: prefix
    :param upstream: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_database.upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_database=ldp_database, upstream=upstream, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, upstream=upstream, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_update(self, ldp_fec_prefix=None, state=None, ingress=None, egress=None, filtered=None, lwd=None, filter_type=None, prefix_filtered=None, longer=None, prefix_feccb=None, prefix_idx=None, prefix_type=None, prefix_pend_notif=None, prefix_um_dist_done=None, prefix_lwd_started=None, prefix_is_ldp_o_rsvp=None, prefix_excess_dms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type ingress: unicode
    :param ingress: Keyword argument.

    :type egress: unicode
    :param egress: Keyword argument.

    :type filtered: unicode
    :param filtered: Keyword argument.

    :type lwd: unicode
    :param lwd: Keyword argument.

    :type filter_type: unicode
    :param filter_type: Keyword argument.

        * enumeration restriction: ::

            ['filtered-in', 'filtered-out', 'filtered-all']

    :type prefix_filtered: unicode
    :param prefix_filtered: Keyword argument.

    :type longer: YANGBool
    :param longer: Keyword argument.

    :type prefix_feccb: long
    :param prefix_feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_idx: long
    :param prefix_idx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_type: long
    :param prefix_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_pend_notif: unicode
    :param prefix_pend_notif: Keyword argument.

    :type prefix_um_dist_done: unicode
    :param prefix_um_dist_done: Keyword argument.

    :type prefix_lwd_started: unicode
    :param prefix_lwd_started: Keyword argument.

    :type prefix_is_ldp_o_rsvp: YANGBool
    :param prefix_is_ldp_o_rsvp: Keyword argument.

    :type prefix_excess_dms: YANGBool
    :param prefix_excess_dms: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, state=state, ingress=ingress, egress=egress, filtered=filtered, lwd=lwd, filter_type=filter_type, prefix_filtered=prefix_filtered, longer=longer, prefix_feccb=prefix_feccb, prefix_idx=prefix_idx, prefix_type=prefix_type, prefix_pend_notif=prefix_pend_notif, prefix_um_dist_done=prefix_um_dist_done, prefix_lwd_started=prefix_lwd_started, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp, prefix_excess_dms=prefix_excess_dms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, state=state, ingress=ingress, egress=egress, filtered=filtered, lwd=lwd, filter_type=filter_type, prefix_filtered=prefix_filtered, longer=longer, prefix_feccb=prefix_feccb, prefix_idx=prefix_idx, prefix_type=prefix_type, prefix_pend_notif=prefix_pend_notif, prefix_um_dist_done=prefix_um_dist_done, prefix_lwd_started=prefix_lwd_started, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp, prefix_excess_dms=prefix_excess_dms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_egress_update(self, ldp_fec_prefix=None, egress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type egress: unicode
    :param egress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, egress=egress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, egress=egress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_filter_type_update(self, ldp_fec_prefix=None, filter_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type filter_type: unicode
    :param filter_type: Keyword argument.

        * enumeration restriction: ::

            ['filtered-in', 'filtered-out', 'filtered-all']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, filter_type=filter_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, filter_type=filter_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_filtered_update(self, ldp_fec_prefix=None, filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type filtered: unicode
    :param filtered: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, filtered=filtered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, filtered=filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_ingress_update(self, ldp_fec_prefix=None, ingress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type ingress: unicode
    :param ingress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, ingress=ingress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, ingress=ingress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_longer_update(self, ldp_fec_prefix=None, longer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type longer: YANGBool
    :param longer: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, longer=longer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, longer=longer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_lwd_update(self, ldp_fec_prefix=None, lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type lwd: unicode
    :param lwd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, lwd=lwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, lwd=lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_nexthops_update(self, ldp_fec_prefix=None, nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type nexthops: nexthop
    :param nexthops: Keyword argument tuple.

    :type nexthop: unicode
    :param nexthop: **nexthops** tuple argument.

    **Instance Argument(s)**:

    :type out_intf: unicode
    :param out_intf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.nexthops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, nexthops=nexthops, out_intf=out_intf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, nexthops=nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_nexthops_out_intf_update(self, ldp_fec_prefix=None, nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type nexthops: nexthop
    :param nexthops: Keyword argument tuple.

    :type nexthop: unicode
    :param nexthop: **nexthops** tuple argument.

    **Instance Argument(s)**:

    :type out_intf: unicode
    :param out_intf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.nexthops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, nexthops=nexthops, out_intf=out_intf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, nexthops=nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_downstream_update(self, ldp_fec_prefix=None, prefix_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_downstream_fec_dm_state_dw_update(self, ldp_fec_prefix=None, prefix_downstream=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_downstream_fec_filtered_state_update(self, ldp_fec_prefix=None, prefix_downstream=None, fec_filtered_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, fec_filtered_state=fec_filtered_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, fec_filtered_state=fec_filtered_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_downstream_fec_stale_update(self, ldp_fec_prefix=None, prefix_downstream=None, fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, fec_stale=fec_stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, fec_stale=fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_downstream_feccb_update(self, ldp_fec_prefix=None, prefix_downstream=None, feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, feccb=feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, feccb=feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_downstream_label_update(self, ldp_fec_prefix=None, prefix_downstream=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_downstream_local_ldp_lblspc_update(self, ldp_fec_prefix=None, prefix_downstream=None, local_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_downstream_peer_ldp_id_update(self, ldp_fec_prefix=None, prefix_downstream=None, peer_ldp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, peer_ldp_id=peer_ldp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, peer_ldp_id=peer_ldp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_downstream_peer_ldp_lblspc_update(self, ldp_fec_prefix=None, prefix_downstream=None, peer_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, peer_ldp_lblspc=peer_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, peer_ldp_lblspc=peer_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_downstream_state_update(self, ldp_fec_prefix=None, prefix_downstream=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_downstream=prefix_downstream, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_excess_dms_update(self, ldp_fec_prefix=None, prefix_excess_dms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_excess_dms: YANGBool
    :param prefix_excess_dms: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_excess_dms=prefix_excess_dms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_excess_dms=prefix_excess_dms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_feccb_update(self, ldp_fec_prefix=None, prefix_feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_feccb: long
    :param prefix_feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_feccb=prefix_feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_feccb=prefix_feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_filtered_update(self, ldp_fec_prefix=None, prefix_filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_filtered: unicode
    :param prefix_filtered: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_filtered=prefix_filtered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_filtered=prefix_filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_idx_update(self, ldp_fec_prefix=None, prefix_idx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_idx: long
    :param prefix_idx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_idx=prefix_idx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_idx=prefix_idx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_is_ldp_o_rsvp_update(self, ldp_fec_prefix=None, prefix_is_ldp_o_rsvp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_is_ldp_o_rsvp: YANGBool
    :param prefix_is_ldp_o_rsvp: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_lwd_started_update(self, ldp_fec_prefix=None, prefix_lwd_started=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_lwd_started: unicode
    :param prefix_lwd_started: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_lwd_started=prefix_lwd_started)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_lwd_started=prefix_lwd_started)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_pend_notif_update(self, ldp_fec_prefix=None, prefix_pend_notif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_pend_notif: unicode
    :param prefix_pend_notif: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_pend_notif=prefix_pend_notif)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_pend_notif=prefix_pend_notif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_type_update(self, ldp_fec_prefix=None, prefix_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_type: long
    :param prefix_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_type=prefix_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_type=prefix_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_um_dist_done_update(self, ldp_fec_prefix=None, prefix_um_dist_done=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_um_dist_done: unicode
    :param prefix_um_dist_done: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_um_dist_done=prefix_um_dist_done)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_um_dist_done=prefix_um_dist_done)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_upstream_update(self, ldp_fec_prefix=None, prefix_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_upstream_fec_dm_state_dw_update(self, ldp_fec_prefix=None, prefix_upstream=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_upstream_fec_filtered_state_update(self, ldp_fec_prefix=None, prefix_upstream=None, fec_filtered_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, fec_filtered_state=fec_filtered_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, fec_filtered_state=fec_filtered_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_upstream_fec_stale_update(self, ldp_fec_prefix=None, prefix_upstream=None, fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, fec_stale=fec_stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, fec_stale=fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_upstream_feccb_update(self, ldp_fec_prefix=None, prefix_upstream=None, feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, feccb=feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, feccb=feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_upstream_label_update(self, ldp_fec_prefix=None, prefix_upstream=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_upstream_local_ldp_lblspc_update(self, ldp_fec_prefix=None, prefix_upstream=None, local_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_upstream_peer_ldp_id_update(self, ldp_fec_prefix=None, prefix_upstream=None, peer_ldp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, peer_ldp_id=peer_ldp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, peer_ldp_id=peer_ldp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_upstream_peer_ldp_lblspc_update(self, ldp_fec_prefix=None, prefix_upstream=None, peer_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, peer_ldp_lblspc=peer_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, peer_ldp_lblspc=peer_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_prefix_upstream_state_update(self, ldp_fec_prefix=None, prefix_upstream=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', u'ldp_fec_prefix')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix.prefix_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, prefix_upstream=prefix_upstream, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_prefix_state_update(self, ldp_fec_prefix=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix: destination
    :param ldp_fec_prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **ldp_fec_prefix** tuple argument.

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_prefix', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_prefix=ldp_fec_prefix, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix=ldp_fec_prefix, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_statistics_update(self, number_of_prefix_fec=None, number_of_prefix_fec_installed=None, number_of_prefix_fec_filtered_in=None, number_of_prefix_fec_filtered_out=None, number_of_vc_fec_128=None, number_of_vc_fec_129=None, number_of_vc_fec_installed=None, number_of_route_upd_proc_errors=None, number_of_vc_fec_proc_errors=None, number_of_prefix_fec_lwd=None, number_of_vc_fec=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type number_of_prefix_fec: long
    :param number_of_prefix_fec: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type number_of_prefix_fec_installed: long
    :param number_of_prefix_fec_installed: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type number_of_prefix_fec_filtered_in: long
    :param number_of_prefix_fec_filtered_in: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type number_of_prefix_fec_filtered_out: long
    :param number_of_prefix_fec_filtered_out: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type number_of_vc_fec_128: long
    :param number_of_vc_fec_128: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type number_of_vc_fec_129: long
    :param number_of_vc_fec_129: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type number_of_vc_fec_installed: long
    :param number_of_vc_fec_installed: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type number_of_route_upd_proc_errors: long
    :param number_of_route_upd_proc_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type number_of_vc_fec_proc_errors: long
    :param number_of_vc_fec_proc_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type number_of_prefix_fec_lwd: long
    :param number_of_prefix_fec_lwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type number_of_vc_fec: long
    :param number_of_vc_fec: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, number_of_prefix_fec=number_of_prefix_fec, number_of_prefix_fec_installed=number_of_prefix_fec_installed, number_of_prefix_fec_filtered_in=number_of_prefix_fec_filtered_in, number_of_prefix_fec_filtered_out=number_of_prefix_fec_filtered_out, number_of_vc_fec_128=number_of_vc_fec_128, number_of_vc_fec_129=number_of_vc_fec_129, number_of_vc_fec_installed=number_of_vc_fec_installed, number_of_route_upd_proc_errors=number_of_route_upd_proc_errors, number_of_vc_fec_proc_errors=number_of_vc_fec_proc_errors, number_of_prefix_fec_lwd=number_of_prefix_fec_lwd, number_of_vc_fec=number_of_vc_fec)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, number_of_prefix_fec=number_of_prefix_fec, number_of_prefix_fec_installed=number_of_prefix_fec_installed, number_of_prefix_fec_filtered_in=number_of_prefix_fec_filtered_in, number_of_prefix_fec_filtered_out=number_of_prefix_fec_filtered_out, number_of_vc_fec_128=number_of_vc_fec_128, number_of_vc_fec_129=number_of_vc_fec_129, number_of_vc_fec_installed=number_of_vc_fec_installed, number_of_route_upd_proc_errors=number_of_route_upd_proc_errors, number_of_vc_fec_proc_errors=number_of_vc_fec_proc_errors, number_of_prefix_fec_lwd=number_of_prefix_fec_lwd, number_of_vc_fec=number_of_vc_fec)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_statistics_number_of_prefix_fec_update(self, number_of_prefix_fec=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type number_of_prefix_fec: long
    :param number_of_prefix_fec: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, number_of_prefix_fec=number_of_prefix_fec)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, number_of_prefix_fec=number_of_prefix_fec)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_statistics_number_of_prefix_fec_filtered_in_update(self, number_of_prefix_fec_filtered_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type number_of_prefix_fec_filtered_in: long
    :param number_of_prefix_fec_filtered_in: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, number_of_prefix_fec_filtered_in=number_of_prefix_fec_filtered_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, number_of_prefix_fec_filtered_in=number_of_prefix_fec_filtered_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_statistics_number_of_prefix_fec_filtered_out_update(self, number_of_prefix_fec_filtered_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type number_of_prefix_fec_filtered_out: long
    :param number_of_prefix_fec_filtered_out: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, number_of_prefix_fec_filtered_out=number_of_prefix_fec_filtered_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, number_of_prefix_fec_filtered_out=number_of_prefix_fec_filtered_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_statistics_number_of_prefix_fec_installed_update(self, number_of_prefix_fec_installed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type number_of_prefix_fec_installed: long
    :param number_of_prefix_fec_installed: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, number_of_prefix_fec_installed=number_of_prefix_fec_installed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, number_of_prefix_fec_installed=number_of_prefix_fec_installed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_statistics_number_of_prefix_fec_lwd_update(self, number_of_prefix_fec_lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type number_of_prefix_fec_lwd: long
    :param number_of_prefix_fec_lwd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, number_of_prefix_fec_lwd=number_of_prefix_fec_lwd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, number_of_prefix_fec_lwd=number_of_prefix_fec_lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_statistics_number_of_route_upd_proc_errors_update(self, number_of_route_upd_proc_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type number_of_route_upd_proc_errors: long
    :param number_of_route_upd_proc_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, number_of_route_upd_proc_errors=number_of_route_upd_proc_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, number_of_route_upd_proc_errors=number_of_route_upd_proc_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_statistics_number_of_vc_fec_update(self, number_of_vc_fec=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type number_of_vc_fec: long
    :param number_of_vc_fec: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, number_of_vc_fec=number_of_vc_fec)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, number_of_vc_fec=number_of_vc_fec)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_statistics_number_of_vc_fec_128_update(self, number_of_vc_fec_128=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type number_of_vc_fec_128: long
    :param number_of_vc_fec_128: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, number_of_vc_fec_128=number_of_vc_fec_128)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, number_of_vc_fec_128=number_of_vc_fec_128)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_statistics_number_of_vc_fec_129_update(self, number_of_vc_fec_129=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type number_of_vc_fec_129: long
    :param number_of_vc_fec_129: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, number_of_vc_fec_129=number_of_vc_fec_129)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, number_of_vc_fec_129=number_of_vc_fec_129)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_statistics_number_of_vc_fec_installed_update(self, number_of_vc_fec_installed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type number_of_vc_fec_installed: long
    :param number_of_vc_fec_installed: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, number_of_vc_fec_installed=number_of_vc_fec_installed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, number_of_vc_fec_installed=number_of_vc_fec_installed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_statistics_number_of_vc_fec_proc_errors_update(self, number_of_vc_fec_proc_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type number_of_vc_fec_proc_errors: long
    :param number_of_vc_fec_proc_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, number_of_vc_fec_proc_errors=number_of_vc_fec_proc_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, number_of_vc_fec_proc_errors=number_of_vc_fec_proc_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_update(self, ldp_fec_vc=None, peer_id=None, peer_lblspc=None, state=None, peer_vc_type=None, ingress=None, egress=None, vc_feccb=None, vc_idx=None, vc_fec_type=None, prefix_pend_notif=None, prefix_um_dist_done=None, vc_type=None, vc_grp_id=None, vc_local_mtu=None, vc_remote_mtu=None, vc_mtu_enforcement=None, vc_agi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type peer_id: unicode
    :param peer_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_lblspc: long
    :param peer_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type peer_vc_type: long
    :param peer_vc_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ingress: unicode
    :param ingress: Keyword argument.

    :type egress: unicode
    :param egress: Keyword argument.

    :type vc_feccb: long
    :param vc_feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_idx: long
    :param vc_idx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_fec_type: long
    :param vc_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_pend_notif: unicode
    :param prefix_pend_notif: Keyword argument.

    :type prefix_um_dist_done: unicode
    :param prefix_um_dist_done: Keyword argument.

    :type vc_type: long
    :param vc_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_grp_id: long
    :param vc_grp_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_local_mtu: long
    :param vc_local_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_mtu: long
    :param vc_remote_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_mtu_enforcement: long
    :param vc_mtu_enforcement: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_agi: unicode
    :param vc_agi: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, peer_id=peer_id, peer_lblspc=peer_lblspc, state=state, peer_vc_type=peer_vc_type, ingress=ingress, egress=egress, vc_feccb=vc_feccb, vc_idx=vc_idx, vc_fec_type=vc_fec_type, prefix_pend_notif=prefix_pend_notif, prefix_um_dist_done=prefix_um_dist_done, vc_type=vc_type, vc_grp_id=vc_grp_id, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_mtu_enforcement=vc_mtu_enforcement, vc_agi=vc_agi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, peer_id=peer_id, peer_lblspc=peer_lblspc, state=state, peer_vc_type=peer_vc_type, ingress=ingress, egress=egress, vc_feccb=vc_feccb, vc_idx=vc_idx, vc_fec_type=vc_fec_type, prefix_pend_notif=prefix_pend_notif, prefix_um_dist_done=prefix_um_dist_done, vc_type=vc_type, vc_grp_id=vc_grp_id, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_mtu_enforcement=vc_mtu_enforcement, vc_agi=vc_agi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_egress_update(self, ldp_fec_vc=None, egress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type egress: unicode
    :param egress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, egress=egress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, egress=egress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_ingress_update(self, ldp_fec_vc=None, ingress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ingress: unicode
    :param ingress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, ingress=ingress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, ingress=ingress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_peer_id_update(self, ldp_fec_vc=None, peer_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type peer_id: unicode
    :param peer_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, peer_id=peer_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, peer_id=peer_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_peer_lblspc_update(self, ldp_fec_vc=None, peer_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type peer_lblspc: long
    :param peer_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, peer_lblspc=peer_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, peer_lblspc=peer_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_peer_vc_type_update(self, ldp_fec_vc=None, peer_vc_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type peer_vc_type: long
    :param peer_vc_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, peer_vc_type=peer_vc_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, peer_vc_type=peer_vc_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_prefix_pend_notif_update(self, ldp_fec_vc=None, prefix_pend_notif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type prefix_pend_notif: unicode
    :param prefix_pend_notif: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, prefix_pend_notif=prefix_pend_notif)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, prefix_pend_notif=prefix_pend_notif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_prefix_um_dist_done_update(self, ldp_fec_vc=None, prefix_um_dist_done=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type prefix_um_dist_done: unicode
    :param prefix_um_dist_done: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, prefix_um_dist_done=prefix_um_dist_done)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, prefix_um_dist_done=prefix_um_dist_done)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_state_update(self, ldp_fec_vc=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_agi_update(self, ldp_fec_vc=None, vc_agi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_agi: unicode
    :param vc_agi: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_agi=vc_agi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_agi=vc_agi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_downstream_update(self, ldp_fec_vc=None, vc_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_downstream_fec_dm_state_dw_update(self, ldp_fec_vc=None, vc_downstream=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_downstream_fec_filtered_state_update(self, ldp_fec_vc=None, vc_downstream=None, fec_filtered_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, fec_filtered_state=fec_filtered_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, fec_filtered_state=fec_filtered_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_downstream_fec_stale_update(self, ldp_fec_vc=None, vc_downstream=None, fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, fec_stale=fec_stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, fec_stale=fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_downstream_feccb_update(self, ldp_fec_vc=None, vc_downstream=None, feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, feccb=feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, feccb=feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_downstream_label_update(self, ldp_fec_vc=None, vc_downstream=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_downstream_local_ldp_lblspc_update(self, ldp_fec_vc=None, vc_downstream=None, local_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, local_ldp_lblspc=local_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, local_ldp_lblspc=local_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_downstream_peer_ldp_id_update(self, ldp_fec_vc=None, vc_downstream=None, peer_ldp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, peer_ldp_id=peer_ldp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, peer_ldp_id=peer_ldp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_downstream_peer_ldp_lblspc_update(self, ldp_fec_vc=None, vc_downstream=None, peer_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, peer_ldp_lblspc=peer_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, peer_ldp_lblspc=peer_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_downstream_state_update(self, ldp_fec_vc=None, vc_downstream=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_downstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_downstream=vc_downstream, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_fec_type_update(self, ldp_fec_vc=None, vc_fec_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_fec_type: long
    :param vc_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_fec_type=vc_fec_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_fec_type=vc_fec_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_feccb_update(self, ldp_fec_vc=None, vc_feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_feccb: long
    :param vc_feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_feccb=vc_feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_feccb=vc_feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_grp_id_update(self, ldp_fec_vc=None, vc_grp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_grp_id: long
    :param vc_grp_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_grp_id=vc_grp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_grp_id=vc_grp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_idx_update(self, ldp_fec_vc=None, vc_idx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_idx: long
    :param vc_idx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_idx=vc_idx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_idx=vc_idx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_local_mtu_update(self, ldp_fec_vc=None, vc_local_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_local_mtu: long
    :param vc_local_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_local_mtu=vc_local_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_local_mtu=vc_local_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_mtu_enforcement_update(self, ldp_fec_vc=None, vc_mtu_enforcement=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_mtu_enforcement: long
    :param vc_mtu_enforcement: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_mtu_enforcement=vc_mtu_enforcement)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_mtu_enforcement=vc_mtu_enforcement)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_remote_mtu_update(self, ldp_fec_vc=None, vc_remote_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_remote_mtu: long
    :param vc_remote_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_remote_mtu=vc_remote_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_remote_mtu=vc_remote_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_type_update(self, ldp_fec_vc=None, vc_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_type: long
    :param vc_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vc', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_type=vc_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_type=vc_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_upstream_update(self, ldp_fec_vc=None, vc_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_upstream_fec_dm_state_dw_update(self, ldp_fec_vc=None, vc_upstream=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, fec_dm_state_dw=fec_dm_state_dw)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_upstream_fec_filtered_state_update(self, ldp_fec_vc=None, vc_upstream=None, fec_filtered_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, fec_filtered_state=fec_filtered_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, fec_filtered_state=fec_filtered_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_upstream_fec_stale_update(self, ldp_fec_vc=None, vc_upstream=None, fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, fec_stale=fec_stale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, fec_stale=fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_upstream_feccb_update(self, ldp_fec_vc=None, vc_upstream=None, feccb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, feccb=feccb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, feccb=feccb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_upstream_label_update(self, ldp_fec_vc=None, vc_upstream=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_upstream_local_ldp_lblspc_update(self, ldp_fec_vc=None, vc_upstream=None, local_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, local_ldp_lblspc=local_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, local_ldp_lblspc=local_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_upstream_peer_ldp_id_update(self, ldp_fec_vc=None, vc_upstream=None, peer_ldp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, peer_ldp_id=peer_ldp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, peer_ldp_id=peer_ldp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_upstream_peer_ldp_lblspc_update(self, ldp_fec_vc=None, vc_upstream=None, peer_ldp_lblspc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, peer_ldp_lblspc=peer_ldp_lblspc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, peer_ldp_lblspc=peer_ldp_lblspc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_fec_vc_vc_upstream_state_update(self, ldp_fec_vc=None, vc_upstream=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vc: vc_id
    :param ldp_fec_vc: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vc** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc', u'ldp_fec_vc')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_fec_vc.vc_upstream', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vc=ldp_fec_vc, vc_upstream=vc_upstream, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_initialized_update(self, ldp_initialized=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_initialized: YANGBool
    :param ldp_initialized: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_initialized=ldp_initialized)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_initialized=ldp_initialized)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_update(self, ldp_neighbors=None, neighbor_transport=None, interface_name=None, max_hold_time=None, time_left=None, up_time=None, configured_hold_time=None, neighbor_proposed_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_neighbors: neighbor_ldpid, labelspaceid
    :param ldp_neighbors: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **ldp_neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **ldp_neighbors** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type neighbor_transport: unicode
    :param neighbor_transport: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type max_hold_time: long
    :param max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type time_left: long
    :param time_left: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type up_time: unicode
    :param up_time: Keyword argument.

    :type configured_hold_time: long
    :param configured_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_proposed_hold_time: long
    :param neighbor_proposed_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_neighbors', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_neighbors=ldp_neighbors, neighbor_transport=neighbor_transport, interface_name=interface_name, max_hold_time=max_hold_time, time_left=time_left, up_time=up_time, configured_hold_time=configured_hold_time, neighbor_proposed_hold_time=neighbor_proposed_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_neighbors=ldp_neighbors, neighbor_transport=neighbor_transport, interface_name=interface_name, max_hold_time=max_hold_time, time_left=time_left, up_time=up_time, configured_hold_time=configured_hold_time, neighbor_proposed_hold_time=neighbor_proposed_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_configured_hold_time_update(self, ldp_neighbors=None, configured_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_neighbors: neighbor_ldpid, labelspaceid
    :param ldp_neighbors: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **ldp_neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **ldp_neighbors** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type configured_hold_time: long
    :param configured_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_neighbors', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_neighbors=ldp_neighbors, configured_hold_time=configured_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_neighbors=ldp_neighbors, configured_hold_time=configured_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_interface_name_update(self, ldp_neighbors=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_neighbors: neighbor_ldpid, labelspaceid
    :param ldp_neighbors: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **ldp_neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **ldp_neighbors** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_neighbors', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_neighbors=ldp_neighbors, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_neighbors=ldp_neighbors, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_max_hold_time_update(self, ldp_neighbors=None, max_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_neighbors: neighbor_ldpid, labelspaceid
    :param ldp_neighbors: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **ldp_neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **ldp_neighbors** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type max_hold_time: long
    :param max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_neighbors', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_neighbors=ldp_neighbors, max_hold_time=max_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_neighbors=ldp_neighbors, max_hold_time=max_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_neighbor_update(self, neighbor=None, neighbor_transport=None, interface_name=None, max_hold_time=None, time_left=None, up_time=None, configured_hold_time=None, neighbor_proposed_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type neighbor: neighbor_ldpid, labelspaceid
    :param neighbor: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **neighbor** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **neighbor** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type neighbor_transport: unicode
    :param neighbor_transport: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type max_hold_time: long
    :param max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type time_left: long
    :param time_left: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type up_time: unicode
    :param up_time: Keyword argument.

    :type configured_hold_time: long
    :param configured_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_proposed_hold_time: long
    :param neighbor_proposed_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor=neighbor, neighbor_transport=neighbor_transport, interface_name=interface_name, max_hold_time=max_hold_time, time_left=time_left, up_time=up_time, configured_hold_time=configured_hold_time, neighbor_proposed_hold_time=neighbor_proposed_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor=neighbor, neighbor_transport=neighbor_transport, interface_name=interface_name, max_hold_time=max_hold_time, time_left=time_left, up_time=up_time, configured_hold_time=configured_hold_time, neighbor_proposed_hold_time=neighbor_proposed_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_neighbor_configured_hold_time_update(self, neighbor=None, configured_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type neighbor: neighbor_ldpid, labelspaceid
    :param neighbor: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **neighbor** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **neighbor** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type configured_hold_time: long
    :param configured_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor=neighbor, configured_hold_time=configured_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor=neighbor, configured_hold_time=configured_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_neighbor_interface_name_update(self, neighbor=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type neighbor: neighbor_ldpid, labelspaceid
    :param neighbor: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **neighbor** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **neighbor** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor=neighbor, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor=neighbor, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_neighbor_max_hold_time_update(self, neighbor=None, max_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type neighbor: neighbor_ldpid, labelspaceid
    :param neighbor: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **neighbor** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **neighbor** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type max_hold_time: long
    :param max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor=neighbor, max_hold_time=max_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor=neighbor, max_hold_time=max_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_neighbor_neighbor_proposed_hold_time_update(self, neighbor=None, neighbor_proposed_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type neighbor: neighbor_ldpid, labelspaceid
    :param neighbor: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **neighbor** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **neighbor** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type neighbor_proposed_hold_time: long
    :param neighbor_proposed_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor=neighbor, neighbor_proposed_hold_time=neighbor_proposed_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor=neighbor, neighbor_proposed_hold_time=neighbor_proposed_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_neighbor_neighbor_transport_update(self, neighbor=None, neighbor_transport=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type neighbor: neighbor_ldpid, labelspaceid
    :param neighbor: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **neighbor** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **neighbor** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type neighbor_transport: unicode
    :param neighbor_transport: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor=neighbor, neighbor_transport=neighbor_transport)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor=neighbor, neighbor_transport=neighbor_transport)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_neighbor_proposed_hold_time_update(self, ldp_neighbors=None, neighbor_proposed_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_neighbors: neighbor_ldpid, labelspaceid
    :param ldp_neighbors: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **ldp_neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **ldp_neighbors** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type neighbor_proposed_hold_time: long
    :param neighbor_proposed_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_neighbors', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_neighbors=ldp_neighbors, neighbor_proposed_hold_time=neighbor_proposed_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_neighbors=ldp_neighbors, neighbor_proposed_hold_time=neighbor_proposed_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_neighbor_time_left_update(self, neighbor=None, time_left=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type neighbor: neighbor_ldpid, labelspaceid
    :param neighbor: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **neighbor** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **neighbor** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type time_left: long
    :param time_left: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor=neighbor, time_left=time_left)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor=neighbor, time_left=time_left)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_neighbor_transport_update(self, ldp_neighbors=None, neighbor_transport=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_neighbors: neighbor_ldpid, labelspaceid
    :param ldp_neighbors: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **ldp_neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **ldp_neighbors** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type neighbor_transport: unicode
    :param neighbor_transport: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_neighbors', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_neighbors=ldp_neighbors, neighbor_transport=neighbor_transport)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_neighbors=ldp_neighbors, neighbor_transport=neighbor_transport)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_neighbor_up_time_update(self, neighbor=None, up_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type neighbor: neighbor_ldpid, labelspaceid
    :param neighbor: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **neighbor** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **neighbor** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type up_time: unicode
    :param up_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor=neighbor, up_time=up_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor=neighbor, up_time=up_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_num_link_neighbors_update(self, num_link_neighbors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type num_link_neighbors: long
    :param num_link_neighbors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_link_neighbors=num_link_neighbors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_link_neighbors=num_link_neighbors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_num_targeted_neighbors_update(self, num_targeted_neighbors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type num_targeted_neighbors: long
    :param num_targeted_neighbors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_targeted_neighbors=num_targeted_neighbors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_targeted_neighbors=num_targeted_neighbors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_time_left_update(self, ldp_neighbors=None, time_left=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_neighbors: neighbor_ldpid, labelspaceid
    :param ldp_neighbors: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **ldp_neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **ldp_neighbors** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type time_left: long
    :param time_left: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_neighbors', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_neighbors=ldp_neighbors, time_left=time_left)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_neighbors=ldp_neighbors, time_left=time_left)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_up_time_update(self, ldp_neighbors=None, up_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_neighbors: neighbor_ldpid, labelspaceid
    :param ldp_neighbors: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **ldp_neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **ldp_neighbors** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type up_time: unicode
    :param up_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_neighbors', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_neighbors=ldp_neighbors, up_time=up_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_neighbors=ldp_neighbors, up_time=up_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_update(self, ldp_initialized=None, lsr_id=None, lsr_id_configured=None, loopback=None, hello_interval_link=None, hello_interval_target=None, hold_time_sent_link=None, hold_time_sent_target=None, ka_interval=None, ka_multiple=None, ka_timeout=None, ka_timeout_default=None, load_sharing=None, advertise_fecs_for_prefix_list=None, advertise_fecs_for_prefix_list_exists=None, inbound_fecs_filtering_prefix_list=None, inbound_fecs_filtering_prefix_list_exists=None, outbound_fecs_filtering_prefix_list=None, outbound_fecs_filtering_prefix_list_exists=None, tunnel_metric=None, fec_128_used_for_auto_disc_current=None, fec_128_used_for_auto_disc_configured=None, end_of_lib=None, eol_notification_time=None, tx_silence_time=None, rx_silence_time=None, gr_enable=None, gr_helper=None, gr_reconnect_time=None, gr_max_peer_reconnect_time=None, gr_recovery_time=None, gr_max_peer_recovery_time=None, forwarding_state_timer_running=None, forwarding_state_timer_remaining=None, lwd_delay=None, lwd_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type ldp_initialized: YANGBool
    :param ldp_initialized: Keyword argument.

    :type lsr_id: unicode
    :param lsr_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsr_id_configured: YANGBool
    :param lsr_id_configured: Keyword argument.

    :type loopback: int
    :param loopback: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type hello_interval_link: long
    :param hello_interval_link: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval_target: long
    :param hello_interval_target: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hold_time_sent_link: long
    :param hold_time_sent_link: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hold_time_sent_target: long
    :param hold_time_sent_target: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ka_interval: long
    :param ka_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ka_multiple: long
    :param ka_multiple: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ka_timeout: long
    :param ka_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ka_timeout_default: YANGBool
    :param ka_timeout_default: Keyword argument.

    :type load_sharing: int
    :param load_sharing: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type advertise_fecs_for_prefix_list: unicode
    :param advertise_fecs_for_prefix_list: Keyword argument.

    :type advertise_fecs_for_prefix_list_exists: YANGBool
    :param advertise_fecs_for_prefix_list_exists: Keyword argument.

    :type inbound_fecs_filtering_prefix_list: unicode
    :param inbound_fecs_filtering_prefix_list: Keyword argument.

    :type inbound_fecs_filtering_prefix_list_exists: YANGBool
    :param inbound_fecs_filtering_prefix_list_exists: Keyword argument.

    :type outbound_fecs_filtering_prefix_list: unicode
    :param outbound_fecs_filtering_prefix_list: Keyword argument.

    :type outbound_fecs_filtering_prefix_list_exists: YANGBool
    :param outbound_fecs_filtering_prefix_list_exists: Keyword argument.

    :type tunnel_metric: int
    :param tunnel_metric: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type fec_128_used_for_auto_disc_current: YANGBool
    :param fec_128_used_for_auto_disc_current: Keyword argument.

    :type fec_128_used_for_auto_disc_configured: YANGBool
    :param fec_128_used_for_auto_disc_configured: Keyword argument.

    :type end_of_lib: YANGBool
    :param end_of_lib: Keyword argument.

    :type eol_notification_time: long
    :param eol_notification_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tx_silence_time: long
    :param tx_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rx_silence_time: long
    :param rx_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gr_enable: YANGBool
    :param gr_enable: Keyword argument.

    :type gr_helper: YANGBool
    :param gr_helper: Keyword argument.

    :type gr_reconnect_time: long
    :param gr_reconnect_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gr_max_peer_reconnect_time: long
    :param gr_max_peer_reconnect_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gr_recovery_time: long
    :param gr_recovery_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gr_max_peer_recovery_time: long
    :param gr_max_peer_recovery_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type forwarding_state_timer_running: YANGBool
    :param forwarding_state_timer_running: Keyword argument.

    :type forwarding_state_timer_remaining: long
    :param forwarding_state_timer_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lwd_delay: long
    :param lwd_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lwd_default: YANGBool
    :param lwd_default: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_initialized=ldp_initialized, lsr_id=lsr_id, lsr_id_configured=lsr_id_configured, loopback=loopback, hello_interval_link=hello_interval_link, hello_interval_target=hello_interval_target, hold_time_sent_link=hold_time_sent_link, hold_time_sent_target=hold_time_sent_target, ka_interval=ka_interval, ka_multiple=ka_multiple, ka_timeout=ka_timeout, ka_timeout_default=ka_timeout_default, load_sharing=load_sharing, advertise_fecs_for_prefix_list=advertise_fecs_for_prefix_list, advertise_fecs_for_prefix_list_exists=advertise_fecs_for_prefix_list_exists, inbound_fecs_filtering_prefix_list=inbound_fecs_filtering_prefix_list, inbound_fecs_filtering_prefix_list_exists=inbound_fecs_filtering_prefix_list_exists, outbound_fecs_filtering_prefix_list=outbound_fecs_filtering_prefix_list, outbound_fecs_filtering_prefix_list_exists=outbound_fecs_filtering_prefix_list_exists, tunnel_metric=tunnel_metric, fec_128_used_for_auto_disc_current=fec_128_used_for_auto_disc_current, fec_128_used_for_auto_disc_configured=fec_128_used_for_auto_disc_configured, end_of_lib=end_of_lib, eol_notification_time=eol_notification_time, tx_silence_time=tx_silence_time, rx_silence_time=rx_silence_time, gr_enable=gr_enable, gr_helper=gr_helper, gr_reconnect_time=gr_reconnect_time, gr_max_peer_reconnect_time=gr_max_peer_reconnect_time, gr_recovery_time=gr_recovery_time, gr_max_peer_recovery_time=gr_max_peer_recovery_time, forwarding_state_timer_running=forwarding_state_timer_running, forwarding_state_timer_remaining=forwarding_state_timer_remaining, lwd_delay=lwd_delay, lwd_default=lwd_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_initialized=ldp_initialized, lsr_id=lsr_id, lsr_id_configured=lsr_id_configured, loopback=loopback, hello_interval_link=hello_interval_link, hello_interval_target=hello_interval_target, hold_time_sent_link=hold_time_sent_link, hold_time_sent_target=hold_time_sent_target, ka_interval=ka_interval, ka_multiple=ka_multiple, ka_timeout=ka_timeout, ka_timeout_default=ka_timeout_default, load_sharing=load_sharing, advertise_fecs_for_prefix_list=advertise_fecs_for_prefix_list, advertise_fecs_for_prefix_list_exists=advertise_fecs_for_prefix_list_exists, inbound_fecs_filtering_prefix_list=inbound_fecs_filtering_prefix_list, inbound_fecs_filtering_prefix_list_exists=inbound_fecs_filtering_prefix_list_exists, outbound_fecs_filtering_prefix_list=outbound_fecs_filtering_prefix_list, outbound_fecs_filtering_prefix_list_exists=outbound_fecs_filtering_prefix_list_exists, tunnel_metric=tunnel_metric, fec_128_used_for_auto_disc_current=fec_128_used_for_auto_disc_current, fec_128_used_for_auto_disc_configured=fec_128_used_for_auto_disc_configured, end_of_lib=end_of_lib, eol_notification_time=eol_notification_time, tx_silence_time=tx_silence_time, rx_silence_time=rx_silence_time, gr_enable=gr_enable, gr_helper=gr_helper, gr_reconnect_time=gr_reconnect_time, gr_max_peer_reconnect_time=gr_max_peer_reconnect_time, gr_recovery_time=gr_recovery_time, gr_max_peer_recovery_time=gr_max_peer_recovery_time, forwarding_state_timer_running=forwarding_state_timer_running, forwarding_state_timer_remaining=forwarding_state_timer_remaining, lwd_delay=lwd_delay, lwd_default=lwd_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_advertise_fecs_for_prefix_list_update(self, advertise_fecs_for_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type advertise_fecs_for_prefix_list: unicode
    :param advertise_fecs_for_prefix_list: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, advertise_fecs_for_prefix_list=advertise_fecs_for_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, advertise_fecs_for_prefix_list=advertise_fecs_for_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_advertise_fecs_for_prefix_list_exists_update(self, advertise_fecs_for_prefix_list_exists=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type advertise_fecs_for_prefix_list_exists: YANGBool
    :param advertise_fecs_for_prefix_list_exists: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, advertise_fecs_for_prefix_list_exists=advertise_fecs_for_prefix_list_exists)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, advertise_fecs_for_prefix_list_exists=advertise_fecs_for_prefix_list_exists)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_end_of_lib_update(self, end_of_lib=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type end_of_lib: YANGBool
    :param end_of_lib: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, end_of_lib=end_of_lib)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, end_of_lib=end_of_lib)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_eol_notification_time_update(self, eol_notification_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type eol_notification_time: long
    :param eol_notification_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, eol_notification_time=eol_notification_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, eol_notification_time=eol_notification_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_fec_128_used_for_auto_disc_configured_update(self, fec_128_used_for_auto_disc_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type fec_128_used_for_auto_disc_configured: YANGBool
    :param fec_128_used_for_auto_disc_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fec_128_used_for_auto_disc_configured=fec_128_used_for_auto_disc_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fec_128_used_for_auto_disc_configured=fec_128_used_for_auto_disc_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_fec_128_used_for_auto_disc_current_update(self, fec_128_used_for_auto_disc_current=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type fec_128_used_for_auto_disc_current: YANGBool
    :param fec_128_used_for_auto_disc_current: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fec_128_used_for_auto_disc_current=fec_128_used_for_auto_disc_current)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fec_128_used_for_auto_disc_current=fec_128_used_for_auto_disc_current)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_forwarding_state_timer_remaining_update(self, forwarding_state_timer_remaining=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type forwarding_state_timer_remaining: long
    :param forwarding_state_timer_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forwarding_state_timer_remaining=forwarding_state_timer_remaining)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forwarding_state_timer_remaining=forwarding_state_timer_remaining)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_forwarding_state_timer_running_update(self, forwarding_state_timer_running=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type forwarding_state_timer_running: YANGBool
    :param forwarding_state_timer_running: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forwarding_state_timer_running=forwarding_state_timer_running)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forwarding_state_timer_running=forwarding_state_timer_running)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_gr_enable_update(self, gr_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type gr_enable: YANGBool
    :param gr_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_enable=gr_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_enable=gr_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_gr_helper_update(self, gr_helper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type gr_helper: YANGBool
    :param gr_helper: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_helper=gr_helper)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_helper=gr_helper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_gr_max_peer_reconnect_time_update(self, gr_max_peer_reconnect_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type gr_max_peer_reconnect_time: long
    :param gr_max_peer_reconnect_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_max_peer_reconnect_time=gr_max_peer_reconnect_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_max_peer_reconnect_time=gr_max_peer_reconnect_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_gr_max_peer_recovery_time_update(self, gr_max_peer_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type gr_max_peer_recovery_time: long
    :param gr_max_peer_recovery_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_max_peer_recovery_time=gr_max_peer_recovery_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_max_peer_recovery_time=gr_max_peer_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_gr_reconnect_time_update(self, gr_reconnect_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type gr_reconnect_time: long
    :param gr_reconnect_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_reconnect_time=gr_reconnect_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_reconnect_time=gr_reconnect_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_gr_recovery_time_update(self, gr_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type gr_recovery_time: long
    :param gr_recovery_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_recovery_time=gr_recovery_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_recovery_time=gr_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_hello_interval_link_update(self, hello_interval_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type hello_interval_link: long
    :param hello_interval_link: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_interval_link=hello_interval_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_interval_link=hello_interval_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_hello_interval_target_update(self, hello_interval_target=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type hello_interval_target: long
    :param hello_interval_target: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_interval_target=hello_interval_target)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_interval_target=hello_interval_target)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_hold_time_sent_link_update(self, hold_time_sent_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type hold_time_sent_link: long
    :param hold_time_sent_link: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hold_time_sent_link=hold_time_sent_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hold_time_sent_link=hold_time_sent_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_hold_time_sent_target_update(self, hold_time_sent_target=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type hold_time_sent_target: long
    :param hold_time_sent_target: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hold_time_sent_target=hold_time_sent_target)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hold_time_sent_target=hold_time_sent_target)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_inbound_fecs_filtering_prefix_list_update(self, inbound_fecs_filtering_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type inbound_fecs_filtering_prefix_list: unicode
    :param inbound_fecs_filtering_prefix_list: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inbound_fecs_filtering_prefix_list=inbound_fecs_filtering_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inbound_fecs_filtering_prefix_list=inbound_fecs_filtering_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_inbound_fecs_filtering_prefix_list_exists_update(self, inbound_fecs_filtering_prefix_list_exists=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type inbound_fecs_filtering_prefix_list_exists: YANGBool
    :param inbound_fecs_filtering_prefix_list_exists: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inbound_fecs_filtering_prefix_list_exists=inbound_fecs_filtering_prefix_list_exists)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inbound_fecs_filtering_prefix_list_exists=inbound_fecs_filtering_prefix_list_exists)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_ka_interval_update(self, ka_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type ka_interval: long
    :param ka_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ka_interval=ka_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ka_interval=ka_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_ka_multiple_update(self, ka_multiple=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type ka_multiple: long
    :param ka_multiple: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ka_multiple=ka_multiple)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ka_multiple=ka_multiple)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_ka_timeout_update(self, ka_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type ka_timeout: long
    :param ka_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ka_timeout=ka_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ka_timeout=ka_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_ka_timeout_default_update(self, ka_timeout_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type ka_timeout_default: YANGBool
    :param ka_timeout_default: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ka_timeout_default=ka_timeout_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ka_timeout_default=ka_timeout_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_ldp_initialized_update(self, ldp_initialized=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type ldp_initialized: YANGBool
    :param ldp_initialized: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_initialized=ldp_initialized)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_initialized=ldp_initialized)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_load_sharing_update(self, load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type load_sharing: int
    :param load_sharing: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, load_sharing=load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, load_sharing=load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_loopback_update(self, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type loopback: int
    :param loopback: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_lsr_id_update(self, lsr_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type lsr_id: unicode
    :param lsr_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsr_id=lsr_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsr_id=lsr_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_lsr_id_configured_update(self, lsr_id_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type lsr_id_configured: YANGBool
    :param lsr_id_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsr_id_configured=lsr_id_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsr_id_configured=lsr_id_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_lwd_default_update(self, lwd_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type lwd_default: YANGBool
    :param lwd_default: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lwd_default=lwd_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lwd_default=lwd_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_lwd_delay_update(self, lwd_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type lwd_delay: long
    :param lwd_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lwd_delay=lwd_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lwd_delay=lwd_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_outbound_fecs_filtering_prefix_list_update(self, outbound_fecs_filtering_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type outbound_fecs_filtering_prefix_list: unicode
    :param outbound_fecs_filtering_prefix_list: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, outbound_fecs_filtering_prefix_list=outbound_fecs_filtering_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, outbound_fecs_filtering_prefix_list=outbound_fecs_filtering_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_outbound_fecs_filtering_prefix_list_exists_update(self, outbound_fecs_filtering_prefix_list_exists=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type outbound_fecs_filtering_prefix_list_exists: YANGBool
    :param outbound_fecs_filtering_prefix_list_exists: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, outbound_fecs_filtering_prefix_list_exists=outbound_fecs_filtering_prefix_list_exists)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, outbound_fecs_filtering_prefix_list_exists=outbound_fecs_filtering_prefix_list_exists)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_rx_silence_time_update(self, rx_silence_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type rx_silence_time: long
    :param rx_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_silence_time=rx_silence_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_silence_time=rx_silence_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_tunnel_metric_update(self, tunnel_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tunnel_metric: int
    :param tunnel_metric: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_metric=tunnel_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_metric=tunnel_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_tx_silence_time_update(self, tx_silence_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type tx_silence_time: long
    :param tx_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tx_silence_time=tx_silence_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tx_silence_time=tx_silence_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_update(self, ldp_session=None, peer_lblspc_id=None, state=None, adjacency=None, role=None, max_hold=None, time_left=None, session_status=None, local_ldp_id=None, local_lblspc_id=None, next_keepalive=None, entity_index=None, targeted_adj_added=None, is_retry=None, next_retry=None, keepalive_interval=None, local_keepalive_timeout=None, peer_proposed_keepalive_timeout=None, session_up_time=None, md5_auth_key=None, tcp_conn_local=None, tcp_conn_remote=None, tcp_state=None, num_fecs_received_from_peer=None, num_fecs_installed_from_peer=None, is_fecs_pending_uninstall=None, num_fecs_filtered_out=None, num_fecs_filtered_in=None, filter_prefix_list_name=None, filter_prefix_list_exists=None, is_only_gr_valid=None, gr_enabled=None, peer_reconnect_time=None, peer_recovery_time=None, reconnect_time_in_use=None, reconnect_time_remaining=None, recovery_time_in_use=None, recovery_time_remaining=None, gr_state=None, local_eol_unrecognized_notification=None, remote_eol_unrecognized_notification=None, does_session_support_eol=None, local_state=None, remote_state=None, eol_notification_time=None, eol_notification_time_remaining=None, eol_tx_label_silence_time=None, eol_tx_label_silence_time_remaining=None, eol_rx_label_silence_time=None, eol_rx_label_silence_time_remaining=None, filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type peer_lblspc_id: unicode
    :param peer_lblspc_id: Keyword argument.

    :type state: unicode
    :param state: Keyword argument.

    :type adjacency: unicode
    :param adjacency: Keyword argument.

    :type role: unicode
    :param role: Keyword argument.

    :type max_hold: long
    :param max_hold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type time_left: long
    :param time_left: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type session_status: unicode
    :param session_status: Keyword argument.

    :type local_ldp_id: unicode
    :param local_ldp_id: Keyword argument.

    :type local_lblspc_id: unicode
    :param local_lblspc_id: Keyword argument.

    :type next_keepalive: long
    :param next_keepalive: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type entity_index: long
    :param entity_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type targeted_adj_added: unicode
    :param targeted_adj_added: Keyword argument.

    :type is_retry: YANGBool
    :param is_retry: Keyword argument.

    :type next_retry: long
    :param next_retry: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type keepalive_interval: long
    :param keepalive_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type local_keepalive_timeout: long
    :param local_keepalive_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_proposed_keepalive_timeout: long
    :param peer_proposed_keepalive_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type session_up_time: unicode
    :param session_up_time: Keyword argument.

    :type md5_auth_key: unicode
    :param md5_auth_key: Keyword argument.

    :type tcp_conn_local: unicode
    :param tcp_conn_local: Keyword argument.

    :type tcp_conn_remote: unicode
    :param tcp_conn_remote: Keyword argument.

    :type tcp_state: unicode
    :param tcp_state: Keyword argument.

    :type num_fecs_received_from_peer: long
    :param num_fecs_received_from_peer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_fecs_installed_from_peer: long
    :param num_fecs_installed_from_peer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_fecs_pending_uninstall: YANGBool
    :param is_fecs_pending_uninstall: Keyword argument.

    :type num_fecs_filtered_out: long
    :param num_fecs_filtered_out: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_fecs_filtered_in: long
    :param num_fecs_filtered_in: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type filter_prefix_list_name: unicode
    :param filter_prefix_list_name: Keyword argument.

    :type filter_prefix_list_exists: YANGBool
    :param filter_prefix_list_exists: Keyword argument.

    :type is_only_gr_valid: YANGBool
    :param is_only_gr_valid: Keyword argument.

    :type gr_enabled: YANGBool
    :param gr_enabled: Keyword argument.

    :type peer_reconnect_time: long
    :param peer_reconnect_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_recovery_time: long
    :param peer_recovery_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type reconnect_time_in_use: long
    :param reconnect_time_in_use: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type reconnect_time_remaining: long
    :param reconnect_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type recovery_time_in_use: long
    :param recovery_time_in_use: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type recovery_time_remaining: long
    :param recovery_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gr_state: unicode
    :param gr_state: Keyword argument.

    :type local_eol_unrecognized_notification: YANGBool
    :param local_eol_unrecognized_notification: Keyword argument.

    :type remote_eol_unrecognized_notification: YANGBool
    :param remote_eol_unrecognized_notification: Keyword argument.

    :type does_session_support_eol: YANGBool
    :param does_session_support_eol: Keyword argument.

    :type local_state: YANGBool
    :param local_state: Keyword argument.

    :type remote_state: YANGBool
    :param remote_state: Keyword argument.

    :type eol_notification_time: long
    :param eol_notification_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type eol_notification_time_remaining: long
    :param eol_notification_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type eol_tx_label_silence_time: long
    :param eol_tx_label_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type eol_tx_label_silence_time_remaining: long
    :param eol_tx_label_silence_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type eol_rx_label_silence_time: long
    :param eol_rx_label_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type eol_rx_label_silence_time_remaining: long
    :param eol_rx_label_silence_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type filtered: unicode
    :param filtered: Keyword argument.

        * enumeration restriction: ::

            ['sess-filtered-out',
            'sess-filtered-in',
            'sess-filtered']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, peer_lblspc_id=peer_lblspc_id, state=state, adjacency=adjacency, role=role, max_hold=max_hold, time_left=time_left, session_status=session_status, local_ldp_id=local_ldp_id, local_lblspc_id=local_lblspc_id, next_keepalive=next_keepalive, entity_index=entity_index, targeted_adj_added=targeted_adj_added, is_retry=is_retry, next_retry=next_retry, keepalive_interval=keepalive_interval, local_keepalive_timeout=local_keepalive_timeout, peer_proposed_keepalive_timeout=peer_proposed_keepalive_timeout, session_up_time=session_up_time, md5_auth_key=md5_auth_key, tcp_conn_local=tcp_conn_local, tcp_conn_remote=tcp_conn_remote, tcp_state=tcp_state, num_fecs_received_from_peer=num_fecs_received_from_peer, num_fecs_installed_from_peer=num_fecs_installed_from_peer, is_fecs_pending_uninstall=is_fecs_pending_uninstall, num_fecs_filtered_out=num_fecs_filtered_out, num_fecs_filtered_in=num_fecs_filtered_in, filter_prefix_list_name=filter_prefix_list_name, filter_prefix_list_exists=filter_prefix_list_exists, is_only_gr_valid=is_only_gr_valid, gr_enabled=gr_enabled, peer_reconnect_time=peer_reconnect_time, peer_recovery_time=peer_recovery_time, reconnect_time_in_use=reconnect_time_in_use, reconnect_time_remaining=reconnect_time_remaining, recovery_time_in_use=recovery_time_in_use, recovery_time_remaining=recovery_time_remaining, gr_state=gr_state, local_eol_unrecognized_notification=local_eol_unrecognized_notification, remote_eol_unrecognized_notification=remote_eol_unrecognized_notification, does_session_support_eol=does_session_support_eol, local_state=local_state, remote_state=remote_state, eol_notification_time=eol_notification_time, eol_notification_time_remaining=eol_notification_time_remaining, eol_tx_label_silence_time=eol_tx_label_silence_time, eol_tx_label_silence_time_remaining=eol_tx_label_silence_time_remaining, eol_rx_label_silence_time=eol_rx_label_silence_time, eol_rx_label_silence_time_remaining=eol_rx_label_silence_time_remaining, filtered=filtered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, peer_lblspc_id=peer_lblspc_id, state=state, adjacency=adjacency, role=role, max_hold=max_hold, time_left=time_left, session_status=session_status, local_ldp_id=local_ldp_id, local_lblspc_id=local_lblspc_id, next_keepalive=next_keepalive, entity_index=entity_index, targeted_adj_added=targeted_adj_added, is_retry=is_retry, next_retry=next_retry, keepalive_interval=keepalive_interval, local_keepalive_timeout=local_keepalive_timeout, peer_proposed_keepalive_timeout=peer_proposed_keepalive_timeout, session_up_time=session_up_time, md5_auth_key=md5_auth_key, tcp_conn_local=tcp_conn_local, tcp_conn_remote=tcp_conn_remote, tcp_state=tcp_state, num_fecs_received_from_peer=num_fecs_received_from_peer, num_fecs_installed_from_peer=num_fecs_installed_from_peer, is_fecs_pending_uninstall=is_fecs_pending_uninstall, num_fecs_filtered_out=num_fecs_filtered_out, num_fecs_filtered_in=num_fecs_filtered_in, filter_prefix_list_name=filter_prefix_list_name, filter_prefix_list_exists=filter_prefix_list_exists, is_only_gr_valid=is_only_gr_valid, gr_enabled=gr_enabled, peer_reconnect_time=peer_reconnect_time, peer_recovery_time=peer_recovery_time, reconnect_time_in_use=reconnect_time_in_use, reconnect_time_remaining=reconnect_time_remaining, recovery_time_in_use=recovery_time_in_use, recovery_time_remaining=recovery_time_remaining, gr_state=gr_state, local_eol_unrecognized_notification=local_eol_unrecognized_notification, remote_eol_unrecognized_notification=remote_eol_unrecognized_notification, does_session_support_eol=does_session_support_eol, local_state=local_state, remote_state=remote_state, eol_notification_time=eol_notification_time, eol_notification_time_remaining=eol_notification_time_remaining, eol_tx_label_silence_time=eol_tx_label_silence_time, eol_tx_label_silence_time_remaining=eol_tx_label_silence_time_remaining, eol_rx_label_silence_time=eol_rx_label_silence_time, eol_rx_label_silence_time_remaining=eol_rx_label_silence_time_remaining, filtered=filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_adjacency_update(self, ldp_session=None, adjacency=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type adjacency: unicode
    :param adjacency: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, adjacency=adjacency)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, adjacency=adjacency)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_does_session_support_eol_update(self, ldp_session=None, does_session_support_eol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type does_session_support_eol: YANGBool
    :param does_session_support_eol: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, does_session_support_eol=does_session_support_eol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, does_session_support_eol=does_session_support_eol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_entity_index_update(self, ldp_session=None, entity_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type entity_index: long
    :param entity_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, entity_index=entity_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, entity_index=entity_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_eol_notification_time_update(self, ldp_session=None, eol_notification_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type eol_notification_time: long
    :param eol_notification_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, eol_notification_time=eol_notification_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, eol_notification_time=eol_notification_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_eol_notification_time_remaining_update(self, ldp_session=None, eol_notification_time_remaining=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type eol_notification_time_remaining: long
    :param eol_notification_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, eol_notification_time_remaining=eol_notification_time_remaining)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, eol_notification_time_remaining=eol_notification_time_remaining)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_eol_rx_label_silence_time_update(self, ldp_session=None, eol_rx_label_silence_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type eol_rx_label_silence_time: long
    :param eol_rx_label_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, eol_rx_label_silence_time=eol_rx_label_silence_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, eol_rx_label_silence_time=eol_rx_label_silence_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_eol_rx_label_silence_time_remaining_update(self, ldp_session=None, eol_rx_label_silence_time_remaining=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type eol_rx_label_silence_time_remaining: long
    :param eol_rx_label_silence_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, eol_rx_label_silence_time_remaining=eol_rx_label_silence_time_remaining)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, eol_rx_label_silence_time_remaining=eol_rx_label_silence_time_remaining)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_eol_tx_label_silence_time_update(self, ldp_session=None, eol_tx_label_silence_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type eol_tx_label_silence_time: long
    :param eol_tx_label_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, eol_tx_label_silence_time=eol_tx_label_silence_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, eol_tx_label_silence_time=eol_tx_label_silence_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_eol_tx_label_silence_time_remaining_update(self, ldp_session=None, eol_tx_label_silence_time_remaining=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type eol_tx_label_silence_time_remaining: long
    :param eol_tx_label_silence_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, eol_tx_label_silence_time_remaining=eol_tx_label_silence_time_remaining)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, eol_tx_label_silence_time_remaining=eol_tx_label_silence_time_remaining)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_filter_prefix_list_exists_update(self, ldp_session=None, filter_prefix_list_exists=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type filter_prefix_list_exists: YANGBool
    :param filter_prefix_list_exists: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, filter_prefix_list_exists=filter_prefix_list_exists)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, filter_prefix_list_exists=filter_prefix_list_exists)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_filter_prefix_list_name_update(self, ldp_session=None, filter_prefix_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type filter_prefix_list_name: unicode
    :param filter_prefix_list_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, filter_prefix_list_name=filter_prefix_list_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, filter_prefix_list_name=filter_prefix_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_filtered_update(self, ldp_session=None, filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type filtered: unicode
    :param filtered: Keyword argument.

        * enumeration restriction: ::

            ['sess-filtered-out',
            'sess-filtered-in',
            'sess-filtered']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, filtered=filtered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, filtered=filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_filtered_fecs_in_update(self, ldp_session=None, filtered_fecs_in=None, label=None, prefix_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type filtered_fecs_in: fec_addr
    :param filtered_fecs_in: Keyword argument tuple.

    :type fec_addr: unicode
    :param fec_addr: **filtered_fecs_in** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_len: int
    :param prefix_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_in', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session.filtered_fecs_in', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}, {'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'filtered_fecs_in', 'keyval': 'fec_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, filtered_fecs_in=filtered_fecs_in, label=label, prefix_len=prefix_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, filtered_fecs_in=filtered_fecs_in, label=label, prefix_len=prefix_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_filtered_fecs_in_label_update(self, ldp_session=None, filtered_fecs_in=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type filtered_fecs_in: fec_addr
    :param filtered_fecs_in: Keyword argument tuple.

    :type fec_addr: unicode
    :param fec_addr: **filtered_fecs_in** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_in', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session.filtered_fecs_in', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}, {'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'filtered_fecs_in', 'keyval': 'fec_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, filtered_fecs_in=filtered_fecs_in, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, filtered_fecs_in=filtered_fecs_in, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_filtered_fecs_in_prefix_len_update(self, ldp_session=None, filtered_fecs_in=None, prefix_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type filtered_fecs_in: fec_addr
    :param filtered_fecs_in: Keyword argument tuple.

    :type fec_addr: unicode
    :param fec_addr: **filtered_fecs_in** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_len: int
    :param prefix_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_in', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session.filtered_fecs_in', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}, {'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'filtered_fecs_in', 'keyval': 'fec_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, filtered_fecs_in=filtered_fecs_in, prefix_len=prefix_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, filtered_fecs_in=filtered_fecs_in, prefix_len=prefix_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_filtered_fecs_out_update(self, ldp_session=None, filtered_fecs_out=None, label=None, prefix_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type filtered_fecs_out: fec_addr
    :param filtered_fecs_out: Keyword argument tuple.

    :type fec_addr: unicode
    :param fec_addr: **filtered_fecs_out** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_len: int
    :param prefix_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', u'ldp_session'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session.filtered_fecs_out', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}, {'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'filtered_fecs_out', 'keyval': 'fec_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, filtered_fecs_out=filtered_fecs_out, label=label, prefix_len=prefix_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, filtered_fecs_out=filtered_fecs_out, label=label, prefix_len=prefix_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_filtered_fecs_out_label_update(self, ldp_session=None, filtered_fecs_out=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type filtered_fecs_out: fec_addr
    :param filtered_fecs_out: Keyword argument tuple.

    :type fec_addr: unicode
    :param fec_addr: **filtered_fecs_out** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', u'ldp_session'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session.filtered_fecs_out', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}, {'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'filtered_fecs_out', 'keyval': 'fec_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, filtered_fecs_out=filtered_fecs_out, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, filtered_fecs_out=filtered_fecs_out, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_filtered_fecs_out_prefix_len_update(self, ldp_session=None, filtered_fecs_out=None, prefix_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type filtered_fecs_out: fec_addr
    :param filtered_fecs_out: Keyword argument tuple.

    :type fec_addr: unicode
    :param fec_addr: **filtered_fecs_out** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_len: int
    :param prefix_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', u'ldp_session'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session.filtered_fecs_out', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}, {'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'filtered_fecs_out', 'keyval': 'fec_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, filtered_fecs_out=filtered_fecs_out, prefix_len=prefix_len)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, filtered_fecs_out=filtered_fecs_out, prefix_len=prefix_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_gr_enabled_update(self, ldp_session=None, gr_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type gr_enabled: YANGBool
    :param gr_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, gr_enabled=gr_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, gr_enabled=gr_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_gr_state_update(self, ldp_session=None, gr_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type gr_state: unicode
    :param gr_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, gr_state=gr_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, gr_state=gr_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_is_fecs_pending_uninstall_update(self, ldp_session=None, is_fecs_pending_uninstall=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type is_fecs_pending_uninstall: YANGBool
    :param is_fecs_pending_uninstall: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, is_fecs_pending_uninstall=is_fecs_pending_uninstall)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, is_fecs_pending_uninstall=is_fecs_pending_uninstall)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_is_only_gr_valid_update(self, ldp_session=None, is_only_gr_valid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type is_only_gr_valid: YANGBool
    :param is_only_gr_valid: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, is_only_gr_valid=is_only_gr_valid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, is_only_gr_valid=is_only_gr_valid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_is_retry_update(self, ldp_session=None, is_retry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type is_retry: YANGBool
    :param is_retry: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, is_retry=is_retry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, is_retry=is_retry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_keepalive_interval_update(self, ldp_session=None, keepalive_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type keepalive_interval: long
    :param keepalive_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, keepalive_interval=keepalive_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, keepalive_interval=keepalive_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_local_eol_unrecognized_notification_update(self, ldp_session=None, local_eol_unrecognized_notification=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type local_eol_unrecognized_notification: YANGBool
    :param local_eol_unrecognized_notification: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, local_eol_unrecognized_notification=local_eol_unrecognized_notification)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, local_eol_unrecognized_notification=local_eol_unrecognized_notification)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_local_keepalive_timeout_update(self, ldp_session=None, local_keepalive_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type local_keepalive_timeout: long
    :param local_keepalive_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, local_keepalive_timeout=local_keepalive_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, local_keepalive_timeout=local_keepalive_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_local_lblspc_id_update(self, ldp_session=None, local_lblspc_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type local_lblspc_id: unicode
    :param local_lblspc_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, local_lblspc_id=local_lblspc_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, local_lblspc_id=local_lblspc_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_local_ldp_id_update(self, ldp_session=None, local_ldp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type local_ldp_id: unicode
    :param local_ldp_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, local_ldp_id=local_ldp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, local_ldp_id=local_ldp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_local_state_update(self, ldp_session=None, local_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type local_state: YANGBool
    :param local_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, local_state=local_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, local_state=local_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_max_hold_update(self, ldp_session=None, max_hold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type max_hold: long
    :param max_hold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, max_hold=max_hold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, max_hold=max_hold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_md5_auth_key_update(self, ldp_session=None, md5_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type md5_auth_key: unicode
    :param md5_auth_key: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, md5_auth_key=md5_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, md5_auth_key=md5_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_next_keepalive_update(self, ldp_session=None, next_keepalive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type next_keepalive: long
    :param next_keepalive: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, next_keepalive=next_keepalive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, next_keepalive=next_keepalive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_next_retry_update(self, ldp_session=None, next_retry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type next_retry: long
    :param next_retry: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, next_retry=next_retry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, next_retry=next_retry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_num_fecs_filtered_in_update(self, ldp_session=None, num_fecs_filtered_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type num_fecs_filtered_in: long
    :param num_fecs_filtered_in: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, num_fecs_filtered_in=num_fecs_filtered_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, num_fecs_filtered_in=num_fecs_filtered_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_num_fecs_filtered_out_update(self, ldp_session=None, num_fecs_filtered_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type num_fecs_filtered_out: long
    :param num_fecs_filtered_out: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, num_fecs_filtered_out=num_fecs_filtered_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, num_fecs_filtered_out=num_fecs_filtered_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_num_fecs_installed_from_peer_update(self, ldp_session=None, num_fecs_installed_from_peer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type num_fecs_installed_from_peer: long
    :param num_fecs_installed_from_peer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, num_fecs_installed_from_peer=num_fecs_installed_from_peer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, num_fecs_installed_from_peer=num_fecs_installed_from_peer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_num_fecs_received_from_peer_update(self, ldp_session=None, num_fecs_received_from_peer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type num_fecs_received_from_peer: long
    :param num_fecs_received_from_peer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, num_fecs_received_from_peer=num_fecs_received_from_peer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, num_fecs_received_from_peer=num_fecs_received_from_peer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_peer_lblspc_id_update(self, ldp_session=None, peer_lblspc_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type peer_lblspc_id: unicode
    :param peer_lblspc_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, peer_lblspc_id=peer_lblspc_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, peer_lblspc_id=peer_lblspc_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_peer_proposed_keepalive_timeout_update(self, ldp_session=None, peer_proposed_keepalive_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type peer_proposed_keepalive_timeout: long
    :param peer_proposed_keepalive_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, peer_proposed_keepalive_timeout=peer_proposed_keepalive_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, peer_proposed_keepalive_timeout=peer_proposed_keepalive_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_peer_reconnect_time_update(self, ldp_session=None, peer_reconnect_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type peer_reconnect_time: long
    :param peer_reconnect_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, peer_reconnect_time=peer_reconnect_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, peer_reconnect_time=peer_reconnect_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_peer_recovery_time_update(self, ldp_session=None, peer_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type peer_recovery_time: long
    :param peer_recovery_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, peer_recovery_time=peer_recovery_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, peer_recovery_time=peer_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_reconnect_time_in_use_update(self, ldp_session=None, reconnect_time_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type reconnect_time_in_use: long
    :param reconnect_time_in_use: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, reconnect_time_in_use=reconnect_time_in_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, reconnect_time_in_use=reconnect_time_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_reconnect_time_remaining_update(self, ldp_session=None, reconnect_time_remaining=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type reconnect_time_remaining: long
    :param reconnect_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, reconnect_time_remaining=reconnect_time_remaining)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, reconnect_time_remaining=reconnect_time_remaining)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_recovery_time_in_use_update(self, ldp_session=None, recovery_time_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type recovery_time_in_use: long
    :param recovery_time_in_use: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, recovery_time_in_use=recovery_time_in_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, recovery_time_in_use=recovery_time_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_recovery_time_remaining_update(self, ldp_session=None, recovery_time_remaining=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type recovery_time_remaining: long
    :param recovery_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, recovery_time_remaining=recovery_time_remaining)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, recovery_time_remaining=recovery_time_remaining)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_remote_eol_unrecognized_notification_update(self, ldp_session=None, remote_eol_unrecognized_notification=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type remote_eol_unrecognized_notification: YANGBool
    :param remote_eol_unrecognized_notification: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, remote_eol_unrecognized_notification=remote_eol_unrecognized_notification)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, remote_eol_unrecognized_notification=remote_eol_unrecognized_notification)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_remote_state_update(self, ldp_session=None, remote_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type remote_state: YANGBool
    :param remote_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, remote_state=remote_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, remote_state=remote_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_role_update(self, ldp_session=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type role: unicode
    :param role: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, role=role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_errors_instance_total_protocol_errors_update(self, ldp_session=None, protocol_errors=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type protocol_errors: error_type
    :param protocol_errors: Keyword argument tuple.

    :type error_type: long
    :param error_type: **protocol_errors** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', u'ldp_session'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}, {'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, protocol_errors=protocol_errors, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, protocol_errors=protocol_errors, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_errors_instance_total_protocol_errors_count_update(self, ldp_session=None, protocol_errors=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type protocol_errors: error_type
    :param protocol_errors: Keyword argument tuple.

    :type error_type: long
    :param error_type: **protocol_errors** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', u'ldp_session'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}, {'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, protocol_errors=protocol_errors, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, protocol_errors=protocol_errors, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_stats_instance_total_protocol_stats_update(self, ldp_session=None, protocol_stats=None, rx_count=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type protocol_stats: stat_type
    :param protocol_stats: Keyword argument tuple.

    :type stat_type: long
    :param stat_type: **protocol_stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', u'ldp_session'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}, {'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_stats_instance_total_protocol_stats_rx_count_update(self, ldp_session=None, protocol_stats=None, rx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type protocol_stats: stat_type
    :param protocol_stats: Keyword argument tuple.

    :type stat_type: long
    :param stat_type: **protocol_stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', u'ldp_session'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}, {'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, protocol_stats=protocol_stats, rx_count=rx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, protocol_stats=protocol_stats, rx_count=rx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_stats_instance_total_protocol_stats_tx_count_update(self, ldp_session=None, protocol_stats=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type protocol_stats: stat_type
    :param protocol_stats: Keyword argument tuple.

    :type stat_type: long
    :param stat_type: **protocol_stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', u'ldp_session'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}, {'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, protocol_stats=protocol_stats, tx_count=tx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, protocol_stats=protocol_stats, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_session_status_update(self, ldp_session=None, session_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type session_status: unicode
    :param session_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, session_status=session_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, session_status=session_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_session_up_time_update(self, ldp_session=None, session_up_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type session_up_time: unicode
    :param session_up_time: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, session_up_time=session_up_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, session_up_time=session_up_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_state_update(self, ldp_session=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_summary_update(self, num_link_sessions=None, num_operational_link_sessions=None, num_targeted_sessions=None, num_operational_targeted_sessions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type num_link_sessions: long
    :param num_link_sessions: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_operational_link_sessions: long
    :param num_operational_link_sessions: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_targeted_sessions: long
    :param num_targeted_sessions: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_operational_targeted_sessions: long
    :param num_operational_targeted_sessions: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_link_sessions=num_link_sessions, num_operational_link_sessions=num_operational_link_sessions, num_targeted_sessions=num_targeted_sessions, num_operational_targeted_sessions=num_operational_targeted_sessions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_link_sessions=num_link_sessions, num_operational_link_sessions=num_operational_link_sessions, num_targeted_sessions=num_targeted_sessions, num_operational_targeted_sessions=num_operational_targeted_sessions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_summary_num_link_sessions_update(self, num_link_sessions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type num_link_sessions: long
    :param num_link_sessions: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_link_sessions=num_link_sessions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_link_sessions=num_link_sessions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_summary_num_operational_link_sessions_update(self, num_operational_link_sessions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type num_operational_link_sessions: long
    :param num_operational_link_sessions: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_operational_link_sessions=num_operational_link_sessions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_operational_link_sessions=num_operational_link_sessions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_summary_num_operational_targeted_sessions_update(self, num_operational_targeted_sessions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type num_operational_targeted_sessions: long
    :param num_operational_targeted_sessions: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_operational_targeted_sessions=num_operational_targeted_sessions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_operational_targeted_sessions=num_operational_targeted_sessions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_summary_num_targeted_sessions_update(self, num_targeted_sessions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type num_targeted_sessions: long
    :param num_targeted_sessions: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_targeted_sessions=num_targeted_sessions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_targeted_sessions=num_targeted_sessions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_targeted_adj_added_update(self, ldp_session=None, targeted_adj_added=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type targeted_adj_added: unicode
    :param targeted_adj_added: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, targeted_adj_added=targeted_adj_added)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, targeted_adj_added=targeted_adj_added)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_tcp_conn_local_update(self, ldp_session=None, tcp_conn_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type tcp_conn_local: unicode
    :param tcp_conn_local: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, tcp_conn_local=tcp_conn_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, tcp_conn_local=tcp_conn_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_tcp_conn_remote_update(self, ldp_session=None, tcp_conn_remote=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type tcp_conn_remote: unicode
    :param tcp_conn_remote: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, tcp_conn_remote=tcp_conn_remote)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, tcp_conn_remote=tcp_conn_remote)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_tcp_state_update(self, ldp_session=None, tcp_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type tcp_state: unicode
    :param tcp_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, tcp_state=tcp_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, tcp_state=tcp_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_time_left_update(self, ldp_session=None, time_left=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type time_left: long
    :param time_left: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, time_left=time_left)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, time_left=time_left)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_load_sharing_update(self, load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type load_sharing: int
    :param load_sharing: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, load_sharing=load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, load_sharing=load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_loopback_update(self, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type loopback: int
    :param loopback: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_lsr_id_update(self, lsr_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type lsr_id: unicode
    :param lsr_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsr_id=lsr_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsr_id=lsr_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_lsr_id_configured_update(self, lsr_id_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type lsr_id_configured: YANGBool
    :param lsr_id_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsr_id_configured=lsr_id_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsr_id_configured=lsr_id_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_lwd_default_update(self, lwd_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type lwd_default: YANGBool
    :param lwd_default: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lwd_default=lwd_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lwd_default=lwd_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_lwd_delay_update(self, lwd_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type lwd_delay: long
    :param lwd_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lwd_delay=lwd_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lwd_delay=lwd_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_outbound_fecs_filtering_prefix_list_update(self, outbound_fecs_filtering_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type outbound_fecs_filtering_prefix_list: unicode
    :param outbound_fecs_filtering_prefix_list: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, outbound_fecs_filtering_prefix_list=outbound_fecs_filtering_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, outbound_fecs_filtering_prefix_list=outbound_fecs_filtering_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_outbound_fecs_filtering_prefix_list_exists_update(self, outbound_fecs_filtering_prefix_list_exists=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type outbound_fecs_filtering_prefix_list_exists: YANGBool
    :param outbound_fecs_filtering_prefix_list_exists: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, outbound_fecs_filtering_prefix_list_exists=outbound_fecs_filtering_prefix_list_exists)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, outbound_fecs_filtering_prefix_list_exists=outbound_fecs_filtering_prefix_list_exists)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_path_downstream_sessions_update(self, path=None, downstream_sessions=None, labelspace=None, label=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: destination_route
    :param path: Keyword argument tuple.

    :type destination_route: unicode
    :param destination_route: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type downstream_sessions: ip
    :param downstream_sessions: Keyword argument tuple.

    :type ip: unicode
    :param ip: **downstream_sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type labelspace: long
    :param labelspace: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface: unicode
    :param interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}, {'keyval': 'destination_route', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, downstream_sessions=downstream_sessions, labelspace=labelspace, label=label, interface=interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, downstream_sessions=downstream_sessions, labelspace=labelspace, label=label, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_path_downstream_sessions_interface_update(self, path=None, downstream_sessions=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: destination_route
    :param path: Keyword argument tuple.

    :type destination_route: unicode
    :param destination_route: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type downstream_sessions: ip
    :param downstream_sessions: Keyword argument tuple.

    :type ip: unicode
    :param ip: **downstream_sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface: unicode
    :param interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}, {'keyval': 'destination_route', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, downstream_sessions=downstream_sessions, interface=interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, downstream_sessions=downstream_sessions, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_path_downstream_sessions_label_update(self, path=None, downstream_sessions=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: destination_route
    :param path: Keyword argument tuple.

    :type destination_route: unicode
    :param destination_route: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type downstream_sessions: ip
    :param downstream_sessions: Keyword argument tuple.

    :type ip: unicode
    :param ip: **downstream_sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}, {'keyval': 'destination_route', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, downstream_sessions=downstream_sessions, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, downstream_sessions=downstream_sessions, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_path_downstream_sessions_labelspace_update(self, path=None, downstream_sessions=None, labelspace=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: destination_route
    :param path: Keyword argument tuple.

    :type destination_route: unicode
    :param destination_route: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type downstream_sessions: ip
    :param downstream_sessions: Keyword argument tuple.

    :type ip: unicode
    :param ip: **downstream_sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type labelspace: long
    :param labelspace: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}, {'keyval': 'destination_route', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, downstream_sessions=downstream_sessions, labelspace=labelspace)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, downstream_sessions=downstream_sessions, labelspace=labelspace)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_path_upstream_sessions_update(self, path=None, upstream_sessions=None, labelspace=None, label=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: destination_route
    :param path: Keyword argument tuple.

    :type destination_route: unicode
    :param destination_route: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type upstream_sessions: ip
    :param upstream_sessions: Keyword argument tuple.

    :type ip: unicode
    :param ip: **upstream_sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type labelspace: long
    :param labelspace: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface: unicode
    :param interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}, {'keyval': 'destination_route', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, upstream_sessions=upstream_sessions, labelspace=labelspace, label=label, interface=interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, upstream_sessions=upstream_sessions, labelspace=labelspace, label=label, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_path_upstream_sessions_interface_update(self, path=None, upstream_sessions=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: destination_route
    :param path: Keyword argument tuple.

    :type destination_route: unicode
    :param destination_route: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type upstream_sessions: ip
    :param upstream_sessions: Keyword argument tuple.

    :type ip: unicode
    :param ip: **upstream_sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface: unicode
    :param interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}, {'keyval': 'destination_route', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, upstream_sessions=upstream_sessions, interface=interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, upstream_sessions=upstream_sessions, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_path_upstream_sessions_label_update(self, path=None, upstream_sessions=None, label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: destination_route
    :param path: Keyword argument tuple.

    :type destination_route: unicode
    :param destination_route: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type upstream_sessions: ip
    :param upstream_sessions: Keyword argument tuple.

    :type ip: unicode
    :param ip: **upstream_sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}, {'keyval': 'destination_route', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, upstream_sessions=upstream_sessions, label=label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, upstream_sessions=upstream_sessions, label=label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_path_upstream_sessions_labelspace_update(self, path=None, upstream_sessions=None, labelspace=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: destination_route
    :param path: Keyword argument tuple.

    :type destination_route: unicode
    :param destination_route: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type upstream_sessions: ip
    :param upstream_sessions: Keyword argument tuple.

    :type ip: unicode
    :param ip: **upstream_sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type labelspace: long
    :param labelspace: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}, {'keyval': 'destination_route', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, upstream_sessions=upstream_sessions, labelspace=labelspace)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, upstream_sessions=upstream_sessions, labelspace=labelspace)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_rx_silence_time_update(self, rx_silence_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_silence_time: long
    :param rx_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_silence_time=rx_silence_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_silence_time=rx_silence_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_errors_instance_since_clear_protocol_errors_update(self, protocol_errors=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type protocol_errors: error_type
    :param protocol_errors: Keyword argument tuple.

    :type error_type: long
    :param error_type: **protocol_errors** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_since_clear.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.statistics.ldp_protocol_errors_instance_since_clear.protocol_errors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_errors=protocol_errors, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_errors=protocol_errors, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_errors_instance_since_clear_protocol_errors_count_update(self, protocol_errors=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type protocol_errors: error_type
    :param protocol_errors: Keyword argument tuple.

    :type error_type: long
    :param error_type: **protocol_errors** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_since_clear.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.statistics.ldp_protocol_errors_instance_since_clear.protocol_errors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_errors=protocol_errors, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_errors=protocol_errors, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_errors_instance_total_protocol_errors_update(self, protocol_errors=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type protocol_errors: error_type
    :param protocol_errors: Keyword argument tuple.

    :type error_type: long
    :param error_type: **protocol_errors** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.statistics.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_errors=protocol_errors, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_errors=protocol_errors, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_errors_instance_total_protocol_errors_count_update(self, protocol_errors=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type protocol_errors: error_type
    :param protocol_errors: Keyword argument tuple.

    :type error_type: long
    :param error_type: **protocol_errors** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.statistics.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_errors=protocol_errors, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_errors=protocol_errors, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_stats_instance_since_clear_protocol_stats_update(self, protocol_stats=None, rx_count=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type protocol_stats: stat_type
    :param protocol_stats: Keyword argument tuple.

    :type stat_type: long
    :param stat_type: **protocol_stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_since_clear.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.statistics.ldp_protocol_stats_instance_since_clear.protocol_stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_stats_instance_since_clear_protocol_stats_rx_count_update(self, protocol_stats=None, rx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type protocol_stats: stat_type
    :param protocol_stats: Keyword argument tuple.

    :type stat_type: long
    :param stat_type: **protocol_stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_since_clear.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.statistics.ldp_protocol_stats_instance_since_clear.protocol_stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_stats=protocol_stats, rx_count=rx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_stats=protocol_stats, rx_count=rx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_stats_instance_since_clear_protocol_stats_tx_count_update(self, protocol_stats=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type protocol_stats: stat_type
    :param protocol_stats: Keyword argument tuple.

    :type stat_type: long
    :param stat_type: **protocol_stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_since_clear.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.statistics.ldp_protocol_stats_instance_since_clear.protocol_stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_stats=protocol_stats, tx_count=tx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_stats=protocol_stats, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_stats_instance_total_protocol_stats_update(self, protocol_stats=None, rx_count=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type protocol_stats: stat_type
    :param protocol_stats: Keyword argument tuple.

    :type stat_type: long
    :param stat_type: **protocol_stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.statistics.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_stats_instance_total_protocol_stats_rx_count_update(self, protocol_stats=None, rx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type protocol_stats: stat_type
    :param protocol_stats: Keyword argument tuple.

    :type stat_type: long
    :param stat_type: **protocol_stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.statistics.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_stats=protocol_stats, rx_count=rx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_stats=protocol_stats, rx_count=rx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_stats_instance_total_protocol_stats_tx_count_update(self, protocol_stats=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type protocol_stats: stat_type
    :param protocol_stats: Keyword argument tuple.

    :type stat_type: long
    :param stat_type: **protocol_stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.statistics.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_stats=protocol_stats, tx_count=tx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_stats=protocol_stats, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnel_metric_update(self, tunnel_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tunnel_metric: int
    :param tunnel_metric: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_metric=tunnel_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_metric=tunnel_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_update(self, total_tunnel_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_tunnel_count: long
    :param total_tunnel_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.tunnels', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_tunnel_count=total_tunnel_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_tunnel_count=total_tunnel_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_ldp_tunnels_update(self, ldp_tunnels=None, tunnel_interface_index=None, tunnel_metric=None, name=None, tunnel_vif=None, protocol_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_tunnels: tunnel_destination, prefix_length
    :param ldp_tunnels: Keyword argument tuple.

    :type tunnel_destination: unicode
    :param tunnel_destination: **ldp_tunnels** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type prefix_length: long
    :param prefix_length: **ldp_tunnels** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tunnel_interface_index: long
    :param tunnel_interface_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tunnel_metric: long
    :param tunnel_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type name: unicode
    :param name: Keyword argument.

    :type tunnel_vif: long
    :param tunnel_vif: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type protocol_type: unicode
    :param protocol_type: Keyword argument.

        * enumeration restriction: ::

            ['staticp', 'ldp', 'rsvp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_tunnels', 'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_tunnels=ldp_tunnels, tunnel_interface_index=tunnel_interface_index, tunnel_metric=tunnel_metric, name=name, tunnel_vif=tunnel_vif, protocol_type=protocol_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_tunnels=ldp_tunnels, tunnel_interface_index=tunnel_interface_index, tunnel_metric=tunnel_metric, name=name, tunnel_vif=tunnel_vif, protocol_type=protocol_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_ldp_tunnels_name_update(self, ldp_tunnels=None, name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_tunnels: tunnel_destination, prefix_length
    :param ldp_tunnels: Keyword argument tuple.

    :type tunnel_destination: unicode
    :param tunnel_destination: **ldp_tunnels** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type prefix_length: long
    :param prefix_length: **ldp_tunnels** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type name: unicode
    :param name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_tunnels', 'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_tunnels=ldp_tunnels, name=name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_tunnels=ldp_tunnels, name=name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_ldp_tunnels_out_segments_update(self, ldp_tunnels=None, out_segments=None, next_hop_ipaddress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_tunnels: tunnel_destination, prefix_length
    :param ldp_tunnels: Keyword argument tuple.

    :type tunnel_destination: unicode
    :param tunnel_destination: **ldp_tunnels** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type prefix_length: long
    :param prefix_length: **ldp_tunnels** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type out_segments: outgoing_interface
    :param out_segments: Keyword argument tuple.

    :type outgoing_interface: unicode
    :param outgoing_interface: **out_segments** tuple argument.

    **Instance Argument(s)**:

    :type next_hop_ipaddress: unicode
    :param next_hop_ipaddress: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.tunnels.ldp_tunnels', u'ldp_tunnels'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', u'ldp_tunnels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels.out_segments', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.tunnels.ldp_tunnels.out_segments', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}, {'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'out_segments', 'keyval': 'outgoing_interface', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_tunnels=ldp_tunnels, out_segments=out_segments, next_hop_ipaddress=next_hop_ipaddress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_tunnels=ldp_tunnels, out_segments=out_segments, next_hop_ipaddress=next_hop_ipaddress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_ldp_tunnels_out_segments_next_hop_ipaddress_update(self, ldp_tunnels=None, out_segments=None, next_hop_ipaddress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_tunnels: tunnel_destination, prefix_length
    :param ldp_tunnels: Keyword argument tuple.

    :type tunnel_destination: unicode
    :param tunnel_destination: **ldp_tunnels** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type prefix_length: long
    :param prefix_length: **ldp_tunnels** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type out_segments: outgoing_interface
    :param out_segments: Keyword argument tuple.

    :type outgoing_interface: unicode
    :param outgoing_interface: **out_segments** tuple argument.

    **Instance Argument(s)**:

    :type next_hop_ipaddress: unicode
    :param next_hop_ipaddress: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp.tunnels.ldp_tunnels', u'ldp_tunnels'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', u'ldp_tunnels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels.out_segments', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.tunnels.ldp_tunnels.out_segments', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}, {'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'out_segments', 'keyval': 'outgoing_interface', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_tunnels=ldp_tunnels, out_segments=out_segments, next_hop_ipaddress=next_hop_ipaddress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_tunnels=ldp_tunnels, out_segments=out_segments, next_hop_ipaddress=next_hop_ipaddress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_ldp_tunnels_protocol_type_update(self, ldp_tunnels=None, protocol_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_tunnels: tunnel_destination, prefix_length
    :param ldp_tunnels: Keyword argument tuple.

    :type tunnel_destination: unicode
    :param tunnel_destination: **ldp_tunnels** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type prefix_length: long
    :param prefix_length: **ldp_tunnels** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type protocol_type: unicode
    :param protocol_type: Keyword argument.

        * enumeration restriction: ::

            ['staticp', 'ldp', 'rsvp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_tunnels', 'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_tunnels=ldp_tunnels, protocol_type=protocol_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_tunnels=ldp_tunnels, protocol_type=protocol_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_ldp_tunnels_tunnel_interface_index_update(self, ldp_tunnels=None, tunnel_interface_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_tunnels: tunnel_destination, prefix_length
    :param ldp_tunnels: Keyword argument tuple.

    :type tunnel_destination: unicode
    :param tunnel_destination: **ldp_tunnels** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type prefix_length: long
    :param prefix_length: **ldp_tunnels** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tunnel_interface_index: long
    :param tunnel_interface_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_tunnels', 'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_tunnels=ldp_tunnels, tunnel_interface_index=tunnel_interface_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_tunnels=ldp_tunnels, tunnel_interface_index=tunnel_interface_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_ldp_tunnels_tunnel_metric_update(self, ldp_tunnels=None, tunnel_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_tunnels: tunnel_destination, prefix_length
    :param ldp_tunnels: Keyword argument tuple.

    :type tunnel_destination: unicode
    :param tunnel_destination: **ldp_tunnels** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type prefix_length: long
    :param prefix_length: **ldp_tunnels** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tunnel_metric: long
    :param tunnel_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_tunnels', 'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_tunnels=ldp_tunnels, tunnel_metric=tunnel_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_tunnels=ldp_tunnels, tunnel_metric=tunnel_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_ldp_tunnels_tunnel_vif_update(self, ldp_tunnels=None, tunnel_vif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_tunnels: tunnel_destination, prefix_length
    :param ldp_tunnels: Keyword argument tuple.

    :type tunnel_destination: unicode
    :param tunnel_destination: **ldp_tunnels** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type prefix_length: long
    :param prefix_length: **ldp_tunnels** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tunnel_vif: long
    :param tunnel_vif: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_tunnels', 'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_tunnels=ldp_tunnels, tunnel_vif=tunnel_vif)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_tunnels=ldp_tunnels, tunnel_vif=tunnel_vif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_total_tunnel_count_update(self, total_tunnel_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_tunnel_count: long
    :param total_tunnel_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.ldp.tunnels', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_tunnel_count=total_tunnel_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_tunnel_count=total_tunnel_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tx_silence_time_update(self, tx_silence_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tx_silence_time: long
    :param tx_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.ldp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tx_silence_time=tx_silence_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tx_silence_time=tx_silence_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_update(self, lsp=None, lsp_type=None, bypass_lsp_type=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type lsp_type: unicode
    :param lsp_type: Keyword argument.

        * enumeration restriction: ::

            ['regular', 'bypass']

    :type bypass_lsp_type: unicode
    :param bypass_lsp_type: Keyword argument.

        * enumeration restriction: ::

            ['dynamic-bypass', 'static-bypass']

    :type interface: unicode
    :param interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_type=lsp_type, bypass_lsp_type=bypass_lsp_type, interface=interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_type=lsp_type, bypass_lsp_type=bypass_lsp_type, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_update(self, lsp=None, adjustment_interval=None, adjustment_threshold=None, maximum_bandwidth=None, minimum_bandwidth=None, overflow_limit=None, underflow_limit=None, mode=None, sample_recording=None, is_adjustment_interval_inherited=None, is_adjustment_threshold_inherited=None, is_maximum_bandwidth_inherited=None, is_minimum_bandwidth_inherited=None, is_overflow_limit_inherited=None, is_underflow_limit_inherited=None, is_mode_inherited=None, is_sample_recording_inherited=None, working_status=None, num_samples_collected=None, last_sample_traffic_rate=None, maximum_of_samples_collected=None, maximum_of_underflow_samples=None, overflow_count=None, underflow_count=None, time_to_adjustment=None, adjustment_status=None, previous_bandwidth=None, new_bandwidth=None, adjustment_reason=None, time_of_last_adjustment=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type adjustment_interval: long
    :param adjustment_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adjustment_threshold: long
    :param adjustment_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type maximum_bandwidth: long
    :param maximum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type minimum_bandwidth: long
    :param minimum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type overflow_limit: long
    :param overflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type underflow_limit: long
    :param underflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['monitor-and-signal', 'monitor-only']

    :type sample_recording: YANGBool
    :param sample_recording: Keyword argument.

    :type is_adjustment_interval_inherited: YANGBool
    :param is_adjustment_interval_inherited: Keyword argument.

    :type is_adjustment_threshold_inherited: YANGBool
    :param is_adjustment_threshold_inherited: Keyword argument.

    :type is_maximum_bandwidth_inherited: YANGBool
    :param is_maximum_bandwidth_inherited: Keyword argument.

    :type is_minimum_bandwidth_inherited: YANGBool
    :param is_minimum_bandwidth_inherited: Keyword argument.

    :type is_overflow_limit_inherited: YANGBool
    :param is_overflow_limit_inherited: Keyword argument.

    :type is_underflow_limit_inherited: YANGBool
    :param is_underflow_limit_inherited: Keyword argument.

    :type is_mode_inherited: YANGBool
    :param is_mode_inherited: Keyword argument.

    :type is_sample_recording_inherited: YANGBool
    :param is_sample_recording_inherited: Keyword argument.

    :type working_status: int
    :param working_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type num_samples_collected: long
    :param num_samples_collected: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type last_sample_traffic_rate: long
    :param last_sample_traffic_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type maximum_of_samples_collected: long
    :param maximum_of_samples_collected: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type maximum_of_underflow_samples: long
    :param maximum_of_underflow_samples: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type overflow_count: long
    :param overflow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type underflow_count: long
    :param underflow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type time_to_adjustment: long
    :param time_to_adjustment: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adjustment_status: int
    :param adjustment_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type previous_bandwidth: long
    :param previous_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type new_bandwidth: long
    :param new_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adjustment_reason: int
    :param adjustment_reason: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type time_of_last_adjustment: unicode
    :param time_of_last_adjustment: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, maximum_bandwidth=maximum_bandwidth, minimum_bandwidth=minimum_bandwidth, overflow_limit=overflow_limit, underflow_limit=underflow_limit, mode=mode, sample_recording=sample_recording, is_adjustment_interval_inherited=is_adjustment_interval_inherited, is_adjustment_threshold_inherited=is_adjustment_threshold_inherited, is_maximum_bandwidth_inherited=is_maximum_bandwidth_inherited, is_minimum_bandwidth_inherited=is_minimum_bandwidth_inherited, is_overflow_limit_inherited=is_overflow_limit_inherited, is_underflow_limit_inherited=is_underflow_limit_inherited, is_mode_inherited=is_mode_inherited, is_sample_recording_inherited=is_sample_recording_inherited, working_status=working_status, num_samples_collected=num_samples_collected, last_sample_traffic_rate=last_sample_traffic_rate, maximum_of_samples_collected=maximum_of_samples_collected, maximum_of_underflow_samples=maximum_of_underflow_samples, overflow_count=overflow_count, underflow_count=underflow_count, time_to_adjustment=time_to_adjustment, adjustment_status=adjustment_status, previous_bandwidth=previous_bandwidth, new_bandwidth=new_bandwidth, adjustment_reason=adjustment_reason, time_of_last_adjustment=time_of_last_adjustment)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, maximum_bandwidth=maximum_bandwidth, minimum_bandwidth=minimum_bandwidth, overflow_limit=overflow_limit, underflow_limit=underflow_limit, mode=mode, sample_recording=sample_recording, is_adjustment_interval_inherited=is_adjustment_interval_inherited, is_adjustment_threshold_inherited=is_adjustment_threshold_inherited, is_maximum_bandwidth_inherited=is_maximum_bandwidth_inherited, is_minimum_bandwidth_inherited=is_minimum_bandwidth_inherited, is_overflow_limit_inherited=is_overflow_limit_inherited, is_underflow_limit_inherited=is_underflow_limit_inherited, is_mode_inherited=is_mode_inherited, is_sample_recording_inherited=is_sample_recording_inherited, working_status=working_status, num_samples_collected=num_samples_collected, last_sample_traffic_rate=last_sample_traffic_rate, maximum_of_samples_collected=maximum_of_samples_collected, maximum_of_underflow_samples=maximum_of_underflow_samples, overflow_count=overflow_count, underflow_count=underflow_count, time_to_adjustment=time_to_adjustment, adjustment_status=adjustment_status, previous_bandwidth=previous_bandwidth, new_bandwidth=new_bandwidth, adjustment_reason=adjustment_reason, time_of_last_adjustment=time_of_last_adjustment)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_adjustment_interval_update(self, lsp=None, adjustment_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type adjustment_interval: long
    :param adjustment_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, adjustment_interval=adjustment_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, adjustment_interval=adjustment_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_adjustment_reason_update(self, lsp=None, adjustment_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type adjustment_reason: int
    :param adjustment_reason: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, adjustment_reason=adjustment_reason)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, adjustment_reason=adjustment_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_adjustment_status_update(self, lsp=None, adjustment_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type adjustment_status: int
    :param adjustment_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, adjustment_status=adjustment_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, adjustment_status=adjustment_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_adjustment_threshold_update(self, lsp=None, adjustment_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type adjustment_threshold: long
    :param adjustment_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, adjustment_threshold=adjustment_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, adjustment_threshold=adjustment_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_is_adjustment_interval_inherited_update(self, lsp=None, is_adjustment_interval_inherited=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type is_adjustment_interval_inherited: YANGBool
    :param is_adjustment_interval_inherited: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, is_adjustment_interval_inherited=is_adjustment_interval_inherited)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, is_adjustment_interval_inherited=is_adjustment_interval_inherited)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_is_adjustment_threshold_inherited_update(self, lsp=None, is_adjustment_threshold_inherited=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type is_adjustment_threshold_inherited: YANGBool
    :param is_adjustment_threshold_inherited: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, is_adjustment_threshold_inherited=is_adjustment_threshold_inherited)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, is_adjustment_threshold_inherited=is_adjustment_threshold_inherited)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_is_maximum_bandwidth_inherited_update(self, lsp=None, is_maximum_bandwidth_inherited=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type is_maximum_bandwidth_inherited: YANGBool
    :param is_maximum_bandwidth_inherited: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, is_maximum_bandwidth_inherited=is_maximum_bandwidth_inherited)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, is_maximum_bandwidth_inherited=is_maximum_bandwidth_inherited)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_is_minimum_bandwidth_inherited_update(self, lsp=None, is_minimum_bandwidth_inherited=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type is_minimum_bandwidth_inherited: YANGBool
    :param is_minimum_bandwidth_inherited: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, is_minimum_bandwidth_inherited=is_minimum_bandwidth_inherited)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, is_minimum_bandwidth_inherited=is_minimum_bandwidth_inherited)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_is_mode_inherited_update(self, lsp=None, is_mode_inherited=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type is_mode_inherited: YANGBool
    :param is_mode_inherited: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, is_mode_inherited=is_mode_inherited)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, is_mode_inherited=is_mode_inherited)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_is_overflow_limit_inherited_update(self, lsp=None, is_overflow_limit_inherited=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type is_overflow_limit_inherited: YANGBool
    :param is_overflow_limit_inherited: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, is_overflow_limit_inherited=is_overflow_limit_inherited)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, is_overflow_limit_inherited=is_overflow_limit_inherited)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_is_sample_recording_inherited_update(self, lsp=None, is_sample_recording_inherited=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type is_sample_recording_inherited: YANGBool
    :param is_sample_recording_inherited: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, is_sample_recording_inherited=is_sample_recording_inherited)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, is_sample_recording_inherited=is_sample_recording_inherited)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_is_underflow_limit_inherited_update(self, lsp=None, is_underflow_limit_inherited=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type is_underflow_limit_inherited: YANGBool
    :param is_underflow_limit_inherited: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, is_underflow_limit_inherited=is_underflow_limit_inherited)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, is_underflow_limit_inherited=is_underflow_limit_inherited)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_last_sample_traffic_rate_update(self, lsp=None, last_sample_traffic_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type last_sample_traffic_rate: long
    :param last_sample_traffic_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, last_sample_traffic_rate=last_sample_traffic_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, last_sample_traffic_rate=last_sample_traffic_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_maximum_bandwidth_update(self, lsp=None, maximum_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type maximum_bandwidth: long
    :param maximum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, maximum_bandwidth=maximum_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, maximum_bandwidth=maximum_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_maximum_of_samples_collected_update(self, lsp=None, maximum_of_samples_collected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type maximum_of_samples_collected: long
    :param maximum_of_samples_collected: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, maximum_of_samples_collected=maximum_of_samples_collected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, maximum_of_samples_collected=maximum_of_samples_collected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_maximum_of_underflow_samples_update(self, lsp=None, maximum_of_underflow_samples=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type maximum_of_underflow_samples: long
    :param maximum_of_underflow_samples: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, maximum_of_underflow_samples=maximum_of_underflow_samples)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, maximum_of_underflow_samples=maximum_of_underflow_samples)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_minimum_bandwidth_update(self, lsp=None, minimum_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type minimum_bandwidth: long
    :param minimum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, minimum_bandwidth=minimum_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, minimum_bandwidth=minimum_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_mode_update(self, lsp=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['monitor-and-signal', 'monitor-only']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_new_bandwidth_update(self, lsp=None, new_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type new_bandwidth: long
    :param new_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, new_bandwidth=new_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, new_bandwidth=new_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_num_samples_collected_update(self, lsp=None, num_samples_collected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type num_samples_collected: long
    :param num_samples_collected: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, num_samples_collected=num_samples_collected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, num_samples_collected=num_samples_collected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_overflow_count_update(self, lsp=None, overflow_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type overflow_count: long
    :param overflow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, overflow_count=overflow_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, overflow_count=overflow_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_overflow_limit_update(self, lsp=None, overflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type overflow_limit: long
    :param overflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, overflow_limit=overflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, overflow_limit=overflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_previous_bandwidth_update(self, lsp=None, previous_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type previous_bandwidth: long
    :param previous_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, previous_bandwidth=previous_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, previous_bandwidth=previous_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_sample_recording_update(self, lsp=None, sample_recording=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type sample_recording: YANGBool
    :param sample_recording: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, sample_recording=sample_recording)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, sample_recording=sample_recording)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_time_of_last_adjustment_update(self, lsp=None, time_of_last_adjustment=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type time_of_last_adjustment: unicode
    :param time_of_last_adjustment: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, time_of_last_adjustment=time_of_last_adjustment)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, time_of_last_adjustment=time_of_last_adjustment)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_time_to_adjustment_update(self, lsp=None, time_to_adjustment=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type time_to_adjustment: long
    :param time_to_adjustment: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, time_to_adjustment=time_to_adjustment)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, time_to_adjustment=time_to_adjustment)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_underflow_count_update(self, lsp=None, underflow_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type underflow_count: long
    :param underflow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, underflow_count=underflow_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, underflow_count=underflow_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_underflow_limit_update(self, lsp=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type underflow_limit: long
    :param underflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, underflow_limit=underflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_auto_bandwidth_working_status_update(self, lsp=None, working_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type working_status: int
    :param working_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, working_status=working_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, working_status=working_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_update(self, lsp=None, backup_present=None, backup_count=None, backup_ingress_count=None, backup_ingress_active_count=None, backup_transit_count=None, backup_transit_active_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type backup_present: YANGBool
    :param backup_present: Keyword argument.

    :type backup_count: long
    :param backup_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type backup_ingress_count: long
    :param backup_ingress_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type backup_ingress_active_count: long
    :param backup_ingress_active_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type backup_transit_count: long
    :param backup_transit_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type backup_transit_active_count: long
    :param backup_transit_active_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_present=backup_present, backup_count=backup_count, backup_ingress_count=backup_ingress_count, backup_ingress_active_count=backup_ingress_active_count, backup_transit_count=backup_transit_count, backup_transit_active_count=backup_transit_active_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_present=backup_present, backup_count=backup_count, backup_ingress_count=backup_ingress_count, backup_ingress_active_count=backup_ingress_active_count, backup_transit_count=backup_transit_count, backup_transit_active_count=backup_transit_active_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_count_update(self, lsp=None, backup_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type backup_count: long
    :param backup_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_count=backup_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_count=backup_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_ingress_update(self, lsp=None, backup_ingress=None, backup_type_ingress=None, backup_type_transit=None, backup_is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type backup_ingress: backup_from_address, backup_to_address, backup_name
    :param backup_ingress: Keyword argument tuple.

    :type backup_from_address: unicode
    :param backup_from_address: **backup_ingress** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_to_address: unicode
    :param backup_to_address: **backup_ingress** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_name: unicode
    :param backup_name: **backup_ingress** tuple argument.

    **Instance Argument(s)**:

    :type backup_type_ingress: YANGBool
    :param backup_type_ingress: Keyword argument.

    :type backup_type_transit: YANGBool
    :param backup_type_transit: Keyword argument.

    :type backup_is_active: YANGBool
    :param backup_is_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'backup_ingress', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_ingress=backup_ingress, backup_type_ingress=backup_type_ingress, backup_type_transit=backup_type_transit, backup_is_active=backup_is_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_ingress=backup_ingress, backup_type_ingress=backup_type_ingress, backup_type_transit=backup_type_transit, backup_is_active=backup_is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_ingress_active_count_update(self, lsp=None, backup_ingress_active_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type backup_ingress_active_count: long
    :param backup_ingress_active_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_ingress_active_count=backup_ingress_active_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_ingress_active_count=backup_ingress_active_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_ingress_backup_is_active_update(self, lsp=None, backup_ingress=None, backup_is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type backup_ingress: backup_from_address, backup_to_address, backup_name
    :param backup_ingress: Keyword argument tuple.

    :type backup_from_address: unicode
    :param backup_from_address: **backup_ingress** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_to_address: unicode
    :param backup_to_address: **backup_ingress** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_name: unicode
    :param backup_name: **backup_ingress** tuple argument.

    **Instance Argument(s)**:

    :type backup_is_active: YANGBool
    :param backup_is_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'backup_ingress', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_ingress=backup_ingress, backup_is_active=backup_is_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_ingress=backup_ingress, backup_is_active=backup_is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_ingress_backup_type_ingress_update(self, lsp=None, backup_ingress=None, backup_type_ingress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type backup_ingress: backup_from_address, backup_to_address, backup_name
    :param backup_ingress: Keyword argument tuple.

    :type backup_from_address: unicode
    :param backup_from_address: **backup_ingress** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_to_address: unicode
    :param backup_to_address: **backup_ingress** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_name: unicode
    :param backup_name: **backup_ingress** tuple argument.

    **Instance Argument(s)**:

    :type backup_type_ingress: YANGBool
    :param backup_type_ingress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'backup_ingress', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_ingress=backup_ingress, backup_type_ingress=backup_type_ingress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_ingress=backup_ingress, backup_type_ingress=backup_type_ingress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_ingress_backup_type_transit_update(self, lsp=None, backup_ingress=None, backup_type_transit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type backup_ingress: backup_from_address, backup_to_address, backup_name
    :param backup_ingress: Keyword argument tuple.

    :type backup_from_address: unicode
    :param backup_from_address: **backup_ingress** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_to_address: unicode
    :param backup_to_address: **backup_ingress** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_name: unicode
    :param backup_name: **backup_ingress** tuple argument.

    **Instance Argument(s)**:

    :type backup_type_transit: YANGBool
    :param backup_type_transit: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'backup_ingress', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_ingress=backup_ingress, backup_type_transit=backup_type_transit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_ingress=backup_ingress, backup_type_transit=backup_type_transit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_ingress_count_update(self, lsp=None, backup_ingress_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type backup_ingress_count: long
    :param backup_ingress_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_ingress_count=backup_ingress_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_ingress_count=backup_ingress_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_present_update(self, lsp=None, backup_present=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type backup_present: YANGBool
    :param backup_present: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_present=backup_present)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_present=backup_present)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_transit_update(self, lsp=None, backup_transit=None, backup_type_ingress=None, backup_type_transit=None, backup_is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type backup_transit: backup_from_address, backup_to_address, backup_name
    :param backup_transit: Keyword argument tuple.

    :type backup_from_address: unicode
    :param backup_from_address: **backup_transit** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_to_address: unicode
    :param backup_to_address: **backup_transit** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_name: unicode
    :param backup_name: **backup_transit** tuple argument.

    **Instance Argument(s)**:

    :type backup_type_ingress: YANGBool
    :param backup_type_ingress: Keyword argument.

    :type backup_type_transit: YANGBool
    :param backup_type_transit: Keyword argument.

    :type backup_is_active: YANGBool
    :param backup_is_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'backup_transit', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_transit=backup_transit, backup_type_ingress=backup_type_ingress, backup_type_transit=backup_type_transit, backup_is_active=backup_is_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_transit=backup_transit, backup_type_ingress=backup_type_ingress, backup_type_transit=backup_type_transit, backup_is_active=backup_is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_transit_active_count_update(self, lsp=None, backup_transit_active_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type backup_transit_active_count: long
    :param backup_transit_active_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_transit_active_count=backup_transit_active_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_transit_active_count=backup_transit_active_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_transit_backup_is_active_update(self, lsp=None, backup_transit=None, backup_is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type backup_transit: backup_from_address, backup_to_address, backup_name
    :param backup_transit: Keyword argument tuple.

    :type backup_from_address: unicode
    :param backup_from_address: **backup_transit** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_to_address: unicode
    :param backup_to_address: **backup_transit** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_name: unicode
    :param backup_name: **backup_transit** tuple argument.

    **Instance Argument(s)**:

    :type backup_is_active: YANGBool
    :param backup_is_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'backup_transit', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_transit=backup_transit, backup_is_active=backup_is_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_transit=backup_transit, backup_is_active=backup_is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_transit_backup_type_ingress_update(self, lsp=None, backup_transit=None, backup_type_ingress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type backup_transit: backup_from_address, backup_to_address, backup_name
    :param backup_transit: Keyword argument tuple.

    :type backup_from_address: unicode
    :param backup_from_address: **backup_transit** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_to_address: unicode
    :param backup_to_address: **backup_transit** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_name: unicode
    :param backup_name: **backup_transit** tuple argument.

    **Instance Argument(s)**:

    :type backup_type_ingress: YANGBool
    :param backup_type_ingress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'backup_transit', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_transit=backup_transit, backup_type_ingress=backup_type_ingress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_transit=backup_transit, backup_type_ingress=backup_type_ingress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_transit_backup_type_transit_update(self, lsp=None, backup_transit=None, backup_type_transit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type backup_transit: backup_from_address, backup_to_address, backup_name
    :param backup_transit: Keyword argument tuple.

    :type backup_from_address: unicode
    :param backup_from_address: **backup_transit** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_to_address: unicode
    :param backup_to_address: **backup_transit** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_name: unicode
    :param backup_name: **backup_transit** tuple argument.

    **Instance Argument(s)**:

    :type backup_type_transit: YANGBool
    :param backup_type_transit: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'backup_transit', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_transit=backup_transit, backup_type_transit=backup_type_transit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_transit=backup_transit, backup_type_transit=backup_type_transit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_transit_count_update(self, lsp=None, backup_transit_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type backup_transit_count: long
    :param backup_transit_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.backup', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, backup_transit_count=backup_transit_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_transit_count=backup_transit_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_update(self, lsp=None, tunnel_vif_index=None, lsp_type_bypass=None, lsp_type_dynamic=None, from_address_configured=None, from_address=None, to_address=None, admin_up=None, operational_status=None, lsp_is_active=None, lsp_has_primary_path=None, path_name=None, out_label=None, out_interface_name=None, primary_up=None, primary_active=None, lsp_has_secondary=None, secondary_up=None, secondary_active=None, lsp_has_selected_secondary=None, selected_secondary_up=None, selected_secondary_active=None, primary_is_selected=None, lsp_has_frr=None, frr_up=None, frr_active=None, up_down_count=None, retry_count=None, down_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type tunnel_vif_index: long
    :param tunnel_vif_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_type_bypass: YANGBool
    :param lsp_type_bypass: Keyword argument.

    :type lsp_type_dynamic: YANGBool
    :param lsp_type_dynamic: Keyword argument.

    :type from_address_configured: YANGBool
    :param from_address_configured: Keyword argument.

    :type from_address: unicode
    :param from_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type to_address: unicode
    :param to_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type admin_up: YANGBool
    :param admin_up: Keyword argument.

    :type operational_status: unicode
    :param operational_status: Keyword argument.

        * enumeration restriction: ::

            ['operational-up', 'operational-down']

    :type lsp_is_active: YANGBool
    :param lsp_is_active: Keyword argument.

    :type lsp_has_primary_path: YANGBool
    :param lsp_has_primary_path: Keyword argument.

    :type path_name: unicode
    :param path_name: Keyword argument.

    :type out_label: long
    :param out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_interface_name: unicode
    :param out_interface_name: Keyword argument.

    :type primary_up: YANGBool
    :param primary_up: Keyword argument.

    :type primary_active: YANGBool
    :param primary_active: Keyword argument.

    :type lsp_has_secondary: YANGBool
    :param lsp_has_secondary: Keyword argument.

    :type secondary_up: YANGBool
    :param secondary_up: Keyword argument.

    :type secondary_active: YANGBool
    :param secondary_active: Keyword argument.

    :type lsp_has_selected_secondary: YANGBool
    :param lsp_has_selected_secondary: Keyword argument.

    :type selected_secondary_up: YANGBool
    :param selected_secondary_up: Keyword argument.

    :type selected_secondary_active: YANGBool
    :param selected_secondary_active: Keyword argument.

    :type primary_is_selected: YANGBool
    :param primary_is_selected: Keyword argument.

    :type lsp_has_frr: YANGBool
    :param lsp_has_frr: Keyword argument.

    :type frr_up: YANGBool
    :param frr_up: Keyword argument.

    :type frr_active: YANGBool
    :param frr_active: Keyword argument.

    :type up_down_count: long
    :param up_down_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type retry_count: long
    :param retry_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type down_reason: unicode
    :param down_reason: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, tunnel_vif_index=tunnel_vif_index, lsp_type_bypass=lsp_type_bypass, lsp_type_dynamic=lsp_type_dynamic, from_address_configured=from_address_configured, from_address=from_address, to_address=to_address, admin_up=admin_up, operational_status=operational_status, lsp_is_active=lsp_is_active, lsp_has_primary_path=lsp_has_primary_path, path_name=path_name, out_label=out_label, out_interface_name=out_interface_name, primary_up=primary_up, primary_active=primary_active, lsp_has_secondary=lsp_has_secondary, secondary_up=secondary_up, secondary_active=secondary_active, lsp_has_selected_secondary=lsp_has_selected_secondary, selected_secondary_up=selected_secondary_up, selected_secondary_active=selected_secondary_active, primary_is_selected=primary_is_selected, lsp_has_frr=lsp_has_frr, frr_up=frr_up, frr_active=frr_active, up_down_count=up_down_count, retry_count=retry_count, down_reason=down_reason)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, tunnel_vif_index=tunnel_vif_index, lsp_type_bypass=lsp_type_bypass, lsp_type_dynamic=lsp_type_dynamic, from_address_configured=from_address_configured, from_address=from_address, to_address=to_address, admin_up=admin_up, operational_status=operational_status, lsp_is_active=lsp_is_active, lsp_has_primary_path=lsp_has_primary_path, path_name=path_name, out_label=out_label, out_interface_name=out_interface_name, primary_up=primary_up, primary_active=primary_active, lsp_has_secondary=lsp_has_secondary, secondary_up=secondary_up, secondary_active=secondary_active, lsp_has_selected_secondary=lsp_has_selected_secondary, selected_secondary_up=selected_secondary_up, selected_secondary_active=selected_secondary_active, primary_is_selected=primary_is_selected, lsp_has_frr=lsp_has_frr, frr_up=frr_up, frr_active=frr_active, up_down_count=up_down_count, retry_count=retry_count, down_reason=down_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_admin_up_update(self, lsp=None, admin_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type admin_up: YANGBool
    :param admin_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, admin_up=admin_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, admin_up=admin_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_down_reason_update(self, lsp=None, down_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type down_reason: unicode
    :param down_reason: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, down_reason=down_reason)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, down_reason=down_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_from_address_update(self, lsp=None, from_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type from_address: unicode
    :param from_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, from_address=from_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, from_address=from_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_from_address_configured_update(self, lsp=None, from_address_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type from_address_configured: YANGBool
    :param from_address_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, from_address_configured=from_address_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, from_address_configured=from_address_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_frr_active_update(self, lsp=None, frr_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type frr_active: YANGBool
    :param frr_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, frr_active=frr_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, frr_active=frr_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_frr_up_update(self, lsp=None, frr_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type frr_up: YANGBool
    :param frr_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, frr_up=frr_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, frr_up=frr_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_lsp_has_frr_update(self, lsp=None, lsp_has_frr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type lsp_has_frr: YANGBool
    :param lsp_has_frr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_has_frr=lsp_has_frr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_has_frr=lsp_has_frr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_lsp_has_primary_path_update(self, lsp=None, lsp_has_primary_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type lsp_has_primary_path: YANGBool
    :param lsp_has_primary_path: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_has_primary_path=lsp_has_primary_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_has_primary_path=lsp_has_primary_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_lsp_has_secondary_update(self, lsp=None, lsp_has_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type lsp_has_secondary: YANGBool
    :param lsp_has_secondary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_has_secondary=lsp_has_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_has_secondary=lsp_has_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_lsp_has_selected_secondary_update(self, lsp=None, lsp_has_selected_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type lsp_has_selected_secondary: YANGBool
    :param lsp_has_selected_secondary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_has_selected_secondary=lsp_has_selected_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_has_selected_secondary=lsp_has_selected_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_lsp_is_active_update(self, lsp=None, lsp_is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type lsp_is_active: YANGBool
    :param lsp_is_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_is_active=lsp_is_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_is_active=lsp_is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_lsp_type_bypass_update(self, lsp=None, lsp_type_bypass=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type lsp_type_bypass: YANGBool
    :param lsp_type_bypass: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_type_bypass=lsp_type_bypass)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_type_bypass=lsp_type_bypass)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_lsp_type_dynamic_update(self, lsp=None, lsp_type_dynamic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type lsp_type_dynamic: YANGBool
    :param lsp_type_dynamic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_type_dynamic=lsp_type_dynamic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_type_dynamic=lsp_type_dynamic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_operational_status_update(self, lsp=None, operational_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type operational_status: unicode
    :param operational_status: Keyword argument.

        * enumeration restriction: ::

            ['operational-up', 'operational-down']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, operational_status=operational_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, operational_status=operational_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_out_interface_name_update(self, lsp=None, out_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type out_interface_name: unicode
    :param out_interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, out_interface_name=out_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, out_interface_name=out_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_out_label_update(self, lsp=None, out_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type out_label: long
    :param out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, out_label=out_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, out_label=out_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_path_name_update(self, lsp=None, path_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type path_name: unicode
    :param path_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, path_name=path_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, path_name=path_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_primary_active_update(self, lsp=None, primary_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type primary_active: YANGBool
    :param primary_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, primary_active=primary_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, primary_active=primary_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_primary_is_selected_update(self, lsp=None, primary_is_selected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type primary_is_selected: YANGBool
    :param primary_is_selected: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, primary_is_selected=primary_is_selected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, primary_is_selected=primary_is_selected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_primary_up_update(self, lsp=None, primary_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type primary_up: YANGBool
    :param primary_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, primary_up=primary_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, primary_up=primary_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_retry_count_update(self, lsp=None, retry_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type retry_count: long
    :param retry_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, retry_count=retry_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, retry_count=retry_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_secondary_active_update(self, lsp=None, secondary_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type secondary_active: YANGBool
    :param secondary_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_active=secondary_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_active=secondary_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_secondary_up_update(self, lsp=None, secondary_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type secondary_up: YANGBool
    :param secondary_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_up=secondary_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_up=secondary_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_selected_secondary_active_update(self, lsp=None, selected_secondary_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type selected_secondary_active: YANGBool
    :param selected_secondary_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, selected_secondary_active=selected_secondary_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, selected_secondary_active=selected_secondary_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_selected_secondary_up_update(self, lsp=None, selected_secondary_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type selected_secondary_up: YANGBool
    :param selected_secondary_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, selected_secondary_up=selected_secondary_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, selected_secondary_up=selected_secondary_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_to_address_update(self, lsp=None, to_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type to_address: unicode
    :param to_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, to_address=to_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, to_address=to_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_tunnel_vif_index_update(self, lsp=None, tunnel_vif_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type tunnel_vif_index: long
    :param tunnel_vif_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, tunnel_vif_index=tunnel_vif_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, tunnel_vif_index=tunnel_vif_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_up_down_count_update(self, lsp=None, up_down_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type up_down_count: long
    :param up_down_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.basic', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, up_down_count=up_down_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, up_down_count=up_down_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_bypass_lsp_type_update(self, lsp=None, bypass_lsp_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type bypass_lsp_type: unicode
    :param bypass_lsp_type: Keyword argument.

        * enumeration restriction: ::

            ['dynamic-bypass', 'static-bypass']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, bypass_lsp_type=bypass_lsp_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, bypass_lsp_type=bypass_lsp_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_update(self, lsp=None, tunnel_vif_index=None, lsp_id=None, forwarding_up=None, primary_active=None, primary_up=None, secondary_active=None, secondary_up=None, selected_secondary_active=None, selected_secondary_up=None, frr_active=None, frr_up=None, instance_id=None, out_port_id=None, out_port_name=None, out_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type tunnel_vif_index: long
    :param tunnel_vif_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type forwarding_up: YANGBool
    :param forwarding_up: Keyword argument.

    :type primary_active: YANGBool
    :param primary_active: Keyword argument.

    :type primary_up: YANGBool
    :param primary_up: Keyword argument.

    :type secondary_active: YANGBool
    :param secondary_active: Keyword argument.

    :type secondary_up: YANGBool
    :param secondary_up: Keyword argument.

    :type selected_secondary_active: YANGBool
    :param selected_secondary_active: Keyword argument.

    :type selected_secondary_up: YANGBool
    :param selected_secondary_up: Keyword argument.

    :type frr_active: YANGBool
    :param frr_active: Keyword argument.

    :type frr_up: YANGBool
    :param frr_up: Keyword argument.

    :type instance_id: long
    :param instance_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_port_id: long
    :param out_port_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_port_name: unicode
    :param out_port_name: Keyword argument.

    :type out_label: long
    :param out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, tunnel_vif_index=tunnel_vif_index, lsp_id=lsp_id, forwarding_up=forwarding_up, primary_active=primary_active, primary_up=primary_up, secondary_active=secondary_active, secondary_up=secondary_up, selected_secondary_active=selected_secondary_active, selected_secondary_up=selected_secondary_up, frr_active=frr_active, frr_up=frr_up, instance_id=instance_id, out_port_id=out_port_id, out_port_name=out_port_name, out_label=out_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, tunnel_vif_index=tunnel_vif_index, lsp_id=lsp_id, forwarding_up=forwarding_up, primary_active=primary_active, primary_up=primary_up, secondary_active=secondary_active, secondary_up=secondary_up, selected_secondary_active=selected_secondary_active, selected_secondary_up=selected_secondary_up, frr_active=frr_active, frr_up=frr_up, instance_id=instance_id, out_port_id=out_port_id, out_port_name=out_port_name, out_label=out_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_forwarding_up_update(self, lsp=None, forwarding_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type forwarding_up: YANGBool
    :param forwarding_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, forwarding_up=forwarding_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, forwarding_up=forwarding_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_frr_active_update(self, lsp=None, frr_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type frr_active: YANGBool
    :param frr_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, frr_active=frr_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, frr_active=frr_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_frr_up_update(self, lsp=None, frr_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type frr_up: YANGBool
    :param frr_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, frr_up=frr_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, frr_up=frr_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_instance_id_update(self, lsp=None, instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type instance_id: long
    :param instance_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instance_id=instance_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instance_id=instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_lsp_id_update(self, lsp=None, lsp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type lsp_id: long
    :param lsp_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_id=lsp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_id=lsp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_out_label_update(self, lsp=None, out_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type out_label: long
    :param out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, out_label=out_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, out_label=out_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_out_port_id_update(self, lsp=None, out_port_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type out_port_id: long
    :param out_port_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, out_port_id=out_port_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, out_port_id=out_port_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_out_port_name_update(self, lsp=None, out_port_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type out_port_name: unicode
    :param out_port_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, out_port_name=out_port_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, out_port_name=out_port_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_primary_active_update(self, lsp=None, primary_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type primary_active: YANGBool
    :param primary_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, primary_active=primary_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, primary_active=primary_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_primary_up_update(self, lsp=None, primary_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type primary_up: YANGBool
    :param primary_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, primary_up=primary_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, primary_up=primary_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_secondary_active_update(self, lsp=None, secondary_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type secondary_active: YANGBool
    :param secondary_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_active=secondary_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_active=secondary_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_secondary_up_update(self, lsp=None, secondary_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type secondary_up: YANGBool
    :param secondary_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_up=secondary_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_up=secondary_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_selected_secondary_active_update(self, lsp=None, selected_secondary_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type selected_secondary_active: YANGBool
    :param selected_secondary_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, selected_secondary_active=selected_secondary_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, selected_secondary_active=selected_secondary_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_selected_secondary_up_update(self, lsp=None, selected_secondary_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type selected_secondary_up: YANGBool
    :param selected_secondary_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, selected_secondary_up=selected_secondary_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, selected_secondary_up=selected_secondary_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_tunnel_vif_index_update(self, lsp=None, tunnel_vif_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type tunnel_vif_index: long
    :param tunnel_vif_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.forwarding', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, tunnel_vif_index=tunnel_vif_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, tunnel_vif_index=tunnel_vif_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_update(self, lsp=None, configured=None, one_to_one=None, one_to_many=None, protection_type=None, frr_up=None, active=None, priority_configured=None, setup_priority=None, holding_priority=None, hop_limit_configured=None, hop_limit=None, bandwidth_configured=None, bandwidth=None, down_reason=None, computation_mode=None, group_computation_mode_default=None, group_computation_mode_add_penalty=None, group_computation_mode_exclude_groups=None, group_computation_mode_high_cost=None, out_port_id=None, out_port_name=None, out_label=None, path_cost=None, bypass_name=None, has_secondary_swithover_time=None, secondary_swithover_time=None, hold_time=None, global_revertive=None, revertive_timer_expired=None, fwdg_state_primary_up=None, fwdg_state_primary_active=None, fwdg_state_primary_down=None, fwdg_state_secondary_up=None, fwdg_state_secondary_active=None, fwdg_state_secondary_down=None, fwdg_state_detour_up=None, fwdg_state_detour_active=None, fwdg_state_detour_down=None, admin_group_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type configured: YANGBool
    :param configured: Keyword argument.

    :type one_to_one: YANGBool
    :param one_to_one: Keyword argument.

    :type one_to_many: YANGBool
    :param one_to_many: Keyword argument.

    :type protection_type: unicode
    :param protection_type: Keyword argument.

        * enumeration restriction: ::

            ['node-protection', 'link-protection']

    :type frr_up: YANGBool
    :param frr_up: Keyword argument.

    :type active: YANGBool
    :param active: Keyword argument.

    :type priority_configured: YANGBool
    :param priority_configured: Keyword argument.

    :type setup_priority: int
    :param setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type holding_priority: int
    :param holding_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type hop_limit_configured: YANGBool
    :param hop_limit_configured: Keyword argument.

    :type hop_limit: int
    :param hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type bandwidth_configured: YANGBool
    :param bandwidth_configured: Keyword argument.

    :type bandwidth: long
    :param bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type down_reason: unicode
    :param down_reason: Keyword argument.

    :type computation_mode: unicode
    :param computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['cspf-computation-mode-use-igp-metric-global',
            'cspf-computation-mode-use-bypass-metric',
            'cspf-computation-mode-default',
            'cspf-computation-mode-use-igp-metric',
            'cspf-computation-mode-use-te-metric',
            'cspf-computation-mode-use-bypass-liberal',
            'cspf-computation-mode-use-te-metric-global']

    :type group_computation_mode_default: YANGBool
    :param group_computation_mode_default: Keyword argument.

    :type group_computation_mode_add_penalty: YANGBool
    :param group_computation_mode_add_penalty: Keyword argument.

    :type group_computation_mode_exclude_groups: YANGBool
    :param group_computation_mode_exclude_groups: Keyword argument.

    :type group_computation_mode_high_cost: YANGBool
    :param group_computation_mode_high_cost: Keyword argument.

    :type out_port_id: long
    :param out_port_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_port_name: unicode
    :param out_port_name: Keyword argument.

    :type out_label: long
    :param out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type path_cost: long
    :param path_cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bypass_name: unicode
    :param bypass_name: Keyword argument.

    :type has_secondary_swithover_time: long
    :param has_secondary_swithover_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type secondary_swithover_time: long
    :param secondary_swithover_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hold_time: long
    :param hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type global_revertive: long
    :param global_revertive: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type revertive_timer_expired: long
    :param revertive_timer_expired: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fwdg_state_primary_up: YANGBool
    :param fwdg_state_primary_up: Keyword argument.

    :type fwdg_state_primary_active: YANGBool
    :param fwdg_state_primary_active: Keyword argument.

    :type fwdg_state_primary_down: YANGBool
    :param fwdg_state_primary_down: Keyword argument.

    :type fwdg_state_secondary_up: YANGBool
    :param fwdg_state_secondary_up: Keyword argument.

    :type fwdg_state_secondary_active: YANGBool
    :param fwdg_state_secondary_active: Keyword argument.

    :type fwdg_state_secondary_down: YANGBool
    :param fwdg_state_secondary_down: Keyword argument.

    :type fwdg_state_detour_up: YANGBool
    :param fwdg_state_detour_up: Keyword argument.

    :type fwdg_state_detour_active: YANGBool
    :param fwdg_state_detour_active: Keyword argument.

    :type fwdg_state_detour_down: YANGBool
    :param fwdg_state_detour_down: Keyword argument.

    :type admin_group_configured: YANGBool
    :param admin_group_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.mpls_state.lsp.frr": {"bandwidth_configured": "bandwidth_configured", "out_port_id": "out_port_id", "path_cost": "path_cost", "configured": "configured", "down_reason": "down_reason", "bandwidth": "bandwidth", "fwdg_state_primary_active": "fwdg_state_primary_active", "out_port_name": "out_port_name", "global_revertive": "global_revertive", "one_to_one": "one_to_one", "computation_mode": "computation_mode", "fwdg_state_secondary_active": "fwdg_state_secondary_active", "hop_limit_configured": "hop_limit_configured", "group_computation_mode_default": "group_computation_mode_default", "group_computation_mode_high_cost": "group_computation_mode_high_cost", "fwdg_state_detour_down": "fwdg_state_detour_down", "out_label": "out_label", "frr_up": "frr_up", "admin_group_configured": "admin_group_configured", "holding_priority": "holding_priority", "has_secondary_swithover_time": "has_secondary_swithover_time", "fwdg_state_secondary_up": "fwdg_state_secondary_up", "secondary_swithover_time": "secondary_swithover_time", "revertive_timer_expired": "revertive_timer_expired", "group_computation_mode_exclude_groups": "group_computation_mode_exclude_groups", "bypass_name": "bypass_name", "protection_type": "protection_type", "active": "active", "fwdg_state_secondary_down": "fwdg_state_secondary_down", "hold_time": "hold_time", "setup_priority": "setup_priority", "fwdg_state_primary_up": "fwdg_state_primary_up", "one_to_many": "one_to_many", "group_computation_mode_add_penalty": "group_computation_mode_add_penalty", "priority_configured": "priority_configured", "fwdg_state_detour_up": "fwdg_state_detour_up", "fwdg_state_detour_active": "fwdg_state_detour_active", "fwdg_state_primary_down": "fwdg_state_primary_down", "hop_limit": "hop_limit"}, "pybind.slxos.v17r_1_00a.mpls_state.lsp.frr": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, configured=configured, one_to_one=one_to_one, one_to_many=one_to_many, protection_type=protection_type, frr_up=frr_up, active=active, priority_configured=priority_configured, setup_priority=setup_priority, holding_priority=holding_priority, hop_limit_configured=hop_limit_configured, hop_limit=hop_limit, bandwidth_configured=bandwidth_configured, bandwidth=bandwidth, down_reason=down_reason, computation_mode=computation_mode, group_computation_mode_default=group_computation_mode_default, group_computation_mode_add_penalty=group_computation_mode_add_penalty, group_computation_mode_exclude_groups=group_computation_mode_exclude_groups, group_computation_mode_high_cost=group_computation_mode_high_cost, out_port_id=out_port_id, out_port_name=out_port_name, out_label=out_label, path_cost=path_cost, bypass_name=bypass_name, has_secondary_swithover_time=has_secondary_swithover_time, secondary_swithover_time=secondary_swithover_time, hold_time=hold_time, global_revertive=global_revertive, revertive_timer_expired=revertive_timer_expired, fwdg_state_primary_up=fwdg_state_primary_up, fwdg_state_primary_active=fwdg_state_primary_active, fwdg_state_primary_down=fwdg_state_primary_down, fwdg_state_secondary_up=fwdg_state_secondary_up, fwdg_state_secondary_active=fwdg_state_secondary_active, fwdg_state_secondary_down=fwdg_state_secondary_down, fwdg_state_detour_up=fwdg_state_detour_up, fwdg_state_detour_active=fwdg_state_detour_active, fwdg_state_detour_down=fwdg_state_detour_down, admin_group_configured=admin_group_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, configured=configured, one_to_one=one_to_one, one_to_many=one_to_many, protection_type=protection_type, frr_up=frr_up, active=active, priority_configured=priority_configured, setup_priority=setup_priority, holding_priority=holding_priority, hop_limit_configured=hop_limit_configured, hop_limit=hop_limit, bandwidth_configured=bandwidth_configured, bandwidth=bandwidth, down_reason=down_reason, computation_mode=computation_mode, group_computation_mode_default=group_computation_mode_default, group_computation_mode_add_penalty=group_computation_mode_add_penalty, group_computation_mode_exclude_groups=group_computation_mode_exclude_groups, group_computation_mode_high_cost=group_computation_mode_high_cost, out_port_id=out_port_id, out_port_name=out_port_name, out_label=out_label, path_cost=path_cost, bypass_name=bypass_name, has_secondary_swithover_time=has_secondary_swithover_time, secondary_swithover_time=secondary_swithover_time, hold_time=hold_time, global_revertive=global_revertive, revertive_timer_expired=revertive_timer_expired, fwdg_state_primary_up=fwdg_state_primary_up, fwdg_state_primary_active=fwdg_state_primary_active, fwdg_state_primary_down=fwdg_state_primary_down, fwdg_state_secondary_up=fwdg_state_secondary_up, fwdg_state_secondary_active=fwdg_state_secondary_active, fwdg_state_secondary_down=fwdg_state_secondary_down, fwdg_state_detour_up=fwdg_state_detour_up, fwdg_state_detour_active=fwdg_state_detour_active, fwdg_state_detour_down=fwdg_state_detour_down, admin_group_configured=admin_group_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_active_update(self, lsp=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_admin_group_configured_update(self, lsp=None, admin_group_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type admin_group_configured: YANGBool
    :param admin_group_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, admin_group_configured=admin_group_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, admin_group_configured=admin_group_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_bandwidth_update(self, lsp=None, bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type bandwidth: long
    :param bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, bandwidth=bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, bandwidth=bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_bandwidth_configured_update(self, lsp=None, bandwidth_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type bandwidth_configured: YANGBool
    :param bandwidth_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, bandwidth_configured=bandwidth_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, bandwidth_configured=bandwidth_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_bandwidth_inherited_update(self, lsp=None, bandwidth_inherited=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type bandwidth_inherited: YANGBool
    :param bandwidth_inherited: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, bandwidth_inherited=bandwidth_inherited)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, bandwidth_inherited=bandwidth_inherited)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_bypass_name_update(self, lsp=None, bypass_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type bypass_name: unicode
    :param bypass_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, bypass_name=bypass_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, bypass_name=bypass_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_computation_mode_update(self, lsp=None, computation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type computation_mode: unicode
    :param computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['cspf-computation-mode-use-igp-metric-global',
            'cspf-computation-mode-use-bypass-metric',
            'cspf-computation-mode-default',
            'cspf-computation-mode-use-igp-metric',
            'cspf-computation-mode-use-te-metric',
            'cspf-computation-mode-use-bypass-liberal',
            'cspf-computation-mode-use-te-metric-global']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, computation_mode=computation_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, computation_mode=computation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_configured_update(self, lsp=None, configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type configured: YANGBool
    :param configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, configured=configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, configured=configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_down_reason_update(self, lsp=None, down_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type down_reason: unicode
    :param down_reason: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, down_reason=down_reason)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, down_reason=down_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_exclude_any_update(self, lsp=None, exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type exclude_any: admin_group_id
    :param exclude_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **exclude_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr.exclude_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, exclude_any=exclude_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, exclude_any=exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_exclude_any_admin_group_name_update(self, lsp=None, exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type exclude_any: admin_group_id
    :param exclude_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **exclude_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr.exclude_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, exclude_any=exclude_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, exclude_any=exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_frr_up_update(self, lsp=None, frr_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type frr_up: YANGBool
    :param frr_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, frr_up=frr_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, frr_up=frr_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_fwdg_state_detour_active_update(self, lsp=None, fwdg_state_detour_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type fwdg_state_detour_active: YANGBool
    :param fwdg_state_detour_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, fwdg_state_detour_active=fwdg_state_detour_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, fwdg_state_detour_active=fwdg_state_detour_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_fwdg_state_detour_down_update(self, lsp=None, fwdg_state_detour_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type fwdg_state_detour_down: YANGBool
    :param fwdg_state_detour_down: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, fwdg_state_detour_down=fwdg_state_detour_down)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, fwdg_state_detour_down=fwdg_state_detour_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_fwdg_state_detour_up_update(self, lsp=None, fwdg_state_detour_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type fwdg_state_detour_up: YANGBool
    :param fwdg_state_detour_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, fwdg_state_detour_up=fwdg_state_detour_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, fwdg_state_detour_up=fwdg_state_detour_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_fwdg_state_primary_active_update(self, lsp=None, fwdg_state_primary_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type fwdg_state_primary_active: YANGBool
    :param fwdg_state_primary_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, fwdg_state_primary_active=fwdg_state_primary_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, fwdg_state_primary_active=fwdg_state_primary_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_fwdg_state_primary_down_update(self, lsp=None, fwdg_state_primary_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type fwdg_state_primary_down: YANGBool
    :param fwdg_state_primary_down: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, fwdg_state_primary_down=fwdg_state_primary_down)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, fwdg_state_primary_down=fwdg_state_primary_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_fwdg_state_primary_up_update(self, lsp=None, fwdg_state_primary_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type fwdg_state_primary_up: YANGBool
    :param fwdg_state_primary_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, fwdg_state_primary_up=fwdg_state_primary_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, fwdg_state_primary_up=fwdg_state_primary_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_fwdg_state_secondary_active_update(self, lsp=None, fwdg_state_secondary_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type fwdg_state_secondary_active: YANGBool
    :param fwdg_state_secondary_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, fwdg_state_secondary_active=fwdg_state_secondary_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, fwdg_state_secondary_active=fwdg_state_secondary_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_fwdg_state_secondary_down_update(self, lsp=None, fwdg_state_secondary_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type fwdg_state_secondary_down: YANGBool
    :param fwdg_state_secondary_down: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, fwdg_state_secondary_down=fwdg_state_secondary_down)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, fwdg_state_secondary_down=fwdg_state_secondary_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_fwdg_state_secondary_up_update(self, lsp=None, fwdg_state_secondary_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type fwdg_state_secondary_up: YANGBool
    :param fwdg_state_secondary_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, fwdg_state_secondary_up=fwdg_state_secondary_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, fwdg_state_secondary_up=fwdg_state_secondary_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_global_revertive_update(self, lsp=None, global_revertive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type global_revertive: long
    :param global_revertive: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, global_revertive=global_revertive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, global_revertive=global_revertive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_group_computation_mode_add_penalty_update(self, lsp=None, group_computation_mode_add_penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type group_computation_mode_add_penalty: YANGBool
    :param group_computation_mode_add_penalty: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, group_computation_mode_add_penalty=group_computation_mode_add_penalty)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, group_computation_mode_add_penalty=group_computation_mode_add_penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_group_computation_mode_default_update(self, lsp=None, group_computation_mode_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type group_computation_mode_default: YANGBool
    :param group_computation_mode_default: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, group_computation_mode_default=group_computation_mode_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, group_computation_mode_default=group_computation_mode_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_group_computation_mode_exclude_groups_update(self, lsp=None, group_computation_mode_exclude_groups=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type group_computation_mode_exclude_groups: YANGBool
    :param group_computation_mode_exclude_groups: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, group_computation_mode_exclude_groups=group_computation_mode_exclude_groups)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, group_computation_mode_exclude_groups=group_computation_mode_exclude_groups)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_group_computation_mode_high_cost_update(self, lsp=None, group_computation_mode_high_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type group_computation_mode_high_cost: YANGBool
    :param group_computation_mode_high_cost: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, group_computation_mode_high_cost=group_computation_mode_high_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, group_computation_mode_high_cost=group_computation_mode_high_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_has_secondary_swithover_time_update(self, lsp=None, has_secondary_swithover_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type has_secondary_swithover_time: long
    :param has_secondary_swithover_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, has_secondary_swithover_time=has_secondary_swithover_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, has_secondary_swithover_time=has_secondary_swithover_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_hold_time_update(self, lsp=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_holding_priority_update(self, lsp=None, holding_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type holding_priority: int
    :param holding_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, holding_priority=holding_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, holding_priority=holding_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_hop_limit_update(self, lsp=None, hop_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type hop_limit: int
    :param hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, hop_limit=hop_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, hop_limit=hop_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_hop_limit_configured_update(self, lsp=None, hop_limit_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type hop_limit_configured: YANGBool
    :param hop_limit_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, hop_limit_configured=hop_limit_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, hop_limit_configured=hop_limit_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_include_all_update(self, lsp=None, include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type include_all: admin_group_id
    :param include_all: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **include_all** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr.include_all', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, include_all=include_all, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, include_all=include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_include_all_admin_group_name_update(self, lsp=None, include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type include_all: admin_group_id
    :param include_all: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **include_all** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr.include_all', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, include_all=include_all, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, include_all=include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_include_any_update(self, lsp=None, include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type include_any: admin_group_id
    :param include_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **include_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr.include_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, include_any=include_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, include_any=include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_include_any_admin_group_name_update(self, lsp=None, include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type include_any: admin_group_id
    :param include_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **include_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr.include_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, include_any=include_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, include_any=include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_one_to_many_update(self, lsp=None, one_to_many=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type one_to_many: YANGBool
    :param one_to_many: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, one_to_many=one_to_many)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, one_to_many=one_to_many)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_one_to_one_update(self, lsp=None, one_to_one=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type one_to_one: YANGBool
    :param one_to_one: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, one_to_one=one_to_one)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, one_to_one=one_to_one)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_out_label_update(self, lsp=None, out_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type out_label: long
    :param out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, out_label=out_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, out_label=out_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_out_port_id_update(self, lsp=None, out_port_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type out_port_id: long
    :param out_port_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, out_port_id=out_port_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, out_port_id=out_port_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_out_port_name_update(self, lsp=None, out_port_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type out_port_name: unicode
    :param out_port_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, out_port_name=out_port_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, out_port_name=out_port_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_path_cost_update(self, lsp=None, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type path_cost: long
    :param path_cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, path_cost=path_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_priority_configured_update(self, lsp=None, priority_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type priority_configured: YANGBool
    :param priority_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, priority_configured=priority_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, priority_configured=priority_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_protection_type_update(self, lsp=None, protection_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type protection_type: unicode
    :param protection_type: Keyword argument.

        * enumeration restriction: ::

            ['node-protection', 'link-protection']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, protection_type=protection_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, protection_type=protection_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_revertive_timer_expired_update(self, lsp=None, revertive_timer_expired=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type revertive_timer_expired: long
    :param revertive_timer_expired: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, revertive_timer_expired=revertive_timer_expired)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, revertive_timer_expired=revertive_timer_expired)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_secondary_swithover_time_update(self, lsp=None, secondary_swithover_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type secondary_swithover_time: long
    :param secondary_swithover_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_swithover_time=secondary_swithover_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_swithover_time=secondary_swithover_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_setup_priority_update(self, lsp=None, setup_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type setup_priority: int
    :param setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.frr', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, setup_priority=setup_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, setup_priority=setup_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_update(self, lsp=None, instances=None, current_instance=None, new_instance=None, old_instance=None, is_primary=None, is_current_secondary=None, is_selected_secondary=None, instance_admin_up=None, instance_is_up=None, instance_is_active=None, is_adaptive=None, is_bypass=None, is_dynamic_bypass=None, config_admin_up=None, config_from_address_configured=None, config_from_address=None, config_to_address=None, config_type_bypass=None, config_type_dynamic=None, config_adaptive=None, config_ospf_area=None, config_isis_level=None, config_number_of_retries_configured=None, config_number_of_retries=None, config_path_select_mode=None, config_path_selected_path=None, config_path_selected_secondary_name=None, config_revert_time_configured=None, config_revert_time=None, config_retry_count_configured=None, config_retry_count=None, config_enable_ldp_tunnelling=None, config_shortcut_ospf=None, config_shortcut_area_configured=None, config_shortcut_area=None, config_notify_ospf=None, config_shortcut_isis=None, config_isis_shortcut_level_configured=None, config_isis_shortcut_level=None, config_notify_isis=None, config_metric_configured=None, config_metric=None, config_ospf_ignore_metric=None, config_ospf_relative_metric=None, config_ospf_announce_metric=None, config_ospf_aaf=None, config_isis_ignore_metric=None, config_isis_relative_metric=None, config_isis_announce_configured=None, config_isis_announce_metric=None, config_path_configured=None, config_path=None, config_reoptimize_timer_configured=None, config_reoptimize_time=None, config_tspec_mtu_configured=None, config_tspec_mtu=None, config_cos_configured=None, config_cos=None, config_mtu_configured=None, config_mtu=None, config_tie_breaking_configured=None, config_tie_break_random=None, config_tie_break_least_fill=None, config_tie_break_most_fill=None, config_cspf_disabled=None, config_rro_disabled=None, config_hot_standby=None, config_pinned=None, config_persistenct=None, config_frr_global_revertive=None, config_frr_hold_time=None, config_soft_prempt=None, config_exclude_interface_change=None, config_prority_configured=None, config_setup_prority=None, config_holding_prority=None, config_hop_limit_configured=None, config_hop_limit=None, config_traffic_eng_rate_configured=None, config_traffic_eng_mean_rate=None, config_traffic_eng_max_rate=None, config_traffic_eng_max_burst=None, config_abw_configured=None, config_bfd_configured=None, config_admin_group_configured=None, config_cspf_computation_mode=None, path_computed_by_cspf=None, path_computed_by_interface_constraint=None, cspf_computation_mode=None, cspf_group_computation_mode_default=None, cspf_group_computation_mode_add_penalty=None, cspf_group_computation_mode_exclude_groups=None, cspf_group_computation_mode_high_cost=None, cspf_path_cost=None, cspf_path_area=None, cspf_computation_error=None, cspf_exclude_hops_present=None, rsvp_session_present=None, rsvp_session_state_up=None, rsvp_session_state=None, rsvp_session_path_error_code=None, rsvp_session_path_error_value=None, rsvp_session_path_error_node_address=None, rsvp_session_rro_hops_present=None, config_exclude_interface_configured=None, maximum_bandwidth=None, unreserved_priority_0_bandwidth=None, unreserved_priority_1_bandwidth=None, unreserved_priority_2_bandwidth=None, unreserved_priority_3_bandwidth=None, unreserved_priority_4_bandwidth=None, unreserved_priority_5_bandwidth=None, unreserved_priority_6_bandwidth=None, unreserved_priority_7_bandwidth=None, config_frr_configured=None, config_frr_one_to_one=None, config_frr_one_to_many=None, config_frr_priority_configured=None, config_frr_setup_priority=None, config_frr_holding_priority=None, config_frr_hop_limit_configured=None, config_frr_hop_limit=None, config_frr_bandwidth_configured=None, config_frr_bandwidth=None, config_frr_admin_group_configured=None, reoptimize_ignore_count=None, reoptimize_time_count=None, instance_frr_configured=None, instance_frr_up=None, instance_frr_active=None, instance_out_port_id=None, instance_out_port_name=None, instance_out_label=None, instance_revert_time=None, instance_retry_count=None, instance_up_down_count=None, instance_metric=None, instance_down_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type current_instance: YANGBool
    :param current_instance: Keyword argument.

    :type new_instance: YANGBool
    :param new_instance: Keyword argument.

    :type old_instance: YANGBool
    :param old_instance: Keyword argument.

    :type is_primary: YANGBool
    :param is_primary: Keyword argument.

    :type is_current_secondary: YANGBool
    :param is_current_secondary: Keyword argument.

    :type is_selected_secondary: YANGBool
    :param is_selected_secondary: Keyword argument.

    :type instance_admin_up: YANGBool
    :param instance_admin_up: Keyword argument.

    :type instance_is_up: YANGBool
    :param instance_is_up: Keyword argument.

    :type instance_is_active: YANGBool
    :param instance_is_active: Keyword argument.

    :type is_adaptive: YANGBool
    :param is_adaptive: Keyword argument.

    :type is_bypass: YANGBool
    :param is_bypass: Keyword argument.

    :type is_dynamic_bypass: YANGBool
    :param is_dynamic_bypass: Keyword argument.

    :type config_admin_up: YANGBool
    :param config_admin_up: Keyword argument.

    :type config_from_address_configured: YANGBool
    :param config_from_address_configured: Keyword argument.

    :type config_from_address: unicode
    :param config_from_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type config_to_address: unicode
    :param config_to_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type config_type_bypass: YANGBool
    :param config_type_bypass: Keyword argument.

    :type config_type_dynamic: YANGBool
    :param config_type_dynamic: Keyword argument.

    :type config_adaptive: YANGBool
    :param config_adaptive: Keyword argument.

    :type config_ospf_area: unicode
    :param config_ospf_area: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type config_isis_level: long
    :param config_isis_level: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_number_of_retries_configured: YANGBool
    :param config_number_of_retries_configured: Keyword argument.

    :type config_number_of_retries: long
    :param config_number_of_retries: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_path_select_mode: unicode
    :param config_path_select_mode: Keyword argument.

        * enumeration restriction: ::

            ['manual', 'unconditional']

    :type config_path_selected_path: unicode
    :param config_path_selected_path: Keyword argument.

        * enumeration restriction: ::

            ['primary-path', 'secondary-path']

    :type config_path_selected_secondary_name: unicode
    :param config_path_selected_secondary_name: Keyword argument.

    :type config_revert_time_configured: YANGBool
    :param config_revert_time_configured: Keyword argument.

    :type config_revert_time: long
    :param config_revert_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_retry_count_configured: YANGBool
    :param config_retry_count_configured: Keyword argument.

    :type config_retry_count: long
    :param config_retry_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_enable_ldp_tunnelling: YANGBool
    :param config_enable_ldp_tunnelling: Keyword argument.

    :type config_shortcut_ospf: YANGBool
    :param config_shortcut_ospf: Keyword argument.

    :type config_shortcut_area_configured: YANGBool
    :param config_shortcut_area_configured: Keyword argument.

    :type config_shortcut_area: long
    :param config_shortcut_area: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_notify_ospf: YANGBool
    :param config_notify_ospf: Keyword argument.

    :type config_shortcut_isis: YANGBool
    :param config_shortcut_isis: Keyword argument.

    :type config_isis_shortcut_level_configured: YANGBool
    :param config_isis_shortcut_level_configured: Keyword argument.

    :type config_isis_shortcut_level: long
    :param config_isis_shortcut_level: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_notify_isis: YANGBool
    :param config_notify_isis: Keyword argument.

    :type config_metric_configured: YANGBool
    :param config_metric_configured: Keyword argument.

    :type config_metric: long
    :param config_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_ospf_ignore_metric: YANGBool
    :param config_ospf_ignore_metric: Keyword argument.

    :type config_ospf_relative_metric: long
    :param config_ospf_relative_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_ospf_announce_metric: YANGBool
    :param config_ospf_announce_metric: Keyword argument.

    :type config_ospf_aaf: long
    :param config_ospf_aaf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_isis_ignore_metric: YANGBool
    :param config_isis_ignore_metric: Keyword argument.

    :type config_isis_relative_metric: long
    :param config_isis_relative_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_isis_announce_configured: YANGBool
    :param config_isis_announce_configured: Keyword argument.

    :type config_isis_announce_metric: long
    :param config_isis_announce_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_path_configured: YANGBool
    :param config_path_configured: Keyword argument.

    :type config_path: unicode
    :param config_path: Keyword argument.

    :type config_reoptimize_timer_configured: YANGBool
    :param config_reoptimize_timer_configured: Keyword argument.

    :type config_reoptimize_time: long
    :param config_reoptimize_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_tspec_mtu_configured: YANGBool
    :param config_tspec_mtu_configured: Keyword argument.

    :type config_tspec_mtu: long
    :param config_tspec_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_cos_configured: YANGBool
    :param config_cos_configured: Keyword argument.

    :type config_cos: int
    :param config_cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_mtu_configured: YANGBool
    :param config_mtu_configured: Keyword argument.

    :type config_mtu: long
    :param config_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_tie_breaking_configured: YANGBool
    :param config_tie_breaking_configured: Keyword argument.

    :type config_tie_break_random: YANGBool
    :param config_tie_break_random: Keyword argument.

    :type config_tie_break_least_fill: YANGBool
    :param config_tie_break_least_fill: Keyword argument.

    :type config_tie_break_most_fill: YANGBool
    :param config_tie_break_most_fill: Keyword argument.

    :type config_cspf_disabled: YANGBool
    :param config_cspf_disabled: Keyword argument.

    :type config_rro_disabled: YANGBool
    :param config_rro_disabled: Keyword argument.

    :type config_hot_standby: YANGBool
    :param config_hot_standby: Keyword argument.

    :type config_pinned: YANGBool
    :param config_pinned: Keyword argument.

    :type config_persistenct: YANGBool
    :param config_persistenct: Keyword argument.

    :type config_frr_global_revertive: YANGBool
    :param config_frr_global_revertive: Keyword argument.

    :type config_frr_hold_time: long
    :param config_frr_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_soft_prempt: YANGBool
    :param config_soft_prempt: Keyword argument.

    :type config_exclude_interface_change: YANGBool
    :param config_exclude_interface_change: Keyword argument.

    :type config_prority_configured: YANGBool
    :param config_prority_configured: Keyword argument.

    :type config_setup_prority: int
    :param config_setup_prority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_holding_prority: int
    :param config_holding_prority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_hop_limit_configured: YANGBool
    :param config_hop_limit_configured: Keyword argument.

    :type config_hop_limit: int
    :param config_hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_traffic_eng_rate_configured: YANGBool
    :param config_traffic_eng_rate_configured: Keyword argument.

    :type config_traffic_eng_mean_rate: long
    :param config_traffic_eng_mean_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_traffic_eng_max_rate: long
    :param config_traffic_eng_max_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_traffic_eng_max_burst: long
    :param config_traffic_eng_max_burst: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_abw_configured: YANGBool
    :param config_abw_configured: Keyword argument.

    :type config_bfd_configured: YANGBool
    :param config_bfd_configured: Keyword argument.

    :type config_admin_group_configured: YANGBool
    :param config_admin_group_configured: Keyword argument.

    :type config_cspf_computation_mode: unicode
    :param config_cspf_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['cspf-computation-mode-use-igp-metric-global',
            'cspf-computation-mode-use-bypass-metric',
            'cspf-computation-mode-default',
            'cspf-computation-mode-use-igp-metric',
            'cspf-computation-mode-use-te-metric',
            'cspf-computation-mode-use-bypass-liberal',
            'cspf-computation-mode-use-te-metric-global']

    :type path_computed_by_cspf: YANGBool
    :param path_computed_by_cspf: Keyword argument.

    :type path_computed_by_interface_constraint: YANGBool
    :param path_computed_by_interface_constraint: Keyword argument.

    :type cspf_computation_mode: unicode
    :param cspf_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['cspf-computation-mode-use-igp-metric-global',
            'cspf-computation-mode-use-bypass-metric',
            'cspf-computation-mode-default',
            'cspf-computation-mode-use-igp-metric',
            'cspf-computation-mode-use-te-metric',
            'cspf-computation-mode-use-bypass-liberal',
            'cspf-computation-mode-use-te-metric-global']

    :type cspf_group_computation_mode_default: YANGBool
    :param cspf_group_computation_mode_default: Keyword argument.

    :type cspf_group_computation_mode_add_penalty: YANGBool
    :param cspf_group_computation_mode_add_penalty: Keyword argument.

    :type cspf_group_computation_mode_exclude_groups: YANGBool
    :param cspf_group_computation_mode_exclude_groups: Keyword argument.

    :type cspf_group_computation_mode_high_cost: YANGBool
    :param cspf_group_computation_mode_high_cost: Keyword argument.

    :type cspf_path_cost: long
    :param cspf_path_cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cspf_path_area: long
    :param cspf_path_area: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cspf_computation_error: long
    :param cspf_computation_error: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cspf_exclude_hops_present: YANGBool
    :param cspf_exclude_hops_present: Keyword argument.

    :type rsvp_session_present: YANGBool
    :param rsvp_session_present: Keyword argument.

    :type rsvp_session_state_up: YANGBool
    :param rsvp_session_state_up: Keyword argument.

    :type rsvp_session_state: int
    :param rsvp_session_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type rsvp_session_path_error_code: long
    :param rsvp_session_path_error_code: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rsvp_session_path_error_value: long
    :param rsvp_session_path_error_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rsvp_session_path_error_node_address: unicode
    :param rsvp_session_path_error_node_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type rsvp_session_rro_hops_present: YANGBool
    :param rsvp_session_rro_hops_present: Keyword argument.

    :type config_exclude_interface_configured: YANGBool
    :param config_exclude_interface_configured: Keyword argument.

    :type maximum_bandwidth: long
    :param maximum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_0_bandwidth: long
    :param unreserved_priority_0_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_1_bandwidth: long
    :param unreserved_priority_1_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_2_bandwidth: long
    :param unreserved_priority_2_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_3_bandwidth: long
    :param unreserved_priority_3_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_4_bandwidth: long
    :param unreserved_priority_4_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_5_bandwidth: long
    :param unreserved_priority_5_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_6_bandwidth: long
    :param unreserved_priority_6_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_7_bandwidth: long
    :param unreserved_priority_7_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_frr_configured: YANGBool
    :param config_frr_configured: Keyword argument.

    :type config_frr_one_to_one: YANGBool
    :param config_frr_one_to_one: Keyword argument.

    :type config_frr_one_to_many: YANGBool
    :param config_frr_one_to_many: Keyword argument.

    :type config_frr_priority_configured: YANGBool
    :param config_frr_priority_configured: Keyword argument.

    :type config_frr_setup_priority: int
    :param config_frr_setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_frr_holding_priority: int
    :param config_frr_holding_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_frr_hop_limit_configured: YANGBool
    :param config_frr_hop_limit_configured: Keyword argument.

    :type config_frr_hop_limit: int
    :param config_frr_hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_frr_bandwidth_configured: YANGBool
    :param config_frr_bandwidth_configured: Keyword argument.

    :type config_frr_bandwidth: long
    :param config_frr_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_frr_admin_group_configured: YANGBool
    :param config_frr_admin_group_configured: Keyword argument.

    :type reoptimize_ignore_count: long
    :param reoptimize_ignore_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type reoptimize_time_count: long
    :param reoptimize_time_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_frr_configured: long
    :param instance_frr_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_frr_up: long
    :param instance_frr_up: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_frr_active: long
    :param instance_frr_active: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_out_port_id: long
    :param instance_out_port_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_out_port_name: unicode
    :param instance_out_port_name: Keyword argument.

    :type instance_out_label: long
    :param instance_out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_revert_time: long
    :param instance_revert_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_retry_count: long
    :param instance_retry_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_up_down_count: long
    :param instance_up_down_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_metric: int
    :param instance_metric: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type instance_down_reason: unicode
    :param instance_down_reason: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.mpls_state.lsp.instances": {"config_path_selected_path": "config_path_selected_path", "config_type_bypass": "config_type_bypass", "config_isis_shortcut_level": "config_isis_shortcut_level", "config_frr_priority_configured": "config_frr_priority_configured", "config_bfd_configured": "config_bfd_configured", "config_frr_hop_limit": "config_frr_hop_limit", "config_number_of_retries_configured": "config_number_of_retries_configured", "rsvp_session_state": "rsvp_session_state", "config_frr_setup_priority": "config_frr_setup_priority", "instance_out_label": "instance_out_label", "config_mtu_configured": "config_mtu_configured", "config_ospf_ignore_metric": "config_ospf_ignore_metric", "unreserved_priority_1_bandwidth": "unreserved_priority_1_bandwidth", "config_metric_configured": "config_metric_configured", "config_hot_standby": "config_hot_standby", "config_frr_global_revertive": "config_frr_global_revertive", "config_path_selected_secondary_name": "config_path_selected_secondary_name", "config_abw_configured": "config_abw_configured", "unreserved_priority_5_bandwidth": "unreserved_priority_5_bandwidth", "instance_frr_up": "instance_frr_up", "cspf_path_area": "cspf_path_area", "config_frr_hop_limit_configured": "config_frr_hop_limit_configured", "is_current_secondary": "is_current_secondary", "config_tie_break_random": "config_tie_break_random", "config_frr_hold_time": "config_frr_hold_time", "is_selected_secondary": "is_selected_secondary", "instance_is_active": "instance_is_active", "is_bypass": "is_bypass", "config_traffic_eng_max_rate": "config_traffic_eng_max_rate", "cspf_computation_error": "cspf_computation_error", "reoptimize_time_count": "reoptimize_time_count", "cspf_group_computation_mode_add_penalty": "cspf_group_computation_mode_add_penalty", "config_cos_configured": "config_cos_configured", "config_persistenct": "config_persistenct", "cspf_exclude_hops_present": "cspf_exclude_hops_present", "config_from_address_configured": "config_from_address_configured", "config_holding_prority": "config_holding_prority", "config_ospf_aaf": "config_ospf_aaf", "instance_id": "instance_id", "config_traffic_eng_mean_rate": "config_traffic_eng_mean_rate", "unreserved_priority_3_bandwidth": "unreserved_priority_3_bandwidth", "instance_frr_active": "instance_frr_active", "config_revert_time": "config_revert_time", "config_frr_one_to_many": "config_frr_one_to_many", "instance_frr_configured": "instance_frr_configured", "instance_out_port_name": "instance_out_port_name", "config_isis_relative_metric": "config_isis_relative_metric", "config_frr_bandwidth_configured": "config_frr_bandwidth_configured", "config_tie_break_least_fill": "config_tie_break_least_fill", "config_cspf_computation_mode": "config_cspf_computation_mode", "config_frr_bandwidth": "config_frr_bandwidth", "config_prority_configured": "config_prority_configured", "config_from_address": "config_from_address", "is_dynamic_bypass": "is_dynamic_bypass", "config_frr_configured": "config_frr_configured", "config_reoptimize_timer_configured": "config_reoptimize_timer_configured", "config_ospf_area": "config_ospf_area", "config_adaptive": "config_adaptive", "config_ospf_announce_metric": "config_ospf_announce_metric", "config_retry_count_configured": "config_retry_count_configured", "config_exclude_interface_change": "config_exclude_interface_change", "rsvp_session_present": "rsvp_session_present", "config_frr_admin_group_configured": "config_frr_admin_group_configured", "config_setup_prority": "config_setup_prority", "config_path_select_mode": "config_path_select_mode", "config_number_of_retries": "config_number_of_retries", "config_rro_disabled": "config_rro_disabled", "instance_up_down_count": "instance_up_down_count", "config_shortcut_ospf": "config_shortcut_ospf", "config_cos": "config_cos", "cspf_group_computation_mode_default": "cspf_group_computation_mode_default", "config_enable_ldp_tunnelling": "config_enable_ldp_tunnelling", "config_isis_level": "config_isis_level", "rsvp_session_rro_hops_present": "rsvp_session_rro_hops_present", "config_isis_announce_metric": "config_isis_announce_metric", "config_admin_up": "config_admin_up", "config_notify_ospf": "config_notify_ospf", "config_shortcut_isis": "config_shortcut_isis", "config_pinned": "config_pinned", "instance_down_reason": "instance_down_reason", "lsp_id": "lsp_id", "config_exclude_interface_configured": "config_exclude_interface_configured", "reoptimize_ignore_count": "reoptimize_ignore_count", "instance_metric": "instance_metric", "rsvp_session_path_error_value": "rsvp_session_path_error_value", "path_computed_by_interface_constraint": "path_computed_by_interface_constraint", "config_traffic_eng_rate_configured": "config_traffic_eng_rate_configured", "instance_is_up": "instance_is_up", "config_retry_count": "config_retry_count", "config_admin_group_configured": "config_admin_group_configured", "config_mtu": "config_mtu", "config_frr_holding_priority": "config_frr_holding_priority", "instance_revert_time": "instance_revert_time", "config_shortcut_area_configured": "config_shortcut_area_configured", "config_traffic_eng_max_burst": "config_traffic_eng_max_burst", "config_tspec_mtu_configured": "config_tspec_mtu_configured", "config_tie_break_most_fill": "config_tie_break_most_fill", "unreserved_priority_0_bandwidth": "unreserved_priority_0_bandwidth", "instance_admin_up": "instance_admin_up", "config_frr_one_to_one": "config_frr_one_to_one", "config_hop_limit": "config_hop_limit", "unreserved_priority_7_bandwidth": "unreserved_priority_7_bandwidth", "config_ospf_relative_metric": "config_ospf_relative_metric", "instance_retry_count": "instance_retry_count", "config_isis_ignore_metric": "config_isis_ignore_metric", "rsvp_session_path_error_code": "rsvp_session_path_error_code", "config_isis_shortcut_level_configured": "config_isis_shortcut_level_configured", "config_soft_prempt": "config_soft_prempt", "config_type_dynamic": "config_type_dynamic", "config_cspf_disabled": "config_cspf_disabled", "unreserved_priority_2_bandwidth": "unreserved_priority_2_bandwidth", "config_path": "config_path", "unreserved_priority_4_bandwidth": "unreserved_priority_4_bandwidth", "config_notify_isis": "config_notify_isis", "config_hop_limit_configured": "config_hop_limit_configured", "config_isis_announce_configured": "config_isis_announce_configured", "current_instance": "current_instance", "maximum_bandwidth": "maximum_bandwidth", "rsvp_session_state_up": "rsvp_session_state_up", "config_to_address": "config_to_address", "config_path_configured": "config_path_configured", "old_instance": "old_instance", "rsvp_session_path_error_node_address": "rsvp_session_path_error_node_address", "cspf_group_computation_mode_high_cost": "cspf_group_computation_mode_high_cost", "cspf_computation_mode": "cspf_computation_mode", "new_instance": "new_instance", "cspf_group_computation_mode_exclude_groups": "cspf_group_computation_mode_exclude_groups", "config_metric": "config_metric", "is_adaptive": "is_adaptive", "config_tie_breaking_configured": "config_tie_breaking_configured", "instance_out_port_id": "instance_out_port_id", "path_computed_by_cspf": "path_computed_by_cspf", "config_shortcut_area": "config_shortcut_area", "is_primary": "is_primary", "config_revert_time_configured": "config_revert_time_configured", "config_reoptimize_time": "config_reoptimize_time", "unreserved_priority_6_bandwidth": "unreserved_priority_6_bandwidth", "cspf_path_cost": "cspf_path_cost", "config_tspec_mtu": "config_tspec_mtu"}, "pybind.slxos.v17r_1_00a.mpls_state.lsp.instances": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, current_instance=current_instance, new_instance=new_instance, old_instance=old_instance, is_primary=is_primary, is_current_secondary=is_current_secondary, is_selected_secondary=is_selected_secondary, instance_admin_up=instance_admin_up, instance_is_up=instance_is_up, instance_is_active=instance_is_active, is_adaptive=is_adaptive, is_bypass=is_bypass, is_dynamic_bypass=is_dynamic_bypass, config_admin_up=config_admin_up, config_from_address_configured=config_from_address_configured, config_from_address=config_from_address, config_to_address=config_to_address, config_type_bypass=config_type_bypass, config_type_dynamic=config_type_dynamic, config_adaptive=config_adaptive, config_ospf_area=config_ospf_area, config_isis_level=config_isis_level, config_number_of_retries_configured=config_number_of_retries_configured, config_number_of_retries=config_number_of_retries, config_path_select_mode=config_path_select_mode, config_path_selected_path=config_path_selected_path, config_path_selected_secondary_name=config_path_selected_secondary_name, config_revert_time_configured=config_revert_time_configured, config_revert_time=config_revert_time, config_retry_count_configured=config_retry_count_configured, config_retry_count=config_retry_count, config_enable_ldp_tunnelling=config_enable_ldp_tunnelling, config_shortcut_ospf=config_shortcut_ospf, config_shortcut_area_configured=config_shortcut_area_configured, config_shortcut_area=config_shortcut_area, config_notify_ospf=config_notify_ospf, config_shortcut_isis=config_shortcut_isis, config_isis_shortcut_level_configured=config_isis_shortcut_level_configured, config_isis_shortcut_level=config_isis_shortcut_level, config_notify_isis=config_notify_isis, config_metric_configured=config_metric_configured, config_metric=config_metric, config_ospf_ignore_metric=config_ospf_ignore_metric, config_ospf_relative_metric=config_ospf_relative_metric, config_ospf_announce_metric=config_ospf_announce_metric, config_ospf_aaf=config_ospf_aaf, config_isis_ignore_metric=config_isis_ignore_metric, config_isis_relative_metric=config_isis_relative_metric, config_isis_announce_configured=config_isis_announce_configured, config_isis_announce_metric=config_isis_announce_metric, config_path_configured=config_path_configured, config_path=config_path, config_reoptimize_timer_configured=config_reoptimize_timer_configured, config_reoptimize_time=config_reoptimize_time, config_tspec_mtu_configured=config_tspec_mtu_configured, config_tspec_mtu=config_tspec_mtu, config_cos_configured=config_cos_configured, config_cos=config_cos, config_mtu_configured=config_mtu_configured, config_mtu=config_mtu, config_tie_breaking_configured=config_tie_breaking_configured, config_tie_break_random=config_tie_break_random, config_tie_break_least_fill=config_tie_break_least_fill, config_tie_break_most_fill=config_tie_break_most_fill, config_cspf_disabled=config_cspf_disabled, config_rro_disabled=config_rro_disabled, config_hot_standby=config_hot_standby, config_pinned=config_pinned, config_persistenct=config_persistenct, config_frr_global_revertive=config_frr_global_revertive, config_frr_hold_time=config_frr_hold_time, config_soft_prempt=config_soft_prempt, config_exclude_interface_change=config_exclude_interface_change, config_prority_configured=config_prority_configured, config_setup_prority=config_setup_prority, config_holding_prority=config_holding_prority, config_hop_limit_configured=config_hop_limit_configured, config_hop_limit=config_hop_limit, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate, config_traffic_eng_max_rate=config_traffic_eng_max_rate, config_traffic_eng_max_burst=config_traffic_eng_max_burst, config_abw_configured=config_abw_configured, config_bfd_configured=config_bfd_configured, config_admin_group_configured=config_admin_group_configured, config_cspf_computation_mode=config_cspf_computation_mode, path_computed_by_cspf=path_computed_by_cspf, path_computed_by_interface_constraint=path_computed_by_interface_constraint, cspf_computation_mode=cspf_computation_mode, cspf_group_computation_mode_default=cspf_group_computation_mode_default, cspf_group_computation_mode_add_penalty=cspf_group_computation_mode_add_penalty, cspf_group_computation_mode_exclude_groups=cspf_group_computation_mode_exclude_groups, cspf_group_computation_mode_high_cost=cspf_group_computation_mode_high_cost, cspf_path_cost=cspf_path_cost, cspf_path_area=cspf_path_area, cspf_computation_error=cspf_computation_error, cspf_exclude_hops_present=cspf_exclude_hops_present, rsvp_session_present=rsvp_session_present, rsvp_session_state_up=rsvp_session_state_up, rsvp_session_state=rsvp_session_state, rsvp_session_path_error_code=rsvp_session_path_error_code, rsvp_session_path_error_value=rsvp_session_path_error_value, rsvp_session_path_error_node_address=rsvp_session_path_error_node_address, rsvp_session_rro_hops_present=rsvp_session_rro_hops_present, config_exclude_interface_configured=config_exclude_interface_configured, maximum_bandwidth=maximum_bandwidth, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth, config_frr_configured=config_frr_configured, config_frr_one_to_one=config_frr_one_to_one, config_frr_one_to_many=config_frr_one_to_many, config_frr_priority_configured=config_frr_priority_configured, config_frr_setup_priority=config_frr_setup_priority, config_frr_holding_priority=config_frr_holding_priority, config_frr_hop_limit_configured=config_frr_hop_limit_configured, config_frr_hop_limit=config_frr_hop_limit, config_frr_bandwidth_configured=config_frr_bandwidth_configured, config_frr_bandwidth=config_frr_bandwidth, config_frr_admin_group_configured=config_frr_admin_group_configured, reoptimize_ignore_count=reoptimize_ignore_count, reoptimize_time_count=reoptimize_time_count, instance_frr_configured=instance_frr_configured, instance_frr_up=instance_frr_up, instance_frr_active=instance_frr_active, instance_out_port_id=instance_out_port_id, instance_out_port_name=instance_out_port_name, instance_out_label=instance_out_label, instance_revert_time=instance_revert_time, instance_retry_count=instance_retry_count, instance_up_down_count=instance_up_down_count, instance_metric=instance_metric, instance_down_reason=instance_down_reason)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, current_instance=current_instance, new_instance=new_instance, old_instance=old_instance, is_primary=is_primary, is_current_secondary=is_current_secondary, is_selected_secondary=is_selected_secondary, instance_admin_up=instance_admin_up, instance_is_up=instance_is_up, instance_is_active=instance_is_active, is_adaptive=is_adaptive, is_bypass=is_bypass, is_dynamic_bypass=is_dynamic_bypass, config_admin_up=config_admin_up, config_from_address_configured=config_from_address_configured, config_from_address=config_from_address, config_to_address=config_to_address, config_type_bypass=config_type_bypass, config_type_dynamic=config_type_dynamic, config_adaptive=config_adaptive, config_ospf_area=config_ospf_area, config_isis_level=config_isis_level, config_number_of_retries_configured=config_number_of_retries_configured, config_number_of_retries=config_number_of_retries, config_path_select_mode=config_path_select_mode, config_path_selected_path=config_path_selected_path, config_path_selected_secondary_name=config_path_selected_secondary_name, config_revert_time_configured=config_revert_time_configured, config_revert_time=config_revert_time, config_retry_count_configured=config_retry_count_configured, config_retry_count=config_retry_count, config_enable_ldp_tunnelling=config_enable_ldp_tunnelling, config_shortcut_ospf=config_shortcut_ospf, config_shortcut_area_configured=config_shortcut_area_configured, config_shortcut_area=config_shortcut_area, config_notify_ospf=config_notify_ospf, config_shortcut_isis=config_shortcut_isis, config_isis_shortcut_level_configured=config_isis_shortcut_level_configured, config_isis_shortcut_level=config_isis_shortcut_level, config_notify_isis=config_notify_isis, config_metric_configured=config_metric_configured, config_metric=config_metric, config_ospf_ignore_metric=config_ospf_ignore_metric, config_ospf_relative_metric=config_ospf_relative_metric, config_ospf_announce_metric=config_ospf_announce_metric, config_ospf_aaf=config_ospf_aaf, config_isis_ignore_metric=config_isis_ignore_metric, config_isis_relative_metric=config_isis_relative_metric, config_isis_announce_configured=config_isis_announce_configured, config_isis_announce_metric=config_isis_announce_metric, config_path_configured=config_path_configured, config_path=config_path, config_reoptimize_timer_configured=config_reoptimize_timer_configured, config_reoptimize_time=config_reoptimize_time, config_tspec_mtu_configured=config_tspec_mtu_configured, config_tspec_mtu=config_tspec_mtu, config_cos_configured=config_cos_configured, config_cos=config_cos, config_mtu_configured=config_mtu_configured, config_mtu=config_mtu, config_tie_breaking_configured=config_tie_breaking_configured, config_tie_break_random=config_tie_break_random, config_tie_break_least_fill=config_tie_break_least_fill, config_tie_break_most_fill=config_tie_break_most_fill, config_cspf_disabled=config_cspf_disabled, config_rro_disabled=config_rro_disabled, config_hot_standby=config_hot_standby, config_pinned=config_pinned, config_persistenct=config_persistenct, config_frr_global_revertive=config_frr_global_revertive, config_frr_hold_time=config_frr_hold_time, config_soft_prempt=config_soft_prempt, config_exclude_interface_change=config_exclude_interface_change, config_prority_configured=config_prority_configured, config_setup_prority=config_setup_prority, config_holding_prority=config_holding_prority, config_hop_limit_configured=config_hop_limit_configured, config_hop_limit=config_hop_limit, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate, config_traffic_eng_max_rate=config_traffic_eng_max_rate, config_traffic_eng_max_burst=config_traffic_eng_max_burst, config_abw_configured=config_abw_configured, config_bfd_configured=config_bfd_configured, config_admin_group_configured=config_admin_group_configured, config_cspf_computation_mode=config_cspf_computation_mode, path_computed_by_cspf=path_computed_by_cspf, path_computed_by_interface_constraint=path_computed_by_interface_constraint, cspf_computation_mode=cspf_computation_mode, cspf_group_computation_mode_default=cspf_group_computation_mode_default, cspf_group_computation_mode_add_penalty=cspf_group_computation_mode_add_penalty, cspf_group_computation_mode_exclude_groups=cspf_group_computation_mode_exclude_groups, cspf_group_computation_mode_high_cost=cspf_group_computation_mode_high_cost, cspf_path_cost=cspf_path_cost, cspf_path_area=cspf_path_area, cspf_computation_error=cspf_computation_error, cspf_exclude_hops_present=cspf_exclude_hops_present, rsvp_session_present=rsvp_session_present, rsvp_session_state_up=rsvp_session_state_up, rsvp_session_state=rsvp_session_state, rsvp_session_path_error_code=rsvp_session_path_error_code, rsvp_session_path_error_value=rsvp_session_path_error_value, rsvp_session_path_error_node_address=rsvp_session_path_error_node_address, rsvp_session_rro_hops_present=rsvp_session_rro_hops_present, config_exclude_interface_configured=config_exclude_interface_configured, maximum_bandwidth=maximum_bandwidth, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth, config_frr_configured=config_frr_configured, config_frr_one_to_one=config_frr_one_to_one, config_frr_one_to_many=config_frr_one_to_many, config_frr_priority_configured=config_frr_priority_configured, config_frr_setup_priority=config_frr_setup_priority, config_frr_holding_priority=config_frr_holding_priority, config_frr_hop_limit_configured=config_frr_hop_limit_configured, config_frr_hop_limit=config_frr_hop_limit, config_frr_bandwidth_configured=config_frr_bandwidth_configured, config_frr_bandwidth=config_frr_bandwidth, config_frr_admin_group_configured=config_frr_admin_group_configured, reoptimize_ignore_count=reoptimize_ignore_count, reoptimize_time_count=reoptimize_time_count, instance_frr_configured=instance_frr_configured, instance_frr_up=instance_frr_up, instance_frr_active=instance_frr_active, instance_out_port_id=instance_out_port_id, instance_out_port_name=instance_out_port_name, instance_out_label=instance_out_label, instance_revert_time=instance_revert_time, instance_retry_count=instance_retry_count, instance_up_down_count=instance_up_down_count, instance_metric=instance_metric, instance_down_reason=instance_down_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_auto_bandwidth_update(self, lsp=None, instances=None, config_template=None, adjustment_interval=None, adjustment_threshold=None, maximum_bandwidth=None, minimum_bandwidth=None, overflow_limit=None, underflow_limit=None, mode=None, sample_recording=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_template: unicode
    :param config_template: Keyword argument.

    :type adjustment_interval: long
    :param adjustment_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adjustment_threshold: long
    :param adjustment_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type maximum_bandwidth: long
    :param maximum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type minimum_bandwidth: long
    :param minimum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type overflow_limit: long
    :param overflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type underflow_limit: long
    :param underflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['monitor-and-signal', 'monitor-only']

    :type sample_recording: YANGBool
    :param sample_recording: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_template=config_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, maximum_bandwidth=maximum_bandwidth, minimum_bandwidth=minimum_bandwidth, overflow_limit=overflow_limit, underflow_limit=underflow_limit, mode=mode, sample_recording=sample_recording)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_template=config_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, maximum_bandwidth=maximum_bandwidth, minimum_bandwidth=minimum_bandwidth, overflow_limit=overflow_limit, underflow_limit=underflow_limit, mode=mode, sample_recording=sample_recording)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_auto_bandwidth_adjustment_interval_update(self, lsp=None, instances=None, adjustment_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type adjustment_interval: long
    :param adjustment_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, adjustment_interval=adjustment_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, adjustment_interval=adjustment_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_auto_bandwidth_adjustment_threshold_update(self, lsp=None, instances=None, adjustment_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type adjustment_threshold: long
    :param adjustment_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, adjustment_threshold=adjustment_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, adjustment_threshold=adjustment_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_auto_bandwidth_config_template_update(self, lsp=None, instances=None, config_template=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_template: unicode
    :param config_template: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_template=config_template)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_template=config_template)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_auto_bandwidth_maximum_bandwidth_update(self, lsp=None, instances=None, maximum_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type maximum_bandwidth: long
    :param maximum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, maximum_bandwidth=maximum_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, maximum_bandwidth=maximum_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_auto_bandwidth_minimum_bandwidth_update(self, lsp=None, instances=None, minimum_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type minimum_bandwidth: long
    :param minimum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, minimum_bandwidth=minimum_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, minimum_bandwidth=minimum_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_auto_bandwidth_mode_update(self, lsp=None, instances=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['monitor-and-signal', 'monitor-only']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_auto_bandwidth_overflow_limit_update(self, lsp=None, instances=None, overflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type overflow_limit: long
    :param overflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, overflow_limit=overflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, overflow_limit=overflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_auto_bandwidth_sample_recording_update(self, lsp=None, instances=None, sample_recording=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sample_recording: YANGBool
    :param sample_recording: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, sample_recording=sample_recording)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, sample_recording=sample_recording)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_auto_bandwidth_underflow_limit_update(self, lsp=None, instances=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type underflow_limit: long
    :param underflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, underflow_limit=underflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_abw_configured_update(self, lsp=None, instances=None, config_abw_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_abw_configured: YANGBool
    :param config_abw_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_abw_configured=config_abw_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_abw_configured=config_abw_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_adaptive_update(self, lsp=None, instances=None, config_adaptive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_adaptive: YANGBool
    :param config_adaptive: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_adaptive=config_adaptive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_adaptive=config_adaptive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_admin_group_configured_update(self, lsp=None, instances=None, config_admin_group_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_admin_group_configured: YANGBool
    :param config_admin_group_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_admin_group_configured=config_admin_group_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_admin_group_configured=config_admin_group_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_admin_up_update(self, lsp=None, instances=None, config_admin_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_admin_up: YANGBool
    :param config_admin_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_admin_up=config_admin_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_admin_up=config_admin_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_bfd_configured_update(self, lsp=None, instances=None, config_bfd_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_bfd_configured: YANGBool
    :param config_bfd_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_bfd_configured=config_bfd_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_bfd_configured=config_bfd_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_cos_update(self, lsp=None, instances=None, config_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_cos: int
    :param config_cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_cos=config_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_cos=config_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_cos_configured_update(self, lsp=None, instances=None, config_cos_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_cos_configured: YANGBool
    :param config_cos_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_cos_configured=config_cos_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_cos_configured=config_cos_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_cspf_computation_mode_update(self, lsp=None, instances=None, config_cspf_computation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_cspf_computation_mode: unicode
    :param config_cspf_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['cspf-computation-mode-use-igp-metric-global',
            'cspf-computation-mode-use-bypass-metric',
            'cspf-computation-mode-default',
            'cspf-computation-mode-use-igp-metric',
            'cspf-computation-mode-use-te-metric',
            'cspf-computation-mode-use-bypass-liberal',
            'cspf-computation-mode-use-te-metric-global']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_cspf_computation_mode=config_cspf_computation_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_cspf_computation_mode=config_cspf_computation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_cspf_disabled_update(self, lsp=None, instances=None, config_cspf_disabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_cspf_disabled: YANGBool
    :param config_cspf_disabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_cspf_disabled=config_cspf_disabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_cspf_disabled=config_cspf_disabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_enable_ldp_tunnelling_update(self, lsp=None, instances=None, config_enable_ldp_tunnelling=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_enable_ldp_tunnelling: YANGBool
    :param config_enable_ldp_tunnelling: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_enable_ldp_tunnelling=config_enable_ldp_tunnelling)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_enable_ldp_tunnelling=config_enable_ldp_tunnelling)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_exclude_any_update(self, lsp=None, instances=None, config_exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_exclude_any: admin_group_id
    :param config_exclude_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_exclude_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.config_exclude_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_exclude_any_admin_group_name_update(self, lsp=None, instances=None, config_exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_exclude_any: admin_group_id
    :param config_exclude_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_exclude_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.config_exclude_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_exclude_interface_change_update(self, lsp=None, instances=None, config_exclude_interface_change=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_exclude_interface_change: YANGBool
    :param config_exclude_interface_change: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_exclude_interface_change=config_exclude_interface_change)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_exclude_interface_change=config_exclude_interface_change)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_exclude_interface_configured_update(self, lsp=None, instances=None, config_exclude_interface_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_exclude_interface_configured: YANGBool
    :param config_exclude_interface_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_exclude_interface_configured=config_exclude_interface_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_exclude_interface_configured=config_exclude_interface_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_from_address_update(self, lsp=None, instances=None, config_from_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_from_address: unicode
    :param config_from_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_from_address=config_from_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_from_address=config_from_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_from_address_configured_update(self, lsp=None, instances=None, config_from_address_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_from_address_configured: YANGBool
    :param config_from_address_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_from_address_configured=config_from_address_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_from_address_configured=config_from_address_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_admin_group_configured_update(self, lsp=None, instances=None, config_frr_admin_group_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_admin_group_configured: YANGBool
    :param config_frr_admin_group_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_admin_group_configured=config_frr_admin_group_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_admin_group_configured=config_frr_admin_group_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_bandwidth_update(self, lsp=None, instances=None, config_frr_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_bandwidth: long
    :param config_frr_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_bandwidth=config_frr_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_bandwidth=config_frr_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_bandwidth_configured_update(self, lsp=None, instances=None, config_frr_bandwidth_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_bandwidth_configured: YANGBool
    :param config_frr_bandwidth_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_bandwidth_configured=config_frr_bandwidth_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_bandwidth_configured=config_frr_bandwidth_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_bandwidth_inherited_update(self, lsp=None, instances=None, config_frr_bandwidth_inherited=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_bandwidth_inherited: YANGBool
    :param config_frr_bandwidth_inherited: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_bandwidth_inherited=config_frr_bandwidth_inherited)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_bandwidth_inherited=config_frr_bandwidth_inherited)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_configured_update(self, lsp=None, instances=None, config_frr_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_configured: YANGBool
    :param config_frr_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_configured=config_frr_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_configured=config_frr_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_exclude_any_update(self, lsp=None, instances=None, config_frr_exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_frr_exclude_any: admin_group_id
    :param config_frr_exclude_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_frr_exclude_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.config_frr_exclude_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_frr_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_exclude_any=config_frr_exclude_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_exclude_any=config_frr_exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_exclude_any_admin_group_name_update(self, lsp=None, instances=None, config_frr_exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_frr_exclude_any: admin_group_id
    :param config_frr_exclude_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_frr_exclude_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.config_frr_exclude_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_frr_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_exclude_any=config_frr_exclude_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_exclude_any=config_frr_exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_global_revertive_update(self, lsp=None, instances=None, config_frr_global_revertive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_global_revertive: YANGBool
    :param config_frr_global_revertive: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_global_revertive=config_frr_global_revertive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_global_revertive=config_frr_global_revertive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_hold_time_update(self, lsp=None, instances=None, config_frr_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_hold_time: long
    :param config_frr_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_hold_time=config_frr_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_hold_time=config_frr_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_holding_priority_update(self, lsp=None, instances=None, config_frr_holding_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_holding_priority: int
    :param config_frr_holding_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_holding_priority=config_frr_holding_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_holding_priority=config_frr_holding_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_hop_limit_update(self, lsp=None, instances=None, config_frr_hop_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_hop_limit: int
    :param config_frr_hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_hop_limit=config_frr_hop_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_hop_limit=config_frr_hop_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_hop_limit_configured_update(self, lsp=None, instances=None, config_frr_hop_limit_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_hop_limit_configured: YANGBool
    :param config_frr_hop_limit_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_hop_limit_configured=config_frr_hop_limit_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_hop_limit_configured=config_frr_hop_limit_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_include_all_update(self, lsp=None, instances=None, config_frr_include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_frr_include_all: admin_group_id
    :param config_frr_include_all: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_frr_include_all** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.config_frr_include_all', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_frr_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_include_all=config_frr_include_all, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_include_all=config_frr_include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_include_all_admin_group_name_update(self, lsp=None, instances=None, config_frr_include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_frr_include_all: admin_group_id
    :param config_frr_include_all: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_frr_include_all** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.config_frr_include_all', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_frr_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_include_all=config_frr_include_all, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_include_all=config_frr_include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_include_any_update(self, lsp=None, instances=None, config_frr_include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_frr_include_any: admin_group_id
    :param config_frr_include_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_frr_include_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.config_frr_include_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_frr_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_include_any=config_frr_include_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_include_any=config_frr_include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_include_any_admin_group_name_update(self, lsp=None, instances=None, config_frr_include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_frr_include_any: admin_group_id
    :param config_frr_include_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_frr_include_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.config_frr_include_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_frr_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_include_any=config_frr_include_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_include_any=config_frr_include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_one_to_many_update(self, lsp=None, instances=None, config_frr_one_to_many=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_one_to_many: YANGBool
    :param config_frr_one_to_many: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_one_to_many=config_frr_one_to_many)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_one_to_many=config_frr_one_to_many)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_one_to_one_update(self, lsp=None, instances=None, config_frr_one_to_one=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_one_to_one: YANGBool
    :param config_frr_one_to_one: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_one_to_one=config_frr_one_to_one)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_one_to_one=config_frr_one_to_one)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_priority_configured_update(self, lsp=None, instances=None, config_frr_priority_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_priority_configured: YANGBool
    :param config_frr_priority_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_priority_configured=config_frr_priority_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_priority_configured=config_frr_priority_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_setup_priority_update(self, lsp=None, instances=None, config_frr_setup_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_frr_setup_priority: int
    :param config_frr_setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_frr_setup_priority=config_frr_setup_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_setup_priority=config_frr_setup_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_holding_prority_update(self, lsp=None, instances=None, config_holding_prority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_holding_prority: int
    :param config_holding_prority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_holding_prority=config_holding_prority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_holding_prority=config_holding_prority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_hop_limit_update(self, lsp=None, instances=None, config_hop_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_hop_limit: int
    :param config_hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_hop_limit=config_hop_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_hop_limit=config_hop_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_hop_limit_configured_update(self, lsp=None, instances=None, config_hop_limit_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_hop_limit_configured: YANGBool
    :param config_hop_limit_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_hop_limit_configured=config_hop_limit_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_hop_limit_configured=config_hop_limit_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_hot_standby_update(self, lsp=None, instances=None, config_hot_standby=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_hot_standby: YANGBool
    :param config_hot_standby: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_hot_standby=config_hot_standby)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_hot_standby=config_hot_standby)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_include_all_update(self, lsp=None, instances=None, config_include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_include_all: admin_group_id
    :param config_include_all: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_include_all** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.config_include_all', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_include_all=config_include_all, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_include_all=config_include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_include_all_admin_group_name_update(self, lsp=None, instances=None, config_include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_include_all: admin_group_id
    :param config_include_all: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_include_all** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.config_include_all', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_include_all=config_include_all, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_include_all=config_include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_include_any_update(self, lsp=None, instances=None, config_include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_include_any: admin_group_id
    :param config_include_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_include_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.config_include_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_include_any=config_include_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_include_any=config_include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_include_any_admin_group_name_update(self, lsp=None, instances=None, config_include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_include_any: admin_group_id
    :param config_include_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_include_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.config_include_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_include_any=config_include_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_include_any=config_include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_isis_announce_configured_update(self, lsp=None, instances=None, config_isis_announce_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_isis_announce_configured: YANGBool
    :param config_isis_announce_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_isis_announce_configured=config_isis_announce_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_isis_announce_configured=config_isis_announce_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_isis_announce_metric_update(self, lsp=None, instances=None, config_isis_announce_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_isis_announce_metric: long
    :param config_isis_announce_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_isis_announce_metric=config_isis_announce_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_isis_announce_metric=config_isis_announce_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_isis_ignore_metric_update(self, lsp=None, instances=None, config_isis_ignore_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_isis_ignore_metric: YANGBool
    :param config_isis_ignore_metric: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_isis_ignore_metric=config_isis_ignore_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_isis_ignore_metric=config_isis_ignore_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_isis_level_update(self, lsp=None, instances=None, config_isis_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_isis_level: long
    :param config_isis_level: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_isis_level=config_isis_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_isis_level=config_isis_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_isis_relative_metric_update(self, lsp=None, instances=None, config_isis_relative_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_isis_relative_metric: long
    :param config_isis_relative_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_isis_relative_metric=config_isis_relative_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_isis_relative_metric=config_isis_relative_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_isis_shortcut_level_update(self, lsp=None, instances=None, config_isis_shortcut_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_isis_shortcut_level: long
    :param config_isis_shortcut_level: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_isis_shortcut_level=config_isis_shortcut_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_isis_shortcut_level=config_isis_shortcut_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_isis_shortcut_level_configured_update(self, lsp=None, instances=None, config_isis_shortcut_level_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_isis_shortcut_level_configured: YANGBool
    :param config_isis_shortcut_level_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_isis_shortcut_level_configured=config_isis_shortcut_level_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_isis_shortcut_level_configured=config_isis_shortcut_level_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_metric_update(self, lsp=None, instances=None, config_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_metric: long
    :param config_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_metric=config_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_metric=config_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_metric_configured_update(self, lsp=None, instances=None, config_metric_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_metric_configured: YANGBool
    :param config_metric_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_metric_configured=config_metric_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_metric_configured=config_metric_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_mtu_update(self, lsp=None, instances=None, config_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_mtu: long
    :param config_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_mtu=config_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_mtu=config_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_mtu_configured_update(self, lsp=None, instances=None, config_mtu_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_mtu_configured: YANGBool
    :param config_mtu_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_mtu_configured=config_mtu_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_mtu_configured=config_mtu_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_notify_isis_update(self, lsp=None, instances=None, config_notify_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_notify_isis: YANGBool
    :param config_notify_isis: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_notify_isis=config_notify_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_notify_isis=config_notify_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_notify_ospf_update(self, lsp=None, instances=None, config_notify_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_notify_ospf: YANGBool
    :param config_notify_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_notify_ospf=config_notify_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_notify_ospf=config_notify_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_number_of_retries_update(self, lsp=None, instances=None, config_number_of_retries=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_number_of_retries: long
    :param config_number_of_retries: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_number_of_retries=config_number_of_retries)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_number_of_retries=config_number_of_retries)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_number_of_retries_configured_update(self, lsp=None, instances=None, config_number_of_retries_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_number_of_retries_configured: YANGBool
    :param config_number_of_retries_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_number_of_retries_configured=config_number_of_retries_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_number_of_retries_configured=config_number_of_retries_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_ospf_aaf_update(self, lsp=None, instances=None, config_ospf_aaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_ospf_aaf: long
    :param config_ospf_aaf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_ospf_aaf=config_ospf_aaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_ospf_aaf=config_ospf_aaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_ospf_announce_metric_update(self, lsp=None, instances=None, config_ospf_announce_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_ospf_announce_metric: YANGBool
    :param config_ospf_announce_metric: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_ospf_announce_metric=config_ospf_announce_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_ospf_announce_metric=config_ospf_announce_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_ospf_area_update(self, lsp=None, instances=None, config_ospf_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_ospf_area: unicode
    :param config_ospf_area: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_ospf_area=config_ospf_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_ospf_area=config_ospf_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_ospf_ignore_metric_update(self, lsp=None, instances=None, config_ospf_ignore_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_ospf_ignore_metric: YANGBool
    :param config_ospf_ignore_metric: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_ospf_ignore_metric=config_ospf_ignore_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_ospf_ignore_metric=config_ospf_ignore_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_ospf_relative_metric_update(self, lsp=None, instances=None, config_ospf_relative_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_ospf_relative_metric: long
    :param config_ospf_relative_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_ospf_relative_metric=config_ospf_relative_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_ospf_relative_metric=config_ospf_relative_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_path_update(self, lsp=None, instances=None, config_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_path: unicode
    :param config_path: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_path=config_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_path=config_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_path_configured_update(self, lsp=None, instances=None, config_path_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_path_configured: YANGBool
    :param config_path_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_path_configured=config_path_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_path_configured=config_path_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_path_select_mode_update(self, lsp=None, instances=None, config_path_select_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_path_select_mode: unicode
    :param config_path_select_mode: Keyword argument.

        * enumeration restriction: ::

            ['manual', 'unconditional']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_path_select_mode=config_path_select_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_path_select_mode=config_path_select_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_path_selected_path_update(self, lsp=None, instances=None, config_path_selected_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_path_selected_path: unicode
    :param config_path_selected_path: Keyword argument.

        * enumeration restriction: ::

            ['primary-path', 'secondary-path']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_path_selected_path=config_path_selected_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_path_selected_path=config_path_selected_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_path_selected_secondary_name_update(self, lsp=None, instances=None, config_path_selected_secondary_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_path_selected_secondary_name: unicode
    :param config_path_selected_secondary_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_path_selected_secondary_name=config_path_selected_secondary_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_path_selected_secondary_name=config_path_selected_secondary_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_persistenct_update(self, lsp=None, instances=None, config_persistenct=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_persistenct: YANGBool
    :param config_persistenct: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_persistenct=config_persistenct)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_persistenct=config_persistenct)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_pinned_update(self, lsp=None, instances=None, config_pinned=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_pinned: YANGBool
    :param config_pinned: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_pinned=config_pinned)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_pinned=config_pinned)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_prority_configured_update(self, lsp=None, instances=None, config_prority_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_prority_configured: YANGBool
    :param config_prority_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_prority_configured=config_prority_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_prority_configured=config_prority_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_reoptimize_time_update(self, lsp=None, instances=None, config_reoptimize_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_reoptimize_time: long
    :param config_reoptimize_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_reoptimize_time=config_reoptimize_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_reoptimize_time=config_reoptimize_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_reoptimize_timer_configured_update(self, lsp=None, instances=None, config_reoptimize_timer_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_reoptimize_timer_configured: YANGBool
    :param config_reoptimize_timer_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_reoptimize_timer_configured=config_reoptimize_timer_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_reoptimize_timer_configured=config_reoptimize_timer_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_retry_count_update(self, lsp=None, instances=None, config_retry_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_retry_count: long
    :param config_retry_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_retry_count=config_retry_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_retry_count=config_retry_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_retry_count_configured_update(self, lsp=None, instances=None, config_retry_count_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_retry_count_configured: YANGBool
    :param config_retry_count_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_retry_count_configured=config_retry_count_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_retry_count_configured=config_retry_count_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_revert_time_update(self, lsp=None, instances=None, config_revert_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_revert_time: long
    :param config_revert_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_revert_time=config_revert_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_revert_time=config_revert_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_revert_time_configured_update(self, lsp=None, instances=None, config_revert_time_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_revert_time_configured: YANGBool
    :param config_revert_time_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_revert_time_configured=config_revert_time_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_revert_time_configured=config_revert_time_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_rro_disabled_update(self, lsp=None, instances=None, config_rro_disabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_rro_disabled: YANGBool
    :param config_rro_disabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_rro_disabled=config_rro_disabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_rro_disabled=config_rro_disabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_setup_prority_update(self, lsp=None, instances=None, config_setup_prority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_setup_prority: int
    :param config_setup_prority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_setup_prority=config_setup_prority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_setup_prority=config_setup_prority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_shortcut_area_update(self, lsp=None, instances=None, config_shortcut_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_shortcut_area: long
    :param config_shortcut_area: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_shortcut_area=config_shortcut_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_shortcut_area=config_shortcut_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_shortcut_area_configured_update(self, lsp=None, instances=None, config_shortcut_area_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_shortcut_area_configured: YANGBool
    :param config_shortcut_area_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_shortcut_area_configured=config_shortcut_area_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_shortcut_area_configured=config_shortcut_area_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_shortcut_isis_update(self, lsp=None, instances=None, config_shortcut_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_shortcut_isis: YANGBool
    :param config_shortcut_isis: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_shortcut_isis=config_shortcut_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_shortcut_isis=config_shortcut_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_shortcut_ospf_update(self, lsp=None, instances=None, config_shortcut_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_shortcut_ospf: YANGBool
    :param config_shortcut_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_shortcut_ospf=config_shortcut_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_shortcut_ospf=config_shortcut_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_soft_prempt_update(self, lsp=None, instances=None, config_soft_prempt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_soft_prempt: YANGBool
    :param config_soft_prempt: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_soft_prempt=config_soft_prempt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_soft_prempt=config_soft_prempt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_tie_break_least_fill_update(self, lsp=None, instances=None, config_tie_break_least_fill=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_tie_break_least_fill: YANGBool
    :param config_tie_break_least_fill: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_tie_break_least_fill=config_tie_break_least_fill)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_tie_break_least_fill=config_tie_break_least_fill)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_tie_break_most_fill_update(self, lsp=None, instances=None, config_tie_break_most_fill=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_tie_break_most_fill: YANGBool
    :param config_tie_break_most_fill: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_tie_break_most_fill=config_tie_break_most_fill)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_tie_break_most_fill=config_tie_break_most_fill)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_tie_break_random_update(self, lsp=None, instances=None, config_tie_break_random=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_tie_break_random: YANGBool
    :param config_tie_break_random: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_tie_break_random=config_tie_break_random)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_tie_break_random=config_tie_break_random)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_tie_breaking_configured_update(self, lsp=None, instances=None, config_tie_breaking_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_tie_breaking_configured: YANGBool
    :param config_tie_breaking_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_tie_breaking_configured=config_tie_breaking_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_tie_breaking_configured=config_tie_breaking_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_to_address_update(self, lsp=None, instances=None, config_to_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_to_address: unicode
    :param config_to_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_to_address=config_to_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_to_address=config_to_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_traffic_eng_max_burst_update(self, lsp=None, instances=None, config_traffic_eng_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_traffic_eng_max_burst: long
    :param config_traffic_eng_max_burst: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_traffic_eng_max_burst=config_traffic_eng_max_burst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_traffic_eng_max_burst=config_traffic_eng_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_traffic_eng_max_rate_update(self, lsp=None, instances=None, config_traffic_eng_max_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_traffic_eng_max_rate: long
    :param config_traffic_eng_max_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_traffic_eng_max_rate=config_traffic_eng_max_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_traffic_eng_max_rate=config_traffic_eng_max_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_traffic_eng_mean_rate_update(self, lsp=None, instances=None, config_traffic_eng_mean_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_traffic_eng_mean_rate: long
    :param config_traffic_eng_mean_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_traffic_eng_rate_configured_update(self, lsp=None, instances=None, config_traffic_eng_rate_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_traffic_eng_rate_configured: YANGBool
    :param config_traffic_eng_rate_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_tspec_mtu_update(self, lsp=None, instances=None, config_tspec_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_tspec_mtu: long
    :param config_tspec_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_tspec_mtu=config_tspec_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_tspec_mtu=config_tspec_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_tspec_mtu_configured_update(self, lsp=None, instances=None, config_tspec_mtu_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_tspec_mtu_configured: YANGBool
    :param config_tspec_mtu_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_tspec_mtu_configured=config_tspec_mtu_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_tspec_mtu_configured=config_tspec_mtu_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_type_bypass_update(self, lsp=None, instances=None, config_type_bypass=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_type_bypass: YANGBool
    :param config_type_bypass: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_type_bypass=config_type_bypass)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_type_bypass=config_type_bypass)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_type_dynamic_update(self, lsp=None, instances=None, config_type_dynamic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type config_type_dynamic: YANGBool
    :param config_type_dynamic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, config_type_dynamic=config_type_dynamic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_type_dynamic=config_type_dynamic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_computation_error_update(self, lsp=None, instances=None, cspf_computation_error=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cspf_computation_error: long
    :param cspf_computation_error: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_computation_error=cspf_computation_error)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_computation_error=cspf_computation_error)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_computation_mode_update(self, lsp=None, instances=None, cspf_computation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cspf_computation_mode: unicode
    :param cspf_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['cspf-computation-mode-use-igp-metric-global',
            'cspf-computation-mode-use-bypass-metric',
            'cspf-computation-mode-default',
            'cspf-computation-mode-use-igp-metric',
            'cspf-computation-mode-use-te-metric',
            'cspf-computation-mode-use-bypass-liberal',
            'cspf-computation-mode-use-te-metric-global']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_computation_mode=cspf_computation_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_computation_mode=cspf_computation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_exclude_hops_update(self, lsp=None, instances=None, cspf_exclude_hops=None, type=None, hop_is_router_id=None, protection=None, node_protection=None, bandwidth_protection=None, protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_exclude_hops: hop_index, hop_address
    :param cspf_exclude_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_exclude_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_exclude_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type hop_is_router_id: YANGBool
    :param hop_is_router_id: Keyword argument.

    :type protection: YANGBool
    :param protection: Keyword argument.

    :type node_protection: YANGBool
    :param node_protection: Keyword argument.

    :type bandwidth_protection: YANGBool
    :param bandwidth_protection: Keyword argument.

    :type protection_in_use: YANGBool
    :param protection_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_exclude_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_exclude_hops_bandwidth_protection_update(self, lsp=None, instances=None, cspf_exclude_hops=None, bandwidth_protection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_exclude_hops: hop_index, hop_address
    :param cspf_exclude_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_exclude_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_exclude_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bandwidth_protection: YANGBool
    :param bandwidth_protection: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_exclude_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, bandwidth_protection=bandwidth_protection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, bandwidth_protection=bandwidth_protection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_exclude_hops_hop_is_router_id_update(self, lsp=None, instances=None, cspf_exclude_hops=None, hop_is_router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_exclude_hops: hop_index, hop_address
    :param cspf_exclude_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_exclude_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_exclude_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hop_is_router_id: YANGBool
    :param hop_is_router_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_exclude_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, hop_is_router_id=hop_is_router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, hop_is_router_id=hop_is_router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_exclude_hops_node_protection_update(self, lsp=None, instances=None, cspf_exclude_hops=None, node_protection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_exclude_hops: hop_index, hop_address
    :param cspf_exclude_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_exclude_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_exclude_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type node_protection: YANGBool
    :param node_protection: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_exclude_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, node_protection=node_protection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, node_protection=node_protection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_exclude_hops_present_update(self, lsp=None, instances=None, cspf_exclude_hops_present=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cspf_exclude_hops_present: YANGBool
    :param cspf_exclude_hops_present: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_exclude_hops_present=cspf_exclude_hops_present)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_exclude_hops_present=cspf_exclude_hops_present)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_exclude_hops_protection_update(self, lsp=None, instances=None, cspf_exclude_hops=None, protection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_exclude_hops: hop_index, hop_address
    :param cspf_exclude_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_exclude_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_exclude_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type protection: YANGBool
    :param protection: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_exclude_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, protection=protection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, protection=protection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_exclude_hops_protection_in_use_update(self, lsp=None, instances=None, cspf_exclude_hops=None, protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_exclude_hops: hop_index, hop_address
    :param cspf_exclude_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_exclude_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_exclude_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type protection_in_use: YANGBool
    :param protection_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_exclude_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, protection_in_use=protection_in_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, protection_in_use=protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_exclude_hops_type_update(self, lsp=None, instances=None, cspf_exclude_hops=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_exclude_hops: hop_index, hop_address
    :param cspf_exclude_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_exclude_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_exclude_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_exclude_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_group_computation_mode_add_penalty_update(self, lsp=None, instances=None, cspf_group_computation_mode_add_penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cspf_group_computation_mode_add_penalty: YANGBool
    :param cspf_group_computation_mode_add_penalty: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_group_computation_mode_add_penalty=cspf_group_computation_mode_add_penalty)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_group_computation_mode_add_penalty=cspf_group_computation_mode_add_penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_group_computation_mode_default_update(self, lsp=None, instances=None, cspf_group_computation_mode_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cspf_group_computation_mode_default: YANGBool
    :param cspf_group_computation_mode_default: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_group_computation_mode_default=cspf_group_computation_mode_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_group_computation_mode_default=cspf_group_computation_mode_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_group_computation_mode_exclude_groups_update(self, lsp=None, instances=None, cspf_group_computation_mode_exclude_groups=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cspf_group_computation_mode_exclude_groups: YANGBool
    :param cspf_group_computation_mode_exclude_groups: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_group_computation_mode_exclude_groups=cspf_group_computation_mode_exclude_groups)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_group_computation_mode_exclude_groups=cspf_group_computation_mode_exclude_groups)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_group_computation_mode_high_cost_update(self, lsp=None, instances=None, cspf_group_computation_mode_high_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cspf_group_computation_mode_high_cost: YANGBool
    :param cspf_group_computation_mode_high_cost: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_group_computation_mode_high_cost=cspf_group_computation_mode_high_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_group_computation_mode_high_cost=cspf_group_computation_mode_high_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_path_area_update(self, lsp=None, instances=None, cspf_path_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cspf_path_area: long
    :param cspf_path_area: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_path_area=cspf_path_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_path_area=cspf_path_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_path_cost_update(self, lsp=None, instances=None, cspf_path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cspf_path_cost: long
    :param cspf_path_cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_path_cost=cspf_path_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_path_cost=cspf_path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_path_hops_update(self, lsp=None, instances=None, cspf_path_hops=None, type=None, hop_is_router_id=None, protection=None, node_protection=None, bandwidth_protection=None, protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_path_hops: hop_index, hop_address
    :param cspf_path_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_path_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_path_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type hop_is_router_id: YANGBool
    :param hop_is_router_id: Keyword argument.

    :type protection: YANGBool
    :param protection: Keyword argument.

    :type node_protection: YANGBool
    :param node_protection: Keyword argument.

    :type bandwidth_protection: YANGBool
    :param bandwidth_protection: Keyword argument.

    :type protection_in_use: YANGBool
    :param protection_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_path_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_path_hops_bandwidth_protection_update(self, lsp=None, instances=None, cspf_path_hops=None, bandwidth_protection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_path_hops: hop_index, hop_address
    :param cspf_path_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_path_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_path_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bandwidth_protection: YANGBool
    :param bandwidth_protection: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_path_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, bandwidth_protection=bandwidth_protection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, bandwidth_protection=bandwidth_protection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_path_hops_hop_is_router_id_update(self, lsp=None, instances=None, cspf_path_hops=None, hop_is_router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_path_hops: hop_index, hop_address
    :param cspf_path_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_path_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_path_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hop_is_router_id: YANGBool
    :param hop_is_router_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_path_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, hop_is_router_id=hop_is_router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, hop_is_router_id=hop_is_router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_path_hops_node_protection_update(self, lsp=None, instances=None, cspf_path_hops=None, node_protection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_path_hops: hop_index, hop_address
    :param cspf_path_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_path_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_path_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type node_protection: YANGBool
    :param node_protection: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_path_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, node_protection=node_protection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, node_protection=node_protection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_path_hops_protection_update(self, lsp=None, instances=None, cspf_path_hops=None, protection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_path_hops: hop_index, hop_address
    :param cspf_path_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_path_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_path_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type protection: YANGBool
    :param protection: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_path_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, protection=protection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, protection=protection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_path_hops_protection_in_use_update(self, lsp=None, instances=None, cspf_path_hops=None, protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_path_hops: hop_index, hop_address
    :param cspf_path_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_path_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_path_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type protection_in_use: YANGBool
    :param protection_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_path_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, protection_in_use=protection_in_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, protection_in_use=protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_path_hops_type_update(self, lsp=None, instances=None, cspf_path_hops=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_path_hops: hop_index, hop_address
    :param cspf_path_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_path_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_path_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_path_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_current_instance_update(self, lsp=None, instances=None, current_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type current_instance: YANGBool
    :param current_instance: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, current_instance=current_instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, current_instance=current_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_current_signaled_mean_rate_update(self, lsp=None, instances=None, current_signaled_mean_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type current_signaled_mean_rate: long
    :param current_signaled_mean_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, current_signaled_mean_rate=current_signaled_mean_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, current_signaled_mean_rate=current_signaled_mean_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_admin_up_update(self, lsp=None, instances=None, instance_admin_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_admin_up: YANGBool
    :param instance_admin_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_admin_up=instance_admin_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_admin_up=instance_admin_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_down_reason_update(self, lsp=None, instances=None, instance_down_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_down_reason: unicode
    :param instance_down_reason: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_down_reason=instance_down_reason)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_down_reason=instance_down_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_frr_active_update(self, lsp=None, instances=None, instance_frr_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_frr_active: long
    :param instance_frr_active: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_frr_active=instance_frr_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_frr_active=instance_frr_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_frr_configured_update(self, lsp=None, instances=None, instance_frr_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_frr_configured: long
    :param instance_frr_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_frr_configured=instance_frr_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_frr_configured=instance_frr_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_frr_up_update(self, lsp=None, instances=None, instance_frr_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_frr_up: long
    :param instance_frr_up: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_frr_up=instance_frr_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_frr_up=instance_frr_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_is_active_update(self, lsp=None, instances=None, instance_is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_is_active: YANGBool
    :param instance_is_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_is_active=instance_is_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_is_active=instance_is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_is_up_update(self, lsp=None, instances=None, instance_is_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_is_up: YANGBool
    :param instance_is_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_is_up=instance_is_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_is_up=instance_is_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_metric_update(self, lsp=None, instances=None, instance_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_metric: int
    :param instance_metric: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_metric=instance_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_metric=instance_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_out_label_update(self, lsp=None, instances=None, instance_out_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_out_label: long
    :param instance_out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_out_label=instance_out_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_out_label=instance_out_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_out_port_id_update(self, lsp=None, instances=None, instance_out_port_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_out_port_id: long
    :param instance_out_port_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_out_port_id=instance_out_port_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_out_port_id=instance_out_port_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_out_port_name_update(self, lsp=None, instances=None, instance_out_port_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_out_port_name: unicode
    :param instance_out_port_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_out_port_name=instance_out_port_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_out_port_name=instance_out_port_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_retry_count_update(self, lsp=None, instances=None, instance_retry_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_retry_count: long
    :param instance_retry_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_retry_count=instance_retry_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_retry_count=instance_retry_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_revert_time_update(self, lsp=None, instances=None, instance_revert_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_revert_time: long
    :param instance_revert_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_revert_time=instance_revert_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_revert_time=instance_revert_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_instance_up_down_count_update(self, lsp=None, instances=None, instance_up_down_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance_up_down_count: long
    :param instance_up_down_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, instance_up_down_count=instance_up_down_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, instance_up_down_count=instance_up_down_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_is_adaptive_update(self, lsp=None, instances=None, is_adaptive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_adaptive: YANGBool
    :param is_adaptive: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, is_adaptive=is_adaptive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, is_adaptive=is_adaptive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_is_bypass_update(self, lsp=None, instances=None, is_bypass=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_bypass: YANGBool
    :param is_bypass: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, is_bypass=is_bypass)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, is_bypass=is_bypass)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_is_current_secondary_update(self, lsp=None, instances=None, is_current_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_current_secondary: YANGBool
    :param is_current_secondary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, is_current_secondary=is_current_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, is_current_secondary=is_current_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_is_dynamic_bypass_update(self, lsp=None, instances=None, is_dynamic_bypass=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_dynamic_bypass: YANGBool
    :param is_dynamic_bypass: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, is_dynamic_bypass=is_dynamic_bypass)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, is_dynamic_bypass=is_dynamic_bypass)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_is_primary_update(self, lsp=None, instances=None, is_primary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_primary: YANGBool
    :param is_primary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, is_primary=is_primary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, is_primary=is_primary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_is_selected_secondary_update(self, lsp=None, instances=None, is_selected_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_selected_secondary: YANGBool
    :param is_selected_secondary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, is_selected_secondary=is_selected_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, is_selected_secondary=is_selected_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_maximum_bandwidth_update(self, lsp=None, instances=None, maximum_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type maximum_bandwidth: long
    :param maximum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, maximum_bandwidth=maximum_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, maximum_bandwidth=maximum_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_new_instance_update(self, lsp=None, instances=None, new_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type new_instance: YANGBool
    :param new_instance: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, new_instance=new_instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, new_instance=new_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_old_instance_update(self, lsp=None, instances=None, old_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type old_instance: YANGBool
    :param old_instance: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, old_instance=old_instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, old_instance=old_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_path_computed_by_cspf_update(self, lsp=None, instances=None, path_computed_by_cspf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_computed_by_cspf: YANGBool
    :param path_computed_by_cspf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, path_computed_by_cspf=path_computed_by_cspf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, path_computed_by_cspf=path_computed_by_cspf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_path_computed_by_interface_constraint_update(self, lsp=None, instances=None, path_computed_by_interface_constraint=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_computed_by_interface_constraint: YANGBool
    :param path_computed_by_interface_constraint: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, path_computed_by_interface_constraint=path_computed_by_interface_constraint)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, path_computed_by_interface_constraint=path_computed_by_interface_constraint)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_reoptimize_ignore_count_update(self, lsp=None, instances=None, reoptimize_ignore_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type reoptimize_ignore_count: long
    :param reoptimize_ignore_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, reoptimize_ignore_count=reoptimize_ignore_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, reoptimize_ignore_count=reoptimize_ignore_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_reoptimize_time_count_update(self, lsp=None, instances=None, reoptimize_time_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type reoptimize_time_count: long
    :param reoptimize_time_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, reoptimize_time_count=reoptimize_time_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, reoptimize_time_count=reoptimize_time_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_path_error_code_update(self, lsp=None, instances=None, rsvp_session_path_error_code=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rsvp_session_path_error_code: long
    :param rsvp_session_path_error_code: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_path_error_code=rsvp_session_path_error_code)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_path_error_code=rsvp_session_path_error_code)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_path_error_node_address_update(self, lsp=None, instances=None, rsvp_session_path_error_node_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rsvp_session_path_error_node_address: unicode
    :param rsvp_session_path_error_node_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_path_error_node_address=rsvp_session_path_error_node_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_path_error_node_address=rsvp_session_path_error_node_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_path_error_value_update(self, lsp=None, instances=None, rsvp_session_path_error_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rsvp_session_path_error_value: long
    :param rsvp_session_path_error_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_path_error_value=rsvp_session_path_error_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_path_error_value=rsvp_session_path_error_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_present_update(self, lsp=None, instances=None, rsvp_session_present=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rsvp_session_present: YANGBool
    :param rsvp_session_present: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_present=rsvp_session_present)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_present=rsvp_session_present)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_rro_hops_update(self, lsp=None, instances=None, rsvp_session_rro_hops=None, type=None, hop_is_router_id=None, protection=None, node_protection=None, bandwidth_protection=None, protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rsvp_session_rro_hops: hop_index, hop_address
    :param rsvp_session_rro_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **rsvp_session_rro_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **rsvp_session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type hop_is_router_id: YANGBool
    :param hop_is_router_id: Keyword argument.

    :type protection: YANGBool
    :param protection: Keyword argument.

    :type node_protection: YANGBool
    :param node_protection: Keyword argument.

    :type bandwidth_protection: YANGBool
    :param bandwidth_protection: Keyword argument.

    :type protection_in_use: YANGBool
    :param protection_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rsvp_session_rro_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_rro_hops_bandwidth_protection_update(self, lsp=None, instances=None, rsvp_session_rro_hops=None, bandwidth_protection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rsvp_session_rro_hops: hop_index, hop_address
    :param rsvp_session_rro_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **rsvp_session_rro_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **rsvp_session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bandwidth_protection: YANGBool
    :param bandwidth_protection: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rsvp_session_rro_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, bandwidth_protection=bandwidth_protection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, bandwidth_protection=bandwidth_protection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_rro_hops_hop_is_router_id_update(self, lsp=None, instances=None, rsvp_session_rro_hops=None, hop_is_router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rsvp_session_rro_hops: hop_index, hop_address
    :param rsvp_session_rro_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **rsvp_session_rro_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **rsvp_session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hop_is_router_id: YANGBool
    :param hop_is_router_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rsvp_session_rro_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, hop_is_router_id=hop_is_router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, hop_is_router_id=hop_is_router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_rro_hops_node_protection_update(self, lsp=None, instances=None, rsvp_session_rro_hops=None, node_protection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rsvp_session_rro_hops: hop_index, hop_address
    :param rsvp_session_rro_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **rsvp_session_rro_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **rsvp_session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type node_protection: YANGBool
    :param node_protection: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rsvp_session_rro_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, node_protection=node_protection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, node_protection=node_protection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_rro_hops_present_update(self, lsp=None, instances=None, rsvp_session_rro_hops_present=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rsvp_session_rro_hops_present: YANGBool
    :param rsvp_session_rro_hops_present: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_rro_hops_present=rsvp_session_rro_hops_present)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_rro_hops_present=rsvp_session_rro_hops_present)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_rro_hops_protection_update(self, lsp=None, instances=None, rsvp_session_rro_hops=None, protection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rsvp_session_rro_hops: hop_index, hop_address
    :param rsvp_session_rro_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **rsvp_session_rro_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **rsvp_session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type protection: YANGBool
    :param protection: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rsvp_session_rro_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, protection=protection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, protection=protection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_rro_hops_protection_in_use_update(self, lsp=None, instances=None, rsvp_session_rro_hops=None, protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rsvp_session_rro_hops: hop_index, hop_address
    :param rsvp_session_rro_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **rsvp_session_rro_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **rsvp_session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type protection_in_use: YANGBool
    :param protection_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rsvp_session_rro_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, protection_in_use=protection_in_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, protection_in_use=protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_rro_hops_type_update(self, lsp=None, instances=None, rsvp_session_rro_hops=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rsvp_session_rro_hops: hop_index, hop_address
    :param rsvp_session_rro_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **rsvp_session_rro_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **rsvp_session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rsvp_session_rro_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_state_update(self, lsp=None, instances=None, rsvp_session_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rsvp_session_state: int
    :param rsvp_session_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_state=rsvp_session_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_state=rsvp_session_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_state_up_update(self, lsp=None, instances=None, rsvp_session_state_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rsvp_session_state_up: YANGBool
    :param rsvp_session_state_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, rsvp_session_state_up=rsvp_session_state_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_state_up=rsvp_session_state_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_unreserved_priority_0_bandwidth_update(self, lsp=None, instances=None, unreserved_priority_0_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unreserved_priority_0_bandwidth: long
    :param unreserved_priority_0_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_unreserved_priority_1_bandwidth_update(self, lsp=None, instances=None, unreserved_priority_1_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unreserved_priority_1_bandwidth: long
    :param unreserved_priority_1_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_unreserved_priority_2_bandwidth_update(self, lsp=None, instances=None, unreserved_priority_2_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unreserved_priority_2_bandwidth: long
    :param unreserved_priority_2_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_unreserved_priority_3_bandwidth_update(self, lsp=None, instances=None, unreserved_priority_3_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unreserved_priority_3_bandwidth: long
    :param unreserved_priority_3_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_unreserved_priority_4_bandwidth_update(self, lsp=None, instances=None, unreserved_priority_4_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unreserved_priority_4_bandwidth: long
    :param unreserved_priority_4_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_unreserved_priority_5_bandwidth_update(self, lsp=None, instances=None, unreserved_priority_5_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unreserved_priority_5_bandwidth: long
    :param unreserved_priority_5_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_unreserved_priority_6_bandwidth_update(self, lsp=None, instances=None, unreserved_priority_6_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unreserved_priority_6_bandwidth: long
    :param unreserved_priority_6_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_unreserved_priority_7_bandwidth_update(self, lsp=None, instances=None, unreserved_priority_7_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unreserved_priority_7_bandwidth: long
    :param unreserved_priority_7_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.instances', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, instances=instances, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_interface_update(self, lsp=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type interface: unicode
    :param interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, interface=interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_lsp_type_update(self, lsp=None, lsp_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type lsp_type: unicode
    :param lsp_type: Keyword argument.

        * enumeration restriction: ::

            ['regular', 'bypass']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_type=lsp_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_type=lsp_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_update(self, lsp=None, secondary_path=None, path_up=None, active=None, instance_id=None, committed=None, is_new_instance=None, is_current_secondary=None, is_selected_secondary=None, config_adaptive=None, config_reoptimize_timer_configured=None, config_reoptimize_timer=None, config_reoptimize_timer_count=None, config_tspec_mtu_configured=None, config_tspec_mtu=None, config_cos_configured=None, config_cos=None, config_mtu_configured=None, config_mtu=None, config_tie_breaking_configured=None, config_tie_break_random=None, config_tie_break_least_fill=None, config_tie_break_most_fill=None, config_cspf_disabled=None, config_rro_disabled=None, config_hot_standby=None, config_pinned=None, config_persistent=None, config_soft_prempt=None, config_priority_configured=None, config_setup_prority=None, config_holding_prority=None, config_hop_limit_configured=None, config_hop_limit=None, config_traffic_eng_rate_configured=None, config_traffic_eng_mean_rate=None, config_traffic_eng_max_rate=None, config_traffic_eng_max_burst=None, config_abw_configured=None, config_cspf_computation_mode=None, config_admin_group_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type path_up: YANGBool
    :param path_up: Keyword argument.

    :type active: YANGBool
    :param active: Keyword argument.

    :type instance_id: YANGBool
    :param instance_id: Keyword argument.

    :type committed: YANGBool
    :param committed: Keyword argument.

    :type is_new_instance: YANGBool
    :param is_new_instance: Keyword argument.

    :type is_current_secondary: YANGBool
    :param is_current_secondary: Keyword argument.

    :type is_selected_secondary: YANGBool
    :param is_selected_secondary: Keyword argument.

    :type config_adaptive: YANGBool
    :param config_adaptive: Keyword argument.

    :type config_reoptimize_timer_configured: YANGBool
    :param config_reoptimize_timer_configured: Keyword argument.

    :type config_reoptimize_timer: long
    :param config_reoptimize_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_reoptimize_timer_count: long
    :param config_reoptimize_timer_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_tspec_mtu_configured: YANGBool
    :param config_tspec_mtu_configured: Keyword argument.

    :type config_tspec_mtu: long
    :param config_tspec_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_cos_configured: YANGBool
    :param config_cos_configured: Keyword argument.

    :type config_cos: long
    :param config_cos: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_mtu_configured: YANGBool
    :param config_mtu_configured: Keyword argument.

    :type config_mtu: long
    :param config_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_tie_breaking_configured: YANGBool
    :param config_tie_breaking_configured: Keyword argument.

    :type config_tie_break_random: YANGBool
    :param config_tie_break_random: Keyword argument.

    :type config_tie_break_least_fill: YANGBool
    :param config_tie_break_least_fill: Keyword argument.

    :type config_tie_break_most_fill: YANGBool
    :param config_tie_break_most_fill: Keyword argument.

    :type config_cspf_disabled: YANGBool
    :param config_cspf_disabled: Keyword argument.

    :type config_rro_disabled: YANGBool
    :param config_rro_disabled: Keyword argument.

    :type config_hot_standby: YANGBool
    :param config_hot_standby: Keyword argument.

    :type config_pinned: YANGBool
    :param config_pinned: Keyword argument.

    :type config_persistent: YANGBool
    :param config_persistent: Keyword argument.

    :type config_soft_prempt: YANGBool
    :param config_soft_prempt: Keyword argument.

    :type config_priority_configured: YANGBool
    :param config_priority_configured: Keyword argument.

    :type config_setup_prority: int
    :param config_setup_prority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_holding_prority: int
    :param config_holding_prority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_hop_limit_configured: YANGBool
    :param config_hop_limit_configured: Keyword argument.

    :type config_hop_limit: int
    :param config_hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_traffic_eng_rate_configured: YANGBool
    :param config_traffic_eng_rate_configured: Keyword argument.

    :type config_traffic_eng_mean_rate: long
    :param config_traffic_eng_mean_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_traffic_eng_max_rate: long
    :param config_traffic_eng_max_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_traffic_eng_max_burst: long
    :param config_traffic_eng_max_burst: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_abw_configured: YANGBool
    :param config_abw_configured: Keyword argument.

    :type config_cspf_computation_mode: unicode
    :param config_cspf_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['cspf-computation-mode-use-igp-metric-global',
            'cspf-computation-mode-use-bypass-metric',
            'cspf-computation-mode-default',
            'cspf-computation-mode-use-igp-metric',
            'cspf-computation-mode-use-te-metric',
            'cspf-computation-mode-use-bypass-liberal',
            'cspf-computation-mode-use-te-metric-global']

    :type config_admin_group_configured: YANGBool
    :param config_admin_group_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, path_up=path_up, active=active, instance_id=instance_id, committed=committed, is_new_instance=is_new_instance, is_current_secondary=is_current_secondary, is_selected_secondary=is_selected_secondary, config_adaptive=config_adaptive, config_reoptimize_timer_configured=config_reoptimize_timer_configured, config_reoptimize_timer=config_reoptimize_timer, config_reoptimize_timer_count=config_reoptimize_timer_count, config_tspec_mtu_configured=config_tspec_mtu_configured, config_tspec_mtu=config_tspec_mtu, config_cos_configured=config_cos_configured, config_cos=config_cos, config_mtu_configured=config_mtu_configured, config_mtu=config_mtu, config_tie_breaking_configured=config_tie_breaking_configured, config_tie_break_random=config_tie_break_random, config_tie_break_least_fill=config_tie_break_least_fill, config_tie_break_most_fill=config_tie_break_most_fill, config_cspf_disabled=config_cspf_disabled, config_rro_disabled=config_rro_disabled, config_hot_standby=config_hot_standby, config_pinned=config_pinned, config_persistent=config_persistent, config_soft_prempt=config_soft_prempt, config_priority_configured=config_priority_configured, config_setup_prority=config_setup_prority, config_holding_prority=config_holding_prority, config_hop_limit_configured=config_hop_limit_configured, config_hop_limit=config_hop_limit, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate, config_traffic_eng_max_rate=config_traffic_eng_max_rate, config_traffic_eng_max_burst=config_traffic_eng_max_burst, config_abw_configured=config_abw_configured, config_cspf_computation_mode=config_cspf_computation_mode, config_admin_group_configured=config_admin_group_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, path_up=path_up, active=active, instance_id=instance_id, committed=committed, is_new_instance=is_new_instance, is_current_secondary=is_current_secondary, is_selected_secondary=is_selected_secondary, config_adaptive=config_adaptive, config_reoptimize_timer_configured=config_reoptimize_timer_configured, config_reoptimize_timer=config_reoptimize_timer, config_reoptimize_timer_count=config_reoptimize_timer_count, config_tspec_mtu_configured=config_tspec_mtu_configured, config_tspec_mtu=config_tspec_mtu, config_cos_configured=config_cos_configured, config_cos=config_cos, config_mtu_configured=config_mtu_configured, config_mtu=config_mtu, config_tie_breaking_configured=config_tie_breaking_configured, config_tie_break_random=config_tie_break_random, config_tie_break_least_fill=config_tie_break_least_fill, config_tie_break_most_fill=config_tie_break_most_fill, config_cspf_disabled=config_cspf_disabled, config_rro_disabled=config_rro_disabled, config_hot_standby=config_hot_standby, config_pinned=config_pinned, config_persistent=config_persistent, config_soft_prempt=config_soft_prempt, config_priority_configured=config_priority_configured, config_setup_prority=config_setup_prority, config_holding_prority=config_holding_prority, config_hop_limit_configured=config_hop_limit_configured, config_hop_limit=config_hop_limit, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate, config_traffic_eng_max_rate=config_traffic_eng_max_rate, config_traffic_eng_max_burst=config_traffic_eng_max_burst, config_abw_configured=config_abw_configured, config_cspf_computation_mode=config_cspf_computation_mode, config_admin_group_configured=config_admin_group_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_active_update(self, lsp=None, secondary_path=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_auto_bandwidth_update(self, lsp=None, secondary_path=None, config_template=None, adjustment_interval=None, adjustment_threshold=None, maximum_bandwidth=None, minimum_bandwidth=None, overflow_limit=None, underflow_limit=None, mode=None, sample_recording=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_template: unicode
    :param config_template: Keyword argument.

    :type adjustment_interval: long
    :param adjustment_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adjustment_threshold: long
    :param adjustment_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type maximum_bandwidth: long
    :param maximum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type minimum_bandwidth: long
    :param minimum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type overflow_limit: long
    :param overflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type underflow_limit: long
    :param underflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['monitor-and-signal', 'monitor-only']

    :type sample_recording: YANGBool
    :param sample_recording: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_template=config_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, maximum_bandwidth=maximum_bandwidth, minimum_bandwidth=minimum_bandwidth, overflow_limit=overflow_limit, underflow_limit=underflow_limit, mode=mode, sample_recording=sample_recording)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_template=config_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, maximum_bandwidth=maximum_bandwidth, minimum_bandwidth=minimum_bandwidth, overflow_limit=overflow_limit, underflow_limit=underflow_limit, mode=mode, sample_recording=sample_recording)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_auto_bandwidth_adjustment_interval_update(self, lsp=None, secondary_path=None, adjustment_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type adjustment_interval: long
    :param adjustment_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, adjustment_interval=adjustment_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, adjustment_interval=adjustment_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_auto_bandwidth_adjustment_threshold_update(self, lsp=None, secondary_path=None, adjustment_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type adjustment_threshold: long
    :param adjustment_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, adjustment_threshold=adjustment_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, adjustment_threshold=adjustment_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_auto_bandwidth_config_template_update(self, lsp=None, secondary_path=None, config_template=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_template: unicode
    :param config_template: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_template=config_template)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_template=config_template)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_auto_bandwidth_maximum_bandwidth_update(self, lsp=None, secondary_path=None, maximum_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type maximum_bandwidth: long
    :param maximum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, maximum_bandwidth=maximum_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, maximum_bandwidth=maximum_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_auto_bandwidth_minimum_bandwidth_update(self, lsp=None, secondary_path=None, minimum_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type minimum_bandwidth: long
    :param minimum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, minimum_bandwidth=minimum_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, minimum_bandwidth=minimum_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_auto_bandwidth_mode_update(self, lsp=None, secondary_path=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['monitor-and-signal', 'monitor-only']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_auto_bandwidth_overflow_limit_update(self, lsp=None, secondary_path=None, overflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type overflow_limit: long
    :param overflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, overflow_limit=overflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, overflow_limit=overflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_auto_bandwidth_sample_recording_update(self, lsp=None, secondary_path=None, sample_recording=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type sample_recording: YANGBool
    :param sample_recording: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, sample_recording=sample_recording)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, sample_recording=sample_recording)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_auto_bandwidth_underflow_limit_update(self, lsp=None, secondary_path=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type underflow_limit: long
    :param underflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, underflow_limit=underflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_committed_update(self, lsp=None, secondary_path=None, committed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type committed: YANGBool
    :param committed: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, committed=committed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, committed=committed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_abw_configured_update(self, lsp=None, secondary_path=None, config_abw_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_abw_configured: YANGBool
    :param config_abw_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_abw_configured=config_abw_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_abw_configured=config_abw_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_adaptive_update(self, lsp=None, secondary_path=None, config_adaptive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_adaptive: YANGBool
    :param config_adaptive: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_adaptive=config_adaptive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_adaptive=config_adaptive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_admin_group_configured_update(self, lsp=None, secondary_path=None, config_admin_group_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_admin_group_configured: YANGBool
    :param config_admin_group_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_admin_group_configured=config_admin_group_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_admin_group_configured=config_admin_group_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_cos_update(self, lsp=None, secondary_path=None, config_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_cos: long
    :param config_cos: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_cos=config_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_cos=config_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_cos_configured_update(self, lsp=None, secondary_path=None, config_cos_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_cos_configured: YANGBool
    :param config_cos_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_cos_configured=config_cos_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_cos_configured=config_cos_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_cspf_computation_mode_update(self, lsp=None, secondary_path=None, config_cspf_computation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_cspf_computation_mode: unicode
    :param config_cspf_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['cspf-computation-mode-use-igp-metric-global',
            'cspf-computation-mode-use-bypass-metric',
            'cspf-computation-mode-default',
            'cspf-computation-mode-use-igp-metric',
            'cspf-computation-mode-use-te-metric',
            'cspf-computation-mode-use-bypass-liberal',
            'cspf-computation-mode-use-te-metric-global']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_cspf_computation_mode=config_cspf_computation_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_cspf_computation_mode=config_cspf_computation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_cspf_disabled_update(self, lsp=None, secondary_path=None, config_cspf_disabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_cspf_disabled: YANGBool
    :param config_cspf_disabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_cspf_disabled=config_cspf_disabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_cspf_disabled=config_cspf_disabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_exclude_any_update(self, lsp=None, secondary_path=None, config_exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type config_exclude_any: admin_group_id
    :param config_exclude_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_exclude_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.config_exclude_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_exclude_any_admin_group_name_update(self, lsp=None, secondary_path=None, config_exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type config_exclude_any: admin_group_id
    :param config_exclude_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_exclude_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.config_exclude_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_holding_prority_update(self, lsp=None, secondary_path=None, config_holding_prority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_holding_prority: int
    :param config_holding_prority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_holding_prority=config_holding_prority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_holding_prority=config_holding_prority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_hop_limit_update(self, lsp=None, secondary_path=None, config_hop_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_hop_limit: int
    :param config_hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_hop_limit=config_hop_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_hop_limit=config_hop_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_hop_limit_configured_update(self, lsp=None, secondary_path=None, config_hop_limit_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_hop_limit_configured: YANGBool
    :param config_hop_limit_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_hop_limit_configured=config_hop_limit_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_hop_limit_configured=config_hop_limit_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_hot_standby_update(self, lsp=None, secondary_path=None, config_hot_standby=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_hot_standby: YANGBool
    :param config_hot_standby: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_hot_standby=config_hot_standby)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_hot_standby=config_hot_standby)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_include_all_update(self, lsp=None, secondary_path=None, config_include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type config_include_all: admin_group_id
    :param config_include_all: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_include_all** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.config_include_all', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_include_all=config_include_all, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_include_all=config_include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_include_all_admin_group_name_update(self, lsp=None, secondary_path=None, config_include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type config_include_all: admin_group_id
    :param config_include_all: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_include_all** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.config_include_all', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_include_all=config_include_all, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_include_all=config_include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_include_any_update(self, lsp=None, secondary_path=None, config_include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type config_include_any: admin_group_id
    :param config_include_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_include_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.config_include_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_include_any=config_include_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_include_any=config_include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_include_any_admin_group_name_update(self, lsp=None, secondary_path=None, config_include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type config_include_any: admin_group_id
    :param config_include_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_include_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path.config_include_any', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_include_any=config_include_any, admin_group_name=admin_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_include_any=config_include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_mtu_update(self, lsp=None, secondary_path=None, config_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_mtu: long
    :param config_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_mtu=config_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_mtu=config_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_mtu_configured_update(self, lsp=None, secondary_path=None, config_mtu_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_mtu_configured: YANGBool
    :param config_mtu_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_mtu_configured=config_mtu_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_mtu_configured=config_mtu_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_persistent_update(self, lsp=None, secondary_path=None, config_persistent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_persistent: YANGBool
    :param config_persistent: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_persistent=config_persistent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_persistent=config_persistent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_pinned_update(self, lsp=None, secondary_path=None, config_pinned=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_pinned: YANGBool
    :param config_pinned: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_pinned=config_pinned)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_pinned=config_pinned)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_priority_configured_update(self, lsp=None, secondary_path=None, config_priority_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_priority_configured: YANGBool
    :param config_priority_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_priority_configured=config_priority_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_priority_configured=config_priority_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_reoptimize_timer_update(self, lsp=None, secondary_path=None, config_reoptimize_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_reoptimize_timer: long
    :param config_reoptimize_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_reoptimize_timer=config_reoptimize_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_reoptimize_timer=config_reoptimize_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_reoptimize_timer_configured_update(self, lsp=None, secondary_path=None, config_reoptimize_timer_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_reoptimize_timer_configured: YANGBool
    :param config_reoptimize_timer_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_reoptimize_timer_configured=config_reoptimize_timer_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_reoptimize_timer_configured=config_reoptimize_timer_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_reoptimize_timer_count_update(self, lsp=None, secondary_path=None, config_reoptimize_timer_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_reoptimize_timer_count: long
    :param config_reoptimize_timer_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_reoptimize_timer_count=config_reoptimize_timer_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_reoptimize_timer_count=config_reoptimize_timer_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_rro_disabled_update(self, lsp=None, secondary_path=None, config_rro_disabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_rro_disabled: YANGBool
    :param config_rro_disabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_rro_disabled=config_rro_disabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_rro_disabled=config_rro_disabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_setup_prority_update(self, lsp=None, secondary_path=None, config_setup_prority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_setup_prority: int
    :param config_setup_prority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_setup_prority=config_setup_prority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_setup_prority=config_setup_prority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_soft_prempt_update(self, lsp=None, secondary_path=None, config_soft_prempt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_soft_prempt: YANGBool
    :param config_soft_prempt: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_soft_prempt=config_soft_prempt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_soft_prempt=config_soft_prempt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_tie_break_least_fill_update(self, lsp=None, secondary_path=None, config_tie_break_least_fill=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_tie_break_least_fill: YANGBool
    :param config_tie_break_least_fill: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_tie_break_least_fill=config_tie_break_least_fill)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_tie_break_least_fill=config_tie_break_least_fill)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_tie_break_most_fill_update(self, lsp=None, secondary_path=None, config_tie_break_most_fill=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_tie_break_most_fill: YANGBool
    :param config_tie_break_most_fill: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_tie_break_most_fill=config_tie_break_most_fill)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_tie_break_most_fill=config_tie_break_most_fill)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_tie_break_random_update(self, lsp=None, secondary_path=None, config_tie_break_random=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_tie_break_random: YANGBool
    :param config_tie_break_random: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_tie_break_random=config_tie_break_random)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_tie_break_random=config_tie_break_random)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_tie_breaking_configured_update(self, lsp=None, secondary_path=None, config_tie_breaking_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_tie_breaking_configured: YANGBool
    :param config_tie_breaking_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_tie_breaking_configured=config_tie_breaking_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_tie_breaking_configured=config_tie_breaking_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_traffic_eng_max_burst_update(self, lsp=None, secondary_path=None, config_traffic_eng_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_traffic_eng_max_burst: long
    :param config_traffic_eng_max_burst: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_traffic_eng_max_burst=config_traffic_eng_max_burst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_traffic_eng_max_burst=config_traffic_eng_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_traffic_eng_max_rate_update(self, lsp=None, secondary_path=None, config_traffic_eng_max_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_traffic_eng_max_rate: long
    :param config_traffic_eng_max_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_traffic_eng_max_rate=config_traffic_eng_max_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_traffic_eng_max_rate=config_traffic_eng_max_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_traffic_eng_mean_rate_update(self, lsp=None, secondary_path=None, config_traffic_eng_mean_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_traffic_eng_mean_rate: long
    :param config_traffic_eng_mean_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_traffic_eng_rate_configured_update(self, lsp=None, secondary_path=None, config_traffic_eng_rate_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_traffic_eng_rate_configured: YANGBool
    :param config_traffic_eng_rate_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_tspec_mtu_update(self, lsp=None, secondary_path=None, config_tspec_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_tspec_mtu: long
    :param config_tspec_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_tspec_mtu=config_tspec_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_tspec_mtu=config_tspec_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_tspec_mtu_configured_update(self, lsp=None, secondary_path=None, config_tspec_mtu_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type config_tspec_mtu_configured: YANGBool
    :param config_tspec_mtu_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, config_tspec_mtu_configured=config_tspec_mtu_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_tspec_mtu_configured=config_tspec_mtu_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_instance_id_update(self, lsp=None, secondary_path=None, instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type instance_id: YANGBool
    :param instance_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, instance_id=instance_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, instance_id=instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_is_current_secondary_update(self, lsp=None, secondary_path=None, is_current_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type is_current_secondary: YANGBool
    :param is_current_secondary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, is_current_secondary=is_current_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, is_current_secondary=is_current_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_is_new_instance_update(self, lsp=None, secondary_path=None, is_new_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type is_new_instance: YANGBool
    :param is_new_instance: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, is_new_instance=is_new_instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, is_new_instance=is_new_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_is_selected_secondary_update(self, lsp=None, secondary_path=None, is_selected_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type is_selected_secondary: YANGBool
    :param is_selected_secondary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, is_selected_secondary=is_selected_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, is_selected_secondary=is_selected_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_path_up_update(self, lsp=None, secondary_path=None, path_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type path_up: YANGBool
    :param path_up: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, path_up=path_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, path_up=path_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_update(self, total_non_pool_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_non_pool_memory: long
    :param total_non_pool_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_non_pool_memory=total_non_pool_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_non_pool_memory=total_non_pool_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_pools_sub_pools_update(self, pools=None, sub_pools=None, gen_size=None, block_size=None, gen_blocks=None, current_gens=None, current_blocks=None, free_blocks=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pools: pool_index
    :param pools: Keyword argument tuple.

    :type pool_index: long
    :param pool_index: **pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type sub_pools: sub_pool_index
    :param sub_pools: Keyword argument tuple.

    :type sub_pool_index: long
    :param sub_pool_index: **sub_pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gen_size: long
    :param gen_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type block_size: long
    :param block_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gen_blocks: long
    :param gen_blocks: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type current_gens: long
    :param current_gens: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type current_blocks: long
    :param current_blocks: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type free_blocks: long
    :param free_blocks: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', u'pools'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools', u'pools')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pool_index', 'extra_keyval': ''}, {'keyval': 'pool_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sub_pools', 'keyval': 'sub_pool_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pools=pools, sub_pools=sub_pools, gen_size=gen_size, block_size=block_size, gen_blocks=gen_blocks, current_gens=current_gens, current_blocks=current_blocks, free_blocks=free_blocks)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pools=pools, sub_pools=sub_pools, gen_size=gen_size, block_size=block_size, gen_blocks=gen_blocks, current_gens=current_gens, current_blocks=current_blocks, free_blocks=free_blocks)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_pools_sub_pools_block_size_update(self, pools=None, sub_pools=None, block_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pools: pool_index
    :param pools: Keyword argument tuple.

    :type pool_index: long
    :param pool_index: **pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type sub_pools: sub_pool_index
    :param sub_pools: Keyword argument tuple.

    :type sub_pool_index: long
    :param sub_pool_index: **sub_pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type block_size: long
    :param block_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', u'pools'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools', u'pools')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pool_index', 'extra_keyval': ''}, {'keyval': 'pool_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sub_pools', 'keyval': 'sub_pool_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pools=pools, sub_pools=sub_pools, block_size=block_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pools=pools, sub_pools=sub_pools, block_size=block_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_pools_sub_pools_current_blocks_update(self, pools=None, sub_pools=None, current_blocks=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pools: pool_index
    :param pools: Keyword argument tuple.

    :type pool_index: long
    :param pool_index: **pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type sub_pools: sub_pool_index
    :param sub_pools: Keyword argument tuple.

    :type sub_pool_index: long
    :param sub_pool_index: **sub_pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type current_blocks: long
    :param current_blocks: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', u'pools'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools', u'pools')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pool_index', 'extra_keyval': ''}, {'keyval': 'pool_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sub_pools', 'keyval': 'sub_pool_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pools=pools, sub_pools=sub_pools, current_blocks=current_blocks)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pools=pools, sub_pools=sub_pools, current_blocks=current_blocks)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_pools_sub_pools_current_gens_update(self, pools=None, sub_pools=None, current_gens=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pools: pool_index
    :param pools: Keyword argument tuple.

    :type pool_index: long
    :param pool_index: **pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type sub_pools: sub_pool_index
    :param sub_pools: Keyword argument tuple.

    :type sub_pool_index: long
    :param sub_pool_index: **sub_pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type current_gens: long
    :param current_gens: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', u'pools'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools', u'pools')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pool_index', 'extra_keyval': ''}, {'keyval': 'pool_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sub_pools', 'keyval': 'sub_pool_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pools=pools, sub_pools=sub_pools, current_gens=current_gens)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pools=pools, sub_pools=sub_pools, current_gens=current_gens)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_pools_sub_pools_free_blocks_update(self, pools=None, sub_pools=None, free_blocks=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pools: pool_index
    :param pools: Keyword argument tuple.

    :type pool_index: long
    :param pool_index: **pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type sub_pools: sub_pool_index
    :param sub_pools: Keyword argument tuple.

    :type sub_pool_index: long
    :param sub_pool_index: **sub_pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type free_blocks: long
    :param free_blocks: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', u'pools'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools', u'pools')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pool_index', 'extra_keyval': ''}, {'keyval': 'pool_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sub_pools', 'keyval': 'sub_pool_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pools=pools, sub_pools=sub_pools, free_blocks=free_blocks)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pools=pools, sub_pools=sub_pools, free_blocks=free_blocks)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_pools_sub_pools_gen_blocks_update(self, pools=None, sub_pools=None, gen_blocks=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pools: pool_index
    :param pools: Keyword argument tuple.

    :type pool_index: long
    :param pool_index: **pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type sub_pools: sub_pool_index
    :param sub_pools: Keyword argument tuple.

    :type sub_pool_index: long
    :param sub_pool_index: **sub_pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gen_blocks: long
    :param gen_blocks: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', u'pools'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools', u'pools')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pool_index', 'extra_keyval': ''}, {'keyval': 'pool_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sub_pools', 'keyval': 'sub_pool_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pools=pools, sub_pools=sub_pools, gen_blocks=gen_blocks)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pools=pools, sub_pools=sub_pools, gen_blocks=gen_blocks)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_pools_sub_pools_gen_size_update(self, pools=None, sub_pools=None, gen_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pools: pool_index
    :param pools: Keyword argument tuple.

    :type pool_index: long
    :param pool_index: **pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type sub_pools: sub_pool_index
    :param sub_pools: Keyword argument tuple.

    :type sub_pool_index: long
    :param sub_pool_index: **sub_pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gen_size: long
    :param gen_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', u'pools'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools', u'pools')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pool_index', 'extra_keyval': ''}, {'keyval': 'pool_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sub_pools', 'keyval': 'sub_pool_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pools=pools, sub_pools=sub_pools, gen_size=gen_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pools=pools, sub_pools=sub_pools, gen_size=gen_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_stats_update(self, stats=None, mem_type=None, num_alloc=None, total_bytes=None, total_allocs=None, total_frees=None, peak_alloc=None, alloc_fails=None, free_fails=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type stats: mem_stats_index
    :param stats: Keyword argument tuple.

    :type mem_stats_index: long
    :param mem_stats_index: **stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mem_type: unicode
    :param mem_type: Keyword argument.

    :type num_alloc: long
    :param num_alloc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_bytes: long
    :param total_bytes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_allocs: long
    :param total_allocs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_frees: long
    :param total_frees: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peak_alloc: long
    :param peak_alloc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type alloc_fails: long
    :param alloc_fails: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type free_fails: long
    :param free_fails: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, stats=stats, mem_type=mem_type, num_alloc=num_alloc, total_bytes=total_bytes, total_allocs=total_allocs, total_frees=total_frees, peak_alloc=peak_alloc, alloc_fails=alloc_fails, free_fails=free_fails)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, stats=stats, mem_type=mem_type, num_alloc=num_alloc, total_bytes=total_bytes, total_allocs=total_allocs, total_frees=total_frees, peak_alloc=peak_alloc, alloc_fails=alloc_fails, free_fails=free_fails)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_stats_alloc_fails_update(self, stats=None, alloc_fails=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type stats: mem_stats_index
    :param stats: Keyword argument tuple.

    :type mem_stats_index: long
    :param mem_stats_index: **stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type alloc_fails: long
    :param alloc_fails: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, stats=stats, alloc_fails=alloc_fails)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, stats=stats, alloc_fails=alloc_fails)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_stats_free_fails_update(self, stats=None, free_fails=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type stats: mem_stats_index
    :param stats: Keyword argument tuple.

    :type mem_stats_index: long
    :param mem_stats_index: **stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type free_fails: long
    :param free_fails: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, stats=stats, free_fails=free_fails)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, stats=stats, free_fails=free_fails)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_stats_mem_type_update(self, stats=None, mem_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type stats: mem_stats_index
    :param stats: Keyword argument tuple.

    :type mem_stats_index: long
    :param mem_stats_index: **stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mem_type: unicode
    :param mem_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, stats=stats, mem_type=mem_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, stats=stats, mem_type=mem_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_stats_num_alloc_update(self, stats=None, num_alloc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type stats: mem_stats_index
    :param stats: Keyword argument tuple.

    :type mem_stats_index: long
    :param mem_stats_index: **stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_alloc: long
    :param num_alloc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, stats=stats, num_alloc=num_alloc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, stats=stats, num_alloc=num_alloc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_stats_peak_alloc_update(self, stats=None, peak_alloc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type stats: mem_stats_index
    :param stats: Keyword argument tuple.

    :type mem_stats_index: long
    :param mem_stats_index: **stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type peak_alloc: long
    :param peak_alloc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, stats=stats, peak_alloc=peak_alloc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, stats=stats, peak_alloc=peak_alloc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_stats_total_allocs_update(self, stats=None, total_allocs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type stats: mem_stats_index
    :param stats: Keyword argument tuple.

    :type mem_stats_index: long
    :param mem_stats_index: **stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type total_allocs: long
    :param total_allocs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, stats=stats, total_allocs=total_allocs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, stats=stats, total_allocs=total_allocs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_stats_total_bytes_update(self, stats=None, total_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type stats: mem_stats_index
    :param stats: Keyword argument tuple.

    :type mem_stats_index: long
    :param mem_stats_index: **stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type total_bytes: long
    :param total_bytes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, stats=stats, total_bytes=total_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, stats=stats, total_bytes=total_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_stats_total_frees_update(self, stats=None, total_frees=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type stats: mem_stats_index
    :param stats: Keyword argument tuple.

    :type mem_stats_index: long
    :param mem_stats_index: **stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type total_frees: long
    :param total_frees: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory.stats', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, stats=stats, total_frees=total_frees)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, stats=stats, total_frees=total_frees)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_total_non_pool_memory_update(self, total_non_pool_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_non_pool_memory: long
    :param total_non_pool_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.memory', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_non_pool_memory=total_non_pool_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_non_pool_memory=total_non_pool_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_path_update(self, path=None, usage_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument.

    **Instance Argument(s)**:

    :type usage_count: long
    :param usage_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, usage_count=usage_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, usage_count=usage_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_path_path_hops_update(self, path=None, path_hops=None, hop_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type path_hops: hop_address
    :param path_hops: Keyword argument tuple.

    :type hop_address: unicode
    :param hop_address: **path_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hop_type: int
    :param hop_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_state.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.path.path_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_hops', 'keyval': 'hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, path_hops=path_hops, hop_type=hop_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, path_hops=path_hops, hop_type=hop_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_path_path_hops_hop_type_update(self, path=None, path_hops=None, hop_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type path_hops: hop_address
    :param path_hops: Keyword argument tuple.

    :type hop_address: unicode
    :param hop_address: **path_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hop_type: int
    :param hop_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_state.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.path.path_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_hops', 'keyval': 'hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, path_hops=path_hops, hop_type=hop_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, path_hops=path_hops, hop_type=hop_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_path_path_lsps_update(self, path=None, path_lsps=None, lsp_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type path_lsps: lsp_name
    :param path_lsps: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **path_lsps** tuple argument.

    **Instance Argument(s)**:

    :type lsp_type: long
    :param lsp_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_state.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_lsps', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.path.path_lsps', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_lsps', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, path_lsps=path_lsps, lsp_type=lsp_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, path_lsps=path_lsps, lsp_type=lsp_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_path_path_lsps_lsp_type_update(self, path=None, path_lsps=None, lsp_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type path_lsps: lsp_name
    :param path_lsps: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **path_lsps** tuple argument.

    **Instance Argument(s)**:

    :type lsp_type: long
    :param lsp_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_state.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_lsps', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.path.path_lsps', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_lsps', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, path_lsps=path_lsps, lsp_type=lsp_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, path_lsps=path_lsps, lsp_type=lsp_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_path_usage_count_update(self, path=None, usage_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument.

    **Instance Argument(s)**:

    :type usage_count: long
    :param usage_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.path', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, usage_count=usage_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, usage_count=usage_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_update(self, cspf_intf=None, cspf_group_computation_mode=None, cspf_comp_mode=None, cspf_comp_ignore_overload_bit=None, implicit_commit_value=None, propagate_ttl=None, label_propagate_ttl=None, vrf_propagate_ttl=None, rtm_route_filter_enabled=None, rtm_route_filter_all_ibgp_enabled=None, ingress_tnnl_actg=None, transit_session_actg=None, load_interval=None, te_policy_protocol=None, te_policy_flags=None, te_policy_area=None, handle_isis_nbr_down=None, handle_ospf_nbr_down=None, max_lsp_retries=None, fast_retry_on=None, lsp_retry_interval=None, frr_backup_retry_interval=None, auto_bandwidth_enabled=None, autobw_sample_interval=None, autobw_num_sample_record=None, soft_preempt_cleanup_timer=None, rsvp_periodic_flooding_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cspf_intf: int
    :param cspf_intf: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type cspf_group_computation_mode: unicode
    :param cspf_group_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['mpls-cspf-grp-comp-mode-default',
            'mpls-cspf-grp-comp-mode-exclude-groups',
            'mpls-cspf-grp-comp-mode-high-cost',
            'mpls-cspf-grp-comp-mode-add-penalty',
            'mpls-cspf-grp-comp-mode-max']

    :type cspf_comp_mode: long
    :param cspf_comp_mode: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cspf_comp_ignore_overload_bit: int
    :param cspf_comp_ignore_overload_bit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type implicit_commit_value: long
    :param implicit_commit_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type propagate_ttl: int
    :param propagate_ttl: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type label_propagate_ttl: int
    :param label_propagate_ttl: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vrf_propagate_ttl: int
    :param vrf_propagate_ttl: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type rtm_route_filter_enabled: YANGBool
    :param rtm_route_filter_enabled: Keyword argument.

    :type rtm_route_filter_all_ibgp_enabled: YANGBool
    :param rtm_route_filter_all_ibgp_enabled: Keyword argument.

    :type ingress_tnnl_actg: int
    :param ingress_tnnl_actg: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type transit_session_actg: int
    :param transit_session_actg: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type load_interval: int
    :param load_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type te_policy_protocol: unicode
    :param te_policy_protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-te-none', 'mpls-te-ospf', 'mpls-te-isis']

    :type te_policy_flags: int
    :param te_policy_flags: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type te_policy_area: long
    :param te_policy_area: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type handle_isis_nbr_down: int
    :param handle_isis_nbr_down: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type handle_ospf_nbr_down: int
    :param handle_ospf_nbr_down: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type max_lsp_retries: int
    :param max_lsp_retries: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type fast_retry_on: int
    :param fast_retry_on: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type lsp_retry_interval: int
    :param lsp_retry_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type frr_backup_retry_interval: long
    :param frr_backup_retry_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auto_bandwidth_enabled: int
    :param auto_bandwidth_enabled: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type autobw_sample_interval: long
    :param autobw_sample_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type autobw_num_sample_record: long
    :param autobw_num_sample_record: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type soft_preempt_cleanup_timer: int
    :param soft_preempt_cleanup_timer: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type rsvp_periodic_flooding_timer: int
    :param rsvp_periodic_flooding_timer: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.mpls_state.policy": {}, "pybind.slxos.v16r_1_00b.mpls_state.policy": {"vrf_propagate_ttl": "vrf_propagate_ttl", "rtm_route_filter_all_ibgp_enabled": "rtm_route_filter_all_ibgp_enabled", "te_policy_protocol": "te_policy_protocol", "autobw_num_sample_record": "autobw_num_sample_record", "lsp_retry_interval": "lsp_retry_interval", "ingress_tnnl_actg": "ingress_tnnl_actg", "rsvp_periodic_flooding_timer": "rsvp_periodic_flooding_timer", "load_interval": "load_interval", "handle_ospf_nbr_down": "handle_ospf_nbr_down", "te_policy_flags": "te_policy_flags", "label_propagate_ttl": "label_propagate_ttl", "auto_bandwidth_enabled": "auto_bandwidth_enabled", "cspf_group_computation_mode": "cspf_group_computation_mode", "fast_retry_on": "fast_retry_on", "soft_preempt_cleanup_timer": "soft_preempt_cleanup_timer", "max_lsp_retries": "max_lsp_retries", "cspf_comp_ignore_overload_bit": "cspf_comp_ignore_overload_bit", "rtm_route_filter_enabled": "rtm_route_filter_enabled", "cspf_comp_mode": "cspf_comp_mode", "implicit_commit_value": "implicit_commit_value", "te_policy_area": "te_policy_area", "cspf_intf": "cspf_intf", "propagate_ttl": "propagate_ttl", "transit_session_actg": "transit_session_actg", "handle_isis_nbr_down": "handle_isis_nbr_down", "frr_backup_retry_interval": "frr_backup_retry_interval", "autobw_sample_interval": "autobw_sample_interval"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cspf_intf=cspf_intf, cspf_group_computation_mode=cspf_group_computation_mode, cspf_comp_mode=cspf_comp_mode, cspf_comp_ignore_overload_bit=cspf_comp_ignore_overload_bit, implicit_commit_value=implicit_commit_value, propagate_ttl=propagate_ttl, label_propagate_ttl=label_propagate_ttl, vrf_propagate_ttl=vrf_propagate_ttl, rtm_route_filter_enabled=rtm_route_filter_enabled, rtm_route_filter_all_ibgp_enabled=rtm_route_filter_all_ibgp_enabled, ingress_tnnl_actg=ingress_tnnl_actg, transit_session_actg=transit_session_actg, load_interval=load_interval, te_policy_protocol=te_policy_protocol, te_policy_flags=te_policy_flags, te_policy_area=te_policy_area, handle_isis_nbr_down=handle_isis_nbr_down, handle_ospf_nbr_down=handle_ospf_nbr_down, max_lsp_retries=max_lsp_retries, fast_retry_on=fast_retry_on, lsp_retry_interval=lsp_retry_interval, frr_backup_retry_interval=frr_backup_retry_interval, auto_bandwidth_enabled=auto_bandwidth_enabled, autobw_sample_interval=autobw_sample_interval, autobw_num_sample_record=autobw_num_sample_record, soft_preempt_cleanup_timer=soft_preempt_cleanup_timer, rsvp_periodic_flooding_timer=rsvp_periodic_flooding_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_intf=cspf_intf, cspf_group_computation_mode=cspf_group_computation_mode, cspf_comp_mode=cspf_comp_mode, cspf_comp_ignore_overload_bit=cspf_comp_ignore_overload_bit, implicit_commit_value=implicit_commit_value, propagate_ttl=propagate_ttl, label_propagate_ttl=label_propagate_ttl, vrf_propagate_ttl=vrf_propagate_ttl, rtm_route_filter_enabled=rtm_route_filter_enabled, rtm_route_filter_all_ibgp_enabled=rtm_route_filter_all_ibgp_enabled, ingress_tnnl_actg=ingress_tnnl_actg, transit_session_actg=transit_session_actg, load_interval=load_interval, te_policy_protocol=te_policy_protocol, te_policy_flags=te_policy_flags, te_policy_area=te_policy_area, handle_isis_nbr_down=handle_isis_nbr_down, handle_ospf_nbr_down=handle_ospf_nbr_down, max_lsp_retries=max_lsp_retries, fast_retry_on=fast_retry_on, lsp_retry_interval=lsp_retry_interval, frr_backup_retry_interval=frr_backup_retry_interval, auto_bandwidth_enabled=auto_bandwidth_enabled, autobw_sample_interval=autobw_sample_interval, autobw_num_sample_record=autobw_num_sample_record, soft_preempt_cleanup_timer=soft_preempt_cleanup_timer, rsvp_periodic_flooding_timer=rsvp_periodic_flooding_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_admin_groups_update(self, admin_groups=None, group_number=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type admin_groups: name
    :param admin_groups: Keyword argument tuple.

    :type name: unicode
    :param name: **admin_groups** tuple argument.

    **Instance Argument(s)**:

    :type group_number: int
    :param group_number: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy.admin_groups', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy.admin_groups', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'admin_groups', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, admin_groups=admin_groups, group_number=group_number)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, admin_groups=admin_groups, group_number=group_number)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_admin_groups_group_number_update(self, admin_groups=None, group_number=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type admin_groups: name
    :param admin_groups: Keyword argument tuple.

    :type name: unicode
    :param name: **admin_groups** tuple argument.

    **Instance Argument(s)**:

    :type group_number: int
    :param group_number: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy.admin_groups', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy.admin_groups', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'admin_groups', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, admin_groups=admin_groups, group_number=group_number)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, admin_groups=admin_groups, group_number=group_number)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_auto_bandwidth_enabled_update(self, auto_bandwidth_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auto_bandwidth_enabled: int
    :param auto_bandwidth_enabled: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bandwidth_enabled=auto_bandwidth_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_enabled=auto_bandwidth_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_autobw_num_sample_record_update(self, autobw_num_sample_record=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type autobw_num_sample_record: long
    :param autobw_num_sample_record: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_num_sample_record=autobw_num_sample_record)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_num_sample_record=autobw_num_sample_record)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_autobw_sample_interval_update(self, autobw_sample_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type autobw_sample_interval: long
    :param autobw_sample_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_sample_interval=autobw_sample_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_sample_interval=autobw_sample_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_cspf_comp_ignore_overload_bit_update(self, cspf_comp_ignore_overload_bit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cspf_comp_ignore_overload_bit: int
    :param cspf_comp_ignore_overload_bit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cspf_comp_ignore_overload_bit=cspf_comp_ignore_overload_bit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_comp_ignore_overload_bit=cspf_comp_ignore_overload_bit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_cspf_comp_mode_update(self, cspf_comp_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cspf_comp_mode: long
    :param cspf_comp_mode: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cspf_comp_mode=cspf_comp_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_comp_mode=cspf_comp_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_cspf_group_computation_mode_update(self, cspf_group_computation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cspf_group_computation_mode: unicode
    :param cspf_group_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['mpls-cspf-grp-comp-mode-default',
            'mpls-cspf-grp-comp-mode-exclude-groups',
            'mpls-cspf-grp-comp-mode-high-cost',
            'mpls-cspf-grp-comp-mode-add-penalty',
            'mpls-cspf-grp-comp-mode-max']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cspf_group_computation_mode=cspf_group_computation_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_group_computation_mode=cspf_group_computation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_cspf_intf_update(self, cspf_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cspf_intf: int
    :param cspf_intf: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cspf_intf=cspf_intf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_intf=cspf_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_fast_retry_on_update(self, fast_retry_on=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fast_retry_on: int
    :param fast_retry_on: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fast_retry_on=fast_retry_on)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fast_retry_on=fast_retry_on)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_frr_backup_retry_interval_update(self, frr_backup_retry_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type frr_backup_retry_interval: long
    :param frr_backup_retry_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, frr_backup_retry_interval=frr_backup_retry_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, frr_backup_retry_interval=frr_backup_retry_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_handle_isis_nbr_down_update(self, handle_isis_nbr_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type handle_isis_nbr_down: int
    :param handle_isis_nbr_down: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, handle_isis_nbr_down=handle_isis_nbr_down)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, handle_isis_nbr_down=handle_isis_nbr_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_handle_ospf_nbr_down_update(self, handle_ospf_nbr_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type handle_ospf_nbr_down: int
    :param handle_ospf_nbr_down: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, handle_ospf_nbr_down=handle_ospf_nbr_down)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, handle_ospf_nbr_down=handle_ospf_nbr_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_implicit_commit_value_update(self, implicit_commit_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type implicit_commit_value: long
    :param implicit_commit_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, implicit_commit_value=implicit_commit_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, implicit_commit_value=implicit_commit_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_ingress_tnnl_actg_update(self, ingress_tnnl_actg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ingress_tnnl_actg: int
    :param ingress_tnnl_actg: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ingress_tnnl_actg=ingress_tnnl_actg)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ingress_tnnl_actg=ingress_tnnl_actg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_label_propagate_ttl_update(self, label_propagate_ttl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type label_propagate_ttl: int
    :param label_propagate_ttl: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, label_propagate_ttl=label_propagate_ttl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, label_propagate_ttl=label_propagate_ttl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_load_interval_update(self, load_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type load_interval: int
    :param load_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, load_interval=load_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, load_interval=load_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_lsp_retry_interval_update(self, lsp_retry_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_retry_interval: int
    :param lsp_retry_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_retry_interval=lsp_retry_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_retry_interval=lsp_retry_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_max_lsp_retries_update(self, max_lsp_retries=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_lsp_retries: int
    :param max_lsp_retries: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_lsp_retries=max_lsp_retries)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_lsp_retries=max_lsp_retries)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_propagate_ttl_update(self, propagate_ttl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type propagate_ttl: int
    :param propagate_ttl: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, propagate_ttl=propagate_ttl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, propagate_ttl=propagate_ttl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_qos_ttl_mode_update(self, qos_ttl_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type qos_ttl_mode: unicode
    :param qos_ttl_mode: Keyword argument.

        * enumeration restriction: ::

            ['qt-uniform', 'qt-pipe']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_ttl_mode=qos_ttl_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_ttl_mode=qos_ttl_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_rsvp_periodic_flooding_timer_update(self, rsvp_periodic_flooding_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rsvp_periodic_flooding_timer: int
    :param rsvp_periodic_flooding_timer: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rsvp_periodic_flooding_timer=rsvp_periodic_flooding_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rsvp_periodic_flooding_timer=rsvp_periodic_flooding_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_rtm_route_filter_all_ibgp_enabled_update(self, rtm_route_filter_all_ibgp_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rtm_route_filter_all_ibgp_enabled: YANGBool
    :param rtm_route_filter_all_ibgp_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rtm_route_filter_all_ibgp_enabled=rtm_route_filter_all_ibgp_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rtm_route_filter_all_ibgp_enabled=rtm_route_filter_all_ibgp_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_rtm_route_filter_enabled_update(self, rtm_route_filter_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rtm_route_filter_enabled: YANGBool
    :param rtm_route_filter_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rtm_route_filter_enabled=rtm_route_filter_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rtm_route_filter_enabled=rtm_route_filter_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_soft_preempt_cleanup_timer_update(self, soft_preempt_cleanup_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type soft_preempt_cleanup_timer: int
    :param soft_preempt_cleanup_timer: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, soft_preempt_cleanup_timer=soft_preempt_cleanup_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, soft_preempt_cleanup_timer=soft_preempt_cleanup_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_te_policy_area_update(self, te_policy_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type te_policy_area: long
    :param te_policy_area: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, te_policy_area=te_policy_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, te_policy_area=te_policy_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_te_policy_flags_update(self, te_policy_flags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type te_policy_flags: int
    :param te_policy_flags: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, te_policy_flags=te_policy_flags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, te_policy_flags=te_policy_flags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_te_policy_protocol_update(self, te_policy_protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type te_policy_protocol: unicode
    :param te_policy_protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-te-none', 'mpls-te-ospf', 'mpls-te-isis']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, te_policy_protocol=te_policy_protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, te_policy_protocol=te_policy_protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_transit_session_actg_update(self, transit_session_actg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transit_session_actg: int
    :param transit_session_actg: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_session_actg=transit_session_actg)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_session_actg=transit_session_actg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_vrf_propagate_ttl_update(self, vrf_propagate_ttl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vrf_propagate_ttl: int
    :param vrf_propagate_ttl: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf_propagate_ttl=vrf_propagate_ttl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf_propagate_ttl=vrf_propagate_ttl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_route_update(self, route=None, outseg_index=None, dest_ip_prefix=None, gateway_ip_addr=None, out_interface_name=None, out_label=None, protocol=None, vif_index=None, metric=None, use_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: entry_index
    :param route: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **route** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type outseg_index: long
    :param outseg_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dest_ip_prefix: unicode
    :param dest_ip_prefix: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type gateway_ip_addr: unicode
    :param gateway_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type out_interface_name: unicode
    :param out_interface_name: Keyword argument.

    :type out_label: long
    :param out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type protocol: unicode
    :param protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-protocol-none',
            'mpls-protocol-ldp',
            'mpls-protocol-rsvp']

    :type vif_index: long
    :param vif_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type metric: long
    :param metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type use_count: long
    :param use_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.route', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, outseg_index=outseg_index, dest_ip_prefix=dest_ip_prefix, gateway_ip_addr=gateway_ip_addr, out_interface_name=out_interface_name, out_label=out_label, protocol=protocol, vif_index=vif_index, metric=metric, use_count=use_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, outseg_index=outseg_index, dest_ip_prefix=dest_ip_prefix, gateway_ip_addr=gateway_ip_addr, out_interface_name=out_interface_name, out_label=out_label, protocol=protocol, vif_index=vif_index, metric=metric, use_count=use_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_route_dest_ip_prefix_update(self, route=None, dest_ip_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: entry_index
    :param route: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **route** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dest_ip_prefix: unicode
    :param dest_ip_prefix: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.route', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, dest_ip_prefix=dest_ip_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, dest_ip_prefix=dest_ip_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_route_gateway_ip_addr_update(self, route=None, gateway_ip_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: entry_index
    :param route: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **route** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gateway_ip_addr: unicode
    :param gateway_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.route', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, gateway_ip_addr=gateway_ip_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, gateway_ip_addr=gateway_ip_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_route_metric_update(self, route=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: entry_index
    :param route: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **route** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.route', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_route_out_interface_name_update(self, route=None, out_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: entry_index
    :param route: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **route** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_interface_name: unicode
    :param out_interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.route', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, out_interface_name=out_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, out_interface_name=out_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_route_out_label_update(self, route=None, out_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: entry_index
    :param route: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **route** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_label: long
    :param out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.route', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, out_label=out_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, out_label=out_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_route_outseg_index_update(self, route=None, outseg_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: entry_index
    :param route: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **route** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type outseg_index: long
    :param outseg_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.route', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, outseg_index=outseg_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, outseg_index=outseg_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_route_protocol_update(self, route=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: entry_index
    :param route: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **route** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-protocol-none',
            'mpls-protocol-ldp',
            'mpls-protocol-rsvp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.route', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_route_use_count_update(self, route=None, use_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: entry_index
    :param route: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **route** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type use_count: long
    :param use_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.route', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, use_count=use_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, use_count=use_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_route_vif_index_update(self, route=None, vif_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: entry_index
    :param route: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **route** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vif_index: long
    :param vif_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.route', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, vif_index=vif_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, vif_index=vif_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_update(self, protocol_status=None, refresh_interval=None, refresh_multiple=None, transport_address=None, delay_resv_sending=None, backup_bandwidth_requirement=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type refresh_interval: int
    :param refresh_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type refresh_multiple: int
    :param refresh_multiple: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type transport_address: unicode
    :param transport_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type delay_resv_sending: YANGBool
    :param delay_resv_sending: Keyword argument.

    :type backup_bandwidth_requirement: YANGBool
    :param backup_bandwidth_requirement: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_status=protocol_status, refresh_interval=refresh_interval, refresh_multiple=refresh_multiple, transport_address=transport_address, delay_resv_sending=delay_resv_sending, backup_bandwidth_requirement=backup_bandwidth_requirement)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_status=protocol_status, refresh_interval=refresh_interval, refresh_multiple=refresh_multiple, transport_address=transport_address, delay_resv_sending=delay_resv_sending, backup_bandwidth_requirement=backup_bandwidth_requirement)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_backup_bandwidth_requirement_update(self, backup_bandwidth_requirement=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type backup_bandwidth_requirement: YANGBool
    :param backup_bandwidth_requirement: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, backup_bandwidth_requirement=backup_bandwidth_requirement)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, backup_bandwidth_requirement=backup_bandwidth_requirement)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_delay_resv_sending_update(self, delay_resv_sending=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type delay_resv_sending: YANGBool
    :param delay_resv_sending: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, delay_resv_sending=delay_resv_sending)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, delay_resv_sending=delay_resv_sending)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_update(self, isis_nbr_down_enabled=None, ospf_nbr_down_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_nbr_down_enabled: YANGBool
    :param isis_nbr_down_enabled: Keyword argument.

    :type ospf_nbr_down_enabled: YANGBool
    :param ospf_nbr_down_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_nbr_down_enabled=isis_nbr_down_enabled, ospf_nbr_down_enabled=ospf_nbr_down_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_nbr_down_enabled=isis_nbr_down_enabled, ospf_nbr_down_enabled=ospf_nbr_down_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_isis_nbr_down_enabled_update(self, isis_nbr_down_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_nbr_down_enabled: YANGBool
    :param isis_nbr_down_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_nbr_down_enabled=isis_nbr_down_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_nbr_down_enabled=isis_nbr_down_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_update(self, link=None, remote_ip=None, lsp_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_ip: unicode
    :param remote_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp_count: long
    :param lsp_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, remote_ip=remote_ip, lsp_count=lsp_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, remote_ip=remote_ip, lsp_count=lsp_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_update(self, link=None, lsp=None, cspf_enabled=None, rro_enabled=None, frr_enabled=None, nbr_down_enabled=None, link_count=None, nbr_down_inprogress=None, cspf_hop_count=None, rro_hop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type cspf_enabled: YANGBool
    :param cspf_enabled: Keyword argument.

    :type rro_enabled: YANGBool
    :param rro_enabled: Keyword argument.

    :type frr_enabled: YANGBool
    :param frr_enabled: Keyword argument.

    :type nbr_down_enabled: YANGBool
    :param nbr_down_enabled: Keyword argument.

    :type link_count: long
    :param link_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type nbr_down_inprogress: YANGBool
    :param nbr_down_inprogress: Keyword argument.

    :type cspf_hop_count: long
    :param cspf_hop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rro_hop_count: long
    :param rro_hop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, cspf_enabled=cspf_enabled, rro_enabled=rro_enabled, frr_enabled=frr_enabled, nbr_down_enabled=nbr_down_enabled, link_count=link_count, nbr_down_inprogress=nbr_down_inprogress, cspf_hop_count=cspf_hop_count, rro_hop_count=rro_hop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, cspf_enabled=cspf_enabled, rro_enabled=rro_enabled, frr_enabled=frr_enabled, nbr_down_enabled=nbr_down_enabled, link_count=link_count, nbr_down_inprogress=nbr_down_inprogress, cspf_hop_count=cspf_hop_count, rro_hop_count=rro_hop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_count_update(self, link=None, lsp_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type lsp_count: long
    :param lsp_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp_count=lsp_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp_count=lsp_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_cspf_enabled_update(self, link=None, lsp=None, cspf_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type cspf_enabled: YANGBool
    :param cspf_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, cspf_enabled=cspf_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, cspf_enabled=cspf_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_cspf_hop_update(self, link=None, lsp=None, cspf_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type cspf_hop: index
    :param cspf_hop: Keyword argument tuple.

    :type index: long
    :param index: **cspf_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp.cspf_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_cspf_hop_count_update(self, link=None, lsp=None, cspf_hop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type cspf_hop_count: long
    :param cspf_hop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, cspf_hop_count=cspf_hop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, cspf_hop_count=cspf_hop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_cspf_hop_ip_address_update(self, link=None, lsp=None, cspf_hop=None, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type cspf_hop: index
    :param cspf_hop: Keyword argument tuple.

    :type index: long
    :param index: **cspf_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp.cspf_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_cspf_hop_nbr_ip_address_update(self, link=None, lsp=None, cspf_hop=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type cspf_hop: index
    :param cspf_hop: Keyword argument tuple.

    :type index: long
    :param index: **cspf_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp.cspf_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, cspf_hop=cspf_hop, nbr_ip_address=nbr_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, cspf_hop=cspf_hop, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_frr_enabled_update(self, link=None, lsp=None, frr_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type frr_enabled: YANGBool
    :param frr_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, frr_enabled=frr_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, frr_enabled=frr_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_link_update(self, link=None, lsp=None, link_=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type link_: index
    :param link_: Keyword argument tuple.

    :type index: long
    :param index: **link_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link_', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, link_=link_, ip_address=ip_address, nbr_ip_address=nbr_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, link_=link_, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_link_count_update(self, link=None, lsp=None, link_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type link_count: long
    :param link_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, link_count=link_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, link_count=link_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_link_ip_address_update(self, link=None, lsp=None, link_=None, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type link_: index
    :param link_: Keyword argument tuple.

    :type index: long
    :param index: **link_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link_', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, link_=link_, ip_address=ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, link_=link_, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_link_nbr_ip_address_update(self, link=None, lsp=None, link_=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type link_: index
    :param link_: Keyword argument tuple.

    :type index: long
    :param index: **link_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link_', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, link_=link_, nbr_ip_address=nbr_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, link_=link_, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_nbr_down_enabled_update(self, link=None, lsp=None, nbr_down_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type nbr_down_enabled: YANGBool
    :param nbr_down_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, nbr_down_enabled=nbr_down_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, nbr_down_enabled=nbr_down_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_nbr_down_inprogress_update(self, link=None, lsp=None, nbr_down_inprogress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type nbr_down_inprogress: YANGBool
    :param nbr_down_inprogress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, nbr_down_inprogress=nbr_down_inprogress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, nbr_down_inprogress=nbr_down_inprogress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_rro_enabled_update(self, link=None, lsp=None, rro_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type rro_enabled: YANGBool
    :param rro_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, rro_enabled=rro_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, rro_enabled=rro_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_rro_hop_update(self, link=None, lsp=None, rro_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type rro_hop: index
    :param rro_hop: Keyword argument tuple.

    :type index: long
    :param index: **rro_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp.rro_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_rro_hop_count_update(self, link=None, lsp=None, rro_hop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type rro_hop_count: long
    :param rro_hop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, rro_hop_count=rro_hop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, rro_hop_count=rro_hop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_rro_hop_ip_address_update(self, link=None, lsp=None, rro_hop=None, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type rro_hop: index
    :param rro_hop: Keyword argument tuple.

    :type index: long
    :param index: **rro_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp.rro_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_rro_hop_nbr_ip_address_update(self, link=None, lsp=None, rro_hop=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type rro_hop: index
    :param rro_hop: Keyword argument tuple.

    :type index: long
    :param index: **rro_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link.lsp.rro_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, lsp=lsp, rro_hop=rro_hop, nbr_ip_address=nbr_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, rro_hop=rro_hop, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_remote_ip_update(self, link=None, remote_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_ip: unicode
    :param remote_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link=link, remote_ip=remote_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, remote_ip=remote_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_update(self, lsp=None, cspf_enabled=None, rro_enabled=None, frr_enabled=None, nbr_down_enabled=None, link_count=None, nbr_down_inprogress=None, cspf_hop_count=None, rro_hop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type cspf_enabled: YANGBool
    :param cspf_enabled: Keyword argument.

    :type rro_enabled: YANGBool
    :param rro_enabled: Keyword argument.

    :type frr_enabled: YANGBool
    :param frr_enabled: Keyword argument.

    :type nbr_down_enabled: YANGBool
    :param nbr_down_enabled: Keyword argument.

    :type link_count: long
    :param link_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type nbr_down_inprogress: YANGBool
    :param nbr_down_inprogress: Keyword argument.

    :type cspf_hop_count: long
    :param cspf_hop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rro_hop_count: long
    :param rro_hop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, cspf_enabled=cspf_enabled, rro_enabled=rro_enabled, frr_enabled=frr_enabled, nbr_down_enabled=nbr_down_enabled, link_count=link_count, nbr_down_inprogress=nbr_down_inprogress, cspf_hop_count=cspf_hop_count, rro_hop_count=rro_hop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, cspf_enabled=cspf_enabled, rro_enabled=rro_enabled, frr_enabled=frr_enabled, nbr_down_enabled=nbr_down_enabled, link_count=link_count, nbr_down_inprogress=nbr_down_inprogress, cspf_hop_count=cspf_hop_count, rro_hop_count=rro_hop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_cspf_enabled_update(self, lsp=None, cspf_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type cspf_enabled: YANGBool
    :param cspf_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, cspf_enabled=cspf_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, cspf_enabled=cspf_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_cspf_hop_update(self, lsp=None, cspf_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type cspf_hop: index
    :param cspf_hop: Keyword argument tuple.

    :type index: long
    :param index: **cspf_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp.cspf_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_cspf_hop_count_update(self, lsp=None, cspf_hop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type cspf_hop_count: long
    :param cspf_hop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, cspf_hop_count=cspf_hop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, cspf_hop_count=cspf_hop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_cspf_hop_ip_address_update(self, lsp=None, cspf_hop=None, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type cspf_hop: index
    :param cspf_hop: Keyword argument tuple.

    :type index: long
    :param index: **cspf_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp.cspf_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_cspf_hop_nbr_ip_address_update(self, lsp=None, cspf_hop=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type cspf_hop: index
    :param cspf_hop: Keyword argument tuple.

    :type index: long
    :param index: **cspf_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp.cspf_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, cspf_hop=cspf_hop, nbr_ip_address=nbr_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, cspf_hop=cspf_hop, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_frr_enabled_update(self, lsp=None, frr_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type frr_enabled: YANGBool
    :param frr_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, frr_enabled=frr_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, frr_enabled=frr_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_link_update(self, lsp=None, link=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type link: index
    :param link: Keyword argument tuple.

    :type index: long
    :param index: **link** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, link=link, ip_address=ip_address, nbr_ip_address=nbr_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, link=link, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_link_count_update(self, lsp=None, link_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type link_count: long
    :param link_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, link_count=link_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, link_count=link_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_link_ip_address_update(self, lsp=None, link=None, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type link: index
    :param link: Keyword argument tuple.

    :type index: long
    :param index: **link** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, link=link, ip_address=ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, link=link, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_link_nbr_ip_address_update(self, lsp=None, link=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type link: index
    :param link: Keyword argument tuple.

    :type index: long
    :param index: **link** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, link=link, nbr_ip_address=nbr_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, link=link, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_nbr_down_enabled_update(self, lsp=None, nbr_down_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type nbr_down_enabled: YANGBool
    :param nbr_down_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, nbr_down_enabled=nbr_down_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, nbr_down_enabled=nbr_down_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_nbr_down_inprogress_update(self, lsp=None, nbr_down_inprogress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type nbr_down_inprogress: YANGBool
    :param nbr_down_inprogress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, nbr_down_inprogress=nbr_down_inprogress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, nbr_down_inprogress=nbr_down_inprogress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_rro_enabled_update(self, lsp=None, rro_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type rro_enabled: YANGBool
    :param rro_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, rro_enabled=rro_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, rro_enabled=rro_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_rro_hop_update(self, lsp=None, rro_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type rro_hop: index
    :param rro_hop: Keyword argument tuple.

    :type index: long
    :param index: **rro_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp.rro_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_rro_hop_count_update(self, lsp=None, rro_hop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type rro_hop_count: long
    :param rro_hop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, rro_hop_count=rro_hop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, rro_hop_count=rro_hop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_rro_hop_ip_address_update(self, lsp=None, rro_hop=None, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type rro_hop: index
    :param rro_hop: Keyword argument tuple.

    :type index: long
    :param index: **rro_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp.rro_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_rro_hop_nbr_ip_address_update(self, lsp=None, rro_hop=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type rro_hop: index
    :param rro_hop: Keyword argument tuple.

    :type index: long
    :param index: **rro_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync.lsp.rro_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, rro_hop=rro_hop, nbr_ip_address=nbr_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, rro_hop=rro_hop, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_ospf_nbr_down_enabled_update(self, ospf_nbr_down_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_nbr_down_enabled: YANGBool
    :param ospf_nbr_down_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.igp_sync', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_nbr_down_enabled=ospf_nbr_down_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_nbr_down_enabled=ospf_nbr_down_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_update(self, interfaces=None, interface_name=None, interface_type=None, admin_status=None, oper_status=None, is_tunnel_interface=None, hello_interval=None, hello_tolerance=None, hello_status=None, is_md5_auth_enabled=None, reliable_messages=None, bundle_messages=None, summary_refresh=None, active_outsegs=None, inactive_outsegs=None, bandwith_resv_outsegs=None, active_backup_outsegs=None, inactive_backup_outsegs=None, interface_preempts=None, interface_resv_soft_preempts=None, interface_flooding_up_threshold=None, interface_flooding_down_threshold=None, duplicate_preempts_dropped=None, bypass_interface=None, interface_tunnel_name=None, bypass_tunnel_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type interface_type: unicode
    :param interface_type: Keyword argument.

        * enumeration restriction: ::

            ['dcm-interface-type-unknown',
            'dcm-interface-type-loopback',
            'dcm-interface-type-ethernet',
            'dcm-interface-type-ve',
            'dcm-interface-type-fiber-channel',
            'dcm-interface-type-port-channel']

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type oper_status: YANGBool
    :param oper_status: Keyword argument.

    :type is_tunnel_interface: YANGBool
    :param is_tunnel_interface: Keyword argument.

    :type hello_interval: long
    :param hello_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_tolerance: long
    :param hello_tolerance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_status: unicode
    :param hello_status: Keyword argument.

        * enumeration restriction: ::

            ['disabled',
            'enabled-local',
            'disabled-global',
            'disabled-local',
            'enabled-global']

    :type is_md5_auth_enabled: YANGBool
    :param is_md5_auth_enabled: Keyword argument.

    :type reliable_messages: unicode
    :param reliable_messages: Keyword argument.

        * enumeration restriction: ::

            ['disabled',
            'enabled-local',
            'disabled-global',
            'disabled-local',
            'enabled-global']

    :type bundle_messages: unicode
    :param bundle_messages: Keyword argument.

        * enumeration restriction: ::

            ['disabled',
            'enabled-local',
            'disabled-global',
            'disabled-local',
            'enabled-global']

    :type summary_refresh: unicode
    :param summary_refresh: Keyword argument.

        * enumeration restriction: ::

            ['disabled',
            'enabled-local',
            'disabled-global',
            'disabled-local',
            'enabled-global']

    :type active_outsegs: long
    :param active_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type inactive_outsegs: long
    :param inactive_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bandwith_resv_outsegs: long
    :param bandwith_resv_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type active_backup_outsegs: long
    :param active_backup_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type inactive_backup_outsegs: long
    :param inactive_backup_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_preempts: long
    :param interface_preempts: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_resv_soft_preempts: long
    :param interface_resv_soft_preempts: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_flooding_up_threshold: unicode
    :param interface_flooding_up_threshold: Keyword argument.

        * enumeration restriction: ::

            ['local-config',
            'default-config',
            'global-config']

    :type interface_flooding_down_threshold: unicode
    :param interface_flooding_down_threshold: Keyword argument.

        * enumeration restriction: ::

            ['local-config',
            'default-config',
            'global-config']

    :type duplicate_preempts_dropped: long
    :param duplicate_preempts_dropped: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bypass_interface: YANGBool
    :param bypass_interface: Keyword argument.

    :type interface_tunnel_name: unicode
    :param interface_tunnel_name: Keyword argument.

    :type bypass_tunnel_interface_name: unicode
    :param bypass_tunnel_interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, interface_name=interface_name, interface_type=interface_type, admin_status=admin_status, oper_status=oper_status, is_tunnel_interface=is_tunnel_interface, hello_interval=hello_interval, hello_tolerance=hello_tolerance, hello_status=hello_status, is_md5_auth_enabled=is_md5_auth_enabled, reliable_messages=reliable_messages, bundle_messages=bundle_messages, summary_refresh=summary_refresh, active_outsegs=active_outsegs, inactive_outsegs=inactive_outsegs, bandwith_resv_outsegs=bandwith_resv_outsegs, active_backup_outsegs=active_backup_outsegs, inactive_backup_outsegs=inactive_backup_outsegs, interface_preempts=interface_preempts, interface_resv_soft_preempts=interface_resv_soft_preempts, interface_flooding_up_threshold=interface_flooding_up_threshold, interface_flooding_down_threshold=interface_flooding_down_threshold, duplicate_preempts_dropped=duplicate_preempts_dropped, bypass_interface=bypass_interface, interface_tunnel_name=interface_tunnel_name, bypass_tunnel_interface_name=bypass_tunnel_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, interface_name=interface_name, interface_type=interface_type, admin_status=admin_status, oper_status=oper_status, is_tunnel_interface=is_tunnel_interface, hello_interval=hello_interval, hello_tolerance=hello_tolerance, hello_status=hello_status, is_md5_auth_enabled=is_md5_auth_enabled, reliable_messages=reliable_messages, bundle_messages=bundle_messages, summary_refresh=summary_refresh, active_outsegs=active_outsegs, inactive_outsegs=inactive_outsegs, bandwith_resv_outsegs=bandwith_resv_outsegs, active_backup_outsegs=active_backup_outsegs, inactive_backup_outsegs=inactive_backup_outsegs, interface_preempts=interface_preempts, interface_resv_soft_preempts=interface_resv_soft_preempts, interface_flooding_up_threshold=interface_flooding_up_threshold, interface_flooding_down_threshold=interface_flooding_down_threshold, duplicate_preempts_dropped=duplicate_preempts_dropped, bypass_interface=bypass_interface, interface_tunnel_name=interface_tunnel_name, bypass_tunnel_interface_name=bypass_tunnel_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_active_backup_outsegs_update(self, interfaces=None, active_backup_outsegs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active_backup_outsegs: long
    :param active_backup_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, active_backup_outsegs=active_backup_outsegs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, active_backup_outsegs=active_backup_outsegs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_active_outsegs_update(self, interfaces=None, active_outsegs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active_outsegs: long
    :param active_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, active_outsegs=active_outsegs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, active_outsegs=active_outsegs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_admin_status_update(self, interfaces=None, admin_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, admin_status=admin_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, admin_status=admin_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_bandwith_resv_outsegs_update(self, interfaces=None, bandwith_resv_outsegs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bandwith_resv_outsegs: long
    :param bandwith_resv_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, bandwith_resv_outsegs=bandwith_resv_outsegs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, bandwith_resv_outsegs=bandwith_resv_outsegs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_bundle_messages_update(self, interfaces=None, bundle_messages=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bundle_messages: unicode
    :param bundle_messages: Keyword argument.

        * enumeration restriction: ::

            ['disabled',
            'enabled-local',
            'disabled-global',
            'disabled-local',
            'enabled-global']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, bundle_messages=bundle_messages)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, bundle_messages=bundle_messages)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_bypass_interface_update(self, interfaces=None, bypass_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bypass_interface: YANGBool
    :param bypass_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, bypass_interface=bypass_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, bypass_interface=bypass_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_bypass_tunnel_interface_name_update(self, interfaces=None, bypass_tunnel_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bypass_tunnel_interface_name: unicode
    :param bypass_tunnel_interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, bypass_tunnel_interface_name=bypass_tunnel_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, bypass_tunnel_interface_name=bypass_tunnel_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_duplicate_preempts_dropped_update(self, interfaces=None, duplicate_preempts_dropped=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type duplicate_preempts_dropped: long
    :param duplicate_preempts_dropped: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, duplicate_preempts_dropped=duplicate_preempts_dropped)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, duplicate_preempts_dropped=duplicate_preempts_dropped)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_error_counters_update(self, interfaces=None, recv_md5_auth_errors=None, pkt_with_msgid_drop=None, pkt_with_sref_drop=None, nackobject_errors=None, recv_md5_auth_errors_since_last_clear=None, pkt_with_msgid_drop_since_last_clear=None, pkt_with_sref_drop_since_last_clear=None, nackobject_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type recv_md5_auth_errors: long
    :param recv_md5_auth_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pkt_with_msgid_drop: long
    :param pkt_with_msgid_drop: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pkt_with_sref_drop: long
    :param pkt_with_sref_drop: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type nackobject_errors: long
    :param nackobject_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type recv_md5_auth_errors_since_last_clear: long
    :param recv_md5_auth_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pkt_with_msgid_drop_since_last_clear: long
    :param pkt_with_msgid_drop_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pkt_with_sref_drop_since_last_clear: long
    :param pkt_with_sref_drop_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type nackobject_errors_since_last_clear: long
    :param nackobject_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, recv_md5_auth_errors=recv_md5_auth_errors, pkt_with_msgid_drop=pkt_with_msgid_drop, pkt_with_sref_drop=pkt_with_sref_drop, nackobject_errors=nackobject_errors, recv_md5_auth_errors_since_last_clear=recv_md5_auth_errors_since_last_clear, pkt_with_msgid_drop_since_last_clear=pkt_with_msgid_drop_since_last_clear, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, recv_md5_auth_errors=recv_md5_auth_errors, pkt_with_msgid_drop=pkt_with_msgid_drop, pkt_with_sref_drop=pkt_with_sref_drop, nackobject_errors=nackobject_errors, recv_md5_auth_errors_since_last_clear=recv_md5_auth_errors_since_last_clear, pkt_with_msgid_drop_since_last_clear=pkt_with_msgid_drop_since_last_clear, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_error_counters_nackobject_errors_update(self, interfaces=None, nackobject_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type nackobject_errors: long
    :param nackobject_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, nackobject_errors=nackobject_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, nackobject_errors=nackobject_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_error_counters_nackobject_errors_since_last_clear_update(self, interfaces=None, nackobject_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type nackobject_errors_since_last_clear: long
    :param nackobject_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_error_counters_pkt_with_msgid_drop_update(self, interfaces=None, pkt_with_msgid_drop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pkt_with_msgid_drop: long
    :param pkt_with_msgid_drop: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pkt_with_msgid_drop=pkt_with_msgid_drop)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pkt_with_msgid_drop=pkt_with_msgid_drop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_error_counters_pkt_with_msgid_drop_since_last_clear_update(self, interfaces=None, pkt_with_msgid_drop_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pkt_with_msgid_drop_since_last_clear: long
    :param pkt_with_msgid_drop_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pkt_with_msgid_drop_since_last_clear=pkt_with_msgid_drop_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pkt_with_msgid_drop_since_last_clear=pkt_with_msgid_drop_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_error_counters_pkt_with_sref_drop_update(self, interfaces=None, pkt_with_sref_drop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pkt_with_sref_drop: long
    :param pkt_with_sref_drop: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pkt_with_sref_drop=pkt_with_sref_drop)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pkt_with_sref_drop=pkt_with_sref_drop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_error_counters_pkt_with_sref_drop_since_last_clear_update(self, interfaces=None, pkt_with_sref_drop_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pkt_with_sref_drop_since_last_clear: long
    :param pkt_with_sref_drop_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_error_counters_recv_md5_auth_errors_update(self, interfaces=None, recv_md5_auth_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type recv_md5_auth_errors: long
    :param recv_md5_auth_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, recv_md5_auth_errors=recv_md5_auth_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, recv_md5_auth_errors=recv_md5_auth_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_error_counters_recv_md5_auth_errors_since_last_clear_update(self, interfaces=None, recv_md5_auth_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type recv_md5_auth_errors_since_last_clear: long
    :param recv_md5_auth_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, recv_md5_auth_errors_since_last_clear=recv_md5_auth_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, recv_md5_auth_errors_since_last_clear=recv_md5_auth_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_hello_interval_update(self, interfaces=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_hello_status_update(self, interfaces=None, hello_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_status: unicode
    :param hello_status: Keyword argument.

        * enumeration restriction: ::

            ['disabled',
            'enabled-local',
            'disabled-global',
            'disabled-local',
            'enabled-global']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, hello_status=hello_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, hello_status=hello_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_hello_tolerance_update(self, interfaces=None, hello_tolerance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_tolerance: long
    :param hello_tolerance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, hello_tolerance=hello_tolerance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, hello_tolerance=hello_tolerance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_inactive_backup_outsegs_update(self, interfaces=None, inactive_backup_outsegs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type inactive_backup_outsegs: long
    :param inactive_backup_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, inactive_backup_outsegs=inactive_backup_outsegs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, inactive_backup_outsegs=inactive_backup_outsegs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_inactive_outsegs_update(self, interfaces=None, inactive_outsegs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type inactive_outsegs: long
    :param inactive_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, inactive_outsegs=inactive_outsegs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, inactive_outsegs=inactive_outsegs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_interface_flooding_down_threshold_update(self, interfaces=None, interface_flooding_down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_flooding_down_threshold: unicode
    :param interface_flooding_down_threshold: Keyword argument.

        * enumeration restriction: ::

            ['local-config',
            'default-config',
            'global-config']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, interface_flooding_down_threshold=interface_flooding_down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, interface_flooding_down_threshold=interface_flooding_down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_interface_flooding_up_threshold_update(self, interfaces=None, interface_flooding_up_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_flooding_up_threshold: unicode
    :param interface_flooding_up_threshold: Keyword argument.

        * enumeration restriction: ::

            ['local-config',
            'default-config',
            'global-config']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, interface_flooding_up_threshold=interface_flooding_up_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, interface_flooding_up_threshold=interface_flooding_up_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_interface_name_update(self, interfaces=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_interface_preempts_update(self, interfaces=None, interface_preempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_preempts: long
    :param interface_preempts: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, interface_preempts=interface_preempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, interface_preempts=interface_preempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_interface_resv_soft_preempts_update(self, interfaces=None, interface_resv_soft_preempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_resv_soft_preempts: long
    :param interface_resv_soft_preempts: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, interface_resv_soft_preempts=interface_resv_soft_preempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, interface_resv_soft_preempts=interface_resv_soft_preempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_interface_tunnel_name_update(self, interfaces=None, interface_tunnel_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_tunnel_name: unicode
    :param interface_tunnel_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, interface_tunnel_name=interface_tunnel_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, interface_tunnel_name=interface_tunnel_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_interface_type_update(self, interfaces=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Keyword argument.

        * enumeration restriction: ::

            ['dcm-interface-type-unknown',
            'dcm-interface-type-loopback',
            'dcm-interface-type-ethernet',
            'dcm-interface-type-ve',
            'dcm-interface-type-fiber-channel',
            'dcm-interface-type-port-channel']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_is_md5_auth_enabled_update(self, interfaces=None, is_md5_auth_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_md5_auth_enabled: YANGBool
    :param is_md5_auth_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, is_md5_auth_enabled=is_md5_auth_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, is_md5_auth_enabled=is_md5_auth_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_is_tunnel_interface_update(self, interfaces=None, is_tunnel_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_tunnel_interface: YANGBool
    :param is_tunnel_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, is_tunnel_interface=is_tunnel_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, is_tunnel_interface=is_tunnel_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_oper_status_update(self, interfaces=None, oper_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type oper_status: YANGBool
    :param oper_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, oper_status=oper_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, oper_status=oper_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_update(self, interfaces=None, path_tx=None, resv_tx=None, patherr_tx=None, resverr_tx=None, pathtear_tx=None, resvtear_tx=None, resvconf_tx=None, bundle_tx=None, ack_tx=None, sumrefresh_tx=None, hello_tx=None, path_rx=None, resv_rx=None, patherr_rx=None, resverr_rx=None, pathtear_rx=None, resvtear_rx=None, resvconf_rx=None, bundle_rx=None, ack_rx=None, sumrefresh_rx=None, hello_rx=None, path_tx_since_last_clear=None, resv_tx_since_last_clear=None, patherr_tx_since_last_clear=None, resverr_tx_since_last_clear=None, pathtear_tx_since_last_clear=None, resvtear_tx_since_last_clear=None, resvconf_tx_since_last_clear=None, bundle_tx_since_last_clear=None, ack_tx_since_last_clear=None, sumrefresh_tx_since_last_clear=None, hello_tx_since_last_clear=None, path_rx_since_last_clear=None, resv_rx_since_last_clear=None, patherr_rx_since_last_clear=None, resverr_rx_since_last_clear=None, pathtear_rx_since_last_clear=None, resvtear_rx_since_last_clear=None, resvconf_rx_since_last_clear=None, bundle_rx_since_last_clear=None, ack_rx_since_last_clear=None, sumrefresh_rx_since_last_clear=None, hello_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_tx: long
    :param path_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resv_tx: long
    :param resv_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type patherr_tx: long
    :param patherr_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resverr_tx: long
    :param resverr_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pathtear_tx: long
    :param pathtear_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvtear_tx: long
    :param resvtear_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvconf_tx: long
    :param resvconf_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type bundle_tx: long
    :param bundle_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type ack_tx: long
    :param ack_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type sumrefresh_tx: long
    :param sumrefresh_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type hello_tx: long
    :param hello_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type path_rx: long
    :param path_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resv_rx: long
    :param resv_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type patherr_rx: long
    :param patherr_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resverr_rx: long
    :param resverr_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pathtear_rx: long
    :param pathtear_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvtear_rx: long
    :param resvtear_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvconf_rx: long
    :param resvconf_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type bundle_rx: long
    :param bundle_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type ack_rx: long
    :param ack_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type sumrefresh_rx: long
    :param sumrefresh_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type hello_rx: long
    :param hello_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type path_tx_since_last_clear: long
    :param path_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resv_tx_since_last_clear: long
    :param resv_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type patherr_tx_since_last_clear: long
    :param patherr_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resverr_tx_since_last_clear: long
    :param resverr_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pathtear_tx_since_last_clear: long
    :param pathtear_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvtear_tx_since_last_clear: long
    :param resvtear_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvconf_tx_since_last_clear: long
    :param resvconf_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type bundle_tx_since_last_clear: long
    :param bundle_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type ack_tx_since_last_clear: long
    :param ack_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type sumrefresh_tx_since_last_clear: long
    :param sumrefresh_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type hello_tx_since_last_clear: long
    :param hello_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type path_rx_since_last_clear: long
    :param path_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resv_rx_since_last_clear: long
    :param resv_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type patherr_rx_since_last_clear: long
    :param patherr_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resverr_rx_since_last_clear: long
    :param resverr_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pathtear_rx_since_last_clear: long
    :param pathtear_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvtear_rx_since_last_clear: long
    :param resvtear_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvconf_rx_since_last_clear: long
    :param resvconf_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type bundle_rx_since_last_clear: long
    :param bundle_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type ack_rx_since_last_clear: long
    :param ack_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type sumrefresh_rx_since_last_clear: long
    :param sumrefresh_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type hello_rx_since_last_clear: long
    :param hello_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, path_tx=path_tx, resv_tx=resv_tx, patherr_tx=patherr_tx, resverr_tx=resverr_tx, pathtear_tx=pathtear_tx, resvtear_tx=resvtear_tx, resvconf_tx=resvconf_tx, bundle_tx=bundle_tx, ack_tx=ack_tx, sumrefresh_tx=sumrefresh_tx, hello_tx=hello_tx, path_rx=path_rx, resv_rx=resv_rx, patherr_rx=patherr_rx, resverr_rx=resverr_rx, pathtear_rx=pathtear_rx, resvtear_rx=resvtear_rx, resvconf_rx=resvconf_rx, bundle_rx=bundle_rx, ack_rx=ack_rx, sumrefresh_rx=sumrefresh_rx, hello_rx=hello_rx, path_tx_since_last_clear=path_tx_since_last_clear, resv_tx_since_last_clear=resv_tx_since_last_clear, patherr_tx_since_last_clear=patherr_tx_since_last_clear, resverr_tx_since_last_clear=resverr_tx_since_last_clear, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear, bundle_tx_since_last_clear=bundle_tx_since_last_clear, ack_tx_since_last_clear=ack_tx_since_last_clear, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear, hello_tx_since_last_clear=hello_tx_since_last_clear, path_rx_since_last_clear=path_rx_since_last_clear, resv_rx_since_last_clear=resv_rx_since_last_clear, patherr_rx_since_last_clear=patherr_rx_since_last_clear, resverr_rx_since_last_clear=resverr_rx_since_last_clear, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear, bundle_rx_since_last_clear=bundle_rx_since_last_clear, ack_rx_since_last_clear=ack_rx_since_last_clear, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear, hello_rx_since_last_clear=hello_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, path_tx=path_tx, resv_tx=resv_tx, patherr_tx=patherr_tx, resverr_tx=resverr_tx, pathtear_tx=pathtear_tx, resvtear_tx=resvtear_tx, resvconf_tx=resvconf_tx, bundle_tx=bundle_tx, ack_tx=ack_tx, sumrefresh_tx=sumrefresh_tx, hello_tx=hello_tx, path_rx=path_rx, resv_rx=resv_rx, patherr_rx=patherr_rx, resverr_rx=resverr_rx, pathtear_rx=pathtear_rx, resvtear_rx=resvtear_rx, resvconf_rx=resvconf_rx, bundle_rx=bundle_rx, ack_rx=ack_rx, sumrefresh_rx=sumrefresh_rx, hello_rx=hello_rx, path_tx_since_last_clear=path_tx_since_last_clear, resv_tx_since_last_clear=resv_tx_since_last_clear, patherr_tx_since_last_clear=patherr_tx_since_last_clear, resverr_tx_since_last_clear=resverr_tx_since_last_clear, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear, bundle_tx_since_last_clear=bundle_tx_since_last_clear, ack_tx_since_last_clear=ack_tx_since_last_clear, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear, hello_tx_since_last_clear=hello_tx_since_last_clear, path_rx_since_last_clear=path_rx_since_last_clear, resv_rx_since_last_clear=resv_rx_since_last_clear, patherr_rx_since_last_clear=patherr_rx_since_last_clear, resverr_rx_since_last_clear=resverr_rx_since_last_clear, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear, bundle_rx_since_last_clear=bundle_rx_since_last_clear, ack_rx_since_last_clear=ack_rx_since_last_clear, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear, hello_rx_since_last_clear=hello_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_ack_rx_update(self, interfaces=None, ack_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ack_rx: long
    :param ack_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, ack_rx=ack_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, ack_rx=ack_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_ack_rx_since_last_clear_update(self, interfaces=None, ack_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ack_rx_since_last_clear: long
    :param ack_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, ack_rx_since_last_clear=ack_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, ack_rx_since_last_clear=ack_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_ack_tx_update(self, interfaces=None, ack_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ack_tx: long
    :param ack_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, ack_tx=ack_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, ack_tx=ack_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_ack_tx_since_last_clear_update(self, interfaces=None, ack_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ack_tx_since_last_clear: long
    :param ack_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, ack_tx_since_last_clear=ack_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, ack_tx_since_last_clear=ack_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_bundle_rx_update(self, interfaces=None, bundle_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bundle_rx: long
    :param bundle_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, bundle_rx=bundle_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, bundle_rx=bundle_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_bundle_rx_since_last_clear_update(self, interfaces=None, bundle_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bundle_rx_since_last_clear: long
    :param bundle_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, bundle_rx_since_last_clear=bundle_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, bundle_rx_since_last_clear=bundle_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_bundle_tx_update(self, interfaces=None, bundle_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bundle_tx: long
    :param bundle_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, bundle_tx=bundle_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, bundle_tx=bundle_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_bundle_tx_since_last_clear_update(self, interfaces=None, bundle_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bundle_tx_since_last_clear: long
    :param bundle_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, bundle_tx_since_last_clear=bundle_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, bundle_tx_since_last_clear=bundle_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_hello_rx_update(self, interfaces=None, hello_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_rx: long
    :param hello_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, hello_rx=hello_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, hello_rx=hello_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_hello_rx_since_last_clear_update(self, interfaces=None, hello_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_rx_since_last_clear: long
    :param hello_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, hello_rx_since_last_clear=hello_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, hello_rx_since_last_clear=hello_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_hello_tx_update(self, interfaces=None, hello_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_tx: long
    :param hello_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, hello_tx=hello_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, hello_tx=hello_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_hello_tx_since_last_clear_update(self, interfaces=None, hello_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_tx_since_last_clear: long
    :param hello_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, hello_tx_since_last_clear=hello_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, hello_tx_since_last_clear=hello_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_path_rx_update(self, interfaces=None, path_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_rx: long
    :param path_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, path_rx=path_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, path_rx=path_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_path_rx_since_last_clear_update(self, interfaces=None, path_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_rx_since_last_clear: long
    :param path_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, path_rx_since_last_clear=path_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, path_rx_since_last_clear=path_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_path_tx_update(self, interfaces=None, path_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_tx: long
    :param path_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, path_tx=path_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, path_tx=path_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_path_tx_since_last_clear_update(self, interfaces=None, path_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_tx_since_last_clear: long
    :param path_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, path_tx_since_last_clear=path_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, path_tx_since_last_clear=path_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_patherr_rx_update(self, interfaces=None, patherr_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type patherr_rx: long
    :param patherr_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, patherr_rx=patherr_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, patherr_rx=patherr_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_patherr_rx_since_last_clear_update(self, interfaces=None, patherr_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type patherr_rx_since_last_clear: long
    :param patherr_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, patherr_rx_since_last_clear=patherr_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, patherr_rx_since_last_clear=patherr_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_patherr_tx_update(self, interfaces=None, patherr_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type patherr_tx: long
    :param patherr_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, patherr_tx=patherr_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, patherr_tx=patherr_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_patherr_tx_since_last_clear_update(self, interfaces=None, patherr_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type patherr_tx_since_last_clear: long
    :param patherr_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, patherr_tx_since_last_clear=patherr_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, patherr_tx_since_last_clear=patherr_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_pathtear_rx_update(self, interfaces=None, pathtear_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pathtear_rx: long
    :param pathtear_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pathtear_rx=pathtear_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pathtear_rx=pathtear_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_pathtear_rx_since_last_clear_update(self, interfaces=None, pathtear_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pathtear_rx_since_last_clear: long
    :param pathtear_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_pathtear_tx_update(self, interfaces=None, pathtear_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pathtear_tx: long
    :param pathtear_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pathtear_tx=pathtear_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pathtear_tx=pathtear_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_pathtear_tx_since_last_clear_update(self, interfaces=None, pathtear_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pathtear_tx_since_last_clear: long
    :param pathtear_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resv_rx_update(self, interfaces=None, resv_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resv_rx: long
    :param resv_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resv_rx=resv_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resv_rx=resv_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resv_rx_since_last_clear_update(self, interfaces=None, resv_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resv_rx_since_last_clear: long
    :param resv_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resv_rx_since_last_clear=resv_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resv_rx_since_last_clear=resv_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resv_tx_update(self, interfaces=None, resv_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resv_tx: long
    :param resv_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resv_tx=resv_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resv_tx=resv_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resv_tx_since_last_clear_update(self, interfaces=None, resv_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resv_tx_since_last_clear: long
    :param resv_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resv_tx_since_last_clear=resv_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resv_tx_since_last_clear=resv_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resvconf_rx_update(self, interfaces=None, resvconf_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resvconf_rx: long
    :param resvconf_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resvconf_rx=resvconf_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resvconf_rx=resvconf_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resvconf_rx_since_last_clear_update(self, interfaces=None, resvconf_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resvconf_rx_since_last_clear: long
    :param resvconf_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resvconf_tx_update(self, interfaces=None, resvconf_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resvconf_tx: long
    :param resvconf_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resvconf_tx=resvconf_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resvconf_tx=resvconf_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resvconf_tx_since_last_clear_update(self, interfaces=None, resvconf_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resvconf_tx_since_last_clear: long
    :param resvconf_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resverr_rx_update(self, interfaces=None, resverr_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resverr_rx: long
    :param resverr_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resverr_rx=resverr_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resverr_rx=resverr_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resverr_rx_since_last_clear_update(self, interfaces=None, resverr_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resverr_rx_since_last_clear: long
    :param resverr_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resverr_rx_since_last_clear=resverr_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resverr_rx_since_last_clear=resverr_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resverr_tx_update(self, interfaces=None, resverr_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resverr_tx: long
    :param resverr_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resverr_tx=resverr_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resverr_tx=resverr_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resverr_tx_since_last_clear_update(self, interfaces=None, resverr_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resverr_tx_since_last_clear: long
    :param resverr_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resverr_tx_since_last_clear=resverr_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resverr_tx_since_last_clear=resverr_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resvtear_rx_update(self, interfaces=None, resvtear_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resvtear_rx: long
    :param resvtear_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resvtear_rx=resvtear_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resvtear_rx=resvtear_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resvtear_rx_since_last_clear_update(self, interfaces=None, resvtear_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resvtear_rx_since_last_clear: long
    :param resvtear_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resvtear_tx_update(self, interfaces=None, resvtear_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resvtear_tx: long
    :param resvtear_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resvtear_tx=resvtear_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resvtear_tx=resvtear_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_resvtear_tx_since_last_clear_update(self, interfaces=None, resvtear_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resvtear_tx_since_last_clear: long
    :param resvtear_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_sumrefresh_rx_update(self, interfaces=None, sumrefresh_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sumrefresh_rx: long
    :param sumrefresh_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, sumrefresh_rx=sumrefresh_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, sumrefresh_rx=sumrefresh_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_sumrefresh_rx_since_last_clear_update(self, interfaces=None, sumrefresh_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sumrefresh_rx_since_last_clear: long
    :param sumrefresh_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_sumrefresh_tx_update(self, interfaces=None, sumrefresh_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sumrefresh_tx: long
    :param sumrefresh_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, sumrefresh_tx=sumrefresh_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, sumrefresh_tx=sumrefresh_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_sumrefresh_tx_since_last_clear_update(self, interfaces=None, sumrefresh_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sumrefresh_tx_since_last_clear: long
    :param sumrefresh_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', u'interfaces'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}, {'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_reliable_messages_update(self, interfaces=None, reliable_messages=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type reliable_messages: unicode
    :param reliable_messages: Keyword argument.

        * enumeration restriction: ::

            ['disabled',
            'enabled-local',
            'disabled-global',
            'disabled-local',
            'enabled-global']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, reliable_messages=reliable_messages)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, reliable_messages=reliable_messages)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_summary_refresh_update(self, interfaces=None, summary_refresh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type summary_refresh: unicode
    :param summary_refresh: Keyword argument.

        * enumeration restriction: ::

            ['disabled',
            'enabled-local',
            'disabled-global',
            'disabled-local',
            'enabled-global']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.interfaces', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, summary_refresh=summary_refresh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, summary_refresh=summary_refresh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_update(self, neighbors=None, neighbor_interface=None, neighbor_status=None, neighbor_last_status_change=None, rsvp_hello_tx=None, rsvp_hello_rx=None, refresh_reduction_support=None, msg_id_support=None, active_lsps=None, rsvp_hello_interval=None, rsvp_hello_tolerance=None, neighbor_remote_instance=None, neighbor_local_instance=None, last_hello_rx=None, next_hello_req_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_interface: unicode
    :param neighbor_interface: Keyword argument.

    :type neighbor_status: unicode
    :param neighbor_status: Keyword argument.

    :type neighbor_last_status_change: unicode
    :param neighbor_last_status_change: Keyword argument.

    :type rsvp_hello_tx: long
    :param rsvp_hello_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rsvp_hello_rx: long
    :param rsvp_hello_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type refresh_reduction_support: YANGBool
    :param refresh_reduction_support: Keyword argument.

    :type msg_id_support: YANGBool
    :param msg_id_support: Keyword argument.

    :type active_lsps: long
    :param active_lsps: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rsvp_hello_interval: long
    :param rsvp_hello_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rsvp_hello_tolerance: long
    :param rsvp_hello_tolerance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_remote_instance: long
    :param neighbor_remote_instance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_local_instance: long
    :param neighbor_local_instance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type last_hello_rx: long
    :param last_hello_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type next_hello_req_tx: long
    :param next_hello_req_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, neighbor_interface=neighbor_interface, neighbor_status=neighbor_status, neighbor_last_status_change=neighbor_last_status_change, rsvp_hello_tx=rsvp_hello_tx, rsvp_hello_rx=rsvp_hello_rx, refresh_reduction_support=refresh_reduction_support, msg_id_support=msg_id_support, active_lsps=active_lsps, rsvp_hello_interval=rsvp_hello_interval, rsvp_hello_tolerance=rsvp_hello_tolerance, neighbor_remote_instance=neighbor_remote_instance, neighbor_local_instance=neighbor_local_instance, last_hello_rx=last_hello_rx, next_hello_req_tx=next_hello_req_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, neighbor_interface=neighbor_interface, neighbor_status=neighbor_status, neighbor_last_status_change=neighbor_last_status_change, rsvp_hello_tx=rsvp_hello_tx, rsvp_hello_rx=rsvp_hello_rx, refresh_reduction_support=refresh_reduction_support, msg_id_support=msg_id_support, active_lsps=active_lsps, rsvp_hello_interval=rsvp_hello_interval, rsvp_hello_tolerance=rsvp_hello_tolerance, neighbor_remote_instance=neighbor_remote_instance, neighbor_local_instance=neighbor_local_instance, last_hello_rx=last_hello_rx, next_hello_req_tx=next_hello_req_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_active_lsps_update(self, neighbors=None, active_lsps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type active_lsps: long
    :param active_lsps: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, active_lsps=active_lsps)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, active_lsps=active_lsps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_last_hello_rx_update(self, neighbors=None, last_hello_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type last_hello_rx: long
    :param last_hello_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, last_hello_rx=last_hello_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, last_hello_rx=last_hello_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_msg_id_support_update(self, neighbors=None, msg_id_support=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type msg_id_support: YANGBool
    :param msg_id_support: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, msg_id_support=msg_id_support)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, msg_id_support=msg_id_support)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_neighbor_interface_update(self, neighbors=None, neighbor_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_interface: unicode
    :param neighbor_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, neighbor_interface=neighbor_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, neighbor_interface=neighbor_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_neighbor_last_status_change_update(self, neighbors=None, neighbor_last_status_change=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_last_status_change: unicode
    :param neighbor_last_status_change: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, neighbor_last_status_change=neighbor_last_status_change)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, neighbor_last_status_change=neighbor_last_status_change)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_neighbor_local_instance_update(self, neighbors=None, neighbor_local_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_local_instance: long
    :param neighbor_local_instance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, neighbor_local_instance=neighbor_local_instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, neighbor_local_instance=neighbor_local_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_neighbor_remote_instance_update(self, neighbors=None, neighbor_remote_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_remote_instance: long
    :param neighbor_remote_instance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, neighbor_remote_instance=neighbor_remote_instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, neighbor_remote_instance=neighbor_remote_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_neighbor_status_update(self, neighbors=None, neighbor_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_status: unicode
    :param neighbor_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, neighbor_status=neighbor_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, neighbor_status=neighbor_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_next_hello_req_tx_update(self, neighbors=None, next_hello_req_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hello_req_tx: long
    :param next_hello_req_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, next_hello_req_tx=next_hello_req_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, next_hello_req_tx=next_hello_req_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_refresh_reduction_support_update(self, neighbors=None, refresh_reduction_support=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type refresh_reduction_support: YANGBool
    :param refresh_reduction_support: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, refresh_reduction_support=refresh_reduction_support)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, refresh_reduction_support=refresh_reduction_support)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_rsvp_hello_interval_update(self, neighbors=None, rsvp_hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rsvp_hello_interval: long
    :param rsvp_hello_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, rsvp_hello_interval=rsvp_hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, rsvp_hello_interval=rsvp_hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_rsvp_hello_rx_update(self, neighbors=None, rsvp_hello_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rsvp_hello_rx: long
    :param rsvp_hello_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, rsvp_hello_rx=rsvp_hello_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, rsvp_hello_rx=rsvp_hello_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_rsvp_hello_tolerance_update(self, neighbors=None, rsvp_hello_tolerance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rsvp_hello_tolerance: long
    :param rsvp_hello_tolerance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, rsvp_hello_tolerance=rsvp_hello_tolerance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, rsvp_hello_tolerance=rsvp_hello_tolerance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_rsvp_hello_tx_update(self, neighbors=None, rsvp_hello_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rsvp_hello_tx: long
    :param rsvp_hello_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.neighbors', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbors=neighbors, rsvp_hello_tx=rsvp_hello_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, rsvp_hello_tx=rsvp_hello_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_protocol_status_update(self, protocol_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol_status=protocol_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_status=protocol_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_refresh_interval_update(self, refresh_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type refresh_interval: int
    :param refresh_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, refresh_interval=refresh_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, refresh_interval=refresh_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_refresh_multiple_update(self, refresh_multiple=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type refresh_multiple: int
    :param refresh_multiple: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, refresh_multiple=refresh_multiple)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, refresh_multiple=refresh_multiple)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_update(self, sessions=None, session_operational_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Argument(s)**:

    :type session_operational_status: YANGBool
    :param session_operational_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'sessions', 'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, session_operational_status=session_operational_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, session_operational_status=session_operational_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_update(self, sessions=None, psbs=None, session_name=None, session_type=None, path_operational_status=None, session_in_label=None, session_out_label=None, session_out_interface=None, lsp_id=None, flap_lock=None, path_refresh=None, path_refresh_ttd=None, resv_refresh=None, resv_refresh_ttd=None, tspec_peak=None, tspec_rate=None, tspec_size=None, tspec_minimum=None, tspec_m=None, psb_setup_priority=None, psb_hold_priority=None, session_attribute_all_flags=None, sa_flag_label_recording=None, sa_flag_soft_preemption_desired=None, sa_flag_se_style=None, sa_flag_local_protect=None, sa_flag_bandwidth_protect=None, sa_flag_session_protection_type=None, session_soft_preemption_wait_timer=None, session_preemption_wait_timer=None, frr_detour=None, frr_facility=None, frr_unknown_backup_mode_desired=None, frr_unknown_flags=None, frr_psb_setup_priority=None, frr_psb_hold_priority=None, frr_bandwidth=None, frr_hoplimit=None, frr_facility_method=None, frr_nh_node_protection_available=None, frr_nh_node_protection_in_use=None, frr_nh_link_protection_available=None, frr_nh_link_protection_in_use=None, frr_bandwidth_protection_available=None, frr_lsp_bringup_abandoned=None, frr_updown_transitions=None, frr_retries=None, frr_session_protection_available=None, frr_next_retry=None, frr_cost=None, frr_cspf_group_computation_mode=None, frr_cspf_group_computation_mode_use_bypass_liberal=None, is_downstream_backup_psb=None, is_backup_psb=None, is_upstream_psb=None, is_ps_frr_detour_sent=None, is_ps_frr_backup_sent=None, is_ps_frr_detour_received=None, is_ps_frr_backup_received=None, path_received_from_ip=None, path_received_interface=None, path_received_auth_on=None, path_received_message_id=None, path_downstream_only=None, path_sent_to_ip=None, path_sent_interface=None, path_sent_auth_on=None, path_sent_message_id=None, resv_received_from_ip=None, resv_received_interface=None, resv_received_auth_on=None, resv_received_message_id=None, session_riding_bypass_name=None, session_style=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_name: unicode
    :param session_name: Keyword argument.

    :type session_type: unicode
    :param session_type: Keyword argument.

        * enumeration restriction: ::

            ['egress-detour',
            'merged-detour',
            'transit-detour',
            'bypass-ingress',
            'session-type-none',
            'merged-backup',
            'ingress-detour',
            'egress-backup',
            'ingress-backup',
            'repaired-session']

    :type path_operational_status: YANGBool
    :param path_operational_status: Keyword argument.

    :type session_in_label: long
    :param session_in_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type session_out_label: long
    :param session_out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type session_out_interface: unicode
    :param session_out_interface: Keyword argument.

    :type lsp_id: long
    :param lsp_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flap_lock: long
    :param flap_lock: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type path_refresh: long
    :param path_refresh: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type path_refresh_ttd: long
    :param path_refresh_ttd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type resv_refresh: long
    :param resv_refresh: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type resv_refresh_ttd: long
    :param resv_refresh_ttd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tspec_peak: long
    :param tspec_peak: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tspec_rate: long
    :param tspec_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tspec_size: long
    :param tspec_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tspec_minimum: long
    :param tspec_minimum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tspec_m: long
    :param tspec_m: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type psb_setup_priority: int
    :param psb_setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type psb_hold_priority: int
    :param psb_hold_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type session_attribute_all_flags: int
    :param session_attribute_all_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type sa_flag_label_recording: YANGBool
    :param sa_flag_label_recording: Keyword argument.

    :type sa_flag_soft_preemption_desired: YANGBool
    :param sa_flag_soft_preemption_desired: Keyword argument.

    :type sa_flag_se_style: YANGBool
    :param sa_flag_se_style: Keyword argument.

    :type sa_flag_local_protect: YANGBool
    :param sa_flag_local_protect: Keyword argument.

    :type sa_flag_bandwidth_protect: YANGBool
    :param sa_flag_bandwidth_protect: Keyword argument.

    :type sa_flag_session_protection_type: unicode
    :param sa_flag_session_protection_type: Keyword argument.

        * enumeration restriction: ::

            ['session-protection-type-link',
            'session-protection-type-node']

    :type session_soft_preemption_wait_timer: long
    :param session_soft_preemption_wait_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type session_preemption_wait_timer: long
    :param session_preemption_wait_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type frr_detour: YANGBool
    :param frr_detour: Keyword argument.

    :type frr_facility: YANGBool
    :param frr_facility: Keyword argument.

    :type frr_unknown_backup_mode_desired: YANGBool
    :param frr_unknown_backup_mode_desired: Keyword argument.

    :type frr_unknown_flags: int
    :param frr_unknown_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type frr_psb_setup_priority: int
    :param frr_psb_setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type frr_psb_hold_priority: int
    :param frr_psb_hold_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type frr_bandwidth: long
    :param frr_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type frr_hoplimit: int
    :param frr_hoplimit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type frr_facility_method: unicode
    :param frr_facility_method: Keyword argument.

        * enumeration restriction: ::

            ['frr-method-detour-lsps',
            'frr-method-backup-lsps']

    :type frr_nh_node_protection_available: YANGBool
    :param frr_nh_node_protection_available: Keyword argument.

    :type frr_nh_node_protection_in_use: YANGBool
    :param frr_nh_node_protection_in_use: Keyword argument.

    :type frr_nh_link_protection_available: YANGBool
    :param frr_nh_link_protection_available: Keyword argument.

    :type frr_nh_link_protection_in_use: YANGBool
    :param frr_nh_link_protection_in_use: Keyword argument.

    :type frr_bandwidth_protection_available: YANGBool
    :param frr_bandwidth_protection_available: Keyword argument.

    :type frr_lsp_bringup_abandoned: YANGBool
    :param frr_lsp_bringup_abandoned: Keyword argument.

    :type frr_updown_transitions: long
    :param frr_updown_transitions: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type frr_retries: long
    :param frr_retries: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type frr_session_protection_available: YANGBool
    :param frr_session_protection_available: Keyword argument.

    :type frr_next_retry: long
    :param frr_next_retry: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type frr_cost: long
    :param frr_cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type frr_cspf_group_computation_mode: unicode
    :param frr_cspf_group_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['frr-cspf-group-comp-mode-high-penalty',
            'frr-cspf-group-comp-mode-disabled',
            'frr-cspf-group-comp-mode-exclude-groups',
            'frr-cspf-group-comp-mode-add-penalty']

    :type frr_cspf_group_computation_mode_use_bypass_liberal: YANGBool
    :param frr_cspf_group_computation_mode_use_bypass_liberal: Keyword argument.

    :type is_downstream_backup_psb: YANGBool
    :param is_downstream_backup_psb: Keyword argument.

    :type is_backup_psb: YANGBool
    :param is_backup_psb: Keyword argument.

    :type is_upstream_psb: YANGBool
    :param is_upstream_psb: Keyword argument.

    :type is_ps_frr_detour_sent: YANGBool
    :param is_ps_frr_detour_sent: Keyword argument.

    :type is_ps_frr_backup_sent: YANGBool
    :param is_ps_frr_backup_sent: Keyword argument.

    :type is_ps_frr_detour_received: YANGBool
    :param is_ps_frr_detour_received: Keyword argument.

    :type is_ps_frr_backup_received: YANGBool
    :param is_ps_frr_backup_received: Keyword argument.

    :type path_received_from_ip: unicode
    :param path_received_from_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type path_received_interface: unicode
    :param path_received_interface: Keyword argument.

    :type path_received_auth_on: YANGBool
    :param path_received_auth_on: Keyword argument.

    :type path_received_message_id: long
    :param path_received_message_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type path_downstream_only: YANGBool
    :param path_downstream_only: Keyword argument.

    :type path_sent_to_ip: unicode
    :param path_sent_to_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type path_sent_interface: unicode
    :param path_sent_interface: Keyword argument.

    :type path_sent_auth_on: YANGBool
    :param path_sent_auth_on: Keyword argument.

    :type path_sent_message_id: long
    :param path_sent_message_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type resv_received_from_ip: unicode
    :param resv_received_from_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type resv_received_interface: unicode
    :param resv_received_interface: Keyword argument.

    :type resv_received_auth_on: YANGBool
    :param resv_received_auth_on: Keyword argument.

    :type resv_received_message_id: long
    :param resv_received_message_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type session_riding_bypass_name: unicode
    :param session_riding_bypass_name: Keyword argument.

    :type session_style: unicode
    :param session_style: Keyword argument.

        * enumeration restriction: ::

            ['reservation-style-shared-explicit',
            'reservation-style-wildcard-filter',
            'reservation-style-unknown',
            'reservation-style-fixed-filter']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs": {"is_ps_frr_backup_sent": "is_ps_frr_backup_sent", "psb_setup_priority": "psb_setup_priority", "frr_facility": "frr_facility", "frr_bandwidth": "frr_bandwidth", "is_backup_psb": "is_backup_psb", "frr_retries": "frr_retries", "path_sent_interface": "path_sent_interface", "frr_cost": "frr_cost", "session_riding_bypass_name": "session_riding_bypass_name", "path_received_auth_on": "path_received_auth_on", "resv_received_auth_on": "resv_received_auth_on", "sa_flag_label_recording": "sa_flag_label_recording", "path_operational_status": "path_operational_status", "session_out_label": "session_out_label", "is_ps_frr_detour_received": "is_ps_frr_detour_received", "path_sent_message_id": "path_sent_message_id", "is_ps_frr_backup_received": "is_ps_frr_backup_received", "sa_flag_local_protect": "sa_flag_local_protect", "path_received_message_id": "path_received_message_id", "frr_unknown_flags": "frr_unknown_flags", "psb_hold_priority": "psb_hold_priority", "session_out_interface": "session_out_interface", "frr_nh_link_protection_available": "frr_nh_link_protection_available", "is_ps_frr_detour_sent": "is_ps_frr_detour_sent", "sa_flag_se_style": "sa_flag_se_style", "path_refresh": "path_refresh", "frr_nh_node_protection_available": "frr_nh_node_protection_available", "session_soft_preemption_wait_timer": "session_soft_preemption_wait_timer", "sa_flag_soft_preemption_desired": "sa_flag_soft_preemption_desired", "frr_next_retry": "frr_next_retry", "path_received_from_ip": "path_received_from_ip", "path_downstream_only": "path_downstream_only", "resv_received_from_ip": "resv_received_from_ip", "frr_bandwidth_protection_available": "frr_bandwidth_protection_available", "lsp_id": "lsp_id", "resv_received_message_id": "resv_received_message_id", "tspec_peak": "tspec_peak", "path_received_interface": "path_received_interface", "resv_received_interface": "resv_received_interface", "flap_lock": "flap_lock", "is_upstream_psb": "is_upstream_psb", "sa_flag_bandwidth_protect": "sa_flag_bandwidth_protect", "session_type": "session_type", "tspec_m": "tspec_m", "frr_psb_setup_priority": "frr_psb_setup_priority", "frr_facility_method": "frr_facility_method", "frr_unknown_backup_mode_desired": "frr_unknown_backup_mode_desired", "frr_psb_hold_priority": "frr_psb_hold_priority", "session_style": "session_style", "frr_detour": "frr_detour", "is_downstream_backup_psb": "is_downstream_backup_psb", "path_sent_to_ip": "path_sent_to_ip", "path_refresh_ttd": "path_refresh_ttd", "frr_hoplimit": "frr_hoplimit", "session_name": "session_name", "resv_refresh": "resv_refresh", "frr_updown_transitions": "frr_updown_transitions", "resv_refresh_ttd": "resv_refresh_ttd", "path_index": "path_index", "frr_cspf_group_computation_mode_use_bypass_liberal": "frr_cspf_group_computation_mode_use_bypass_liberal", "frr_cspf_group_computation_mode": "frr_cspf_group_computation_mode", "path_sent_auth_on": "path_sent_auth_on", "session_in_label": "session_in_label", "sa_flag_session_protection_type": "sa_flag_session_protection_type", "tspec_size": "tspec_size", "frr_nh_node_protection_in_use": "frr_nh_node_protection_in_use", "frr_lsp_bringup_abandoned": "frr_lsp_bringup_abandoned", "tspec_minimum": "tspec_minimum", "session_attribute_all_flags": "session_attribute_all_flags", "frr_session_protection_available": "frr_session_protection_available", "tspec_rate": "tspec_rate", "session_preemption_wait_timer": "session_preemption_wait_timer", "frr_nh_link_protection_in_use": "frr_nh_link_protection_in_use"}, "pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs": {"is_ps_frr_backup_sent": "is_ps_frr_backup_sent", "psb_setup_priority": "psb_setup_priority", "frr_facility": "frr_facility", "frr_bandwidth": "frr_bandwidth", "is_backup_psb": "is_backup_psb", "frr_retries": "frr_retries", "path_sent_interface": "path_sent_interface", "frr_cost": "frr_cost", "session_riding_bypass_name": "session_riding_bypass_name", "path_received_auth_on": "path_received_auth_on", "resv_received_auth_on": "resv_received_auth_on", "sa_flag_label_recording": "sa_flag_label_recording", "path_operational_status": "path_operational_status", "session_out_label": "session_out_label", "is_ps_frr_detour_received": "is_ps_frr_detour_received", "path_sent_message_id": "path_sent_message_id", "is_ps_frr_backup_received": "is_ps_frr_backup_received", "sa_flag_local_protect": "sa_flag_local_protect", "path_received_message_id": "path_received_message_id", "frr_unknown_flags": "frr_unknown_flags", "psb_hold_priority": "psb_hold_priority", "session_out_interface": "session_out_interface", "frr_nh_link_protection_available": "frr_nh_link_protection_available", "is_ps_frr_detour_sent": "is_ps_frr_detour_sent", "sa_flag_se_style": "sa_flag_se_style", "path_refresh": "path_refresh", "frr_nh_node_protection_available": "frr_nh_node_protection_available", "session_soft_preemption_wait_timer": "session_soft_preemption_wait_timer", "sa_flag_soft_preemption_desired": "sa_flag_soft_preemption_desired", "frr_next_retry": "frr_next_retry", "path_received_from_ip": "path_received_from_ip", "path_downstream_only": "path_downstream_only", "resv_received_from_ip": "resv_received_from_ip", "frr_bandwidth_protection_available": "frr_bandwidth_protection_available", "lsp_id": "lsp_id", "resv_received_message_id": "resv_received_message_id", "tspec_peak": "tspec_peak", "path_received_interface": "path_received_interface", "resv_received_interface": "resv_received_interface", "flap_lock": "flap_lock", "is_upstream_psb": "is_upstream_psb", "sa_flag_bandwidth_protect": "sa_flag_bandwidth_protect", "session_type": "session_type", "tspec_m": "tspec_m", "frr_psb_setup_priority": "frr_psb_setup_priority", "frr_facility_method": "frr_facility", "frr_unknown_backup_mode_desired": "frr_unknown_backup_mode_desired", "frr_psb_hold_priority": "frr_psb_hold_priority", "session_style": "session_style", "frr_detour": "frr_detour", "is_downstream_backup_psb": "is_downstream_backup_psb", "path_sent_to_ip": "path_sent_to_ip", "path_refresh_ttd": "path_refresh_ttd", "frr_hoplimit": "frr_hoplimit", "session_name": "session_name", "resv_refresh": "resv_refresh", "frr_updown_transitions": "frr_updown_transitions", "resv_refresh_ttd": "resv_refresh_ttd", "path_index": "path_index", "frr_cspf_group_computation_mode_use_bypass_liberal": "frr_cspf_group_computation_mode_use_bypass_liberal", "frr_cspf_group_computation_mode": "frr_cspf_group_computation_mode", "path_sent_auth_on": "path_sent_auth_on", "session_in_label": "session_in_label", "sa_flag_session_protection_type": "sa_flag_session_protection_type", "tspec_size": "tspec_size", "frr_nh_node_protection_in_use": "frr_nh_node_protection_in_use", "frr_lsp_bringup_abandoned": "frr_lsp_bringup_abandoned", "tspec_minimum": "tspec_minimum", "session_attribute_all_flags": "session_attribute_all_flags", "frr_session_protection_available": "frr_session_protection_available", "tspec_rate": "tspec_rate", "session_preemption_wait_timer": "session_preemption_wait_timer", "frr_nh_link_protection_in_use": "frr_nh_link_protection_in_use"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_name=session_name, session_type=session_type, path_operational_status=path_operational_status, session_in_label=session_in_label, session_out_label=session_out_label, session_out_interface=session_out_interface, lsp_id=lsp_id, flap_lock=flap_lock, path_refresh=path_refresh, path_refresh_ttd=path_refresh_ttd, resv_refresh=resv_refresh, resv_refresh_ttd=resv_refresh_ttd, tspec_peak=tspec_peak, tspec_rate=tspec_rate, tspec_size=tspec_size, tspec_minimum=tspec_minimum, tspec_m=tspec_m, psb_setup_priority=psb_setup_priority, psb_hold_priority=psb_hold_priority, session_attribute_all_flags=session_attribute_all_flags, sa_flag_label_recording=sa_flag_label_recording, sa_flag_soft_preemption_desired=sa_flag_soft_preemption_desired, sa_flag_se_style=sa_flag_se_style, sa_flag_local_protect=sa_flag_local_protect, sa_flag_bandwidth_protect=sa_flag_bandwidth_protect, sa_flag_session_protection_type=sa_flag_session_protection_type, session_soft_preemption_wait_timer=session_soft_preemption_wait_timer, session_preemption_wait_timer=session_preemption_wait_timer, frr_detour=frr_detour, frr_facility=frr_facility, frr_unknown_backup_mode_desired=frr_unknown_backup_mode_desired, frr_unknown_flags=frr_unknown_flags, frr_psb_setup_priority=frr_psb_setup_priority, frr_psb_hold_priority=frr_psb_hold_priority, frr_bandwidth=frr_bandwidth, frr_hoplimit=frr_hoplimit, frr_facility_method=frr_facility_method, frr_nh_node_protection_available=frr_nh_node_protection_available, frr_nh_node_protection_in_use=frr_nh_node_protection_in_use, frr_nh_link_protection_available=frr_nh_link_protection_available, frr_nh_link_protection_in_use=frr_nh_link_protection_in_use, frr_bandwidth_protection_available=frr_bandwidth_protection_available, frr_lsp_bringup_abandoned=frr_lsp_bringup_abandoned, frr_updown_transitions=frr_updown_transitions, frr_retries=frr_retries, frr_session_protection_available=frr_session_protection_available, frr_next_retry=frr_next_retry, frr_cost=frr_cost, frr_cspf_group_computation_mode=frr_cspf_group_computation_mode, frr_cspf_group_computation_mode_use_bypass_liberal=frr_cspf_group_computation_mode_use_bypass_liberal, is_downstream_backup_psb=is_downstream_backup_psb, is_backup_psb=is_backup_psb, is_upstream_psb=is_upstream_psb, is_ps_frr_detour_sent=is_ps_frr_detour_sent, is_ps_frr_backup_sent=is_ps_frr_backup_sent, is_ps_frr_detour_received=is_ps_frr_detour_received, is_ps_frr_backup_received=is_ps_frr_backup_received, path_received_from_ip=path_received_from_ip, path_received_interface=path_received_interface, path_received_auth_on=path_received_auth_on, path_received_message_id=path_received_message_id, path_downstream_only=path_downstream_only, path_sent_to_ip=path_sent_to_ip, path_sent_interface=path_sent_interface, path_sent_auth_on=path_sent_auth_on, path_sent_message_id=path_sent_message_id, resv_received_from_ip=resv_received_from_ip, resv_received_interface=resv_received_interface, resv_received_auth_on=resv_received_auth_on, resv_received_message_id=resv_received_message_id, session_riding_bypass_name=session_riding_bypass_name, session_style=session_style)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_name=session_name, session_type=session_type, path_operational_status=path_operational_status, session_in_label=session_in_label, session_out_label=session_out_label, session_out_interface=session_out_interface, lsp_id=lsp_id, flap_lock=flap_lock, path_refresh=path_refresh, path_refresh_ttd=path_refresh_ttd, resv_refresh=resv_refresh, resv_refresh_ttd=resv_refresh_ttd, tspec_peak=tspec_peak, tspec_rate=tspec_rate, tspec_size=tspec_size, tspec_minimum=tspec_minimum, tspec_m=tspec_m, psb_setup_priority=psb_setup_priority, psb_hold_priority=psb_hold_priority, session_attribute_all_flags=session_attribute_all_flags, sa_flag_label_recording=sa_flag_label_recording, sa_flag_soft_preemption_desired=sa_flag_soft_preemption_desired, sa_flag_se_style=sa_flag_se_style, sa_flag_local_protect=sa_flag_local_protect, sa_flag_bandwidth_protect=sa_flag_bandwidth_protect, sa_flag_session_protection_type=sa_flag_session_protection_type, session_soft_preemption_wait_timer=session_soft_preemption_wait_timer, session_preemption_wait_timer=session_preemption_wait_timer, frr_detour=frr_detour, frr_facility=frr_facility, frr_unknown_backup_mode_desired=frr_unknown_backup_mode_desired, frr_unknown_flags=frr_unknown_flags, frr_psb_setup_priority=frr_psb_setup_priority, frr_psb_hold_priority=frr_psb_hold_priority, frr_bandwidth=frr_bandwidth, frr_hoplimit=frr_hoplimit, frr_facility_method=frr_facility_method, frr_nh_node_protection_available=frr_nh_node_protection_available, frr_nh_node_protection_in_use=frr_nh_node_protection_in_use, frr_nh_link_protection_available=frr_nh_link_protection_available, frr_nh_link_protection_in_use=frr_nh_link_protection_in_use, frr_bandwidth_protection_available=frr_bandwidth_protection_available, frr_lsp_bringup_abandoned=frr_lsp_bringup_abandoned, frr_updown_transitions=frr_updown_transitions, frr_retries=frr_retries, frr_session_protection_available=frr_session_protection_available, frr_next_retry=frr_next_retry, frr_cost=frr_cost, frr_cspf_group_computation_mode=frr_cspf_group_computation_mode, frr_cspf_group_computation_mode_use_bypass_liberal=frr_cspf_group_computation_mode_use_bypass_liberal, is_downstream_backup_psb=is_downstream_backup_psb, is_backup_psb=is_backup_psb, is_upstream_psb=is_upstream_psb, is_ps_frr_detour_sent=is_ps_frr_detour_sent, is_ps_frr_backup_sent=is_ps_frr_backup_sent, is_ps_frr_detour_received=is_ps_frr_detour_received, is_ps_frr_backup_received=is_ps_frr_backup_received, path_received_from_ip=path_received_from_ip, path_received_interface=path_received_interface, path_received_auth_on=path_received_auth_on, path_received_message_id=path_received_message_id, path_downstream_only=path_downstream_only, path_sent_to_ip=path_sent_to_ip, path_sent_interface=path_sent_interface, path_sent_auth_on=path_sent_auth_on, path_sent_message_id=path_sent_message_id, resv_received_from_ip=resv_received_from_ip, resv_received_interface=resv_received_interface, resv_received_auth_on=resv_received_auth_on, resv_received_message_id=resv_received_message_id, session_riding_bypass_name=session_riding_bypass_name, session_style=session_style)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_flap_lock_update(self, sessions=None, psbs=None, flap_lock=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type flap_lock: long
    :param flap_lock: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, flap_lock=flap_lock)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, flap_lock=flap_lock)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_bandwidth_update(self, sessions=None, psbs=None, frr_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_bandwidth: long
    :param frr_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_bandwidth=frr_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_bandwidth=frr_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_bandwidth_protection_available_update(self, sessions=None, psbs=None, frr_bandwidth_protection_available=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_bandwidth_protection_available: YANGBool
    :param frr_bandwidth_protection_available: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_bandwidth_protection_available=frr_bandwidth_protection_available)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_bandwidth_protection_available=frr_bandwidth_protection_available)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_cost_update(self, sessions=None, psbs=None, frr_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_cost: long
    :param frr_cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_cost=frr_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_cost=frr_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_cspf_group_computation_mode_update(self, sessions=None, psbs=None, frr_cspf_group_computation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_cspf_group_computation_mode: unicode
    :param frr_cspf_group_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['frr-cspf-group-comp-mode-high-penalty',
            'frr-cspf-group-comp-mode-disabled',
            'frr-cspf-group-comp-mode-exclude-groups',
            'frr-cspf-group-comp-mode-add-penalty']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_cspf_group_computation_mode=frr_cspf_group_computation_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_cspf_group_computation_mode=frr_cspf_group_computation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_cspf_group_computation_mode_use_bypass_liberal_update(self, sessions=None, psbs=None, frr_cspf_group_computation_mode_use_bypass_liberal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_cspf_group_computation_mode_use_bypass_liberal: YANGBool
    :param frr_cspf_group_computation_mode_use_bypass_liberal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_cspf_group_computation_mode_use_bypass_liberal=frr_cspf_group_computation_mode_use_bypass_liberal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_cspf_group_computation_mode_use_bypass_liberal=frr_cspf_group_computation_mode_use_bypass_liberal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_detour_update(self, sessions=None, psbs=None, frr_detour=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_detour: YANGBool
    :param frr_detour: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_detour=frr_detour)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_detour=frr_detour)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_facility_update(self, sessions=None, psbs=None, frr_facility=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_facility: YANGBool
    :param frr_facility: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_facility=frr_facility)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_facility=frr_facility)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_facility_method_update(self, sessions=None, psbs=None, frr_facility_method=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_facility_method: unicode
    :param frr_facility_method: Keyword argument.

        * enumeration restriction: ::

            ['frr-method-detour-lsps',
            'frr-method-backup-lsps']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_facility_method=frr_facility_method)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_facility_method=frr_facility_method)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_hoplimit_update(self, sessions=None, psbs=None, frr_hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_hoplimit: int
    :param frr_hoplimit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_hoplimit=frr_hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_hoplimit=frr_hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_lsp_bringup_abandoned_update(self, sessions=None, psbs=None, frr_lsp_bringup_abandoned=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_lsp_bringup_abandoned: YANGBool
    :param frr_lsp_bringup_abandoned: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_lsp_bringup_abandoned=frr_lsp_bringup_abandoned)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_lsp_bringup_abandoned=frr_lsp_bringup_abandoned)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_method_update(self, sessions=None, psbs=None, frr_method=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_method: unicode
    :param frr_method: Keyword argument.

        * enumeration restriction: ::

            ['frr-method-backup', 'frr-method-detour']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_method=frr_method)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_method=frr_method)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_next_retry_update(self, sessions=None, psbs=None, frr_next_retry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_next_retry: long
    :param frr_next_retry: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_next_retry=frr_next_retry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_next_retry=frr_next_retry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_nh_link_protection_available_update(self, sessions=None, psbs=None, frr_nh_link_protection_available=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_nh_link_protection_available: YANGBool
    :param frr_nh_link_protection_available: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_nh_link_protection_available=frr_nh_link_protection_available)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_nh_link_protection_available=frr_nh_link_protection_available)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_nh_link_protection_in_use_update(self, sessions=None, psbs=None, frr_nh_link_protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_nh_link_protection_in_use: YANGBool
    :param frr_nh_link_protection_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_nh_link_protection_in_use=frr_nh_link_protection_in_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_nh_link_protection_in_use=frr_nh_link_protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_nh_node_protection_available_update(self, sessions=None, psbs=None, frr_nh_node_protection_available=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_nh_node_protection_available: YANGBool
    :param frr_nh_node_protection_available: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_nh_node_protection_available=frr_nh_node_protection_available)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_nh_node_protection_available=frr_nh_node_protection_available)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_nh_node_protection_in_use_update(self, sessions=None, psbs=None, frr_nh_node_protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_nh_node_protection_in_use: YANGBool
    :param frr_nh_node_protection_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_nh_node_protection_in_use=frr_nh_node_protection_in_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_nh_node_protection_in_use=frr_nh_node_protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_psb_hold_priority_update(self, sessions=None, psbs=None, frr_psb_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_psb_hold_priority: int
    :param frr_psb_hold_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_psb_hold_priority=frr_psb_hold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_psb_hold_priority=frr_psb_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_psb_setup_priority_update(self, sessions=None, psbs=None, frr_psb_setup_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_psb_setup_priority: int
    :param frr_psb_setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_psb_setup_priority=frr_psb_setup_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_psb_setup_priority=frr_psb_setup_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_retries_update(self, sessions=None, psbs=None, frr_retries=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_retries: long
    :param frr_retries: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_retries=frr_retries)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_retries=frr_retries)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_session_protection_available_update(self, sessions=None, psbs=None, frr_session_protection_available=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_session_protection_available: YANGBool
    :param frr_session_protection_available: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_session_protection_available=frr_session_protection_available)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_session_protection_available=frr_session_protection_available)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_unknown_backup_mode_desired_update(self, sessions=None, psbs=None, frr_unknown_backup_mode_desired=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_unknown_backup_mode_desired: YANGBool
    :param frr_unknown_backup_mode_desired: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_unknown_backup_mode_desired=frr_unknown_backup_mode_desired)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_unknown_backup_mode_desired=frr_unknown_backup_mode_desired)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_unknown_flags_update(self, sessions=None, psbs=None, frr_unknown_flags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_unknown_flags: int
    :param frr_unknown_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_unknown_flags=frr_unknown_flags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_unknown_flags=frr_unknown_flags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_frr_updown_transitions_update(self, sessions=None, psbs=None, frr_updown_transitions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type frr_updown_transitions: long
    :param frr_updown_transitions: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, frr_updown_transitions=frr_updown_transitions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, frr_updown_transitions=frr_updown_transitions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_is_backup_psb_update(self, sessions=None, psbs=None, is_backup_psb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_backup_psb: YANGBool
    :param is_backup_psb: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, is_backup_psb=is_backup_psb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, is_backup_psb=is_backup_psb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_is_downstream_backup_psb_update(self, sessions=None, psbs=None, is_downstream_backup_psb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_downstream_backup_psb: YANGBool
    :param is_downstream_backup_psb: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, is_downstream_backup_psb=is_downstream_backup_psb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, is_downstream_backup_psb=is_downstream_backup_psb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_is_ps_frr_backup_received_update(self, sessions=None, psbs=None, is_ps_frr_backup_received=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_ps_frr_backup_received: YANGBool
    :param is_ps_frr_backup_received: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, is_ps_frr_backup_received=is_ps_frr_backup_received)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, is_ps_frr_backup_received=is_ps_frr_backup_received)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_is_ps_frr_backup_sent_update(self, sessions=None, psbs=None, is_ps_frr_backup_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_ps_frr_backup_sent: YANGBool
    :param is_ps_frr_backup_sent: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, is_ps_frr_backup_sent=is_ps_frr_backup_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, is_ps_frr_backup_sent=is_ps_frr_backup_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_is_ps_frr_detour_received_update(self, sessions=None, psbs=None, is_ps_frr_detour_received=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_ps_frr_detour_received: YANGBool
    :param is_ps_frr_detour_received: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, is_ps_frr_detour_received=is_ps_frr_detour_received)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, is_ps_frr_detour_received=is_ps_frr_detour_received)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_is_ps_frr_detour_sent_update(self, sessions=None, psbs=None, is_ps_frr_detour_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_ps_frr_detour_sent: YANGBool
    :param is_ps_frr_detour_sent: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, is_ps_frr_detour_sent=is_ps_frr_detour_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, is_ps_frr_detour_sent=is_ps_frr_detour_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_is_upstream_psb_update(self, sessions=None, psbs=None, is_upstream_psb=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_upstream_psb: YANGBool
    :param is_upstream_psb: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, is_upstream_psb=is_upstream_psb)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, is_upstream_psb=is_upstream_psb)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_lsp_id_update(self, sessions=None, psbs=None, lsp_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lsp_id: long
    :param lsp_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, lsp_id=lsp_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, lsp_id=lsp_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_path_downstream_only_update(self, sessions=None, psbs=None, path_downstream_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_downstream_only: YANGBool
    :param path_downstream_only: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, path_downstream_only=path_downstream_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, path_downstream_only=path_downstream_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_path_operational_status_update(self, sessions=None, psbs=None, path_operational_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_operational_status: YANGBool
    :param path_operational_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, path_operational_status=path_operational_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, path_operational_status=path_operational_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_path_received_auth_on_update(self, sessions=None, psbs=None, path_received_auth_on=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_received_auth_on: YANGBool
    :param path_received_auth_on: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, path_received_auth_on=path_received_auth_on)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, path_received_auth_on=path_received_auth_on)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_path_received_from_ip_update(self, sessions=None, psbs=None, path_received_from_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_received_from_ip: unicode
    :param path_received_from_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, path_received_from_ip=path_received_from_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, path_received_from_ip=path_received_from_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_path_received_interface_update(self, sessions=None, psbs=None, path_received_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_received_interface: unicode
    :param path_received_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, path_received_interface=path_received_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, path_received_interface=path_received_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_path_received_message_id_update(self, sessions=None, psbs=None, path_received_message_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_received_message_id: long
    :param path_received_message_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, path_received_message_id=path_received_message_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, path_received_message_id=path_received_message_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_path_refresh_update(self, sessions=None, psbs=None, path_refresh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_refresh: long
    :param path_refresh: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, path_refresh=path_refresh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, path_refresh=path_refresh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_path_refresh_ttd_update(self, sessions=None, psbs=None, path_refresh_ttd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_refresh_ttd: long
    :param path_refresh_ttd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, path_refresh_ttd=path_refresh_ttd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, path_refresh_ttd=path_refresh_ttd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_path_sent_auth_on_update(self, sessions=None, psbs=None, path_sent_auth_on=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_sent_auth_on: YANGBool
    :param path_sent_auth_on: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, path_sent_auth_on=path_sent_auth_on)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, path_sent_auth_on=path_sent_auth_on)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_path_sent_interface_update(self, sessions=None, psbs=None, path_sent_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_sent_interface: unicode
    :param path_sent_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, path_sent_interface=path_sent_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, path_sent_interface=path_sent_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_path_sent_message_id_update(self, sessions=None, psbs=None, path_sent_message_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_sent_message_id: long
    :param path_sent_message_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, path_sent_message_id=path_sent_message_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, path_sent_message_id=path_sent_message_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_path_sent_to_ip_update(self, sessions=None, psbs=None, path_sent_to_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type path_sent_to_ip: unicode
    :param path_sent_to_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, path_sent_to_ip=path_sent_to_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, path_sent_to_ip=path_sent_to_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_psb_hold_priority_update(self, sessions=None, psbs=None, psb_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type psb_hold_priority: int
    :param psb_hold_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, psb_hold_priority=psb_hold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, psb_hold_priority=psb_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_psb_setup_priority_update(self, sessions=None, psbs=None, psb_setup_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type psb_setup_priority: int
    :param psb_setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, psb_setup_priority=psb_setup_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, psb_setup_priority=psb_setup_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_resv_received_auth_on_update(self, sessions=None, psbs=None, resv_received_auth_on=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resv_received_auth_on: YANGBool
    :param resv_received_auth_on: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, resv_received_auth_on=resv_received_auth_on)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, resv_received_auth_on=resv_received_auth_on)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_resv_received_from_ip_update(self, sessions=None, psbs=None, resv_received_from_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resv_received_from_ip: unicode
    :param resv_received_from_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, resv_received_from_ip=resv_received_from_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, resv_received_from_ip=resv_received_from_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_resv_received_interface_update(self, sessions=None, psbs=None, resv_received_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resv_received_interface: unicode
    :param resv_received_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, resv_received_interface=resv_received_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, resv_received_interface=resv_received_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_resv_received_message_id_update(self, sessions=None, psbs=None, resv_received_message_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resv_received_message_id: long
    :param resv_received_message_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, resv_received_message_id=resv_received_message_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, resv_received_message_id=resv_received_message_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_resv_refresh_update(self, sessions=None, psbs=None, resv_refresh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resv_refresh: long
    :param resv_refresh: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, resv_refresh=resv_refresh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, resv_refresh=resv_refresh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_resv_refresh_ttd_update(self, sessions=None, psbs=None, resv_refresh_ttd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type resv_refresh_ttd: long
    :param resv_refresh_ttd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, resv_refresh_ttd=resv_refresh_ttd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, resv_refresh_ttd=resv_refresh_ttd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_sa_flag_bandwidth_protect_update(self, sessions=None, psbs=None, sa_flag_bandwidth_protect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sa_flag_bandwidth_protect: YANGBool
    :param sa_flag_bandwidth_protect: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, sa_flag_bandwidth_protect=sa_flag_bandwidth_protect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, sa_flag_bandwidth_protect=sa_flag_bandwidth_protect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_sa_flag_label_recording_update(self, sessions=None, psbs=None, sa_flag_label_recording=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sa_flag_label_recording: YANGBool
    :param sa_flag_label_recording: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, sa_flag_label_recording=sa_flag_label_recording)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, sa_flag_label_recording=sa_flag_label_recording)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_sa_flag_local_protect_update(self, sessions=None, psbs=None, sa_flag_local_protect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sa_flag_local_protect: YANGBool
    :param sa_flag_local_protect: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, sa_flag_local_protect=sa_flag_local_protect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, sa_flag_local_protect=sa_flag_local_protect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_sa_flag_se_style_update(self, sessions=None, psbs=None, sa_flag_se_style=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sa_flag_se_style: YANGBool
    :param sa_flag_se_style: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, sa_flag_se_style=sa_flag_se_style)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, sa_flag_se_style=sa_flag_se_style)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_sa_flag_session_protection_type_update(self, sessions=None, psbs=None, sa_flag_session_protection_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sa_flag_session_protection_type: unicode
    :param sa_flag_session_protection_type: Keyword argument.

        * enumeration restriction: ::

            ['session-protection-type-link',
            'session-protection-type-node']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, sa_flag_session_protection_type=sa_flag_session_protection_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, sa_flag_session_protection_type=sa_flag_session_protection_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_sa_flag_soft_preemption_desired_update(self, sessions=None, psbs=None, sa_flag_soft_preemption_desired=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sa_flag_soft_preemption_desired: YANGBool
    :param sa_flag_soft_preemption_desired: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, sa_flag_soft_preemption_desired=sa_flag_soft_preemption_desired)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, sa_flag_soft_preemption_desired=sa_flag_soft_preemption_desired)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_attribute_all_flags_update(self, sessions=None, psbs=None, session_attribute_all_flags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_attribute_all_flags: int
    :param session_attribute_all_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_attribute_all_flags=session_attribute_all_flags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_attribute_all_flags=session_attribute_all_flags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_ero_hops_update(self, sessions=None, psbs=None, session_ero_hops=None, ero_flag_is_strict_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type session_ero_hops: ip_addr
    :param session_ero_hops: Keyword argument tuple.

    :type ip_addr: unicode
    :param ip_addr: **session_ero_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ero_flag_is_strict_hop: YANGBool
    :param ero_flag_is_strict_hop: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', u'psbs')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_ero_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs.session_ero_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'session_ero_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_ero_hops=session_ero_hops, ero_flag_is_strict_hop=ero_flag_is_strict_hop)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_ero_hops=session_ero_hops, ero_flag_is_strict_hop=ero_flag_is_strict_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_ero_hops_ero_flag_is_strict_hop_update(self, sessions=None, psbs=None, session_ero_hops=None, ero_flag_is_strict_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type session_ero_hops: ip_addr
    :param session_ero_hops: Keyword argument tuple.

    :type ip_addr: unicode
    :param ip_addr: **session_ero_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ero_flag_is_strict_hop: YANGBool
    :param ero_flag_is_strict_hop: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', u'psbs')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_ero_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs.session_ero_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'session_ero_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_ero_hops=session_ero_hops, ero_flag_is_strict_hop=ero_flag_is_strict_hop)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_ero_hops=session_ero_hops, ero_flag_is_strict_hop=ero_flag_is_strict_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_in_label_update(self, sessions=None, psbs=None, session_in_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_in_label: long
    :param session_in_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_in_label=session_in_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_in_label=session_in_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_name_update(self, sessions=None, psbs=None, session_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_name: unicode
    :param session_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_name=session_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_name=session_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_out_interface_update(self, sessions=None, psbs=None, session_out_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_out_interface: unicode
    :param session_out_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_out_interface=session_out_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_out_interface=session_out_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_out_label_update(self, sessions=None, psbs=None, session_out_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_out_label: long
    :param session_out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_out_label=session_out_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_out_label=session_out_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_preemption_wait_timer_update(self, sessions=None, psbs=None, session_preemption_wait_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_preemption_wait_timer: long
    :param session_preemption_wait_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_preemption_wait_timer=session_preemption_wait_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_preemption_wait_timer=session_preemption_wait_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_riding_bypass_name_update(self, sessions=None, psbs=None, session_riding_bypass_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_riding_bypass_name: unicode
    :param session_riding_bypass_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_riding_bypass_name=session_riding_bypass_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_riding_bypass_name=session_riding_bypass_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_rro_hops_update(self, sessions=None, psbs=None, session_rro_hops=None, rro_flag_is_local_protect_available=None, rro_flag_is_local_protect_in_use=None, rro_flag_rro_is_router_id=None, rro_flag_rro_node_protect=None, rro_flag_rro_bandwidth_protect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type session_rro_hops: ip_addr
    :param session_rro_hops: Keyword argument tuple.

    :type ip_addr: unicode
    :param ip_addr: **session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rro_flag_is_local_protect_available: YANGBool
    :param rro_flag_is_local_protect_available: Keyword argument.

    :type rro_flag_is_local_protect_in_use: YANGBool
    :param rro_flag_is_local_protect_in_use: Keyword argument.

    :type rro_flag_rro_is_router_id: YANGBool
    :param rro_flag_rro_is_router_id: Keyword argument.

    :type rro_flag_rro_node_protect: YANGBool
    :param rro_flag_rro_node_protect: Keyword argument.

    :type rro_flag_rro_bandwidth_protect: YANGBool
    :param rro_flag_rro_bandwidth_protect: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', u'psbs')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'session_rro_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_is_local_protect_available=rro_flag_is_local_protect_available, rro_flag_is_local_protect_in_use=rro_flag_is_local_protect_in_use, rro_flag_rro_is_router_id=rro_flag_rro_is_router_id, rro_flag_rro_node_protect=rro_flag_rro_node_protect, rro_flag_rro_bandwidth_protect=rro_flag_rro_bandwidth_protect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_is_local_protect_available=rro_flag_is_local_protect_available, rro_flag_is_local_protect_in_use=rro_flag_is_local_protect_in_use, rro_flag_rro_is_router_id=rro_flag_rro_is_router_id, rro_flag_rro_node_protect=rro_flag_rro_node_protect, rro_flag_rro_bandwidth_protect=rro_flag_rro_bandwidth_protect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_rro_hops_rro_flag_is_local_protect_available_update(self, sessions=None, psbs=None, session_rro_hops=None, rro_flag_is_local_protect_available=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type session_rro_hops: ip_addr
    :param session_rro_hops: Keyword argument tuple.

    :type ip_addr: unicode
    :param ip_addr: **session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rro_flag_is_local_protect_available: YANGBool
    :param rro_flag_is_local_protect_available: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', u'psbs')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'session_rro_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_is_local_protect_available=rro_flag_is_local_protect_available)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_is_local_protect_available=rro_flag_is_local_protect_available)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_rro_hops_rro_flag_is_local_protect_in_use_update(self, sessions=None, psbs=None, session_rro_hops=None, rro_flag_is_local_protect_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type session_rro_hops: ip_addr
    :param session_rro_hops: Keyword argument tuple.

    :type ip_addr: unicode
    :param ip_addr: **session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rro_flag_is_local_protect_in_use: YANGBool
    :param rro_flag_is_local_protect_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', u'psbs')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'session_rro_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_is_local_protect_in_use=rro_flag_is_local_protect_in_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_is_local_protect_in_use=rro_flag_is_local_protect_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_rro_hops_rro_flag_rro_bandwidth_protect_update(self, sessions=None, psbs=None, session_rro_hops=None, rro_flag_rro_bandwidth_protect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type session_rro_hops: ip_addr
    :param session_rro_hops: Keyword argument tuple.

    :type ip_addr: unicode
    :param ip_addr: **session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rro_flag_rro_bandwidth_protect: YANGBool
    :param rro_flag_rro_bandwidth_protect: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', u'psbs')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'session_rro_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_rro_bandwidth_protect=rro_flag_rro_bandwidth_protect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_rro_bandwidth_protect=rro_flag_rro_bandwidth_protect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_rro_hops_rro_flag_rro_is_router_id_update(self, sessions=None, psbs=None, session_rro_hops=None, rro_flag_rro_is_router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type session_rro_hops: ip_addr
    :param session_rro_hops: Keyword argument tuple.

    :type ip_addr: unicode
    :param ip_addr: **session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rro_flag_rro_is_router_id: YANGBool
    :param rro_flag_rro_is_router_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', u'psbs')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'session_rro_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_rro_is_router_id=rro_flag_rro_is_router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_rro_is_router_id=rro_flag_rro_is_router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_rro_hops_rro_flag_rro_node_protect_update(self, sessions=None, psbs=None, session_rro_hops=None, rro_flag_rro_node_protect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type session_rro_hops: ip_addr
    :param session_rro_hops: Keyword argument tuple.

    :type ip_addr: unicode
    :param ip_addr: **session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rro_flag_rro_node_protect: YANGBool
    :param rro_flag_rro_node_protect: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', u'psbs')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'session_rro_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_rro_node_protect=rro_flag_rro_node_protect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_rro_node_protect=rro_flag_rro_node_protect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_soft_preemption_wait_timer_update(self, sessions=None, psbs=None, session_soft_preemption_wait_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_soft_preemption_wait_timer: long
    :param session_soft_preemption_wait_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_soft_preemption_wait_timer=session_soft_preemption_wait_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_soft_preemption_wait_timer=session_soft_preemption_wait_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_style_update(self, sessions=None, psbs=None, session_style=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_style: unicode
    :param session_style: Keyword argument.

        * enumeration restriction: ::

            ['reservation-style-shared-explicit',
            'reservation-style-wildcard-filter',
            'reservation-style-unknown',
            'reservation-style-fixed-filter']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_style=session_style)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_style=session_style)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_type_update(self, sessions=None, psbs=None, session_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_type: unicode
    :param session_type: Keyword argument.

        * enumeration restriction: ::

            ['egress-detour',
            'merged-detour',
            'transit-detour',
            'bypass-ingress',
            'session-type-none',
            'merged-backup',
            'ingress-detour',
            'egress-backup',
            'ingress-backup',
            'repaired-session']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, session_type=session_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_type=session_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_tspec_m_update(self, sessions=None, psbs=None, tspec_m=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tspec_m: long
    :param tspec_m: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, tspec_m=tspec_m)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, tspec_m=tspec_m)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_tspec_minimum_update(self, sessions=None, psbs=None, tspec_minimum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tspec_minimum: long
    :param tspec_minimum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, tspec_minimum=tspec_minimum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, tspec_minimum=tspec_minimum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_tspec_peak_update(self, sessions=None, psbs=None, tspec_peak=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tspec_peak: long
    :param tspec_peak: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, tspec_peak=tspec_peak)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, tspec_peak=tspec_peak)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_tspec_rate_update(self, sessions=None, psbs=None, tspec_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tspec_rate: long
    :param tspec_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, tspec_rate=tspec_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, tspec_rate=tspec_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_tspec_size_update(self, sessions=None, psbs=None, tspec_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tspec_size: long
    :param tspec_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, psbs=psbs, tspec_size=tspec_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, tspec_size=tspec_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_session_operational_status_update(self, sessions=None, session_operational_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Argument(s)**:

    :type session_operational_status: YANGBool
    :param session_operational_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.sessions', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'sessions', 'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sessions=sessions, session_operational_status=session_operational_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, session_operational_status=session_operational_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_update(self, path_tx=None, resv_tx=None, patherr_tx=None, resverr_tx=None, pathtear_tx=None, resvtear_tx=None, resvconf_tx=None, bundle_tx=None, ack_tx=None, sumrefresh_tx=None, hello_tx=None, path_rx=None, resv_rx=None, patherr_rx=None, resverr_rx=None, pathtear_rx=None, resvtear_rx=None, resvconf_rx=None, bundle_rx=None, ack_rx=None, sumrefresh_rx=None, hello_rx=None, path_tx_since_last_clear=None, resv_tx_since_last_clear=None, patherr_tx_since_last_clear=None, resverr_tx_since_last_clear=None, pathtear_tx_since_last_clear=None, resvtear_tx_since_last_clear=None, resvconf_tx_since_last_clear=None, bundle_tx_since_last_clear=None, ack_tx_since_last_clear=None, sumrefresh_tx_since_last_clear=None, hello_tx_since_last_clear=None, path_rx_since_last_clear=None, resv_rx_since_last_clear=None, patherr_rx_since_last_clear=None, resverr_rx_since_last_clear=None, pathtear_rx_since_last_clear=None, resvtear_rx_since_last_clear=None, resvconf_rx_since_last_clear=None, bundle_rx_since_last_clear=None, ack_rx_since_last_clear=None, sumrefresh_rx_since_last_clear=None, hello_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_tx: long
    :param path_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resv_tx: long
    :param resv_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type patherr_tx: long
    :param patherr_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resverr_tx: long
    :param resverr_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pathtear_tx: long
    :param pathtear_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvtear_tx: long
    :param resvtear_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvconf_tx: long
    :param resvconf_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type bundle_tx: long
    :param bundle_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type ack_tx: long
    :param ack_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type sumrefresh_tx: long
    :param sumrefresh_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type hello_tx: long
    :param hello_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type path_rx: long
    :param path_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resv_rx: long
    :param resv_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type patherr_rx: long
    :param patherr_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resverr_rx: long
    :param resverr_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pathtear_rx: long
    :param pathtear_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvtear_rx: long
    :param resvtear_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvconf_rx: long
    :param resvconf_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type bundle_rx: long
    :param bundle_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type ack_rx: long
    :param ack_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type sumrefresh_rx: long
    :param sumrefresh_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type hello_rx: long
    :param hello_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type path_tx_since_last_clear: long
    :param path_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resv_tx_since_last_clear: long
    :param resv_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type patherr_tx_since_last_clear: long
    :param patherr_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resverr_tx_since_last_clear: long
    :param resverr_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pathtear_tx_since_last_clear: long
    :param pathtear_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvtear_tx_since_last_clear: long
    :param resvtear_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvconf_tx_since_last_clear: long
    :param resvconf_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type bundle_tx_since_last_clear: long
    :param bundle_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type ack_tx_since_last_clear: long
    :param ack_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type sumrefresh_tx_since_last_clear: long
    :param sumrefresh_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type hello_tx_since_last_clear: long
    :param hello_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type path_rx_since_last_clear: long
    :param path_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resv_rx_since_last_clear: long
    :param resv_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type patherr_rx_since_last_clear: long
    :param patherr_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resverr_rx_since_last_clear: long
    :param resverr_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pathtear_rx_since_last_clear: long
    :param pathtear_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvtear_rx_since_last_clear: long
    :param resvtear_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvconf_rx_since_last_clear: long
    :param resvconf_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type bundle_rx_since_last_clear: long
    :param bundle_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type ack_rx_since_last_clear: long
    :param ack_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type sumrefresh_rx_since_last_clear: long
    :param sumrefresh_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type hello_rx_since_last_clear: long
    :param hello_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_tx=path_tx, resv_tx=resv_tx, patherr_tx=patherr_tx, resverr_tx=resverr_tx, pathtear_tx=pathtear_tx, resvtear_tx=resvtear_tx, resvconf_tx=resvconf_tx, bundle_tx=bundle_tx, ack_tx=ack_tx, sumrefresh_tx=sumrefresh_tx, hello_tx=hello_tx, path_rx=path_rx, resv_rx=resv_rx, patherr_rx=patherr_rx, resverr_rx=resverr_rx, pathtear_rx=pathtear_rx, resvtear_rx=resvtear_rx, resvconf_rx=resvconf_rx, bundle_rx=bundle_rx, ack_rx=ack_rx, sumrefresh_rx=sumrefresh_rx, hello_rx=hello_rx, path_tx_since_last_clear=path_tx_since_last_clear, resv_tx_since_last_clear=resv_tx_since_last_clear, patherr_tx_since_last_clear=patherr_tx_since_last_clear, resverr_tx_since_last_clear=resverr_tx_since_last_clear, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear, bundle_tx_since_last_clear=bundle_tx_since_last_clear, ack_tx_since_last_clear=ack_tx_since_last_clear, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear, hello_tx_since_last_clear=hello_tx_since_last_clear, path_rx_since_last_clear=path_rx_since_last_clear, resv_rx_since_last_clear=resv_rx_since_last_clear, patherr_rx_since_last_clear=patherr_rx_since_last_clear, resverr_rx_since_last_clear=resverr_rx_since_last_clear, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear, bundle_rx_since_last_clear=bundle_rx_since_last_clear, ack_rx_since_last_clear=ack_rx_since_last_clear, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear, hello_rx_since_last_clear=hello_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_tx=path_tx, resv_tx=resv_tx, patherr_tx=patherr_tx, resverr_tx=resverr_tx, pathtear_tx=pathtear_tx, resvtear_tx=resvtear_tx, resvconf_tx=resvconf_tx, bundle_tx=bundle_tx, ack_tx=ack_tx, sumrefresh_tx=sumrefresh_tx, hello_tx=hello_tx, path_rx=path_rx, resv_rx=resv_rx, patherr_rx=patherr_rx, resverr_rx=resverr_rx, pathtear_rx=pathtear_rx, resvtear_rx=resvtear_rx, resvconf_rx=resvconf_rx, bundle_rx=bundle_rx, ack_rx=ack_rx, sumrefresh_rx=sumrefresh_rx, hello_rx=hello_rx, path_tx_since_last_clear=path_tx_since_last_clear, resv_tx_since_last_clear=resv_tx_since_last_clear, patherr_tx_since_last_clear=patherr_tx_since_last_clear, resverr_tx_since_last_clear=resverr_tx_since_last_clear, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear, bundle_tx_since_last_clear=bundle_tx_since_last_clear, ack_tx_since_last_clear=ack_tx_since_last_clear, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear, hello_tx_since_last_clear=hello_tx_since_last_clear, path_rx_since_last_clear=path_rx_since_last_clear, resv_rx_since_last_clear=resv_rx_since_last_clear, patherr_rx_since_last_clear=patherr_rx_since_last_clear, resverr_rx_since_last_clear=resverr_rx_since_last_clear, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear, bundle_rx_since_last_clear=bundle_rx_since_last_clear, ack_rx_since_last_clear=ack_rx_since_last_clear, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear, hello_rx_since_last_clear=hello_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_ack_rx_update(self, ack_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ack_rx: long
    :param ack_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ack_rx=ack_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ack_rx=ack_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_ack_rx_since_last_clear_update(self, ack_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ack_rx_since_last_clear: long
    :param ack_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ack_rx_since_last_clear=ack_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ack_rx_since_last_clear=ack_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_ack_tx_update(self, ack_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ack_tx: long
    :param ack_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ack_tx=ack_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ack_tx=ack_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_ack_tx_since_last_clear_update(self, ack_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ack_tx_since_last_clear: long
    :param ack_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ack_tx_since_last_clear=ack_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ack_tx_since_last_clear=ack_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_bundle_rx_update(self, bundle_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bundle_rx: long
    :param bundle_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bundle_rx=bundle_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bundle_rx=bundle_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_bundle_rx_since_last_clear_update(self, bundle_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bundle_rx_since_last_clear: long
    :param bundle_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bundle_rx_since_last_clear=bundle_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bundle_rx_since_last_clear=bundle_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_bundle_tx_update(self, bundle_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bundle_tx: long
    :param bundle_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bundle_tx=bundle_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bundle_tx=bundle_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_bundle_tx_since_last_clear_update(self, bundle_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bundle_tx_since_last_clear: long
    :param bundle_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bundle_tx_since_last_clear=bundle_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bundle_tx_since_last_clear=bundle_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_hello_rx_update(self, hello_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_rx: long
    :param hello_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_rx=hello_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_rx=hello_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_hello_rx_since_last_clear_update(self, hello_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_rx_since_last_clear: long
    :param hello_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_rx_since_last_clear=hello_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_rx_since_last_clear=hello_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_hello_tx_update(self, hello_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_tx: long
    :param hello_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_tx=hello_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_tx=hello_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_hello_tx_since_last_clear_update(self, hello_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_tx_since_last_clear: long
    :param hello_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_tx_since_last_clear=hello_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_tx_since_last_clear=hello_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_path_rx_update(self, path_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_rx: long
    :param path_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_rx=path_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_rx=path_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_path_rx_since_last_clear_update(self, path_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_rx_since_last_clear: long
    :param path_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_rx_since_last_clear=path_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_rx_since_last_clear=path_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_path_tx_update(self, path_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_tx: long
    :param path_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_tx=path_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_tx=path_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_path_tx_since_last_clear_update(self, path_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_tx_since_last_clear: long
    :param path_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_tx_since_last_clear=path_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_tx_since_last_clear=path_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_patherr_rx_update(self, patherr_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type patherr_rx: long
    :param patherr_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, patherr_rx=patherr_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, patherr_rx=patherr_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_patherr_rx_since_last_clear_update(self, patherr_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type patherr_rx_since_last_clear: long
    :param patherr_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, patherr_rx_since_last_clear=patherr_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, patherr_rx_since_last_clear=patherr_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_patherr_tx_update(self, patherr_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type patherr_tx: long
    :param patherr_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, patherr_tx=patherr_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, patherr_tx=patherr_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_patherr_tx_since_last_clear_update(self, patherr_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type patherr_tx_since_last_clear: long
    :param patherr_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, patherr_tx_since_last_clear=patherr_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, patherr_tx_since_last_clear=patherr_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_pathtear_rx_update(self, pathtear_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pathtear_rx: long
    :param pathtear_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pathtear_rx=pathtear_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pathtear_rx=pathtear_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_pathtear_rx_since_last_clear_update(self, pathtear_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pathtear_rx_since_last_clear: long
    :param pathtear_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_pathtear_tx_update(self, pathtear_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pathtear_tx: long
    :param pathtear_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pathtear_tx=pathtear_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pathtear_tx=pathtear_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_pathtear_tx_since_last_clear_update(self, pathtear_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pathtear_tx_since_last_clear: long
    :param pathtear_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resv_rx_update(self, resv_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resv_rx: long
    :param resv_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resv_rx=resv_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resv_rx=resv_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resv_rx_since_last_clear_update(self, resv_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resv_rx_since_last_clear: long
    :param resv_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resv_rx_since_last_clear=resv_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resv_rx_since_last_clear=resv_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resv_tx_update(self, resv_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resv_tx: long
    :param resv_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resv_tx=resv_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resv_tx=resv_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resv_tx_since_last_clear_update(self, resv_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resv_tx_since_last_clear: long
    :param resv_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resv_tx_since_last_clear=resv_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resv_tx_since_last_clear=resv_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resvconf_rx_update(self, resvconf_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resvconf_rx: long
    :param resvconf_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resvconf_rx=resvconf_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resvconf_rx=resvconf_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resvconf_rx_since_last_clear_update(self, resvconf_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resvconf_rx_since_last_clear: long
    :param resvconf_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resvconf_tx_update(self, resvconf_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resvconf_tx: long
    :param resvconf_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resvconf_tx=resvconf_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resvconf_tx=resvconf_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resvconf_tx_since_last_clear_update(self, resvconf_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resvconf_tx_since_last_clear: long
    :param resvconf_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resverr_rx_update(self, resverr_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resverr_rx: long
    :param resverr_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resverr_rx=resverr_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resverr_rx=resverr_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resverr_rx_since_last_clear_update(self, resverr_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resverr_rx_since_last_clear: long
    :param resverr_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resverr_rx_since_last_clear=resverr_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resverr_rx_since_last_clear=resverr_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resverr_tx_update(self, resverr_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resverr_tx: long
    :param resverr_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resverr_tx=resverr_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resverr_tx=resverr_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resverr_tx_since_last_clear_update(self, resverr_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resverr_tx_since_last_clear: long
    :param resverr_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resverr_tx_since_last_clear=resverr_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resverr_tx_since_last_clear=resverr_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resvtear_rx_update(self, resvtear_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resvtear_rx: long
    :param resvtear_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resvtear_rx=resvtear_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resvtear_rx=resvtear_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resvtear_rx_since_last_clear_update(self, resvtear_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resvtear_rx_since_last_clear: long
    :param resvtear_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resvtear_tx_update(self, resvtear_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resvtear_tx: long
    :param resvtear_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resvtear_tx=resvtear_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resvtear_tx=resvtear_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_resvtear_tx_since_last_clear_update(self, resvtear_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resvtear_tx_since_last_clear: long
    :param resvtear_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_sumrefresh_rx_update(self, sumrefresh_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sumrefresh_rx: long
    :param sumrefresh_rx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sumrefresh_rx=sumrefresh_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sumrefresh_rx=sumrefresh_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_sumrefresh_rx_since_last_clear_update(self, sumrefresh_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sumrefresh_rx_since_last_clear: long
    :param sumrefresh_rx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_sumrefresh_tx_update(self, sumrefresh_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sumrefresh_tx: long
    :param sumrefresh_tx: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sumrefresh_tx=sumrefresh_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sumrefresh_tx=sumrefresh_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_sumrefresh_tx_since_last_clear_update(self, sumrefresh_tx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sumrefresh_tx_since_last_clear: long
    :param sumrefresh_tx_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_update(self, rx_pkt_bad_length=None, rx_pkt_unknown_type=None, rx_pkt_bad_version=None, rx_pkt_bad_checksum=None, mem_alloc_fail=None, rx_md5_auth_error=None, path_state_timeout=None, resv_state_timeout=None, pkt_with_msg_id_drop=None, pkt_with_sref_drop=None, rx_pkt_bad_length_since_last_clear=None, rx_pkt_unknown_type_since_last_clear=None, rx_pkt_bad_version_since_last_clear=None, rx_pkt_bad_checksum_since_last_clear=None, mem_alloc_fail_since_last_clear=None, rx_md5_auth_error_since_last_clear=None, path_state_timeout_since_last_clear=None, resv_state_timeout_since_last_clear=None, pkt_with_msg_id_drop_since_last_clear=None, pkt_with_sref_drop_since_last_clear=None, path_errors=None, resv_errors=None, patherr_errors=None, resverr_errors=None, pathtear_errors=None, resvtear_errors=None, resvconf_errors=None, bundle_errors=None, ack_errors=None, sumrefresh_errors=None, hello_errors=None, nackobject_errors=None, path_errors_since_last_clear=None, resv_errors_since_last_clear=None, patherr_errors_since_last_clear=None, resverr_errors_since_last_clear=None, pathtear_errors_since_last_clear=None, resvtear_errors_since_last_clear=None, resvconf_errors_since_last_clear=None, bundle_errors_since_last_clear=None, ack_errors_since_last_clear=None, sumrefresh_errors_since_last_clear=None, hello_errors_since_last_clear=None, nackobject_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_pkt_bad_length: long
    :param rx_pkt_bad_length: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkt_unknown_type: long
    :param rx_pkt_unknown_type: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkt_bad_version: long
    :param rx_pkt_bad_version: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkt_bad_checksum: long
    :param rx_pkt_bad_checksum: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type mem_alloc_fail: long
    :param mem_alloc_fail: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_md5_auth_error: long
    :param rx_md5_auth_error: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type path_state_timeout: long
    :param path_state_timeout: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resv_state_timeout: long
    :param resv_state_timeout: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pkt_with_msg_id_drop: long
    :param pkt_with_msg_id_drop: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pkt_with_sref_drop: long
    :param pkt_with_sref_drop: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkt_bad_length_since_last_clear: long
    :param rx_pkt_bad_length_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkt_unknown_type_since_last_clear: long
    :param rx_pkt_unknown_type_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkt_bad_version_since_last_clear: long
    :param rx_pkt_bad_version_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_pkt_bad_checksum_since_last_clear: long
    :param rx_pkt_bad_checksum_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type mem_alloc_fail_since_last_clear: long
    :param mem_alloc_fail_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_md5_auth_error_since_last_clear: long
    :param rx_md5_auth_error_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type path_state_timeout_since_last_clear: long
    :param path_state_timeout_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resv_state_timeout_since_last_clear: long
    :param resv_state_timeout_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pkt_with_msg_id_drop_since_last_clear: long
    :param pkt_with_msg_id_drop_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pkt_with_sref_drop_since_last_clear: long
    :param pkt_with_sref_drop_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type path_errors: long
    :param path_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resv_errors: long
    :param resv_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type patherr_errors: long
    :param patherr_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resverr_errors: long
    :param resverr_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pathtear_errors: long
    :param pathtear_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvtear_errors: long
    :param resvtear_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvconf_errors: long
    :param resvconf_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type bundle_errors: long
    :param bundle_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type ack_errors: long
    :param ack_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type sumrefresh_errors: long
    :param sumrefresh_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type hello_errors: long
    :param hello_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type nackobject_errors: long
    :param nackobject_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type path_errors_since_last_clear: long
    :param path_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resv_errors_since_last_clear: long
    :param resv_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type patherr_errors_since_last_clear: long
    :param patherr_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resverr_errors_since_last_clear: long
    :param resverr_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type pathtear_errors_since_last_clear: long
    :param pathtear_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvtear_errors_since_last_clear: long
    :param resvtear_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type resvconf_errors_since_last_clear: long
    :param resvconf_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type bundle_errors_since_last_clear: long
    :param bundle_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type ack_errors_since_last_clear: long
    :param ack_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type sumrefresh_errors_since_last_clear: long
    :param sumrefresh_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type hello_errors_since_last_clear: long
    :param hello_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type nackobject_errors_since_last_clear: long
    :param nackobject_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_pkt_bad_length=rx_pkt_bad_length, rx_pkt_unknown_type=rx_pkt_unknown_type, rx_pkt_bad_version=rx_pkt_bad_version, rx_pkt_bad_checksum=rx_pkt_bad_checksum, mem_alloc_fail=mem_alloc_fail, rx_md5_auth_error=rx_md5_auth_error, path_state_timeout=path_state_timeout, resv_state_timeout=resv_state_timeout, pkt_with_msg_id_drop=pkt_with_msg_id_drop, pkt_with_sref_drop=pkt_with_sref_drop, rx_pkt_bad_length_since_last_clear=rx_pkt_bad_length_since_last_clear, rx_pkt_unknown_type_since_last_clear=rx_pkt_unknown_type_since_last_clear, rx_pkt_bad_version_since_last_clear=rx_pkt_bad_version_since_last_clear, rx_pkt_bad_checksum_since_last_clear=rx_pkt_bad_checksum_since_last_clear, mem_alloc_fail_since_last_clear=mem_alloc_fail_since_last_clear, rx_md5_auth_error_since_last_clear=rx_md5_auth_error_since_last_clear, path_state_timeout_since_last_clear=path_state_timeout_since_last_clear, resv_state_timeout_since_last_clear=resv_state_timeout_since_last_clear, pkt_with_msg_id_drop_since_last_clear=pkt_with_msg_id_drop_since_last_clear, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear, path_errors=path_errors, resv_errors=resv_errors, patherr_errors=patherr_errors, resverr_errors=resverr_errors, pathtear_errors=pathtear_errors, resvtear_errors=resvtear_errors, resvconf_errors=resvconf_errors, bundle_errors=bundle_errors, ack_errors=ack_errors, sumrefresh_errors=sumrefresh_errors, hello_errors=hello_errors, nackobject_errors=nackobject_errors, path_errors_since_last_clear=path_errors_since_last_clear, resv_errors_since_last_clear=resv_errors_since_last_clear, patherr_errors_since_last_clear=patherr_errors_since_last_clear, resverr_errors_since_last_clear=resverr_errors_since_last_clear, pathtear_errors_since_last_clear=pathtear_errors_since_last_clear, resvtear_errors_since_last_clear=resvtear_errors_since_last_clear, resvconf_errors_since_last_clear=resvconf_errors_since_last_clear, bundle_errors_since_last_clear=bundle_errors_since_last_clear, ack_errors_since_last_clear=ack_errors_since_last_clear, sumrefresh_errors_since_last_clear=sumrefresh_errors_since_last_clear, hello_errors_since_last_clear=hello_errors_since_last_clear, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_pkt_bad_length=rx_pkt_bad_length, rx_pkt_unknown_type=rx_pkt_unknown_type, rx_pkt_bad_version=rx_pkt_bad_version, rx_pkt_bad_checksum=rx_pkt_bad_checksum, mem_alloc_fail=mem_alloc_fail, rx_md5_auth_error=rx_md5_auth_error, path_state_timeout=path_state_timeout, resv_state_timeout=resv_state_timeout, pkt_with_msg_id_drop=pkt_with_msg_id_drop, pkt_with_sref_drop=pkt_with_sref_drop, rx_pkt_bad_length_since_last_clear=rx_pkt_bad_length_since_last_clear, rx_pkt_unknown_type_since_last_clear=rx_pkt_unknown_type_since_last_clear, rx_pkt_bad_version_since_last_clear=rx_pkt_bad_version_since_last_clear, rx_pkt_bad_checksum_since_last_clear=rx_pkt_bad_checksum_since_last_clear, mem_alloc_fail_since_last_clear=mem_alloc_fail_since_last_clear, rx_md5_auth_error_since_last_clear=rx_md5_auth_error_since_last_clear, path_state_timeout_since_last_clear=path_state_timeout_since_last_clear, resv_state_timeout_since_last_clear=resv_state_timeout_since_last_clear, pkt_with_msg_id_drop_since_last_clear=pkt_with_msg_id_drop_since_last_clear, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear, path_errors=path_errors, resv_errors=resv_errors, patherr_errors=patherr_errors, resverr_errors=resverr_errors, pathtear_errors=pathtear_errors, resvtear_errors=resvtear_errors, resvconf_errors=resvconf_errors, bundle_errors=bundle_errors, ack_errors=ack_errors, sumrefresh_errors=sumrefresh_errors, hello_errors=hello_errors, nackobject_errors=nackobject_errors, path_errors_since_last_clear=path_errors_since_last_clear, resv_errors_since_last_clear=resv_errors_since_last_clear, patherr_errors_since_last_clear=patherr_errors_since_last_clear, resverr_errors_since_last_clear=resverr_errors_since_last_clear, pathtear_errors_since_last_clear=pathtear_errors_since_last_clear, resvtear_errors_since_last_clear=resvtear_errors_since_last_clear, resvconf_errors_since_last_clear=resvconf_errors_since_last_clear, bundle_errors_since_last_clear=bundle_errors_since_last_clear, ack_errors_since_last_clear=ack_errors_since_last_clear, sumrefresh_errors_since_last_clear=sumrefresh_errors_since_last_clear, hello_errors_since_last_clear=hello_errors_since_last_clear, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_ack_errors_update(self, ack_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ack_errors: long
    :param ack_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ack_errors=ack_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ack_errors=ack_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_ack_errors_since_last_clear_update(self, ack_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ack_errors_since_last_clear: long
    :param ack_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ack_errors_since_last_clear=ack_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ack_errors_since_last_clear=ack_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_bundle_errors_update(self, bundle_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bundle_errors: long
    :param bundle_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bundle_errors=bundle_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bundle_errors=bundle_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_bundle_errors_since_last_clear_update(self, bundle_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bundle_errors_since_last_clear: long
    :param bundle_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bundle_errors_since_last_clear=bundle_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bundle_errors_since_last_clear=bundle_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_hello_errors_update(self, hello_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_errors: long
    :param hello_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_errors=hello_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_errors=hello_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_hello_errors_since_last_clear_update(self, hello_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_errors_since_last_clear: long
    :param hello_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_errors_since_last_clear=hello_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_errors_since_last_clear=hello_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_mem_alloc_fail_update(self, mem_alloc_fail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mem_alloc_fail: long
    :param mem_alloc_fail: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mem_alloc_fail=mem_alloc_fail)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mem_alloc_fail=mem_alloc_fail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_mem_alloc_fail_since_last_clear_update(self, mem_alloc_fail_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mem_alloc_fail_since_last_clear: long
    :param mem_alloc_fail_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mem_alloc_fail_since_last_clear=mem_alloc_fail_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mem_alloc_fail_since_last_clear=mem_alloc_fail_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_nackobject_errors_update(self, nackobject_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type nackobject_errors: long
    :param nackobject_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nackobject_errors=nackobject_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nackobject_errors=nackobject_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_nackobject_errors_since_last_clear_update(self, nackobject_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type nackobject_errors_since_last_clear: long
    :param nackobject_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_path_errors_update(self, path_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_errors: long
    :param path_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_errors=path_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_errors=path_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_path_errors_since_last_clear_update(self, path_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_errors_since_last_clear: long
    :param path_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_errors_since_last_clear=path_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_errors_since_last_clear=path_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_path_state_timeout_update(self, path_state_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_state_timeout: long
    :param path_state_timeout: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_state_timeout=path_state_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_state_timeout=path_state_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_path_state_timeout_since_last_clear_update(self, path_state_timeout_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_state_timeout_since_last_clear: long
    :param path_state_timeout_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_state_timeout_since_last_clear=path_state_timeout_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_state_timeout_since_last_clear=path_state_timeout_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_patherr_errors_update(self, patherr_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type patherr_errors: long
    :param patherr_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, patherr_errors=patherr_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, patherr_errors=patherr_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_patherr_errors_since_last_clear_update(self, patherr_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type patherr_errors_since_last_clear: long
    :param patherr_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, patherr_errors_since_last_clear=patherr_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, patherr_errors_since_last_clear=patherr_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_pathtear_errors_update(self, pathtear_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pathtear_errors: long
    :param pathtear_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pathtear_errors=pathtear_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pathtear_errors=pathtear_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_pathtear_errors_since_last_clear_update(self, pathtear_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pathtear_errors_since_last_clear: long
    :param pathtear_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pathtear_errors_since_last_clear=pathtear_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pathtear_errors_since_last_clear=pathtear_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_pkt_with_msg_id_drop_update(self, pkt_with_msg_id_drop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pkt_with_msg_id_drop: long
    :param pkt_with_msg_id_drop: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pkt_with_msg_id_drop=pkt_with_msg_id_drop)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pkt_with_msg_id_drop=pkt_with_msg_id_drop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_pkt_with_msg_id_drop_since_last_clear_update(self, pkt_with_msg_id_drop_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pkt_with_msg_id_drop_since_last_clear: long
    :param pkt_with_msg_id_drop_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pkt_with_msg_id_drop_since_last_clear=pkt_with_msg_id_drop_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pkt_with_msg_id_drop_since_last_clear=pkt_with_msg_id_drop_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_pkt_with_sref_drop_update(self, pkt_with_sref_drop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pkt_with_sref_drop: long
    :param pkt_with_sref_drop: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pkt_with_sref_drop=pkt_with_sref_drop)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pkt_with_sref_drop=pkt_with_sref_drop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_pkt_with_sref_drop_since_last_clear_update(self, pkt_with_sref_drop_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pkt_with_sref_drop_since_last_clear: long
    :param pkt_with_sref_drop_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_resv_errors_update(self, resv_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resv_errors: long
    :param resv_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resv_errors=resv_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resv_errors=resv_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_resv_errors_since_last_clear_update(self, resv_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resv_errors_since_last_clear: long
    :param resv_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resv_errors_since_last_clear=resv_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resv_errors_since_last_clear=resv_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_resv_state_timeout_update(self, resv_state_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resv_state_timeout: long
    :param resv_state_timeout: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resv_state_timeout=resv_state_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resv_state_timeout=resv_state_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_resv_state_timeout_since_last_clear_update(self, resv_state_timeout_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resv_state_timeout_since_last_clear: long
    :param resv_state_timeout_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resv_state_timeout_since_last_clear=resv_state_timeout_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resv_state_timeout_since_last_clear=resv_state_timeout_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_resvconf_errors_update(self, resvconf_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resvconf_errors: long
    :param resvconf_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resvconf_errors=resvconf_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resvconf_errors=resvconf_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_resvconf_errors_since_last_clear_update(self, resvconf_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resvconf_errors_since_last_clear: long
    :param resvconf_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resvconf_errors_since_last_clear=resvconf_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resvconf_errors_since_last_clear=resvconf_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_resverr_errors_update(self, resverr_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resverr_errors: long
    :param resverr_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resverr_errors=resverr_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resverr_errors=resverr_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_resverr_errors_since_last_clear_update(self, resverr_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resverr_errors_since_last_clear: long
    :param resverr_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resverr_errors_since_last_clear=resverr_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resverr_errors_since_last_clear=resverr_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_resvtear_errors_update(self, resvtear_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resvtear_errors: long
    :param resvtear_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resvtear_errors=resvtear_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resvtear_errors=resvtear_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_resvtear_errors_since_last_clear_update(self, resvtear_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type resvtear_errors_since_last_clear: long
    :param resvtear_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, resvtear_errors_since_last_clear=resvtear_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, resvtear_errors_since_last_clear=resvtear_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_rx_md5_auth_error_update(self, rx_md5_auth_error=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_md5_auth_error: long
    :param rx_md5_auth_error: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_md5_auth_error=rx_md5_auth_error)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_md5_auth_error=rx_md5_auth_error)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_rx_md5_auth_error_since_last_clear_update(self, rx_md5_auth_error_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_md5_auth_error_since_last_clear: long
    :param rx_md5_auth_error_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_md5_auth_error_since_last_clear=rx_md5_auth_error_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_md5_auth_error_since_last_clear=rx_md5_auth_error_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_rx_pkt_bad_checksum_update(self, rx_pkt_bad_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_pkt_bad_checksum: long
    :param rx_pkt_bad_checksum: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_pkt_bad_checksum=rx_pkt_bad_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_pkt_bad_checksum=rx_pkt_bad_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_rx_pkt_bad_checksum_since_last_clear_update(self, rx_pkt_bad_checksum_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_pkt_bad_checksum_since_last_clear: long
    :param rx_pkt_bad_checksum_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_pkt_bad_checksum_since_last_clear=rx_pkt_bad_checksum_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_pkt_bad_checksum_since_last_clear=rx_pkt_bad_checksum_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_rx_pkt_bad_length_update(self, rx_pkt_bad_length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_pkt_bad_length: long
    :param rx_pkt_bad_length: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_pkt_bad_length=rx_pkt_bad_length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_pkt_bad_length=rx_pkt_bad_length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_rx_pkt_bad_length_since_last_clear_update(self, rx_pkt_bad_length_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_pkt_bad_length_since_last_clear: long
    :param rx_pkt_bad_length_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_pkt_bad_length_since_last_clear=rx_pkt_bad_length_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_pkt_bad_length_since_last_clear=rx_pkt_bad_length_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_rx_pkt_bad_version_update(self, rx_pkt_bad_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_pkt_bad_version: long
    :param rx_pkt_bad_version: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_pkt_bad_version=rx_pkt_bad_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_pkt_bad_version=rx_pkt_bad_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_rx_pkt_bad_version_since_last_clear_update(self, rx_pkt_bad_version_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_pkt_bad_version_since_last_clear: long
    :param rx_pkt_bad_version_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_pkt_bad_version_since_last_clear=rx_pkt_bad_version_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_pkt_bad_version_since_last_clear=rx_pkt_bad_version_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_rx_pkt_unknown_type_update(self, rx_pkt_unknown_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_pkt_unknown_type: long
    :param rx_pkt_unknown_type: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_pkt_unknown_type=rx_pkt_unknown_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_pkt_unknown_type=rx_pkt_unknown_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_rx_pkt_unknown_type_since_last_clear_update(self, rx_pkt_unknown_type_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_pkt_unknown_type_since_last_clear: long
    :param rx_pkt_unknown_type_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_pkt_unknown_type_since_last_clear=rx_pkt_unknown_type_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_pkt_unknown_type_since_last_clear=rx_pkt_unknown_type_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_sumrefresh_errors_update(self, sumrefresh_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sumrefresh_errors: long
    :param sumrefresh_errors: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sumrefresh_errors=sumrefresh_errors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sumrefresh_errors=sumrefresh_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_sumrefresh_errors_since_last_clear_update(self, sumrefresh_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sumrefresh_errors_since_last_clear: long
    :param sumrefresh_errors_since_last_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sumrefresh_errors_since_last_clear=sumrefresh_errors_since_last_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sumrefresh_errors_since_last_clear=sumrefresh_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_transport_address_update(self, transport_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transport_address: unicode
    :param transport_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transport_address=transport_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transport_address=transport_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_update(self, usr_ping_count=None, usr_traceroute_count=None, echo_req_sent_count=None, echo_req_received_count=None, echo_req_timeout_count=None, echo_resp_sent_count=None, echo_resp_received_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type usr_ping_count: long
    :param usr_ping_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type usr_traceroute_count: long
    :param usr_traceroute_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type echo_req_sent_count: long
    :param echo_req_sent_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type echo_req_received_count: long
    :param echo_req_received_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type echo_req_timeout_count: long
    :param echo_req_timeout_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type echo_resp_sent_count: long
    :param echo_resp_sent_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type echo_resp_received_count: long
    :param echo_resp_received_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.statistics_oam', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, usr_ping_count=usr_ping_count, usr_traceroute_count=usr_traceroute_count, echo_req_sent_count=echo_req_sent_count, echo_req_received_count=echo_req_received_count, echo_req_timeout_count=echo_req_timeout_count, echo_resp_sent_count=echo_resp_sent_count, echo_resp_received_count=echo_resp_received_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, usr_ping_count=usr_ping_count, usr_traceroute_count=usr_traceroute_count, echo_req_sent_count=echo_req_sent_count, echo_req_received_count=echo_req_received_count, echo_req_timeout_count=echo_req_timeout_count, echo_resp_sent_count=echo_resp_sent_count, echo_resp_received_count=echo_resp_received_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_echo_req_received_count_update(self, echo_req_received_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type echo_req_received_count: long
    :param echo_req_received_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.statistics_oam', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, echo_req_received_count=echo_req_received_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, echo_req_received_count=echo_req_received_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_echo_req_sent_count_update(self, echo_req_sent_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type echo_req_sent_count: long
    :param echo_req_sent_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.statistics_oam', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, echo_req_sent_count=echo_req_sent_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, echo_req_sent_count=echo_req_sent_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_echo_req_timeout_count_update(self, echo_req_timeout_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type echo_req_timeout_count: long
    :param echo_req_timeout_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.statistics_oam', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, echo_req_timeout_count=echo_req_timeout_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, echo_req_timeout_count=echo_req_timeout_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_echo_resp_received_count_update(self, echo_resp_received_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type echo_resp_received_count: long
    :param echo_resp_received_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.statistics_oam', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, echo_resp_received_count=echo_resp_received_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, echo_resp_received_count=echo_resp_received_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_echo_resp_sent_count_update(self, echo_resp_sent_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type echo_resp_sent_count: long
    :param echo_resp_sent_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.statistics_oam', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, echo_resp_sent_count=echo_resp_sent_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, echo_resp_sent_count=echo_resp_sent_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_return_codes_update(self, return_codes=None, name=None, tx_count=None, rx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type return_codes: number
    :param return_codes: Keyword argument tuple.

    :type number: long
    :param number: **return_codes** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type name: unicode
    :param name: Keyword argument.

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'return_codes', 'keyval': 'number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, return_codes=return_codes, name=name, tx_count=tx_count, rx_count=rx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, return_codes=return_codes, name=name, tx_count=tx_count, rx_count=rx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_return_codes_name_update(self, return_codes=None, name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type return_codes: number
    :param return_codes: Keyword argument tuple.

    :type number: long
    :param number: **return_codes** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type name: unicode
    :param name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'return_codes', 'keyval': 'number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, return_codes=return_codes, name=name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, return_codes=return_codes, name=name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_return_codes_rx_count_update(self, return_codes=None, rx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type return_codes: number
    :param return_codes: Keyword argument tuple.

    :type number: long
    :param number: **return_codes** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'return_codes', 'keyval': 'number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, return_codes=return_codes, rx_count=rx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, return_codes=return_codes, rx_count=rx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_return_codes_tx_count_update(self, return_codes=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type return_codes: number
    :param return_codes: Keyword argument tuple.

    :type number: long
    :param number: **return_codes** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'return_codes', 'keyval': 'number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, return_codes=return_codes, tx_count=tx_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, return_codes=return_codes, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_usr_ping_count_update(self, usr_ping_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type usr_ping_count: long
    :param usr_ping_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.statistics_oam', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, usr_ping_count=usr_ping_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, usr_ping_count=usr_ping_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_usr_traceroute_count_update(self, usr_traceroute_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type usr_traceroute_count: long
    :param usr_traceroute_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.statistics_oam', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, usr_traceroute_count=usr_traceroute_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, usr_traceroute_count=usr_traceroute_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_update(self, paths_configured=None, lsps_configured=None, lsps_enabled=None, lsps_operational=None, detour_lsps_up=None, backup_lsps_up=None, bypass_lsps=None, bypass_lsps_up=None, bypass_lsps_enabled=None, ldp_lsps_operational=None, transit_lsps_configured=None, transit_lsps_enabled=None, transit_lsps_operational=None, cspf_groups_configured=None, tunnels_supported=None, tunnels_allocated=None, cross_connects_supported=None, cross_connects_allocated=None, auto_bw_templates_supported=None, auto_bw_templates_configured=None, times_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type paths_configured: long
    :param paths_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsps_configured: long
    :param lsps_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsps_enabled: long
    :param lsps_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsps_operational: long
    :param lsps_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type detour_lsps_up: long
    :param detour_lsps_up: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type backup_lsps_up: long
    :param backup_lsps_up: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bypass_lsps: long
    :param bypass_lsps: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bypass_lsps_up: long
    :param bypass_lsps_up: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bypass_lsps_enabled: long
    :param bypass_lsps_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ldp_lsps_operational: long
    :param ldp_lsps_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type transit_lsps_configured: long
    :param transit_lsps_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type transit_lsps_enabled: long
    :param transit_lsps_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type transit_lsps_operational: long
    :param transit_lsps_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cspf_groups_configured: long
    :param cspf_groups_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tunnels_supported: long
    :param tunnels_supported: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tunnels_allocated: long
    :param tunnels_allocated: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cross_connects_supported: long
    :param cross_connects_supported: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cross_connects_allocated: long
    :param cross_connects_allocated: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auto_bw_templates_supported: long
    :param auto_bw_templates_supported: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auto_bw_templates_configured: long
    :param auto_bw_templates_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type times_enabled: long
    :param times_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, paths_configured=paths_configured, lsps_configured=lsps_configured, lsps_enabled=lsps_enabled, lsps_operational=lsps_operational, detour_lsps_up=detour_lsps_up, backup_lsps_up=backup_lsps_up, bypass_lsps=bypass_lsps, bypass_lsps_up=bypass_lsps_up, bypass_lsps_enabled=bypass_lsps_enabled, ldp_lsps_operational=ldp_lsps_operational, transit_lsps_configured=transit_lsps_configured, transit_lsps_enabled=transit_lsps_enabled, transit_lsps_operational=transit_lsps_operational, cspf_groups_configured=cspf_groups_configured, tunnels_supported=tunnels_supported, tunnels_allocated=tunnels_allocated, cross_connects_supported=cross_connects_supported, cross_connects_allocated=cross_connects_allocated, auto_bw_templates_supported=auto_bw_templates_supported, auto_bw_templates_configured=auto_bw_templates_configured, times_enabled=times_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, paths_configured=paths_configured, lsps_configured=lsps_configured, lsps_enabled=lsps_enabled, lsps_operational=lsps_operational, detour_lsps_up=detour_lsps_up, backup_lsps_up=backup_lsps_up, bypass_lsps=bypass_lsps, bypass_lsps_up=bypass_lsps_up, bypass_lsps_enabled=bypass_lsps_enabled, ldp_lsps_operational=ldp_lsps_operational, transit_lsps_configured=transit_lsps_configured, transit_lsps_enabled=transit_lsps_enabled, transit_lsps_operational=transit_lsps_operational, cspf_groups_configured=cspf_groups_configured, tunnels_supported=tunnels_supported, tunnels_allocated=tunnels_allocated, cross_connects_supported=cross_connects_supported, cross_connects_allocated=cross_connects_allocated, auto_bw_templates_supported=auto_bw_templates_supported, auto_bw_templates_configured=auto_bw_templates_configured, times_enabled=times_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_auto_bw_templates_configured_update(self, auto_bw_templates_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auto_bw_templates_configured: long
    :param auto_bw_templates_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bw_templates_configured=auto_bw_templates_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bw_templates_configured=auto_bw_templates_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_auto_bw_templates_supported_update(self, auto_bw_templates_supported=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auto_bw_templates_supported: long
    :param auto_bw_templates_supported: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_bw_templates_supported=auto_bw_templates_supported)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bw_templates_supported=auto_bw_templates_supported)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_backup_lsps_up_update(self, backup_lsps_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type backup_lsps_up: long
    :param backup_lsps_up: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, backup_lsps_up=backup_lsps_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, backup_lsps_up=backup_lsps_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_bypass_lsps_update(self, bypass_lsps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bypass_lsps: long
    :param bypass_lsps: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsps=bypass_lsps)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsps=bypass_lsps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_bypass_lsps_enabled_update(self, bypass_lsps_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bypass_lsps_enabled: long
    :param bypass_lsps_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsps_enabled=bypass_lsps_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsps_enabled=bypass_lsps_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_bypass_lsps_up_update(self, bypass_lsps_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bypass_lsps_up: long
    :param bypass_lsps_up: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsps_up=bypass_lsps_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsps_up=bypass_lsps_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_cross_connects_allocated_update(self, cross_connects_allocated=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cross_connects_allocated: long
    :param cross_connects_allocated: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cross_connects_allocated=cross_connects_allocated)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cross_connects_allocated=cross_connects_allocated)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_cross_connects_supported_update(self, cross_connects_supported=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cross_connects_supported: long
    :param cross_connects_supported: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cross_connects_supported=cross_connects_supported)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cross_connects_supported=cross_connects_supported)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_cspf_groups_configured_update(self, cspf_groups_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cspf_groups_configured: long
    :param cspf_groups_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cspf_groups_configured=cspf_groups_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_groups_configured=cspf_groups_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_detour_lsps_up_update(self, detour_lsps_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type detour_lsps_up: long
    :param detour_lsps_up: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, detour_lsps_up=detour_lsps_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, detour_lsps_up=detour_lsps_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_ldp_lsps_operational_update(self, ldp_lsps_operational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_lsps_operational: long
    :param ldp_lsps_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_lsps_operational=ldp_lsps_operational)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_lsps_operational=ldp_lsps_operational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_lsps_configured_update(self, lsps_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsps_configured: long
    :param lsps_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsps_configured=lsps_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsps_configured=lsps_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_lsps_enabled_update(self, lsps_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsps_enabled: long
    :param lsps_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsps_enabled=lsps_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsps_enabled=lsps_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_lsps_operational_update(self, lsps_operational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsps_operational: long
    :param lsps_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsps_operational=lsps_operational)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsps_operational=lsps_operational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_paths_configured_update(self, paths_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type paths_configured: long
    :param paths_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, paths_configured=paths_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, paths_configured=paths_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_times_enabled_update(self, times_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type times_enabled: long
    :param times_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, times_enabled=times_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, times_enabled=times_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_transit_lsps_configured_update(self, transit_lsps_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transit_lsps_configured: long
    :param transit_lsps_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_lsps_configured=transit_lsps_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_lsps_configured=transit_lsps_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_transit_lsps_enabled_update(self, transit_lsps_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transit_lsps_enabled: long
    :param transit_lsps_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_lsps_enabled=transit_lsps_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_lsps_enabled=transit_lsps_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_transit_lsps_operational_update(self, transit_lsps_operational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transit_lsps_operational: long
    :param transit_lsps_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_lsps_operational=transit_lsps_operational)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_lsps_operational=transit_lsps_operational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_tunnels_allocated_update(self, tunnels_allocated=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type tunnels_allocated: long
    :param tunnels_allocated: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnels_allocated=tunnels_allocated)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnels_allocated=tunnels_allocated)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_tunnels_supported_update(self, tunnels_supported=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type tunnels_supported: long
    :param tunnels_supported: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.summary', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnels_supported=tunnels_supported)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnels_supported=tunnels_supported)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_update(self, ospf_te_enabled=None, isis_te_enabled=None, ospf_area_id=None, isis_level_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_te_enabled: YANGBool
    :param ospf_te_enabled: Keyword argument.

    :type isis_te_enabled: YANGBool
    :param isis_te_enabled: Keyword argument.

    :type ospf_area_id: unicode
    :param ospf_area_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type isis_level_id: long
    :param isis_level_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_te_enabled=ospf_te_enabled, isis_te_enabled=isis_te_enabled, ospf_area_id=ospf_area_id, isis_level_id=isis_level_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_te_enabled=ospf_te_enabled, isis_te_enabled=isis_te_enabled, ospf_area_id=ospf_area_id, isis_level_id=isis_level_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_update(self, router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type router_id: unicode
    :param router_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id=router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id=router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_update(self, area=None, igp_isis=None, igp_ospf=None, host_name=None, router_id=None, total_network_nodes=None, total_router_nodes=None, total_p2p_links=None, total_p2mp_links=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igp_isis: YANGBool
    :param igp_isis: Keyword argument.

    :type igp_ospf: YANGBool
    :param igp_ospf: Keyword argument.

    :type host_name: unicode
    :param host_name: Keyword argument.

    :type router_id: unicode
    :param router_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type total_network_nodes: long
    :param total_network_nodes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_router_nodes: long
    :param total_router_nodes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_p2p_links: long
    :param total_p2p_links: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_p2mp_links: long
    :param total_p2mp_links: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, igp_isis=igp_isis, igp_ospf=igp_ospf, host_name=host_name, router_id=router_id, total_network_nodes=total_network_nodes, total_router_nodes=total_router_nodes, total_p2p_links=total_p2p_links, total_p2mp_links=total_p2mp_links)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, igp_isis=igp_isis, igp_ospf=igp_ospf, host_name=host_name, router_id=router_id, total_network_nodes=total_network_nodes, total_router_nodes=total_router_nodes, total_p2p_links=total_p2p_links, total_p2mp_links=total_p2mp_links)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_host_name_update(self, area=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type host_name: unicode
    :param host_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, host_name=host_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_igp_isis_update(self, area=None, igp_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igp_isis: YANGBool
    :param igp_isis: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, igp_isis=igp_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, igp_isis=igp_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_igp_ospf_update(self, area=None, igp_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igp_ospf: YANGBool
    :param igp_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, igp_ospf=igp_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, igp_ospf=igp_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_update(self, area=None, node=None, igp_isis=None, igp_ospf=None, area_id=None, level_id=None, router=None, network=None, host_name=None, gen_code=None, lsa_id=None, total_p2p_links=None, total_p2mp_links=None, overloaded=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type igp_isis: YANGBool
    :param igp_isis: Keyword argument.

    :type igp_ospf: YANGBool
    :param igp_ospf: Keyword argument.

    :type area_id: unicode
    :param area_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type router: YANGBool
    :param router: Keyword argument.

    :type network: YANGBool
    :param network: Keyword argument.

    :type host_name: unicode
    :param host_name: Keyword argument.

    :type gen_code: long
    :param gen_code: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsa_id: long
    :param lsa_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_p2p_links: long
    :param total_p2p_links: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_p2mp_links: long
    :param total_p2mp_links: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type overloaded: long
    :param overloaded: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, igp_isis=igp_isis, igp_ospf=igp_ospf, area_id=area_id, level_id=level_id, router=router, network=network, host_name=host_name, gen_code=gen_code, lsa_id=lsa_id, total_p2p_links=total_p2p_links, total_p2mp_links=total_p2mp_links, overloaded=overloaded)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, igp_isis=igp_isis, igp_ospf=igp_ospf, area_id=area_id, level_id=level_id, router=router, network=network, host_name=host_name, gen_code=gen_code, lsa_id=lsa_id, total_p2p_links=total_p2p_links, total_p2mp_links=total_p2mp_links, overloaded=overloaded)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_area_id_update(self, area=None, node=None, area_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type area_id: unicode
    :param area_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, area_id=area_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, area_id=area_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_gen_code_update(self, area=None, node=None, gen_code=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type gen_code: long
    :param gen_code: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, gen_code=gen_code)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, gen_code=gen_code)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_host_name_update(self, area=None, node=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type host_name: unicode
    :param host_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, host_name=host_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_igp_isis_update(self, area=None, node=None, igp_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type igp_isis: YANGBool
    :param igp_isis: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, igp_isis=igp_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, igp_isis=igp_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_igp_ospf_update(self, area=None, node=None, igp_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type igp_ospf: YANGBool
    :param igp_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, igp_ospf=igp_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, igp_ospf=igp_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_level_id_update(self, area=None, node=None, level_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type level_id: long
    :param level_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, level_id=level_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, level_id=level_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_update(self, area=None, node=None, link=None, igp_isis=None, igp_ospf=None, area_id=None, level_id=None, local_host_name=None, remote_host_name=None, router=None, network=None, p2p=None, p2mp=None, gen_code=None, lsa_id=None, pending_delete=None, igp_metric=None, te_metric=None, admin_group=None, max_bandwidth=None, max_reservable_bandwidth=None, unreserved_priority_0_bandwidth=None, unreserved_priority_1_bandwidth=None, unreserved_priority_2_bandwidth=None, unreserved_priority_3_bandwidth=None, unreserved_priority_4_bandwidth=None, unreserved_priority_5_bandwidth=None, unreserved_priority_6_bandwidth=None, unreserved_priority_7_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type igp_isis: YANGBool
    :param igp_isis: Keyword argument.

    :type igp_ospf: YANGBool
    :param igp_ospf: Keyword argument.

    :type area_id: unicode
    :param area_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type local_host_name: unicode
    :param local_host_name: Keyword argument.

    :type remote_host_name: unicode
    :param remote_host_name: Keyword argument.

    :type router: YANGBool
    :param router: Keyword argument.

    :type network: YANGBool
    :param network: Keyword argument.

    :type p2p: YANGBool
    :param p2p: Keyword argument.

    :type p2mp: YANGBool
    :param p2mp: Keyword argument.

    :type gen_code: long
    :param gen_code: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsa_id: long
    :param lsa_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pending_delete: long
    :param pending_delete: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type igp_metric: long
    :param igp_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type te_metric: long
    :param te_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type admin_group: long
    :param admin_group: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_bandwidth: long
    :param max_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_reservable_bandwidth: long
    :param max_reservable_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_0_bandwidth: long
    :param unreserved_priority_0_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_1_bandwidth: long
    :param unreserved_priority_1_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_2_bandwidth: long
    :param unreserved_priority_2_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_3_bandwidth: long
    :param unreserved_priority_3_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_4_bandwidth: long
    :param unreserved_priority_4_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_5_bandwidth: long
    :param unreserved_priority_5_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_6_bandwidth: long
    :param unreserved_priority_6_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_7_bandwidth: long
    :param unreserved_priority_7_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, igp_isis=igp_isis, igp_ospf=igp_ospf, area_id=area_id, level_id=level_id, local_host_name=local_host_name, remote_host_name=remote_host_name, router=router, network=network, p2p=p2p, p2mp=p2mp, gen_code=gen_code, lsa_id=lsa_id, pending_delete=pending_delete, igp_metric=igp_metric, te_metric=te_metric, admin_group=admin_group, max_bandwidth=max_bandwidth, max_reservable_bandwidth=max_reservable_bandwidth, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, igp_isis=igp_isis, igp_ospf=igp_ospf, area_id=area_id, level_id=level_id, local_host_name=local_host_name, remote_host_name=remote_host_name, router=router, network=network, p2p=p2p, p2mp=p2mp, gen_code=gen_code, lsa_id=lsa_id, pending_delete=pending_delete, igp_metric=igp_metric, te_metric=te_metric, admin_group=admin_group, max_bandwidth=max_bandwidth, max_reservable_bandwidth=max_reservable_bandwidth, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_admin_group_update(self, area=None, node=None, link=None, admin_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type admin_group: long
    :param admin_group: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, admin_group=admin_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, admin_group=admin_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_area_id_update(self, area=None, node=None, link=None, area_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type area_id: unicode
    :param area_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, area_id=area_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, area_id=area_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_gen_code_update(self, area=None, node=None, link=None, gen_code=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type gen_code: long
    :param gen_code: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, gen_code=gen_code)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, gen_code=gen_code)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_igp_isis_update(self, area=None, node=None, link=None, igp_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type igp_isis: YANGBool
    :param igp_isis: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, igp_isis=igp_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, igp_isis=igp_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_igp_metric_update(self, area=None, node=None, link=None, igp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type igp_metric: long
    :param igp_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, igp_metric=igp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, igp_metric=igp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_igp_ospf_update(self, area=None, node=None, link=None, igp_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type igp_ospf: YANGBool
    :param igp_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, igp_ospf=igp_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, igp_ospf=igp_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_level_id_update(self, area=None, node=None, link=None, level_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type level_id: long
    :param level_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, level_id=level_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, level_id=level_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_local_host_name_update(self, area=None, node=None, link=None, local_host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_host_name: unicode
    :param local_host_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, local_host_name=local_host_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, local_host_name=local_host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_lsa_id_update(self, area=None, node=None, link=None, lsa_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type lsa_id: long
    :param lsa_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, lsa_id=lsa_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, lsa_id=lsa_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_max_bandwidth_update(self, area=None, node=None, link=None, max_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type max_bandwidth: long
    :param max_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, max_bandwidth=max_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, max_bandwidth=max_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_max_reservable_bandwidth_update(self, area=None, node=None, link=None, max_reservable_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type max_reservable_bandwidth: long
    :param max_reservable_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, max_reservable_bandwidth=max_reservable_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, max_reservable_bandwidth=max_reservable_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_network_update(self, area=None, node=None, link=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type network: YANGBool
    :param network: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_p2mp_update(self, area=None, node=None, link=None, p2mp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type p2mp: YANGBool
    :param p2mp: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, p2mp=p2mp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, p2mp=p2mp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_p2p_update(self, area=None, node=None, link=None, p2p=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type p2p: YANGBool
    :param p2p: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, p2p=p2p)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, p2p=p2p)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_pending_delete_update(self, area=None, node=None, link=None, pending_delete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type pending_delete: long
    :param pending_delete: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, pending_delete=pending_delete)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, pending_delete=pending_delete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_remote_host_name_update(self, area=None, node=None, link=None, remote_host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_host_name: unicode
    :param remote_host_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, remote_host_name=remote_host_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, remote_host_name=remote_host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_router_update(self, area=None, node=None, link=None, router=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type router: YANGBool
    :param router: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, router=router)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, router=router)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_srlg_update(self, area=None, node=None, link=None, srlg=None, penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type srlg: name
    :param srlg: Keyword argument tuple.

    :type name: unicode
    :param name: **srlg** tuple argument.

    **Instance Argument(s)**:

    :type penalty: long
    :param penalty: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link.srlg', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, srlg=srlg, penalty=penalty)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, srlg=srlg, penalty=penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_srlg_penalty_update(self, area=None, node=None, link=None, srlg=None, penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type srlg: name
    :param srlg: Keyword argument tuple.

    :type name: unicode
    :param name: **srlg** tuple argument.

    **Instance Argument(s)**:

    :type penalty: long
    :param penalty: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', u'link'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link.srlg', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, srlg=srlg, penalty=penalty)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, srlg=srlg, penalty=penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_te_metric_update(self, area=None, node=None, link=None, te_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type te_metric: long
    :param te_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, te_metric=te_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, te_metric=te_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_unreserved_priority_0_bandwidth_update(self, area=None, node=None, link=None, unreserved_priority_0_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type unreserved_priority_0_bandwidth: long
    :param unreserved_priority_0_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_unreserved_priority_1_bandwidth_update(self, area=None, node=None, link=None, unreserved_priority_1_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type unreserved_priority_1_bandwidth: long
    :param unreserved_priority_1_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_unreserved_priority_2_bandwidth_update(self, area=None, node=None, link=None, unreserved_priority_2_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type unreserved_priority_2_bandwidth: long
    :param unreserved_priority_2_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_unreserved_priority_3_bandwidth_update(self, area=None, node=None, link=None, unreserved_priority_3_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type unreserved_priority_3_bandwidth: long
    :param unreserved_priority_3_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_unreserved_priority_4_bandwidth_update(self, area=None, node=None, link=None, unreserved_priority_4_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type unreserved_priority_4_bandwidth: long
    :param unreserved_priority_4_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_unreserved_priority_5_bandwidth_update(self, area=None, node=None, link=None, unreserved_priority_5_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type unreserved_priority_5_bandwidth: long
    :param unreserved_priority_5_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_unreserved_priority_6_bandwidth_update(self, area=None, node=None, link=None, unreserved_priority_6_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type unreserved_priority_6_bandwidth: long
    :param unreserved_priority_6_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_unreserved_priority_7_bandwidth_update(self, area=None, node=None, link=None, unreserved_priority_7_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type unreserved_priority_7_bandwidth: long
    :param unreserved_priority_7_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.link', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, link=link, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_lsa_id_update(self, area=None, node=None, lsa_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type lsa_id: long
    :param lsa_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, lsa_id=lsa_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, lsa_id=lsa_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_network_update(self, area=None, node=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type network: YANGBool
    :param network: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_overloaded_update(self, area=None, node=None, overloaded=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type overloaded: long
    :param overloaded: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, overloaded=overloaded)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, overloaded=overloaded)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_router_update(self, area=None, node=None, router=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type router: YANGBool
    :param router: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, router=router)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, router=router)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_srlg_update(self, area=None, node=None, srlg=None, penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type srlg: name
    :param srlg: Keyword argument tuple.

    :type name: unicode
    :param name: **srlg** tuple argument.

    **Instance Argument(s)**:

    :type penalty: long
    :param penalty: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.srlg', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, srlg=srlg, penalty=penalty)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, srlg=srlg, penalty=penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_srlg_penalty_update(self, area=None, node=None, srlg=None, penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type srlg: name
    :param srlg: Keyword argument tuple.

    :type name: unicode
    :param name: **srlg** tuple argument.

    **Instance Argument(s)**:

    :type penalty: long
    :param penalty: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node.srlg', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, srlg=srlg, penalty=penalty)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, srlg=srlg, penalty=penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_total_p2mp_links_update(self, area=None, node=None, total_p2mp_links=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type total_p2mp_links: long
    :param total_p2mp_links: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, total_p2mp_links=total_p2mp_links)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, total_p2mp_links=total_p2mp_links)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_total_p2p_links_update(self, area=None, node=None, total_p2p_links=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type total_p2p_links: long
    :param total_p2p_links: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area.node', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, node=node, total_p2p_links=total_p2p_links)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, total_p2p_links=total_p2p_links)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_router_id_update(self, area=None, router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type router_id: unicode
    :param router_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, router_id=router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, router_id=router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_total_network_nodes_update(self, area=None, total_network_nodes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type total_network_nodes: long
    :param total_network_nodes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, total_network_nodes=total_network_nodes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, total_network_nodes=total_network_nodes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_total_p2mp_links_update(self, area=None, total_p2mp_links=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type total_p2mp_links: long
    :param total_p2mp_links: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, total_p2mp_links=total_p2mp_links)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, total_p2mp_links=total_p2mp_links)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_total_p2p_links_update(self, area=None, total_p2p_links=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type total_p2p_links: long
    :param total_p2p_links: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, total_p2p_links=total_p2p_links)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, total_p2p_links=total_p2p_links)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_total_router_nodes_update(self, area=None, total_router_nodes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type total_router_nodes: long
    :param total_router_nodes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database.area', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, area=area, total_router_nodes=total_router_nodes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, total_router_nodes=total_router_nodes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_router_id_update(self, router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type router_id: unicode
    :param router_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.database', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id=router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id=router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_isis_level_id_update(self, isis_level_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_level_id: long
    :param isis_level_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_level_id=isis_level_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_level_id=isis_level_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_isis_te_enabled_update(self, isis_te_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_te_enabled: YANGBool
    :param isis_te_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_te_enabled=isis_te_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_te_enabled=isis_te_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_ospf_area_id_update(self, ospf_area_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_area_id: unicode
    :param ospf_area_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_area_id=ospf_area_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_area_id=ospf_area_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_ospf_te_enabled_update(self, ospf_te_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_te_enabled: YANGBool
    :param ospf_te_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_te_enabled=ospf_te_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_te_enabled=ospf_te_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_router_id_map_update(self, router_id_map=None, router_id=None, resolved=None, igp_isis=None, igp_ospf=None, isis_level=None, ospf_area=None, origin_ted=None, origin_path=None, origin_lsp=None, origin_other=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type router_id_map: ip_address
    :param router_id_map: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **router_id_map** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type router_id: unicode
    :param router_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type resolved: YANGBool
    :param resolved: Keyword argument.

    :type igp_isis: YANGBool
    :param igp_isis: Keyword argument.

    :type igp_ospf: YANGBool
    :param igp_ospf: Keyword argument.

    :type isis_level: long
    :param isis_level: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf_area: unicode
    :param ospf_area: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type origin_ted: YANGBool
    :param origin_ted: Keyword argument.

    :type origin_path: long
    :param origin_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type origin_lsp: long
    :param origin_lsp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type origin_other: YANGBool
    :param origin_other: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.router_id_map', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id_map=router_id_map, router_id=router_id, resolved=resolved, igp_isis=igp_isis, igp_ospf=igp_ospf, isis_level=isis_level, ospf_area=ospf_area, origin_ted=origin_ted, origin_path=origin_path, origin_lsp=origin_lsp, origin_other=origin_other)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id_map=router_id_map, router_id=router_id, resolved=resolved, igp_isis=igp_isis, igp_ospf=igp_ospf, isis_level=isis_level, ospf_area=ospf_area, origin_ted=origin_ted, origin_path=origin_path, origin_lsp=origin_lsp, origin_other=origin_other)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_router_id_map_igp_isis_update(self, router_id_map=None, igp_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type router_id_map: ip_address
    :param router_id_map: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **router_id_map** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type igp_isis: YANGBool
    :param igp_isis: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.router_id_map', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id_map=router_id_map, igp_isis=igp_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id_map=router_id_map, igp_isis=igp_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_router_id_map_igp_ospf_update(self, router_id_map=None, igp_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type router_id_map: ip_address
    :param router_id_map: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **router_id_map** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type igp_ospf: YANGBool
    :param igp_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.router_id_map', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id_map=router_id_map, igp_ospf=igp_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id_map=router_id_map, igp_ospf=igp_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_router_id_map_isis_level_update(self, router_id_map=None, isis_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type router_id_map: ip_address
    :param router_id_map: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **router_id_map** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type isis_level: long
    :param isis_level: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.router_id_map', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id_map=router_id_map, isis_level=isis_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id_map=router_id_map, isis_level=isis_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_router_id_map_origin_lsp_update(self, router_id_map=None, origin_lsp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type router_id_map: ip_address
    :param router_id_map: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **router_id_map** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type origin_lsp: long
    :param origin_lsp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.router_id_map', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id_map=router_id_map, origin_lsp=origin_lsp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id_map=router_id_map, origin_lsp=origin_lsp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_router_id_map_origin_other_update(self, router_id_map=None, origin_other=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type router_id_map: ip_address
    :param router_id_map: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **router_id_map** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type origin_other: YANGBool
    :param origin_other: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.router_id_map', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id_map=router_id_map, origin_other=origin_other)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id_map=router_id_map, origin_other=origin_other)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_router_id_map_origin_path_update(self, router_id_map=None, origin_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type router_id_map: ip_address
    :param router_id_map: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **router_id_map** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type origin_path: long
    :param origin_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.router_id_map', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id_map=router_id_map, origin_path=origin_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id_map=router_id_map, origin_path=origin_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_router_id_map_origin_ted_update(self, router_id_map=None, origin_ted=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type router_id_map: ip_address
    :param router_id_map: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **router_id_map** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type origin_ted: YANGBool
    :param origin_ted: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.router_id_map', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id_map=router_id_map, origin_ted=origin_ted)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id_map=router_id_map, origin_ted=origin_ted)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_router_id_map_ospf_area_update(self, router_id_map=None, ospf_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type router_id_map: ip_address
    :param router_id_map: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **router_id_map** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ospf_area: unicode
    :param ospf_area: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.router_id_map', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id_map=router_id_map, ospf_area=ospf_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id_map=router_id_map, ospf_area=ospf_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_router_id_map_resolved_update(self, router_id_map=None, resolved=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type router_id_map: ip_address
    :param router_id_map: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **router_id_map** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type resolved: YANGBool
    :param resolved: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.router_id_map', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id_map=router_id_map, resolved=resolved)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id_map=router_id_map, resolved=resolved)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_router_id_map_router_id_update(self, router_id_map=None, router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type router_id_map: ip_address
    :param router_id_map: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **router_id_map** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type router_id: unicode
    :param router_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.te.router_id_map', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, router_id_map=router_id_map, router_id=router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id_map=router_id_map, router_id=router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_update(self, transit_traffic_statistics=None, protocol=None, statistics_valid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type transit_traffic_statistics: in_label
    :param transit_traffic_statistics: Keyword argument tuple.

    :type in_label: long
    :param in_label: **transit_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-protocol-none',
            'mpls-protocol-ldp',
            'mpls-protocol-rsvp']

    :type statistics_valid: YANGBool
    :param statistics_valid: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'transit_traffic_statistics', 'keyval': 'in_label', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_traffic_statistics=transit_traffic_statistics, protocol=protocol, statistics_valid=statistics_valid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_traffic_statistics=transit_traffic_statistics, protocol=protocol, statistics_valid=statistics_valid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_protocol_update(self, transit_traffic_statistics=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type transit_traffic_statistics: in_label
    :param transit_traffic_statistics: Keyword argument tuple.

    :type in_label: long
    :param in_label: **transit_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-protocol-none',
            'mpls-protocol-ldp',
            'mpls-protocol-rsvp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'transit_traffic_statistics', 'keyval': 'in_label', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_traffic_statistics=transit_traffic_statistics, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_traffic_statistics=transit_traffic_statistics, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_statistics_update(self, transit_traffic_statistics=None, number_of_packets=None, number_of_packets_since_clear=None, number_of_bytes=None, number_of_bytes_since_clear=None, packets_per_second=None, bytes_per_second=None, averaging_interval_seconds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type transit_traffic_statistics: in_label
    :param transit_traffic_statistics: Keyword argument tuple.

    :type in_label: long
    :param in_label: **transit_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type number_of_packets: long
    :param number_of_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type number_of_packets_since_clear: long
    :param number_of_packets_since_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type number_of_bytes: long
    :param number_of_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type number_of_bytes_since_clear: long
    :param number_of_bytes_since_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type packets_per_second: long
    :param packets_per_second: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type bytes_per_second: long
    :param bytes_per_second: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type averaging_interval_seconds: long
    :param averaging_interval_seconds: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics'), ('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'in_label', 'extra_keyval': ''}, {'keyval': 'in_label', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_traffic_statistics=transit_traffic_statistics, number_of_packets=number_of_packets, number_of_packets_since_clear=number_of_packets_since_clear, number_of_bytes=number_of_bytes, number_of_bytes_since_clear=number_of_bytes_since_clear, packets_per_second=packets_per_second, bytes_per_second=bytes_per_second, averaging_interval_seconds=averaging_interval_seconds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_traffic_statistics=transit_traffic_statistics, number_of_packets=number_of_packets, number_of_packets_since_clear=number_of_packets_since_clear, number_of_bytes=number_of_bytes, number_of_bytes_since_clear=number_of_bytes_since_clear, packets_per_second=packets_per_second, bytes_per_second=bytes_per_second, averaging_interval_seconds=averaging_interval_seconds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_statistics_averaging_interval_seconds_update(self, transit_traffic_statistics=None, averaging_interval_seconds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type transit_traffic_statistics: in_label
    :param transit_traffic_statistics: Keyword argument tuple.

    :type in_label: long
    :param in_label: **transit_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type averaging_interval_seconds: long
    :param averaging_interval_seconds: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics'), ('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'in_label', 'extra_keyval': ''}, {'keyval': 'in_label', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_traffic_statistics=transit_traffic_statistics, averaging_interval_seconds=averaging_interval_seconds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_traffic_statistics=transit_traffic_statistics, averaging_interval_seconds=averaging_interval_seconds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_statistics_bytes_per_second_update(self, transit_traffic_statistics=None, bytes_per_second=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type transit_traffic_statistics: in_label
    :param transit_traffic_statistics: Keyword argument tuple.

    :type in_label: long
    :param in_label: **transit_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bytes_per_second: long
    :param bytes_per_second: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics'), ('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'in_label', 'extra_keyval': ''}, {'keyval': 'in_label', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_traffic_statistics=transit_traffic_statistics, bytes_per_second=bytes_per_second)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_traffic_statistics=transit_traffic_statistics, bytes_per_second=bytes_per_second)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_statistics_number_of_bytes_update(self, transit_traffic_statistics=None, number_of_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type transit_traffic_statistics: in_label
    :param transit_traffic_statistics: Keyword argument tuple.

    :type in_label: long
    :param in_label: **transit_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type number_of_bytes: long
    :param number_of_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics'), ('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'in_label', 'extra_keyval': ''}, {'keyval': 'in_label', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_traffic_statistics=transit_traffic_statistics, number_of_bytes=number_of_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_traffic_statistics=transit_traffic_statistics, number_of_bytes=number_of_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_statistics_number_of_bytes_since_clear_update(self, transit_traffic_statistics=None, number_of_bytes_since_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type transit_traffic_statistics: in_label
    :param transit_traffic_statistics: Keyword argument tuple.

    :type in_label: long
    :param in_label: **transit_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type number_of_bytes_since_clear: long
    :param number_of_bytes_since_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics'), ('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'in_label', 'extra_keyval': ''}, {'keyval': 'in_label', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_traffic_statistics=transit_traffic_statistics, number_of_bytes_since_clear=number_of_bytes_since_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_traffic_statistics=transit_traffic_statistics, number_of_bytes_since_clear=number_of_bytes_since_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_statistics_number_of_packets_update(self, transit_traffic_statistics=None, number_of_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type transit_traffic_statistics: in_label
    :param transit_traffic_statistics: Keyword argument tuple.

    :type in_label: long
    :param in_label: **transit_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type number_of_packets: long
    :param number_of_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics'), ('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'in_label', 'extra_keyval': ''}, {'keyval': 'in_label', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_traffic_statistics=transit_traffic_statistics, number_of_packets=number_of_packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_traffic_statistics=transit_traffic_statistics, number_of_packets=number_of_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_statistics_number_of_packets_since_clear_update(self, transit_traffic_statistics=None, number_of_packets_since_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type transit_traffic_statistics: in_label
    :param transit_traffic_statistics: Keyword argument tuple.

    :type in_label: long
    :param in_label: **transit_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type number_of_packets_since_clear: long
    :param number_of_packets_since_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics'), ('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'in_label', 'extra_keyval': ''}, {'keyval': 'in_label', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_traffic_statistics=transit_traffic_statistics, number_of_packets_since_clear=number_of_packets_since_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_traffic_statistics=transit_traffic_statistics, number_of_packets_since_clear=number_of_packets_since_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_statistics_packets_per_second_update(self, transit_traffic_statistics=None, packets_per_second=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type transit_traffic_statistics: in_label
    :param transit_traffic_statistics: Keyword argument tuple.

    :type in_label: long
    :param in_label: **transit_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type packets_per_second: long
    :param packets_per_second: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics'), ('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'in_label', 'extra_keyval': ''}, {'keyval': 'in_label', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_traffic_statistics=transit_traffic_statistics, packets_per_second=packets_per_second)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_traffic_statistics=transit_traffic_statistics, packets_per_second=packets_per_second)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_statistics_valid_update(self, transit_traffic_statistics=None, statistics_valid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type transit_traffic_statistics: in_label
    :param transit_traffic_statistics: Keyword argument tuple.

    :type in_label: long
    :param in_label: **transit_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_valid: YANGBool
    :param statistics_valid: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.transit_traffic_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'transit_traffic_statistics', 'keyval': 'in_label', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_traffic_statistics=transit_traffic_statistics, statistics_valid=statistics_valid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_traffic_statistics=transit_traffic_statistics, statistics_valid=statistics_valid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_update(self, tunnel_traffic_statistics=None, protocol=None, name=None, is_bypass=None, statistics_valid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-protocol-none',
            'mpls-protocol-ldp',
            'mpls-protocol-rsvp']

    :type name: unicode
    :param name: Keyword argument.

    :type is_bypass: YANGBool
    :param is_bypass: Keyword argument.

    :type statistics_valid: YANGBool
    :param statistics_valid: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel_traffic_statistics', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_traffic_statistics=tunnel_traffic_statistics, protocol=protocol, name=name, is_bypass=is_bypass, statistics_valid=statistics_valid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, protocol=protocol, name=name, is_bypass=is_bypass, statistics_valid=statistics_valid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_is_bypass_update(self, tunnel_traffic_statistics=None, is_bypass=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_bypass: YANGBool
    :param is_bypass: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel_traffic_statistics', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_traffic_statistics=tunnel_traffic_statistics, is_bypass=is_bypass)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, is_bypass=is_bypass)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_name_update(self, tunnel_traffic_statistics=None, name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type name: unicode
    :param name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel_traffic_statistics', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_traffic_statistics=tunnel_traffic_statistics, name=name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, name=name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_protocol_update(self, tunnel_traffic_statistics=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-protocol-none',
            'mpls-protocol-ldp',
            'mpls-protocol-rsvp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel_traffic_statistics', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_traffic_statistics=tunnel_traffic_statistics, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_statistics_update(self, tunnel_traffic_statistics=None, number_of_packets=None, number_of_packets_since_clear=None, number_of_bytes=None, number_of_bytes_since_clear=None, packets_per_second=None, bytes_per_second=None, averaging_interval_seconds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type number_of_packets: long
    :param number_of_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type number_of_packets_since_clear: long
    :param number_of_packets_since_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type number_of_bytes: long
    :param number_of_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type number_of_bytes_since_clear: long
    :param number_of_bytes_since_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type packets_per_second: long
    :param packets_per_second: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type bytes_per_second: long
    :param bytes_per_second: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type averaging_interval_seconds: long
    :param averaging_interval_seconds: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': ''}, {'keyval': 'index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_packets=number_of_packets, number_of_packets_since_clear=number_of_packets_since_clear, number_of_bytes=number_of_bytes, number_of_bytes_since_clear=number_of_bytes_since_clear, packets_per_second=packets_per_second, bytes_per_second=bytes_per_second, averaging_interval_seconds=averaging_interval_seconds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_packets=number_of_packets, number_of_packets_since_clear=number_of_packets_since_clear, number_of_bytes=number_of_bytes, number_of_bytes_since_clear=number_of_bytes_since_clear, packets_per_second=packets_per_second, bytes_per_second=bytes_per_second, averaging_interval_seconds=averaging_interval_seconds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_statistics_averaging_interval_seconds_update(self, tunnel_traffic_statistics=None, averaging_interval_seconds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type averaging_interval_seconds: long
    :param averaging_interval_seconds: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': ''}, {'keyval': 'index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_traffic_statistics=tunnel_traffic_statistics, averaging_interval_seconds=averaging_interval_seconds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, averaging_interval_seconds=averaging_interval_seconds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_statistics_bytes_per_second_update(self, tunnel_traffic_statistics=None, bytes_per_second=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bytes_per_second: long
    :param bytes_per_second: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': ''}, {'keyval': 'index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_traffic_statistics=tunnel_traffic_statistics, bytes_per_second=bytes_per_second)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, bytes_per_second=bytes_per_second)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_statistics_number_of_bytes_update(self, tunnel_traffic_statistics=None, number_of_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type number_of_bytes: long
    :param number_of_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': ''}, {'keyval': 'index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_bytes=number_of_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_bytes=number_of_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_statistics_number_of_bytes_since_clear_update(self, tunnel_traffic_statistics=None, number_of_bytes_since_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type number_of_bytes_since_clear: long
    :param number_of_bytes_since_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': ''}, {'keyval': 'index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_bytes_since_clear=number_of_bytes_since_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_bytes_since_clear=number_of_bytes_since_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_statistics_number_of_packets_update(self, tunnel_traffic_statistics=None, number_of_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type number_of_packets: long
    :param number_of_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': ''}, {'keyval': 'index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_packets=number_of_packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_packets=number_of_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_statistics_number_of_packets_since_clear_update(self, tunnel_traffic_statistics=None, number_of_packets_since_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type number_of_packets_since_clear: long
    :param number_of_packets_since_clear: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': ''}, {'keyval': 'index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_packets_since_clear=number_of_packets_since_clear)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_packets_since_clear=number_of_packets_since_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_statistics_packets_per_second_update(self, tunnel_traffic_statistics=None, packets_per_second=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type packets_per_second: long
    :param packets_per_second: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': ''}, {'keyval': 'index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_traffic_statistics=tunnel_traffic_statistics, packets_per_second=packets_per_second)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, packets_per_second=packets_per_second)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_statistics_valid_update(self, tunnel_traffic_statistics=None, statistics_valid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_valid: YANGBool
    :param statistics_valid: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v17r_1_00a.brocade_mpls_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel_traffic_statistics', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnel_traffic_statistics=tunnel_traffic_statistics, statistics_valid=statistics_valid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, statistics_valid=statistics_valid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mtu_update(self, global_l2_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type global_l2_mtu: long
    :param global_l2_mtu: Set L2 mtu value to all interfaces of this cluster

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.global_mtu_conf', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.global_mtu_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_l2_mtu=global_l2_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_l2_mtu=global_l2_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nas_auto_qos_set_update(self, cos=None, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cos: long
    :param cos: Class Of Service

        * range restriction: ::

            ['0..4294967295']

    :type dscp: long
    :param dscp: Differentiated Services Code Point

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.nas.auto_qos.set_', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nas.auto_qos.set_', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nas.auto_qos.set_', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.auto_qos.set_', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.nas.auto_qos.set_', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos=cos, dscp=dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos=cos, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nas_auto_qos_set_cos_update(self, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cos: long
    :param cos: Class Of Service

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.nas.auto_qos.set_', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nas.auto_qos.set_', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nas.auto_qos.set_', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.auto_qos.set_', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.nas.auto_qos.set_', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos=cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nas_auto_qos_set_dscp_update(self, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dscp: long
    :param dscp: Differentiated Services Code Point

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.nas.auto_qos.set_', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nas.auto_qos.set_', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nas.auto_qos.set_', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.auto_qos.set_', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.nas.auto_qos.set_', 'pybind.slxos.v17r_1_00a.brocade_qos_cee', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp=dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nsx_controller_update(self, nsx_controller=None, reconnect_interval=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type nsx_controller: name
    :param nsx_controller: Keyword argument tuple.

    :type name: unicode
    :param name: **nsx_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type reconnect_interval: long
    :param reconnect_interval: Reconnect interval

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Activate the connection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.nsx_controller', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nsx_controller', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nsx_controller', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.nsx_controller', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'nsx_controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsx_controller=nsx_controller, reconnect_interval=reconnect_interval, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsx_controller=nsx_controller, reconnect_interval=reconnect_interval, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nsx_controller_activate_update(self, nsx_controller=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type nsx_controller: name
    :param nsx_controller: Keyword argument tuple.

    :type name: unicode
    :param name: **nsx_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the connection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.nsx_controller', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nsx_controller', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nsx_controller', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.nsx_controller', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'nsx_controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsx_controller=nsx_controller, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsx_controller=nsx_controller, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nsx_controller_ip_update(self, nsx_controller=None, address=None, port=None, method=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type nsx_controller: name
    :param nsx_controller: Keyword argument tuple.

    :type name: unicode
    :param name: **nsx_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address of NSX controller

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type port: long
    :param port: NSX controller port number

        * range restriction: ::

            ['0..4294967295']

    :type method: unicode
    :param method: Connection method

        * enumeration restriction: ::

            ['ssl', 'tcp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_1_0.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_0_1b.nsx_controller', 'nsx_controller'), ('pybind.slxos.v17r_1_00a.nsx_controller', 'nsx_controller'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'nsx_controller')]
    bindings_list = [('pybind.nos.v6_0_2c.nsx_controller.connection_addr', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nsx_controller.connection_addr', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nsx_controller.connection_addr', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller.connection_addr', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.nsx_controller.connection_addr', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'address, port, method'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsx_controller=nsx_controller, address=address, port=port, method=method)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsx_controller=nsx_controller, address=address, port=port, method=method)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nsx_controller_ip_address_update(self, nsx_controller=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type nsx_controller: name
    :param nsx_controller: Keyword argument tuple.

    :type name: unicode
    :param name: **nsx_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address of NSX controller

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_1_0.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_0_1b.nsx_controller', 'nsx_controller'), ('pybind.slxos.v17r_1_00a.nsx_controller', 'nsx_controller'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'nsx_controller')]
    bindings_list = [('pybind.nos.v6_0_2c.nsx_controller.connection_addr', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nsx_controller.connection_addr', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nsx_controller.connection_addr', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller.connection_addr', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.nsx_controller.connection_addr', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsx_controller=nsx_controller, address=address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsx_controller=nsx_controller, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nsx_controller_ip_method_update(self, nsx_controller=None, method=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type nsx_controller: name
    :param nsx_controller: Keyword argument tuple.

    :type name: unicode
    :param name: **nsx_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type method: unicode
    :param method: Connection method

        * enumeration restriction: ::

            ['ssl', 'tcp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_1_0.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_0_1b.nsx_controller', 'nsx_controller'), ('pybind.slxos.v17r_1_00a.nsx_controller', 'nsx_controller'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'nsx_controller')]
    bindings_list = [('pybind.nos.v6_0_2c.nsx_controller.connection_addr', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nsx_controller.connection_addr', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nsx_controller.connection_addr', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller.connection_addr', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.nsx_controller.connection_addr', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsx_controller=nsx_controller, method=method)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsx_controller=nsx_controller, method=method)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nsx_controller_ip_port_update(self, nsx_controller=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type nsx_controller: name
    :param nsx_controller: Keyword argument tuple.

    :type name: unicode
    :param name: **nsx_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type port: long
    :param port: NSX controller port number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_1_0.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_0_1b.nsx_controller', 'nsx_controller'), ('pybind.slxos.v17r_1_00a.nsx_controller', 'nsx_controller'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'nsx_controller')]
    bindings_list = [('pybind.nos.v6_0_2c.nsx_controller.connection_addr', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nsx_controller.connection_addr', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nsx_controller.connection_addr', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller.connection_addr', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.nsx_controller.connection_addr', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsx_controller=nsx_controller, port=port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsx_controller=nsx_controller, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nsx_controller_reconnect_interval_update(self, nsx_controller=None, reconnect_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type nsx_controller: name
    :param nsx_controller: Keyword argument tuple.

    :type name: unicode
    :param name: **nsx_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type reconnect_interval: long
    :param reconnect_interval: Reconnect interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.nsx_controller', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nsx_controller', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nsx_controller', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.nsx_controller', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'nsx_controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsx_controller=nsx_controller, reconnect_interval=reconnect_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsx_controller=nsx_controller, reconnect_interval=reconnect_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ntp_update(self, source_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type source_ip: unicode
    :param source_ip: Configure the source ip to be used for NTP

        * enumeration restriction: ::

            ['chassis-ip', 'mm-ip']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ntp', 'pybind.nos.v6_0_2c.brocade_ntp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ntp', 'pybind.nos.v7_0_1b.brocade_ntp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ntp', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ntp', 'pybind.slxos.v17r_1_00a.brocade_ntp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, source_ip=source_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, source_ip=source_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ntp_authentication_key_update(self, authentication_key=None, md5=None, sha1=None, encryption_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type authentication_key: keyid, md5, sha1, encryption_level
    :param authentication_key: Keyword argument tuple.

    :type keyid: long
    :param keyid: **authentication_key** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type md5: unicode
    :param md5: **authentication_key** tuple argument:  MD5 Encryption

        * length restriction: ::

            ['1 .. max']

    :type sha1: unicode
    :param sha1: **authentication_key** tuple argument:  SHA1 Encryption

        * length restriction: ::

            ['1 .. max']

    :type encryption_level: unicode
    :param encryption_level: **authentication_key** tuple argument:  Level of encryption of the md5 key (default=7)

        * enumeration restriction: ::

            ['0', '7']

    **Instance Argument(s)**:

    :type md5: unicode
    :param md5: MD5 Encryption. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1 .. max']

    :type sha1: unicode
    :param sha1: SHA1 Encryption. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1 .. max']

    :type encryption_level: unicode
    :param encryption_level: Level of encryption of the md5 key (default=7)

        * enumeration restriction: ::

            ['0', '7']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ntp.authentication_key', 'pybind.nos.v6_0_2c.brocade_ntp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ntp.authentication_key', 'pybind.nos.v7_0_1b.brocade_ntp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ntp.authentication_key', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.authentication_key', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ntp.authentication_key', 'pybind.slxos.v17r_1_00a.brocade_ntp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'authentication_key', 'keyval': 'keyid', 'extra_keyval': 'keyid, md5, sha1, encryption_level'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.ntp.authentication_key": {"encryption_level": "encryption_level", "sha1": "sha1", "keyid": "keyid", "md5": "md5"}, "pybind.nos.v7_0_1b.ntp.authentication_key": {"encryption_level": "encryption_level", "sha1": "sha1", "keyid": "keyid", "md5": "md5"}, "pybind.slxos.v16r_1_00b.ntp.authentication_key": {}, "pybind.nos.v7_1_0.ntp.authentication_key": {"encryption_level": "encryption_level", "sha1": "sha1", "keyid": "keyid", "md5": "md5"}, "pybind.slxos.v17r_1_00a.ntp.authentication_key": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.ntp.authentication_key': [u'md5', u'sha1'], 'pybind.nos.v7_0_1b.ntp.authentication_key': [u'md5', u'sha1'], 'pybind.nos.v7_1_0.ntp.authentication_key': [u'md5', u'sha1']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, authentication_key=authentication_key, md5=md5, sha1=sha1, encryption_level=encryption_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, authentication_key=authentication_key, md5=md5, sha1=sha1, encryption_level=encryption_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ntp_authentication_key_encryption_level_update(self, authentication_key=None, encryption_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type authentication_key: keyid
    :param authentication_key: Keyword argument tuple.

    :type keyid: long
    :param keyid: **authentication_key** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type encryption_level: unicode
    :param encryption_level: Level of encryption of the md5 key (default=7)

        * enumeration restriction: ::

            ['0', '7']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ntp.authentication_key', 'pybind.nos.v6_0_2c.brocade_ntp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ntp.authentication_key', 'pybind.nos.v7_0_1b.brocade_ntp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ntp.authentication_key', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'authentication_key', 'keyval': 'keyid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, authentication_key=authentication_key, encryption_level=encryption_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, authentication_key=authentication_key, encryption_level=encryption_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ntp_authentication_key_md5_update(self, authentication_key=None, md5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type authentication_key: keyid
    :param authentication_key: Keyword argument tuple.

    :type keyid: long
    :param keyid: **authentication_key** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type md5: unicode
    :param md5: MD5 Encryption

        * length restriction: ::

            ['1 .. max']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ntp.authentication_key', 'pybind.nos.v6_0_2c.brocade_ntp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ntp.authentication_key', 'pybind.nos.v7_0_1b.brocade_ntp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ntp.authentication_key', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.authentication_key', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ntp.authentication_key', 'pybind.slxos.v17r_1_00a.brocade_ntp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'authentication_key', 'keyval': 'keyid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, authentication_key=authentication_key, md5=md5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, authentication_key=authentication_key, md5=md5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ntp_authentication_key_sha1_update(self, authentication_key=None, sha1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type authentication_key: keyid
    :param authentication_key: Keyword argument tuple.

    :type keyid: long
    :param keyid: **authentication_key** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sha1: unicode
    :param sha1: SHA1 Encryption

        * length restriction: ::

            ['1 .. max']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ntp.authentication_key', 'pybind.nos.v6_0_2c.brocade_ntp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ntp.authentication_key', 'pybind.nos.v7_0_1b.brocade_ntp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ntp.authentication_key', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'authentication_key', 'keyval': 'keyid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, authentication_key=authentication_key, sha1=sha1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, authentication_key=authentication_key, sha1=sha1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ntp_server_update(self, server=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type server: ip
    :param server: Keyword argument tuple.

    :type ip: unicode
    :param ip: **server** tuple argument:  Network Time Protocol server ip address(es)

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type key: long
    :param key: authentication key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ntp.server', 'pybind.nos.v6_0_2c.brocade_ntp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ntp.server', 'pybind.nos.v7_0_1b.brocade_ntp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ntp.server', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'server', 'keyval': 'ip, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.ntp.server": {"ip": "ip"}, "pybind.nos.v6_0_2c.ntp.server": {"ip": "ip", "key": "key"}, "pybind.nos.v7_1_0.ntp.server": {}, "pybind.nos.v7_0_1b.ntp.server": {}, "pybind.slxos.v17r_1_00a.ntp.server": {"ip": "ip"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, server=server, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server=server, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ntp_server_key_update(self, server=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type server: ip
    :param server: Keyword argument tuple.

    :type ip: unicode
    :param ip: **server** tuple argument:  Network Time Protocol server ip address(es)

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type key: long
    :param key: authentication key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.ntp.server', u'server'), ('pybind.slxos.v17r_1_00a.ntp.server', u'server')]
    bindings_list = [('pybind.nos.v6_0_2c.ntp.server', 'pybind.nos.v6_0_2c.brocade_ntp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ntp.server', 'pybind.nos.v7_0_1b.brocade_ntp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ntp.server', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.server.server_key', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ntp.server.server_key', 'pybind.slxos.v17r_1_00a.brocade_ntp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip, use_vrf', 'extra_keyval': ''}, {'keyval': 'ip, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'server', 'keyval': 'ip, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.ntp.server.server_key": {}, "pybind.nos.v6_0_2c.ntp.server": {"ip": "ip", "key": "key"}, "pybind.nos.v7_1_0.ntp.server": {}, "pybind.nos.v7_0_1b.ntp.server": {}, "pybind.slxos.v17r_1_00a.ntp.server.server_key": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, server=server, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server=server, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ntp_source_ip_update(self, source_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type source_ip: unicode
    :param source_ip: Configure the source ip to be used for NTP

        * enumeration restriction: ::

            ['chassis-ip', 'mm-ip']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ntp', 'pybind.nos.v6_0_2c.brocade_ntp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ntp', 'pybind.nos.v7_0_1b.brocade_ntp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ntp', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ntp', 'pybind.slxos.v17r_1_00a.brocade_ntp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, source_ip=source_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, source_ip=source_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_connection_method_update(self, controller=None, connection_method=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller: controller_name
    :param controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type connection_method: unicode
    :param connection_method: Connection method

        * enumeration restriction: ::

            ['ssl', 'no-ssl']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller', u'controller'), ('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', u'controller')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller.active_controller', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller.active_controller', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': 'controller_name'}, {'keyval': 'controller_name', 'extra_keyval': 'controller_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, connection_method=connection_method)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, connection_method=connection_method)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_ip_update(self, openflow_controller=None, controller_address=None, connection_method=None, connection_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type openflow_controller: controller_name
    :param openflow_controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **openflow_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type controller_address: unicode
    :param controller_address: IP address of OpenFlow controller

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type connection_method: unicode
    :param connection_method: Connection method

        * enumeration restriction: ::

            ['ssl', 'no-ssl']

    :type connection_port: long
    :param connection_port: OpenFlow controller port number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.openflow_controller', 'openflow_controller'), ('pybind.nos.v7_0_1b.openflow_controller', 'openflow_controller'), ('pybind.nos.v6_0_2c.openflow_controller', 'openflow_controller')]
    bindings_list = [('pybind.nos.v6_0_2c.openflow_controller.connection_address', 'pybind.nos.v6_0_2c.brocade_openflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.openflow_controller.connection_address', 'pybind.nos.v7_0_1b.brocade_openflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.openflow_controller.connection_address', 'pybind.nos.v7_1_0.brocade_openflow', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'controller_address, connection_method, connection_port'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.openflow_controller.connection_address": {}, "pybind.nos.v6_0_2c.openflow_controller.connection_address": {"connection_method": "connection_method", "controller_address": "controller_address", "connection_port": "connection_port"}, "pybind.nos.v7_0_1b.openflow_controller.connection_address": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, openflow_controller=openflow_controller, controller_address=controller_address, connection_method=connection_method, connection_port=connection_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, openflow_controller=openflow_controller, controller_address=controller_address, connection_method=connection_method, connection_port=connection_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_ip_address_update(self, openflow_controller=None, controller_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type openflow_controller: controller_name
    :param openflow_controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **openflow_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type controller_address: unicode
    :param controller_address: IP address of OpenFlow controller

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.openflow_controller', 'openflow_controller'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller', u'controller'), ('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', u'controller'), ('pybind.nos.v7_0_1b.openflow_controller', 'openflow_controller'), ('pybind.nos.v6_0_2c.openflow_controller', 'openflow_controller')]
    bindings_list = [('pybind.nos.v6_0_2c.openflow_controller.connection_address', 'pybind.nos.v6_0_2c.brocade_openflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.openflow_controller.connection_address', 'pybind.nos.v7_0_1b.brocade_openflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.openflow_controller.connection_address', 'pybind.nos.v7_1_0.brocade_openflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller.active_controller', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller.active_controller', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': 'controller_name'}, {'keyval': 'controller_name', 'extra_keyval': 'controller_name'}, {'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, openflow_controller=openflow_controller, controller_address=controller_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, openflow_controller=openflow_controller, controller_address=controller_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_ip_method_update(self, openflow_controller=None, connection_method=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type openflow_controller: controller_name
    :param openflow_controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **openflow_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type connection_method: unicode
    :param connection_method: Connection method

        * enumeration restriction: ::

            ['ssl', 'no-ssl']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.openflow_controller', 'openflow_controller'), ('pybind.nos.v6_0_2c.openflow_controller', 'openflow_controller'), ('pybind.nos.v7_1_0.openflow_controller', 'openflow_controller')]
    bindings_list = [('pybind.nos.v6_0_2c.openflow_controller.connection_address', 'pybind.nos.v6_0_2c.brocade_openflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.openflow_controller.connection_address', 'pybind.nos.v7_0_1b.brocade_openflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.openflow_controller.connection_address', 'pybind.nos.v7_1_0.brocade_openflow', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, openflow_controller=openflow_controller, connection_method=connection_method)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, openflow_controller=openflow_controller, connection_method=connection_method)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_ip_port_update(self, openflow_controller=None, connection_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type openflow_controller: controller_name
    :param openflow_controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **openflow_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type connection_port: long
    :param connection_port: OpenFlow controller port number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.openflow_controller', 'openflow_controller'), ('pybind.nos.v6_0_2c.openflow_controller', 'openflow_controller'), ('pybind.nos.v7_1_0.openflow_controller', 'openflow_controller')]
    bindings_list = [('pybind.nos.v6_0_2c.openflow_controller.connection_address', 'pybind.nos.v6_0_2c.brocade_openflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.openflow_controller.connection_address', 'pybind.nos.v7_0_1b.brocade_openflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.openflow_controller.connection_address', 'pybind.nos.v7_1_0.brocade_openflow', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, openflow_controller=openflow_controller, connection_port=connection_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, openflow_controller=openflow_controller, connection_port=connection_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_ip_use_vrf_update(self, openflow_controller=None, active_controller_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type openflow_controller: controller_name
    :param openflow_controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **openflow_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type active_controller_vrf: unicode
    :param active_controller_vrf: Name of VRF (Default = mgmt-vrf)

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.openflow_controller', 'openflow_controller'), ('pybind.nos.v7_1_0.openflow_controller', 'openflow_controller')]
    bindings_list = [('pybind.nos.v7_0_1b.openflow_controller.connection_address', 'pybind.nos.v7_0_1b.brocade_openflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.openflow_controller.connection_address', 'pybind.nos.v7_1_0.brocade_openflow', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, openflow_controller=openflow_controller, active_controller_vrf=active_controller_vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, openflow_controller=openflow_controller, active_controller_vrf=active_controller_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_passive_update(self, controller=None, passive_connection_method=None, passive_controller_address=None, passive_connection_port=None, passive_controller_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller: controller_name
    :param controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type passive_connection_method: unicode
    :param passive_connection_method: Connection method

        * enumeration restriction: ::

            ['no-ssl']

    :type passive_controller_address: unicode
    :param passive_controller_address: Set the IPv4 listening address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type passive_connection_port: long
    :param passive_connection_port: listening Port

        * range restriction: ::

            ['0..4294967295']

    :type passive_controller_vrf: unicode
    :param passive_controller_vrf: Name of VRF (Default = mgmt-vrf)

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', u'controller'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller', u'controller')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller.passive', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller.passive', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': 'controller_name'}, {'keyval': 'controller_name', 'extra_keyval': 'controller_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'passive_connection_method, passive_controller_address, passive_connection_port, passive_controller_vrf'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, passive_connection_method=passive_connection_method, passive_controller_address=passive_controller_address, passive_connection_port=passive_connection_port, passive_controller_vrf=passive_controller_vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, passive_connection_method=passive_connection_method, passive_controller_address=passive_controller_address, passive_connection_port=passive_connection_port, passive_controller_vrf=passive_controller_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_passive_ip_address_update(self, controller=None, passive_controller_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller: controller_name
    :param controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type passive_controller_address: unicode
    :param passive_controller_address: Set the IPv4 listening address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', u'controller'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller', u'controller')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller.passive', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller.passive', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': 'controller_name'}, {'keyval': 'controller_name', 'extra_keyval': 'controller_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, passive_controller_address=passive_controller_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, passive_controller_address=passive_controller_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_passive_passive_connection_method_update(self, controller=None, passive_connection_method=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller: controller_name
    :param controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type passive_connection_method: unicode
    :param passive_connection_method: Connection method

        * enumeration restriction: ::

            ['no-ssl']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', u'controller'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller', u'controller')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller.passive', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller.passive', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': 'controller_name'}, {'keyval': 'controller_name', 'extra_keyval': 'controller_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, passive_connection_method=passive_connection_method)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, passive_connection_method=passive_connection_method)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_passive_port_update(self, controller=None, passive_connection_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller: controller_name
    :param controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type passive_connection_port: long
    :param passive_connection_port: listening Port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', u'controller'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller', u'controller')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller.passive', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller.passive', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': 'controller_name'}, {'keyval': 'controller_name', 'extra_keyval': 'controller_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, passive_connection_port=passive_connection_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, passive_connection_port=passive_connection_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_passive_use_vrf_update(self, controller=None, passive_controller_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller: controller_name
    :param controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type passive_controller_vrf: unicode
    :param passive_controller_vrf: Name of VRF (Default = mgmt-vrf)

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', u'controller'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller', u'controller')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller.passive', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller.passive', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': 'controller_name'}, {'keyval': 'controller_name', 'extra_keyval': 'controller_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, passive_controller_vrf=passive_controller_vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, passive_controller_vrf=passive_controller_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_port_update(self, controller=None, connection_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller: controller_name
    :param controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type connection_port: long
    :param connection_port: OpenFlow controller port number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller', u'controller'), ('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', u'controller')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller.active_controller', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller.active_controller', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': 'controller_name'}, {'keyval': 'controller_name', 'extra_keyval': 'controller_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, connection_port=connection_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, connection_port=connection_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_use_vrf_update(self, controller=None, active_controller_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller: controller_name
    :param controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type active_controller_vrf: unicode
    :param active_controller_vrf: Name of VRF (Default = mgmt-vrf)

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller', u'controller'), ('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', u'controller')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller.active_controller', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.controller.active_controller', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': 'controller_name'}, {'keyval': 'controller_name', 'extra_keyval': 'controller_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, active_controller_vrf=active_controller_vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, active_controller_vrf=active_controller_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_default_behavior_update(self, send_to_controller=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type send_to_controller: YANGBool
    :param send_to_controller: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.default_behavior', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.default_behavior', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, send_to_controller=send_to_controller)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, send_to_controller=send_to_controller)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_default_behavior_send_to_controller_update(self, send_to_controller=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type send_to_controller: YANGBool
    :param send_to_controller: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.default_behavior', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.default_behavior', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, send_to_controller=send_to_controller)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, send_to_controller=send_to_controller)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_enable_update(self, ofVerType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ofVerType: unicode
    :param ofVerType: Enable OF Version

        * enumeration restriction: ::

            ['ofv13']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.enable', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.enable', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ofVerType=ofVerType)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ofVerType=ofVerType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_enable_ofvertype_update(self, ofVerType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ofVerType: unicode
    :param ofVerType: Enable OF Version

        * enumeration restriction: ::

            ['ofv13']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.enable', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_global.openflow.enable', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ofVerType=ofVerType)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ofVerType=ofVerType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_ingress_replication_group_id_range_update(self, min_group_id=None, max_group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type min_group_id: long
    :param min_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_group_id: long
    :param max_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_global.openflow.ingress_replication.group_id_range', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'min_group_id, max_group_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, min_group_id=min_group_id, max_group_id=max_group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, min_group_id=min_group_id, max_group_id=max_group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_ingress_replication_group_id_range_max_group_id_update(self, max_group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type max_group_id: long
    :param max_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_global.openflow.ingress_replication.group_id_range', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_group_id=max_group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_group_id=max_group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_ingress_replication_group_id_range_min_group_id_update(self, min_group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type min_group_id: long
    :param min_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_global.openflow.ingress_replication.group_id_range', 'pybind.slxos.v17r_1_00a.brocade_openflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, min_group_id=min_group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, min_group_id=min_group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_controller_update(self, controller=None, mode=None, type=None, connection_type=None, ip_addr=None, port=None, vrf_name=None, status=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type controller: name
    :param controller: Keyword argument tuple.

    :type name: unicode
    :param name: **controller** tuple argument.

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['dcm-connection-mode-active',
            'dcm-connection-mode-passive']

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['ofv100', 'ofv130']

    :type connection_type: unicode
    :param connection_type: Keyword argument.

        * enumeration restriction: ::

            ['dcm-connection-type-tcp',
            'dcm-connection-type-ssl']

    :type ip_addr: unicode
    :param ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type port: long
    :param port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf_name: unicode
    :param vrf_name: Keyword argument.

    :type status: unicode
    :param status: Keyword argument.

        * enumeration restriction: ::

            ['dcm-ctrlr-status-close',
            'dcm-ctrlr-status-tcp-connecting',
            'dcm-ctrlr-status-tcp-listening',
            'dcm-ctrlr-status-openf-established',
            'dcm-ctrlr-status-max',
            'dcm-ctrlr-status-openf-handshake',
            'dcm-ctrlr-status-init',
            'dcm-ctrlr-status-tcp-established',
            'dcm-ctrlr-status-unknown']

    :type role: unicode
    :param role: Keyword argument.

        * enumeration restriction: ::

            ['dcm-ctrlr-role-invalid',
            'dcm-ctrlr-role-equal',
            'dcm-ctrlr-role-slave',
            'dcm-ctrlr-role-master']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.controller', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, mode=mode, type=type, connection_type=connection_type, ip_addr=ip_addr, port=port, vrf_name=vrf_name, status=status, role=role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, mode=mode, type=type, connection_type=connection_type, ip_addr=ip_addr, port=port, vrf_name=vrf_name, status=status, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_controller_connection_type_update(self, controller=None, connection_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type controller: name
    :param controller: Keyword argument tuple.

    :type name: unicode
    :param name: **controller** tuple argument.

    **Instance Argument(s)**:

    :type connection_type: unicode
    :param connection_type: Keyword argument.

        * enumeration restriction: ::

            ['dcm-connection-type-tcp',
            'dcm-connection-type-ssl']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.controller', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, connection_type=connection_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, connection_type=connection_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_controller_ip_addr_update(self, controller=None, ip_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type controller: name
    :param controller: Keyword argument tuple.

    :type name: unicode
    :param name: **controller** tuple argument.

    **Instance Argument(s)**:

    :type ip_addr: unicode
    :param ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.controller', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, ip_addr=ip_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, ip_addr=ip_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_controller_mode_update(self, controller=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type controller: name
    :param controller: Keyword argument tuple.

    :type name: unicode
    :param name: **controller** tuple argument.

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['dcm-connection-mode-active',
            'dcm-connection-mode-passive']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.controller', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_controller_port_update(self, controller=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type controller: name
    :param controller: Keyword argument tuple.

    :type name: unicode
    :param name: **controller** tuple argument.

    **Instance Argument(s)**:

    :type port: long
    :param port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.controller', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, port=port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_controller_role_update(self, controller=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type controller: name
    :param controller: Keyword argument tuple.

    :type name: unicode
    :param name: **controller** tuple argument.

    **Instance Argument(s)**:

    :type role: unicode
    :param role: Keyword argument.

        * enumeration restriction: ::

            ['dcm-ctrlr-role-invalid',
            'dcm-ctrlr-role-equal',
            'dcm-ctrlr-role-slave',
            'dcm-ctrlr-role-master']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.controller', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, role=role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_controller_status_update(self, controller=None, status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type controller: name
    :param controller: Keyword argument tuple.

    :type name: unicode
    :param name: **controller** tuple argument.

    **Instance Argument(s)**:

    :type status: unicode
    :param status: Keyword argument.

        * enumeration restriction: ::

            ['dcm-ctrlr-status-close',
            'dcm-ctrlr-status-tcp-connecting',
            'dcm-ctrlr-status-tcp-listening',
            'dcm-ctrlr-status-openf-established',
            'dcm-ctrlr-status-max',
            'dcm-ctrlr-status-openf-handshake',
            'dcm-ctrlr-status-init',
            'dcm-ctrlr-status-tcp-established',
            'dcm-ctrlr-status-unknown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.controller', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, status=status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, status=status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_controller_type_update(self, controller=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type controller: name
    :param controller: Keyword argument tuple.

    :type name: unicode
    :param name: **controller** tuple argument.

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['ofv100', 'ofv130']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.controller', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_controller_vrf_name_update(self, controller=None, vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type controller: name
    :param controller: Keyword argument tuple.

    :type name: unicode
    :param name: **controller** tuple argument.

    **Instance Argument(s)**:

    :type vrf_name: unicode
    :param vrf_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.controller', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller=controller, vrf_name=vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, vrf_name=vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_update(self, admin_status=None, ssl_status=None, num_controllers=None, data_path=None, l2_match=None, l3_match=None, max_l2_flows=None, active_flows=None, enabled_ports=None, default_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type ssl_status: YANGBool
    :param ssl_status: Keyword argument.

    :type num_controllers: long
    :param num_controllers: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type data_path: unicode
    :param data_path: Keyword argument.

    :type l2_match: unicode
    :param l2_match: Keyword argument.

    :type l3_match: unicode
    :param l3_match: Keyword argument.

    :type max_l2_flows: long
    :param max_l2_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type active_flows: long
    :param active_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type enabled_ports: unicode
    :param enabled_ports: Keyword argument.

    :type default_action: unicode
    :param default_action: Keyword argument.

        * enumeration restriction: ::

            ['dcm-action-drop',
            'dcm-action-invalid',
            'dcm-action-send-to-controller']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.openflow_state.detail": {}, "pybind.slxos.v16r_1_00b.openflow_state.detail": {"active_flows": "active_flows", "num_controllers": "num_controllers", "data_path": "data_path", "admin_status": "admin_status", "l3_match": "l3_match", "l2_match": "l2_match", "default_action": "default_action", "enabled_ports": "enabled_ports", "max_l2_flows": "max_l2_flows", "ssl_status": "ssl_status"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, admin_status=admin_status, ssl_status=ssl_status, num_controllers=num_controllers, data_path=data_path, l2_match=l2_match, l3_match=l3_match, max_l2_flows=max_l2_flows, active_flows=active_flows, enabled_ports=enabled_ports, default_action=default_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, admin_status=admin_status, ssl_status=ssl_status, num_controllers=num_controllers, data_path=data_path, l2_match=l2_match, l3_match=l3_match, max_l2_flows=max_l2_flows, active_flows=active_flows, enabled_ports=enabled_ports, default_action=default_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_active_flows_update(self, active_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type active_flows: long
    :param active_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, active_flows=active_flows)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, active_flows=active_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_admin_status_update(self, admin_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, admin_status=admin_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, admin_status=admin_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_async_list_update(self, controller_detail_list=None, controller_async_list=None, config_data=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type controller_async_list: async_type
    :param controller_async_list: Keyword argument tuple.

    :type async_type: unicode
    :param async_type: **controller_async_list** tuple argument.

        * enumeration restriction: ::

            ['dcm-async-invalid',
            'dcm-packet-in',
            'dcm-port-status',
            'dcm-flow-removed']

    **Instance Argument(s)**:

    :type config_data: unicode
    :param config_data: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list', u'controller_detail_list'), ('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_async_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list.controller_async_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}, {'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'controller_async_list', 'keyval': 'async_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller_detail_list=controller_detail_list, controller_async_list=controller_async_list, config_data=config_data)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list, controller_async_list=controller_async_list, config_data=config_data)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_async_list_config_data_update(self, controller_detail_list=None, controller_async_list=None, config_data=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type controller_async_list: async_type
    :param controller_async_list: Keyword argument tuple.

    :type async_type: unicode
    :param async_type: **controller_async_list** tuple argument.

        * enumeration restriction: ::

            ['dcm-async-invalid',
            'dcm-packet-in',
            'dcm-port-status',
            'dcm-flow-removed']

    **Instance Argument(s)**:

    :type config_data: unicode
    :param config_data: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list', u'controller_detail_list'), ('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_async_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list.controller_async_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}, {'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'controller_async_list', 'keyval': 'async_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller_detail_list=controller_detail_list, controller_async_list=controller_async_list, config_data=config_data)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list, controller_async_list=controller_async_list, config_data=config_data)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_info_update(self, controller_detail_list=None, name=None, mode=None, type=None, connection_type=None, ip_addr=None, port=None, vrf_name=None, status=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type name: unicode
    :param name: Keyword argument.

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['dcm-connection-mode-active',
            'dcm-connection-mode-passive']

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['ofv100', 'ofv130']

    :type connection_type: unicode
    :param connection_type: Keyword argument.

        * enumeration restriction: ::

            ['dcm-connection-type-tcp',
            'dcm-connection-type-ssl']

    :type ip_addr: unicode
    :param ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type port: long
    :param port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf_name: unicode
    :param vrf_name: Keyword argument.

    :type status: unicode
    :param status: Keyword argument.

        * enumeration restriction: ::

            ['dcm-ctrlr-status-close',
            'dcm-ctrlr-status-tcp-connecting',
            'dcm-ctrlr-status-tcp-listening',
            'dcm-ctrlr-status-openf-established',
            'dcm-ctrlr-status-max',
            'dcm-ctrlr-status-openf-handshake',
            'dcm-ctrlr-status-init',
            'dcm-ctrlr-status-tcp-established',
            'dcm-ctrlr-status-unknown']

    :type role: unicode
    :param role: Keyword argument.

        * enumeration restriction: ::

            ['dcm-ctrlr-role-invalid',
            'dcm-ctrlr-role-equal',
            'dcm-ctrlr-role-slave',
            'dcm-ctrlr-role-master']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}, {'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller_detail_list=controller_detail_list, name=name, mode=mode, type=type, connection_type=connection_type, ip_addr=ip_addr, port=port, vrf_name=vrf_name, status=status, role=role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list, name=name, mode=mode, type=type, connection_type=connection_type, ip_addr=ip_addr, port=port, vrf_name=vrf_name, status=status, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_info_connection_type_update(self, controller_detail_list=None, connection_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type connection_type: unicode
    :param connection_type: Keyword argument.

        * enumeration restriction: ::

            ['dcm-connection-type-tcp',
            'dcm-connection-type-ssl']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}, {'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller_detail_list=controller_detail_list, connection_type=connection_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list, connection_type=connection_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_info_ip_addr_update(self, controller_detail_list=None, ip_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_addr: unicode
    :param ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}, {'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller_detail_list=controller_detail_list, ip_addr=ip_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list, ip_addr=ip_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_info_mode_update(self, controller_detail_list=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['dcm-connection-mode-active',
            'dcm-connection-mode-passive']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}, {'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller_detail_list=controller_detail_list, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_info_name_update(self, controller_detail_list=None, name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type name: unicode
    :param name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}, {'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller_detail_list=controller_detail_list, name=name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list, name=name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_info_port_update(self, controller_detail_list=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type port: long
    :param port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}, {'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller_detail_list=controller_detail_list, port=port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_info_role_update(self, controller_detail_list=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type role: unicode
    :param role: Keyword argument.

        * enumeration restriction: ::

            ['dcm-ctrlr-role-invalid',
            'dcm-ctrlr-role-equal',
            'dcm-ctrlr-role-slave',
            'dcm-ctrlr-role-master']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}, {'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller_detail_list=controller_detail_list, role=role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_info_status_update(self, controller_detail_list=None, status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type status: unicode
    :param status: Keyword argument.

        * enumeration restriction: ::

            ['dcm-ctrlr-status-close',
            'dcm-ctrlr-status-tcp-connecting',
            'dcm-ctrlr-status-tcp-listening',
            'dcm-ctrlr-status-openf-established',
            'dcm-ctrlr-status-max',
            'dcm-ctrlr-status-openf-handshake',
            'dcm-ctrlr-status-init',
            'dcm-ctrlr-status-tcp-established',
            'dcm-ctrlr-status-unknown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}, {'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller_detail_list=controller_detail_list, status=status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list, status=status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_info_type_update(self, controller_detail_list=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['ofv100', 'ofv130']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}, {'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller_detail_list=controller_detail_list, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_info_vrf_name_update(self, controller_detail_list=None, vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrf_name: unicode
    :param vrf_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}, {'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, controller_detail_list=controller_detail_list, vrf_name=vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list, vrf_name=vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_data_path_update(self, data_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type data_path: unicode
    :param data_path: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, data_path=data_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, data_path=data_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_default_action_update(self, default_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_action: unicode
    :param default_action: Keyword argument.

        * enumeration restriction: ::

            ['dcm-action-drop',
            'dcm-action-invalid',
            'dcm-action-send-to-controller']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_action=default_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_action=default_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_enabled_lags_update(self, enabled_lags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type enabled_lags: unicode
    :param enabled_lags: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enabled_lags=enabled_lags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enabled_lags=enabled_lags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_enabled_ports_update(self, enabled_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enabled_ports: unicode
    :param enabled_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enabled_ports=enabled_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enabled_ports=enabled_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_hybrid_interfaces_update(self, hybrid_interfaces=None, protected_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type hybrid_interfaces: hybrid_interface
    :param hybrid_interfaces: Keyword argument tuple.

    :type hybrid_interface: unicode
    :param hybrid_interface: **hybrid_interfaces** tuple argument.

    **Instance Argument(s)**:

    :type protected_vlans: unicode
    :param protected_vlans: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.hybrid_interfaces', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.hybrid_interfaces', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'hybrid_interfaces', 'keyval': 'hybrid_interface', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hybrid_interfaces=hybrid_interfaces, protected_vlans=protected_vlans)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hybrid_interfaces=hybrid_interfaces, protected_vlans=protected_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_hybrid_interfaces_protected_vlans_update(self, hybrid_interfaces=None, protected_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type hybrid_interfaces: hybrid_interface
    :param hybrid_interfaces: Keyword argument tuple.

    :type hybrid_interface: unicode
    :param hybrid_interface: **hybrid_interfaces** tuple argument.

    **Instance Argument(s)**:

    :type protected_vlans: unicode
    :param protected_vlans: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.hybrid_interfaces', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail.hybrid_interfaces', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'hybrid_interfaces', 'keyval': 'hybrid_interface', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hybrid_interfaces=hybrid_interfaces, protected_vlans=protected_vlans)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hybrid_interfaces=hybrid_interfaces, protected_vlans=protected_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_l2_match_update(self, l2_match=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_match: unicode
    :param l2_match: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_match=l2_match)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_match=l2_match)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_l3_match_update(self, l3_match=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l3_match: unicode
    :param l3_match: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l3_match=l3_match)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l3_match=l3_match)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_max_group_id_update(self, max_group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type max_group_id: long
    :param max_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_group_id=max_group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_group_id=max_group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_max_l2_flows_update(self, max_l2_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_l2_flows: long
    :param max_l2_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_l2_flows=max_l2_flows)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_l2_flows=max_l2_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_min_group_id_update(self, min_group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type min_group_id: long
    :param min_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, min_group_id=min_group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, min_group_id=min_group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_mirror_ports_update(self, mirror_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type mirror_ports: unicode
    :param mirror_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mirror_ports=mirror_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mirror_ports=mirror_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_num_controllers_update(self, num_controllers=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type num_controllers: long
    :param num_controllers: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_controllers=num_controllers)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_controllers=num_controllers)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_ssl_status_update(self, ssl_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ssl_status: YANGBool
    :param ssl_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.detail', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ssl_status=ssl_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ssl_status=ssl_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_update(self, data_packets_sent=None, data_bytes_sent=None, port_based_flows=None, hw_generic_flows=None, l2_interfaces=None, l3_interfaces=None, l23_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type data_packets_sent: long
    :param data_packets_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type data_bytes_sent: long
    :param data_bytes_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type port_based_flows: long
    :param port_based_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hw_generic_flows: long
    :param hw_generic_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2_interfaces: long
    :param l2_interfaces: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l3_interfaces: long
    :param l3_interfaces: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l23_interfaces: long
    :param l23_interfaces: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.openflow_state.flow": {"port_based_flows": "port_based_flows", "l3_interfaces": "l3_interfaces", "data_bytes_sent": "data_bytes_sent", "hw_generic_flows": "hw_generic_flows", "l2_interfaces": "l2_interfaces", "l23_interfaces": "l23_interfaces", "data_packets_sent": "data_packets_sent"}, "pybind.slxos.v17r_1_00a.openflow_state.flow": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, data_packets_sent=data_packets_sent, data_bytes_sent=data_bytes_sent, port_based_flows=port_based_flows, hw_generic_flows=hw_generic_flows, l2_interfaces=l2_interfaces, l3_interfaces=l3_interfaces, l23_interfaces=l23_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, data_packets_sent=data_packets_sent, data_bytes_sent=data_bytes_sent, port_based_flows=port_based_flows, hw_generic_flows=hw_generic_flows, l2_interfaces=l2_interfaces, l3_interfaces=l3_interfaces, l23_interfaces=l23_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_data_bytes_sent_update(self, data_bytes_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type data_bytes_sent: long
    :param data_bytes_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, data_bytes_sent=data_bytes_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, data_bytes_sent=data_bytes_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_data_packets_sent_update(self, data_packets_sent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type data_packets_sent: long
    :param data_packets_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, data_packets_sent=data_packets_sent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, data_packets_sent=data_packets_sent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_update(self, flow_info_list=None, priority=None, status=None, in_port=None, in_vlan=None, source_mac=None, destination_mac=None, ether_type=None, ip_protocol=None, ip_protocol_source_port=None, ip_protocol_destination_port=None, source_ip=None, destination_ip=None, instructions=None, action_data=None, meter_id=None, vlan_upbits=None, nw_tos=None, source_ip_mask=None, destination_ip_mask=None, total_packets=None, total_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type status: unicode
    :param status: Keyword argument.

        * enumeration restriction: ::

            ['dcm-flow-pending-add',
            'dcm-flow-not-programmed',
            'dcm-flow-pending-modify',
            'dcm-flow-pending-delete',
            'dcm-flow-programmed']

    :type in_port: unicode
    :param in_port: Keyword argument.

    :type in_vlan: unicode
    :param in_vlan: Keyword argument.

    :type source_mac: unicode
    :param source_mac: Keyword argument.

    :type destination_mac: unicode
    :param destination_mac: Keyword argument.

    :type ether_type: unicode
    :param ether_type: Keyword argument.

    :type ip_protocol: long
    :param ip_protocol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_protocol_source_port: long
    :param ip_protocol_source_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_protocol_destination_port: long
    :param ip_protocol_destination_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type source_ip: unicode
    :param source_ip: Keyword argument.

    :type destination_ip: unicode
    :param destination_ip: Keyword argument.

    :type instructions: unicode
    :param instructions: Keyword argument.

    :type action_data: unicode
    :param action_data: Keyword argument.

    :type meter_id: long
    :param meter_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan_upbits: long
    :param vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type nw_tos: long
    :param nw_tos: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type source_ip_mask: unicode
    :param source_ip_mask: Keyword argument.

    :type destination_ip_mask: unicode
    :param destination_ip_mask: Keyword argument.

    :type total_packets: long
    :param total_packets: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_bytes: long
    :param total_bytes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list": {"ether_type": "ether_type", "total_bytes": "total_bytes", "ip_protocol_destination_port": "ip_protocol_destination_port", "action_data": "action_data", "ip_protocol_source_port": "ip_protocol_source_port", "priority": "priority", "total_packets": "total_packets", "flow_id": "flow_id", "destination_mac": "destination_mac", "in_port": "in_port", "status": "status", "destination_ip": "destination_ip", "ip_protocol": "ip_protocol", "source_mac": "source_mac", "nw_tos": "nw_tos", "meter_id": "meter_id", "instructions": "instructions", "in_vlan": "in_vlan", "source_ip": "source_ip", "source_ip_mask": "source_ip_mask", "destination_ip_mask": "destination_ip_mask", "vlan_upbits": "vlan_upbits"}, "pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_action_data_update(self, flow_info_list=None, action_data=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_data: unicode
    :param action_data: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, action_data=action_data)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, action_data=action_data)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_destination_ip_update(self, flow_info_list=None, destination_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type destination_ip: unicode
    :param destination_ip: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, destination_ip=destination_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, destination_ip=destination_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_destination_ip_mask_update(self, flow_info_list=None, destination_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type destination_ip_mask: unicode
    :param destination_ip_mask: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, destination_ip_mask=destination_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, destination_ip_mask=destination_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_destination_ipv6_update(self, flow_info_list=None, destination_ipv6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type destination_ipv6: unicode
    :param destination_ipv6: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, destination_ipv6=destination_ipv6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, destination_ipv6=destination_ipv6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_destination_mac_update(self, flow_info_list=None, destination_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type destination_mac: unicode
    :param destination_mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, destination_mac=destination_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, destination_mac=destination_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_ether_type_update(self, flow_info_list=None, ether_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ether_type: unicode
    :param ether_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, ether_type=ether_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, ether_type=ether_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_flow_action_list_update(self, flow_info_list=None, flow_action_list=None, group_id=None, queue_id=None, out_ports=None, vlan_id=None, action_vlan_upbits=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type group_id: long
    :param group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_id: long
    :param queue_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_ports: unicode
    :param out_ports: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type action_vlan_upbits: long
    :param action_vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', u'flow_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_flow_action_list_action_vlan_upbits_update(self, flow_info_list=None, flow_action_list=None, action_vlan_upbits=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_vlan_upbits: long
    :param action_vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', u'flow_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, action_vlan_upbits=action_vlan_upbits)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, action_vlan_upbits=action_vlan_upbits)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_flow_action_list_group_id_update(self, flow_info_list=None, flow_action_list=None, group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type group_id: long
    :param group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', u'flow_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_flow_action_list_out_ports_update(self, flow_info_list=None, flow_action_list=None, out_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_ports: unicode
    :param out_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', u'flow_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, out_ports=out_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, out_ports=out_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_flow_action_list_out_vlan_etype_update(self, flow_info_list=None, flow_action_list=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', u'flow_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, out_vlan_etype=out_vlan_etype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_flow_action_list_out_vlan_tag_update(self, flow_info_list=None, flow_action_list=None, out_vlan_tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', u'flow_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, out_vlan_tag=out_vlan_tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, out_vlan_tag=out_vlan_tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_flow_action_list_queue_id_update(self, flow_info_list=None, flow_action_list=None, queue_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type queue_id: long
    :param queue_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', u'flow_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, queue_id=queue_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, queue_id=queue_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_flow_action_list_vlan_id_update(self, flow_info_list=None, flow_action_list=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', u'flow_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_in_port_update(self, flow_info_list=None, in_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type in_port: unicode
    :param in_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, in_port=in_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, in_port=in_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_in_vlan_update(self, flow_info_list=None, in_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type in_vlan: unicode
    :param in_vlan: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, in_vlan=in_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, in_vlan=in_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_instructions_update(self, flow_info_list=None, instructions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instructions: unicode
    :param instructions: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, instructions=instructions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, instructions=instructions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_ip_protocol_update(self, flow_info_list=None, ip_protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_protocol: long
    :param ip_protocol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, ip_protocol=ip_protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, ip_protocol=ip_protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_ip_protocol_destination_port_update(self, flow_info_list=None, ip_protocol_destination_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_protocol_destination_port: long
    :param ip_protocol_destination_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, ip_protocol_destination_port=ip_protocol_destination_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, ip_protocol_destination_port=ip_protocol_destination_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_ip_protocol_source_port_update(self, flow_info_list=None, ip_protocol_source_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_protocol_source_port: long
    :param ip_protocol_source_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, ip_protocol_source_port=ip_protocol_source_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, ip_protocol_source_port=ip_protocol_source_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_meter_id_update(self, flow_info_list=None, meter_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type meter_id: long
    :param meter_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, meter_id=meter_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, meter_id=meter_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_nw_tos_update(self, flow_info_list=None, nw_tos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type nw_tos: long
    :param nw_tos: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, nw_tos=nw_tos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, nw_tos=nw_tos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_priority_update(self, flow_info_list=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_source_ip_update(self, flow_info_list=None, source_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type source_ip: unicode
    :param source_ip: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, source_ip=source_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, source_ip=source_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_source_ip_mask_update(self, flow_info_list=None, source_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type source_ip_mask: unicode
    :param source_ip_mask: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, source_ip_mask=source_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, source_ip_mask=source_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_source_ipv6_update(self, flow_info_list=None, source_ipv6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type source_ipv6: unicode
    :param source_ipv6: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, source_ipv6=source_ipv6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, source_ipv6=source_ipv6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_source_mac_update(self, flow_info_list=None, source_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type source_mac: unicode
    :param source_mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, source_mac=source_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, source_mac=source_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_status_update(self, flow_info_list=None, status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type status: unicode
    :param status: Keyword argument.

        * enumeration restriction: ::

            ['dcm-flow-pending-add',
            'dcm-flow-not-programmed',
            'dcm-flow-pending-modify',
            'dcm-flow-pending-delete',
            'dcm-flow-programmed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, status=status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, status=status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_total_bytes_update(self, flow_info_list=None, total_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type total_bytes: long
    :param total_bytes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, total_bytes=total_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, total_bytes=total_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_total_packets_update(self, flow_info_list=None, total_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type total_packets: long
    :param total_packets: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, total_packets=total_packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, total_packets=total_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_vlan_upbits_update(self, flow_info_list=None, vlan_upbits=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_upbits: long
    :param vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_info_list=flow_info_list, vlan_upbits=vlan_upbits)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, vlan_upbits=vlan_upbits)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_hw_generic_flows_update(self, hw_generic_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hw_generic_flows: long
    :param hw_generic_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hw_generic_flows=hw_generic_flows)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hw_generic_flows=hw_generic_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_update(self, flow_id=None, priority=None, status=None, in_port=None, in_vlan=None, source_mac=None, destination_mac=None, ether_type=None, ip_protocol=None, ip_protocol_source_port=None, ip_protocol_destination_port=None, source_ip=None, destination_ip=None, instructions=None, action_data=None, meter_id=None, vlan_upbits=None, nw_tos=None, source_ip_mask=None, destination_ip_mask=None, total_packets=None, total_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type flow_id: long
    :param flow_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type status: unicode
    :param status: Keyword argument.

        * enumeration restriction: ::

            ['dcm-flow-pending-add',
            'dcm-flow-not-programmed',
            'dcm-flow-pending-modify',
            'dcm-flow-pending-delete',
            'dcm-flow-programmed']

    :type in_port: unicode
    :param in_port: Keyword argument.

    :type in_vlan: unicode
    :param in_vlan: Keyword argument.

    :type source_mac: unicode
    :param source_mac: Keyword argument.

    :type destination_mac: unicode
    :param destination_mac: Keyword argument.

    :type ether_type: unicode
    :param ether_type: Keyword argument.

    :type ip_protocol: long
    :param ip_protocol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_protocol_source_port: long
    :param ip_protocol_source_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_protocol_destination_port: long
    :param ip_protocol_destination_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type source_ip: unicode
    :param source_ip: Keyword argument.

    :type destination_ip: unicode
    :param destination_ip: Keyword argument.

    :type instructions: unicode
    :param instructions: Keyword argument.

    :type action_data: unicode
    :param action_data: Keyword argument.

    :type meter_id: long
    :param meter_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan_upbits: long
    :param vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type nw_tos: long
    :param nw_tos: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type source_ip_mask: unicode
    :param source_ip_mask: Keyword argument.

    :type destination_ip_mask: unicode
    :param destination_ip_mask: Keyword argument.

    :type total_packets: long
    :param total_packets: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_bytes: long
    :param total_bytes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.openflow_state.flow_id": {}, "pybind.slxos.v16r_1_00b.openflow_state.flow_id": {"ether_type": "ether_type", "total_bytes": "total_bytes", "ip_protocol_destination_port": "ip_protocol_destination_port", "action_data": "action_data", "ip_protocol_source_port": "ip_protocol_source_port", "priority": "priority", "total_packets": "total_packets", "flow_id": "flow_id", "destination_mac": "destination_mac", "in_port": "in_port", "status": "status", "destination_ip": "destination_ip", "ip_protocol": "ip_protocol", "source_mac": "source_mac", "nw_tos": "nw_tos", "meter_id": "meter_id", "instructions": "instructions", "in_vlan": "in_vlan", "source_ip": "source_ip", "source_ip_mask": "source_ip_mask", "destination_ip_mask": "destination_ip_mask", "vlan_upbits": "vlan_upbits"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_id=flow_id, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_id=flow_id, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_action_data_update(self, action_data=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type action_data: unicode
    :param action_data: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action_data=action_data)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action_data=action_data)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_destination_ip_update(self, destination_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type destination_ip: unicode
    :param destination_ip: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, destination_ip=destination_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, destination_ip=destination_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_destination_ip_mask_update(self, destination_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type destination_ip_mask: unicode
    :param destination_ip_mask: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, destination_ip_mask=destination_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, destination_ip_mask=destination_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_destination_ipv6_update(self, destination_ipv6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type destination_ipv6: unicode
    :param destination_ipv6: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, destination_ipv6=destination_ipv6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, destination_ipv6=destination_ipv6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_destination_mac_update(self, destination_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type destination_mac: unicode
    :param destination_mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, destination_mac=destination_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, destination_mac=destination_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_ether_type_update(self, ether_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ether_type: unicode
    :param ether_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ether_type=ether_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ether_type=ether_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_flow_action_list_update(self, flow_action_list=None, group_id=None, queue_id=None, out_ports=None, vlan_id=None, action_vlan_upbits=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type group_id: long
    :param group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_id: long
    :param queue_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_ports: unicode
    :param out_ports: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type action_vlan_upbits: long
    :param action_vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_flow_action_list_action_vlan_upbits_update(self, flow_action_list=None, action_vlan_upbits=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_vlan_upbits: long
    :param action_vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_action_list=flow_action_list, action_vlan_upbits=action_vlan_upbits)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_action_list=flow_action_list, action_vlan_upbits=action_vlan_upbits)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_flow_action_list_group_id_update(self, flow_action_list=None, group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type group_id: long
    :param group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_action_list=flow_action_list, group_id=group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_action_list=flow_action_list, group_id=group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_flow_action_list_out_ports_update(self, flow_action_list=None, out_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_ports: unicode
    :param out_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_action_list=flow_action_list, out_ports=out_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_action_list=flow_action_list, out_ports=out_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_flow_action_list_out_vlan_etype_update(self, flow_action_list=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_action_list=flow_action_list, out_vlan_etype=out_vlan_etype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_action_list=flow_action_list, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_flow_action_list_out_vlan_tag_update(self, flow_action_list=None, out_vlan_tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_action_list=flow_action_list, out_vlan_tag=out_vlan_tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_action_list=flow_action_list, out_vlan_tag=out_vlan_tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_flow_action_list_queue_id_update(self, flow_action_list=None, queue_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type queue_id: long
    :param queue_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_action_list=flow_action_list, queue_id=queue_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_action_list=flow_action_list, queue_id=queue_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_flow_action_list_vlan_id_update(self, flow_action_list=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_action_list=flow_action_list, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_action_list=flow_action_list, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_flow_id_update(self, flow_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type flow_id: long
    :param flow_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_id=flow_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_id=flow_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_in_port_update(self, in_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type in_port: unicode
    :param in_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_port=in_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_port=in_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_in_vlan_update(self, in_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type in_vlan: unicode
    :param in_vlan: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_vlan=in_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_vlan=in_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_instructions_update(self, instructions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type instructions: unicode
    :param instructions: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, instructions=instructions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, instructions=instructions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_ip_protocol_update(self, ip_protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ip_protocol: long
    :param ip_protocol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ip_protocol=ip_protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ip_protocol=ip_protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_ip_protocol_destination_port_update(self, ip_protocol_destination_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ip_protocol_destination_port: long
    :param ip_protocol_destination_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ip_protocol_destination_port=ip_protocol_destination_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ip_protocol_destination_port=ip_protocol_destination_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_ip_protocol_source_port_update(self, ip_protocol_source_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ip_protocol_source_port: long
    :param ip_protocol_source_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ip_protocol_source_port=ip_protocol_source_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ip_protocol_source_port=ip_protocol_source_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_meter_id_update(self, meter_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type meter_id: long
    :param meter_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_id=meter_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_id=meter_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_nw_tos_update(self, nw_tos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type nw_tos: long
    :param nw_tos: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nw_tos=nw_tos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nw_tos=nw_tos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_priority_update(self, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_source_ip_update(self, source_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type source_ip: unicode
    :param source_ip: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, source_ip=source_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, source_ip=source_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_source_ip_mask_update(self, source_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type source_ip_mask: unicode
    :param source_ip_mask: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, source_ip_mask=source_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, source_ip_mask=source_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_source_ipv6_update(self, source_ipv6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type source_ipv6: unicode
    :param source_ipv6: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, source_ipv6=source_ipv6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, source_ipv6=source_ipv6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_source_mac_update(self, source_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type source_mac: unicode
    :param source_mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, source_mac=source_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, source_mac=source_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_status_update(self, status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type status: unicode
    :param status: Keyword argument.

        * enumeration restriction: ::

            ['dcm-flow-pending-add',
            'dcm-flow-not-programmed',
            'dcm-flow-pending-modify',
            'dcm-flow-pending-delete',
            'dcm-flow-programmed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, status=status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, status=status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_total_bytes_update(self, total_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_bytes: long
    :param total_bytes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_bytes=total_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_bytes=total_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_total_packets_update(self, total_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_packets: long
    :param total_packets: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_packets=total_packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_packets=total_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_vlan_upbits_update(self, vlan_upbits=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vlan_upbits: long
    :param vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan_upbits=vlan_upbits)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_upbits=vlan_upbits)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_update(self, flow_interface=None, flow_info_list=None, priority=None, status=None, in_port=None, in_vlan=None, source_mac=None, destination_mac=None, ether_type=None, ip_protocol=None, ip_protocol_source_port=None, ip_protocol_destination_port=None, source_ip=None, destination_ip=None, instructions=None, action_data=None, meter_id=None, vlan_upbits=None, nw_tos=None, source_ip_mask=None, destination_ip_mask=None, total_packets=None, total_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type status: unicode
    :param status: Keyword argument.

        * enumeration restriction: ::

            ['dcm-flow-pending-add',
            'dcm-flow-not-programmed',
            'dcm-flow-pending-modify',
            'dcm-flow-pending-delete',
            'dcm-flow-programmed']

    :type in_port: unicode
    :param in_port: Keyword argument.

    :type in_vlan: unicode
    :param in_vlan: Keyword argument.

    :type source_mac: unicode
    :param source_mac: Keyword argument.

    :type destination_mac: unicode
    :param destination_mac: Keyword argument.

    :type ether_type: unicode
    :param ether_type: Keyword argument.

    :type ip_protocol: long
    :param ip_protocol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_protocol_source_port: long
    :param ip_protocol_source_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_protocol_destination_port: long
    :param ip_protocol_destination_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type source_ip: unicode
    :param source_ip: Keyword argument.

    :type destination_ip: unicode
    :param destination_ip: Keyword argument.

    :type instructions: unicode
    :param instructions: Keyword argument.

    :type action_data: unicode
    :param action_data: Keyword argument.

    :type meter_id: long
    :param meter_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan_upbits: long
    :param vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type nw_tos: long
    :param nw_tos: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type source_ip_mask: unicode
    :param source_ip_mask: Keyword argument.

    :type destination_ip_mask: unicode
    :param destination_ip_mask: Keyword argument.

    :type total_packets: long
    :param total_packets: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_bytes: long
    :param total_bytes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list": {"ether_type": "ether_type", "total_bytes": "total_bytes", "ip_protocol_destination_port": "ip_protocol_destination_port", "action_data": "action_data", "ip_protocol_source_port": "ip_protocol_source_port", "priority": "priority", "total_packets": "total_packets", "flow_id": "flow_id", "destination_mac": "destination_mac", "in_port": "in_port", "status": "status", "destination_ip": "destination_ip", "ip_protocol": "ip_protocol", "source_mac": "source_mac", "nw_tos": "nw_tos", "meter_id": "meter_id", "instructions": "instructions", "in_vlan": "in_vlan", "source_ip": "source_ip", "source_ip_mask": "source_ip_mask", "destination_ip_mask": "destination_ip_mask", "vlan_upbits": "vlan_upbits"}, "pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_action_data_update(self, flow_interface=None, flow_info_list=None, action_data=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_data: unicode
    :param action_data: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, action_data=action_data)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, action_data=action_data)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_destination_ip_update(self, flow_interface=None, flow_info_list=None, destination_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type destination_ip: unicode
    :param destination_ip: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, destination_ip=destination_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, destination_ip=destination_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_destination_ip_mask_update(self, flow_interface=None, flow_info_list=None, destination_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type destination_ip_mask: unicode
    :param destination_ip_mask: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, destination_ip_mask=destination_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, destination_ip_mask=destination_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_destination_ipv6_update(self, flow_interface=None, flow_info_list=None, destination_ipv6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type destination_ipv6: unicode
    :param destination_ipv6: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, destination_ipv6=destination_ipv6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, destination_ipv6=destination_ipv6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_destination_mac_update(self, flow_interface=None, flow_info_list=None, destination_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type destination_mac: unicode
    :param destination_mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, destination_mac=destination_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, destination_mac=destination_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_ether_type_update(self, flow_interface=None, flow_info_list=None, ether_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ether_type: unicode
    :param ether_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, ether_type=ether_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, ether_type=ether_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_flow_action_list_update(self, flow_interface=None, flow_info_list=None, flow_action_list=None, group_id=None, queue_id=None, out_ports=None, vlan_id=None, action_vlan_upbits=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type group_id: long
    :param group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_id: long
    :param queue_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_ports: unicode
    :param out_ports: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type action_vlan_upbits: long
    :param action_vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_flow_action_list_action_vlan_upbits_update(self, flow_interface=None, flow_info_list=None, flow_action_list=None, action_vlan_upbits=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_vlan_upbits: long
    :param action_vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, action_vlan_upbits=action_vlan_upbits)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, action_vlan_upbits=action_vlan_upbits)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_flow_action_list_group_id_update(self, flow_interface=None, flow_info_list=None, flow_action_list=None, group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type group_id: long
    :param group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_flow_action_list_out_ports_update(self, flow_interface=None, flow_info_list=None, flow_action_list=None, out_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_ports: unicode
    :param out_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, out_ports=out_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, out_ports=out_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_flow_action_list_out_vlan_etype_update(self, flow_interface=None, flow_info_list=None, flow_action_list=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, out_vlan_etype=out_vlan_etype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_flow_action_list_out_vlan_tag_update(self, flow_interface=None, flow_info_list=None, flow_action_list=None, out_vlan_tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, out_vlan_tag=out_vlan_tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, out_vlan_tag=out_vlan_tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_flow_action_list_queue_id_update(self, flow_interface=None, flow_info_list=None, flow_action_list=None, queue_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type queue_id: long
    :param queue_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, queue_id=queue_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, queue_id=queue_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_flow_action_list_vlan_id_update(self, flow_interface=None, flow_info_list=None, flow_action_list=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_in_port_update(self, flow_interface=None, flow_info_list=None, in_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type in_port: unicode
    :param in_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, in_port=in_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, in_port=in_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_in_vlan_update(self, flow_interface=None, flow_info_list=None, in_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type in_vlan: unicode
    :param in_vlan: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, in_vlan=in_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, in_vlan=in_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_instructions_update(self, flow_interface=None, flow_info_list=None, instructions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instructions: unicode
    :param instructions: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, instructions=instructions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, instructions=instructions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_ip_protocol_update(self, flow_interface=None, flow_info_list=None, ip_protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_protocol: long
    :param ip_protocol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, ip_protocol=ip_protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, ip_protocol=ip_protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_ip_protocol_destination_port_update(self, flow_interface=None, flow_info_list=None, ip_protocol_destination_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_protocol_destination_port: long
    :param ip_protocol_destination_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, ip_protocol_destination_port=ip_protocol_destination_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, ip_protocol_destination_port=ip_protocol_destination_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_ip_protocol_source_port_update(self, flow_interface=None, flow_info_list=None, ip_protocol_source_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_protocol_source_port: long
    :param ip_protocol_source_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, ip_protocol_source_port=ip_protocol_source_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, ip_protocol_source_port=ip_protocol_source_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_meter_id_update(self, flow_interface=None, flow_info_list=None, meter_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type meter_id: long
    :param meter_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, meter_id=meter_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, meter_id=meter_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_nw_tos_update(self, flow_interface=None, flow_info_list=None, nw_tos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type nw_tos: long
    :param nw_tos: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, nw_tos=nw_tos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, nw_tos=nw_tos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_priority_update(self, flow_interface=None, flow_info_list=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_source_ip_update(self, flow_interface=None, flow_info_list=None, source_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type source_ip: unicode
    :param source_ip: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, source_ip=source_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, source_ip=source_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_source_ip_mask_update(self, flow_interface=None, flow_info_list=None, source_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type source_ip_mask: unicode
    :param source_ip_mask: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, source_ip_mask=source_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, source_ip_mask=source_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_source_ipv6_update(self, flow_interface=None, flow_info_list=None, source_ipv6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type source_ipv6: unicode
    :param source_ipv6: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, source_ipv6=source_ipv6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, source_ipv6=source_ipv6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_source_mac_update(self, flow_interface=None, flow_info_list=None, source_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type source_mac: unicode
    :param source_mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, source_mac=source_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, source_mac=source_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_status_update(self, flow_interface=None, flow_info_list=None, status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type status: unicode
    :param status: Keyword argument.

        * enumeration restriction: ::

            ['dcm-flow-pending-add',
            'dcm-flow-not-programmed',
            'dcm-flow-pending-modify',
            'dcm-flow-pending-delete',
            'dcm-flow-programmed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, status=status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, status=status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_total_bytes_update(self, flow_interface=None, flow_info_list=None, total_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type total_bytes: long
    :param total_bytes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, total_bytes=total_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, total_bytes=total_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_total_packets_update(self, flow_interface=None, flow_info_list=None, total_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type total_packets: long
    :param total_packets: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, total_packets=total_packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, total_packets=total_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_vlan_upbits_update(self, flow_interface=None, flow_info_list=None, vlan_upbits=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_upbits: long
    :param vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_interface=flow_interface, flow_info_list=flow_info_list, vlan_upbits=vlan_upbits)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, vlan_upbits=vlan_upbits)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_l23_interfaces_update(self, l23_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l23_interfaces: long
    :param l23_interfaces: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l23_interfaces=l23_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l23_interfaces=l23_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_l2_interfaces_update(self, l2_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_interfaces: long
    :param l2_interfaces: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_interfaces=l2_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_interfaces=l2_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_l3_interfaces_update(self, l3_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l3_interfaces: long
    :param l3_interfaces: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l3_interfaces=l3_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l3_interfaces=l3_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_lag_interfaces_update(self, lag_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type lag_interfaces: long
    :param lag_interfaces: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.flow', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lag_interfaces=lag_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lag_interfaces=lag_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_port_based_flows_update(self, port_based_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type port_based_flows: long
    :param port_based_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.flow', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_based_flows=port_based_flows)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_based_flows=port_based_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_update(self, max_groups=None, max_bkts_per_group=None, max_actions_per_bucket=None, total_groups_all=None, total_groups_select=None, total_groups_indirect=None, total_groups_fast_failover=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_groups: long
    :param max_groups: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_bkts_per_group: long
    :param max_bkts_per_group: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_actions_per_bucket: long
    :param max_actions_per_bucket: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_groups_all: long
    :param total_groups_all: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_groups_select: long
    :param total_groups_select: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_groups_indirect: long
    :param total_groups_indirect: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_groups_fast_failover: long
    :param total_groups_fast_failover: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_groups=max_groups, max_bkts_per_group=max_bkts_per_group, max_actions_per_bucket=max_actions_per_bucket, total_groups_all=total_groups_all, total_groups_select=total_groups_select, total_groups_indirect=total_groups_indirect, total_groups_fast_failover=total_groups_fast_failover)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_groups=max_groups, max_bkts_per_group=max_bkts_per_group, max_actions_per_bucket=max_actions_per_bucket, total_groups_all=total_groups_all, total_groups_select=total_groups_select, total_groups_indirect=total_groups_indirect, total_groups_fast_failover=total_groups_fast_failover)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_update(self, group_info_list=None, transaction_id=None, group_type=None, packet_count=None, byte_count=None, flow_count=None, num_of_bkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transaction_id: unicode
    :param transaction_id: Keyword argument.

    :type group_type: unicode
    :param group_type: Keyword argument.

        * enumeration restriction: ::

            ['dcm-group-type-all',
            'dcm-group-type-select',
            'dcm-group-type-invalid',
            'dcm-group-type-indirect',
            'dcm-group-type-fast-failover']

    :type packet_count: long
    :param packet_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flow_count: long
    :param flow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_of_bkts: long
    :param num_of_bkts: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list": {}, "pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list": {"byte_count": "byte_count", "packet_count": "packet_count", "transaction_id": "transaction_id", "flow_count": "flow_count", "num_of_bkts": "num_of_bkts", "group_id": "group_id", "group_type": "group_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, transaction_id=transaction_id, group_type=group_type, packet_count=packet_count, byte_count=byte_count, flow_count=flow_count, num_of_bkts=num_of_bkts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, transaction_id=transaction_id, group_type=group_type, packet_count=packet_count, byte_count=byte_count, flow_count=flow_count, num_of_bkts=num_of_bkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_byte_count_update(self, group_info_list=None, byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, byte_count=byte_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, byte_count=byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_flow_count_update(self, group_info_list=None, flow_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type flow_count: long
    :param flow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, flow_count=flow_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, flow_count=flow_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_group_bucket_list_update(self, group_info_list=None, group_bucket_list=None, weight=None, watch_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type weight: long
    :param weight: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type watch_port: unicode
    :param watch_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list.group_bucket_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, weight=weight, watch_port=watch_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, weight=weight, watch_port=watch_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_group_bucket_list_group_action_list_update(self, group_info_list=None, group_bucket_list=None, group_action_list=None, out_port=None, vlan_id=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_action_list: action_id
    :param group_action_list: Keyword argument tuple.

    :type action_id: long
    :param action_id: **group_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_port: unicode
    :param out_port: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port, vlan_id=vlan_id, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port, vlan_id=vlan_id, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_group_bucket_list_group_action_list_out_port_update(self, group_info_list=None, group_bucket_list=None, group_action_list=None, out_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_action_list: action_id
    :param group_action_list: Keyword argument tuple.

    :type action_id: long
    :param action_id: **group_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_port: unicode
    :param out_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_group_bucket_list_group_action_list_out_vlan_etype_update(self, group_info_list=None, group_bucket_list=None, group_action_list=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_action_list: action_id
    :param group_action_list: Keyword argument tuple.

    :type action_id: long
    :param action_id: **group_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_vlan_etype=out_vlan_etype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_group_bucket_list_group_action_list_out_vlan_tag_update(self, group_info_list=None, group_bucket_list=None, group_action_list=None, out_vlan_tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_action_list: action_id
    :param group_action_list: Keyword argument tuple.

    :type action_id: long
    :param action_id: **group_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_vlan_tag=out_vlan_tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_vlan_tag=out_vlan_tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_group_bucket_list_group_action_list_vlan_id_update(self, group_info_list=None, group_bucket_list=None, group_action_list=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_action_list: action_id
    :param group_action_list: Keyword argument tuple.

    :type action_id: long
    :param action_id: **group_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_group_bucket_list_watch_port_update(self, group_info_list=None, group_bucket_list=None, watch_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type watch_port: unicode
    :param watch_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list.group_bucket_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, watch_port=watch_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, watch_port=watch_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_group_bucket_list_weight_update(self, group_info_list=None, group_bucket_list=None, weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type weight: long
    :param weight: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list.group_bucket_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, weight=weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, weight=weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_group_type_update(self, group_info_list=None, group_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type group_type: unicode
    :param group_type: Keyword argument.

        * enumeration restriction: ::

            ['dcm-group-type-all',
            'dcm-group-type-select',
            'dcm-group-type-invalid',
            'dcm-group-type-indirect',
            'dcm-group-type-fast-failover']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, group_type=group_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, group_type=group_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_mcast_group_id_update(self, group_info_list=None, mcast_group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_group_id: long
    :param mcast_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, mcast_group_id=mcast_group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, mcast_group_id=mcast_group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_num_of_bkts_update(self, group_info_list=None, num_of_bkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_of_bkts: long
    :param num_of_bkts: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, num_of_bkts=num_of_bkts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, num_of_bkts=num_of_bkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_packet_count_update(self, group_info_list=None, packet_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type packet_count: long
    :param packet_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, packet_count=packet_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, packet_count=packet_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_replication_type_update(self, group_info_list=None, replication_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type replication_type: unicode
    :param replication_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, replication_type=replication_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, replication_type=replication_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_transaction_id_update(self, group_info_list=None, transaction_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transaction_id: unicode
    :param transaction_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group.group_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_info_list=group_info_list, transaction_id=transaction_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, transaction_id=transaction_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_update(self, group_id=None, transaction_id=None, group_type=None, packet_count=None, byte_count=None, flow_count=None, num_of_bkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type group_id: long
    :param group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type transaction_id: unicode
    :param transaction_id: Keyword argument.

    :type group_type: unicode
    :param group_type: Keyword argument.

        * enumeration restriction: ::

            ['dcm-group-type-all',
            'dcm-group-type-select',
            'dcm-group-type-invalid',
            'dcm-group-type-indirect',
            'dcm-group-type-fast-failover']

    :type packet_count: long
    :param packet_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flow_count: long
    :param flow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_of_bkts: long
    :param num_of_bkts: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.openflow_state.group_id": {}, "pybind.slxos.v16r_1_00b.openflow_state.group_id": {"byte_count": "byte_count", "packet_count": "packet_count", "transaction_id": "transaction_id", "flow_count": "flow_count", "num_of_bkts": "num_of_bkts", "group_id": "group_id", "group_type": "group_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_id=group_id, transaction_id=transaction_id, group_type=group_type, packet_count=packet_count, byte_count=byte_count, flow_count=flow_count, num_of_bkts=num_of_bkts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_id=group_id, transaction_id=transaction_id, group_type=group_type, packet_count=packet_count, byte_count=byte_count, flow_count=flow_count, num_of_bkts=num_of_bkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_byte_count_update(self, byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, byte_count=byte_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, byte_count=byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_flow_count_update(self, flow_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type flow_count: long
    :param flow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_count=flow_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_count=flow_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_bucket_list_update(self, group_bucket_list=None, weight=None, watch_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type weight: long
    :param weight: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type watch_port: unicode
    :param watch_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id.group_bucket_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_bucket_list=group_bucket_list, weight=weight, watch_port=watch_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_bucket_list=group_bucket_list, weight=weight, watch_port=watch_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_bucket_list_group_action_list_update(self, group_bucket_list=None, group_action_list=None, out_port=None, vlan_id=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_action_list: action_id
    :param group_action_list: Keyword argument tuple.

    :type action_id: long
    :param action_id: **group_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_port: unicode
    :param out_port: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.group_id.group_bucket_list', u'group_bucket_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bucket_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port, vlan_id=vlan_id, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port, vlan_id=vlan_id, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_bucket_list_group_action_list_out_port_update(self, group_bucket_list=None, group_action_list=None, out_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_action_list: action_id
    :param group_action_list: Keyword argument tuple.

    :type action_id: long
    :param action_id: **group_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_port: unicode
    :param out_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.group_id.group_bucket_list', u'group_bucket_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bucket_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_bucket_list_group_action_list_out_vlan_etype_update(self, group_bucket_list=None, group_action_list=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_action_list: action_id
    :param group_action_list: Keyword argument tuple.

    :type action_id: long
    :param action_id: **group_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.group_id.group_bucket_list', u'group_bucket_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bucket_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_vlan_etype=out_vlan_etype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_bucket_list_group_action_list_out_vlan_tag_update(self, group_bucket_list=None, group_action_list=None, out_vlan_tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_action_list: action_id
    :param group_action_list: Keyword argument tuple.

    :type action_id: long
    :param action_id: **group_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.group_id.group_bucket_list', u'group_bucket_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bucket_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_vlan_tag=out_vlan_tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_vlan_tag=out_vlan_tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_bucket_list_group_action_list_vlan_id_update(self, group_bucket_list=None, group_action_list=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_action_list: action_id
    :param group_action_list: Keyword argument tuple.

    :type action_id: long
    :param action_id: **group_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.group_id.group_bucket_list', u'group_bucket_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bucket_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_bucket_list=group_bucket_list, group_action_list=group_action_list, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_bucket_list=group_bucket_list, group_action_list=group_action_list, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_bucket_list_watch_port_update(self, group_bucket_list=None, watch_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type watch_port: unicode
    :param watch_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id.group_bucket_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_bucket_list=group_bucket_list, watch_port=watch_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_bucket_list=group_bucket_list, watch_port=watch_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_bucket_list_weight_update(self, group_bucket_list=None, weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type weight: long
    :param weight: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id.group_bucket_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_bucket_list=group_bucket_list, weight=weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_bucket_list=group_bucket_list, weight=weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_id_update(self, group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type group_id: long
    :param group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_id=group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_id=group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_type_update(self, group_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type group_type: unicode
    :param group_type: Keyword argument.

        * enumeration restriction: ::

            ['dcm-group-type-all',
            'dcm-group-type-select',
            'dcm-group-type-invalid',
            'dcm-group-type-indirect',
            'dcm-group-type-fast-failover']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_type=group_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_type=group_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_mcast_group_id_update(self, mcast_group_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type mcast_group_id: long
    :param mcast_group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.group_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mcast_group_id=mcast_group_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mcast_group_id=mcast_group_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_num_of_bkts_update(self, num_of_bkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type num_of_bkts: long
    :param num_of_bkts: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_of_bkts=num_of_bkts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_of_bkts=num_of_bkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_packet_count_update(self, packet_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type packet_count: long
    :param packet_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, packet_count=packet_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, packet_count=packet_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_replication_type_update(self, replication_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type replication_type: unicode
    :param replication_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.openflow_state.group_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, replication_type=replication_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, replication_type=replication_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_transaction_id_update(self, transaction_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transaction_id: unicode
    :param transaction_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transaction_id=transaction_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transaction_id=transaction_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_max_actions_per_bucket_update(self, max_actions_per_bucket=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_actions_per_bucket: long
    :param max_actions_per_bucket: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_actions_per_bucket=max_actions_per_bucket)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_actions_per_bucket=max_actions_per_bucket)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_max_bkts_per_group_update(self, max_bkts_per_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_bkts_per_group: long
    :param max_bkts_per_group: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_bkts_per_group=max_bkts_per_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_bkts_per_group=max_bkts_per_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_max_groups_update(self, max_groups=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_groups: long
    :param max_groups: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_groups=max_groups)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_groups=max_groups)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_total_groups_all_update(self, total_groups_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_groups_all: long
    :param total_groups_all: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_groups_all=total_groups_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_groups_all=total_groups_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_total_groups_fast_failover_update(self, total_groups_fast_failover=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_groups_fast_failover: long
    :param total_groups_fast_failover: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_groups_fast_failover=total_groups_fast_failover)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_groups_fast_failover=total_groups_fast_failover)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_total_groups_indirect_update(self, total_groups_indirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_groups_indirect: long
    :param total_groups_indirect: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_groups_indirect=total_groups_indirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_groups_indirect=total_groups_indirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_total_groups_select_update(self, total_groups_select=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type total_groups_select: long
    :param total_groups_select: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.group', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_groups_select=total_groups_select)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_groups_select=total_groups_select)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_interface_update(self, interface=None, link=None, port_state=None, speed=None, mac=None, port_id=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: port
    :param interface: Keyword argument tuple.

    :type port: unicode
    :param port: **interface** tuple argument.

    **Instance Argument(s)**:

    :type link: YANGBool
    :param link: Keyword argument.

    :type port_state: unicode
    :param port_state: Keyword argument.

        * enumeration restriction: ::

            ['dcm-port-state-invalid',
            'dcm-port-state-forward',
            'dcm-port-state-live',
            'dcm-port-state-blocked',
            'dcm-port-state-link-down']

    :type speed: unicode
    :param speed: Keyword argument.

        * enumeration restriction: ::

            ['dcm-port-speed-gig',
            'dcm-port-speed-hundredgig',
            'dcm-port-speed-tengig',
            'dcm-port-speed-fortygig',
            'dcm-port-speed-unknown']

    :type mac: unicode
    :param mac: Keyword argument.

    :type port_id: long
    :param port_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['dcm-port-mode-unknown',
            'dcm-port-mode-hybrid-l3',
            'dcm-port-mode-hybrid-l2',
            'dcm-port-mode-l23',
            'dcm-port-mode-hybrid-l23',
            'dcm-port-mode-l3',
            'dcm-port-mode-l2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.interface', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, link=link, port_state=port_state, speed=speed, mac=mac, port_id=port_id, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, link=link, port_state=port_state, speed=speed, mac=mac, port_id=port_id, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_interface_link_update(self, interface=None, link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: port
    :param interface: Keyword argument tuple.

    :type port: unicode
    :param port: **interface** tuple argument.

    **Instance Argument(s)**:

    :type link: YANGBool
    :param link: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.interface', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, link=link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, link=link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_interface_mac_update(self, interface=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: port
    :param interface: Keyword argument tuple.

    :type port: unicode
    :param port: **interface** tuple argument.

    **Instance Argument(s)**:

    :type mac: unicode
    :param mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.interface', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, mac=mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_interface_mode_update(self, interface=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: port
    :param interface: Keyword argument tuple.

    :type port: unicode
    :param port: **interface** tuple argument.

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['dcm-port-mode-unknown',
            'dcm-port-mode-hybrid-l3',
            'dcm-port-mode-hybrid-l2',
            'dcm-port-mode-l23',
            'dcm-port-mode-hybrid-l23',
            'dcm-port-mode-l3',
            'dcm-port-mode-l2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.interface', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_interface_port_id_update(self, interface=None, port_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: port
    :param interface: Keyword argument tuple.

    :type port: unicode
    :param port: **interface** tuple argument.

    **Instance Argument(s)**:

    :type port_id: long
    :param port_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.interface', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, port_id=port_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, port_id=port_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_interface_port_state_update(self, interface=None, port_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: port
    :param interface: Keyword argument tuple.

    :type port: unicode
    :param port: **interface** tuple argument.

    **Instance Argument(s)**:

    :type port_state: unicode
    :param port_state: Keyword argument.

        * enumeration restriction: ::

            ['dcm-port-state-invalid',
            'dcm-port-state-forward',
            'dcm-port-state-live',
            'dcm-port-state-blocked',
            'dcm-port-state-link-down']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.interface', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, port_state=port_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, port_state=port_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_interface_speed_update(self, interface=None, speed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: port
    :param interface: Keyword argument tuple.

    :type port: unicode
    :param port: **interface** tuple argument.

    **Instance Argument(s)**:

    :type speed: unicode
    :param speed: Keyword argument.

        * enumeration restriction: ::

            ['dcm-port-speed-gig',
            'dcm-port-speed-hundredgig',
            'dcm-port-speed-tengig',
            'dcm-port-speed-fortygig',
            'dcm-port-speed-unknown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.interface', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, speed=speed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, speed=speed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_update(self, num_of_meters=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type num_of_meters: long
    :param num_of_meters: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_of_meters=num_of_meters)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_of_meters=num_of_meters)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_update(self, meter_id=None, transaction_id=None, meterflags_type=None, flow_count=None, num_of_bands=None, in_packet_count=None, in_byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type meter_id: long
    :param meter_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type transaction_id: unicode
    :param transaction_id: Keyword argument.

    :type meterflags_type: unicode
    :param meterflags_type: Keyword argument.

    :type flow_count: long
    :param flow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_of_bands: long
    :param num_of_bands: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_packet_count: long
    :param in_packet_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_byte_count: long
    :param in_byte_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_id=meter_id, transaction_id=transaction_id, meterflags_type=meterflags_type, flow_count=flow_count, num_of_bands=num_of_bands, in_packet_count=in_packet_count, in_byte_count=in_byte_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_id=meter_id, transaction_id=transaction_id, meterflags_type=meterflags_type, flow_count=flow_count, num_of_bands=num_of_bands, in_packet_count=in_packet_count, in_byte_count=in_byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_flow_count_update(self, flow_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type flow_count: long
    :param flow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, flow_count=flow_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_count=flow_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_in_byte_count_update(self, in_byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type in_byte_count: long
    :param in_byte_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_byte_count=in_byte_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_byte_count=in_byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_in_packet_count_update(self, in_packet_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type in_packet_count: long
    :param in_packet_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, in_packet_count=in_packet_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, in_packet_count=in_packet_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_meter_id_update(self, meter_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type meter_id: long
    :param meter_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_id=meter_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_id=meter_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_meterband_info_list_update(self, meterband_info_list=None, rate=None, burst_size=None, in_packet_band_count=None, in_byte_band_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type meterband_info_list: band_type
    :param meterband_info_list: Keyword argument tuple.

    :type band_type: long
    :param band_type: **meterband_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate: long
    :param rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_packet_band_count: long
    :param in_packet_band_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_byte_band_count: long
    :param in_byte_band_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meterband_info_list=meterband_info_list, rate=rate, burst_size=burst_size, in_packet_band_count=in_packet_band_count, in_byte_band_count=in_byte_band_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meterband_info_list=meterband_info_list, rate=rate, burst_size=burst_size, in_packet_band_count=in_packet_band_count, in_byte_band_count=in_byte_band_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_meterband_info_list_burst_size_update(self, meterband_info_list=None, burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type meterband_info_list: band_type
    :param meterband_info_list: Keyword argument tuple.

    :type band_type: long
    :param band_type: **meterband_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meterband_info_list=meterband_info_list, burst_size=burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meterband_info_list=meterband_info_list, burst_size=burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_meterband_info_list_in_byte_band_count_update(self, meterband_info_list=None, in_byte_band_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type meterband_info_list: band_type
    :param meterband_info_list: Keyword argument tuple.

    :type band_type: long
    :param band_type: **meterband_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type in_byte_band_count: long
    :param in_byte_band_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meterband_info_list=meterband_info_list, in_byte_band_count=in_byte_band_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meterband_info_list=meterband_info_list, in_byte_band_count=in_byte_band_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_meterband_info_list_in_packet_band_count_update(self, meterband_info_list=None, in_packet_band_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type meterband_info_list: band_type
    :param meterband_info_list: Keyword argument tuple.

    :type band_type: long
    :param band_type: **meterband_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type in_packet_band_count: long
    :param in_packet_band_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meterband_info_list=meterband_info_list, in_packet_band_count=in_packet_band_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meterband_info_list=meterband_info_list, in_packet_band_count=in_packet_band_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_meterband_info_list_rate_update(self, meterband_info_list=None, rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type meterband_info_list: band_type
    :param meterband_info_list: Keyword argument tuple.

    :type band_type: long
    :param band_type: **meterband_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate: long
    :param rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meterband_info_list=meterband_info_list, rate=rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meterband_info_list=meterband_info_list, rate=rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_meterflags_type_update(self, meterflags_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type meterflags_type: unicode
    :param meterflags_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meterflags_type=meterflags_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meterflags_type=meterflags_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_num_of_bands_update(self, num_of_bands=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type num_of_bands: long
    :param num_of_bands: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_of_bands=num_of_bands)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_of_bands=num_of_bands)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_transaction_id_update(self, transaction_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transaction_id: unicode
    :param transaction_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter_id', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transaction_id=transaction_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transaction_id=transaction_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_update(self, meter_info_list=None, transaction_id=None, meterflags_type=None, flow_count=None, num_of_bands=None, in_packet_count=None, in_byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transaction_id: unicode
    :param transaction_id: Keyword argument.

    :type meterflags_type: unicode
    :param meterflags_type: Keyword argument.

    :type flow_count: long
    :param flow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_of_bands: long
    :param num_of_bands: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_packet_count: long
    :param in_packet_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_byte_count: long
    :param in_byte_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meter_info_list', 'keyval': 'meter_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_info_list=meter_info_list, transaction_id=transaction_id, meterflags_type=meterflags_type, flow_count=flow_count, num_of_bands=num_of_bands, in_packet_count=in_packet_count, in_byte_count=in_byte_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, transaction_id=transaction_id, meterflags_type=meterflags_type, flow_count=flow_count, num_of_bands=num_of_bands, in_packet_count=in_packet_count, in_byte_count=in_byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_flow_count_update(self, meter_info_list=None, flow_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type flow_count: long
    :param flow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meter_info_list', 'keyval': 'meter_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_info_list=meter_info_list, flow_count=flow_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, flow_count=flow_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_in_byte_count_update(self, meter_info_list=None, in_byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type in_byte_count: long
    :param in_byte_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meter_info_list', 'keyval': 'meter_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_info_list=meter_info_list, in_byte_count=in_byte_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, in_byte_count=in_byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_in_packet_count_update(self, meter_info_list=None, in_packet_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type in_packet_count: long
    :param in_packet_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meter_info_list', 'keyval': 'meter_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_info_list=meter_info_list, in_packet_count=in_packet_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, in_packet_count=in_packet_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_meterband_info_list_update(self, meter_info_list=None, meterband_info_list=None, rate=None, burst_size=None, in_packet_band_count=None, in_byte_band_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type meterband_info_list: band_type
    :param meterband_info_list: Keyword argument tuple.

    :type band_type: long
    :param band_type: **meterband_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate: long
    :param rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_packet_band_count: long
    :param in_packet_band_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_byte_band_count: long
    :param in_byte_band_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', u'meter_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list', u'meter_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'meter_id', 'extra_keyval': ''}, {'keyval': 'meter_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list, rate=rate, burst_size=burst_size, in_packet_band_count=in_packet_band_count, in_byte_band_count=in_byte_band_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list, rate=rate, burst_size=burst_size, in_packet_band_count=in_packet_band_count, in_byte_band_count=in_byte_band_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_meterband_info_list_burst_size_update(self, meter_info_list=None, meterband_info_list=None, burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type meterband_info_list: band_type
    :param meterband_info_list: Keyword argument tuple.

    :type band_type: long
    :param band_type: **meterband_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', u'meter_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list', u'meter_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'meter_id', 'extra_keyval': ''}, {'keyval': 'meter_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list, burst_size=burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list, burst_size=burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_meterband_info_list_in_byte_band_count_update(self, meter_info_list=None, meterband_info_list=None, in_byte_band_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type meterband_info_list: band_type
    :param meterband_info_list: Keyword argument tuple.

    :type band_type: long
    :param band_type: **meterband_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type in_byte_band_count: long
    :param in_byte_band_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', u'meter_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list', u'meter_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'meter_id', 'extra_keyval': ''}, {'keyval': 'meter_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list, in_byte_band_count=in_byte_band_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list, in_byte_band_count=in_byte_band_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_meterband_info_list_in_packet_band_count_update(self, meter_info_list=None, meterband_info_list=None, in_packet_band_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type meterband_info_list: band_type
    :param meterband_info_list: Keyword argument tuple.

    :type band_type: long
    :param band_type: **meterband_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type in_packet_band_count: long
    :param in_packet_band_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', u'meter_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list', u'meter_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'meter_id', 'extra_keyval': ''}, {'keyval': 'meter_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list, in_packet_band_count=in_packet_band_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list, in_packet_band_count=in_packet_band_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_meterband_info_list_rate_update(self, meter_info_list=None, meterband_info_list=None, rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type meterband_info_list: band_type
    :param meterband_info_list: Keyword argument tuple.

    :type band_type: long
    :param band_type: **meterband_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate: long
    :param rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', u'meter_info_list'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list', u'meter_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'meter_id', 'extra_keyval': ''}, {'keyval': 'meter_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list, rate=rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list, rate=rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_meterflags_type_update(self, meter_info_list=None, meterflags_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type meterflags_type: unicode
    :param meterflags_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meter_info_list', 'keyval': 'meter_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_info_list=meter_info_list, meterflags_type=meterflags_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, meterflags_type=meterflags_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_num_of_bands_update(self, meter_info_list=None, num_of_bands=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_of_bands: long
    :param num_of_bands: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meter_info_list', 'keyval': 'meter_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_info_list=meter_info_list, num_of_bands=num_of_bands)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, num_of_bands=num_of_bands)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_transaction_id_update(self, meter_info_list=None, transaction_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transaction_id: unicode
    :param transaction_id: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter.meter_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meter_info_list', 'keyval': 'meter_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_info_list=meter_info_list, transaction_id=transaction_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, transaction_id=transaction_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_num_of_meters_update(self, num_of_meters=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type num_of_meters: long
    :param num_of_meters: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.meter', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_of_meters=num_of_meters)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_of_meters=num_of_meters)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_queues_interface_update(self, interface_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_value: unicode
    :param interface_value: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.queues_interface', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_value=interface_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_value=interface_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_queues_interface_interface_value_update(self, interface_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_value: unicode
    :param interface_value: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.queues_interface', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_value=interface_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_value=interface_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_queues_interface_queue_info_list_update(self, queue_info_list=None, tx_packets=None, tx_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type queue_info_list: interface, num
    :param queue_info_list: Keyword argument tuple.

    :type interface: unicode
    :param interface: **queue_info_list** tuple argument.

    :type num: long
    :param num: **queue_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_packets: long
    :param tx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_bytes: long
    :param tx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.queues_interface.queue_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, queue_info_list=queue_info_list, tx_packets=tx_packets, tx_bytes=tx_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue_info_list=queue_info_list, tx_packets=tx_packets, tx_bytes=tx_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_queues_interface_queue_info_list_tx_bytes_update(self, queue_info_list=None, tx_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type queue_info_list: interface, num
    :param queue_info_list: Keyword argument tuple.

    :type interface: unicode
    :param interface: **queue_info_list** tuple argument.

    :type num: long
    :param num: **queue_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_bytes: long
    :param tx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.queues_interface.queue_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, queue_info_list=queue_info_list, tx_bytes=tx_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue_info_list=queue_info_list, tx_bytes=tx_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_queues_interface_queue_info_list_tx_packets_update(self, queue_info_list=None, tx_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type queue_info_list: interface, num
    :param queue_info_list: Keyword argument tuple.

    :type interface: unicode
    :param interface: **queue_info_list** tuple argument.

    :type num: long
    :param num: **queue_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_packets: long
    :param tx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.queues_interface.queue_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, queue_info_list=queue_info_list, tx_packets=tx_packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue_info_list=queue_info_list, tx_packets=tx_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_update(self, meter_max=None, meter_used=None, meter_free=None, tcam_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type meter_max: long
    :param meter_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type meter_used: long
    :param meter_used: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type meter_free: long
    :param meter_free: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tcam_profile: unicode
    :param tcam_profile: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_max=meter_max, meter_used=meter_used, meter_free=meter_free, tcam_profile=tcam_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_max=meter_max, meter_used=meter_used, meter_free=meter_free, tcam_profile=tcam_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_group_resouces_list_update(self, group_resouces_list=None, max_=None, used=None, free=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_resouces_list: group_type
    :param group_resouces_list: Keyword argument tuple.

    :type group_type: unicode
    :param group_type: **group_resouces_list** tuple argument.

        * enumeration restriction: ::

            ['dcm-group-type-all',
            'dcm-group-type-select',
            'dcm-group-type-invalid',
            'dcm-group-type-indirect',
            'dcm-group-type-fast-failover']

    **Instance Argument(s)**:

    :type max_: long
    :param max_: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type used: long
    :param used: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type free: long
    :param free: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.group_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.group_resouces_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_resouces_list', 'keyval': 'group_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_resouces_list=group_resouces_list, max_=max_, used=used, free=free)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_resouces_list=group_resouces_list, max_=max_, used=used, free=free)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_group_resouces_list_free_update(self, group_resouces_list=None, free=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_resouces_list: group_type
    :param group_resouces_list: Keyword argument tuple.

    :type group_type: unicode
    :param group_type: **group_resouces_list** tuple argument.

        * enumeration restriction: ::

            ['dcm-group-type-all',
            'dcm-group-type-select',
            'dcm-group-type-invalid',
            'dcm-group-type-indirect',
            'dcm-group-type-fast-failover']

    **Instance Argument(s)**:

    :type free: long
    :param free: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.group_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.group_resouces_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_resouces_list', 'keyval': 'group_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_resouces_list=group_resouces_list, free=free)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_resouces_list=group_resouces_list, free=free)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_group_resouces_list_max_update(self, group_resouces_list=None, max_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_resouces_list: group_type
    :param group_resouces_list: Keyword argument tuple.

    :type group_type: unicode
    :param group_type: **group_resouces_list** tuple argument.

        * enumeration restriction: ::

            ['dcm-group-type-all',
            'dcm-group-type-select',
            'dcm-group-type-invalid',
            'dcm-group-type-indirect',
            'dcm-group-type-fast-failover']

    **Instance Argument(s)**:

    :type max_: long
    :param max_: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.group_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.group_resouces_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_resouces_list', 'keyval': 'group_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_resouces_list=group_resouces_list, max_=max_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_resouces_list=group_resouces_list, max_=max_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_group_resouces_list_used_update(self, group_resouces_list=None, used=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group_resouces_list: group_type
    :param group_resouces_list: Keyword argument tuple.

    :type group_type: unicode
    :param group_type: **group_resouces_list** tuple argument.

        * enumeration restriction: ::

            ['dcm-group-type-all',
            'dcm-group-type-select',
            'dcm-group-type-invalid',
            'dcm-group-type-indirect',
            'dcm-group-type-fast-failover']

    **Instance Argument(s)**:

    :type used: long
    :param used: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.group_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.group_resouces_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_resouces_list', 'keyval': 'group_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group_resouces_list=group_resouces_list, used=used)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_resouces_list=group_resouces_list, used=used)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_meter_free_update(self, meter_free=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type meter_free: long
    :param meter_free: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_free=meter_free)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_free=meter_free)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_meter_max_update(self, meter_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type meter_max: long
    :param meter_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_max=meter_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_max=meter_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_meter_used_update(self, meter_used=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type meter_used: long
    :param meter_used: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, meter_used=meter_used)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_used=meter_used)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_update(self, slot_resouces_list=None, module=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slot_resouces_list: slot_id
    :param slot_resouces_list: Keyword argument tuple.

    :type slot_id: long
    :param slot_id: **slot_resouces_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type module: unicode
    :param module: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slot_resouces_list', 'keyval': 'slot_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot_resouces_list=slot_resouces_list, module=module)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_resouces_list=slot_resouces_list, module=module)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_module_update(self, slot_resouces_list=None, module=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type slot_resouces_list: slot_id
    :param slot_resouces_list: Keyword argument tuple.

    :type slot_id: long
    :param slot_id: **slot_resouces_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type module: unicode
    :param module: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slot_resouces_list', 'keyval': 'slot_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot_resouces_list=slot_resouces_list, module=module)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_resouces_list=slot_resouces_list, module=module)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_slot_match_profile_list_update(self, slot_resouces_list=None, slot_match_profile_list=None, max_flows=None, used_flows=None, free_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot_resouces_list: slot_id
    :param slot_resouces_list: Keyword argument tuple.

    :type slot_id: long
    :param slot_id: **slot_resouces_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slot_match_profile_list: slot_match_profile_idx
    :param slot_match_profile_list: Keyword argument tuple.

    :type slot_match_profile_idx: long
    :param slot_match_profile_idx: **slot_match_profile_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_flows: long
    :param max_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type used_flows: long
    :param used_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type free_flows: long
    :param free_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slot_match_profile_list', 'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, max_flows=max_flows, used_flows=used_flows, free_flows=free_flows)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, max_flows=max_flows, used_flows=used_flows, free_flows=free_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_slot_match_profile_list_free_flows_update(self, slot_resouces_list=None, slot_match_profile_list=None, free_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot_resouces_list: slot_id
    :param slot_resouces_list: Keyword argument tuple.

    :type slot_id: long
    :param slot_id: **slot_resouces_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slot_match_profile_list: slot_match_profile_idx
    :param slot_match_profile_list: Keyword argument tuple.

    :type slot_match_profile_idx: long
    :param slot_match_profile_idx: **slot_match_profile_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type free_flows: long
    :param free_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slot_match_profile_list', 'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, free_flows=free_flows)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, free_flows=free_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_slot_match_profile_list_max_flows_update(self, slot_resouces_list=None, slot_match_profile_list=None, max_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot_resouces_list: slot_id
    :param slot_resouces_list: Keyword argument tuple.

    :type slot_id: long
    :param slot_id: **slot_resouces_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slot_match_profile_list: slot_match_profile_idx
    :param slot_match_profile_list: Keyword argument tuple.

    :type slot_match_profile_idx: long
    :param slot_match_profile_idx: **slot_match_profile_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_flows: long
    :param max_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slot_match_profile_list', 'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, max_flows=max_flows)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, max_flows=max_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_slot_match_profile_list_slot_chip_resource_list_update(self, slot_resouces_list=None, slot_match_profile_list=None, slot_chip_resource_list=None, max_flows=None, used_flows=None, free_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot_resouces_list: slot_id
    :param slot_resouces_list: Keyword argument tuple.

    :type slot_id: long
    :param slot_id: **slot_resouces_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type slot_match_profile_list: slot_match_profile_idx
    :param slot_match_profile_list: Keyword argument tuple.

    :type slot_match_profile_idx: long
    :param slot_match_profile_idx: **slot_match_profile_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slot_chip_resource_list: slot_chip_idx
    :param slot_chip_resource_list: Keyword argument tuple.

    :type slot_chip_idx: long
    :param slot_chip_idx: **slot_chip_resource_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_flows: long
    :param max_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type used_flows: long
    :param used_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type free_flows: long
    :param free_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slot_chip_resource_list', 'keyval': 'slot_chip_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list, max_flows=max_flows, used_flows=used_flows, free_flows=free_flows)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list, max_flows=max_flows, used_flows=used_flows, free_flows=free_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_slot_match_profile_list_slot_chip_resource_list_free_flows_update(self, slot_resouces_list=None, slot_match_profile_list=None, slot_chip_resource_list=None, free_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot_resouces_list: slot_id
    :param slot_resouces_list: Keyword argument tuple.

    :type slot_id: long
    :param slot_id: **slot_resouces_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type slot_match_profile_list: slot_match_profile_idx
    :param slot_match_profile_list: Keyword argument tuple.

    :type slot_match_profile_idx: long
    :param slot_match_profile_idx: **slot_match_profile_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slot_chip_resource_list: slot_chip_idx
    :param slot_chip_resource_list: Keyword argument tuple.

    :type slot_chip_idx: long
    :param slot_chip_idx: **slot_chip_resource_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type free_flows: long
    :param free_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slot_chip_resource_list', 'keyval': 'slot_chip_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list, free_flows=free_flows)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list, free_flows=free_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_slot_match_profile_list_slot_chip_resource_list_max_flows_update(self, slot_resouces_list=None, slot_match_profile_list=None, slot_chip_resource_list=None, max_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot_resouces_list: slot_id
    :param slot_resouces_list: Keyword argument tuple.

    :type slot_id: long
    :param slot_id: **slot_resouces_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type slot_match_profile_list: slot_match_profile_idx
    :param slot_match_profile_list: Keyword argument tuple.

    :type slot_match_profile_idx: long
    :param slot_match_profile_idx: **slot_match_profile_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slot_chip_resource_list: slot_chip_idx
    :param slot_chip_resource_list: Keyword argument tuple.

    :type slot_chip_idx: long
    :param slot_chip_idx: **slot_chip_resource_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_flows: long
    :param max_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slot_chip_resource_list', 'keyval': 'slot_chip_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list, max_flows=max_flows)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list, max_flows=max_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_slot_match_profile_list_slot_chip_resource_list_used_flows_update(self, slot_resouces_list=None, slot_match_profile_list=None, slot_chip_resource_list=None, used_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot_resouces_list: slot_id
    :param slot_resouces_list: Keyword argument tuple.

    :type slot_id: long
    :param slot_id: **slot_resouces_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type slot_match_profile_list: slot_match_profile_idx
    :param slot_match_profile_list: Keyword argument tuple.

    :type slot_match_profile_idx: long
    :param slot_match_profile_idx: **slot_match_profile_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slot_chip_resource_list: slot_chip_idx
    :param slot_chip_resource_list: Keyword argument tuple.

    :type slot_chip_idx: long
    :param slot_chip_idx: **slot_chip_resource_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type used_flows: long
    :param used_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slot_chip_resource_list', 'keyval': 'slot_chip_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list, used_flows=used_flows)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list, used_flows=used_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_slot_match_profile_list_used_flows_update(self, slot_resouces_list=None, slot_match_profile_list=None, used_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot_resouces_list: slot_id
    :param slot_resouces_list: Keyword argument tuple.

    :type slot_id: long
    :param slot_id: **slot_resouces_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slot_match_profile_list: slot_match_profile_idx
    :param slot_match_profile_list: Keyword argument tuple.

    :type slot_match_profile_idx: long
    :param slot_match_profile_idx: **slot_match_profile_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type used_flows: long
    :param used_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slot_match_profile_list', 'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, used_flows=used_flows)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, used_flows=used_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_tcam_profile_update(self, tcam_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type tcam_profile: unicode
    :param tcam_profile: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.openflow_state.resources', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tcam_profile=tcam_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tcam_profile=tcam_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_arpentries_arpe_update(self, arpe=None, hwaddr=None, permanent=None, published=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type arpe: ip, ifname
    :param arpe: Keyword argument tuple.

    :type ip: unicode
    :param ip: **arpe** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ifname: unicode
    :param ifname: **arpe** tuple argument.

    **Instance Argument(s)**:

    :type hwaddr: unicode
    :param hwaddr: Keyword argument.

    :type permanent: YANGBool
    :param permanent: Keyword argument.

    :type published: YANGBool
    :param published: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.arpentries.arpe', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.arpentries.arpe', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arpe', 'keyval': 'ip, ifname', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arpe=arpe, hwaddr=hwaddr, permanent=permanent, published=published)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arpe=arpe, hwaddr=hwaddr, permanent=permanent, published=published)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_arpentries_arpe_hwaddr_update(self, arpe=None, hwaddr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type arpe: ip, ifname
    :param arpe: Keyword argument tuple.

    :type ip: unicode
    :param ip: **arpe** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ifname: unicode
    :param ifname: **arpe** tuple argument.

    **Instance Argument(s)**:

    :type hwaddr: unicode
    :param hwaddr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.arpentries.arpe', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.arpentries.arpe', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arpe', 'keyval': 'ip, ifname', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arpe=arpe, hwaddr=hwaddr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arpe=arpe, hwaddr=hwaddr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_arpentries_arpe_permanent_update(self, arpe=None, permanent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type arpe: ip, ifname
    :param arpe: Keyword argument tuple.

    :type ip: unicode
    :param ip: **arpe** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ifname: unicode
    :param ifname: **arpe** tuple argument.

    **Instance Argument(s)**:

    :type permanent: YANGBool
    :param permanent: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.arpentries.arpe', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.arpentries.arpe', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arpe', 'keyval': 'ip, ifname', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arpe=arpe, permanent=permanent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arpe=arpe, permanent=permanent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_arpentries_arpe_published_update(self, arpe=None, published=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type arpe: ip, ifname
    :param arpe: Keyword argument tuple.

    :type ip: unicode
    :param ip: **arpe** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ifname: unicode
    :param ifname: **arpe** tuple argument.

    **Instance Argument(s)**:

    :type published: YANGBool
    :param published: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.arpentries.arpe', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.arpentries.arpe', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arpe', 'keyval': 'ip, ifname', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arpe=arpe, published=published)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arpe=arpe, published=published)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_update(self, route=None, entryMultipathIndex=None, prefixLength=None, gateway=None, outInterfaceName=None, outLabel=None, protocol=None, vifIndex=None, metric=None, useCount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type entryMultipathIndex: long
    :param entryMultipathIndex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefixLength: long
    :param prefixLength: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gateway: unicode
    :param gateway: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type outInterfaceName: unicode
    :param outInterfaceName: Keyword argument.

    :type outLabel: long
    :param outLabel: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type protocol: unicode
    :param protocol: Keyword argument.

    :type vifIndex: long
    :param vifIndex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type metric: long
    :param metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type useCount: long
    :param useCount: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, entryMultipathIndex=entryMultipathIndex, prefixLength=prefixLength, gateway=gateway, outInterfaceName=outInterfaceName, outLabel=outLabel, protocol=protocol, vifIndex=vifIndex, metric=metric, useCount=useCount)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, entryMultipathIndex=entryMultipathIndex, prefixLength=prefixLength, gateway=gateway, outInterfaceName=outInterfaceName, outLabel=outLabel, protocol=protocol, vifIndex=vifIndex, metric=metric, useCount=useCount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_children_update(self, route=None, children=None, parentKey=None, attr1=None, attr2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type children: keyid
    :param children: Keyword argument tuple.

    :type keyid: long
    :param keyid: **children** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type parentKey: unicode
    :param parentKey: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type attr1: long
    :param attr1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type attr2: long
    :param attr2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'destPrefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'children', 'keyval': 'keyid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, children=children, parentKey=parentKey, attr1=attr1, attr2=attr2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, children=children, parentKey=parentKey, attr1=attr1, attr2=attr2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_children_attr1_update(self, route=None, children=None, attr1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type children: keyid
    :param children: Keyword argument tuple.

    :type keyid: long
    :param keyid: **children** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type attr1: long
    :param attr1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'destPrefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'children', 'keyval': 'keyid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, children=children, attr1=attr1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, children=children, attr1=attr1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_children_attr2_update(self, route=None, children=None, attr2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type children: keyid
    :param children: Keyword argument tuple.

    :type keyid: long
    :param keyid: **children** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type attr2: long
    :param attr2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'destPrefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'children', 'keyval': 'keyid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, children=children, attr2=attr2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, children=children, attr2=attr2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_children_layer2_update(self, route=None, children=None, layer2=None, parentkeyid=None, grandparentKey=None, attr3=None, attr4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type children: keyid
    :param children: Keyword argument tuple.

    :type keyid: long
    :param keyid: **children** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type layer2: layer2id
    :param layer2: Keyword argument tuple.

    :type layer2id: long
    :param layer2id: **layer2** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type parentkeyid: long
    :param parentkeyid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type grandparentKey: unicode
    :param grandparentKey: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type attr3: long
    :param attr3: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type attr4: long
    :param attr4: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.opstest_state.routes.route', u'route'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children', u'children'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', u'children')]
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children.layer2', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children.layer2', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}, {'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'layer2', 'keyval': 'layer2id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, children=children, layer2=layer2, parentkeyid=parentkeyid, grandparentKey=grandparentKey, attr3=attr3, attr4=attr4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, children=children, layer2=layer2, parentkeyid=parentkeyid, grandparentKey=grandparentKey, attr3=attr3, attr4=attr4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_children_layer2_attr3_update(self, route=None, children=None, layer2=None, attr3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type children: keyid
    :param children: Keyword argument tuple.

    :type keyid: long
    :param keyid: **children** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type layer2: layer2id
    :param layer2: Keyword argument tuple.

    :type layer2id: long
    :param layer2id: **layer2** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type attr3: long
    :param attr3: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.opstest_state.routes.route', u'route'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children', u'children'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', u'children')]
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children.layer2', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children.layer2', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}, {'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'layer2', 'keyval': 'layer2id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, children=children, layer2=layer2, attr3=attr3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, children=children, layer2=layer2, attr3=attr3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_children_layer2_attr4_update(self, route=None, children=None, layer2=None, attr4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type children: keyid
    :param children: Keyword argument tuple.

    :type keyid: long
    :param keyid: **children** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type layer2: layer2id
    :param layer2: Keyword argument tuple.

    :type layer2id: long
    :param layer2id: **layer2** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type attr4: long
    :param attr4: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.opstest_state.routes.route', u'route'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children', u'children'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', u'children')]
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children.layer2', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children.layer2', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}, {'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'layer2', 'keyval': 'layer2id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, children=children, layer2=layer2, attr4=attr4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, children=children, layer2=layer2, attr4=attr4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_children_layer2_grandparentkey_update(self, route=None, children=None, layer2=None, grandparentKey=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type children: keyid
    :param children: Keyword argument tuple.

    :type keyid: long
    :param keyid: **children** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type layer2: layer2id
    :param layer2: Keyword argument tuple.

    :type layer2id: long
    :param layer2id: **layer2** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type grandparentKey: unicode
    :param grandparentKey: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.opstest_state.routes.route', u'route'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children', u'children'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', u'children')]
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children.layer2', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children.layer2', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}, {'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'layer2', 'keyval': 'layer2id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, children=children, layer2=layer2, grandparentKey=grandparentKey)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, children=children, layer2=layer2, grandparentKey=grandparentKey)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_children_layer2_parentkeyid_update(self, route=None, children=None, layer2=None, parentkeyid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type children: keyid
    :param children: Keyword argument tuple.

    :type keyid: long
    :param keyid: **children** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type layer2: layer2id
    :param layer2: Keyword argument tuple.

    :type layer2id: long
    :param layer2id: **layer2** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type parentkeyid: long
    :param parentkeyid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.opstest_state.routes.route', u'route'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children', u'children'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', u'children')]
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children.layer2', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children.layer2', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}, {'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'layer2', 'keyval': 'layer2id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, children=children, layer2=layer2, parentkeyid=parentkeyid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, children=children, layer2=layer2, parentkeyid=parentkeyid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_children_parentkey_update(self, route=None, children=None, parentKey=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type children: keyid
    :param children: Keyword argument tuple.

    :type keyid: long
    :param keyid: **children** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type parentKey: unicode
    :param parentKey: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route.children', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'destPrefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'children', 'keyval': 'keyid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, children=children, parentKey=parentKey)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, children=children, parentKey=parentKey)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_entrymultipathindex_update(self, route=None, entryMultipathIndex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type entryMultipathIndex: long
    :param entryMultipathIndex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, entryMultipathIndex=entryMultipathIndex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, entryMultipathIndex=entryMultipathIndex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_gateway_update(self, route=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_metric_update(self, route=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_outinterfacename_update(self, route=None, outInterfaceName=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type outInterfaceName: unicode
    :param outInterfaceName: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, outInterfaceName=outInterfaceName)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, outInterfaceName=outInterfaceName)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_outlabel_update(self, route=None, outLabel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type outLabel: long
    :param outLabel: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, outLabel=outLabel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, outLabel=outLabel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_prefixlength_update(self, route=None, prefixLength=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixLength: long
    :param prefixLength: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, prefixLength=prefixLength)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, prefixLength=prefixLength)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_protocol_update(self, route=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_usecount_update(self, route=None, useCount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type useCount: long
    :param useCount: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, useCount=useCount)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, useCount=useCount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_vifindex_update(self, route=None, vifIndex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vifIndex: long
    :param vifIndex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.routes.route', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route=route, vifIndex=vifIndex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, vifIndex=vifIndex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_update(self, paths_configured=None, lsps_configured=None, lsps_enabled=None, lsps_operational=None, detour_lsps_up=None, backup_lsps_up=None, bypass_lsps=None, bypass_lspsUp=None, bypass_lspsEnabled=None, ldp_lsps_operational=None, transit_lsps_configured=None, transit_lsps_enabled=None, transit_lsps_operational=None, cspf_groups_configured=None, tunnels_supported=None, tunnels_allocated=None, cross_connects_supported=None, cross_connects_allocated=None, autobw_templates_supported=None, autobw_templates_configured=None, times_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type paths_configured: long
    :param paths_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsps_configured: long
    :param lsps_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsps_enabled: long
    :param lsps_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsps_operational: long
    :param lsps_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type detour_lsps_up: long
    :param detour_lsps_up: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type backup_lsps_up: long
    :param backup_lsps_up: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bypass_lsps: long
    :param bypass_lsps: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bypass_lspsUp: long
    :param bypass_lspsUp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bypass_lspsEnabled: long
    :param bypass_lspsEnabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ldp_lsps_operational: long
    :param ldp_lsps_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type transit_lsps_configured: long
    :param transit_lsps_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type transit_lsps_enabled: long
    :param transit_lsps_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type transit_lsps_operational: long
    :param transit_lsps_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cspf_groups_configured: long
    :param cspf_groups_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tunnels_supported: long
    :param tunnels_supported: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tunnels_allocated: long
    :param tunnels_allocated: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cross_connects_supported: long
    :param cross_connects_supported: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cross_connects_allocated: long
    :param cross_connects_allocated: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type autobw_templates_supported: long
    :param autobw_templates_supported: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type autobw_templates_configured: long
    :param autobw_templates_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type times_enabled: long
    :param times_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, paths_configured=paths_configured, lsps_configured=lsps_configured, lsps_enabled=lsps_enabled, lsps_operational=lsps_operational, detour_lsps_up=detour_lsps_up, backup_lsps_up=backup_lsps_up, bypass_lsps=bypass_lsps, bypass_lspsUp=bypass_lspsUp, bypass_lspsEnabled=bypass_lspsEnabled, ldp_lsps_operational=ldp_lsps_operational, transit_lsps_configured=transit_lsps_configured, transit_lsps_enabled=transit_lsps_enabled, transit_lsps_operational=transit_lsps_operational, cspf_groups_configured=cspf_groups_configured, tunnels_supported=tunnels_supported, tunnels_allocated=tunnels_allocated, cross_connects_supported=cross_connects_supported, cross_connects_allocated=cross_connects_allocated, autobw_templates_supported=autobw_templates_supported, autobw_templates_configured=autobw_templates_configured, times_enabled=times_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, paths_configured=paths_configured, lsps_configured=lsps_configured, lsps_enabled=lsps_enabled, lsps_operational=lsps_operational, detour_lsps_up=detour_lsps_up, backup_lsps_up=backup_lsps_up, bypass_lsps=bypass_lsps, bypass_lspsUp=bypass_lspsUp, bypass_lspsEnabled=bypass_lspsEnabled, ldp_lsps_operational=ldp_lsps_operational, transit_lsps_configured=transit_lsps_configured, transit_lsps_enabled=transit_lsps_enabled, transit_lsps_operational=transit_lsps_operational, cspf_groups_configured=cspf_groups_configured, tunnels_supported=tunnels_supported, tunnels_allocated=tunnels_allocated, cross_connects_supported=cross_connects_supported, cross_connects_allocated=cross_connects_allocated, autobw_templates_supported=autobw_templates_supported, autobw_templates_configured=autobw_templates_configured, times_enabled=times_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_autobw_templates_configured_update(self, autobw_templates_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type autobw_templates_configured: long
    :param autobw_templates_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_templates_configured=autobw_templates_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_templates_configured=autobw_templates_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_autobw_templates_supported_update(self, autobw_templates_supported=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type autobw_templates_supported: long
    :param autobw_templates_supported: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_templates_supported=autobw_templates_supported)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_templates_supported=autobw_templates_supported)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_backup_lsps_up_update(self, backup_lsps_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type backup_lsps_up: long
    :param backup_lsps_up: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, backup_lsps_up=backup_lsps_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, backup_lsps_up=backup_lsps_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_bypass_lsps_update(self, bypass_lsps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bypass_lsps: long
    :param bypass_lsps: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsps=bypass_lsps)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsps=bypass_lsps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_bypass_lspsenabled_update(self, bypass_lspsEnabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bypass_lspsEnabled: long
    :param bypass_lspsEnabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lspsEnabled=bypass_lspsEnabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lspsEnabled=bypass_lspsEnabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_bypass_lspsup_update(self, bypass_lspsUp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bypass_lspsUp: long
    :param bypass_lspsUp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lspsUp=bypass_lspsUp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lspsUp=bypass_lspsUp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_cross_connects_allocated_update(self, cross_connects_allocated=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cross_connects_allocated: long
    :param cross_connects_allocated: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cross_connects_allocated=cross_connects_allocated)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cross_connects_allocated=cross_connects_allocated)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_cross_connects_supported_update(self, cross_connects_supported=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cross_connects_supported: long
    :param cross_connects_supported: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cross_connects_supported=cross_connects_supported)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cross_connects_supported=cross_connects_supported)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_cspf_groups_configured_update(self, cspf_groups_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cspf_groups_configured: long
    :param cspf_groups_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cspf_groups_configured=cspf_groups_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_groups_configured=cspf_groups_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_detour_lsps_up_update(self, detour_lsps_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type detour_lsps_up: long
    :param detour_lsps_up: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, detour_lsps_up=detour_lsps_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, detour_lsps_up=detour_lsps_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_ldp_lsps_operational_update(self, ldp_lsps_operational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_lsps_operational: long
    :param ldp_lsps_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_lsps_operational=ldp_lsps_operational)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_lsps_operational=ldp_lsps_operational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_lsps_configured_update(self, lsps_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsps_configured: long
    :param lsps_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsps_configured=lsps_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsps_configured=lsps_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_lsps_enabled_update(self, lsps_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsps_enabled: long
    :param lsps_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsps_enabled=lsps_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsps_enabled=lsps_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_lsps_operational_update(self, lsps_operational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsps_operational: long
    :param lsps_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsps_operational=lsps_operational)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsps_operational=lsps_operational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_paths_configured_update(self, paths_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type paths_configured: long
    :param paths_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, paths_configured=paths_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, paths_configured=paths_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_times_enabled_update(self, times_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type times_enabled: long
    :param times_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, times_enabled=times_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, times_enabled=times_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_transit_lsps_configured_update(self, transit_lsps_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transit_lsps_configured: long
    :param transit_lsps_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_lsps_configured=transit_lsps_configured)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_lsps_configured=transit_lsps_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_transit_lsps_enabled_update(self, transit_lsps_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transit_lsps_enabled: long
    :param transit_lsps_enabled: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_lsps_enabled=transit_lsps_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_lsps_enabled=transit_lsps_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_transit_lsps_operational_update(self, transit_lsps_operational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transit_lsps_operational: long
    :param transit_lsps_operational: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_lsps_operational=transit_lsps_operational)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_lsps_operational=transit_lsps_operational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_tunnels_allocated_update(self, tunnels_allocated=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type tunnels_allocated: long
    :param tunnels_allocated: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnels_allocated=tunnels_allocated)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnels_allocated=tunnels_allocated)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_tunnels_supported_update(self, tunnels_supported=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type tunnels_supported: long
    :param tunnels_supported: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.opstest_state.summary', 'pybind.slxos.v17r_1_00a.brocade_opstest', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tunnels_supported=tunnels_supported)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnels_supported=tunnels_supported)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_update(self, extended=None, ext_seq=None, ext_permit_deny=None, ext_dst_vtep_ip=None, ext_dst_vtep_ip_any=None, ext_src_vtep_ip=None, ext_src_vtep_ip_any=None, ext_vni=None, ext_vni_any=None, ext_vni_mask=None, ext_count=None, ext_mirror=None, ext_redirect=None, ext_sflow=None, native=None, tag=None, dst_ip_host=None, dst_ip=None, dst_ip_any=None, src_ip_host=None, src_ip=None, src_ip_any=None, dst_port=None, dst_port_any=None, src_port=None, src_port_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ext_permit_deny: unicode
    :param ext_permit_deny: **ext_seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_dst_vtep_ip: unicode
    :param ext_dst_vtep_ip: **ext_seq** tuple argument:  dst vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ext_dst_vtep_ip_any: YANGBool
    :param ext_dst_vtep_ip_any: **ext_seq** tuple argument:  dst vtep ip address: any

    :type ext_src_vtep_ip: unicode
    :param ext_src_vtep_ip: **ext_seq** tuple argument:  src vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ext_src_vtep_ip_any: YANGBool
    :param ext_src_vtep_ip_any: **ext_seq** tuple argument:  src vtep ip address: any

    :type ext_vni: long
    :param ext_vni: **ext_seq** tuple argument:  vni number: 1..16777215

        * range restriction: ::

            ['0..4294967295']

    :type ext_vni_any: YANGBool
    :param ext_vni_any: **ext_seq** tuple argument:  vni any

    :type ext_vni_mask: unicode
    :param ext_vni_mask: **ext_seq** tuple argument:  vni mask:Hexadecimal 0..FFFFFF

        * pattern restriction: ::

            '0|[1-9a-fA-F][0-9a-fA-F]{0,5}'

    :type ext_count: YANGBool
    :param ext_count: **ext_seq** tuple argument:  count

    :type ext_mirror: unicode
    :param ext_mirror: **ext_seq** tuple argument:  mirror <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ext_redirect: unicode
    :param ext_redirect: **ext_seq** tuple argument:  redirect <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ext_sflow: YANGBool
    :param ext_sflow: **ext_seq** tuple argument:  sflow

    :type native: YANGBool
    :param native: **ext_seq** tuple argument.

    :type tag: unicode
    :param tag: **ext_seq** tuple argument.

        * enumeration restriction: ::

            ['none', 'single', 'any']

    :type dst_ip_host: unicode
    :param dst_ip_host: **ext_seq** tuple argument:  dst ip host: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_ip: unicode
    :param dst_ip: **ext_seq** tuple argument:  dst ip: A.B.C.D/mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type dst_ip_any: YANGBool
    :param dst_ip_any: **ext_seq** tuple argument:  dst ip address: any

    :type src_ip_host: unicode
    :param src_ip_host: **ext_seq** tuple argument:  src ip host: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip: unicode
    :param src_ip: **ext_seq** tuple argument:  src ip: A.B.C.D/mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type src_ip_any: YANGBool
    :param src_ip_any: **ext_seq** tuple argument:  src ip address: any

    :type dst_port: long
    :param dst_port: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type dst_port_any: YANGBool
    :param dst_port_any: **ext_seq** tuple argument:  dst-port-any

    :type src_port: long
    :param src_port: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type src_port_any: YANGBool
    :param src_port_any: **ext_seq** tuple argument:  src-port-any

    **Instance Argument(s)**:

    :type ext_permit_deny: unicode
    :param ext_permit_deny: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_dst_vtep_ip: unicode
    :param ext_dst_vtep_ip: dst vtep ip address: A.B.C.D. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ext_dst_vtep_ip_any: YANGBool
    :param ext_dst_vtep_ip_any: dst vtep ip address: any. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type ext_src_vtep_ip: unicode
    :param ext_src_vtep_ip: src vtep ip address: A.B.C.D. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ext_src_vtep_ip_any: YANGBool
    :param ext_src_vtep_ip_any: src vtep ip address: any. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type ext_vni: long
    :param ext_vni: vni number: 1..16777215. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type ext_vni_any: YANGBool
    :param ext_vni_any: vni any. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type ext_vni_mask: unicode
    :param ext_vni_mask: vni mask:Hexadecimal 0..FFFFFF

        * pattern restriction: ::

            '0|[1-9a-fA-F][0-9a-fA-F]{0,5}'

    :type ext_count: YANGBool
    :param ext_count: count

    :type ext_mirror: unicode
    :param ext_mirror: mirror <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ext_redirect: unicode
    :param ext_redirect: redirect <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ext_sflow: YANGBool
    :param ext_sflow: sflow

    :type native: YANGBool
    :param native: Keyword argument.

    :type tag: unicode
    :param tag: Keyword argument.

        * enumeration restriction: ::

            ['none', 'single', 'any']

    :type dst_ip_host: unicode
    :param dst_ip_host: dst ip host: A.B.C.D. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_ip: unicode
    :param dst_ip: dst ip: A.B.C.D/mask. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type dst_ip_any: YANGBool
    :param dst_ip_any: dst ip address: any. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type src_ip_host: unicode
    :param src_ip_host: src ip host: A.B.C.D. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip: unicode
    :param src_ip: src ip: A.B.C.D/mask. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type src_ip_any: YANGBool
    :param src_ip_any: src ip address: any. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type dst_port: long
    :param dst_port: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type dst_port_any: YANGBool
    :param dst_port_any: dst-port-any. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type src_port: long
    :param src_port: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type src_port_any: YANGBool
    :param src_port_any: src-port-any. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': 'ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq': [u'ext_dst_vtep_ip_any', u'ext_dst_vtep_ip', u'ext_src_vtep_ip_any', u'ext_src_vtep_ip', u'ext_vni', u'ext_vni_any', u'dst_ip_host', u'dst_ip_any', u'dst_ip', u'src_ip_host', u'src_ip', u'src_ip_any', u'dst_port_any', u'dst_port', u'src_port_any', u'src_port'], 'pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq': [u'ext_dst_vtep_ip_any', u'ext_dst_vtep_ip', u'ext_src_vtep_ip_any', u'ext_src_vtep_ip', u'ext_vni', u'ext_vni_any', u'dst_ip_host', u'dst_ip_any', u'dst_ip', u'src_ip_host', u'src_ip', u'src_ip_any', u'dst_port_any', u'dst_port', u'src_port_any', u'src_port']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, ext_permit_deny=ext_permit_deny, ext_dst_vtep_ip=ext_dst_vtep_ip, ext_dst_vtep_ip_any=ext_dst_vtep_ip_any, ext_src_vtep_ip=ext_src_vtep_ip, ext_src_vtep_ip_any=ext_src_vtep_ip_any, ext_vni=ext_vni, ext_vni_any=ext_vni_any, ext_vni_mask=ext_vni_mask, ext_count=ext_count, ext_mirror=ext_mirror, ext_redirect=ext_redirect, ext_sflow=ext_sflow, native=native, tag=tag, dst_ip_host=dst_ip_host, dst_ip=dst_ip, dst_ip_any=dst_ip_any, src_ip_host=src_ip_host, src_ip=src_ip, src_ip_any=src_ip_any, dst_port=dst_port, dst_port_any=dst_port_any, src_port=src_port, src_port_any=src_port_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_permit_deny=ext_permit_deny, ext_dst_vtep_ip=ext_dst_vtep_ip, ext_dst_vtep_ip_any=ext_dst_vtep_ip_any, ext_src_vtep_ip=ext_src_vtep_ip, ext_src_vtep_ip_any=ext_src_vtep_ip_any, ext_vni=ext_vni, ext_vni_any=ext_vni_any, ext_vni_mask=ext_vni_mask, ext_count=ext_count, ext_mirror=ext_mirror, ext_redirect=ext_redirect, ext_sflow=ext_sflow, native=native, tag=tag, dst_ip_host=dst_ip_host, dst_ip=dst_ip, dst_ip_any=dst_ip_any, src_ip_host=src_ip_host, src_ip=src_ip, src_ip_any=src_ip_any, dst_port=dst_port, dst_port_any=dst_port_any, src_port=src_port, src_port_any=src_port_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_count_update(self, extended=None, ext_seq=None, ext_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_count: YANGBool
    :param ext_count: count

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, ext_count=ext_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_count=ext_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_dst_ip_update(self, extended=None, ext_seq=None, dst_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_ip: unicode
    :param dst_ip: dst ip: A.B.C.D/mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, dst_ip=dst_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, dst_ip=dst_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_dst_ip_any_update(self, extended=None, ext_seq=None, dst_ip_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_ip_any: YANGBool
    :param dst_ip_any: dst ip address: any

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, dst_ip_any=dst_ip_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, dst_ip_any=dst_ip_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_dst_ip_host_update(self, extended=None, ext_seq=None, dst_ip_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_ip_host: unicode
    :param dst_ip_host: dst ip host: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, dst_ip_host=dst_ip_host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, dst_ip_host=dst_ip_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_dst_port_update(self, extended=None, ext_seq=None, dst_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_port: long
    :param dst_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, dst_port=dst_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, dst_port=dst_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_dst_port_any_update(self, extended=None, ext_seq=None, dst_port_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_port_any: YANGBool
    :param dst_port_any: dst-port-any

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, dst_port_any=dst_port_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, dst_port_any=dst_port_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_dst_vtep_ip_any_update(self, extended=None, ext_seq=None, ext_dst_vtep_ip_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_dst_vtep_ip_any: YANGBool
    :param ext_dst_vtep_ip_any: dst vtep ip address: any

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, ext_dst_vtep_ip_any=ext_dst_vtep_ip_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_dst_vtep_ip_any=ext_dst_vtep_ip_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_dst_vtep_ip_host_update(self, extended=None, ext_seq=None, ext_dst_vtep_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_dst_vtep_ip: unicode
    :param ext_dst_vtep_ip: dst vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, ext_dst_vtep_ip=ext_dst_vtep_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_dst_vtep_ip=ext_dst_vtep_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_ext_permit_deny_update(self, extended=None, ext_seq=None, ext_permit_deny=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_permit_deny: unicode
    :param ext_permit_deny: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, ext_permit_deny=ext_permit_deny)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_permit_deny=ext_permit_deny)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_mirror_update(self, extended=None, ext_seq=None, ext_mirror=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_mirror: unicode
    :param ext_mirror: mirror <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, ext_mirror=ext_mirror)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_mirror=ext_mirror)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_native_update(self, extended=None, ext_seq=None, native=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native: YANGBool
    :param native: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, native=native)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, native=native)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_redirect_update(self, extended=None, ext_seq=None, ext_redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_redirect: unicode
    :param ext_redirect: redirect <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, ext_redirect=ext_redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_redirect=ext_redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_sflow_update(self, extended=None, ext_seq=None, ext_sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_sflow: YANGBool
    :param ext_sflow: sflow

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, ext_sflow=ext_sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_sflow=ext_sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_src_ip_update(self, extended=None, ext_seq=None, src_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_ip: unicode
    :param src_ip: src ip: A.B.C.D/mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, src_ip=src_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, src_ip=src_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_src_ip_any_update(self, extended=None, ext_seq=None, src_ip_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_ip_any: YANGBool
    :param src_ip_any: src ip address: any

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, src_ip_any=src_ip_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, src_ip_any=src_ip_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_src_ip_host_update(self, extended=None, ext_seq=None, src_ip_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_ip_host: unicode
    :param src_ip_host: src ip host: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, src_ip_host=src_ip_host)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, src_ip_host=src_ip_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_src_port_update(self, extended=None, ext_seq=None, src_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_port: long
    :param src_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, src_port=src_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, src_port=src_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_src_port_any_update(self, extended=None, ext_seq=None, src_port_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_port_any: YANGBool
    :param src_port_any: src-port-any

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, src_port_any=src_port_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, src_port_any=src_port_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_src_vtep_ip_any_update(self, extended=None, ext_seq=None, ext_src_vtep_ip_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_src_vtep_ip_any: YANGBool
    :param ext_src_vtep_ip_any: src vtep ip address: any

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, ext_src_vtep_ip_any=ext_src_vtep_ip_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_src_vtep_ip_any=ext_src_vtep_ip_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_src_vtep_ip_host_update(self, extended=None, ext_seq=None, ext_src_vtep_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_src_vtep_ip: unicode
    :param ext_src_vtep_ip: src vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, ext_src_vtep_ip=ext_src_vtep_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_src_vtep_ip=ext_src_vtep_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_tag_update(self, extended=None, ext_seq=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tag: unicode
    :param tag: Keyword argument.

        * enumeration restriction: ::

            ['none', 'single', 'any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_vni_update(self, extended=None, ext_seq=None, ext_vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_vni: long
    :param ext_vni: vni number: 1..16777215

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, ext_vni=ext_vni)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_vni=ext_vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_vni_any_update(self, extended=None, ext_seq=None, ext_vni_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_vni_any: YANGBool
    :param ext_vni_any: vni any

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, ext_vni_any=ext_vni_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_vni_any=ext_vni_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_vni_mask_update(self, extended=None, ext_seq=None, ext_vni_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_vni_mask: unicode
    :param ext_vni_mask: vni mask:Hexadecimal 0..FFFFFF

        * pattern restriction: ::

            '0|[1-9a-fA-F][0-9a-fA-F]{0,5}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}, {'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended=extended, ext_seq=ext_seq, ext_vni_mask=ext_vni_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_vni_mask=ext_vni_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_update(self, standard=None, seq=None, permit_deny=None, dst_vtep_ip=None, dst_vtep_ip_any=None, src_vtep_ip=None, src_vtep_ip_any=None, vni=None, vni_any=None, vni_mask=None, count=None, redirect=None, sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow
    :param seq: Keyword argument tuple.

    :type seq_num: long
    :param seq_num: **seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type permit_deny: unicode
    :param permit_deny: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: **seq** tuple argument:  dst vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_vtep_ip_any: YANGBool
    :param dst_vtep_ip_any: **seq** tuple argument:  dst vtep ip address: any

    :type src_vtep_ip: unicode
    :param src_vtep_ip: **seq** tuple argument:  src vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_vtep_ip_any: YANGBool
    :param src_vtep_ip_any: **seq** tuple argument:  src vtep ip address: any

    :type vni: long
    :param vni: **seq** tuple argument:  vni number: 1..16777215

        * range restriction: ::

            ['0..4294967295']

    :type vni_any: YANGBool
    :param vni_any: **seq** tuple argument:  vni any

    :type vni_mask: unicode
    :param vni_mask: **seq** tuple argument:  vni mask:Hexadecimal 0..FFFFFF

        * pattern restriction: ::

            '0|[1-9a-fA-F][0-9a-fA-F]{0,5}'

    :type count: YANGBool
    :param count: **seq** tuple argument:  count

    :type redirect: unicode
    :param redirect: **seq** tuple argument:  redirect <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type sflow: YANGBool
    :param sflow: **seq** tuple argument:  sflow

    **Instance Argument(s)**:

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: dst vtep ip address: A.B.C.D. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_vtep_ip_any: YANGBool
    :param dst_vtep_ip_any: dst vtep ip address: any. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type src_vtep_ip: unicode
    :param src_vtep_ip: src vtep ip address: A.B.C.D. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_vtep_ip_any: YANGBool
    :param src_vtep_ip_any: src vtep ip address: any. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type vni: long
    :param vni: vni number: 1..16777215. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type vni_any: YANGBool
    :param vni_any: vni any. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type vni_mask: unicode
    :param vni_mask: vni mask:Hexadecimal 0..FFFFFF

        * pattern restriction: ::

            '0|[1-9a-fA-F][0-9a-fA-F]{0,5}'

    :type count: YANGBool
    :param count: count

    :type redirect: unicode
    :param redirect: redirect <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type sflow: YANGBool
    :param sflow: sflow

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}, {'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': 'seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq': [u'src_vtep_ip_any', u'src_vtep_ip', u'vni', u'vni_any', u'dst_vtep_ip', u'dst_vtep_ip_any'], 'pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard.seq': [u'src_vtep_ip_any', u'src_vtep_ip', u'vni', u'vni_any', u'dst_vtep_ip', u'dst_vtep_ip_any']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, dst_vtep_ip_any=dst_vtep_ip_any, src_vtep_ip=src_vtep_ip, src_vtep_ip_any=src_vtep_ip_any, vni=vni, vni_any=vni_any, vni_mask=vni_mask, count=count, redirect=redirect, sflow=sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, dst_vtep_ip_any=dst_vtep_ip_any, src_vtep_ip=src_vtep_ip, src_vtep_ip_any=src_vtep_ip_any, vni=vni, vni_any=vni_any, vni_mask=vni_mask, count=count, redirect=redirect, sflow=sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_count_update(self, standard=None, seq=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_num
    :param seq: Keyword argument tuple.

    :type seq_num: long
    :param seq_num: **seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type count: YANGBool
    :param count: count

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}, {'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_dst_vtep_ip_any_update(self, standard=None, seq=None, dst_vtep_ip_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_num
    :param seq: Keyword argument tuple.

    :type seq_num: long
    :param seq_num: **seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_vtep_ip_any: YANGBool
    :param dst_vtep_ip_any: dst vtep ip address: any

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}, {'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, dst_vtep_ip_any=dst_vtep_ip_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, dst_vtep_ip_any=dst_vtep_ip_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_dst_vtep_ip_host_update(self, standard=None, seq=None, dst_vtep_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_num
    :param seq: Keyword argument tuple.

    :type seq_num: long
    :param seq_num: **seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: dst vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}, {'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, dst_vtep_ip=dst_vtep_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, dst_vtep_ip=dst_vtep_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_permit_deny_update(self, standard=None, seq=None, permit_deny=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_num
    :param seq: Keyword argument tuple.

    :type seq_num: long
    :param seq_num: **seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}, {'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, permit_deny=permit_deny)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, permit_deny=permit_deny)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_redirect_update(self, standard=None, seq=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_num
    :param seq: Keyword argument tuple.

    :type seq_num: long
    :param seq_num: **seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redirect: unicode
    :param redirect: redirect <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}, {'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_sflow_update(self, standard=None, seq=None, sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_num
    :param seq: Keyword argument tuple.

    :type seq_num: long
    :param seq_num: **seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sflow: YANGBool
    :param sflow: sflow

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}, {'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, sflow=sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, sflow=sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_src_vtep_ip_any_update(self, standard=None, seq=None, src_vtep_ip_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_num
    :param seq: Keyword argument tuple.

    :type seq_num: long
    :param seq_num: **seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_vtep_ip_any: YANGBool
    :param src_vtep_ip_any: src vtep ip address: any

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}, {'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, src_vtep_ip_any=src_vtep_ip_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, src_vtep_ip_any=src_vtep_ip_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_src_vtep_ip_host_update(self, standard=None, seq=None, src_vtep_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_num
    :param seq: Keyword argument tuple.

    :type seq_num: long
    :param seq_num: **seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_vtep_ip: unicode
    :param src_vtep_ip: src vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}, {'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, src_vtep_ip=src_vtep_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, src_vtep_ip=src_vtep_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_vni_update(self, standard=None, seq=None, vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_num
    :param seq: Keyword argument tuple.

    :type seq_num: long
    :param seq_num: **seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vni: long
    :param vni: vni number: 1..16777215

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}, {'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, vni=vni)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, vni=vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_vni_any_update(self, standard=None, seq=None, vni_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_num
    :param seq: Keyword argument tuple.

    :type seq_num: long
    :param seq_num: **seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vni_any: YANGBool
    :param vni_any: vni any

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}, {'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, vni_any=vni_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, vni_any=vni_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_vni_mask_update(self, standard=None, seq=None, vni_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_num
    :param seq: Keyword argument tuple.

    :type seq_num: long
    :param seq_num: **seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vni_mask: unicode
    :param vni_mask: vni mask:Hexadecimal 0..FFFFFF

        * pattern restriction: ::

            '0|[1-9a-fA-F][0-9a-fA-F]{0,5}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v17r_1_00a.brocade_vxlan_visibility', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}, {'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, standard=standard, seq=seq, vni_mask=vni_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, vni_mask=vni_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_update(self, overlay_gateway=None, gw_type=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type gw_type: unicode
    :param gw_type: Configure the type of Overlay Gateway.

        * enumeration restriction: ::

            ['nsx', 'layer2-extension']

    :type activate: YANGBool
    :param activate: Activate the Overlay Gateway instance

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'overlay_gateway', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, gw_type=gw_type, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, gw_type=gw_type, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_activate_update(self, overlay_gateway=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the Overlay Gateway instance

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'overlay_gateway', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_attach_rbridge_id_update(self, overlay_gateway=None, rb_add=None, rb_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type rb_add: unicode
    :param rb_add: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type rb_remove: unicode
    :param rb_remove: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.attach.rbridge_id', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, rb_add=rb_add, rb_remove=rb_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, rb_add=rb_add, rb_remove=rb_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_attach_rbridge_id_add_update(self, overlay_gateway=None, rb_add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type rb_add: unicode
    :param rb_add: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.attach.rbridge_id', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, rb_add=rb_add)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, rb_add=rb_add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_attach_rbridge_id_remove_update(self, overlay_gateway=None, rb_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type rb_remove: unicode
    :param rb_remove: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.attach.rbridge_id', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, rb_remove=rb_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, rb_remove=rb_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_enable_statistics_update(self, overlay_gateway=None, stats_direction=None, vlan_action=None, vlan_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type stats_direction: unicode
    :param stats_direction: Specify flow direction

        * enumeration restriction: ::

            ['both', 'rx', 'tx']

    :type vlan_action: unicode
    :param vlan_action: Target VLANs

        * enumeration restriction: ::

            ['add', 'remove']

    :type vlan_list: unicode
    :param vlan_list: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.enable.statistics', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.enable.statistics', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.enable.statistics', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.enable.statistics', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'stats_direction, vlan_action, vlan_list'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, stats_direction=stats_direction, vlan_action=vlan_action, vlan_list=vlan_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, stats_direction=stats_direction, vlan_action=vlan_action, vlan_list=vlan_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_enable_statistics_direction_update(self, overlay_gateway=None, stats_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type stats_direction: unicode
    :param stats_direction: Specify flow direction

        * enumeration restriction: ::

            ['both', 'rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.enable.statistics', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.enable.statistics', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.enable.statistics', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.enable.statistics', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, stats_direction=stats_direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, stats_direction=stats_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_enable_statistics_vlan_update(self, overlay_gateway=None, vlan_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type vlan_action: unicode
    :param vlan_action: Target VLANs

        * enumeration restriction: ::

            ['add', 'remove']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.enable.statistics', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.enable.statistics', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.enable.statistics', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.enable.statistics', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, vlan_action=vlan_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, vlan_action=vlan_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_enable_statistics_vlan_list_update(self, overlay_gateway=None, vlan_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type vlan_list: unicode
    :param vlan_list: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.enable.statistics', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.enable.statistics', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.enable.statistics', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.enable.statistics', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, vlan_list=vlan_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, vlan_list=vlan_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_access_group_update(self, overlay_gateway=None, ipv4_acl_in_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type ipv4_acl_in_name: unicode
    :param ipv4_acl_in_name: Configure IPv4 access-group name

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv4.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, ipv4_acl_in_name=ipv4_acl_in_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, ipv4_acl_in_name=ipv4_acl_in_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_access_group_out_update(self, overlay_gateway=None, ipv4_acl_out_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type ipv4_acl_out_name: unicode
    :param ipv4_acl_out_name: Configure IPv4 access-group name

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv4.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, ipv4_acl_out_name=ipv4_acl_out_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, ipv4_acl_out_name=ipv4_acl_out_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_in_update(self, overlay_gateway=None, ipv4_acl_in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type ipv4_acl_in_dir: YANGBool
    :param ipv4_acl_in_dir: Configure IPv4 access-group in ingress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv4.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, ipv4_acl_in_dir=ipv4_acl_in_dir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, ipv4_acl_in_dir=ipv4_acl_in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_in__update(self, overlay_gateway=None, ipv4_acl_in_name=None, ipv4_acl_in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type ipv4_acl_in_name: unicode
    :param ipv4_acl_in_name: Configure IPv4 access-group name

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ipv4_acl_in_dir: YANGBool
    :param ipv4_acl_in_dir: Configure IPv4 access-group in ingress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv4.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, ipv4_acl_in_name=ipv4_acl_in_name, ipv4_acl_in_dir=ipv4_acl_in_dir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, ipv4_acl_in_name=ipv4_acl_in_name, ipv4_acl_in_dir=ipv4_acl_in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_interface_loopback_update(self, overlay_gateway=None, loopback_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type loopback_id: long
    :param loopback_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.ip.interface.loopback', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.ip.interface.loopback', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.ip.interface.loopback', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.ip.interface.loopback', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.ip.interface.loopback', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, loopback_id=loopback_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, loopback_id=loopback_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_interface_loopback_loopback_id_update(self, overlay_gateway=None, loopback_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type loopback_id: long
    :param loopback_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.ip.interface.loopback', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.ip.interface.loopback', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.ip.interface.loopback', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.ip.interface.loopback', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.ip.interface.loopback', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, loopback_id=loopback_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, loopback_id=loopback_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_interface_ve_update(self, overlay_gateway=None, ve_id=None, vrrp_extended_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type ve_id: long
    :param ve_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp_extended_group: int
    :param vrrp_extended_group: VRRP-E group id

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.ip.interface.ve', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.ip.interface.ve', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.ip.interface.ve', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.ip.interface.ve', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.ip.interface.ve', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, ve_id=ve_id, vrrp_extended_group=vrrp_extended_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, ve_id=ve_id, vrrp_extended_group=vrrp_extended_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_interface_ve_ve_id_update(self, overlay_gateway=None, ve_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type ve_id: long
    :param ve_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.ip.interface.ve', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.ip.interface.ve', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.ip.interface.ve', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.ip.interface.ve', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.ip.interface.ve', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, ve_id=ve_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, ve_id=ve_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_interface_ve_vrrp_extended_group_update(self, overlay_gateway=None, vrrp_extended_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type vrrp_extended_group: int
    :param vrrp_extended_group: VRRP-E group id

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.ip.interface.ve', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.ip.interface.ve', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.ip.interface.ve', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.ip.interface.ve', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.ip.interface.ve', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, vrrp_extended_group=vrrp_extended_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, vrrp_extended_group=vrrp_extended_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_out_update(self, overlay_gateway=None, ipv4_acl_out_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type ipv4_acl_out_dir: YANGBool
    :param ipv4_acl_out_dir: Configure IPv4 access-group in egress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv4.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, ipv4_acl_out_dir=ipv4_acl_out_dir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, ipv4_acl_out_dir=ipv4_acl_out_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ipv6_access_group_update(self, overlay_gateway=None, ipv6_acl_in_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type ipv6_acl_in_name: unicode
    :param ipv6_acl_in_name: Configure IPv6 access-group name

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv6.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, ipv6_acl_in_name=ipv6_acl_in_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, ipv6_acl_in_name=ipv6_acl_in_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ipv6_access_group_out_update(self, overlay_gateway=None, ipv6_acl_out_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type ipv6_acl_out_name: unicode
    :param ipv6_acl_out_name: Configure IPv6 access-group name

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv6.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, ipv6_acl_out_name=ipv6_acl_out_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, ipv6_acl_out_name=ipv6_acl_out_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ipv6_in_update(self, overlay_gateway=None, ipv6_acl_in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type ipv6_acl_in_dir: YANGBool
    :param ipv6_acl_in_dir: Configure IPv6 access-group in ingress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv6.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, ipv6_acl_in_dir=ipv6_acl_in_dir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, ipv6_acl_in_dir=ipv6_acl_in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ipv6_in__update(self, overlay_gateway=None, ipv6_acl_in_name=None, ipv6_acl_in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type ipv6_acl_in_name: unicode
    :param ipv6_acl_in_name: Configure IPv6 access-group name

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ipv6_acl_in_dir: YANGBool
    :param ipv6_acl_in_dir: Configure IPv6 access-group in ingress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv6.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, ipv6_acl_in_name=ipv6_acl_in_name, ipv6_acl_in_dir=ipv6_acl_in_dir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, ipv6_acl_in_name=ipv6_acl_in_name, ipv6_acl_in_dir=ipv6_acl_in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ipv6_out_update(self, overlay_gateway=None, ipv6_acl_out_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type ipv6_acl_out_dir: YANGBool
    :param ipv6_acl_out_dir: Configure IPv6 access-group in egress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv6.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, ipv6_acl_out_dir=ipv6_acl_out_dir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, ipv6_acl_out_dir=ipv6_acl_out_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_mac_access_group_update(self, overlay_gateway=None, mac_acl_in_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type mac_acl_in_name: unicode
    :param mac_acl_in_name: Configure MAC access-group name

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.mac.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, mac_acl_in_name=mac_acl_in_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, mac_acl_in_name=mac_acl_in_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_mac_access_group_out_update(self, overlay_gateway=None, mac_acl_out_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type mac_acl_out_name: unicode
    :param mac_acl_out_name: Configure MAC access-group name

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.mac.out', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.mac.out', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.mac.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.mac.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, mac_acl_out_name=mac_acl_out_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, mac_acl_out_name=mac_acl_out_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_mac_in_update(self, overlay_gateway=None, mac_acl_in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type mac_acl_in_dir: YANGBool
    :param mac_acl_in_dir: Configure MAC access-group in ingress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.mac.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, mac_acl_in_dir=mac_acl_in_dir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, mac_acl_in_dir=mac_acl_in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_mac_in__update(self, overlay_gateway=None, mac_acl_in_name=None, mac_acl_in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type mac_acl_in_name: unicode
    :param mac_acl_in_name: Configure MAC access-group name

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_acl_in_dir: YANGBool
    :param mac_acl_in_dir: Configure MAC access-group in ingress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.mac.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, mac_acl_in_name=mac_acl_in_name, mac_acl_in_dir=mac_acl_in_dir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, mac_acl_in_name=mac_acl_in_name, mac_acl_in_dir=mac_acl_in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_mac_out_update(self, overlay_gateway=None, mac_acl_out_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type mac_acl_out_dir: YANGBool
    :param mac_acl_out_dir: Configure MAC access-group in egress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.access_lists.mac.out', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.access_lists.mac.out', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.mac.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.mac.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, mac_acl_out_dir=mac_acl_out_dir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, mac_acl_out_dir=mac_acl_out_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_map_vlan_vni_update(self, overlay_gateway=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type auto: YANGBool
    :param auto: Specify auto vlan to vni mapping.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.map_.vlan.vni', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.map_.vlan.vni', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan.vni', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan.vni', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, auto=auto)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_map_vlan_vni_auto_update(self, overlay_gateway=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type auto: YANGBool
    :param auto: Specify auto vlan to vni mapping.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.map_.vlan.vni', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.map_.vlan.vni', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan.vni', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan.vni', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, auto=auto)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_map_vlan_vni_mapping_update(self, overlay_gateway=None, vlan_vni_mapping=None, vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type vlan_vni_mapping: vid
    :param vlan_vni_mapping: Keyword argument tuple.

    :type vid: long
    :param vid: **vlan_vni_mapping** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vni: long
    :param vni: Specify VNI mapping for the VLAN.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.map_.vlan_vni_mapping', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan_vni_mapping', 'keyval': 'vid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, vlan_vni_mapping=vlan_vni_mapping, vni=vni)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, vlan_vni_mapping=vlan_vni_mapping, vni=vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_map_vlan_vni_mapping_vni_update(self, overlay_gateway=None, vlan_vni_mapping=None, vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type vlan_vni_mapping: vid
    :param vlan_vni_mapping: Keyword argument tuple.

    :type vid: long
    :param vid: **vlan_vni_mapping** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vni: long
    :param vni: Specify VNI mapping for the VLAN.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.map_.vlan_vni_mapping', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan_vni_mapping', 'keyval': 'vid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, vlan_vni_mapping=vlan_vni_mapping, vni=vni)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, vlan_vni_mapping=vlan_vni_mapping, vni=vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_map_vni_update(self, overlay_gateway=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type auto: YANGBool
    :param auto: Specify auto vlan to vni mapping.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.slxos.v17r_1_00a.overlay_gateway.map_.vlan_and_bd.vni', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, auto=auto)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_map_vni_auto_update(self, overlay_gateway=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type auto: YANGBool
    :param auto: Specify auto vlan to vni mapping.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.slxos.v17r_1_00a.overlay_gateway.map_.vlan_and_bd.vni', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, auto=auto)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_monitor_update(self, overlay_gateway=None, monitor=None, direction=None, remote_endpoint=None, vlan_leaf=None, vlan_add_remove=None, vlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type monitor: session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range
    :param monitor: Keyword argument tuple.

    :type session: long
    :param session: **monitor** tuple argument:  Session number

        * range restriction: ::

            ['0..4294967295']

    :type direction: unicode
    :param direction: **monitor** tuple argument:  Specify flow direction

        * enumeration restriction: ::

            ['both', 'rx', 'tx']

    :type remote_endpoint: unicode
    :param remote_endpoint: **monitor** tuple argument:  Tunnel destination end point address

        * enumeration restriction: ::

            ['any']

    :type vlan_leaf: unicode
    :param vlan_leaf: **monitor** tuple argument:  Target VLAN IDs

        * enumeration restriction: ::

            ['vlan']

    :type vlan_add_remove: unicode
    :param vlan_add_remove: **monitor** tuple argument.

        * enumeration restriction: ::

            ['add', 'remove']

    :type vlan_range: unicode
    :param vlan_range: **monitor** tuple argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    **Instance Argument(s)**:

    :type direction: unicode
    :param direction: Specify flow direction

        * enumeration restriction: ::

            ['both', 'rx', 'tx']

    :type remote_endpoint: unicode
    :param remote_endpoint: Tunnel destination end point address

        * enumeration restriction: ::

            ['any']

    :type vlan_leaf: unicode
    :param vlan_leaf: Target VLAN IDs

        * enumeration restriction: ::

            ['vlan']

    :type vlan_add_remove: unicode
    :param vlan_add_remove: Keyword argument.

        * enumeration restriction: ::

            ['add', 'remove']

    :type vlan_range: unicode
    :param vlan_range: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.monitor', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.monitor', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.monitor', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.monitor', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'monitor', 'keyval': 'session', 'extra_keyval': 'session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, monitor=monitor, direction=direction, remote_endpoint=remote_endpoint, vlan_leaf=vlan_leaf, vlan_add_remove=vlan_add_remove, vlan_range=vlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, monitor=monitor, direction=direction, remote_endpoint=remote_endpoint, vlan_leaf=vlan_leaf, vlan_add_remove=vlan_add_remove, vlan_range=vlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_monitor_direction_update(self, overlay_gateway=None, monitor=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type monitor: session
    :param monitor: Keyword argument tuple.

    :type session: long
    :param session: **monitor** tuple argument:  Session number

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type direction: unicode
    :param direction: Specify flow direction

        * enumeration restriction: ::

            ['both', 'rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.monitor', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.monitor', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.monitor', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.monitor', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'monitor', 'keyval': 'session', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, monitor=monitor, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, monitor=monitor, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_monitor_remote_endpoint_update(self, overlay_gateway=None, monitor=None, remote_endpoint=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type monitor: session
    :param monitor: Keyword argument tuple.

    :type session: long
    :param session: **monitor** tuple argument:  Session number

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type remote_endpoint: unicode
    :param remote_endpoint: Tunnel destination end point address

        * enumeration restriction: ::

            ['any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.monitor', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.monitor', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.monitor', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.monitor', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'monitor', 'keyval': 'session', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, monitor=monitor, remote_endpoint=remote_endpoint)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, monitor=monitor, remote_endpoint=remote_endpoint)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_monitor_vlan_add_remove_update(self, overlay_gateway=None, monitor=None, vlan_add_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type monitor: session
    :param monitor: Keyword argument tuple.

    :type session: long
    :param session: **monitor** tuple argument:  Session number

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_add_remove: unicode
    :param vlan_add_remove: Keyword argument.

        * enumeration restriction: ::

            ['add', 'remove']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.monitor', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.monitor', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.monitor', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.monitor', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'monitor', 'keyval': 'session', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, monitor=monitor, vlan_add_remove=vlan_add_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, monitor=monitor, vlan_add_remove=vlan_add_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_monitor_vlan_leaf_update(self, overlay_gateway=None, monitor=None, vlan_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type monitor: session
    :param monitor: Keyword argument tuple.

    :type session: long
    :param session: **monitor** tuple argument:  Session number

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_leaf: unicode
    :param vlan_leaf: Target VLAN IDs

        * enumeration restriction: ::

            ['vlan']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.monitor', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.monitor', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.monitor', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.monitor', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'monitor', 'keyval': 'session', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, monitor=monitor, vlan_leaf=vlan_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, monitor=monitor, vlan_leaf=vlan_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_monitor_vlan_range_update(self, overlay_gateway=None, monitor=None, vlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type monitor: session
    :param monitor: Keyword argument tuple.

    :type session: long
    :param session: **monitor** tuple argument:  Session number

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_range: unicode
    :param vlan_range: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.monitor', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.monitor', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.monitor', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.monitor', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'monitor', 'keyval': 'session', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, monitor=monitor, vlan_range=vlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, monitor=monitor, vlan_range=vlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_overlay_update(self, overlay_gateway=None, in_name=None, in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type in_name: unicode
    :param in_name: Bind Overlay ACL to Overlay Gateway

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type in_dir: YANGBool
    :param in_dir: Bind Overlay ACL for Ingress

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.slxos.v17r_1_00a.overlay_gateway.access_lists.overlay_acl_in', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'in_name, in_dir'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, in_name=in_name, in_dir=in_dir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, in_name=in_name, in_dir=in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_overlay_access_group_update(self, overlay_gateway=None, in_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type in_name: unicode
    :param in_name: Bind Overlay ACL to Overlay Gateway

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.slxos.v17r_1_00a.overlay_gateway.access_lists.overlay_acl_in', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, in_name=in_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, in_name=in_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_overlay_in_update(self, overlay_gateway=None, in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type in_dir: YANGBool
    :param in_dir: Bind Overlay ACL for Ingress

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.slxos.v17r_1_00a.overlay_gateway.access_lists.overlay_acl_in', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, in_dir=in_dir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, in_dir=in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_sflow_update(self, overlay_gateway=None, sflow=None, sflow_remote_endpoint=None, sflow_vlan_action=None, sflow_vlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type sflow: sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range
    :param sflow: Keyword argument tuple.

    :type sflow_profile_name: unicode
    :param sflow_profile_name: **sflow** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type sflow_remote_endpoint: unicode
    :param sflow_remote_endpoint: **sflow** tuple argument:  Tunnel destination end point address

        * enumeration restriction: ::

            ['any']

    :type sflow_vlan_action: unicode
    :param sflow_vlan_action: **sflow** tuple argument:  Target VLAN IDs

        * enumeration restriction: ::

            ['add', 'remove']

    :type sflow_vlan_range: unicode
    :param sflow_vlan_range: **sflow** tuple argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    **Instance Argument(s)**:

    :type sflow_remote_endpoint: unicode
    :param sflow_remote_endpoint: Tunnel destination end point address

        * enumeration restriction: ::

            ['any']

    :type sflow_vlan_action: unicode
    :param sflow_vlan_action: Target VLAN IDs

        * enumeration restriction: ::

            ['add', 'remove']

    :type sflow_vlan_range: unicode
    :param sflow_vlan_range: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.sflow', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.sflow', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.sflow', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.sflow', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sflow', 'keyval': 'sflow_profile_name', 'extra_keyval': 'sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, sflow=sflow, sflow_remote_endpoint=sflow_remote_endpoint, sflow_vlan_action=sflow_vlan_action, sflow_vlan_range=sflow_vlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, sflow=sflow, sflow_remote_endpoint=sflow_remote_endpoint, sflow_vlan_action=sflow_vlan_action, sflow_vlan_range=sflow_vlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_sflow_remote_endpoint_update(self, overlay_gateway=None, sflow=None, sflow_remote_endpoint=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type sflow: sflow_profile_name
    :param sflow: Keyword argument tuple.

    :type sflow_profile_name: unicode
    :param sflow_profile_name: **sflow** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type sflow_remote_endpoint: unicode
    :param sflow_remote_endpoint: Tunnel destination end point address

        * enumeration restriction: ::

            ['any']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.sflow', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.sflow', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.sflow', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.sflow', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sflow', 'keyval': 'sflow_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, sflow=sflow, sflow_remote_endpoint=sflow_remote_endpoint)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, sflow=sflow, sflow_remote_endpoint=sflow_remote_endpoint)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_sflow_sflow_vlan_range_update(self, overlay_gateway=None, sflow=None, sflow_vlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type sflow: sflow_profile_name
    :param sflow: Keyword argument tuple.

    :type sflow_profile_name: unicode
    :param sflow_profile_name: **sflow** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type sflow_vlan_range: unicode
    :param sflow_vlan_range: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.sflow', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.sflow', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.sflow', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.sflow', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sflow', 'keyval': 'sflow_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, sflow=sflow, sflow_vlan_range=sflow_vlan_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, sflow=sflow, sflow_vlan_range=sflow_vlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_sflow_vlan_update(self, overlay_gateway=None, sflow=None, sflow_vlan_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type sflow: sflow_profile_name
    :param sflow: Keyword argument tuple.

    :type sflow_profile_name: unicode
    :param sflow_profile_name: **sflow** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type sflow_vlan_action: unicode
    :param sflow_vlan_action: Target VLAN IDs

        * enumeration restriction: ::

            ['add', 'remove']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.sflow', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.sflow', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.sflow', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.sflow', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sflow', 'keyval': 'sflow_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, sflow=sflow, sflow_vlan_action=sflow_vlan_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, sflow=sflow, sflow_vlan_action=sflow_vlan_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_update(self, overlay_gateway=None, site=None, bfd_enable=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Create BFD session for the tunnels to the remote site.

    :type shutdown: YANGBool
    :param shutdown: Admin disable tunnels to the remote site

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.site', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.site', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'site', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, site=site, bfd_enable=bfd_enable, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, bfd_enable=bfd_enable, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_bfd_update(self, overlay_gateway=None, site=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Create BFD session for the tunnels to the remote site.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.site', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.site', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'site', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, site=site, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_bfd_interval_update(self, overlay_gateway=None, site=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway.site', u'site'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.bfd.params.interval', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site.bfd.params.interval', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, site=site, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_bfd_interval_min_rx_update(self, overlay_gateway=None, site=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway.site', u'site'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.bfd.params.interval', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site.bfd.params.interval', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, site=site, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_bfd_interval_min_tx_update(self, overlay_gateway=None, site=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway.site', u'site'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.bfd.params.interval', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site.bfd.params.interval', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, site=site, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_bfd_interval_multiplier_update(self, overlay_gateway=None, site=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway.site', u'site'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.bfd.params.interval', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site.bfd.params.interval', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, site=site, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_bfd_shutdown_update(self, overlay_gateway=None, site=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session for the tunnels to the remote site.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway.site', u'site'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.site.bfd.params', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.site.bfd.params', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site.bfd.params', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.bfd.params', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site.bfd.params', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, site=site, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_extend_vlan_update(self, overlay_gateway=None, site=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: VLAN IDs to add

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type remove_: unicode
    :param remove_: VLAN IDs to remove

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway.site', u'site'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway.site', u'site'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.site.extend.vlan', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.extend.vlan', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site.extend.vlan', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, site=site, add_=add_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_extend_vlan_add_update(self, overlay_gateway=None, site=None, add_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: VLAN IDs to add

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway.site', u'site'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway.site', u'site'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.site.extend.vlan', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.extend.vlan', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site.extend.vlan', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, site=site, add_=add_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, add_=add_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_extend_vlan_remove_update(self, overlay_gateway=None, site=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type remove_: unicode
    :param remove_: VLAN IDs to remove

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway.site', u'site'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway.site', u'site'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.site.extend.vlan', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.extend.vlan', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site.extend.vlan', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, site=site, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_mac_learning_update(self, overlay_gateway=None, site=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Configure control plane MAC learning protocol

        * enumeration restriction: ::

            ['bgp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v7_0_1b.overlay_gateway.site.mac_learning', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site.mac_learning', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, site=site, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_mac_learning_protocol_update(self, overlay_gateway=None, site=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Configure control plane MAC learning protocol

        * enumeration restriction: ::

            ['bgp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v7_0_1b.overlay_gateway.site.mac_learning', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site.mac_learning', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, site=site, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_shutdown_update(self, overlay_gateway=None, site=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Admin disable tunnels to the remote site

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.site', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.site', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway.site', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'site', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, site=site, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_type_update(self, overlay_gateway=None, gw_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type gw_type: unicode
    :param gw_type: Configure the type of Overlay Gateway.

        * enumeration restriction: ::

            ['nsx', 'layer2-extension']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.overlay_gateway', 'pybind.slxos.v17r_1_00a.brocade_tunnels', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'overlay_gateway', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_gateway=overlay_gateway, gw_type=gw_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, gw_type=gw_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_update(self, overlay_transit_state=None, binded_overlay_acl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type overlay_transit_state: overlay_transit_name
    :param overlay_transit_state: Keyword argument tuple.

    :type overlay_transit_name: unicode
    :param overlay_transit_name: **overlay_transit_state** tuple argument.

    **Instance Argument(s)**:

    :type binded_overlay_acl: unicode
    :param binded_overlay_acl: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.overlay_transit_state', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'overlay_transit_state', 'keyval': 'overlay_transit_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_transit_state=overlay_transit_state, binded_overlay_acl=binded_overlay_acl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_transit_state=overlay_transit_state, binded_overlay_acl=binded_overlay_acl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_binded_overlay_acl_update(self, overlay_transit_state=None, binded_overlay_acl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type overlay_transit_state: overlay_transit_name
    :param overlay_transit_state: Keyword argument tuple.

    :type overlay_transit_name: unicode
    :param overlay_transit_name: **overlay_transit_state** tuple argument.

    **Instance Argument(s)**:

    :type binded_overlay_acl: unicode
    :param binded_overlay_acl: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.overlay_transit_state', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'overlay_transit_state', 'keyval': 'overlay_transit_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_transit_state=overlay_transit_state, binded_overlay_acl=binded_overlay_acl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_transit_state=overlay_transit_state, binded_overlay_acl=binded_overlay_acl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_update(self, extended_data=None, permit_deny=None, dst_vtep_ip=None, src_vtep_ip=None, vni=None, vni_mask=None, native_tag=None, dst_ip=None, dst_ip_mask=None, src_ip=None, src_ip_mask=None, dst_port=None, src_port=None, count=None, byte_count=None, transit_name=None, sflow=None, redir_interface=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_vtep_ip: unicode
    :param src_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type vni: unicode
    :param vni: Keyword argument.

    :type vni_mask: unicode
    :param vni_mask: Keyword argument.

    :type native_tag: unicode
    :param native_tag: Keyword argument.

    :type dst_ip: unicode
    :param dst_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_ip_mask: int
    :param dst_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_ip: unicode
    :param src_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_mask: int
    :param src_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type dst_port: int
    :param dst_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_port: int
    :param src_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type transit_name: unicode
    :param transit_name: Keyword argument.

    :type sflow: YANGBool
    :param sflow: Keyword argument.

    :type redir_interface: unicode
    :param redir_interface: Keyword argument.

    :type mirror_interface: unicode
    :param mirror_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, transit_name=transit_name, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, transit_name=transit_name, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_byte_count_update(self, extended_data=None, byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, byte_count=byte_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, byte_count=byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_count_update(self, extended_data=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_dst_ip_update(self, extended_data=None, dst_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_ip: unicode
    :param dst_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, dst_ip=dst_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, dst_ip=dst_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_dst_ip_mask_update(self, extended_data=None, dst_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_ip_mask: int
    :param dst_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, dst_ip_mask=dst_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, dst_ip_mask=dst_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_dst_port_update(self, extended_data=None, dst_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_port: int
    :param dst_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, dst_port=dst_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, dst_port=dst_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_dst_vtep_ip_update(self, extended_data=None, dst_vtep_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, dst_vtep_ip=dst_vtep_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, dst_vtep_ip=dst_vtep_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_mirror_interface_update(self, extended_data=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mirror_interface: unicode
    :param mirror_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, mirror_interface=mirror_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_native_tag_update(self, extended_data=None, native_tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_tag: unicode
    :param native_tag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, native_tag=native_tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, native_tag=native_tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_permit_deny_update(self, extended_data=None, permit_deny=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, permit_deny=permit_deny)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, permit_deny=permit_deny)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_redir_interface_update(self, extended_data=None, redir_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redir_interface: unicode
    :param redir_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, redir_interface=redir_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, redir_interface=redir_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_sflow_update(self, extended_data=None, sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sflow: YANGBool
    :param sflow: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, sflow=sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, sflow=sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_src_ip_update(self, extended_data=None, src_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_ip: unicode
    :param src_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, src_ip=src_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, src_ip=src_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_src_ip_mask_update(self, extended_data=None, src_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_ip_mask: int
    :param src_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, src_ip_mask=src_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, src_ip_mask=src_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_src_port_update(self, extended_data=None, src_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_port: int
    :param src_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, src_port=src_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, src_port=src_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_src_vtep_ip_update(self, extended_data=None, src_vtep_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_vtep_ip: unicode
    :param src_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, src_vtep_ip=src_vtep_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, src_vtep_ip=src_vtep_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_transit_name_update(self, extended_data=None, transit_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transit_name: unicode
    :param transit_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, transit_name=transit_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, transit_name=transit_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_vni_update(self, extended_data=None, vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vni: unicode
    :param vni: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, vni=vni)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, vni=vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_vni_mask_update(self, extended_data=None, vni_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vni_mask: unicode
    :param vni_mask: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, vni_mask=vni_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, vni_mask=vni_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_overlay_transit_name_update(self, overlay_transit_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type overlay_transit_name: unicode
    :param overlay_transit_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, overlay_transit_name=overlay_transit_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_transit_name=overlay_transit_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ovsdb_server_update(self, ovsdb_server=None, port=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type ovsdb_server: name
    :param ovsdb_server: Keyword argument tuple.

    :type name: unicode
    :param name: **ovsdb_server** tuple argument:  Ovsdb server name

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type port: long
    :param port: OVSDB server port number

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Activate the server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.ovsdb_server', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ovsdb_server', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'ovsdb_server', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.ovsdb_server": {}, "pybind.nos.v7_0_1b.ovsdb_server": {"activate": "activate", "name": "name", "port": "port"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ovsdb_server=ovsdb_server, port=port, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ovsdb_server=ovsdb_server, port=port, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ovsdb_server_activate_update(self, ovsdb_server=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type ovsdb_server: name
    :param ovsdb_server: Keyword argument tuple.

    :type name: unicode
    :param name: **ovsdb_server** tuple argument:  Ovsdb server name

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.ovsdb_server', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ovsdb_server', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'ovsdb_server', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ovsdb_server=ovsdb_server, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ovsdb_server=ovsdb_server, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ovsdb_server_ip_update(self, ovsdb_server=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ovsdb_server: name
    :param ovsdb_server: Keyword argument tuple.

    :type name: unicode
    :param name: **ovsdb_server** tuple argument:  Ovsdb server name

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IPv4 address of the OVSDB server or client to connect.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.ovsdb_server', 'ovsdb_server')]
    bindings_list = [('pybind.nos.v7_1_0.ovsdb_server.ip', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ovsdb_server=ovsdb_server, address=address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ovsdb_server=ovsdb_server, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ovsdb_server_ip_address_update(self, ovsdb_server=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ovsdb_server: name
    :param ovsdb_server: Keyword argument tuple.

    :type name: unicode
    :param name: **ovsdb_server** tuple argument:  Ovsdb server name

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IPv4 address of the OVSDB server or client to connect.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.ovsdb_server', 'ovsdb_server')]
    bindings_list = [('pybind.nos.v7_1_0.ovsdb_server.ip', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ovsdb_server=ovsdb_server, address=address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ovsdb_server=ovsdb_server, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ovsdb_server_method_update(self, ovsdb_server=None, method=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type ovsdb_server: name
    :param ovsdb_server: Keyword argument tuple.

    :type name: unicode
    :param name: **ovsdb_server** tuple argument:  Ovsdb server name

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type method: unicode
    :param method: Connection method

        * enumeration restriction: ::

            ['ssl', 'tcp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.ovsdb_server', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'ovsdb_server', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ovsdb_server=ovsdb_server, method=method)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ovsdb_server=ovsdb_server, method=method)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ovsdb_server_port_update(self, ovsdb_server=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type ovsdb_server: name
    :param ovsdb_server: Keyword argument tuple.

    :type name: unicode
    :param name: **ovsdb_server** tuple argument:  Ovsdb server name

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type port: long
    :param port: OVSDB server port number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.ovsdb_server', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ovsdb_server', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'ovsdb_server', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ovsdb_server=ovsdb_server, port=port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ovsdb_server=ovsdb_server, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def password_attributes_update(self, min_length=None, max_retry=None, max_lockout_duration=None, admin_lockout_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type min_length: long
    :param min_length: Minimum length of the password. (default=8)

        * range restriction: ::

            ['0..4294967295']

    :type max_retry: long
    :param max_retry: Maximum number of login retries before which the user account is locked. 0 for unlimited login retries. (default=0)

        * range restriction: ::

            ['0..4294967295']

    :type max_lockout_duration: long
    :param max_lockout_duration: Maximum number of minutes after which  the user account is unlocked. (default=0)

        * range restriction: ::

            ['0..4294967295']

    :type admin_lockout_enable: YANGBool
    :param admin_lockout_enable: Enable lockout for admin role accounts aftermax retry failed login attempts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.password_attributes', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.password_attributes', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.password_attributes', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.password_attributes', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, min_length=min_length, max_retry=max_retry, max_lockout_duration=max_lockout_duration, admin_lockout_enable=admin_lockout_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, min_length=min_length, max_retry=max_retry, max_lockout_duration=max_lockout_duration, admin_lockout_enable=admin_lockout_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def password_attributes_admin_lockout_update(self, admin_lockout_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type admin_lockout_enable: YANGBool
    :param admin_lockout_enable: Enable lockout for admin role accounts aftermax retry failed login attempts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.password_attributes', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.password_attributes', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.password_attributes', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.password_attributes', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, admin_lockout_enable=admin_lockout_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, admin_lockout_enable=admin_lockout_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def password_attributes_character_restriction_update(self, upper=None, lower=None, numeric=None, special_char=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type upper: long
    :param upper: Minimum number of upper-case alphabet (default=0)

        * range restriction: ::

            ['0..4294967295']

    :type lower: long
    :param lower: Minimum number of lower-case alphabet (default=0)

        * range restriction: ::

            ['0..4294967295']

    :type numeric: long
    :param numeric: Minimum number of numeric characters (default=0)

        * range restriction: ::

            ['0..4294967295']

    :type special_char: long
    :param special_char: Minimum number of special characters (default=0)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.password_attributes.character_restriction', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.password_attributes.character_restriction', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.password_attributes.character_restriction', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes.character_restriction', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.password_attributes.character_restriction', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, upper=upper, lower=lower, numeric=numeric, special_char=special_char)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, upper=upper, lower=lower, numeric=numeric, special_char=special_char)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def password_attributes_character_restriction_lower_update(self, lower=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lower: long
    :param lower: Minimum number of lower-case alphabet (default=0)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.password_attributes.character_restriction', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.password_attributes.character_restriction', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.password_attributes.character_restriction', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes.character_restriction', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.password_attributes.character_restriction', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lower=lower)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lower=lower)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def password_attributes_character_restriction_numeric_update(self, numeric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type numeric: long
    :param numeric: Minimum number of numeric characters (default=0)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.password_attributes.character_restriction', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.password_attributes.character_restriction', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.password_attributes.character_restriction', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes.character_restriction', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.password_attributes.character_restriction', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, numeric=numeric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, numeric=numeric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def password_attributes_character_restriction_special_char_update(self, special_char=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type special_char: long
    :param special_char: Minimum number of special characters (default=0)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.password_attributes.character_restriction', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.password_attributes.character_restriction', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.password_attributes.character_restriction', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes.character_restriction', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.password_attributes.character_restriction', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, special_char=special_char)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, special_char=special_char)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def password_attributes_character_restriction_upper_update(self, upper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type upper: long
    :param upper: Minimum number of upper-case alphabet (default=0)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.password_attributes.character_restriction', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.password_attributes.character_restriction', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.password_attributes.character_restriction', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes.character_restriction', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.password_attributes.character_restriction', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, upper=upper)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, upper=upper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def password_attributes_max_lockout_duration_update(self, max_lockout_duration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_lockout_duration: long
    :param max_lockout_duration: Maximum number of minutes after which  the user account is unlocked. (default=0)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.password_attributes', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.password_attributes', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.password_attributes', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.password_attributes', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_lockout_duration=max_lockout_duration)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_lockout_duration=max_lockout_duration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def password_attributes_max_retry_update(self, max_retry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_retry: long
    :param max_retry: Maximum number of login retries before which the user account is locked. 0 for unlimited login retries. (default=0)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.password_attributes', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.password_attributes', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.password_attributes', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.password_attributes', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_retry=max_retry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_retry=max_retry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def password_attributes_min_length_update(self, min_length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type min_length: long
    :param min_length: Minimum length of the password. (default=8)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.password_attributes', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.password_attributes', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.password_attributes', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.password_attributes', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, min_length=min_length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, min_length=min_length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_anycast_state_update(self, pim_anycast_state=None, prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_anycast_state: anycast_rp
    :param pim_anycast_state: Keyword argument tuple.

    :type anycast_rp: unicode
    :param anycast_rp: **pim_anycast_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_name: unicode
    :param prefix_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_anycast_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_anycast_state', 'keyval': 'vrf_name, anycast_rp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_anycast_state": {"anycast_rp": "anycast_rp", "prefix_name": "prefix_name"}, "pybind.slxos.v17r_1_00a.pim_anycast_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_anycast_state=pim_anycast_state, prefix_name=prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_anycast_state=pim_anycast_state, prefix_name=prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_anycast_state_prefix_name_update(self, pim_anycast_state=None, prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_anycast_state: anycast_rp
    :param pim_anycast_state: Keyword argument tuple.

    :type anycast_rp: unicode
    :param anycast_rp: **pim_anycast_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_name: unicode
    :param prefix_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_anycast_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_anycast_state', 'keyval': 'vrf_name, anycast_rp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_anycast_state": {"anycast_rp": "anycast_rp", "prefix_name": "prefix_name"}, "pybind.slxos.v17r_1_00a.pim_anycast_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_anycast_state=pim_anycast_state, prefix_name=prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_anycast_state=pim_anycast_state, prefix_name=prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_ecmp_state_pim_ecmp_update(self, pim_ecmp_state=None, pim_ecmp=None, upstream_nbr=None, interface_name=None, interface_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_ecmp_state: addr_filter
    :param pim_ecmp_state: Keyword argument tuple.

    :type addr_filter: unicode
    :param addr_filter: **pim_ecmp_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type pim_ecmp: src_ip, rp_addr
    :param pim_ecmp: Keyword argument tuple.

    :type src_ip: unicode
    :param src_ip: **pim_ecmp** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type rp_addr: unicode
    :param rp_addr: **pim_ecmp** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type upstream_nbr: unicode
    :param upstream_nbr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type interface_count: long
    :param interface_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pim_ecmp_state'), ('pybind.slxos.v17r_1_00a.pim_ecmp_state', 'pim_ecmp_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'addr_filter', 'extra_keyval': ''}, {'keyval': 'vrf_name, addr_filter', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_ecmp', 'keyval': 'vrf_name, src_ip, rp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp": {"src_ip": "src_ip", "upstream_nbr": "upstream_nbr", "interface_name": "interface_name", "interface_count": "interface_count", "rp_addr": "rp_addr"}, "pybind.slxos.v17r_1_00a.pim_ecmp_state.pim_ecmp": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp, upstream_nbr=upstream_nbr, interface_name=interface_name, interface_count=interface_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp, upstream_nbr=upstream_nbr, interface_name=interface_name, interface_count=interface_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_ecmp_state_pim_ecmp_interface_count_update(self, pim_ecmp_state=None, pim_ecmp=None, interface_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_ecmp_state: addr_filter
    :param pim_ecmp_state: Keyword argument tuple.

    :type addr_filter: unicode
    :param addr_filter: **pim_ecmp_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type pim_ecmp: src_ip, rp_addr
    :param pim_ecmp: Keyword argument tuple.

    :type src_ip: unicode
    :param src_ip: **pim_ecmp** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type rp_addr: unicode
    :param rp_addr: **pim_ecmp** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface_count: long
    :param interface_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pim_ecmp_state'), ('pybind.slxos.v17r_1_00a.pim_ecmp_state', 'pim_ecmp_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'addr_filter', 'extra_keyval': ''}, {'keyval': 'vrf_name, addr_filter', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_ecmp', 'keyval': 'vrf_name, src_ip, rp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp": {"src_ip": "src_ip", "interface_count": "interface_count", "rp_addr": "rp_addr"}, "pybind.slxos.v17r_1_00a.pim_ecmp_state.pim_ecmp": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp, interface_count=interface_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp, interface_count=interface_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_ecmp_state_pim_ecmp_interface_name_update(self, pim_ecmp_state=None, pim_ecmp=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_ecmp_state: addr_filter
    :param pim_ecmp_state: Keyword argument tuple.

    :type addr_filter: unicode
    :param addr_filter: **pim_ecmp_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type pim_ecmp: src_ip, rp_addr
    :param pim_ecmp: Keyword argument tuple.

    :type src_ip: unicode
    :param src_ip: **pim_ecmp** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type rp_addr: unicode
    :param rp_addr: **pim_ecmp** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pim_ecmp_state'), ('pybind.slxos.v17r_1_00a.pim_ecmp_state', 'pim_ecmp_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'addr_filter', 'extra_keyval': ''}, {'keyval': 'vrf_name, addr_filter', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_ecmp', 'keyval': 'vrf_name, src_ip, rp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp": {"src_ip": "src_ip", "interface_name": "interface_name", "rp_addr": "rp_addr"}, "pybind.slxos.v17r_1_00a.pim_ecmp_state.pim_ecmp": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_ecmp_state_pim_ecmp_upstream_nbr_update(self, pim_ecmp_state=None, pim_ecmp=None, upstream_nbr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_ecmp_state: addr_filter
    :param pim_ecmp_state: Keyword argument tuple.

    :type addr_filter: unicode
    :param addr_filter: **pim_ecmp_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type pim_ecmp: src_ip, rp_addr
    :param pim_ecmp: Keyword argument tuple.

    :type src_ip: unicode
    :param src_ip: **pim_ecmp** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type rp_addr: unicode
    :param rp_addr: **pim_ecmp** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type upstream_nbr: unicode
    :param upstream_nbr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pim_ecmp_state'), ('pybind.slxos.v17r_1_00a.pim_ecmp_state', 'pim_ecmp_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'addr_filter', 'extra_keyval': ''}, {'keyval': 'vrf_name, addr_filter', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_ecmp', 'keyval': 'vrf_name, src_ip, rp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp": {"upstream_nbr": "upstream_nbr", "src_ip": "src_ip", "rp_addr": "rp_addr"}, "pybind.slxos.v17r_1_00a.pim_ecmp_state.pim_ecmp": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp, upstream_nbr=upstream_nbr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp, upstream_nbr=upstream_nbr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_update(self, pim_global_state=None, enable_status=None, max_mcache=None, current_count=None, hello_interval=None, nbr_timeout=None, jp_interval=None, inact_interval=None, hw_drop_status=None, prune_wait_interval=None, reg_suppress_time=None, reg_probe_time=None, reg_stop_delay=None, reg_suppress_interval=None, ssm_status=None, spt_threshold=None, ssm_default_prefix=None, ssm_prefix_name=None, route_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_global_state: vrf_name
    :param pim_global_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_global_state** tuple argument.

    **Instance Argument(s)**:

    :type enable_status: YANGBool
    :param enable_status: Keyword argument.

    :type max_mcache: long
    :param max_mcache: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type current_count: long
    :param current_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: int
    :param hello_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type nbr_timeout: int
    :param nbr_timeout: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type jp_interval: long
    :param jp_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type inact_interval: int
    :param inact_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type hw_drop_status: YANGBool
    :param hw_drop_status: Keyword argument.

    :type prune_wait_interval: int
    :param prune_wait_interval: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type reg_suppress_time: int
    :param reg_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type reg_probe_time: int
    :param reg_probe_time: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type reg_stop_delay: int
    :param reg_stop_delay: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type reg_suppress_interval: int
    :param reg_suppress_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type ssm_status: YANGBool
    :param ssm_status: Keyword argument.

    :type spt_threshold: long
    :param spt_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ssm_default_prefix: unicode
    :param ssm_default_prefix: Keyword argument.

    :type ssm_prefix_name: unicode
    :param ssm_prefix_name: Keyword argument.

    :type route_precedence: unicode
    :param route_precedence: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_global_state', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_global_state=pim_global_state, enable_status=enable_status, max_mcache=max_mcache, current_count=current_count, hello_interval=hello_interval, nbr_timeout=nbr_timeout, jp_interval=jp_interval, inact_interval=inact_interval, hw_drop_status=hw_drop_status, prune_wait_interval=prune_wait_interval, reg_suppress_time=reg_suppress_time, reg_probe_time=reg_probe_time, reg_stop_delay=reg_stop_delay, reg_suppress_interval=reg_suppress_interval, ssm_status=ssm_status, spt_threshold=spt_threshold, ssm_default_prefix=ssm_default_prefix, ssm_prefix_name=ssm_prefix_name, route_precedence=route_precedence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_global_state=pim_global_state, enable_status=enable_status, max_mcache=max_mcache, current_count=current_count, hello_interval=hello_interval, nbr_timeout=nbr_timeout, jp_interval=jp_interval, inact_interval=inact_interval, hw_drop_status=hw_drop_status, prune_wait_interval=prune_wait_interval, reg_suppress_time=reg_suppress_time, reg_probe_time=reg_probe_time, reg_stop_delay=reg_stop_delay, reg_suppress_interval=reg_suppress_interval, ssm_status=ssm_status, spt_threshold=spt_threshold, ssm_default_prefix=ssm_default_prefix, ssm_prefix_name=ssm_prefix_name, route_precedence=route_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_current_count_update(self, current_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type current_count: long
    :param current_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"current_count": "current_count"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, current_count=current_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, current_count=current_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_enable_status_update(self, enable_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable_status: YANGBool
    :param enable_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"enable_status": "enable_status"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable_status=enable_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable_status=enable_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_hello_interval_update(self, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_interval: int
    :param hello_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"hello_interval": "hello_interval"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_hw_drop_status_update(self, hw_drop_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hw_drop_status: YANGBool
    :param hw_drop_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"hw_drop_status": "hw_drop_status"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hw_drop_status=hw_drop_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hw_drop_status=hw_drop_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_inact_interval_update(self, inact_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type inact_interval: int
    :param inact_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"inact_interval": "inact_interval"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inact_interval=inact_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inact_interval=inact_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_interfaces_pim_interface_data_update(self, interfaces=None, pim_interface_data=None, enable_status=None, local_ip_addr=None, pim_version=None, mode=None, dr_info=None, ttl_threshold=None, multicast_boundry=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_name
    :param interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **interfaces** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type pim_interface_data: interface_name, interface_type
    :param pim_interface_data: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_interface_data** tuple argument.

    :type interface_type: unicode
    :param interface_type: **pim_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type enable_status: YANGBool
    :param enable_status: Keyword argument.

    :type local_ip_addr: unicode
    :param local_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type pim_version: int
    :param pim_version: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type mode: unicode
    :param mode: Keyword argument.

    :type dr_info: unicode
    :param dr_info: Keyword argument.

    :type ttl_threshold: int
    :param ttl_threshold: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type multicast_boundry: unicode
    :param multicast_boundry: Keyword argument.

    :type dr_priority: long
    :param dr_priority: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pim_global_state'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'vrf_name, interface_name, interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data": {"enable_status": "enable_status", "dr_priority": "dr_priority", "pim_version": "pim_version", "interface_type": "interface_type", "mode": "mode", "multicast_boundry": "multicast_boundry", "ttl_threshold": "ttl_threshold", "interface_name": "interface_name", "local_ip_addr": "local_ip_addr", "dr_info": "dr_info"}, "pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pim_interface_data=pim_interface_data, enable_status=enable_status, local_ip_addr=local_ip_addr, pim_version=pim_version, mode=mode, dr_info=dr_info, ttl_threshold=ttl_threshold, multicast_boundry=multicast_boundry, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pim_interface_data=pim_interface_data, enable_status=enable_status, local_ip_addr=local_ip_addr, pim_version=pim_version, mode=mode, dr_info=dr_info, ttl_threshold=ttl_threshold, multicast_boundry=multicast_boundry, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_interfaces_pim_interface_data_dr_info_update(self, interfaces=None, pim_interface_data=None, dr_info=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_name
    :param interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **interfaces** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type pim_interface_data: interface_name, interface_type
    :param pim_interface_data: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_interface_data** tuple argument.

    :type interface_type: unicode
    :param interface_type: **pim_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type dr_info: unicode
    :param dr_info: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pim_global_state'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'vrf_name, interface_name, interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data": {"interface_type": "interface_type", "interface_name": "interface_name", "dr_info": "dr_info"}, "pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pim_interface_data=pim_interface_data, dr_info=dr_info)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pim_interface_data=pim_interface_data, dr_info=dr_info)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_interfaces_pim_interface_data_dr_priority_update(self, interfaces=None, pim_interface_data=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_name
    :param interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **interfaces** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type pim_interface_data: interface_name, interface_type
    :param pim_interface_data: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_interface_data** tuple argument.

    :type interface_type: unicode
    :param interface_type: **pim_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type dr_priority: long
    :param dr_priority: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pim_global_state'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'vrf_name, interface_name, interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data": {"interface_type": "interface_type", "interface_name": "interface_name", "dr_priority": "dr_priority"}, "pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pim_interface_data=pim_interface_data, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pim_interface_data=pim_interface_data, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_interfaces_pim_interface_data_enable_status_update(self, interfaces=None, pim_interface_data=None, enable_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_name
    :param interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **interfaces** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type pim_interface_data: interface_name, interface_type
    :param pim_interface_data: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_interface_data** tuple argument.

    :type interface_type: unicode
    :param interface_type: **pim_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type enable_status: YANGBool
    :param enable_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pim_global_state'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'vrf_name, interface_name, interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data": {"interface_name": "interface_name", "interface_type": "interface_type", "enable_status": "enable_status"}, "pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pim_interface_data=pim_interface_data, enable_status=enable_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pim_interface_data=pim_interface_data, enable_status=enable_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_interfaces_pim_interface_data_local_ip_addr_update(self, interfaces=None, pim_interface_data=None, local_ip_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_name
    :param interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **interfaces** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type pim_interface_data: interface_name, interface_type
    :param pim_interface_data: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_interface_data** tuple argument.

    :type interface_type: unicode
    :param interface_type: **pim_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type local_ip_addr: unicode
    :param local_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pim_global_state'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'vrf_name, interface_name, interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data": {"local_ip_addr": "local_ip_addr", "interface_name": "interface_name", "interface_type": "interface_type"}, "pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pim_interface_data=pim_interface_data, local_ip_addr=local_ip_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pim_interface_data=pim_interface_data, local_ip_addr=local_ip_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_interfaces_pim_interface_data_mode_update(self, interfaces=None, pim_interface_data=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_name
    :param interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **interfaces** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type pim_interface_data: interface_name, interface_type
    :param pim_interface_data: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_interface_data** tuple argument.

    :type interface_type: unicode
    :param interface_type: **pim_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pim_global_state'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'vrf_name, interface_name, interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data": {"interface_type": "interface_type", "interface_name": "interface_name", "mode": "mode"}, "pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pim_interface_data=pim_interface_data, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pim_interface_data=pim_interface_data, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_interfaces_pim_interface_data_multicast_boundry_update(self, interfaces=None, pim_interface_data=None, multicast_boundry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_name
    :param interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **interfaces** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type pim_interface_data: interface_name, interface_type
    :param pim_interface_data: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_interface_data** tuple argument.

    :type interface_type: unicode
    :param interface_type: **pim_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type multicast_boundry: unicode
    :param multicast_boundry: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pim_global_state'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'vrf_name, interface_name, interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data": {"multicast_boundry": "multicast_boundry", "interface_type": "interface_type", "interface_name": "interface_name"}, "pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pim_interface_data=pim_interface_data, multicast_boundry=multicast_boundry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pim_interface_data=pim_interface_data, multicast_boundry=multicast_boundry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_interfaces_pim_interface_data_pim_version_update(self, interfaces=None, pim_interface_data=None, pim_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_name
    :param interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **interfaces** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type pim_interface_data: interface_name, interface_type
    :param pim_interface_data: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_interface_data** tuple argument.

    :type interface_type: unicode
    :param interface_type: **pim_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type pim_version: int
    :param pim_version: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pim_global_state'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'vrf_name, interface_name, interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data": {"pim_version": "pim_version", "interface_type": "interface_type", "interface_name": "interface_name"}, "pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pim_interface_data=pim_interface_data, pim_version=pim_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pim_interface_data=pim_interface_data, pim_version=pim_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_interfaces_pim_interface_data_ttl_threshold_update(self, interfaces=None, pim_interface_data=None, ttl_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_name
    :param interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **interfaces** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type pim_interface_data: interface_name, interface_type
    :param pim_interface_data: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_interface_data** tuple argument.

    :type interface_type: unicode
    :param interface_type: **pim_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type ttl_threshold: int
    :param ttl_threshold: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pim_global_state'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'vrf_name, interface_name, interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data": {"ttl_threshold": "ttl_threshold", "interface_type": "interface_type", "interface_name": "interface_name"}, "pybind.slxos.v17r_1_00a.pim_global_state.interfaces.pim_interface_data": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interfaces=interfaces, pim_interface_data=pim_interface_data, ttl_threshold=ttl_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pim_interface_data=pim_interface_data, ttl_threshold=ttl_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_jp_interval_update(self, jp_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type jp_interval: long
    :param jp_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"jp_interval": "jp_interval"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, jp_interval=jp_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, jp_interval=jp_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_max_mcache_update(self, max_mcache=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_mcache: long
    :param max_mcache: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"max_mcache": "max_mcache"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_mcache=max_mcache)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_mcache=max_mcache)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_nbr_timeout_update(self, nbr_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type nbr_timeout: int
    :param nbr_timeout: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"nbr_timeout": "nbr_timeout"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nbr_timeout=nbr_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nbr_timeout=nbr_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_prune_wait_interval_update(self, prune_wait_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type prune_wait_interval: int
    :param prune_wait_interval: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"prune_wait_interval": "prune_wait_interval"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prune_wait_interval=prune_wait_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prune_wait_interval=prune_wait_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_reg_probe_time_update(self, reg_probe_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type reg_probe_time: int
    :param reg_probe_time: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"reg_probe_time": "reg_probe_time"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, reg_probe_time=reg_probe_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, reg_probe_time=reg_probe_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_reg_stop_delay_update(self, reg_stop_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type reg_stop_delay: int
    :param reg_stop_delay: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"reg_stop_delay": "reg_stop_delay"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, reg_stop_delay=reg_stop_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, reg_stop_delay=reg_stop_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_reg_suppress_interval_update(self, reg_suppress_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type reg_suppress_interval: int
    :param reg_suppress_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"reg_suppress_interval": "reg_suppress_interval"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, reg_suppress_interval=reg_suppress_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, reg_suppress_interval=reg_suppress_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_reg_suppress_time_update(self, reg_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type reg_suppress_time: int
    :param reg_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"reg_suppress_time": "reg_suppress_time"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, reg_suppress_time=reg_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, reg_suppress_time=reg_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_route_precedence_update(self, route_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type route_precedence: unicode
    :param route_precedence: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"route_precedence": "route_precedence"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_precedence=route_precedence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_precedence=route_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_spt_threshold_update(self, spt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spt_threshold: long
    :param spt_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"spt_threshold": "spt_threshold"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spt_threshold=spt_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spt_threshold=spt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_ssm_default_prefix_update(self, ssm_default_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ssm_default_prefix: unicode
    :param ssm_default_prefix: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"ssm_default_prefix": "ssm_default_prefix"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ssm_default_prefix=ssm_default_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ssm_default_prefix=ssm_default_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_ssm_prefix_name_update(self, ssm_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ssm_prefix_name: unicode
    :param ssm_prefix_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"ssm_prefix_name": "ssm_prefix_name"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ssm_prefix_name=ssm_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ssm_prefix_name=ssm_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_ssm_status_update(self, ssm_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ssm_status: YANGBool
    :param ssm_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pim_global_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.pim_global_state": {"ssm_status": "ssm_status"}, "pybind.slxos.v17r_1_00a.pim_global_state": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ssm_status=ssm_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ssm_status=ssm_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_update(self, pim_mcache_state=None, tot_entry_count=None, incoming_if=None, rp_addr=None, uptime=None, flag_bmp=None, is_w_g=None, spt=None, rpt=None, reg=None, regsupp=None, regprobe=None, lsrc=None, lrcv=None, sp_mode=None, ssm_mode=None, need_rte=None, rpf_info=None, age_mask=None, kat=None, join_desired=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type tot_entry_count: long
    :param tot_entry_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type incoming_if: unicode
    :param incoming_if: Keyword argument.

    :type rp_addr: unicode
    :param rp_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type uptime: unicode
    :param uptime: Keyword argument.

    :type flag_bmp: long
    :param flag_bmp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_w_g: int
    :param is_w_g: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type spt: int
    :param spt: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type rpt: int
    :param rpt: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type reg: int
    :param reg: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type regsupp: int
    :param regsupp: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type regprobe: int
    :param regprobe: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type lsrc: int
    :param lsrc: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type lrcv: int
    :param lrcv: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type sp_mode: int
    :param sp_mode: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type ssm_mode: int
    :param ssm_mode: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type need_rte: int
    :param need_rte: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type rpf_info: unicode
    :param rpf_info: Keyword argument.

    :type age_mask: long
    :param age_mask: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type kat: long
    :param kat: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type join_desired: YANGBool
    :param join_desired: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, tot_entry_count=tot_entry_count, incoming_if=incoming_if, rp_addr=rp_addr, uptime=uptime, flag_bmp=flag_bmp, is_w_g=is_w_g, spt=spt, rpt=rpt, reg=reg, regsupp=regsupp, regprobe=regprobe, lsrc=lsrc, lrcv=lrcv, sp_mode=sp_mode, ssm_mode=ssm_mode, need_rte=need_rte, rpf_info=rpf_info, age_mask=age_mask, kat=kat, join_desired=join_desired)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, tot_entry_count=tot_entry_count, incoming_if=incoming_if, rp_addr=rp_addr, uptime=uptime, flag_bmp=flag_bmp, is_w_g=is_w_g, spt=spt, rpt=rpt, reg=reg, regsupp=regsupp, regprobe=regprobe, lsrc=lsrc, lrcv=lrcv, sp_mode=sp_mode, ssm_mode=ssm_mode, need_rte=need_rte, rpf_info=rpf_info, age_mask=age_mask, kat=kat, join_desired=join_desired)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_age_mask_update(self, pim_mcache_state=None, age_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type age_mask: long
    :param age_mask: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, age_mask=age_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, age_mask=age_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_flag_bmp_update(self, pim_mcache_state=None, flag_bmp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type flag_bmp: long
    :param flag_bmp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, flag_bmp=flag_bmp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, flag_bmp=flag_bmp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_incoming_if_update(self, pim_mcache_state=None, incoming_if=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type incoming_if: unicode
    :param incoming_if: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, incoming_if=incoming_if)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, incoming_if=incoming_if)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_is_w_g_update(self, pim_mcache_state=None, is_w_g=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type is_w_g: int
    :param is_w_g: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, is_w_g=is_w_g)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, is_w_g=is_w_g)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_join_desired_update(self, pim_mcache_state=None, join_desired=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type join_desired: YANGBool
    :param join_desired: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, join_desired=join_desired)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, join_desired=join_desired)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_kat_update(self, pim_mcache_state=None, kat=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type kat: long
    :param kat: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, kat=kat)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, kat=kat)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_lrcv_update(self, pim_mcache_state=None, lrcv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type lrcv: int
    :param lrcv: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, lrcv=lrcv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, lrcv=lrcv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_lsrc_update(self, pim_mcache_state=None, lsrc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type lsrc: int
    :param lsrc: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, lsrc=lsrc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, lsrc=lsrc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_need_rte_update(self, pim_mcache_state=None, need_rte=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type need_rte: int
    :param need_rte: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, need_rte=need_rte)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, need_rte=need_rte)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_pim_oif_update(self, pim_mcache_state=None, oif_name=None, age=None, expiry_time=None, oif_flags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type oif_name: unicode
    :param oif_name: Keyword argument.

    :type age: unicode
    :param age: Keyword argument.

    :type expiry_time: long
    :param expiry_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type oif_flags: unicode
    :param oif_flags: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pim_mcache_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state.pim_oif', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, oif_name=oif_name, age=age, expiry_time=expiry_time, oif_flags=oif_flags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, oif_name=oif_name, age=age, expiry_time=expiry_time, oif_flags=oif_flags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_pim_oif_age_update(self, pim_mcache_state=None, age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type age: unicode
    :param age: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pim_mcache_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state.pim_oif', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, age=age)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, age=age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_pim_oif_expiry_time_update(self, pim_mcache_state=None, expiry_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type expiry_time: long
    :param expiry_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pim_mcache_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state.pim_oif', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, expiry_time=expiry_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, expiry_time=expiry_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_pim_oif_oif_flags_update(self, pim_mcache_state=None, oif_flags=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type oif_flags: unicode
    :param oif_flags: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pim_mcache_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state.pim_oif', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, oif_flags=oif_flags)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, oif_flags=oif_flags)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_pim_oif_oif_name_update(self, pim_mcache_state=None, oif_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type oif_name: unicode
    :param oif_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pim_mcache_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state.pim_oif', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, oif_name=oif_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, oif_name=oif_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_reg_update(self, pim_mcache_state=None, reg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type reg: int
    :param reg: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, reg=reg)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, reg=reg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_regprobe_update(self, pim_mcache_state=None, regprobe=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type regprobe: int
    :param regprobe: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, regprobe=regprobe)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, regprobe=regprobe)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_regsupp_update(self, pim_mcache_state=None, regsupp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type regsupp: int
    :param regsupp: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, regsupp=regsupp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, regsupp=regsupp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_rp_addr_update(self, pim_mcache_state=None, rp_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rp_addr: unicode
    :param rp_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, rp_addr=rp_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, rp_addr=rp_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_rpf_info_update(self, pim_mcache_state=None, rpf_info=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rpf_info: unicode
    :param rpf_info: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, rpf_info=rpf_info)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, rpf_info=rpf_info)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_rpt_update(self, pim_mcache_state=None, rpt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rpt: int
    :param rpt: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, rpt=rpt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, rpt=rpt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_sp_mode_update(self, pim_mcache_state=None, sp_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type sp_mode: int
    :param sp_mode: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, sp_mode=sp_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, sp_mode=sp_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_spt_update(self, pim_mcache_state=None, spt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type spt: int
    :param spt: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, spt=spt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, spt=spt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_ssm_mode_update(self, pim_mcache_state=None, ssm_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ssm_mode: int
    :param ssm_mode: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, ssm_mode=ssm_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, ssm_mode=ssm_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_tot_entry_count_update(self, pim_mcache_state=None, tot_entry_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type tot_entry_count: long
    :param tot_entry_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, tot_entry_count=tot_entry_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, tot_entry_count=tot_entry_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_mcache_state_uptime_update(self, pim_mcache_state=None, uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim_mcache_state: vrf_name, src_addr, grp_addr
    :param pim_mcache_state: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **pim_mcache_state** tuple argument.

    :type src_addr: unicode
    :param src_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type grp_addr: unicode
    :param grp_addr: **pim_mcache_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type uptime: unicode
    :param uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.pim_mcache_state', 'pybind.slxos.v17r_1_00a.brocade_pim_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_mcache_state', 'keyval': 'vrf_name, src_addr, grp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim_mcache_state=pim_mcache_state, uptime=uptime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_mcache_state=pim_mcache_state, uptime=uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_conform_update(self, police_priority_map=None, map_pri0_conform=None, map_pri1_conform=None, map_pri2_conform=None, map_pri3_conform=None, map_pri4_conform=None, map_pri5_conform=None, map_pri6_conform=None, map_pri7_conform=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri0_conform: long
    :param map_pri0_conform: Mapping Priority Number 0

        * range restriction: ::

            ['0..4294967295']

    :type map_pri1_conform: long
    :param map_pri1_conform: Mapping Priority Number 1

        * range restriction: ::

            ['0..4294967295']

    :type map_pri2_conform: long
    :param map_pri2_conform: Mapping Priority Number 2

        * range restriction: ::

            ['0..4294967295']

    :type map_pri3_conform: long
    :param map_pri3_conform: Mapping Priority Number 3

        * range restriction: ::

            ['0..4294967295']

    :type map_pri4_conform: long
    :param map_pri4_conform: Mapping Priority Number 4

        * range restriction: ::

            ['0..4294967295']

    :type map_pri5_conform: long
    :param map_pri5_conform: Mapping Priority Number 5

        * range restriction: ::

            ['0..4294967295']

    :type map_pri6_conform: long
    :param map_pri6_conform: Mapping Priority Number 6

        * range restriction: ::

            ['0..4294967295']

    :type map_pri7_conform: long
    :param map_pri7_conform: Mapping Priority Number 7

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.conform', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.conform', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.conform', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_pri0_conform, map_pri1_conform, map_pri2_conform, map_pri3_conform, map_pri4_conform, map_pri5_conform, map_pri6_conform, map_pri7_conform'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri0_conform=map_pri0_conform, map_pri1_conform=map_pri1_conform, map_pri2_conform=map_pri2_conform, map_pri3_conform=map_pri3_conform, map_pri4_conform=map_pri4_conform, map_pri5_conform=map_pri5_conform, map_pri6_conform=map_pri6_conform, map_pri7_conform=map_pri7_conform)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri0_conform=map_pri0_conform, map_pri1_conform=map_pri1_conform, map_pri2_conform=map_pri2_conform, map_pri3_conform=map_pri3_conform, map_pri4_conform=map_pri4_conform, map_pri5_conform=map_pri5_conform, map_pri6_conform=map_pri6_conform, map_pri7_conform=map_pri7_conform)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_conform_map_pri0_conform_update(self, police_priority_map=None, map_pri0_conform=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri0_conform: long
    :param map_pri0_conform: Mapping Priority Number 0

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.conform', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.conform', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.conform', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri0_conform=map_pri0_conform)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri0_conform=map_pri0_conform)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_conform_map_pri1_conform_update(self, police_priority_map=None, map_pri1_conform=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri1_conform: long
    :param map_pri1_conform: Mapping Priority Number 1

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.conform', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.conform', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.conform', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri1_conform=map_pri1_conform)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri1_conform=map_pri1_conform)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_conform_map_pri2_conform_update(self, police_priority_map=None, map_pri2_conform=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri2_conform: long
    :param map_pri2_conform: Mapping Priority Number 2

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.conform', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.conform', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.conform', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri2_conform=map_pri2_conform)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri2_conform=map_pri2_conform)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_conform_map_pri3_conform_update(self, police_priority_map=None, map_pri3_conform=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri3_conform: long
    :param map_pri3_conform: Mapping Priority Number 3

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.conform', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.conform', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.conform', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri3_conform=map_pri3_conform)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri3_conform=map_pri3_conform)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_conform_map_pri4_conform_update(self, police_priority_map=None, map_pri4_conform=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri4_conform: long
    :param map_pri4_conform: Mapping Priority Number 4

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.conform', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.conform', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.conform', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri4_conform=map_pri4_conform)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri4_conform=map_pri4_conform)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_conform_map_pri5_conform_update(self, police_priority_map=None, map_pri5_conform=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri5_conform: long
    :param map_pri5_conform: Mapping Priority Number 5

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.conform', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.conform', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.conform', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri5_conform=map_pri5_conform)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri5_conform=map_pri5_conform)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_conform_map_pri6_conform_update(self, police_priority_map=None, map_pri6_conform=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri6_conform: long
    :param map_pri6_conform: Mapping Priority Number 6

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.conform', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.conform', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.conform', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri6_conform=map_pri6_conform)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri6_conform=map_pri6_conform)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_conform_map_pri7_conform_update(self, police_priority_map=None, map_pri7_conform=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri7_conform: long
    :param map_pri7_conform: Mapping Priority Number 7

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.conform', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.conform', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.conform', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri7_conform=map_pri7_conform)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri7_conform=map_pri7_conform)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_exceed_update(self, police_priority_map=None, map_pri0_exceed=None, map_pri1_exceed=None, map_pri2_exceed=None, map_pri3_exceed=None, map_pri4_exceed=None, map_pri5_exceed=None, map_pri6_exceed=None, map_pri7_exceed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri0_exceed: long
    :param map_pri0_exceed: Mapping Priority Number 0

        * range restriction: ::

            ['0..4294967295']

    :type map_pri1_exceed: long
    :param map_pri1_exceed: Mapping Priority Number 1

        * range restriction: ::

            ['0..4294967295']

    :type map_pri2_exceed: long
    :param map_pri2_exceed: Mapping Priority Number 2

        * range restriction: ::

            ['0..4294967295']

    :type map_pri3_exceed: long
    :param map_pri3_exceed: Mapping Priority Number 3

        * range restriction: ::

            ['0..4294967295']

    :type map_pri4_exceed: long
    :param map_pri4_exceed: Mapping Priority Number 4

        * range restriction: ::

            ['0..4294967295']

    :type map_pri5_exceed: long
    :param map_pri5_exceed: Mapping Priority Number 5

        * range restriction: ::

            ['0..4294967295']

    :type map_pri6_exceed: long
    :param map_pri6_exceed: Mapping Priority Number 6

        * range restriction: ::

            ['0..4294967295']

    :type map_pri7_exceed: long
    :param map_pri7_exceed: Mapping Priority Number 7

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map'), ('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.exceed', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.exceed', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.exceed', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_pri0_exceed, map_pri1_exceed, map_pri2_exceed, map_pri3_exceed, map_pri4_exceed, map_pri5_exceed, map_pri6_exceed, map_pri7_exceed'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri0_exceed=map_pri0_exceed, map_pri1_exceed=map_pri1_exceed, map_pri2_exceed=map_pri2_exceed, map_pri3_exceed=map_pri3_exceed, map_pri4_exceed=map_pri4_exceed, map_pri5_exceed=map_pri5_exceed, map_pri6_exceed=map_pri6_exceed, map_pri7_exceed=map_pri7_exceed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri0_exceed=map_pri0_exceed, map_pri1_exceed=map_pri1_exceed, map_pri2_exceed=map_pri2_exceed, map_pri3_exceed=map_pri3_exceed, map_pri4_exceed=map_pri4_exceed, map_pri5_exceed=map_pri5_exceed, map_pri6_exceed=map_pri6_exceed, map_pri7_exceed=map_pri7_exceed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_exceed_map_pri0_exceed_update(self, police_priority_map=None, map_pri0_exceed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri0_exceed: long
    :param map_pri0_exceed: Mapping Priority Number 0

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map'), ('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.exceed', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.exceed', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.exceed', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri0_exceed=map_pri0_exceed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri0_exceed=map_pri0_exceed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_exceed_map_pri1_exceed_update(self, police_priority_map=None, map_pri1_exceed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri1_exceed: long
    :param map_pri1_exceed: Mapping Priority Number 1

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map'), ('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.exceed', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.exceed', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.exceed', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri1_exceed=map_pri1_exceed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri1_exceed=map_pri1_exceed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_exceed_map_pri2_exceed_update(self, police_priority_map=None, map_pri2_exceed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri2_exceed: long
    :param map_pri2_exceed: Mapping Priority Number 2

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map'), ('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.exceed', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.exceed', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.exceed', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri2_exceed=map_pri2_exceed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri2_exceed=map_pri2_exceed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_exceed_map_pri3_exceed_update(self, police_priority_map=None, map_pri3_exceed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri3_exceed: long
    :param map_pri3_exceed: Mapping Priority Number 3

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map'), ('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.exceed', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.exceed', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.exceed', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri3_exceed=map_pri3_exceed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri3_exceed=map_pri3_exceed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_exceed_map_pri4_exceed_update(self, police_priority_map=None, map_pri4_exceed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri4_exceed: long
    :param map_pri4_exceed: Mapping Priority Number 4

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map'), ('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.exceed', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.exceed', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.exceed', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri4_exceed=map_pri4_exceed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri4_exceed=map_pri4_exceed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_exceed_map_pri5_exceed_update(self, police_priority_map=None, map_pri5_exceed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri5_exceed: long
    :param map_pri5_exceed: Mapping Priority Number 5

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map'), ('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.exceed', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.exceed', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.exceed', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri5_exceed=map_pri5_exceed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri5_exceed=map_pri5_exceed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_exceed_map_pri6_exceed_update(self, police_priority_map=None, map_pri6_exceed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri6_exceed: long
    :param map_pri6_exceed: Mapping Priority Number 6

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map'), ('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.exceed', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.exceed', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.exceed', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri6_exceed=map_pri6_exceed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri6_exceed=map_pri6_exceed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_exceed_map_pri7_exceed_update(self, police_priority_map=None, map_pri7_exceed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type map_pri7_exceed: long
    :param map_pri7_exceed: Mapping Priority Number 7

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map'), ('pybind.nos.v6_0_2c.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map.exceed', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map.exceed', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map.exceed', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, police_priority_map=police_priority_map, map_pri7_exceed=map_pri7_exceed)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map, map_pri7_exceed=map_pri7_exceed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_update(self, policy_map=None, class_=None, sflow_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: name
    :param policy_map: Keyword argument tuple.

    :type name: unicode
    :param name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type sflow_profile: unicode
    :param sflow_profile: Apply sflow profile

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map')]
    bindings_list = [('pybind.slxos.v16r_1_00b.policy_map.class_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'class_', 'keyval': 'cl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.policy_map.class_": {"cl_name": "cl_name"}, "pybind.slxos.v16r_1_00b.policy_map.class_": {}, "pybind.slxos.v17r_1_00a.policy_map.class_": {}, "pybind.nos.v7_0_1b.policy_map.class_": {"cl_name": "cl_name"}, "pybind.nos.v7_1_0.policy_map.class_": {"cl_name": "cl_name"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, sflow_profile=sflow_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, sflow_profile=sflow_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_map_update(self, policy_map=None, class_=None, cos_mutation=None, cos_traffic_class=None, dscp_cos=None, dscp_traffic_class=None, dscp_mutation=None, sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation map(Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_cos: unicode
    :param dscp_cos: Configure Dscp-to-CoS map (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Configure Dscp-to-Traffic class map(Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_mutation: unicode
    :param dscp_mutation: Configure Dscp-to-Dscp mutation map  (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type sflow: unicode
    :param sflow: Configure sflow profile map (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.map_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.map_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.map_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.map_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.map_', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.policy_map.class_.map_": {"cos_mutation": "cos_mutation", "sflow": "sflow", "dscp_mutation": "dscp_mutation", "dscp_traffic_class": "dscp_traffic_class", "cos_traffic_class": "cos_traffic_class", "dscp_cos": "dscp_cos"}, "pybind.slxos.v16r_1_00b.policy_map.class_.map_": {}, "pybind.slxos.v17r_1_00a.policy_map.class_.map_": {}, "pybind.nos.v6_0_2c.policy_map.class_.map_": {"cos_mutation": "cos_mutation", "sflow": "sflow", "dscp_mutation": "dscp_mutation", "dscp_traffic_class": "dscp_traffic_class", "cos_traffic_class": "cos_traffic_class", "dscp_cos": "dscp_cos"}, "pybind.nos.v7_1_0.policy_map.class_.map_": {"cos_mutation": "cos_mutation", "sflow": "sflow", "dscp_mutation": "dscp_mutation", "dscp_traffic_class": "dscp_traffic_class", "cos_traffic_class": "cos_traffic_class", "dscp_cos": "dscp_cos"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_cos=dscp_cos, dscp_traffic_class=dscp_traffic_class, dscp_mutation=dscp_mutation, sflow=sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_cos=dscp_cos, dscp_traffic_class=dscp_traffic_class, dscp_mutation=dscp_mutation, sflow=sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_map_cos_mutation_update(self, policy_map=None, class_=None, cos_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation map(Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.map_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.map_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.map_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.map_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.map_', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, cos_mutation=cos_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, cos_mutation=cos_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_map_cos_traffic_class_update(self, policy_map=None, class_=None, cos_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.map_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.map_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.map_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.map_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.map_', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, cos_traffic_class=cos_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, cos_traffic_class=cos_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_map_dscp_cos_update(self, policy_map=None, class_=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type dscp_cos: unicode
    :param dscp_cos: Configure Dscp-to-CoS map (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.map_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.map_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.map_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.map_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.map_', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, dscp_cos=dscp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_map_dscp_mutation_update(self, policy_map=None, class_=None, dscp_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type dscp_mutation: unicode
    :param dscp_mutation: Configure Dscp-to-Dscp mutation map  (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.map_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.map_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.map_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.map_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.map_', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, dscp_mutation=dscp_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, dscp_mutation=dscp_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_map_dscp_traffic_class_update(self, policy_map=None, class_=None, dscp_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type dscp_traffic_class: unicode
    :param dscp_traffic_class: Configure Dscp-to-Traffic class map(Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.map_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.map_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.map_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.map_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.map_', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, dscp_traffic_class=dscp_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, dscp_traffic_class=dscp_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_map_sflow_update(self, policy_map=None, class_=None, sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type sflow: unicode
    :param sflow: Configure sflow profile map (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.map_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.map_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.map_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, sflow=sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, sflow=sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_update(self, policy_map=None, class_=None, cir=None, cbs=None, eir=None, ebs=None, set_priority=None, conform_set_dscp=None, conform_set_prec=None, conform_set_tc=None, exceed_set_dscp=None, exceed_set_prec=None, exceed_set_tc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cir: long
    :param cir: Committed Information Rate.

        * range restriction: ::

            ['0..18446744073709551615']

    :type cbs: long
    :param cbs: Comitted Burst Size.

        * range restriction: ::

            ['0..18446744073709551615']

    :type eir: long
    :param eir: Exceeded Information Rate.

        * range restriction: ::

            ['0..18446744073709551615']

    :type ebs: long
    :param ebs: Exceeded Burst Size.

        * range restriction: ::

            ['0..18446744073709551615']

    :type set_priority: unicode
    :param set_priority: Police Priority Map Name

        * length restriction: ::

            ['1..64']

    :type conform_set_dscp: long
    :param conform_set_dscp: DCSP Priority for conformant traffic.

        * range restriction: ::

            ['0..4294967295']

    :type conform_set_prec: long
    :param conform_set_prec: IP Precedence value for conformant traffic.

        * range restriction: ::

            ['0..4294967295']

    :type conform_set_tc: long
    :param conform_set_tc: Traffic Class value for conformant traffic.

        * range restriction: ::

            ['0..4294967295']

    :type exceed_set_dscp: long
    :param exceed_set_dscp: DCSP Priority for exceeded traffic.

        * range restriction: ::

            ['0..4294967295']

    :type exceed_set_prec: long
    :param exceed_set_prec: IP Precedence value for exceeded traffic.

        * range restriction: ::

            ['0..4294967295']

    :type exceed_set_tc: long
    :param exceed_set_tc: Traffic Class value for exceeded traffic.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.police', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.police', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.police', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.police', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'cir, cbs, eir, ebs'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.policy_map.class_.police": {"exceed_set_tc": "exceed_set_tc", "eir": "eir", "cbs": "cbs", "ebs": "ebs", "conform_set_prec": "conform_set_prec", "cir": "cir", "conform_set_dscp": "conform_set_dscp", "exceed_set_dscp": "exceed_set_dscp", "set_priority": "set_priority", "conform_set_tc": "conform_set_tc", "exceed_set_prec": "exceed_set_prec"}, "pybind.nos.v7_0_1b.policy_map.class_.police": {"exceed_set_tc": "exceed_set_tc", "eir": "eir", "cbs": "cbs", "ebs": "ebs", "conform_set_prec": "conform_set_prec", "cir": "cir", "conform_set_dscp": "conform_set_dscp", "exceed_set_dscp": "exceed_set_dscp", "set_priority": "set_priority", "conform_set_tc": "conform_set_tc", "exceed_set_prec": "exceed_set_prec"}, "pybind.slxos.v17r_1_00a.policy_map.class_.police": {}, "pybind.nos.v7_1_0.policy_map.class_.police": {"exceed_set_tc": "exceed_set_tc", "eir": "eir", "cbs": "cbs", "ebs": "ebs", "conform_set_prec": "conform_set_prec", "cir": "cir", "conform_set_dscp": "conform_set_dscp", "exceed_set_dscp": "exceed_set_dscp", "set_priority": "set_priority", "conform_set_tc": "conform_set_tc", "exceed_set_prec": "exceed_set_prec"}, "pybind.slxos.v16r_1_00b.policy_map.class_.police": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, cir=cir, cbs=cbs, eir=eir, ebs=ebs, set_priority=set_priority, conform_set_dscp=conform_set_dscp, conform_set_prec=conform_set_prec, conform_set_tc=conform_set_tc, exceed_set_dscp=exceed_set_dscp, exceed_set_prec=exceed_set_prec, exceed_set_tc=exceed_set_tc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, cir=cir, cbs=cbs, eir=eir, ebs=ebs, set_priority=set_priority, conform_set_dscp=conform_set_dscp, conform_set_prec=conform_set_prec, conform_set_tc=conform_set_tc, exceed_set_dscp=exceed_set_dscp, exceed_set_prec=exceed_set_prec, exceed_set_tc=exceed_set_tc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_cbs_update(self, policy_map=None, class_=None, cbs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cbs: long
    :param cbs: Comitted Burst Size.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.police', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.police', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.police', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.police', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, cbs=cbs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, cbs=cbs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_cir_update(self, policy_map=None, class_=None, cir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cir: long
    :param cir: Committed Information Rate.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.police', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.police', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.police', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.police', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, cir=cir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, cir=cir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_conform_set_dscp_update(self, policy_map=None, class_=None, conform_set_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type conform_set_dscp: long
    :param conform_set_dscp: DCSP Priority for conformant traffic.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.police', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.police', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, conform_set_dscp=conform_set_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, conform_set_dscp=conform_set_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_conform_set_prec_update(self, policy_map=None, class_=None, conform_set_prec=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type conform_set_prec: long
    :param conform_set_prec: IP Precedence value for conformant traffic.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.police', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.police', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, conform_set_prec=conform_set_prec)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, conform_set_prec=conform_set_prec)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_conform_set_tc_update(self, policy_map=None, class_=None, conform_set_tc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type conform_set_tc: long
    :param conform_set_tc: Traffic Class value for conformant traffic.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.police', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.police', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, conform_set_tc=conform_set_tc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, conform_set_tc=conform_set_tc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_ebs_update(self, policy_map=None, class_=None, ebs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type ebs: long
    :param ebs: Exceeded Burst Size.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.police', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.police', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.police', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.police', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, ebs=ebs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, ebs=ebs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_eir_update(self, policy_map=None, class_=None, eir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type eir: long
    :param eir: Exceeded Information Rate.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.police', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.police', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.police', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.police', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, eir=eir)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, eir=eir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_exceed_set_dscp_update(self, policy_map=None, class_=None, exceed_set_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type exceed_set_dscp: long
    :param exceed_set_dscp: DCSP Priority for exceeded traffic.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.police', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.police', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, exceed_set_dscp=exceed_set_dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, exceed_set_dscp=exceed_set_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_exceed_set_prec_update(self, policy_map=None, class_=None, exceed_set_prec=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type exceed_set_prec: long
    :param exceed_set_prec: IP Precedence value for exceeded traffic.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.police', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.police', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, exceed_set_prec=exceed_set_prec)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, exceed_set_prec=exceed_set_prec)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_exceed_set_tc_update(self, policy_map=None, class_=None, exceed_set_tc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type exceed_set_tc: long
    :param exceed_set_tc: Traffic Class value for exceeded traffic.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.police', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.police', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, exceed_set_tc=exceed_set_tc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, exceed_set_tc=exceed_set_tc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_set_priority_update(self, policy_map=None, class_=None, set_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type set_priority: unicode
    :param set_priority: Police Priority Map Name

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.police', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.police', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, set_priority=set_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, set_priority=set_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_priority_mapping_table_import_update(self, policy_map=None, class_=None, cee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cee: unicode
    :param cee: Import cee priority mapping table from acee map (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.priority_mapping_table.import_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.priority_mapping_table.import_', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, cee=cee)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, cee=cee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_priority_mapping_table_import_cee_update(self, policy_map=None, class_=None, cee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cee: unicode
    :param cee: Import cee priority mapping table from acee map (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.priority_mapping_table.import_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.priority_mapping_table.import_', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, cee=cee)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, cee=cee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_update(self, policy_map=None, class_=None, priority_number=None, scheduler_type=None, dwrr_traffic_class0=None, dwrr_traffic_class1=None, dwrr_traffic_class2=None, dwrr_traffic_class3=None, dwrr_traffic_class4=None, dwrr_traffic_class5=None, dwrr_traffic_class6=None, dwrr_traffic_class_last=None, TC1=None, TC2=None, TC3=None, TC4=None, TC5=None, TC6=None, TC7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type priority_number: int
    :param priority_number: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type scheduler_type: unicode
    :param scheduler_type: Keyword argument.

        * enumeration restriction: ::

            ['dwrr']

    :type dwrr_traffic_class0: long
    :param dwrr_traffic_class0: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dwrr_traffic_class1: long
    :param dwrr_traffic_class1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dwrr_traffic_class2: long
    :param dwrr_traffic_class2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dwrr_traffic_class3: long
    :param dwrr_traffic_class3: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dwrr_traffic_class4: long
    :param dwrr_traffic_class4: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dwrr_traffic_class5: long
    :param dwrr_traffic_class5: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dwrr_traffic_class6: long
    :param dwrr_traffic_class6: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dwrr_traffic_class_last: long
    :param dwrr_traffic_class_last: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type TC1: long
    :param TC1: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type TC2: long
    :param TC2: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type TC3: long
    :param TC3: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type TC4: long
    :param TC4: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type TC5: long
    :param TC5: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type TC6: long
    :param TC6: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type TC7: long
    :param TC7: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'priority_number, scheduler_type, dwrr_traffic_class0, dwrr_traffic_class1, dwrr_traffic_class2, dwrr_traffic_class3, dwrr_traffic_class4, dwrr_traffic_class5, dwrr_traffic_class6, dwrr_traffic_class_last, TC1, TC2, TC3, TC4, TC5, TC6, TC7'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, priority_number=priority_number, scheduler_type=scheduler_type, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class_last=dwrr_traffic_class_last, TC1=TC1, TC2=TC2, TC3=TC3, TC4=TC4, TC5=TC5, TC6=TC6, TC7=TC7)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, priority_number=priority_number, scheduler_type=scheduler_type, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class_last=dwrr_traffic_class_last, TC1=TC1, TC2=TC2, TC3=TC3, TC4=TC4, TC5=TC5, TC6=TC6, TC7=TC7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_dwrr_traffic_class0_update(self, policy_map=None, class_=None, dwrr_traffic_class0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type dwrr_traffic_class0: long
    :param dwrr_traffic_class0: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, dwrr_traffic_class0=dwrr_traffic_class0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, dwrr_traffic_class0=dwrr_traffic_class0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_dwrr_traffic_class1_update(self, policy_map=None, class_=None, dwrr_traffic_class1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type dwrr_traffic_class1: long
    :param dwrr_traffic_class1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, dwrr_traffic_class1=dwrr_traffic_class1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, dwrr_traffic_class1=dwrr_traffic_class1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_dwrr_traffic_class2_update(self, policy_map=None, class_=None, dwrr_traffic_class2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type dwrr_traffic_class2: long
    :param dwrr_traffic_class2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, dwrr_traffic_class2=dwrr_traffic_class2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, dwrr_traffic_class2=dwrr_traffic_class2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_dwrr_traffic_class3_update(self, policy_map=None, class_=None, dwrr_traffic_class3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type dwrr_traffic_class3: long
    :param dwrr_traffic_class3: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, dwrr_traffic_class3=dwrr_traffic_class3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, dwrr_traffic_class3=dwrr_traffic_class3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_dwrr_traffic_class4_update(self, policy_map=None, class_=None, dwrr_traffic_class4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type dwrr_traffic_class4: long
    :param dwrr_traffic_class4: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, dwrr_traffic_class4=dwrr_traffic_class4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, dwrr_traffic_class4=dwrr_traffic_class4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_dwrr_traffic_class5_update(self, policy_map=None, class_=None, dwrr_traffic_class5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type dwrr_traffic_class5: long
    :param dwrr_traffic_class5: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, dwrr_traffic_class5=dwrr_traffic_class5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, dwrr_traffic_class5=dwrr_traffic_class5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_dwrr_traffic_class6_update(self, policy_map=None, class_=None, dwrr_traffic_class6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type dwrr_traffic_class6: long
    :param dwrr_traffic_class6: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, dwrr_traffic_class6=dwrr_traffic_class6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, dwrr_traffic_class6=dwrr_traffic_class6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_dwrr_traffic_class_last_update(self, policy_map=None, class_=None, dwrr_traffic_class_last=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type dwrr_traffic_class_last: long
    :param dwrr_traffic_class_last: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, dwrr_traffic_class_last=dwrr_traffic_class_last)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, dwrr_traffic_class_last=dwrr_traffic_class_last)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_priority_number_update(self, policy_map=None, class_=None, priority_number=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type priority_number: int
    :param priority_number: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, priority_number=priority_number)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, priority_number=priority_number)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_scheduler_type_update(self, policy_map=None, class_=None, scheduler_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type scheduler_type: unicode
    :param scheduler_type: Keyword argument.

        * enumeration restriction: ::

            ['dwrr']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, scheduler_type=scheduler_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, scheduler_type=scheduler_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_tc1_update(self, policy_map=None, class_=None, TC1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type TC1: long
    :param TC1: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, TC1=TC1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, TC1=TC1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_tc2_update(self, policy_map=None, class_=None, TC2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type TC2: long
    :param TC2: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, TC2=TC2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, TC2=TC2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_tc3_update(self, policy_map=None, class_=None, TC3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type TC3: long
    :param TC3: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, TC3=TC3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, TC3=TC3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_tc4_update(self, policy_map=None, class_=None, TC4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type TC4: long
    :param TC4: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, TC4=TC4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, TC4=TC4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_tc5_update(self, policy_map=None, class_=None, TC5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type TC5: long
    :param TC5: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, TC5=TC5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, TC5=TC5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_tc6_update(self, policy_map=None, class_=None, TC6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type TC6: long
    :param TC6: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, TC6=TC6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, TC6=TC6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_tc7_update(self, policy_map=None, class_=None, TC7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type TC7: long
    :param TC7: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, TC7=TC7)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, TC7=TC7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_set_cos_update(self, policy_map=None, class_=None, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos: int
    :param cos: Class of Service

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.set_.set_cos_tc', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.set_.set_cos_tc', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, cos=cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_set_dscp_update(self, policy_map=None, class_=None, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type dscp: int
    :param dscp: Differentiated Services Code Point

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.set_.set_dscp', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.set_.set_dscp', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.set_.set_dscp', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.set_.set_dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.set_.set_dscp', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, dscp=dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_set_set_cos_tc_update(self, policy_map=None, class_=None, cos=None, traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos: int
    :param cos: Class of Service

        * range restriction: ::

            ['0..255']

    :type traffic_class: int
    :param traffic_class: Traffic Class

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.set_.set_cos_tc', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.set_.set_cos_tc', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'cos, traffic_class'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, cos=cos, traffic_class=traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, cos=cos, traffic_class=traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_set_set_dscp_update(self, policy_map=None, class_=None, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type dscp: int
    :param dscp: Differentiated Services Code Point

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.set_.set_dscp', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.set_.set_dscp', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.set_.set_dscp', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.set_.set_dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.set_.set_dscp', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, dscp=dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_set_traffic_class_update(self, policy_map=None, class_=None, traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type traffic_class: int
    :param traffic_class: Traffic Class

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.set_.set_cos_tc', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.set_.set_cos_tc', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, traffic_class=traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, traffic_class=traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_sflow_profile_update(self, policy_map=None, class_=None, sflow_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: name
    :param policy_map: Keyword argument tuple.

    :type name: unicode
    :param name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type sflow_profile: unicode
    :param sflow_profile: Apply sflow profile

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map')]
    bindings_list = [('pybind.slxos.v16r_1_00b.policy_map.class_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'class_', 'keyval': 'cl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, sflow_profile=sflow_profile)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, sflow_profile=sflow_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_shape_update(self, policy_map=None, class_=None, shaping_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type shaping_rate: long
    :param shaping_rate: Shaping rate

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.shape', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.shape', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.shape', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.shape', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.shape', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, shaping_rate=shaping_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, shaping_rate=shaping_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_shape_shaping_rate_update(self, policy_map=None, class_=None, shaping_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type shaping_rate: long
    :param shaping_rate: Shaping rate

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.shape', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.shape', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.shape', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.shape', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.shape', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, shaping_rate=shaping_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, shaping_rate=shaping_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_span_update(self, policy_map=None, class_=None, session=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type session: long
    :param session: Session-id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.span', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.span', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.span', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.span', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.span', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, session=session)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, session=session)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_span_session_update(self, policy_map=None, class_=None, session=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type session: long
    :param session: Session-id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v17r_1_00a.policy_map', 'policy_map'), ('pybind.slxos.v17r_1_00a.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_.span', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_.span', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_.span', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.span', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.policy_map.class_.span', 'pybind.slxos.v17r_1_00a.brocade_qos_mqc', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy_map=policy_map, class_=class_, session=session)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_, session=session)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_channel_redundancy_group_update(self, port_channel_redundancy_group=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel_redundancy_group: group_id
    :param port_channel_redundancy_group: Keyword argument tuple.

    :type group_id: long
    :param group_id: **port_channel_redundancy_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the port-channel redundancy group

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.port_channel_redundancy_group', 'pybind.nos.v6_0_2c.brocade_lag', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_channel_redundancy_group', 'pybind.nos.v7_0_1b.brocade_lag', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_channel_redundancy_group', 'pybind.slxos.v17r_1_00a.brocade_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'port_channel_redundancy_group', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel_redundancy_group=port_channel_redundancy_group, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel_redundancy_group=port_channel_redundancy_group, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_channel_redundancy_group_activate_update(self, port_channel_redundancy_group=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_channel_redundancy_group: group_id
    :param port_channel_redundancy_group: Keyword argument tuple.

    :type group_id: long
    :param group_id: **port_channel_redundancy_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the port-channel redundancy group

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.port_channel_redundancy_group', 'pybind.nos.v6_0_2c.brocade_lag', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_channel_redundancy_group', 'pybind.nos.v7_0_1b.brocade_lag', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_channel_redundancy_group', 'pybind.slxos.v17r_1_00a.brocade_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'port_channel_redundancy_group', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel_redundancy_group=port_channel_redundancy_group, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel_redundancy_group=port_channel_redundancy_group, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_channel_redundancy_group_port_channel_update(self, port_channel_redundancy_group=None, port_channel=None, port_channel_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel_redundancy_group: group_id
    :param port_channel_redundancy_group: Keyword argument tuple.

    :type group_id: long
    :param group_id: **port_channel_redundancy_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_channel: name, port_channel_active
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port_channel_active: YANGBool
    :param port_channel_active: **port_channel** tuple argument:  Select port-channel as active in port-channel redundancy group.

    **Instance Argument(s)**:

    :type port_channel_active: YANGBool
    :param port_channel_active: Select port-channel as active in port-channel redundancy group.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v7_0_1b.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.slxos.v17r_1_00a.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'port_channel_redundancy_group')]
    bindings_list = [('pybind.nos.v6_0_2c.port_channel_redundancy_group.port_channel', 'pybind.nos.v6_0_2c.brocade_lag', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_0_1b.brocade_lag', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group.port_channel', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_channel_redundancy_group.port_channel', 'pybind.slxos.v17r_1_00a.brocade_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': 'name, port_channel_active'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel_redundancy_group=port_channel_redundancy_group, port_channel=port_channel, port_channel_active=port_channel_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel_redundancy_group=port_channel_redundancy_group, port_channel=port_channel, port_channel_active=port_channel_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_channel_redundancy_group_port_channel_active_update(self, port_channel_redundancy_group=None, port_channel=None, port_channel_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel_redundancy_group: group_id
    :param port_channel_redundancy_group: Keyword argument tuple.

    :type group_id: long
    :param group_id: **port_channel_redundancy_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type port_channel_active: YANGBool
    :param port_channel_active: Select port-channel as active in port-channel redundancy group.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v7_0_1b.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.slxos.v17r_1_00a.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'port_channel_redundancy_group')]
    bindings_list = [('pybind.nos.v6_0_2c.port_channel_redundancy_group.port_channel', 'pybind.nos.v6_0_2c.brocade_lag', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_0_1b.brocade_lag', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group.port_channel', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_channel_redundancy_group.port_channel', 'pybind.slxos.v17r_1_00a.brocade_lag', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_channel_redundancy_group=port_channel_redundancy_group, port_channel=port_channel, port_channel_active=port_channel_active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel_redundancy_group=port_channel_redundancy_group, port_channel=port_channel, port_channel_active=port_channel_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_activate_update(self, port_profile=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the profile

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.port_profile_global.port_profile', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile_global.port_profile', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile_global.port_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile_global.port_profile', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_profile', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_allow_update(self, port_profile=None, nonprofiledmacs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type nonprofiledmacs: YANGBool
    :param nonprofiledmacs: non-profiled macs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.allow', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.allow', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.allow', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.allow', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.allow', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, nonprofiledmacs=nonprofiledmacs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, nonprofiledmacs=nonprofiledmacs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_allow_non_profiled_macs_update(self, port_profile=None, nonprofiledmacs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type nonprofiledmacs: YANGBool
    :param nonprofiledmacs: non-profiled macs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.allow', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.allow', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.allow', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.allow', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.allow', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, nonprofiledmacs=nonprofiledmacs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, nonprofiledmacs=nonprofiledmacs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_fcoe_profile_fcoeport_update(self, port_profile=None, fcoe_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type fcoe_map_name: unicode
    :param fcoe_map_name: Keyword argument.

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.fcoe_profile.fcoeport', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.fcoe_profile.fcoeport', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.fcoe_profile.fcoeport', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.fcoe_profile.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.fcoe_profile.fcoeport', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, fcoe_map_name=fcoe_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, fcoe_map_name=fcoe_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_fcoe_profile_fcoeport_fcoe_map_name_update(self, port_profile=None, fcoe_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type fcoe_map_name: unicode
    :param fcoe_map_name: Keyword argument.

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.fcoe_profile.fcoeport', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.fcoe_profile.fcoeport', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.fcoe_profile.fcoeport', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.fcoe_profile.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.fcoe_profile.fcoeport', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, fcoe_map_name=fcoe_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, fcoe_map_name=fcoe_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_port_profile_global_update(self, port_profile=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the profile

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.port_profile_global.port_profile', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile_global.port_profile', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile_global.port_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile_global.port_profile', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_profile', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_cee_update(self, port_profile=None, cee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type cee: unicode
    :param cee: Configure QoS CEE map (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.qos_profile', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, cee=cee)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, cee=cee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_update(self, port_profile=None, cos=None, cos_mutation=None, cos_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type cos: long
    :param cos: Configure default Class of Service (CoS)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile.qos', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile.qos', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.qos_profile.qos', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, cos=cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, cos=cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_cos_update(self, port_profile=None, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type cos: long
    :param cos: Configure default Class of Service (CoS)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile.qos', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile.qos', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.qos_profile.qos', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, cos=cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_cos_mutation_update(self, port_profile=None, cos_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type cos_mutation: unicode
    :param cos_mutation: Configure CoS-to-CoS mutation (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile.qos', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile.qos', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.qos_profile.qos', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, cos_mutation=cos_mutation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, cos_mutation=cos_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_cos_traffic_class_update(self, port_profile=None, cos_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type cos_traffic_class: unicode
    :param cos_traffic_class: Configure CoS-to-Traffic Class map (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile.qos', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile.qos', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.qos_profile.qos', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, cos_traffic_class=cos_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, cos_traffic_class=cos_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_flowcontrol_flowcontrolglobal_update(self, port_profile=None, tx=None, rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type tx: unicode
    :param tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type rx: unicode
    :param rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, tx=tx, rx=rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, tx=tx, rx=rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_flowcontrol_pfc_update(self, port_profile=None, pfc=None, pfc_tx=None, pfc_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_tx: unicode
    :param pfc_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type pfc_rx: unicode
    :param pfc_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, pfc=pfc, pfc_tx=pfc_tx, pfc_rx=pfc_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, pfc=pfc, pfc_tx=pfc_tx, pfc_rx=pfc_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_flowcontrol_pfc_rx_update(self, port_profile=None, pfc=None, pfc_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_rx: unicode
    :param pfc_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, pfc=pfc, pfc_rx=pfc_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, pfc=pfc, pfc_rx=pfc_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_flowcontrol_pfc_tx_update(self, port_profile=None, pfc=None, pfc_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_tx: unicode
    :param pfc_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, pfc=pfc, pfc_tx=pfc_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, pfc=pfc, pfc_tx=pfc_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_flowcontrol_rx_update(self, port_profile=None, rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type rx: unicode
    :param rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, rx=rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, rx=rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_flowcontrol_tx_update(self, port_profile=None, tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type tx: unicode
    :param tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, tx=tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, tx=tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_trust_update(self, port_profile=None, trust_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile.qos.trust', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile.qos.trust', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.trust', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.qos_profile.qos.trust', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, trust_cos=trust_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, trust_cos=trust_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_trust_cos_update(self, port_profile=None, trust_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type trust_cos: YANGBool
    :param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile.qos.trust', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile.qos.trust', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.trust', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.qos_profile.qos.trust', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, trust_cos=trust_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, trust_cos=trust_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_restrict_flooding_update(self, port_profile=None, restrict_flooding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type restrict_flooding: YANGBool
    :param restrict_flooding: Restrict flooding

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.restrict_flooding_container', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.restrict_flooding_container', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.restrict_flooding_container', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.restrict_flooding_container', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.restrict_flooding_container', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, restrict_flooding=restrict_flooding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, restrict_flooding=restrict_flooding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_security_profile_ip_access_group_update(self, port_profile=None, ipv4_access_group_name=None, ipv4_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type ipv4_access_group_name: unicode
    :param ipv4_access_group_name: Access list name (Max 64)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ipv4_in: YANGBool
    :param ipv4_in: Ingress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.security_profile.ip.access_group', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.security_profile.ip.access_group', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.security_profile.ip.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.security_profile.ip.access_group', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ipv4_access_group_name, ipv4_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, ipv4_access_group_name=ipv4_access_group_name, ipv4_in=ipv4_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, ipv4_access_group_name=ipv4_access_group_name, ipv4_in=ipv4_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_security_profile_ip_access_group_in_update(self, port_profile=None, ipv4_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type ipv4_in: YANGBool
    :param ipv4_in: Ingress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.security_profile.ip.access_group', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.security_profile.ip.access_group', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.security_profile.ip.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.security_profile.ip.access_group', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, ipv4_in=ipv4_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, ipv4_in=ipv4_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_security_profile_ip_access_group_ipv4_access_group_name_update(self, port_profile=None, ipv4_access_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type ipv4_access_group_name: unicode
    :param ipv4_access_group_name: Access list name (Max 64)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.security_profile.ip.access_group', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.security_profile.ip.access_group', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.security_profile.ip.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.security_profile.ip.access_group', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, ipv4_access_group_name=ipv4_access_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, ipv4_access_group_name=ipv4_access_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_security_profile_ipv6_access_group_update(self, port_profile=None, ipv6_access_group_name=None, ipv6_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type ipv6_access_group_name: unicode
    :param ipv6_access_group_name: Access list name (Max 64)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ipv6_in: YANGBool
    :param ipv6_in: Ingress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.security_profile.ipv6.access_group', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ipv6_access_group_name, ipv6_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, ipv6_access_group_name=ipv6_access_group_name, ipv6_in=ipv6_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, ipv6_access_group_name=ipv6_access_group_name, ipv6_in=ipv6_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_security_profile_ipv6_access_group_in_update(self, port_profile=None, ipv6_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type ipv6_in: YANGBool
    :param ipv6_in: Ingress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.security_profile.ipv6.access_group', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, ipv6_in=ipv6_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, ipv6_in=ipv6_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_security_profile_ipv6_access_group_ipv6_access_group_name_update(self, port_profile=None, ipv6_access_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type ipv6_access_group_name: unicode
    :param ipv6_access_group_name: Access list name (Max 64)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.security_profile.ipv6.access_group', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, ipv6_access_group_name=ipv6_access_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, ipv6_access_group_name=ipv6_access_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_security_profile_mac_access_group_update(self, port_profile=None, access_group_name=None, in_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type access_group_name: unicode
    :param access_group_name: Access list name (Max 64)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type in_: YANGBool
    :param in_: Ingress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.security_profile.mac.access_group', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.security_profile.mac.access_group', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.security_profile.mac.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.security_profile.mac.access_group', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'access_group_name, in_'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, access_group_name=access_group_name, in_=in_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, access_group_name=access_group_name, in_=in_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_security_profile_mac_access_group_access_group_name_update(self, port_profile=None, access_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type access_group_name: unicode
    :param access_group_name: Access list name (Max 64)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.security_profile.mac.access_group', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.security_profile.mac.access_group', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.security_profile.mac.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.security_profile.mac.access_group', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, access_group_name=access_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, access_group_name=access_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_security_profile_mac_access_group_in_update(self, port_profile=None, in_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type in_: YANGBool
    :param in_: Ingress direction

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.security_profile.mac.access_group', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.security_profile.mac.access_group', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.security_profile.mac.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.security_profile.mac.access_group', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, in_=in_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, in_=in_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_update(self, port_profile=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport_basic', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_access_vlan_name_update(self, port_profile=None, name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type name: long
    :param name: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.access.vlan', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.access.vlan', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.access.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport.access.vlan', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, name=name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, name=name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_basic_update(self, port_profile=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport_basic', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_mode_update(self, port_profile=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.mode', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.mode', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.mode', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.mode', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport.mode', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_mode_vlan_mode_update(self, port_profile=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type vlan_mode: unicode
    :param vlan_mode: Keyword argument.

        * enumeration restriction: ::

            ['access', 'trunk']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.mode', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.mode', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.mode', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.mode', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport.mode', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, vlan_mode=vlan_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_update(self, port_profile=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type native_vlan: long
    :param native_vlan: Set the native VLAN to classifyuntagged traffic.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.trunk', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.trunk', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport.trunk', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, native_vlan=native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_allowed_vlan_update(self, port_profile=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all VLANs to Xmit/Rx through the Layer2 interface

    :type none: YANGBool
    :param none: Allow no VLANs to Xmit/Rx through the Layer2 interface

    :type add_: unicode
    :param add_: Allow these VLANs to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type remove_: unicode
    :param remove_: Remove a VLAN range that Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, all=all, none=none, add_=add_, except_=except_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_allowed_vlan_all_update(self, port_profile=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Allow all VLANs to Xmit/Rx through the Layer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_allowed_vlan_except_update(self, port_profile=None, except_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type except_: unicode
    :param except_: Allow all VLANs except this vlan range to Xmit/Rx through the Layer2 interface

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{'
            '1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8]'
            '[0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})'
            '|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, except_=except_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, except_=except_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_allowed_vlan_none_update(self, port_profile=None, none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type none: YANGBool
    :param none: Allow no VLANs to Xmit/Rx through the Layer2 interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, none=none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, none=none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_ctag_update(self, port_profile=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_native_vlan_update(self, port_profile=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type native_vlan: long
    :param native_vlan: Set the native VLAN to classifyuntagged traffic.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.trunk', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.trunk', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport.trunk', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, native_vlan=native_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_native_vlan_classification_update(self, port_profile=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type native_vlan_ctag_id: long
    :param native_vlan_ctag_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id, native_vlan_ctag_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_native_vlan_native_vlan_classification_update(self, port_profile=None, native_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type native_vlan_id: long
    :param native_vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v17r_1_00a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.slxos.v17r_1_00a.brocade_port_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_profile=port_profile, native_vlan_id=native_vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, native_vlan_id=native_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_update(self, domain_name=None, domain_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Argument(s)**:

    :type domain_level: long
    :param domain_level: Maintanance Domain Level

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain_name', 'keyval': 'domain_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, domain_level=domain_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, domain_level=domain_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_level_update(self, domain_name=None, domain_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Argument(s)**:

    :type domain_level: long
    :param domain_level: Maintanance Domain Level

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain_name', 'keyval': 'domain_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, domain_level=domain_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, domain_level=domain_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_update(self, domain_name=None, ma_name=None, ma_id=None, ma_vlan_vid=None, ma_bd_vid=None, ma_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Keyword Argument Tuple**:

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Argument(s)**:

    :type ma_id: long
    :param ma_id: MA ID used for short-MAID

        * range restriction: ::

            ['0..4294967295']

    :type ma_vlan_vid: long
    :param ma_vlan_vid: Vlan association. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type ma_bd_vid: long
    :param ma_bd_vid: bridge-domain association. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type ma_priority: long
    :param ma_priority: Set Priority for this MA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'domain_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma_name', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name': [u'ma_vlan_vid', u'ma_bd_vid'], 'pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name': [u'ma_vlan_vid', u'ma_bd_vid']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, ma_id=ma_id, ma_vlan_vid=ma_vlan_vid, ma_bd_vid=ma_bd_vid, ma_priority=ma_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, ma_id=ma_id, ma_vlan_vid=ma_vlan_vid, ma_bd_vid=ma_bd_vid, ma_priority=ma_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_bridge_domain_update(self, domain_name=None, ma_name=None, ma_bd_vid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Keyword Argument Tuple**:

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Argument(s)**:

    :type ma_bd_vid: long
    :param ma_bd_vid: bridge-domain association

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'domain_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma_name', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, ma_bd_vid=ma_bd_vid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, ma_bd_vid=ma_bd_vid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_ccm_interval_update(self, domain_name=None, ma_name=None, ccm_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Argument(s)**:

    :type ccm_interval: unicode
    :param ccm_interval: set CCM interval

        * enumeration restriction: ::

            ['100-ms',
            '10-seconds',
            '1-second',
            '3-ms',
            '10-ms']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', u'ma_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, ccm_interval=ccm_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, ccm_interval=ccm_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_id_update(self, domain_name=None, ma_name=None, ma_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Keyword Argument Tuple**:

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Argument(s)**:

    :type ma_id: long
    :param ma_id: MA ID used for short-MAID

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'domain_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma_name', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, ma_id=ma_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, ma_id=ma_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_maid_format_update(self, domain_name=None, ma_name=None, maid_format=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Argument(s)**:

    :type maid_format: unicode
    :param maid_format: Set MA ID Format to include domain details

        * enumeration restriction: ::

            ['default', 'long']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', u'ma_name')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, maid_format=maid_format)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, maid_format=maid_format)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mep_update(self, domain_name=None, ma_name=None, mep=None, mep_down_up=None, vlan=None, mep_intf_type=None, mep_intf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: long
    :param mep_id: **mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mep_down_up: unicode
    :param mep_down_up: Keyword argument.

        * enumeration restriction: ::

            ['down', 'up']

    :type vlan: long
    :param vlan: Enter Vlan-id

        * range restriction: ::

            ['0..4294967295']

    :type mep_intf_type: unicode
    :param mep_intf_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type mep_intf_name: unicode
    :param mep_intf_name: Keyword argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', u'ma_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep": {}, "pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep": {"mep_id": "mep_id", "mep_down_up": "mep_down_up", "mep_intf_name": "mep_intf_name", "vlan": "vlan", "mep_intf_type": "mep_intf_type"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, mep=mep, mep_down_up=mep_down_up, vlan=vlan, mep_intf_type=mep_intf_type, mep_intf_name=mep_intf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, mep=mep, mep_down_up=mep_down_up, vlan=vlan, mep_intf_type=mep_intf_type, mep_intf_name=mep_intf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mep_inner_vlan_update(self, domain_name=None, ma_name=None, mep=None, inner_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: long
    :param mep_id: **mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type inner_vlan: long
    :param inner_vlan: Enter Inner Vlan-id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', u'ma_name')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, mep=mep, inner_vlan=inner_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, mep=mep, inner_vlan=inner_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mep_mep_down_up_update(self, domain_name=None, ma_name=None, mep=None, mep_down_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: long
    :param mep_id: **mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mep_down_up: unicode
    :param mep_down_up: Keyword argument.

        * enumeration restriction: ::

            ['down', 'up']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', u'ma_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, mep=mep, mep_down_up=mep_down_up)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, mep=mep, mep_down_up=mep_down_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mep_mep_intf_name_update(self, domain_name=None, ma_name=None, mep=None, mep_intf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: long
    :param mep_id: **mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mep_intf_name: unicode
    :param mep_intf_name: Keyword argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', u'ma_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, mep=mep, mep_intf_name=mep_intf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, mep=mep, mep_intf_name=mep_intf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mep_mep_intf_type_update(self, domain_name=None, ma_name=None, mep=None, mep_intf_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: long
    :param mep_id: **mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mep_intf_type: unicode
    :param mep_intf_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', u'ma_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, mep=mep, mep_intf_type=mep_intf_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, mep=mep, mep_intf_type=mep_intf_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mep_remote_mep_update(self, domain_name=None, ma_name=None, mep=None, remote_mep=None, action_profile_association=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: long
    :param mep_id: **mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type remote_mep: remote_mep
    :param remote_mep: Keyword argument tuple.

    :type remote_mep: long
    :param remote_mep: **remote_mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_profile_association: unicode
    :param action_profile_association: Associate action profile with Remote-MEP

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', u'mep')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep.cfm_mep_sub_commands.remote_mep', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remote_mep', 'keyval': 'remote_mep', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep.cfm_mep_sub_commands.remote_mep": {}, "pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep.cfm_mep_sub_commands.remote_mep": {"remote_mep": "remote_mep"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, mep=mep, remote_mep=remote_mep, action_profile_association=action_profile_association)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, mep=mep, remote_mep=remote_mep, action_profile_association=action_profile_association)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mep_remote_mep_action_profile_update(self, domain_name=None, ma_name=None, mep=None, remote_mep=None, action_profile_association=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: long
    :param mep_id: **mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type remote_mep: remote_mep
    :param remote_mep: Keyword argument tuple.

    :type remote_mep: long
    :param remote_mep: **remote_mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_profile_association: unicode
    :param action_profile_association: Associate action profile with Remote-MEP

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', u'mep')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep.cfm_mep_sub_commands.remote_mep', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remote_mep', 'keyval': 'remote_mep', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, mep=mep, remote_mep=remote_mep, action_profile_association=action_profile_association)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, mep=mep, remote_mep=remote_mep, action_profile_association=action_profile_association)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mep_tlv_type_update(self, domain_name=None, ma_name=None, mep=None, tlv_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: long
    :param mep_id: **mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tlv_type: unicode
    :param tlv_type: set TLV

        * enumeration restriction: ::

            ['port-status-tlv']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', u'mep'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep.cfm_mep_sub_commands', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep.cfm_mep_sub_commands', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}, {'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, mep=mep, tlv_type=tlv_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, mep=mep, tlv_type=tlv_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mep_vlan_update(self, domain_name=None, ma_name=None, mep=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: long
    :param mep_id: **mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: Enter Vlan-id

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', u'ma_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, mep=mep, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, mep=mep, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mip_policy_update(self, domain_name=None, ma_name=None, mip_policy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Argument(s)**:

    :type mip_policy: unicode
    :param mip_policy: Set MIP policy

        * enumeration restriction: ::

            ['default', 'explicit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', u'ma_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, mip_policy=mip_policy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, mip_policy=mip_policy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_priority_update(self, domain_name=None, ma_name=None, ma_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Keyword Argument Tuple**:

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Argument(s)**:

    :type ma_priority: long
    :param ma_priority: Set Priority for this MA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'domain_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma_name', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, ma_priority=ma_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, ma_priority=ma_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_vlan_update(self, domain_name=None, ma_name=None, ma_vlan_vid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Keyword Argument Tuple**:

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Argument(s)**:

    :type ma_vlan_vid: long
    :param ma_vlan_vid: Vlan association

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name', u'domain_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'domain_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma_name', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, domain_name=domain_name, ma_name=ma_name, ma_vlan_vid=ma_vlan_vid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, ma_vlan_vid=ma_vlan_vid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_action_profile_event_avg_threshold_update(self, action_profile_name=None, avg_threshold_actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type action_profile_name: action_profile_name
    :param action_profile_name: Keyword argument tuple.

    :type action_profile_name: unicode
    :param action_profile_name: **action_profile_name** tuple argument:  String length 32 char

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type avg_threshold_actions: unicode
    :param avg_threshold_actions: Configure action(s) for avg-threshold event

        * enumeration restriction: ::

            ['interface-down', 'all', 'event-handler']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name', u'action_profile_name')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name.event.avg_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'action_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'avg_threshold_actions'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action_profile_name=action_profile_name, avg_threshold_actions=avg_threshold_actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action_profile_name=action_profile_name, avg_threshold_actions=avg_threshold_actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_action_profile_event_avg_threshold_actions_update(self, action_profile_name=None, avg_threshold_actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type action_profile_name: action_profile_name
    :param action_profile_name: Keyword argument tuple.

    :type action_profile_name: unicode
    :param action_profile_name: **action_profile_name** tuple argument:  String length 32 char

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type avg_threshold_actions: unicode
    :param avg_threshold_actions: Configure action(s) for avg-threshold event

        * enumeration restriction: ::

            ['interface-down', 'all', 'event-handler']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name', u'action_profile_name')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name.event.avg_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'action_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action_profile_name=action_profile_name, avg_threshold_actions=avg_threshold_actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action_profile_name=action_profile_name, avg_threshold_actions=avg_threshold_actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_action_profile_event_ccm_down_update(self, action_profile_name=None, ccm_down_actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type action_profile_name: action_profile_name
    :param action_profile_name: Keyword argument tuple.

    :type action_profile_name: unicode
    :param action_profile_name: **action_profile_name** tuple argument:  String length 32 char

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type ccm_down_actions: unicode
    :param ccm_down_actions: Configure action(s) for ccm-down event

        * enumeration restriction: ::

            ['interface-down', 'all', 'event-handler']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name', u'action_profile_name')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name.event.ccm_down', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'action_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ccm_down_actions'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action_profile_name=action_profile_name, ccm_down_actions=ccm_down_actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action_profile_name=action_profile_name, ccm_down_actions=ccm_down_actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_action_profile_event_ccm_down_actions_update(self, action_profile_name=None, ccm_down_actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type action_profile_name: action_profile_name
    :param action_profile_name: Keyword argument tuple.

    :type action_profile_name: unicode
    :param action_profile_name: **action_profile_name** tuple argument:  String length 32 char

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type ccm_down_actions: unicode
    :param ccm_down_actions: Configure action(s) for ccm-down event

        * enumeration restriction: ::

            ['interface-down', 'all', 'event-handler']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name', u'action_profile_name')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name.event.ccm_down', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'action_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action_profile_name=action_profile_name, ccm_down_actions=ccm_down_actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action_profile_name=action_profile_name, ccm_down_actions=ccm_down_actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_action_profile_event_ccm_up_update(self, action_profile_name=None, ccm_up_actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type action_profile_name: action_profile_name
    :param action_profile_name: Keyword argument tuple.

    :type action_profile_name: unicode
    :param action_profile_name: **action_profile_name** tuple argument:  String length 32 char

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type ccm_up_actions: unicode
    :param ccm_up_actions: Configure action(s) for ccm-up event

        * enumeration restriction: ::

            ['interface-down', 'all', 'event-handler']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name', u'action_profile_name')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name.event.ccm_up', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'action_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ccm_up_actions'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action_profile_name=action_profile_name, ccm_up_actions=ccm_up_actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action_profile_name=action_profile_name, ccm_up_actions=ccm_up_actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_action_profile_event_ccm_up_actions_update(self, action_profile_name=None, ccm_up_actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type action_profile_name: action_profile_name
    :param action_profile_name: Keyword argument tuple.

    :type action_profile_name: unicode
    :param action_profile_name: **action_profile_name** tuple argument:  String length 32 char

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type ccm_up_actions: unicode
    :param ccm_up_actions: Configure action(s) for ccm-up event

        * enumeration restriction: ::

            ['interface-down', 'all', 'event-handler']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name', u'action_profile_name')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name.event.ccm_up', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'action_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action_profile_name=action_profile_name, ccm_up_actions=ccm_up_actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action_profile_name=action_profile_name, ccm_up_actions=ccm_up_actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_action_profile_event_max_threshold_update(self, action_profile_name=None, max_threshold_actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type action_profile_name: action_profile_name
    :param action_profile_name: Keyword argument tuple.

    :type action_profile_name: unicode
    :param action_profile_name: **action_profile_name** tuple argument:  String length 32 char

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type max_threshold_actions: unicode
    :param max_threshold_actions: Configure action(s) for max-threshold event

        * enumeration restriction: ::

            ['interface-down', 'all', 'event-handler']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name', u'action_profile_name')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name.event.max_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'action_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_threshold_actions'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action_profile_name=action_profile_name, max_threshold_actions=max_threshold_actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action_profile_name=action_profile_name, max_threshold_actions=max_threshold_actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_action_profile_event_max_threshold_actions_update(self, action_profile_name=None, max_threshold_actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type action_profile_name: action_profile_name
    :param action_profile_name: Keyword argument tuple.

    :type action_profile_name: unicode
    :param action_profile_name: **action_profile_name** tuple argument:  String length 32 char

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type max_threshold_actions: unicode
    :param max_threshold_actions: Configure action(s) for max-threshold event

        * enumeration restriction: ::

            ['interface-down', 'all', 'event-handler']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name', u'action_profile_name')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.action_profile_name.event.max_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'action_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action_profile_name=action_profile_name, max_threshold_actions=max_threshold_actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action_profile_name=action_profile_name, max_threshold_actions=max_threshold_actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_update(self, test_profile=None, profile_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type profile_type: unicode
    :param profile_type: Configure Profile Type as ETH-DM / ETH-SLM

        * enumeration restriction: ::

            ['synthetic-loss-measurement',
            'delay-measurement']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, profile_type=profile_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, profile_type=profile_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_cos_update(self, test_profile=None, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type cos: int
    :param cos: Configure Class of Service 

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, cos=cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_direction_update(self, test_profile=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type direction: unicode
    :param direction: Configure Direction as One-Way / Two-way

        * enumeration restriction: ::

            ['one-way', 'two-way']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, direction=direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_measurement_interval_update(self, test_profile=None, measurement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type measurement_interval: long
    :param measurement_interval: Configure Measurement Interval in minutes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, measurement_interval=measurement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, measurement_interval=measurement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_start_update(self, test_profile=None, start_type=None, start_time=None, start_periodic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type start_type: unicode
    :param start_type: Specify start type as at/after sometime

        * enumeration restriction: ::

            ['after', 'at']

    :type start_time: unicode
    :param start_time: Specify start time in hh:mm:ss

        * pattern restriction: ::

            '([0-1][0-9]|[2][0-3]){1}(:[0-5][0-9]){2}'

    :type start_periodic: unicode
    :param start_periodic: Specify start type as periodic

        * enumeration restriction: ::

            ['daily']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.start', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'start_type, start_time, start_periodic'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, start_type=start_type, start_time=start_time, start_periodic=start_periodic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, start_type=start_type, start_time=start_time, start_periodic=start_periodic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_start_start_periodic_update(self, test_profile=None, start_periodic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type start_periodic: unicode
    :param start_periodic: Specify start type as periodic

        * enumeration restriction: ::

            ['daily']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.start', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, start_periodic=start_periodic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, start_periodic=start_periodic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_start_start_time_update(self, test_profile=None, start_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type start_time: unicode
    :param start_time: Specify start time in hh:mm:ss

        * pattern restriction: ::

            '([0-1][0-9]|[2][0-3]){1}(:[0-5][0-9]){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.start', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, start_time=start_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, start_time=start_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_start_start_type_update(self, test_profile=None, start_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type start_type: unicode
    :param start_type: Specify start type as at/after sometime

        * enumeration restriction: ::

            ['after', 'at']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.start', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, start_type=start_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, start_type=start_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_stop_update(self, test_profile=None, stop_type=None, stop_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type stop_type: unicode
    :param stop_type: Specify stop type as at/after sometime

        * enumeration restriction: ::

            ['after', 'at']

    :type stop_time: unicode
    :param stop_time: Specify stop time in hh:mm:ss

        * pattern restriction: ::

            '([0-1][0-9]|[2][0-3]){1}(:[0-5][0-9]){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.stop', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'stop_type, stop_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, stop_type=stop_type, stop_time=stop_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, stop_type=stop_type, stop_time=stop_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_stop_stop_time_update(self, test_profile=None, stop_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type stop_time: unicode
    :param stop_time: Specify stop time in hh:mm:ss

        * pattern restriction: ::

            '([0-1][0-9]|[2][0-3]){1}(:[0-5][0-9]){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.stop', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, stop_time=stop_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, stop_time=stop_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_stop_stop_type_update(self, test_profile=None, stop_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type stop_type: unicode
    :param stop_type: Specify stop type as at/after sometime

        * enumeration restriction: ::

            ['after', 'at']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.stop', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, stop_type=stop_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, stop_type=stop_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_threshold_update(self, test_profile=None, thr_avg_value=None, thr_max_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type thr_avg_value: long
    :param thr_avg_value: Configure ETH-DM Average Threshold value

        * range restriction: ::

            ['0..4294967295']

    :type thr_max_value: long
    :param thr_max_value: Configure ETH-DM Maximum Threshold value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.dmm_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, thr_avg_value=thr_avg_value, thr_max_value=thr_max_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, thr_avg_value=thr_avg_value, thr_max_value=thr_max_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_threshold_average_update(self, test_profile=None, thr_avg_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type thr_avg_value: long
    :param thr_avg_value: Configure ETH-DM Average Threshold value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.dmm_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, thr_avg_value=thr_avg_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, thr_avg_value=thr_avg_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_threshold_backward_update(self, test_profile=None, thr_bwd_avg_value=None, thr_bwd_max_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type thr_bwd_avg_value: long
    :param thr_bwd_avg_value: Configure ETH-SLM Backward Average Threshold value

        * range restriction: ::

            ['0..4294967295']

    :type thr_bwd_max_value: long
    :param thr_bwd_max_value: Configure ETH-SLM Backward Maximum Threshold value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.slm_threshold.backward', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, thr_bwd_avg_value=thr_bwd_avg_value, thr_bwd_max_value=thr_bwd_max_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, thr_bwd_avg_value=thr_bwd_avg_value, thr_bwd_max_value=thr_bwd_max_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_threshold_backward_average_update(self, test_profile=None, thr_bwd_avg_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type thr_bwd_avg_value: long
    :param thr_bwd_avg_value: Configure ETH-SLM Backward Average Threshold value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.slm_threshold.backward', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, thr_bwd_avg_value=thr_bwd_avg_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, thr_bwd_avg_value=thr_bwd_avg_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_threshold_backward_maximum_update(self, test_profile=None, thr_bwd_max_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type thr_bwd_max_value: long
    :param thr_bwd_max_value: Configure ETH-SLM Backward Maximum Threshold value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.slm_threshold.backward', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, thr_bwd_max_value=thr_bwd_max_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, thr_bwd_max_value=thr_bwd_max_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_threshold_forward_update(self, test_profile=None, thr_fwd_avg_value=None, thr_fwd_max_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type thr_fwd_avg_value: long
    :param thr_fwd_avg_value: Configure ETH-SLM Forward Average Threshold value

        * range restriction: ::

            ['0..4294967295']

    :type thr_fwd_max_value: long
    :param thr_fwd_max_value: Configure ETH-SLM Forward Maximum Threshold value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.slm_threshold.forward', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, thr_fwd_avg_value=thr_fwd_avg_value, thr_fwd_max_value=thr_fwd_max_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, thr_fwd_avg_value=thr_fwd_avg_value, thr_fwd_max_value=thr_fwd_max_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_threshold_forward_average_update(self, test_profile=None, thr_fwd_avg_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type thr_fwd_avg_value: long
    :param thr_fwd_avg_value: Configure ETH-SLM Forward Average Threshold value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.slm_threshold.forward', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, thr_fwd_avg_value=thr_fwd_avg_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, thr_fwd_avg_value=thr_fwd_avg_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_threshold_forward_maximum_update(self, test_profile=None, thr_fwd_max_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type thr_fwd_max_value: long
    :param thr_fwd_max_value: Configure ETH-SLM Forward Maximum Threshold value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.slm_threshold.forward', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, thr_fwd_max_value=thr_fwd_max_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, thr_fwd_max_value=thr_fwd_max_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_threshold_maximum_update(self, test_profile=None, thr_max_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type thr_max_value: long
    :param thr_max_value: Configure ETH-DM Maximum Threshold value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params.dmm_threshold', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, thr_max_value=thr_max_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, thr_max_value=thr_max_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_timeout_update(self, test_profile=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type timeout: int
    :param timeout: Configure Timeout in seconds 

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_tx_frame_count_update(self, test_profile=None, tx_frame_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type tx_frame_count: long
    :param tx_frame_count: Configure Tx Frame Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, tx_frame_count=tx_frame_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, tx_frame_count=tx_frame_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_tx_interval_update(self, test_profile=None, tx_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type tx_interval: unicode
    :param tx_interval: Configure Transmission Interval

        * enumeration restriction: ::

            ['60-seconds',
            '10-seconds',
            '1-second',
            '600-seconds']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', u'test_profile')]
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile.test_profile_params', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'test_profile', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, tx_interval=tx_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, tx_interval=tx_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_y1731_test_profile_type_update(self, test_profile=None, profile_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type test_profile: test_profile
    :param test_profile: Keyword argument tuple.

    :type test_profile: unicode
    :param test_profile: **test_profile** tuple argument:  Configure test profile name [1-32 characters]

        * length restriction: ::

            ['1..32']

    **Instance Argument(s)**:

    :type profile_type: unicode
    :param profile_type: Configure Profile Type as ETH-DM / ETH-SLM

        * enumeration restriction: ::

            ['synthetic-loss-measurement',
            'delay-measurement']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.cfm.y1731.test_profile', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'test_profile', 'keyval': 'test_profile', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, test_profile=test_profile, profile_type=profile_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, test_profile=test_profile, profile_type=profile_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_edge_loop_detection_update(self, pdu_rx_limit=None, hello_interval=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type pdu_rx_limit: long
    :param pdu_rx_limit: Sets bpdu-rx-limit

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Sets hello-interval-limit

        * range restriction: ::

            ['0..4294967295']

    :type shutdown_time: long
    :param shutdown_time: Sets shutdown-time-limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pdu_rx_limit=pdu_rx_limit, hello_interval=hello_interval, shutdown_time=shutdown_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pdu_rx_limit=pdu_rx_limit, hello_interval=hello_interval, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_edge_loop_detection_hello_interval_update(self, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Sets hello-interval-limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_edge_loop_detection_mac_refresh_update(self, mac_refresh_time=None, mac_refresh_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type mac_refresh_time: long
    :param mac_refresh_time: mac-refresh-time

        * range restriction: ::

            ['0..4294967295']

    :type mac_refresh_type: unicode
    :param mac_refresh_type: Mac refresh type.

        * enumeration restriction: ::

            ['all', 'port']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_refresh_time=mac_refresh_time, mac_refresh_type=mac_refresh_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_refresh_time=mac_refresh_time, mac_refresh_type=mac_refresh_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_edge_loop_detection_mac_refresh_mac_refresh_time_update(self, mac_refresh_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type mac_refresh_time: long
    :param mac_refresh_time: mac-refresh-time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_refresh_time=mac_refresh_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_refresh_time=mac_refresh_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_edge_loop_detection_mac_refresh_mac_refresh_type_update(self, mac_refresh_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type mac_refresh_type: unicode
    :param mac_refresh_type: Mac refresh type.

        * enumeration restriction: ::

            ['all', 'port']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_refresh_type=mac_refresh_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_refresh_type=mac_refresh_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_edge_loop_detection_pdu_rx_limit_update(self, pdu_rx_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type pdu_rx_limit: long
    :param pdu_rx_limit: Sets bpdu-rx-limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pdu_rx_limit=pdu_rx_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pdu_rx_limit=pdu_rx_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_edge_loop_detection_shutdown_time_update(self, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type shutdown_time: long
    :param shutdown_time: Sets shutdown-time-limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.edge_loop_detection', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.edge_loop_detection', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown_time=shutdown_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_hide_vrrp_holder_update(self, vrrp=None, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vrrp: YANGBool
    :param vrrp: Virtual Router Redundacy Protocol (VRRP)

    :type vrrp_extended: YANGBool
    :param vrrp_extended: Virtual Router Redundacy Protocol Extended (VRRP-E)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.protocol.hide_vrrp_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.protocol.hide_vrrp_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrrp=vrrp, vrrp_extended=vrrp_extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrrp=vrrp, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_link_oam_pdu_rate_update(self, pdu_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type pdu_rate: long
    :param pdu_rate: PDU rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.link_oam', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pdu_rate=pdu_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pdu_rate=pdu_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_link_oam_shutdown_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Disable Link OAM protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.link_oam', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_link_oam_time_out_update(self, time_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type time_out: long
    :param time_out: Time-out value for Link-Oam PDU

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.link_oam', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, time_out=time_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, time_out=time_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_update(self, dcbx_fcoe_app_tlv=None, dcbx_fcoe_logical_link_tlv=None, dcbx_iscsi_app_tlv=None, dcbx_tlv=None, dot1_tlv=None, dot3_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dcbx_fcoe_app_tlv: YANGBool
    :param dcbx_fcoe_app_tlv: IEEE Data Center Bridging eXchange FCoE ApplicationTLV.

    :type dcbx_fcoe_logical_link_tlv: YANGBool
    :param dcbx_fcoe_logical_link_tlv: IEEE Data Center Bridging eXchange FCoE Logical Link TLV

    :type dcbx_iscsi_app_tlv: YANGBool
    :param dcbx_iscsi_app_tlv: IEEE Data Center Bridging eXchange iSCSI ApplicationTLV.

    :type dcbx_tlv: YANGBool
    :param dcbx_tlv: IEEE Data Center Bridging eXchange TLV.

    :type dot1_tlv: YANGBool
    :param dot1_tlv: IEEE 802.1 Organizationally Specific TLV

    :type dot3_tlv: YANGBool
    :param dot3_tlv: IEEE 802.3 Organizationally Specific TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv, dcbx_tlv=dcbx_tlv, dot1_tlv=dot1_tlv, dot3_tlv=dot3_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv, dcbx_tlv=dcbx_tlv, dot1_tlv=dot1_tlv, dot3_tlv=dot3_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_dcbx_fcoe_app_tlv_update(self, dcbx_fcoe_app_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dcbx_fcoe_app_tlv: YANGBool
    :param dcbx_fcoe_app_tlv: IEEE Data Center Bridging eXchange FCoE ApplicationTLV.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_dcbx_fcoe_logical_link_tlv_update(self, dcbx_fcoe_logical_link_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dcbx_fcoe_logical_link_tlv: YANGBool
    :param dcbx_fcoe_logical_link_tlv: IEEE Data Center Bridging eXchange FCoE Logical Link TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_dcbx_iscsi_app_tlv_update(self, dcbx_iscsi_app_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dcbx_iscsi_app_tlv: YANGBool
    :param dcbx_iscsi_app_tlv: IEEE Data Center Bridging eXchange iSCSI ApplicationTLV.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_dcbx_tlv_update(self, dcbx_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dcbx_tlv: YANGBool
    :param dcbx_tlv: IEEE Data Center Bridging eXchange TLV.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dcbx_tlv=dcbx_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dcbx_tlv=dcbx_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_dot1_tlv_update(self, dot1_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dot1_tlv: YANGBool
    :param dot1_tlv: IEEE 802.1 Organizationally Specific TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dot1_tlv=dot1_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dot1_tlv=dot1_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_dot3_tlv_update(self, dot3_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dot3_tlv: YANGBool
    :param dot3_tlv: IEEE 802.3 Organizationally Specific TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dot3_tlv=dot3_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dot3_tlv=dot3_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_optional_tlv_update(self, management_address=None, port_description=None, system_capabilities=None, adv_tlv_system_description=None, adv_tlv_system_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type management_address: YANGBool
    :param management_address: Management Address TLV

    :type port_description: YANGBool
    :param port_description: Port-Description TLV

    :type system_capabilities: YANGBool
    :param system_capabilities: System Capabilities TLV

    :type adv_tlv_system_description: YANGBool
    :param adv_tlv_system_description: System Description

    :type adv_tlv_system_name: YANGBool
    :param adv_tlv_system_name: System Name TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management_address=management_address, port_description=port_description, system_capabilities=system_capabilities, adv_tlv_system_description=adv_tlv_system_description, adv_tlv_system_name=adv_tlv_system_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management_address=management_address, port_description=port_description, system_capabilities=system_capabilities, adv_tlv_system_description=adv_tlv_system_description, adv_tlv_system_name=adv_tlv_system_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_optional_tlv_management_address_update(self, management_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type management_address: YANGBool
    :param management_address: Management Address TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, management_address=management_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management_address=management_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_optional_tlv_port_description_update(self, port_description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type port_description: YANGBool
    :param port_description: Port-Description TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_description=port_description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_description=port_description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_optional_tlv_system_capabilities_update(self, system_capabilities=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type system_capabilities: YANGBool
    :param system_capabilities: System Capabilities TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, system_capabilities=system_capabilities)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, system_capabilities=system_capabilities)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_optional_tlv_system_description_update(self, adv_tlv_system_description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type adv_tlv_system_description: YANGBool
    :param adv_tlv_system_description: System Description

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adv_tlv_system_description=adv_tlv_system_description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adv_tlv_system_description=adv_tlv_system_description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_optional_tlv_system_name_update(self, adv_tlv_system_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type adv_tlv_system_name: YANGBool
    :param adv_tlv_system_name: System Name TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adv_tlv_system_name=adv_tlv_system_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adv_tlv_system_name=adv_tlv_system_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_description_update(self, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type description: unicode
    :param description: The User description

        * length restriction: ::

            ['1 .. 50']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_disable_update(self, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: Disable LLDP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_hello_update(self, hello=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello: long
    :param hello: The Hello Transmit interval.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello=hello)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello=hello)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_iscsi_priority_update(self, iscsi_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type iscsi_priority: long
    :param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, iscsi_priority=iscsi_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, iscsi_priority=iscsi_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_mode_update(self, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: The LLDP mode.

        * enumeration restriction: ::

            ['rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_multiplier_update(self, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: The Timeout Multiplier

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_update(self, profile=None, description=None, hello=None, mode=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: The User description

        * length restriction: ::

            ['1 .. 50']

    :type hello: long
    :param hello: The Hello Transmit interval.

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: The LLDP mode.

        * enumeration restriction: ::

            ['rx', 'tx']

    :type multiplier: long
    :param multiplier: The Timeout Multiplier

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, description=description, hello=hello, mode=mode, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, description=description, hello=hello, mode=mode, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_update(self, profile=None, dcbx_fcoe_app_tlv=None, dcbx_fcoe_logical_link_tlv=None, dcbx_iscsi_app_tlv=None, dcbx_tlv=None, dot1_tlv=None, dot3_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type dcbx_fcoe_app_tlv: YANGBool
    :param dcbx_fcoe_app_tlv: IEEE Data Center Bridging eXchange FCoE ApplicationTLV.

    :type dcbx_fcoe_logical_link_tlv: YANGBool
    :param dcbx_fcoe_logical_link_tlv: IEEE Data Center Bridging eXchange FCoE Logical Link TLV

    :type dcbx_iscsi_app_tlv: YANGBool
    :param dcbx_iscsi_app_tlv: IEEE Data Center Bridging eXchange iSCSI ApplicationTLV.

    :type dcbx_tlv: YANGBool
    :param dcbx_tlv: IEEE Data Center Bridging eXchange TLV.

    :type dot1_tlv: YANGBool
    :param dot1_tlv: IEEE 802.1 Organizationally Specific TLV

    :type dot3_tlv: YANGBool
    :param dot3_tlv: IEEE 802.3 Organizationally Specific TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', u'profile'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2c.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv, dcbx_tlv=dcbx_tlv, dot1_tlv=dot1_tlv, dot3_tlv=dot3_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv, dcbx_tlv=dcbx_tlv, dot1_tlv=dot1_tlv, dot3_tlv=dot3_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_dcbx_fcoe_app_tlv_update(self, profile=None, dcbx_fcoe_app_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type dcbx_fcoe_app_tlv: YANGBool
    :param dcbx_fcoe_app_tlv: IEEE Data Center Bridging eXchange FCoE ApplicationTLV.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', u'profile'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2c.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_dcbx_fcoe_logical_link_tlv_update(self, profile=None, dcbx_fcoe_logical_link_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type dcbx_fcoe_logical_link_tlv: YANGBool
    :param dcbx_fcoe_logical_link_tlv: IEEE Data Center Bridging eXchange FCoE Logical Link TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', u'profile'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2c.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_dcbx_iscsi_app_tlv_update(self, profile=None, dcbx_iscsi_app_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type dcbx_iscsi_app_tlv: YANGBool
    :param dcbx_iscsi_app_tlv: IEEE Data Center Bridging eXchange iSCSI ApplicationTLV.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', u'profile'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2c.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_dcbx_tlv_update(self, profile=None, dcbx_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type dcbx_tlv: YANGBool
    :param dcbx_tlv: IEEE Data Center Bridging eXchange TLV.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', u'profile'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2c.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, dcbx_tlv=dcbx_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, dcbx_tlv=dcbx_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_dot1_tlv_update(self, profile=None, dot1_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type dot1_tlv: YANGBool
    :param dot1_tlv: IEEE 802.1 Organizationally Specific TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', u'profile'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2c.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, dot1_tlv=dot1_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, dot1_tlv=dot1_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_dot3_tlv_update(self, profile=None, dot3_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type dot3_tlv: YANGBool
    :param dot3_tlv: IEEE 802.3 Organizationally Specific TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', u'profile'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2c.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile.advertise', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile.advertise', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile.advertise', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, dot3_tlv=dot3_tlv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, dot3_tlv=dot3_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_optional_tlv_update(self, profile=None, management_address=None, port_description=None, system_capabilities=None, adv_tlv_system_description=None, adv_tlv_system_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type management_address: YANGBool
    :param management_address: Management Address TLV

    :type port_description: YANGBool
    :param port_description: Port-Description TLV

    :type system_capabilities: YANGBool
    :param system_capabilities: System Capabilities TLV

    :type adv_tlv_system_description: YANGBool
    :param adv_tlv_system_description: System Description

    :type adv_tlv_system_name: YANGBool
    :param adv_tlv_system_name: System Name TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2c.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, management_address=management_address, port_description=port_description, system_capabilities=system_capabilities, adv_tlv_system_description=adv_tlv_system_description, adv_tlv_system_name=adv_tlv_system_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, management_address=management_address, port_description=port_description, system_capabilities=system_capabilities, adv_tlv_system_description=adv_tlv_system_description, adv_tlv_system_name=adv_tlv_system_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_optional_tlv_management_address_update(self, profile=None, management_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type management_address: YANGBool
    :param management_address: Management Address TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2c.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, management_address=management_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, management_address=management_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_optional_tlv_port_description_update(self, profile=None, port_description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type port_description: YANGBool
    :param port_description: Port-Description TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2c.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, port_description=port_description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, port_description=port_description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_optional_tlv_system_capabilities_update(self, profile=None, system_capabilities=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type system_capabilities: YANGBool
    :param system_capabilities: System Capabilities TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2c.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, system_capabilities=system_capabilities)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, system_capabilities=system_capabilities)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_optional_tlv_system_description_update(self, profile=None, adv_tlv_system_description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type adv_tlv_system_description: YANGBool
    :param adv_tlv_system_description: System Description

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2c.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, adv_tlv_system_description=adv_tlv_system_description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, adv_tlv_system_description=adv_tlv_system_description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_optional_tlv_system_name_update(self, profile=None, adv_tlv_system_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type adv_tlv_system_name: YANGBool
    :param adv_tlv_system_name: System Name TLV

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2c.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, adv_tlv_system_name=adv_tlv_system_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, adv_tlv_system_name=adv_tlv_system_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_description_update(self, profile=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: The User description

        * length restriction: ::

            ['1 .. 50']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_hello_update(self, profile=None, hello=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type hello: long
    :param hello: The Hello Transmit interval.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, hello=hello)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, hello=hello)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_mode_update(self, profile=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: The LLDP mode.

        * enumeration restriction: ::

            ['rx', 'tx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_multiplier_update(self, profile=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: The Timeout Multiplier

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp.profile', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile=profile, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_system_description_update(self, system_description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type system_description: unicode
    :param system_description: The System Description.

        * length restriction: ::

            ['1..50']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, system_description=system_description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, system_description=system_description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_system_name_update(self, system_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type system_name: unicode
    :param system_name: The System Name

        * length restriction: ::

            ['0..32']

        * pattern restriction: ::

            '(([a-zA-Z]{1}([-a-zA-Z0-9\s\.\\\\@#\+\*\(\)=\{~\'
            '}%<>=$_\[\]\|]{0,31}))|(\s)*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.lldp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, system_name=system_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, system_name=system_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_loop_detection_hello_interval_update(self, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Sets hello-interval-limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.edge_loop_detection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_loop_detection_mac_refresh_update(self, mac_refresh_time=None, mac_refresh_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type mac_refresh_time: long
    :param mac_refresh_time: mac-refresh-time

        * range restriction: ::

            ['0..4294967295']

    :type mac_refresh_type: unicode
    :param mac_refresh_type: Mac refresh type.

        * enumeration restriction: ::

            ['all', 'port']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_refresh_time=mac_refresh_time, mac_refresh_type=mac_refresh_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_refresh_time=mac_refresh_time, mac_refresh_type=mac_refresh_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_loop_detection_mac_refresh_mac_refresh_time_update(self, mac_refresh_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type mac_refresh_time: long
    :param mac_refresh_time: mac-refresh-time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_refresh_time=mac_refresh_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_refresh_time=mac_refresh_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_loop_detection_mac_refresh_mac_refresh_type_update(self, mac_refresh_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type mac_refresh_type: unicode
    :param mac_refresh_type: Mac refresh type.

        * enumeration restriction: ::

            ['all', 'port']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac_refresh_type=mac_refresh_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_refresh_type=mac_refresh_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_loop_detection_pdu_rx_limit_update(self, pdu_rx_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type pdu_rx_limit: long
    :param pdu_rx_limit: Sets bpdu-rx-limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.edge_loop_detection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pdu_rx_limit=pdu_rx_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pdu_rx_limit=pdu_rx_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_loop_detection_raslog_duration_update(self, raslog_duration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type raslog_duration: long
    :param raslog_duration: Sets raslog-duration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.edge_loop_detection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, raslog_duration=raslog_duration)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, raslog_duration=raslog_duration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_loop_detection_shutdown_time_update(self, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown_time: long
    :param shutdown_time: Sets shutdown-time-limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.protocol.edge_loop_detection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown_time=shutdown_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_bridge_priority_update(self, bridge_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bridge_priority: long
    :param bridge_priority: Bridge priority commands

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_priority=bridge_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_priority=bridge_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_cisco_interoperability_update(self, cisco_interoperability=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cisco_interoperability: unicode
    :param cisco_interoperability: Configure Cisco Interoperability

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cisco_interoperability=cisco_interoperability)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cisco_interoperability=cisco_interoperability)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_description_update(self, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Spanning tree description

        * length restriction: ::

            ['0..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable the timeout mechanism for the port to be enabled back

    :type interval: long
    :param interval: Interval after which port shall be enabled

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_error_disable_timeout_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable the timeout mechanism for the port to be enabled back

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_error_disable_timeout_interval_update(self, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Interval after which port shall be enabled

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_forward_delay_update(self, forward_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forward_delay=forward_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forward_delay=forward_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_hello_time_update(self, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_instance_update(self, instance=None, vlan=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vlan: unicode
    :param vlan: Vlan

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(4'
            '0[0-8][0-9])|(4090)))?((,(([1-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090))(-(([1-9][0-9]'
            '{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)'
            '?)*'

    :type priority: long
    :param priority: Priority - bridge priority for the common instance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp.instance', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, instance=instance, vlan=vlan, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, instance=instance, vlan=vlan, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_instance_priority_update(self, instance=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Priority - bridge priority for the common instance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp.instance', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, instance=instance, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, instance=instance, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_instance_vlan_update(self, instance=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vlan: unicode
    :param vlan: Vlan

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(4'
            '0[0-8][0-9])|(4090)))?((,(([1-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090))(-(([1-9][0-9]'
            '{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)'
            '?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp.instance', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, instance=instance, vlan=vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, instance=instance, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_max_age_update(self, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_age=max_age)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_max_hops_update(self, max_hops=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_hops: long
    :param max_hops: MST max hop count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_hops=max_hops)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_hops=max_hops)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_port_channel_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_cost: unicode
    :param path_cost: Sets the path-cost behaviour

        * enumeration restriction: ::

            ['custom', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_cost=path_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_cost: unicode
    :param path_cost: Sets the path-cost behaviour

        * enumeration restriction: ::

            ['custom', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_cost=path_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_region_update(self, region=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type region: unicode
    :param region: MST Region

        * length restriction: ::

            ['0..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, region=region)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, region=region)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_revision_update(self, revision=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type revision: int
    :param revision: Revision Number for configuration information

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, revision=revision)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, revision=revision)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_shutdown_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_system_id_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type oui: unicode
    :param oui: Modify the system ID OUI

        * enumeration restriction: ::

            ['00.e0.52', '01.e0.52']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp.system_id', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, oui=oui)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_system_id_oui_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type oui: unicode
    :param oui: Modify the system ID OUI

        * enumeration restriction: ::

            ['00.e0.52', '01.e0.52']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp.system_id', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, oui=oui)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_timer_config_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hello_time, forward_delay, max_age'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_transmit_holdcount_update(self, transmit_holdcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transmit_holdcount: long
    :param transmit_holdcount: Set Transmit hold count of the bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.mstp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transmit_holdcount=transmit_holdcount)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transmit_holdcount=transmit_holdcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_bridge_priority_update(self, bridge_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bridge_priority: long
    :param bridge_priority: Bridge priority commands

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_priority=bridge_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_priority=bridge_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_description_update(self, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Spanning tree description

        * length restriction: ::

            ['0..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable the timeout mechanism for the port to be enabled back

    :type interval: long
    :param interval: Interval after which port shall be enabled

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_error_disable_timeout_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable the timeout mechanism for the port to be enabled back

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_error_disable_timeout_interval_update(self, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Interval after which port shall be enabled

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_forward_delay_update(self, forward_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forward_delay=forward_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forward_delay=forward_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_hello_time_update(self, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_max_age_update(self, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_age=max_age)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_port_channel_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_cost: unicode
    :param path_cost: Sets the path-cost behaviour

        * enumeration restriction: ::

            ['custom', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_cost=path_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_cost: unicode
    :param path_cost: Sets the path-cost behaviour

        * enumeration restriction: ::

            ['custom', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_cost=path_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_shutdown_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_system_id_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type oui: unicode
    :param oui: Modify the system ID OUI

        * enumeration restriction: ::

            ['00.e0.52', '01.e0.52']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.system_id', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, oui=oui)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_system_id_oui_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type oui: unicode
    :param oui: Modify the system ID OUI

        * enumeration restriction: ::

            ['00.e0.52', '01.e0.52']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.system_id', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, oui=oui)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_timer_config_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hello_time, forward_delay, max_age'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_vlan_update(self, vlan=None, priority=None, forward_delay=None, max_age=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Bridge priority in increments of 4096

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan": {}, "pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.vlan": {}, "pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan": {"priority": "priority", "max_age": "max_age", "hello_time": "hello_time", "id": "id", "forward_delay": "forward_delay"}, "pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.vlan": {"priority": "priority", "max_age": "max_age", "hello_time": "hello_time", "id": "id", "forward_delay": "forward_delay"}, "pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.vlan": {"priority": "priority", "max_age": "max_age", "hello_time": "hello_time", "id": "id", "forward_delay": "forward_delay"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, priority=priority, forward_delay=forward_delay, max_age=max_age, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, priority=priority, forward_delay=forward_delay, max_age=max_age, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_vlan_forward_delay_update(self, vlan=None, forward_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.vlan.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan.timer_config": {}, "pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.vlan.timer_config": {}, "pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan": {"id": "id", "forward_delay": "forward_delay"}, "pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.vlan": {"id": "id", "forward_delay": "forward_delay"}, "pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.vlan": {"id": "id", "forward_delay": "forward_delay"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, forward_delay=forward_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, forward_delay=forward_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_vlan_hello_time_update(self, vlan=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.vlan.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan.timer_config": {}, "pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.vlan.timer_config": {}, "pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan": {"id": "id", "hello_time": "hello_time"}, "pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.vlan": {"id": "id", "hello_time": "hello_time"}, "pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.vlan": {"id": "id", "hello_time": "hello_time"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_vlan_max_age_update(self, vlan=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.vlan.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan.timer_config": {}, "pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.vlan.timer_config": {}, "pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan": {"max_age": "max_age", "id": "id"}, "pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.vlan": {"max_age": "max_age", "id": "id"}, "pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.vlan": {"max_age": "max_age", "id": "id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, max_age=max_age)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_vlan_priority_update(self, vlan=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Bridge priority in increments of 4096

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.pvst.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_bridge_priority_update(self, bridge_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bridge_priority: long
    :param bridge_priority: Bridge priority commands

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_priority=bridge_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_priority=bridge_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_description_update(self, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Spanning tree description

        * length restriction: ::

            ['0..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable the timeout mechanism for the port to be enabled back

    :type interval: long
    :param interval: Interval after which port shall be enabled

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_error_disable_timeout_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable the timeout mechanism for the port to be enabled back

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_error_disable_timeout_interval_update(self, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Interval after which port shall be enabled

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_forward_delay_update(self, forward_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forward_delay=forward_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forward_delay=forward_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_hello_time_update(self, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_max_age_update(self, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_age=max_age)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_port_channel_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_cost: unicode
    :param path_cost: Sets the path-cost behaviour

        * enumeration restriction: ::

            ['custom', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_cost=path_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_cost: unicode
    :param path_cost: Sets the path-cost behaviour

        * enumeration restriction: ::

            ['custom', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_cost=path_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_shutdown_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_system_id_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type oui: unicode
    :param oui: Modify the system ID OUI

        * enumeration restriction: ::

            ['00.e0.52', '01.e0.52']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.system_id', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, oui=oui)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_system_id_oui_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type oui: unicode
    :param oui: Modify the system ID OUI

        * enumeration restriction: ::

            ['00.e0.52', '01.e0.52']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.system_id', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, oui=oui)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_timer_config_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hello_time, forward_delay, max_age'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_transmit_holdcount_update(self, transmit_holdcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transmit_holdcount: long
    :param transmit_holdcount: Set Transmit hold count of the bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transmit_holdcount=transmit_holdcount)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transmit_holdcount=transmit_holdcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_vlan_update(self, vlan=None, priority=None, forward_delay=None, max_age=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Bridge priority in increments of 4096

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.vlan": {"priority": "priority", "max_age": "max_age", "hello_time": "hello_time", "id": "id", "forward_delay": "forward_delay"}, "pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.vlan": {"priority": "priority", "max_age": "max_age", "hello_time": "hello_time", "id": "id", "forward_delay": "forward_delay"}, "pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan": {"priority": "priority", "max_age": "max_age", "hello_time": "hello_time", "id": "id", "forward_delay": "forward_delay"}, "pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan": {}, "pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.vlan": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, priority=priority, forward_delay=forward_delay, max_age=max_age, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, priority=priority, forward_delay=forward_delay, max_age=max_age, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_vlan_forward_delay_update(self, vlan=None, forward_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan', u'vlan'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.vlan.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.vlan.timer_config": {}, "pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.vlan": {"id": "id", "forward_delay": "forward_delay"}, "pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.vlan": {"id": "id", "forward_delay": "forward_delay"}, "pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan": {"id": "id", "forward_delay": "forward_delay"}, "pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan.timer_config": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, forward_delay=forward_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, forward_delay=forward_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_vlan_hello_time_update(self, vlan=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan', u'vlan'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.vlan.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.vlan.timer_config": {}, "pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.vlan": {"id": "id", "hello_time": "hello_time"}, "pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.vlan": {"id": "id", "hello_time": "hello_time"}, "pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan": {"id": "id", "hello_time": "hello_time"}, "pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan.timer_config": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_vlan_max_age_update(self, vlan=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan', u'vlan'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.vlan.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.vlan.timer_config": {}, "pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.vlan": {"max_age": "max_age", "id": "id"}, "pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.vlan": {"max_age": "max_age", "id": "id"}, "pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan": {"max_age": "max_age", "id": "id"}, "pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan.timer_config": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, max_age=max_age)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_vlan_priority_update(self, vlan=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Bridge priority in increments of 4096

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rpvst.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_bridge_priority_update(self, bridge_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bridge_priority: long
    :param bridge_priority: Bridge priority commands

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rstp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_priority=bridge_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_priority=bridge_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_description_update(self, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Spanning tree description

        * length restriction: ::

            ['0..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rstp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable the timeout mechanism for the port to be enabled back

    :type interval: long
    :param interval: Interval after which port shall be enabled

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_error_disable_timeout_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable the timeout mechanism for the port to be enabled back

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_error_disable_timeout_interval_update(self, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Interval after which port shall be enabled

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_forward_delay_update(self, forward_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rstp.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forward_delay=forward_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forward_delay=forward_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_hello_time_update(self, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rstp.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_max_age_update(self, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rstp.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_age=max_age)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_port_channel_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_cost: unicode
    :param path_cost: Sets the path-cost behaviour

        * enumeration restriction: ::

            ['custom', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rstp.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_cost=path_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_cost: unicode
    :param path_cost: Sets the path-cost behaviour

        * enumeration restriction: ::

            ['custom', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rstp.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_cost=path_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_shutdown_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rstp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_system_id_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type oui: unicode
    :param oui: Modify the system ID OUI

        * enumeration restriction: ::

            ['00.e0.52', '01.e0.52']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp.system_id', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, oui=oui)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_system_id_oui_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type oui: unicode
    :param oui: Modify the system ID OUI

        * enumeration restriction: ::

            ['00.e0.52', '01.e0.52']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp.system_id', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, oui=oui)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_timer_config_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rstp.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hello_time, forward_delay, max_age'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_transmit_holdcount_update(self, transmit_holdcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transmit_holdcount: long
    :param transmit_holdcount: Set Transmit hold count of the bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.rstp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transmit_holdcount=transmit_holdcount)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transmit_holdcount=transmit_holdcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_bridge_priority_update(self, bridge_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bridge_priority: long
    :param bridge_priority: Bridge priority commands

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.stp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.stp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.stp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_priority=bridge_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_priority=bridge_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_description_update(self, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Spanning tree description

        * length restriction: ::

            ['0..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.stp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.stp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.stp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable the timeout mechanism for the port to be enabled back

    :type interval: long
    :param interval: Interval after which port shall be enabled

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_error_disable_timeout_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable the timeout mechanism for the port to be enabled back

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_error_disable_timeout_interval_update(self, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Interval after which port shall be enabled

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_forward_delay_update(self, forward_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.stp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.stp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.stp.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, forward_delay=forward_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forward_delay=forward_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_hello_time_update(self, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.stp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.stp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.stp.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_time=hello_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_max_age_update(self, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.stp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.stp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.stp.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_age=max_age)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_port_channel_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_cost: unicode
    :param path_cost: Sets the path-cost behaviour

        * enumeration restriction: ::

            ['custom', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.stp.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_cost=path_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type path_cost: unicode
    :param path_cost: Sets the path-cost behaviour

        * enumeration restriction: ::

            ['custom', 'standard']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.stp.port_channel', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path_cost=path_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_shutdown_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.stp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.stp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.stp', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_system_id_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type oui: unicode
    :param oui: Modify the system ID OUI

        * enumeration restriction: ::

            ['00.e0.52', '01.e0.52']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.protocol.spanning_tree.stp.system_id', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, oui=oui)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_system_id_oui_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type oui: unicode
    :param oui: Modify the system ID OUI

        * enumeration restriction: ::

            ['00.e0.52', '01.e0.52']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.protocol.spanning_tree.stp.system_id', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, oui=oui)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_timer_config_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.spanning_tree.stp.timer_config', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hello_time, forward_delay, max_age'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_udld_hello_update(self, hello=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello: long
    :param hello: Hello transmit interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.udld', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.udld', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.udld', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello=hello)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello=hello)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_udld_multiplier_update(self, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Timeout multiplier

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.udld', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.udld', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.udld', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_udld_shutdown_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Disable UDLD protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.udld', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.udld', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.protocol.udld', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_vrrp_update(self, vrrp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vrrp: YANGBool
    :param vrrp: Virtual Router Redundacy Protocol (VRRP)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.protocol.hide_vrrp_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.protocol.hide_vrrp_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrrp=vrrp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrrp=vrrp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_vrrp_extended_update(self, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vrrp_extended: YANGBool
    :param vrrp_extended: Virtual Router Redundacy Protocol Extended (VRRP-E)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.protocol.hide_vrrp_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.protocol.hide_vrrp_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrrp_extended=vrrp_extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pw_profile_update(self, pw_profile=None, mtu_enforce=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pw_profile: pw_profile_name
    :param pw_profile: Keyword argument tuple.

    :type pw_profile_name: unicode
    :param pw_profile_name: **pw_profile** tuple argument:  Pw-profile name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    **Instance Argument(s)**:

    :type mtu_enforce: YANGBool
    :param mtu_enforce: Whether to enforce mtu check during PW signalling

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pw_profile', 'pybind.slxos.v17r_1_00a.brocade_pw_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pw_profile', 'keyval': 'pw_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pw_profile=pw_profile, mtu_enforce=mtu_enforce)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pw_profile=pw_profile, mtu_enforce=mtu_enforce)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pw_profile_mtu_update(self, pw_profile=None, mtu_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pw_profile: pw_profile_name
    :param pw_profile: Keyword argument tuple.

    :type pw_profile_name: unicode
    :param pw_profile_name: **pw_profile** tuple argument:  Pw-profile name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    **Instance Argument(s)**:

    :type mtu_value: long
    :param mtu_value: MTU value is used during Psuedo Wire setup signalling

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pw_profile'), ('pybind.slxos.v17r_1_00a.pw_profile', 'pw_profile')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile.mtu', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pw_profile.mtu', 'pybind.slxos.v17r_1_00a.brocade_pw_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pw_profile_name', 'extra_keyval': ''}, {'keyval': 'pw_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pw_profile=pw_profile, mtu_value=mtu_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pw_profile=pw_profile, mtu_value=mtu_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pw_profile_mtu_enforce_update(self, pw_profile=None, mtu_enforce=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pw_profile: pw_profile_name
    :param pw_profile: Keyword argument tuple.

    :type pw_profile_name: unicode
    :param pw_profile_name: **pw_profile** tuple argument:  Pw-profile name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    **Instance Argument(s)**:

    :type mtu_enforce: YANGBool
    :param mtu_enforce: Whether to enforce mtu check during PW signalling

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pw_profile', 'pybind.slxos.v17r_1_00a.brocade_pw_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pw_profile', 'keyval': 'pw_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pw_profile=pw_profile, mtu_enforce=mtu_enforce)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pw_profile=pw_profile, mtu_enforce=mtu_enforce)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pw_profile_mtu_mtu_value_update(self, pw_profile=None, mtu_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pw_profile: pw_profile_name
    :param pw_profile: Keyword argument tuple.

    :type pw_profile_name: unicode
    :param pw_profile_name: **pw_profile** tuple argument:  Pw-profile name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    **Instance Argument(s)**:

    :type mtu_value: long
    :param mtu_value: MTU value is used during Psuedo Wire setup signalling

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pw_profile'), ('pybind.slxos.v17r_1_00a.pw_profile', 'pw_profile')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile.mtu', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pw_profile.mtu', 'pybind.slxos.v17r_1_00a.brocade_pw_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pw_profile_name', 'extra_keyval': ''}, {'keyval': 'pw_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pw_profile=pw_profile, mtu_value=mtu_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pw_profile=pw_profile, mtu_value=mtu_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pw_profile_vc_mode_update(self, pw_profile=None, vc_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pw_profile: pw_profile_name
    :param pw_profile: Keyword argument tuple.

    :type pw_profile_name: unicode
    :param pw_profile_name: **pw_profile** tuple argument:  Pw-profile name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    **Instance Argument(s)**:

    :type vc_mode: unicode
    :param vc_mode: The mode will be used during Psuedo Wire setup signalling process

        * enumeration restriction: ::

            ['raw-passthrough', 'raw', 'tag']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pw_profile'), ('pybind.slxos.v17r_1_00a.pw_profile', 'pw_profile')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile.vc_mode', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pw_profile.vc_mode', 'pybind.slxos.v17r_1_00a.brocade_pw_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pw_profile_name', 'extra_keyval': ''}, {'keyval': 'pw_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pw_profile=pw_profile, vc_mode=vc_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pw_profile=pw_profile, vc_mode=vc_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pw_profile_vc_mode_vc_mode_update(self, pw_profile=None, vc_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pw_profile: pw_profile_name
    :param pw_profile: Keyword argument tuple.

    :type pw_profile_name: unicode
    :param pw_profile_name: **pw_profile** tuple argument:  Pw-profile name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    **Instance Argument(s)**:

    :type vc_mode: unicode
    :param vc_mode: The mode will be used during Psuedo Wire setup signalling process

        * enumeration restriction: ::

            ['raw-passthrough', 'raw', 'tag']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pw_profile'), ('pybind.slxos.v17r_1_00a.pw_profile', 'pw_profile')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile.vc_mode', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.pw_profile.vc_mode', 'pybind.slxos.v17r_1_00a.brocade_pw_profile', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pw_profile_name', 'extra_keyval': ''}, {'keyval': 'pw_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pw_profile=pw_profile, vc_mode=vc_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pw_profile=pw_profile, vc_mode=vc_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_prio_shaper_update(self, slot=None, group=None, group_prio=None, group_prio_shaper_rate=None, group_prio_shaper_burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group: group_id
    :param group: Keyword argument tuple.

    :type group_id: unicode
    :param group_id: **group** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group_prio: group_prio_id
    :param group_prio: Keyword argument tuple.

    :type group_prio_id: unicode
    :param group_prio_id: **group_prio** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Argument(s)**:

    :type group_prio_shaper_rate: long
    :param group_prio_shaper_rate: Configure CPU group priority shaper rate

        * range restriction: ::

            ['0..4294967295']

    :type group_prio_shaper_burst_size: int
    :param group_prio_shaper_burst_size: Configure CPU group priority shaper burst size

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot', u'slot'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_shaper', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot=slot, group=group, group_prio=group_prio, group_prio_shaper_rate=group_prio_shaper_rate, group_prio_shaper_burst_size=group_prio_shaper_burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, group=group, group_prio=group_prio, group_prio_shaper_rate=group_prio_shaper_rate, group_prio_shaper_burst_size=group_prio_shaper_burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_prio_shaper_burst_update(self, slot=None, group=None, group_prio=None, group_prio_shaper_burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group: group_id
    :param group: Keyword argument tuple.

    :type group_id: unicode
    :param group_id: **group** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group_prio: group_prio_id
    :param group_prio: Keyword argument tuple.

    :type group_prio_id: unicode
    :param group_prio_id: **group_prio** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Argument(s)**:

    :type group_prio_shaper_burst_size: int
    :param group_prio_shaper_burst_size: Configure CPU group priority shaper burst size

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot', u'slot'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_shaper', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot=slot, group=group, group_prio=group_prio, group_prio_shaper_burst_size=group_prio_shaper_burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, group=group, group_prio=group_prio, group_prio_shaper_burst_size=group_prio_shaper_burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_prio_shaper_rate_update(self, slot=None, group=None, group_prio=None, group_prio_shaper_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group: group_id
    :param group: Keyword argument tuple.

    :type group_id: unicode
    :param group_id: **group** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group_prio: group_prio_id
    :param group_prio: Keyword argument tuple.

    :type group_prio_id: unicode
    :param group_prio_id: **group_prio** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Argument(s)**:

    :type group_prio_shaper_rate: long
    :param group_prio_shaper_rate: Configure CPU group priority shaper rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot', u'slot'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_shaper', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot=slot, group=group, group_prio=group_prio, group_prio_shaper_rate=group_prio_shaper_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, group=group, group_prio=group_prio, group_prio_shaper_rate=group_prio_shaper_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_prio_wfq_update(self, slot=None, group=None, group_prio=None, group_prio_wfq_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group: group_id
    :param group: Keyword argument tuple.

    :type group_id: unicode
    :param group_id: **group** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group_prio: group_prio_id
    :param group_prio: Keyword argument tuple.

    :type group_prio_id: unicode
    :param group_prio_id: **group_prio** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Argument(s)**:

    :type group_prio_wfq_weight: int
    :param group_prio_wfq_weight: Configure CPU group priority wfq weight

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.cpu.slot', u'slot'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_wfq', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_wfq', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot=slot, group=group, group_prio=group_prio, group_prio_wfq_weight=group_prio_wfq_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, group=group, group_prio=group_prio, group_prio_wfq_weight=group_prio_wfq_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_prio_wfq_weight_update(self, slot=None, group=None, group_prio=None, group_prio_wfq_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group: group_id
    :param group: Keyword argument tuple.

    :type group_id: unicode
    :param group_id: **group** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group_prio: group_prio_id
    :param group_prio: Keyword argument tuple.

    :type group_prio_id: unicode
    :param group_prio_id: **group_prio** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Argument(s)**:

    :type group_prio_wfq_weight: int
    :param group_prio_wfq_weight: Configure CPU group priority wfq weight

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.cpu.slot', u'slot'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_wfq', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_wfq', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot=slot, group=group, group_prio=group_prio, group_prio_wfq_weight=group_prio_wfq_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, group=group, group_prio=group_prio, group_prio_wfq_weight=group_prio_wfq_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_shaper_update(self, slot=None, group=None, group_shaper_rate=None, group_shaper_burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group: group_id
    :param group: Keyword argument tuple.

    :type group_id: unicode
    :param group_id: **group** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Argument(s)**:

    :type group_shaper_rate: long
    :param group_shaper_rate: Configure CPU group shaper rate

        * range restriction: ::

            ['0..4294967295']

    :type group_shaper_burst_size: int
    :param group_shaper_burst_size: Configure CPU group shaper burst size

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot', u'slot'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group', u'group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_shaper', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot=slot, group=group, group_shaper_rate=group_shaper_rate, group_shaper_burst_size=group_shaper_burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, group=group, group_shaper_rate=group_shaper_rate, group_shaper_burst_size=group_shaper_burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_shaper_burst_update(self, slot=None, group=None, group_shaper_burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group: group_id
    :param group: Keyword argument tuple.

    :type group_id: unicode
    :param group_id: **group** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Argument(s)**:

    :type group_shaper_burst_size: int
    :param group_shaper_burst_size: Configure CPU group shaper burst size

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot', u'slot'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group', u'group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_shaper', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot=slot, group=group, group_shaper_burst_size=group_shaper_burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, group=group, group_shaper_burst_size=group_shaper_burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_shaper_rate_update(self, slot=None, group=None, group_shaper_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group: group_id
    :param group: Keyword argument tuple.

    :type group_id: unicode
    :param group_id: **group** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Argument(s)**:

    :type group_shaper_rate: long
    :param group_shaper_rate: Configure CPU group shaper rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot', u'slot'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group', u'group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_shaper', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot=slot, group=group, group_shaper_rate=group_shaper_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, group=group, group_shaper_rate=group_shaper_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_wfq_update(self, slot=None, group=None, group_wfq_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group: group_id
    :param group: Keyword argument tuple.

    :type group_id: unicode
    :param group_id: **group** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Argument(s)**:

    :type group_wfq_weight: int
    :param group_wfq_weight: Configure CPU group wfq weight

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.cpu.slot', u'slot'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_wfq', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_wfq', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot=slot, group=group, group_wfq_weight=group_wfq_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, group=group, group_wfq_weight=group_wfq_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_wfq_weight_update(self, slot=None, group=None, group_wfq_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group: group_id
    :param group: Keyword argument tuple.

    :type group_id: unicode
    :param group_id: **group** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Argument(s)**:

    :type group_wfq_weight: int
    :param group_wfq_weight: Configure CPU group wfq weight

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.cpu.slot', u'slot'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_wfq', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_wfq', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot=slot, group=group, group_wfq_weight=group_wfq_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, group=group, group_wfq_weight=group_wfq_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_port_shaper_update(self, slot=None, port_shaper_rate=None, port_shaper_burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Argument(s)**:

    :type port_shaper_rate: long
    :param port_shaper_rate: Configure CPU port shaper rate

        * range restriction: ::

            ['0..4294967295']

    :type port_shaper_burst_size: int
    :param port_shaper_burst_size: Configure CPU port shaper burst size

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.port.port_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.port.port_shaper', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot=slot, port_shaper_rate=port_shaper_rate, port_shaper_burst_size=port_shaper_burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, port_shaper_rate=port_shaper_rate, port_shaper_burst_size=port_shaper_burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_port_shaper_burst_update(self, slot=None, port_shaper_burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Argument(s)**:

    :type port_shaper_burst_size: int
    :param port_shaper_burst_size: Configure CPU port shaper burst size

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.port.port_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.port.port_shaper', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot=slot, port_shaper_burst_size=port_shaper_burst_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, port_shaper_burst_size=port_shaper_burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_port_shaper_rate_update(self, slot=None, port_shaper_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Argument(s)**:

    :type port_shaper_rate: long
    :param port_shaper_rate: Configure CPU port shaper rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.port.port_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.cpu.slot.port_group.port.port_shaper', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, slot=slot, port_shaper_rate=port_shaper_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, port_shaper_rate=port_shaper_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_update(self, cos_mutation=None, cos0=None, cos1=None, cos2=None, cos3=None, cos4=None, cos5=None, cos6=None, cos7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cos_mutation: name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7
    :param cos_mutation: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos0: long
    :param cos0: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos1: long
    :param cos1: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos2: long
    :param cos2: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos3: long
    :param cos3: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos4: long
    :param cos4: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos5: long
    :param cos5: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos6: long
    :param cos6: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos7: long
    :param cos7: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type cos0: long
    :param cos0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos1: long
    :param cos1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos2: long
    :param cos2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos3: long
    :param cos3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos4: long
    :param cos4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos5: long
    :param cos5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos6: long
    :param cos6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos7: long
    :param cos7: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_mutation', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_mutation', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_mutation', 'keyval': 'name', 'extra_keyval': 'name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.qos.map_.cos_mutation": {"name": "name", "cos7": "cos7", "cos6": "cos6", "cos5": "cos5", "cos4": "cos4", "cos3": "cos3", "cos2": "cos2", "cos1": "cos1", "cos0": "cos0"}, "pybind.nos.v7_0_1b.qos.map_.cos_mutation": {"name": "name", "cos7": "cos7", "cos6": "cos6", "cos5": "cos5", "cos4": "cos4", "cos3": "cos3", "cos2": "cos2", "cos1": "cos1", "cos0": "cos0"}, "pybind.nos.v6_0_2c.qos.map_.cos_mutation": {"name": "name", "cos7": "cos7", "cos6": "cos6", "cos5": "cos5", "cos4": "cos4", "cos3": "cos3", "cos2": "cos2", "cos1": "cos1", "cos0": "cos0"}, "pybind.slxos.v17r_1_00a.qos.map_.cos_mutation": {}, "pybind.slxos.v16r_1_00b.qos.map_.cos_mutation": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_mutation=cos_mutation, cos0=cos0, cos1=cos1, cos2=cos2, cos3=cos3, cos4=cos4, cos5=cos5, cos6=cos6, cos7=cos7)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_mutation=cos_mutation, cos0=cos0, cos1=cos1, cos2=cos2, cos3=cos3, cos4=cos4, cos5=cos5, cos6=cos6, cos7=cos7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_cos0_update(self, cos_mutation=None, cos0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_mutation: name
    :param cos_mutation: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos0: long
    :param cos0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_mutation', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_mutation', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_mutation', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_mutation=cos_mutation, cos0=cos0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_mutation=cos_mutation, cos0=cos0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_cos1_update(self, cos_mutation=None, cos1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_mutation: name
    :param cos_mutation: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos1: long
    :param cos1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_mutation', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_mutation', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_mutation', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_mutation=cos_mutation, cos1=cos1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_mutation=cos_mutation, cos1=cos1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_cos2_update(self, cos_mutation=None, cos2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_mutation: name
    :param cos_mutation: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos2: long
    :param cos2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_mutation', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_mutation', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_mutation', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_mutation=cos_mutation, cos2=cos2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_mutation=cos_mutation, cos2=cos2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_cos3_update(self, cos_mutation=None, cos3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_mutation: name
    :param cos_mutation: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos3: long
    :param cos3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_mutation', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_mutation', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_mutation', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_mutation=cos_mutation, cos3=cos3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_mutation=cos_mutation, cos3=cos3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_cos4_update(self, cos_mutation=None, cos4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_mutation: name
    :param cos_mutation: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos4: long
    :param cos4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_mutation', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_mutation', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_mutation', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_mutation=cos_mutation, cos4=cos4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_mutation=cos_mutation, cos4=cos4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_cos5_update(self, cos_mutation=None, cos5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_mutation: name
    :param cos_mutation: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos5: long
    :param cos5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_mutation', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_mutation', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_mutation', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_mutation=cos_mutation, cos5=cos5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_mutation=cos_mutation, cos5=cos5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_cos6_update(self, cos_mutation=None, cos6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_mutation: name
    :param cos_mutation: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos6: long
    :param cos6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_mutation', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_mutation', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_mutation', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_mutation=cos_mutation, cos6=cos6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_mutation=cos_mutation, cos6=cos6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_cos7_update(self, cos_mutation=None, cos7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_mutation: name
    :param cos_mutation: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos7: long
    :param cos7: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_mutation', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_mutation', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_mutation', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_mutation=cos_mutation, cos7=cos7)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_mutation=cos_mutation, cos7=cos7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_map_to_update(self, cos_mutation=None, cos_to_cos_mappings=None, to_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cos_mutation: name
    :param cos_mutation: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos_to_cos_mappings: from_cos
    :param cos_to_cos_mappings: Keyword argument tuple.

    :type from_cos: int
    :param from_cos: **cos_to_cos_mappings** tuple argument:  In CoS

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type to_cos: int
    :param to_cos: Out CoS

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.map_.cos_mutation', u'cos_mutation'), ('pybind.slxos.v17r_1_00a.qos.map_.cos_mutation.cos_to_cos_mappings', u'cos_to_cos_mappings'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', u'cos_mutation'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings', u'cos_to_cos_mappings')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.cos_mutation.cos_to_cos_mappings.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_cos'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_mutation=cos_mutation, cos_to_cos_mappings=cos_to_cos_mappings, to_cos=to_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_mutation=cos_mutation, cos_to_cos_mappings=cos_to_cos_mappings, to_cos=to_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_map_to_cos_update(self, cos_mutation=None, cos_to_cos_mappings=None, to_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cos_mutation: name
    :param cos_mutation: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos_to_cos_mappings: from_cos
    :param cos_to_cos_mappings: Keyword argument tuple.

    :type from_cos: int
    :param from_cos: **cos_to_cos_mappings** tuple argument:  In CoS

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type to_cos: int
    :param to_cos: Out CoS

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.map_.cos_mutation', u'cos_mutation'), ('pybind.slxos.v17r_1_00a.qos.map_.cos_mutation.cos_to_cos_mappings', u'cos_to_cos_mappings'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', u'cos_mutation'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings', u'cos_to_cos_mappings')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.cos_mutation.cos_to_cos_mappings.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_mutation=cos_mutation, cos_to_cos_mappings=cos_to_cos_mappings, to_cos=to_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_mutation=cos_mutation, cos_to_cos_mappings=cos_to_cos_mappings, to_cos=to_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_update(self, cos_traffic_class=None, cos0=None, cos1=None, cos2=None, cos3=None, cos4=None, cos5=None, cos6=None, cos7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type cos_traffic_class: name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos0: long
    :param cos0: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos1: long
    :param cos1: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos2: long
    :param cos2: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos3: long
    :param cos3: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos4: long
    :param cos4: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos5: long
    :param cos5: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos6: long
    :param cos6: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos7: long
    :param cos7: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type cos0: long
    :param cos0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos1: long
    :param cos1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos2: long
    :param cos2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos3: long
    :param cos3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos4: long
    :param cos4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos5: long
    :param cos5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos6: long
    :param cos6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos7: long
    :param cos7: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': 'name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.qos.map_.cos_traffic_class": {"name": "name", "cos7": "cos7", "cos6": "cos6", "cos5": "cos5", "cos4": "cos4", "cos3": "cos3", "cos2": "cos2", "cos1": "cos1", "cos0": "cos0"}, "pybind.slxos.v17r_1_00a.qos.map_.cos_traffic_class": {}, "pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class": {}, "pybind.nos.v6_0_2c.qos.map_.cos_traffic_class": {"name": "name", "cos7": "cos7", "cos6": "cos6", "cos5": "cos5", "cos4": "cos4", "cos3": "cos3", "cos2": "cos2", "cos1": "cos1", "cos0": "cos0"}, "pybind.nos.v7_0_1b.qos.map_.cos_traffic_class": {"name": "name", "cos7": "cos7", "cos6": "cos6", "cos5": "cos5", "cos4": "cos4", "cos3": "cos3", "cos2": "cos2", "cos1": "cos1", "cos0": "cos0"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_traffic_class=cos_traffic_class, cos0=cos0, cos1=cos1, cos2=cos2, cos3=cos3, cos4=cos4, cos5=cos5, cos6=cos6, cos7=cos7)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos0=cos0, cos1=cos1, cos2=cos2, cos3=cos3, cos4=cos4, cos5=cos5, cos6=cos6, cos7=cos7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_cos0_update(self, cos_traffic_class=None, cos0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_traffic_class: name
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos0: long
    :param cos0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_traffic_class=cos_traffic_class, cos0=cos0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos0=cos0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_cos1_update(self, cos_traffic_class=None, cos1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_traffic_class: name
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos1: long
    :param cos1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_traffic_class=cos_traffic_class, cos1=cos1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos1=cos1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_cos2_update(self, cos_traffic_class=None, cos2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_traffic_class: name
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos2: long
    :param cos2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_traffic_class=cos_traffic_class, cos2=cos2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos2=cos2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_cos3_update(self, cos_traffic_class=None, cos3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_traffic_class: name
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos3: long
    :param cos3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_traffic_class=cos_traffic_class, cos3=cos3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos3=cos3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_cos4_update(self, cos_traffic_class=None, cos4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_traffic_class: name
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos4: long
    :param cos4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_traffic_class=cos_traffic_class, cos4=cos4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos4=cos4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_cos5_update(self, cos_traffic_class=None, cos5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_traffic_class: name
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos5: long
    :param cos5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_traffic_class=cos_traffic_class, cos5=cos5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos5=cos5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_cos6_update(self, cos_traffic_class=None, cos6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_traffic_class: name
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos6: long
    :param cos6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_traffic_class=cos_traffic_class, cos6=cos6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos6=cos6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_cos7_update(self, cos_traffic_class=None, cos7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type cos_traffic_class: name
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type cos7: long
    :param cos7: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_traffic_class=cos_traffic_class, cos7=cos7)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos7=cos7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_map_to_update(self, cos_traffic_class=None, cos_to_tc_dp_mappings=None, to_traffic_class=None, to_drop_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cos_traffic_class: name
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos_to_tc_dp_mappings: from_cos
    :param cos_to_tc_dp_mappings: Keyword argument tuple.

    :type from_cos: int
    :param from_cos: **cos_to_tc_dp_mappings** tuple argument:  In CoS

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type to_traffic_class: int
    :param to_traffic_class: Out Traffic-Class

        * range restriction: ::

            ['0..255']

    :type to_drop_precedence: int
    :param to_drop_precedence: Out Drop-Precedence

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.map_.cos_traffic_class', u'cos_traffic_class'), ('pybind.slxos.v17r_1_00a.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', u'cos_to_tc_dp_mappings'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', u'cos_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', u'cos_to_tc_dp_mappings')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_traffic_class, to_drop_precedence'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings, to_traffic_class=to_traffic_class, to_drop_precedence=to_drop_precedence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings, to_traffic_class=to_traffic_class, to_drop_precedence=to_drop_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_map_to_drop_precedence_update(self, cos_traffic_class=None, cos_to_tc_dp_mappings=None, to_drop_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cos_traffic_class: name
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos_to_tc_dp_mappings: from_cos
    :param cos_to_tc_dp_mappings: Keyword argument tuple.

    :type from_cos: int
    :param from_cos: **cos_to_tc_dp_mappings** tuple argument:  In CoS

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type to_drop_precedence: int
    :param to_drop_precedence: Out Drop-Precedence

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.map_.cos_traffic_class', u'cos_traffic_class'), ('pybind.slxos.v17r_1_00a.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', u'cos_to_tc_dp_mappings'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', u'cos_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', u'cos_to_tc_dp_mappings')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings, to_drop_precedence=to_drop_precedence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings, to_drop_precedence=to_drop_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_map_to_traffic_class_update(self, cos_traffic_class=None, cos_to_tc_dp_mappings=None, to_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cos_traffic_class: name
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos_to_tc_dp_mappings: from_cos
    :param cos_to_tc_dp_mappings: Keyword argument tuple.

    :type from_cos: int
    :param from_cos: **cos_to_tc_dp_mappings** tuple argument:  In CoS

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type to_traffic_class: int
    :param to_traffic_class: Out Traffic-Class

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.map_.cos_traffic_class', u'cos_traffic_class'), ('pybind.slxos.v17r_1_00a.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', u'cos_to_tc_dp_mappings'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', u'cos_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', u'cos_to_tc_dp_mappings')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings, to_traffic_class=to_traffic_class)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings, to_traffic_class=to_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_cos_map_to_update(self, dscp_cos=None, dscp_to_cos_mapping=None, to_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_cos: dscp_cos_map_name
    :param dscp_cos: Keyword argument tuple.

    :type dscp_cos_map_name: unicode
    :param dscp_cos_map_name: **dscp_cos** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_to_cos_mapping: dscp_in_values
    :param dscp_to_cos_mapping: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **dscp_to_cos_mapping** tuple argument:  In DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to_value: int
    :param to_value: Out CoS

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_cos.dscp_to_cos_mapping', u'dscp_to_cos_mapping'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping', u'dscp_to_cos_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_cos.dscp_to_cos_mapping.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_value'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_cos=dscp_cos, dscp_to_cos_mapping=dscp_to_cos_mapping, to_value=to_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_cos=dscp_cos, dscp_to_cos_mapping=dscp_to_cos_mapping, to_value=to_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_cos_map_to_cos_update(self, dscp_cos=None, dscp_to_cos_mapping=None, to_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_cos: dscp_cos_map_name
    :param dscp_cos: Keyword argument tuple.

    :type dscp_cos_map_name: unicode
    :param dscp_cos_map_name: **dscp_cos** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_to_cos_mapping: dscp_in_values
    :param dscp_to_cos_mapping: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **dscp_to_cos_mapping** tuple argument:  In DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to_value: int
    :param to_value: Out CoS

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_cos.dscp_to_cos_mapping', u'dscp_to_cos_mapping'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping', u'dscp_to_cos_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_cos.dscp_to_cos_mapping.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_cos=dscp_cos, dscp_to_cos_mapping=dscp_to_cos_mapping, to_value=to_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_cos=dscp_cos, dscp_to_cos_mapping=dscp_to_cos_mapping, to_value=to_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_cos_mark_update(self, dscp_cos=None, mark=None, to=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_cos: dscp_cos_map_name
    :param dscp_cos: Keyword argument tuple.

    :type dscp_cos_map_name: unicode
    :param dscp_cos_map_name: **dscp_cos** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type mark: dscp_in_values
    :param mark: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **mark** tuple argument:  0-63;;Incoming DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to: long
    :param to: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_0_1b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos', u'dscp_cos')]
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_cos.mark', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.dscp_cos.mark', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_cos=dscp_cos, mark=mark, to=to)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_cos=dscp_cos, mark=mark, to=to)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_cos_mark_to_update(self, dscp_cos=None, mark=None, to=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_cos: dscp_cos_map_name
    :param dscp_cos: Keyword argument tuple.

    :type dscp_cos_map_name: unicode
    :param dscp_cos_map_name: **dscp_cos** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type mark: dscp_in_values
    :param mark: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **mark** tuple argument:  0-63;;Incoming DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to: long
    :param to: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_0_1b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos', u'dscp_cos')]
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_cos.mark', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.dscp_cos.mark', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_cos=dscp_cos, mark=mark, to=to)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_cos=dscp_cos, mark=mark, to=to)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_mutation_map_to_update(self, dscp_mutation=None, dscp_to_dscp_mapping=None, to_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_mutation: dscp_mutation_map_name
    :param dscp_mutation: Keyword argument tuple.

    :type dscp_mutation_map_name: unicode
    :param dscp_mutation_map_name: **dscp_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_to_dscp_mapping: dscp_in_values
    :param dscp_to_dscp_mapping: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **dscp_to_dscp_mapping** tuple argument:  In DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to_value: int
    :param to_value: Out DSCP

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_mutation.dscp_to_dscp_mapping', u'dscp_to_dscp_mapping'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping', u'dscp_to_dscp_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_mutation.dscp_to_dscp_mapping.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_value'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_mutation=dscp_mutation, dscp_to_dscp_mapping=dscp_to_dscp_mapping, to_value=to_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_mutation=dscp_mutation, dscp_to_dscp_mapping=dscp_to_dscp_mapping, to_value=to_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_mutation_map_to_dscp_update(self, dscp_mutation=None, dscp_to_dscp_mapping=None, to_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_mutation: dscp_mutation_map_name
    :param dscp_mutation: Keyword argument tuple.

    :type dscp_mutation_map_name: unicode
    :param dscp_mutation_map_name: **dscp_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_to_dscp_mapping: dscp_in_values
    :param dscp_to_dscp_mapping: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **dscp_to_dscp_mapping** tuple argument:  In DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to_value: int
    :param to_value: Out DSCP

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_mutation.dscp_to_dscp_mapping', u'dscp_to_dscp_mapping'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping', u'dscp_to_dscp_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_mutation.dscp_to_dscp_mapping.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_mutation=dscp_mutation, dscp_to_dscp_mapping=dscp_to_dscp_mapping, to_value=to_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_mutation=dscp_mutation, dscp_to_dscp_mapping=dscp_to_dscp_mapping, to_value=to_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_mutation_mark_update(self, dscp_mutation=None, mark=None, to=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_mutation: dscp_mutation_map_name
    :param dscp_mutation: Keyword argument tuple.

    :type dscp_mutation_map_name: unicode
    :param dscp_mutation_map_name: **dscp_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type mark: dscp_in_values
    :param mark: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **mark** tuple argument:  0-63;;Incoming DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to: long
    :param to: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v6_0_2c.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v7_0_1b.qos.map_.dscp_mutation', u'dscp_mutation')]
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_mutation.mark', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_mutation=dscp_mutation, mark=mark, to=to)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_mutation=dscp_mutation, mark=mark, to=to)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_mutation_mark_to_update(self, dscp_mutation=None, mark=None, to=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_mutation: dscp_mutation_map_name
    :param dscp_mutation: Keyword argument tuple.

    :type dscp_mutation_map_name: unicode
    :param dscp_mutation_map_name: **dscp_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type mark: dscp_in_values
    :param mark: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **mark** tuple argument:  0-63;;Incoming DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to: long
    :param to: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v6_0_2c.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v7_0_1b.qos.map_.dscp_mutation', u'dscp_mutation')]
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_mutation.mark', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_mutation=dscp_mutation, mark=mark, to=to)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_mutation=dscp_mutation, mark=mark, to=to)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_traffic_class_map_to_update(self, dscp_traffic_class=None, dscp_to_tc_dp_mapping=None, to_value=None, to_drop_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_traffic_class: dscp_traffic_class_map_name
    :param dscp_traffic_class: Keyword argument tuple.

    :type dscp_traffic_class_map_name: unicode
    :param dscp_traffic_class_map_name: **dscp_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_to_tc_dp_mapping: dscp_in_values
    :param dscp_to_tc_dp_mapping: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **dscp_to_tc_dp_mapping** tuple argument:  In DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to_value: int
    :param to_value: Out Traffic-Class

        * range restriction: ::

            ['0..255']

    :type to_drop_precedence: int
    :param to_drop_precedence: Out Drop-Precedence

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', u'dscp_to_tc_dp_mapping'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', u'dscp_to_tc_dp_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_value, to_drop_precedence'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping, to_value=to_value, to_drop_precedence=to_drop_precedence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping, to_value=to_value, to_drop_precedence=to_drop_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_traffic_class_map_to_drop_precedence_update(self, dscp_traffic_class=None, dscp_to_tc_dp_mapping=None, to_drop_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_traffic_class: dscp_traffic_class_map_name
    :param dscp_traffic_class: Keyword argument tuple.

    :type dscp_traffic_class_map_name: unicode
    :param dscp_traffic_class_map_name: **dscp_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_to_tc_dp_mapping: dscp_in_values
    :param dscp_to_tc_dp_mapping: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **dscp_to_tc_dp_mapping** tuple argument:  In DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to_drop_precedence: int
    :param to_drop_precedence: Out Drop-Precedence

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', u'dscp_to_tc_dp_mapping'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', u'dscp_to_tc_dp_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping, to_drop_precedence=to_drop_precedence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping, to_drop_precedence=to_drop_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_traffic_class_map_to_traffic_class_update(self, dscp_traffic_class=None, dscp_to_tc_dp_mapping=None, to_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_traffic_class: dscp_traffic_class_map_name
    :param dscp_traffic_class: Keyword argument tuple.

    :type dscp_traffic_class_map_name: unicode
    :param dscp_traffic_class_map_name: **dscp_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp_to_tc_dp_mapping: dscp_in_values
    :param dscp_to_tc_dp_mapping: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **dscp_to_tc_dp_mapping** tuple argument:  In DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to_value: int
    :param to_value: Out Traffic-Class

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', u'dscp_to_tc_dp_mapping'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', u'dscp_to_tc_dp_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping, to_value=to_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping, to_value=to_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_traffic_class_mark_update(self, dscp_traffic_class=None, mark=None, to=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_traffic_class: dscp_traffic_class_map_name
    :param dscp_traffic_class: Keyword argument tuple.

    :type dscp_traffic_class_map_name: unicode
    :param dscp_traffic_class_map_name: **dscp_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type mark: dscp_in_values
    :param mark: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **mark** tuple argument:  0-63;;Incoming DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to: long
    :param to: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v6_0_2c.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class', u'dscp_traffic_class')]
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_traffic_class=dscp_traffic_class, mark=mark, to=to)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_traffic_class=dscp_traffic_class, mark=mark, to=to)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_traffic_class_mark_to_update(self, dscp_traffic_class=None, mark=None, to=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_traffic_class: dscp_traffic_class_map_name
    :param dscp_traffic_class: Keyword argument tuple.

    :type dscp_traffic_class_map_name: unicode
    :param dscp_traffic_class_map_name: **dscp_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type mark: dscp_in_values
    :param mark: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **mark** tuple argument:  0-63;;Incoming DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to: long
    :param to: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v6_0_2c.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class', u'dscp_traffic_class')]
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_traffic_class=dscp_traffic_class, mark=mark, to=to)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_traffic_class=dscp_traffic_class, mark=mark, to=to)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_traffic_class_cos_map_to_update(self, traffic_class_cos=None, tc_dp_to_cos_mapping=None, to_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type traffic_class_cos: traffic_class_cos_map_name
    :param traffic_class_cos: Keyword argument tuple.

    :type traffic_class_cos_map_name: unicode
    :param traffic_class_cos_map_name: **traffic_class_cos** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type tc_dp_to_cos_mapping: from_traffic_class, from_drop_precedence
    :param tc_dp_to_cos_mapping: Keyword argument tuple.

    :type from_traffic_class: int
    :param from_traffic_class: **tc_dp_to_cos_mapping** tuple argument:  In Traffic-Class

        * range restriction: ::

            ['0..255']

    :type from_drop_precedence: int
    :param from_drop_precedence: **tc_dp_to_cos_mapping** tuple argument:  In Drop-Precedence

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type to_cos: int
    :param to_cos: Out CoS

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.map_.traffic_class_cos', u'traffic_class_cos'), ('pybind.slxos.v17r_1_00a.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping', u'tc_dp_to_cos_mapping'), ('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', u'traffic_class_cos'), ('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping', u'tc_dp_to_cos_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}, {'keyval': 'from_traffic_class, from_drop_precedence', 'extra_keyval': 'from_traffic_class, from_drop_precedence'}, {'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}, {'keyval': 'from_traffic_class, from_drop_precedence', 'extra_keyval': 'from_traffic_class, from_drop_precedence'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_cos'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class_cos=traffic_class_cos, tc_dp_to_cos_mapping=tc_dp_to_cos_mapping, to_cos=to_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class_cos=traffic_class_cos, tc_dp_to_cos_mapping=tc_dp_to_cos_mapping, to_cos=to_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_traffic_class_cos_map_to_cos_update(self, traffic_class_cos=None, tc_dp_to_cos_mapping=None, to_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type traffic_class_cos: traffic_class_cos_map_name
    :param traffic_class_cos: Keyword argument tuple.

    :type traffic_class_cos_map_name: unicode
    :param traffic_class_cos_map_name: **traffic_class_cos** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type tc_dp_to_cos_mapping: from_traffic_class, from_drop_precedence
    :param tc_dp_to_cos_mapping: Keyword argument tuple.

    :type from_traffic_class: int
    :param from_traffic_class: **tc_dp_to_cos_mapping** tuple argument:  In Traffic-Class

        * range restriction: ::

            ['0..255']

    :type from_drop_precedence: int
    :param from_drop_precedence: **tc_dp_to_cos_mapping** tuple argument:  In Drop-Precedence

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type to_cos: int
    :param to_cos: Out CoS

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos.map_.traffic_class_cos', u'traffic_class_cos'), ('pybind.slxos.v17r_1_00a.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping', u'tc_dp_to_cos_mapping'), ('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', u'traffic_class_cos'), ('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping', u'tc_dp_to_cos_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}, {'keyval': 'from_traffic_class, from_drop_precedence', 'extra_keyval': 'from_traffic_class, from_drop_precedence'}, {'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}, {'keyval': 'from_traffic_class, from_drop_precedence', 'extra_keyval': 'from_traffic_class, from_drop_precedence'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class_cos=traffic_class_cos, tc_dp_to_cos_mapping=tc_dp_to_cos_mapping, to_cos=to_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class_cos=traffic_class_cos, tc_dp_to_cos_mapping=tc_dp_to_cos_mapping, to_cos=to_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_dscp_exp_update(self, map_name_cmd3=None, all_zero_map_cmd3=None, default_map_cmd3=None, All_cmd3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type map_name_cmd3: unicode
    :param map_name_cmd3: <MAP NAME>;;Name for the MAP(Max 64). Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type all_zero_map_cmd3: YANGBool
    :param all_zero_map_cmd3: Map DSCP value to EXP 0. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type default_map_cmd3: YANGBool
    :param default_map_cmd3: Map DSCP value to EXP based on default map. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type All_cmd3: YANGBool
    :param All_cmd3: Apply globally on all interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_dscp_exp_map_name': [u'map_name_cmd3', u'all_zero_map_cmd3', u'default_map_cmd3'], 'pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_dscp_exp_map_name': [u'map_name_cmd3', u'all_zero_map_cmd3', u'default_map_cmd3']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, map_name_cmd3=map_name_cmd3, all_zero_map_cmd3=all_zero_map_cmd3, default_map_cmd3=default_map_cmd3, All_cmd3=All_cmd3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, map_name_cmd3=map_name_cmd3, all_zero_map_cmd3=all_zero_map_cmd3, default_map_cmd3=default_map_cmd3, All_cmd3=All_cmd3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_dscp_exp_all_update(self, All_cmd3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type All_cmd3: YANGBool
    :param All_cmd3: Apply globally on all interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, All_cmd3=All_cmd3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, All_cmd3=All_cmd3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_dscp_exp_all_zero_map_update(self, all_zero_map_cmd3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type all_zero_map_cmd3: YANGBool
    :param all_zero_map_cmd3: Map DSCP value to EXP 0

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, all_zero_map_cmd3=all_zero_map_cmd3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, all_zero_map_cmd3=all_zero_map_cmd3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_dscp_exp_default_map_update(self, default_map_cmd3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_map_cmd3: YANGBool
    :param default_map_cmd3: Map DSCP value to EXP based on default map

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_map_cmd3=default_map_cmd3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_map_cmd3=default_map_cmd3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_dscp_exp_map_name_cmd3_update(self, map_name_cmd3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type map_name_cmd3: unicode
    :param map_name_cmd3: <MAP NAME>;;Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, map_name_cmd3=map_name_cmd3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, map_name_cmd3=map_name_cmd3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_dscp_update(self, map_name_cmd4=None, all_zero_map_cmd4=None, default_map_cmd4=None, All_cmd4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type map_name_cmd4: unicode
    :param map_name_cmd4: <MAP NAME>;;Name for the MAP(Max 64). Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type all_zero_map_cmd4: YANGBool
    :param all_zero_map_cmd4: Map EXP value to DSCP 0. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type default_map_cmd4: YANGBool
    :param default_map_cmd4: Map EXP value to DSCP based on default map. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type All_cmd4: YANGBool
    :param All_cmd4: Apply globally on all interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_dscp_map_name': [u'all_zero_map_cmd4', u'map_name_cmd4', u'default_map_cmd4'], 'pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_exp_dscp_map_name': [u'all_zero_map_cmd4', u'map_name_cmd4', u'default_map_cmd4']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, map_name_cmd4=map_name_cmd4, all_zero_map_cmd4=all_zero_map_cmd4, default_map_cmd4=default_map_cmd4, All_cmd4=All_cmd4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, map_name_cmd4=map_name_cmd4, all_zero_map_cmd4=all_zero_map_cmd4, default_map_cmd4=default_map_cmd4, All_cmd4=All_cmd4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_dscp_all_update(self, All_cmd4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type All_cmd4: YANGBool
    :param All_cmd4: Apply globally on all interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, All_cmd4=All_cmd4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, All_cmd4=All_cmd4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_dscp_all_zero_map_update(self, all_zero_map_cmd4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type all_zero_map_cmd4: YANGBool
    :param all_zero_map_cmd4: Map EXP value to DSCP 0

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, all_zero_map_cmd4=all_zero_map_cmd4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, all_zero_map_cmd4=all_zero_map_cmd4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_dscp_default_map_update(self, default_map_cmd4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_map_cmd4: YANGBool
    :param default_map_cmd4: Map EXP value to DSCP based on default map

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_map_cmd4=default_map_cmd4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_map_cmd4=default_map_cmd4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_dscp_map_name_cmd4_update(self, map_name_cmd4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type map_name_cmd4: unicode
    :param map_name_cmd4: <MAP NAME>;;Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, map_name_cmd4=map_name_cmd4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, map_name_cmd4=map_name_cmd4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_traffic_class_update(self, map_name_cmd1=None, all_zero_map_cmd1=None, default_map_cmd1=None, All_cmd1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type map_name_cmd1: unicode
    :param map_name_cmd1: <MAP NAME>;;Name for the MAP(Max 64). Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type all_zero_map_cmd1: YANGBool
    :param all_zero_map_cmd1: Map EXP value to internal traffic-class 0 and drop-prec 0. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type default_map_cmd1: YANGBool
    :param default_map_cmd1: Map EXP value to internal traffic-class and drop-prec based on default map. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type All_cmd1: YANGBool
    :param All_cmd1: Apply globally on all interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_exp_traffic_class_map_name': [u'map_name_cmd1', u'all_zero_map_cmd1', u'default_map_cmd1'], 'pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_traffic_class_map_name': [u'map_name_cmd1', u'all_zero_map_cmd1', u'default_map_cmd1']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, map_name_cmd1=map_name_cmd1, all_zero_map_cmd1=all_zero_map_cmd1, default_map_cmd1=default_map_cmd1, All_cmd1=All_cmd1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, map_name_cmd1=map_name_cmd1, all_zero_map_cmd1=all_zero_map_cmd1, default_map_cmd1=default_map_cmd1, All_cmd1=All_cmd1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_traffic_class_all_update(self, All_cmd1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type All_cmd1: YANGBool
    :param All_cmd1: Apply globally on all interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, All_cmd1=All_cmd1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, All_cmd1=All_cmd1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_traffic_class_all_zero_map_update(self, all_zero_map_cmd1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type all_zero_map_cmd1: YANGBool
    :param all_zero_map_cmd1: Map EXP value to internal traffic-class 0 and drop-prec 0

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, all_zero_map_cmd1=all_zero_map_cmd1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, all_zero_map_cmd1=all_zero_map_cmd1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_traffic_class_default_map_update(self, default_map_cmd1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_map_cmd1: YANGBool
    :param default_map_cmd1: Map EXP value to internal traffic-class and drop-prec based on default map

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_map_cmd1=default_map_cmd1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_map_cmd1=default_map_cmd1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_traffic_class_map_name_cmd1_update(self, map_name_cmd1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type map_name_cmd1: unicode
    :param map_name_cmd1: <MAP NAME>;;Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, map_name_cmd1=map_name_cmd1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, map_name_cmd1=map_name_cmd1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_inexp_outexp_update(self, map_name_cmd5=None, all_zero_map_cmd5=None, default_map_cmd5=None, All_cmd5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type map_name_cmd5: unicode
    :param map_name_cmd5: <MAP NAME>;;Name for the MAP(Max 64). Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type all_zero_map_cmd5: YANGBool
    :param all_zero_map_cmd5: Map EXP value to internal priority 0 and drop-prec 0. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type default_map_cmd5: YANGBool
    :param default_map_cmd5: Map EXP value to internal priority and drop-prec based on default map. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type All_cmd5: YANGBool
    :param All_cmd5: Apply globally on all interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_inexp_outexp_map_name': [u'all_zero_map_cmd5', u'default_map_cmd5', u'map_name_cmd5'], 'pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_inexp_outexp_map_name': [u'all_zero_map_cmd5', u'default_map_cmd5', u'map_name_cmd5']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, map_name_cmd5=map_name_cmd5, all_zero_map_cmd5=all_zero_map_cmd5, default_map_cmd5=default_map_cmd5, All_cmd5=All_cmd5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, map_name_cmd5=map_name_cmd5, all_zero_map_cmd5=all_zero_map_cmd5, default_map_cmd5=default_map_cmd5, All_cmd5=All_cmd5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_inexp_outexp_all_update(self, All_cmd5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type All_cmd5: YANGBool
    :param All_cmd5: Apply globally on all interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, All_cmd5=All_cmd5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, All_cmd5=All_cmd5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_inexp_outexp_all_zero_map_update(self, all_zero_map_cmd5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type all_zero_map_cmd5: YANGBool
    :param all_zero_map_cmd5: Map EXP value to internal priority 0 and drop-prec 0

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, all_zero_map_cmd5=all_zero_map_cmd5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, all_zero_map_cmd5=all_zero_map_cmd5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_inexp_outexp_default_map_update(self, default_map_cmd5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_map_cmd5: YANGBool
    :param default_map_cmd5: Map EXP value to internal priority and drop-prec based on default map

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_map_cmd5=default_map_cmd5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_map_cmd5=default_map_cmd5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_inexp_outexp_map_name_cmd5_update(self, map_name_cmd5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type map_name_cmd5: unicode
    :param map_name_cmd5: <MAP NAME>;;Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, map_name_cmd5=map_name_cmd5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, map_name_cmd5=map_name_cmd5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_traffic_class_exp_update(self, map_name_cmd2=None, all_zero_map_cmd2=None, default_map_cmd2=None, All_cmd2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type map_name_cmd2: unicode
    :param map_name_cmd2: <MAP NAME>;;Name for the MAP(Max 64). Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type all_zero_map_cmd2: YANGBool
    :param all_zero_map_cmd2: Map traffic-class and drop prec to EXP 0. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type default_map_cmd2: YANGBool
    :param default_map_cmd2: Map traffic-class and drop prec to EXP based on default map. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type All_cmd2: YANGBool
    :param All_cmd2: Apply globally on all interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_traffic_class_exp_map_name': [u'map_name_cmd2', u'all_zero_map_cmd2', u'default_map_cmd2'], 'pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_traffic_class_exp_map_name': [u'map_name_cmd2', u'all_zero_map_cmd2', u'default_map_cmd2']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, map_name_cmd2=map_name_cmd2, all_zero_map_cmd2=all_zero_map_cmd2, default_map_cmd2=default_map_cmd2, All_cmd2=All_cmd2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, map_name_cmd2=map_name_cmd2, all_zero_map_cmd2=all_zero_map_cmd2, default_map_cmd2=default_map_cmd2, All_cmd2=All_cmd2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_traffic_class_exp_all_update(self, All_cmd2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type All_cmd2: YANGBool
    :param All_cmd2: Apply globally on all interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, All_cmd2=All_cmd2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, All_cmd2=All_cmd2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_traffic_class_exp_all_zero_map_update(self, all_zero_map_cmd2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type all_zero_map_cmd2: YANGBool
    :param all_zero_map_cmd2: Map traffic-class and drop prec to EXP 0

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, all_zero_map_cmd2=all_zero_map_cmd2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, all_zero_map_cmd2=all_zero_map_cmd2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_traffic_class_exp_default_map_update(self, default_map_cmd2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_map_cmd2: YANGBool
    :param default_map_cmd2: Map traffic-class and drop prec to EXP based on default map

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_map_cmd2=default_map_cmd2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_map_cmd2=default_map_cmd2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_traffic_class_exp_map_name_cmd2_update(self, map_name_cmd2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type map_name_cmd2: unicode
    :param map_name_cmd2: <MAP NAME>;;Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, map_name_cmd2=map_name_cmd2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, map_name_cmd2=map_name_cmd2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_dscp_exp_dscp_to_update(self, dscp_exp=None, dscp=None, exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_exp: dscp_exp_map_name
    :param dscp_exp: Keyword argument tuple.

    :type dscp_exp_map_name: unicode
    :param dscp_exp_map_name: **dscp_exp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp: dscp_in_values
    :param dscp: Keyword argument tuple.

    :type dscp_in_values: long
    :param dscp_in_values: **dscp** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type exp: long
    :param exp: exp value 0-7

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos_mpls.map_.dscp_exp', u'dscp_exp'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.dscp_exp.dscp', u'dscp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', u'dscp_exp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp', u'dscp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.dscp_exp.dscp.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}, {'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_exp=dscp_exp, dscp=dscp, exp=exp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_exp=dscp_exp, dscp=dscp, exp=exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_dscp_exp_dscp_to_exp_update(self, dscp_exp=None, dscp=None, exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_exp: dscp_exp_map_name
    :param dscp_exp: Keyword argument tuple.

    :type dscp_exp_map_name: unicode
    :param dscp_exp_map_name: **dscp_exp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type dscp: dscp_in_values
    :param dscp: Keyword argument tuple.

    :type dscp_in_values: long
    :param dscp_in_values: **dscp** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type exp: long
    :param exp: exp value 0-7

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos_mpls.map_.dscp_exp', u'dscp_exp'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.dscp_exp.dscp', u'dscp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', u'dscp_exp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp', u'dscp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.dscp_exp.dscp.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}, {'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dscp_exp=dscp_exp, dscp=dscp, exp=exp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_exp=dscp_exp, dscp=dscp, exp=exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_exp_dscp_exp_to_update(self, exp_dscp=None, exp=None, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type exp_dscp: exp_dscp_map_name
    :param exp_dscp: Keyword argument tuple.

    :type exp_dscp_map_name: unicode
    :param exp_dscp_map_name: **exp_dscp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type exp: exp_in_values
    :param exp: Keyword argument tuple.

    :type exp_in_values: long
    :param exp_in_values: **exp** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dscp: long
    :param dscp: dscp value 0-63

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_dscp', u'exp_dscp'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_dscp.exp', u'exp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', u'exp_dscp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp', u'exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_dscp.exp.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}, {'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, exp_dscp=exp_dscp, exp=exp, dscp=dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, exp_dscp=exp_dscp, exp=exp, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_exp_dscp_exp_to_dscp_update(self, exp_dscp=None, exp=None, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type exp_dscp: exp_dscp_map_name
    :param exp_dscp: Keyword argument tuple.

    :type exp_dscp_map_name: unicode
    :param exp_dscp_map_name: **exp_dscp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type exp: exp_in_values
    :param exp: Keyword argument tuple.

    :type exp_in_values: long
    :param exp_in_values: **exp** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dscp: long
    :param dscp: dscp value 0-63

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_dscp', u'exp_dscp'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_dscp.exp', u'exp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', u'exp_dscp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp', u'exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_dscp.exp.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}, {'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, exp_dscp=exp_dscp, exp=exp, dscp=dscp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, exp_dscp=exp_dscp, exp=exp, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_exp_traffic_class_exp_to_update(self, exp_traffic_class=None, exp=None, priority=None, drop_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type exp_traffic_class: exp_traffic_class_map_name
    :param exp_traffic_class: Keyword argument tuple.

    :type exp_traffic_class_map_name: unicode
    :param exp_traffic_class_map_name: **exp_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type exp: exp_in_values
    :param exp: Keyword argument tuple.

    :type exp_in_values: long
    :param exp_in_values: **exp** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Traffic class 0-7

        * range restriction: ::

            ['0..4294967295']

    :type drop_precedence: long
    :param drop_precedence: drop-precedence value 0-3

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp', u'exp'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_traffic_class.exp', u'exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_traffic_class.exp.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}, {'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'priority, drop_precedence'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, exp_traffic_class=exp_traffic_class, exp=exp, priority=priority, drop_precedence=drop_precedence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, exp_traffic_class=exp_traffic_class, exp=exp, priority=priority, drop_precedence=drop_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_exp_traffic_class_exp_to_drop_precedence_update(self, exp_traffic_class=None, exp=None, drop_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type exp_traffic_class: exp_traffic_class_map_name
    :param exp_traffic_class: Keyword argument tuple.

    :type exp_traffic_class_map_name: unicode
    :param exp_traffic_class_map_name: **exp_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type exp: exp_in_values
    :param exp: Keyword argument tuple.

    :type exp_in_values: long
    :param exp_in_values: **exp** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type drop_precedence: long
    :param drop_precedence: drop-precedence value 0-3

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp', u'exp'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_traffic_class.exp', u'exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_traffic_class.exp.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}, {'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, exp_traffic_class=exp_traffic_class, exp=exp, drop_precedence=drop_precedence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, exp_traffic_class=exp_traffic_class, exp=exp, drop_precedence=drop_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_exp_traffic_class_exp_to_traffic_class_update(self, exp_traffic_class=None, exp=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type exp_traffic_class: exp_traffic_class_map_name
    :param exp_traffic_class: Keyword argument tuple.

    :type exp_traffic_class_map_name: unicode
    :param exp_traffic_class_map_name: **exp_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type exp: exp_in_values
    :param exp: Keyword argument tuple.

    :type exp_in_values: long
    :param exp_in_values: **exp** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Traffic class 0-7

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp', u'exp'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_traffic_class.exp', u'exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.exp_traffic_class.exp.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}, {'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, exp_traffic_class=exp_traffic_class, exp=exp, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, exp_traffic_class=exp_traffic_class, exp=exp, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_inexp_outexp_in_exp_to_update(self, inexp_outexp=None, in_exp=None, out_exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type inexp_outexp: inexp_outexp_map_name
    :param inexp_outexp: Keyword argument tuple.

    :type inexp_outexp_map_name: unicode
    :param inexp_outexp_map_name: **inexp_outexp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type in_exp: in_exp_in_values
    :param in_exp: Keyword argument tuple.

    :type in_exp_in_values: long
    :param in_exp_in_values: **in_exp** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type out_exp: long
    :param out_exp: out-exp value 0-7

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos_mpls.map_.inexp_outexp', u'inexp_outexp'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.inexp_outexp.in_exp', u'in_exp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', u'inexp_outexp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp', u'in_exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.inexp_outexp.in_exp.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}, {'keyval': 'in_exp_in_values', 'extra_keyval': 'in_exp_in_values'}, {'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}, {'keyval': 'in_exp_in_values', 'extra_keyval': 'in_exp_in_values'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inexp_outexp=inexp_outexp, in_exp=in_exp, out_exp=out_exp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inexp_outexp=inexp_outexp, in_exp=in_exp, out_exp=out_exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_inexp_outexp_in_exp_to_out_exp_update(self, inexp_outexp=None, in_exp=None, out_exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type inexp_outexp: inexp_outexp_map_name
    :param inexp_outexp: Keyword argument tuple.

    :type inexp_outexp_map_name: unicode
    :param inexp_outexp_map_name: **inexp_outexp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type in_exp: in_exp_in_values
    :param in_exp: Keyword argument tuple.

    :type in_exp_in_values: long
    :param in_exp_in_values: **in_exp** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type out_exp: long
    :param out_exp: out-exp value 0-7

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos_mpls.map_.inexp_outexp', u'inexp_outexp'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.inexp_outexp.in_exp', u'in_exp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', u'inexp_outexp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp', u'in_exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.inexp_outexp.in_exp.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}, {'keyval': 'in_exp_in_values', 'extra_keyval': 'in_exp_in_values'}, {'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}, {'keyval': 'in_exp_in_values', 'extra_keyval': 'in_exp_in_values'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inexp_outexp=inexp_outexp, in_exp=in_exp, out_exp=out_exp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inexp_outexp=inexp_outexp, in_exp=in_exp, out_exp=out_exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_traffic_class_exp_traffic_class_update(self, traffic_class_exp=None, priority=None, drop_precedence=None, to=None, exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type traffic_class_exp: traffic_class_exp_map_name
    :param traffic_class_exp: Keyword argument tuple.

    :type traffic_class_exp_map_name: unicode
    :param traffic_class_exp_map_name: **traffic_class_exp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type priority: priority_in_values, drop_precedence, to, exp
    :param priority: Keyword argument tuple.

    :type priority_in_values: long
    :param priority_in_values: **priority** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type drop_precedence: long
    :param drop_precedence: **priority** tuple argument:  drop-precedence value 0-3

        * range restriction: ::

            ['0..4294967295']

    :type to: YANGBool
    :param to: **priority** tuple argument:  to

    :type exp: long
    :param exp: **priority** tuple argument:  exp value 0-7

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type drop_precedence: long
    :param drop_precedence: drop-precedence value 0-3

        * range restriction: ::

            ['0..4294967295']

    :type to: YANGBool
    :param to: to

    :type exp: long
    :param exp: exp value 0-7

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', u'traffic_class_exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp.priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'priority', 'keyval': 'priority_in_values', 'extra_keyval': 'priority_in_values, drop_precedence, to, exp'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp.priority": {"priority_in_values": "priority_in_values", "to": "to", "exp": "exp", "drop_precedence": "drop_precedence"}, "pybind.slxos.v17r_1_00a.qos_mpls.map_.traffic_class_exp.priority": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class_exp=traffic_class_exp, priority=priority, drop_precedence=drop_precedence, to=to, exp=exp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class_exp=traffic_class_exp, priority=priority, drop_precedence=drop_precedence, to=to, exp=exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_traffic_class_exp_traffic_class_drop_precedence_update(self, traffic_class_exp=None, priority=None, drop_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type traffic_class_exp: traffic_class_exp_map_name
    :param traffic_class_exp: Keyword argument tuple.

    :type traffic_class_exp_map_name: unicode
    :param traffic_class_exp_map_name: **traffic_class_exp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type priority: priority_in_values
    :param priority: Keyword argument tuple.

    :type priority_in_values: long
    :param priority_in_values: **priority** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type drop_precedence: long
    :param drop_precedence: drop-precedence value 0-3

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', u'traffic_class_exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp.priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'priority', 'keyval': 'priority_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class_exp=traffic_class_exp, priority=priority, drop_precedence=drop_precedence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class_exp=traffic_class_exp, priority=priority, drop_precedence=drop_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_traffic_class_exp_traffic_class_exp_update(self, traffic_class_exp=None, priority=None, exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type traffic_class_exp: traffic_class_exp_map_name
    :param traffic_class_exp: Keyword argument tuple.

    :type traffic_class_exp_map_name: unicode
    :param traffic_class_exp_map_name: **traffic_class_exp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type priority: priority_in_values
    :param priority: Keyword argument tuple.

    :type priority_in_values: long
    :param priority_in_values: **priority** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type exp: long
    :param exp: exp value 0-7

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', u'traffic_class_exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp.priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'priority', 'keyval': 'priority_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class_exp=traffic_class_exp, priority=priority, exp=exp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class_exp=traffic_class_exp, priority=priority, exp=exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_traffic_class_exp_traffic_class_to_update(self, traffic_class_exp=None, priority=None, to=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type traffic_class_exp: traffic_class_exp_map_name
    :param traffic_class_exp: Keyword argument tuple.

    :type traffic_class_exp_map_name: unicode
    :param traffic_class_exp_map_name: **traffic_class_exp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type priority: priority_in_values
    :param priority: Keyword argument tuple.

    :type priority_in_values: long
    :param priority_in_values: **priority** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type to: YANGBool
    :param to: to

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', u'traffic_class_exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp.priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'priority', 'keyval': 'priority_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class_exp=traffic_class_exp, priority=priority, to=to)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class_exp=traffic_class_exp, priority=priority, to=to)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_traffic_class_exp_traffic_class_to_exp_update(self, traffic_class_exp=None, priority=None, exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type traffic_class_exp: traffic_class_exp_map_name
    :param traffic_class_exp: Keyword argument tuple.

    :type traffic_class_exp_map_name: unicode
    :param traffic_class_exp_map_name: **traffic_class_exp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type priority: priority_in_values, drop_precedence
    :param priority: Keyword argument tuple.

    :type priority_in_values: long
    :param priority_in_values: **priority** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type drop_precedence: long
    :param drop_precedence: **priority** tuple argument:  drop-precedence value 0-3

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type exp: long
    :param exp: exp value 0-7

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.qos_mpls.map_.traffic_class_exp', u'traffic_class_exp'), ('pybind.slxos.v17r_1_00a.qos_mpls.map_.traffic_class_exp.priority', u'priority')]
    bindings_list = [('pybind.slxos.v17r_1_00a.qos_mpls.map_.traffic_class_exp.priority.to', 'pybind.slxos.v17r_1_00a.brocade_qos_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}, {'keyval': 'priority_in_values, drop_precedence', 'extra_keyval': 'priority_in_values, drop_precedence'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class_exp=traffic_class_exp, priority=priority, exp=exp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class_exp=traffic_class_exp, priority=priority, exp=exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_state_update(self, qos_mpls_state=None, map_name=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls_state: map_type
    :param qos_mpls_state: Keyword argument tuple.

    :type map_type: unicode
    :param map_type: **qos_mpls_state** tuple argument.

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.qos_mpls_state', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'qos_mpls_state', 'keyval': 'map_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls_state=qos_mpls_state, map_name=map_name, enabled_slots=enabled_slots)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls_state=qos_mpls_state, map_name=map_name, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_state_enabled_slots_update(self, qos_mpls_state=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls_state: map_type
    :param qos_mpls_state: Keyword argument tuple.

    :type map_type: unicode
    :param map_type: **qos_mpls_state** tuple argument.

    **Instance Argument(s)**:

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.qos_mpls_state', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'qos_mpls_state', 'keyval': 'map_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls_state=qos_mpls_state, enabled_slots=enabled_slots)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls_state=qos_mpls_state, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_state_map_name_update(self, qos_mpls_state=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls_state: map_type
    :param qos_mpls_state: Keyword argument tuple.

    :type map_type: unicode
    :param map_type: **qos_mpls_state** tuple argument.

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.qos_mpls_state', 'pybind.slxos.v17r_1_00a.brocade_qos_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'qos_mpls_state', 'keyval': 'map_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls_state=qos_mpls_state, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls_state=qos_mpls_state, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_multicast_scheduler_dwrr_update(self, dwrr_traffic_class0=None, dwrr_traffic_class1=None, dwrr_traffic_class2=None, dwrr_traffic_class3=None, dwrr_traffic_class4=None, dwrr_traffic_class5=None, dwrr_traffic_class6=None, dwrr_traffic_class7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class0: long
    :param dwrr_traffic_class0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class1: long
    :param dwrr_traffic_class1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class2: long
    :param dwrr_traffic_class2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class3: long
    :param dwrr_traffic_class3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class4: long
    :param dwrr_traffic_class4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class5: long
    :param dwrr_traffic_class5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class6: long
    :param dwrr_traffic_class6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class7: long
    :param dwrr_traffic_class7: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'dwrr_traffic_class0, dwrr_traffic_class1, dwrr_traffic_class2, dwrr_traffic_class3, dwrr_traffic_class4, dwrr_traffic_class5, dwrr_traffic_class6, dwrr_traffic_class7'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class7=dwrr_traffic_class7)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class7=dwrr_traffic_class7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_multicast_scheduler_dwrr_dwrr_traffic_class0_update(self, dwrr_traffic_class0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class0: long
    :param dwrr_traffic_class0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class0=dwrr_traffic_class0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class0=dwrr_traffic_class0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_multicast_scheduler_dwrr_dwrr_traffic_class1_update(self, dwrr_traffic_class1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class1: long
    :param dwrr_traffic_class1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class1=dwrr_traffic_class1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class1=dwrr_traffic_class1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_multicast_scheduler_dwrr_dwrr_traffic_class2_update(self, dwrr_traffic_class2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class2: long
    :param dwrr_traffic_class2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class2=dwrr_traffic_class2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class2=dwrr_traffic_class2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_multicast_scheduler_dwrr_dwrr_traffic_class3_update(self, dwrr_traffic_class3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class3: long
    :param dwrr_traffic_class3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class3=dwrr_traffic_class3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class3=dwrr_traffic_class3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_multicast_scheduler_dwrr_dwrr_traffic_class4_update(self, dwrr_traffic_class4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class4: long
    :param dwrr_traffic_class4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class4=dwrr_traffic_class4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class4=dwrr_traffic_class4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_multicast_scheduler_dwrr_dwrr_traffic_class5_update(self, dwrr_traffic_class5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class5: long
    :param dwrr_traffic_class5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class5=dwrr_traffic_class5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class5=dwrr_traffic_class5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_multicast_scheduler_dwrr_dwrr_traffic_class6_update(self, dwrr_traffic_class6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class6: long
    :param dwrr_traffic_class6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class6=dwrr_traffic_class6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class6=dwrr_traffic_class6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_multicast_scheduler_dwrr_dwrr_traffic_class7_update(self, dwrr_traffic_class7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class7: long
    :param dwrr_traffic_class7: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class7=dwrr_traffic_class7)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class7=dwrr_traffic_class7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_scheduler_strict_priority_update(self, priority_number=None, scheduler_type=None, dwrr_traffic_class0=None, dwrr_traffic_class1=None, dwrr_traffic_class2=None, dwrr_traffic_class3=None, dwrr_traffic_class4=None, dwrr_traffic_class5=None, dwrr_traffic_class6=None, dwrr_traffic_class_last=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type priority_number: long
    :param priority_number: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type scheduler_type: unicode
    :param scheduler_type: Keyword argument.

        * enumeration restriction: ::

            ['dwrr']

    :type dwrr_traffic_class0: long
    :param dwrr_traffic_class0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class1: long
    :param dwrr_traffic_class1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class2: long
    :param dwrr_traffic_class2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class3: long
    :param dwrr_traffic_class3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class4: long
    :param dwrr_traffic_class4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class5: long
    :param dwrr_traffic_class5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class6: long
    :param dwrr_traffic_class6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class_last: long
    :param dwrr_traffic_class_last: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'priority_number, scheduler_type, dwrr_traffic_class0, dwrr_traffic_class1, dwrr_traffic_class2, dwrr_traffic_class3, dwrr_traffic_class4, dwrr_traffic_class5, dwrr_traffic_class6, dwrr_traffic_class_last'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, priority_number=priority_number, scheduler_type=scheduler_type, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class_last=dwrr_traffic_class_last)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, priority_number=priority_number, scheduler_type=scheduler_type, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class_last=dwrr_traffic_class_last)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_scheduler_strict_priority_dwrr_traffic_class0_update(self, dwrr_traffic_class0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class0: long
    :param dwrr_traffic_class0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class0=dwrr_traffic_class0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class0=dwrr_traffic_class0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_scheduler_strict_priority_dwrr_traffic_class1_update(self, dwrr_traffic_class1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class1: long
    :param dwrr_traffic_class1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class1=dwrr_traffic_class1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class1=dwrr_traffic_class1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_scheduler_strict_priority_dwrr_traffic_class2_update(self, dwrr_traffic_class2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class2: long
    :param dwrr_traffic_class2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class2=dwrr_traffic_class2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class2=dwrr_traffic_class2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_scheduler_strict_priority_dwrr_traffic_class3_update(self, dwrr_traffic_class3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class3: long
    :param dwrr_traffic_class3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class3=dwrr_traffic_class3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class3=dwrr_traffic_class3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_scheduler_strict_priority_dwrr_traffic_class4_update(self, dwrr_traffic_class4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class4: long
    :param dwrr_traffic_class4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class4=dwrr_traffic_class4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class4=dwrr_traffic_class4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_scheduler_strict_priority_dwrr_traffic_class5_update(self, dwrr_traffic_class5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class5: long
    :param dwrr_traffic_class5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class5=dwrr_traffic_class5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class5=dwrr_traffic_class5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_scheduler_strict_priority_dwrr_traffic_class6_update(self, dwrr_traffic_class6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class6: long
    :param dwrr_traffic_class6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class6=dwrr_traffic_class6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class6=dwrr_traffic_class6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_scheduler_strict_priority_dwrr_traffic_class_last_update(self, dwrr_traffic_class_last=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type dwrr_traffic_class_last: long
    :param dwrr_traffic_class_last: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class_last=dwrr_traffic_class_last)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class_last=dwrr_traffic_class_last)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_scheduler_strict_priority_priority_number_update(self, priority_number=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type priority_number: long
    :param priority_number: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, priority_number=priority_number)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, priority_number=priority_number)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_queue_scheduler_strict_priority_scheduler_type_update(self, scheduler_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type scheduler_type: unicode
    :param scheduler_type: Keyword argument.

        * enumeration restriction: ::

            ['dwrr']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.queue.scheduler.strict_priority', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, scheduler_type=scheduler_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, scheduler_type=scheduler_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_rate_limit_update(self, limit=None, burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type limit: long
    :param limit: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type burst: long
    :param burst: Burst limit (packets)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'limit, burst'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, limit=limit, burst=burst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, limit=limit, burst=burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_rate_limit_burst_update(self, burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type burst: long
    :param burst: Burst limit (packets)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, burst=burst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, burst=burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_rate_limit_limit_update(self, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type limit: long
    :param limit: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, limit=limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_threshold_update(self, traffic_class0=None, traffic_class1=None, traffic_class2=None, traffic_class3=None, traffic_class4=None, traffic_class5=None, traffic_class6=None, traffic_class7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type traffic_class0: long
    :param traffic_class0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type traffic_class1: long
    :param traffic_class1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type traffic_class2: long
    :param traffic_class2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type traffic_class3: long
    :param traffic_class3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type traffic_class4: long
    :param traffic_class4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type traffic_class5: long
    :param traffic_class5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type traffic_class6: long
    :param traffic_class6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type traffic_class7: long
    :param traffic_class7: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.rcv_queue.multicast.threshold', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'traffic_class0, traffic_class1, traffic_class2, traffic_class3, traffic_class4, traffic_class5, traffic_class6, traffic_class7'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class0=traffic_class0, traffic_class1=traffic_class1, traffic_class2=traffic_class2, traffic_class3=traffic_class3, traffic_class4=traffic_class4, traffic_class5=traffic_class5, traffic_class6=traffic_class6, traffic_class7=traffic_class7)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class0=traffic_class0, traffic_class1=traffic_class1, traffic_class2=traffic_class2, traffic_class3=traffic_class3, traffic_class4=traffic_class4, traffic_class5=traffic_class5, traffic_class6=traffic_class6, traffic_class7=traffic_class7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_threshold_traffic_class0_update(self, traffic_class0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type traffic_class0: long
    :param traffic_class0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.rcv_queue.multicast.threshold', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class0=traffic_class0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class0=traffic_class0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_threshold_traffic_class1_update(self, traffic_class1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type traffic_class1: long
    :param traffic_class1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.rcv_queue.multicast.threshold', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class1=traffic_class1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class1=traffic_class1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_threshold_traffic_class2_update(self, traffic_class2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type traffic_class2: long
    :param traffic_class2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.rcv_queue.multicast.threshold', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class2=traffic_class2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class2=traffic_class2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_threshold_traffic_class3_update(self, traffic_class3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type traffic_class3: long
    :param traffic_class3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.rcv_queue.multicast.threshold', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class3=traffic_class3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class3=traffic_class3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_threshold_traffic_class4_update(self, traffic_class4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type traffic_class4: long
    :param traffic_class4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.rcv_queue.multicast.threshold', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class4=traffic_class4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class4=traffic_class4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_threshold_traffic_class5_update(self, traffic_class5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type traffic_class5: long
    :param traffic_class5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.rcv_queue.multicast.threshold', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class5=traffic_class5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class5=traffic_class5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_threshold_traffic_class6_update(self, traffic_class6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type traffic_class6: long
    :param traffic_class6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.rcv_queue.multicast.threshold', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class6=traffic_class6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class6=traffic_class6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_threshold_traffic_class7_update(self, traffic_class7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type traffic_class7: long
    :param traffic_class7: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.rcv_queue.multicast.threshold', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, traffic_class7=traffic_class7)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class7=traffic_class7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_red_profile_update(self, red_profile=None, min_threshold=None, max_threshold=None, drop_probability=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type red_profile: profile_id, min_threshold, max_threshold, drop_probability
    :param red_profile: Keyword argument tuple.

    :type profile_id: long
    :param profile_id: **red_profile** tuple argument:  0-383;;Profile Id

        * range restriction: ::

            ['-2147483648..2147483647']

    :type min_threshold: long
    :param min_threshold: **red_profile** tuple argument:  Minimum Threshold in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    :type max_threshold: long
    :param max_threshold: **red_profile** tuple argument:  Maximum Threshold in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    :type drop_probability: long
    :param drop_probability: **red_profile** tuple argument:  Drop Probability in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type min_threshold: long
    :param min_threshold: Minimum Threshold in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    :type max_threshold: long
    :param max_threshold: Maximum Threshold in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    :type drop_probability: long
    :param drop_probability: Drop Probability in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.red_profile', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.red_profile', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.red_profile', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.red_profile', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.red_profile', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'red_profile', 'keyval': 'profile_id', 'extra_keyval': 'profile_id, min_threshold, max_threshold, drop_probability'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, red_profile=red_profile, min_threshold=min_threshold, max_threshold=max_threshold, drop_probability=drop_probability)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, red_profile=red_profile, min_threshold=min_threshold, max_threshold=max_threshold, drop_probability=drop_probability)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_red_profile_drop_probability_update(self, red_profile=None, drop_probability=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type red_profile: profile_id
    :param red_profile: Keyword argument tuple.

    :type profile_id: long
    :param profile_id: **red_profile** tuple argument:  0-383;;Profile Id

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type drop_probability: long
    :param drop_probability: Drop Probability in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.red_profile', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.red_profile', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.red_profile', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.red_profile', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.red_profile', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'red_profile', 'keyval': 'profile_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, red_profile=red_profile, drop_probability=drop_probability)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, red_profile=red_profile, drop_probability=drop_probability)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_red_profile_max_threshold_update(self, red_profile=None, max_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type red_profile: profile_id
    :param red_profile: Keyword argument tuple.

    :type profile_id: long
    :param profile_id: **red_profile** tuple argument:  0-383;;Profile Id

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type max_threshold: long
    :param max_threshold: Maximum Threshold in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.red_profile', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.red_profile', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.red_profile', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.red_profile', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.red_profile', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'red_profile', 'keyval': 'profile_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, red_profile=red_profile, max_threshold=max_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, red_profile=red_profile, max_threshold=max_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_red_profile_min_threshold_update(self, red_profile=None, min_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type red_profile: profile_id
    :param red_profile: Keyword argument tuple.

    :type profile_id: long
    :param profile_id: **red_profile** tuple argument:  0-383;;Profile Id

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type min_threshold: long
    :param min_threshold: Minimum Threshold in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.red_profile', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.red_profile', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.red_profile', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.red_profile', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.red_profile', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'red_profile', 'keyval': 'profile_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, red_profile=red_profile, min_threshold=min_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, red_profile=red_profile, min_threshold=min_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rx_queue_update(self, rx_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_queue_limit: long
    :param rx_queue_limit: Configure Ingress Queue Limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.rx_queue', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.rx_queue', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_queue_limit=rx_queue_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_queue_limit=rx_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_rx_queue_limit_update(self, rx_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rx_queue_limit: long
    :param rx_queue_limit: Configure Ingress Queue Limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.rx_queue', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.rx_queue', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rx_queue_limit=rx_queue_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rx_queue_limit=rx_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_service_policy_attach_rbridge_id_add_update(self, service_policy=None, rb_add_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type service_policy: direction, policy_map_name
    :param service_policy: Keyword argument tuple.

    :type direction: unicode
    :param direction: **service_policy** tuple argument.

        * enumeration restriction: ::

            ['in']

    :type policy_map_name: unicode
    :param policy_map_name: **service_policy** tuple argument:  MAP_NAME;;Qos Policy map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type rb_add_range: unicode
    :param rb_add_range: RANGE;;Range of rbridge ids to add

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v6_0_2c.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v7_0_1b.system_qos.qos.service_policy', u'service_policy')]
    bindings_list = [('pybind.nos.v6_0_2c.system_qos.qos.service_policy.attach.rbridge_id.add_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_qos.qos.service_policy.attach.rbridge_id.add_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_qos.qos.service_policy.attach.rbridge_id.add_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, service_policy=service_policy, rb_add_range=rb_add_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, service_policy=service_policy, rb_add_range=rb_add_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_service_policy_attach_rbridge_id_add_rb_add_range_update(self, service_policy=None, rb_add_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type service_policy: direction, policy_map_name
    :param service_policy: Keyword argument tuple.

    :type direction: unicode
    :param direction: **service_policy** tuple argument.

        * enumeration restriction: ::

            ['in']

    :type policy_map_name: unicode
    :param policy_map_name: **service_policy** tuple argument:  MAP_NAME;;Qos Policy map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type rb_add_range: unicode
    :param rb_add_range: RANGE;;Range of rbridge ids to add

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v6_0_2c.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v7_0_1b.system_qos.qos.service_policy', u'service_policy')]
    bindings_list = [('pybind.nos.v6_0_2c.system_qos.qos.service_policy.attach.rbridge_id.add_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_qos.qos.service_policy.attach.rbridge_id.add_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_qos.qos.service_policy.attach.rbridge_id.add_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, service_policy=service_policy, rb_add_range=rb_add_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, service_policy=service_policy, rb_add_range=rb_add_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_service_policy_attach_rbridge_id_remove_update(self, service_policy=None, rb_remove_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type service_policy: direction, policy_map_name
    :param service_policy: Keyword argument tuple.

    :type direction: unicode
    :param direction: **service_policy** tuple argument.

        * enumeration restriction: ::

            ['in']

    :type policy_map_name: unicode
    :param policy_map_name: **service_policy** tuple argument:  MAP_NAME;;Qos Policy map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type rb_remove_range: unicode
    :param rb_remove_range: RANGE;;Range of rbridge ids to remove

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v7_0_1b.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v6_0_2c.system_qos.qos.service_policy', u'service_policy')]
    bindings_list = [('pybind.nos.v6_0_2c.system_qos.qos.service_policy.attach.rbridge_id.remove_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_qos.qos.service_policy.attach.rbridge_id.remove_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_qos.qos.service_policy.attach.rbridge_id.remove_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, service_policy=service_policy, rb_remove_range=rb_remove_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, service_policy=service_policy, rb_remove_range=rb_remove_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_service_policy_attach_rbridge_id_remove_rb_remove_range_update(self, service_policy=None, rb_remove_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type service_policy: direction, policy_map_name
    :param service_policy: Keyword argument tuple.

    :type direction: unicode
    :param direction: **service_policy** tuple argument.

        * enumeration restriction: ::

            ['in']

    :type policy_map_name: unicode
    :param policy_map_name: **service_policy** tuple argument:  MAP_NAME;;Qos Policy map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type rb_remove_range: unicode
    :param rb_remove_range: RANGE;;Range of rbridge ids to remove

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v7_0_1b.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v6_0_2c.system_qos.qos.service_policy', u'service_policy')]
    bindings_list = [('pybind.nos.v6_0_2c.system_qos.qos.service_policy.attach.rbridge_id.remove_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_qos.qos.service_policy.attach.rbridge_id.remove_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_qos.qos.service_policy.attach.rbridge_id.remove_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, service_policy=service_policy, rb_remove_range=rb_remove_range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, service_policy=service_policy, rb_remove_range=rb_remove_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_update(self, tx_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type tx_queue_limit: long
    :param tx_queue_limit: Configure Egress Queue Limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.tx_queue', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tx_queue_limit=tx_queue_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tx_queue_limit=tx_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_limit_update(self, tx_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type tx_queue_limit: long
    :param tx_queue_limit: Configure Egress Queue Limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.tx_queue', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tx_queue_limit=tx_queue_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tx_queue_limit=tx_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_scheduler_strict_priority_update(self, priority_number=None, scheduler_type=None, dwrr_traffic_class0=None, dwrr_traffic_class1=None, dwrr_traffic_class2=None, dwrr_traffic_class3=None, dwrr_traffic_class4=None, dwrr_traffic_class5=None, dwrr_traffic_class6=None, dwrr_traffic_class_last=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type priority_number: long
    :param priority_number: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type scheduler_type: unicode
    :param scheduler_type: Keyword argument.

        * enumeration restriction: ::

            ['dwrr']

    :type dwrr_traffic_class0: long
    :param dwrr_traffic_class0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class1: long
    :param dwrr_traffic_class1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class2: long
    :param dwrr_traffic_class2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class3: long
    :param dwrr_traffic_class3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class4: long
    :param dwrr_traffic_class4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class5: long
    :param dwrr_traffic_class5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class6: long
    :param dwrr_traffic_class6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type dwrr_traffic_class_last: long
    :param dwrr_traffic_class_last: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'priority_number, scheduler_type, dwrr_traffic_class0, dwrr_traffic_class1, dwrr_traffic_class2, dwrr_traffic_class3, dwrr_traffic_class4, dwrr_traffic_class5, dwrr_traffic_class6, dwrr_traffic_class_last'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, priority_number=priority_number, scheduler_type=scheduler_type, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class_last=dwrr_traffic_class_last)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, priority_number=priority_number, scheduler_type=scheduler_type, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class_last=dwrr_traffic_class_last)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_scheduler_strict_priority_dwrr_traffic_class0_update(self, dwrr_traffic_class0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dwrr_traffic_class0: long
    :param dwrr_traffic_class0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class0=dwrr_traffic_class0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class0=dwrr_traffic_class0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_scheduler_strict_priority_dwrr_traffic_class1_update(self, dwrr_traffic_class1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dwrr_traffic_class1: long
    :param dwrr_traffic_class1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class1=dwrr_traffic_class1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class1=dwrr_traffic_class1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_scheduler_strict_priority_dwrr_traffic_class2_update(self, dwrr_traffic_class2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dwrr_traffic_class2: long
    :param dwrr_traffic_class2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class2=dwrr_traffic_class2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class2=dwrr_traffic_class2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_scheduler_strict_priority_dwrr_traffic_class3_update(self, dwrr_traffic_class3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dwrr_traffic_class3: long
    :param dwrr_traffic_class3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class3=dwrr_traffic_class3)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class3=dwrr_traffic_class3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_scheduler_strict_priority_dwrr_traffic_class4_update(self, dwrr_traffic_class4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dwrr_traffic_class4: long
    :param dwrr_traffic_class4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class4=dwrr_traffic_class4)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class4=dwrr_traffic_class4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_scheduler_strict_priority_dwrr_traffic_class5_update(self, dwrr_traffic_class5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dwrr_traffic_class5: long
    :param dwrr_traffic_class5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class5=dwrr_traffic_class5)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class5=dwrr_traffic_class5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_scheduler_strict_priority_dwrr_traffic_class6_update(self, dwrr_traffic_class6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dwrr_traffic_class6: long
    :param dwrr_traffic_class6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class6=dwrr_traffic_class6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class6=dwrr_traffic_class6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_scheduler_strict_priority_dwrr_traffic_class_last_update(self, dwrr_traffic_class_last=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dwrr_traffic_class_last: long
    :param dwrr_traffic_class_last: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dwrr_traffic_class_last=dwrr_traffic_class_last)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dwrr_traffic_class_last=dwrr_traffic_class_last)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_scheduler_strict_priority_priority_number_update(self, priority_number=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type priority_number: long
    :param priority_number: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, priority_number=priority_number)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, priority_number=priority_number)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_scheduler_strict_priority_scheduler_type_update(self, scheduler_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type scheduler_type: unicode
    :param scheduler_type: Keyword argument.

        * enumeration restriction: ::

            ['dwrr']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v17r_1_00a.brocade_qos_mls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, scheduler_type=scheduler_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, scheduler_type=scheduler_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def queues_state_queue_interface_list_queue_info_list_update(self, queue_interface_list=None, queue_info_list=None, tx_packets=None, tx_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type queue_interface_list: interface_value
    :param queue_interface_list: Keyword argument tuple.

    :type interface_value: unicode
    :param interface_value: **queue_interface_list** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type queue_info_list: interface, num
    :param queue_info_list: Keyword argument tuple.

    :type interface: unicode
    :param interface: **queue_info_list** tuple argument.

    :type num: long
    :param num: **queue_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_packets: long
    :param tx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_bytes: long
    :param tx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.queues_state.queue_interface_list', u'queue_interface_list'), ('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list', u'queue_interface_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.queues_state.queue_interface_list.queue_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_value', 'extra_keyval': ''}, {'keyval': 'interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, queue_interface_list=queue_interface_list, queue_info_list=queue_info_list, tx_packets=tx_packets, tx_bytes=tx_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue_interface_list=queue_interface_list, queue_info_list=queue_info_list, tx_packets=tx_packets, tx_bytes=tx_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def queues_state_queue_interface_list_queue_info_list_tx_bytes_update(self, queue_interface_list=None, queue_info_list=None, tx_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type queue_interface_list: interface_value
    :param queue_interface_list: Keyword argument tuple.

    :type interface_value: unicode
    :param interface_value: **queue_interface_list** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type queue_info_list: interface, num
    :param queue_info_list: Keyword argument tuple.

    :type interface: unicode
    :param interface: **queue_info_list** tuple argument.

    :type num: long
    :param num: **queue_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_bytes: long
    :param tx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.queues_state.queue_interface_list', u'queue_interface_list'), ('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list', u'queue_interface_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.queues_state.queue_interface_list.queue_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_value', 'extra_keyval': ''}, {'keyval': 'interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, queue_interface_list=queue_interface_list, queue_info_list=queue_info_list, tx_bytes=tx_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue_interface_list=queue_interface_list, queue_info_list=queue_info_list, tx_bytes=tx_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def queues_state_queue_interface_list_queue_info_list_tx_packets_update(self, queue_interface_list=None, queue_info_list=None, tx_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type queue_interface_list: interface_value
    :param queue_interface_list: Keyword argument tuple.

    :type interface_value: unicode
    :param interface_value: **queue_interface_list** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type queue_info_list: interface, num
    :param queue_info_list: Keyword argument tuple.

    :type interface: unicode
    :param interface: **queue_info_list** tuple argument.

    :type num: long
    :param num: **queue_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_packets: long
    :param tx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.queues_state.queue_interface_list', u'queue_interface_list'), ('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list', u'queue_interface_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.queues_state.queue_interface_list.queue_info_list', 'pybind.slxos.v17r_1_00a.brocade_openflow_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_value', 'extra_keyval': ''}, {'keyval': 'interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, queue_interface_list=queue_interface_list, queue_info_list=queue_info_list, tx_packets=tx_packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue_interface_list=queue_interface_list, queue_info_list=queue_info_list, tx_packets=tx_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def radius_server_host_update(self, host=None, auth_port=None, protocol=None, key=None, encryption_level=None, retries=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this RADIUS server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type auth_port: int
    :param auth_port: UDP Port for Authentication (default=1812)

        * range restriction: ::

            ['0..65535']

    :type protocol: unicode
    :param protocol: Authentication protocol to be used (default=CHAP)

        * enumeration restriction: ::

            ['pap', 'chap', 'peap-mschap']

    :type key: unicode
    :param key: Secret shared with this server (default='sharedsecret')

        * length restriction: ::

            ['8 .. max']

    :type encryption_level: unicode
    :param encryption_level: Level of encryption of the key (default=7)

        * enumeration restriction: ::

            ['0', '7']

    :type retries: long
    :param retries: Number of retries for this server connection (default=5)

        * range restriction: ::

            ['0..4294967295']

    :type timeout: long
    :param timeout: Wait time for this server to respond (default=5 sec)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.radius_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.radius_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.radius_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': 'hostname, use_vrf, auth_port, protocol, key, encryption_level, retries, timeout'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.radius_server.host": {}, "pybind.nos.v6_0_2c.radius_server.host": {"encryption_level": "encryption_level", "retries": "retries", "protocol": "protocol", "timeout": "timeout", "hostname": "hostname", "auth_port": "auth_port", "key": "key"}, "pybind.slxos.v17r_1_00a.radius_server.host": {}, "pybind.nos.v7_1_0.radius_server.host": {}, "pybind.slxos.v16r_1_00b.radius_server.host": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, auth_port=auth_port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, auth_port=auth_port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def radius_server_host_auth_port_update(self, host=None, auth_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this RADIUS server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type auth_port: int
    :param auth_port: UDP Port for Authentication (default=1812)

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.radius_server.host', u'host'), ('pybind.slxos.v16r_1_00b.radius_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.radius_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.radius_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.radius_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.radius_server.host": {}, "pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options": {}, "pybind.nos.v6_0_2c.radius_server.host": {"hostname": "hostname", "auth_port": "auth_port"}, "pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options": {}, "pybind.nos.v7_1_0.radius_server.host": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, auth_port=auth_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, auth_port=auth_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def radius_server_host_encryption_level_update(self, host=None, encryption_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this RADIUS server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type encryption_level: unicode
    :param encryption_level: Level of encryption of the key (default=7)

        * enumeration restriction: ::

            ['0', '7']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.radius_server.host', u'host'), ('pybind.slxos.v16r_1_00b.radius_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.radius_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.radius_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.radius_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.radius_server.host": {}, "pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options": {}, "pybind.nos.v6_0_2c.radius_server.host": {"encryption_level": "encryption_level", "hostname": "hostname"}, "pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options": {}, "pybind.nos.v7_1_0.radius_server.host": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, encryption_level=encryption_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, encryption_level=encryption_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def radius_server_host_key_update(self, host=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this RADIUS server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type key: unicode
    :param key: Secret shared with this server (default='sharedsecret')

        * length restriction: ::

            ['8 .. max']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.radius_server.host', u'host'), ('pybind.slxos.v16r_1_00b.radius_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.radius_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.radius_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.radius_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.radius_server.host": {}, "pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options": {}, "pybind.nos.v6_0_2c.radius_server.host": {"hostname": "hostname", "key": "key"}, "pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options": {}, "pybind.nos.v7_1_0.radius_server.host": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def radius_server_host_protocol_update(self, host=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this RADIUS server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Authentication protocol to be used (default=CHAP)

        * enumeration restriction: ::

            ['pap', 'chap', 'peap-mschap']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.radius_server.host', u'host'), ('pybind.slxos.v16r_1_00b.radius_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.radius_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.radius_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.radius_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.radius_server.host": {}, "pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options": {}, "pybind.nos.v6_0_2c.radius_server.host": {"hostname": "hostname", "protocol": "protocol"}, "pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options": {}, "pybind.nos.v7_1_0.radius_server.host": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def radius_server_host_retries_update(self, host=None, retries=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this RADIUS server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type retries: long
    :param retries: Number of retries for this server connection (default=5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.radius_server.host', u'host'), ('pybind.slxos.v16r_1_00b.radius_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.radius_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.radius_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.radius_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.radius_server.host": {}, "pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options": {}, "pybind.nos.v6_0_2c.radius_server.host": {"retries": "retries", "hostname": "hostname"}, "pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options": {}, "pybind.nos.v7_1_0.radius_server.host": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, retries=retries)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, retries=retries)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def radius_server_host_source_interface_update(self, host=None, source_interface_name=None, source_interface_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type host: hostname, use_vrf
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address ofthis RADIUS server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    :type use_vrf: unicode
    :param use_vrf: **host** tuple argument:  VRF to choose for server connection(Default=mgmt-vrf)

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type source_interface_name: unicode
    :param source_interface_name: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'management', 've', 'loopback']

    :type source_interface_value: unicode
    :param source_interface_value: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.radius_server.host', u'host')]
    bindings_list = [('pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options.source_interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, source_interface_name=source_interface_name, source_interface_value=source_interface_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, source_interface_name=source_interface_name, source_interface_value=source_interface_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def radius_server_host_source_interface_source_interface_name_update(self, host=None, source_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type host: hostname, use_vrf
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address ofthis RADIUS server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    :type use_vrf: unicode
    :param use_vrf: **host** tuple argument:  VRF to choose for server connection(Default=mgmt-vrf)

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type source_interface_name: unicode
    :param source_interface_name: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'management', 've', 'loopback']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.radius_server.host', u'host')]
    bindings_list = [('pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options.source_interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, source_interface_name=source_interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, source_interface_name=source_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def radius_server_host_source_interface_source_interface_value_update(self, host=None, source_interface_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type host: hostname, use_vrf
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address ofthis RADIUS server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    :type use_vrf: unicode
    :param use_vrf: **host** tuple argument:  VRF to choose for server connection(Default=mgmt-vrf)

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type source_interface_value: unicode
    :param source_interface_value: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.radius_server.host', u'host')]
    bindings_list = [('pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options.source_interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, source_interface_value=source_interface_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, source_interface_value=source_interface_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def radius_server_host_timeout_update(self, host=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this RADIUS server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type timeout: long
    :param timeout: Wait time for this server to respond (default=5 sec)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.radius_server.host', u'host'), ('pybind.slxos.v16r_1_00b.radius_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.radius_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.radius_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.radius_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.radius_server.host": {}, "pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options": {}, "pybind.nos.v6_0_2c.radius_server.host": {"hostname": "hostname", "timeout": "timeout"}, "pybind.slxos.v17r_1_00a.radius_server.host.radius_server_options": {}, "pybind.nos.v7_1_0.radius_server.host": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable/Disable AG mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ag', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ag', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ag', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_counter_update(self, rbridge_id=None, reliabilitycountervalue=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type reliabilitycountervalue: long
    :param reliabilitycountervalue: Value for reliability counter

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ag.counter', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ag.counter', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ag.counter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.counter', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ag.counter', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, reliabilitycountervalue=reliabilitycountervalue)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, reliabilitycountervalue=reliabilitycountervalue)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_counter_reliability_update(self, rbridge_id=None, reliabilitycountervalue=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type reliabilitycountervalue: long
    :param reliabilitycountervalue: Value for reliability counter

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ag.counter', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ag.counter', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ag.counter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.counter', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ag.counter', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, reliabilitycountervalue=reliabilitycountervalue)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, reliabilitycountervalue=reliabilitycountervalue)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable/Disable AG mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ag', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ag', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ag', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_pg_update(self, rbridge_id=None, pg=None, rename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pg: pgid
    :param pg: Keyword argument tuple.

    :type pgid: long
    :param pgid: **pg** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rename: unicode
    :param rename: Renames the PG

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ag.pg', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ag.pg', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ag.pg', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.pg', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ag.pg', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pg', 'keyval': 'pgid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, pg=pg, rename=rename)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, pg=pg, rename=rename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_pg_rename_update(self, rbridge_id=None, pg=None, rename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pg: pgid
    :param pg: Keyword argument tuple.

    :type pgid: long
    :param pgid: **pg** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rename: unicode
    :param rename: Renames the PG

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ag.pg', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ag.pg', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ag.pg', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.pg', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ag.pg', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pg', 'keyval': 'pgid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, pg=pg, rename=rename)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, pg=pg, rename=rename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_timeout_update(self, rbridge_id=None, fnmtovalue=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fnmtovalue: long
    :param fnmtovalue: Value for time out

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ag.timeout', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ag.timeout', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ag.timeout', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.timeout', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ag.timeout', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, fnmtovalue=fnmtovalue)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, fnmtovalue=fnmtovalue)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_timeout_fnm_update(self, rbridge_id=None, fnmtovalue=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fnmtovalue: long
    :param fnmtovalue: Value for time out

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ag.timeout', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ag.timeout', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ag.timeout', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.timeout', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ag.timeout', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, fnmtovalue=fnmtovalue)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, fnmtovalue=fnmtovalue)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_arp_update(self, rbridge_id=None, arp_entry=None, mac_address_value=None, interfacename=None, GigabitEthernet=None, TenGigabitEthernet=None, FortyGigabitEthernet=None, HundredGigabitEthernet=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mac_address_value: unicode
    :param mac_address_value: **arp_entry** tuple argument.

    :type interfacename: unicode
    :param interfacename: **arp_entry** tuple argument.

        * enumeration restriction: ::

            ['interface']

    :type GigabitEthernet: unicode
    :param GigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: **arp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac_address_value: unicode
    :param mac_address_value: Keyword argument.

    :type interfacename: unicode
    :param interfacename: Keyword argument.

        * enumeration restriction: ::

            ['interface']

    :type GigabitEthernet: unicode
    :param GigabitEthernet: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.arp_entry": {}, "pybind.nos.v6_0_2c.rbridge_id.arp_entry": {"mac_address_value": "mac_address_value", "interfacename": "interfacename", "FortyGigabitEthernet": "FortyGigabitEthernet", "GigabitEthernet": "GigabitEthernet", "TenGigabitEthernet": "TenGigabitEthernet", "arp_ip_address": "arp_ip_address", "HundredGigabitEthernet": "HundredGigabitEthernet", "Ve": "Ve"}, "pybind.nos.v7_1_0.rbridge_id.arp_entry": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.arp_entry': [u'Port_channel', u'Ve', u'FortyGigabitEthernet', u'GigabitEthernet', u'TenGigabitEthernet', u'HundredGigabitEthernet'], 'pybind.nos.v6_0_2c.rbridge_id.arp_entry': [u'FortyGigabitEthernet', u'GigabitEthernet', u'TenGigabitEthernet', u'HundredGigabitEthernet', u'Ve'], 'pybind.nos.v7_1_0.rbridge_id.arp_entry': [u'Port_channel', u'Ve', u'FortyGigabitEthernet', u'GigabitEthernet', u'TenGigabitEthernet', u'HundredGigabitEthernet']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, GigabitEthernet=GigabitEthernet, TenGigabitEthernet=TenGigabitEthernet, FortyGigabitEthernet=FortyGigabitEthernet, HundredGigabitEthernet=HundredGigabitEthernet, Ve=Ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, GigabitEthernet=GigabitEthernet, TenGigabitEthernet=TenGigabitEthernet, FortyGigabitEthernet=FortyGigabitEthernet, HundredGigabitEthernet=HundredGigabitEthernet, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_arp_fortygigabitethernet_update(self, rbridge_id=None, arp_entry=None, FortyGigabitEthernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, arp_entry=arp_entry, FortyGigabitEthernet=FortyGigabitEthernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, arp_entry=arp_entry, FortyGigabitEthernet=FortyGigabitEthernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_arp_gigabitethernet_update(self, rbridge_id=None, arp_entry=None, GigabitEthernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type GigabitEthernet: unicode
    :param GigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, arp_entry=arp_entry, GigabitEthernet=GigabitEthernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, arp_entry=arp_entry, GigabitEthernet=GigabitEthernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_arp_hundredgigabitethernet_update(self, rbridge_id=None, arp_entry=None, HundredGigabitEthernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, arp_entry=arp_entry, HundredGigabitEthernet=HundredGigabitEthernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, arp_entry=arp_entry, HundredGigabitEthernet=HundredGigabitEthernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_arp_interfacename_update(self, rbridge_id=None, arp_entry=None, interfacename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interfacename: unicode
    :param interfacename: Keyword argument.

        * enumeration restriction: ::

            ['interface']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, arp_entry=arp_entry, interfacename=interfacename)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, arp_entry=arp_entry, interfacename=interfacename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_arp_mac_address_value_update(self, rbridge_id=None, arp_entry=None, mac_address_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mac_address_value: unicode
    :param mac_address_value: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, arp_entry=arp_entry, mac_address_value=mac_address_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, arp_entry=arp_entry, mac_address_value=mac_address_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_arp_port_channel_update(self, rbridge_id=None, arp_entry=None, Port_channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type Port_channel: long
    :param Port_channel: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, arp_entry=arp_entry, Port_channel=Port_channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, arp_entry=arp_entry, Port_channel=Port_channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_arp_tengigabitethernet_update(self, rbridge_id=None, arp_entry=None, TenGigabitEthernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, arp_entry=arp_entry, TenGigabitEthernet=TenGigabitEthernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, arp_entry=arp_entry, TenGigabitEthernet=TenGigabitEthernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_arp_ve_update(self, rbridge_id=None, arp_entry=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type Ve: long
    :param Ve: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, arp_entry=arp_entry, Ve=Ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, arp_entry=arp_entry, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_bfd_session_setup_delay_update(self, rbridge_id=None, delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type delay: long
    :param delay: Configure BFD desired session setup delay in seconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.bfd_session_setup_delay', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.bfd_session_setup_delay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, delay=delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, delay=delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_bfd_session_setup_delay_delay_update(self, rbridge_id=None, delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type delay: long
    :param delay: Configure BFD desired session setup delay in seconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.bfd_session_setup_delay', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.bfd_session_setup_delay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, delay=delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, delay=delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_bp_rate_limit_heavy_module_update(self, rbridge_id=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: slot/module range

        * pattern restriction: ::

            '(([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type remove_: unicode
    :param remove_: slot/module range

        * pattern restriction: ::

            '(([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, add_=add_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_bp_rate_limit_heavy_module_add_update(self, rbridge_id=None, add_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: slot/module range

        * pattern restriction: ::

            '(([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, add_=add_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, add_=add_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_bp_rate_limit_heavy_module_remove_update(self, rbridge_id=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type remove_: unicode
    :param remove_: slot/module range

        * pattern restriction: ::

            '(([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-('
            '(1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0'
            '-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|'
            '(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9'
            '][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_bp_rate_limit_queue_update(self, rbridge_id=None, queue=None, limit_percent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type queue: queue_id
    :param queue: Keyword argument tuple.

    :type queue_id: long
    :param queue_id: **queue** tuple argument:  BP queue number (only queue 0 is supported)

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type limit_percent: long
    :param limit_percent: BP queue limit in percentage

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, queue=queue, limit_percent=limit_percent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, queue=queue, limit_percent=limit_percent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_bp_rate_limit_queue_limit_percent_update(self, rbridge_id=None, queue=None, limit_percent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type queue: queue_id
    :param queue: Keyword argument tuple.

    :type queue_id: long
    :param queue_id: **queue** tuple argument:  BP queue number (only queue 0 is supported)

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type limit_percent: long
    :param limit_percent: BP queue limit in percentage

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, queue=queue, limit_percent=limit_percent)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, queue=queue, limit_percent=limit_percent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_chassis_update(self, rbridge_id=None, virtual_ip=None, virtual_ipv6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type virtual_ip: unicode
    :param virtual_ip: Chassis Virtual IPv4 address

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type virtual_ipv6: unicode
    :param virtual_ipv6: Chassis Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.chassis', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.chassis', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.chassis', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.chassis', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.chassis', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, virtual_ip=virtual_ip, virtual_ipv6=virtual_ipv6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, virtual_ip=virtual_ip, virtual_ipv6=virtual_ipv6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_chassis_oper_address_update(self, rbridge_id=None, virtual_oper_Vip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type virtual_oper_Vip_address: unicode
    :param virtual_oper_Vip_address: Show virtual-ip address

        * pattern restriction: ::

            '((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6'
            '-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2('
            '([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?)'
            ')/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.chassis.oper_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.chassis.oper_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.chassis.oper_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, virtual_oper_Vip_address=virtual_oper_Vip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, virtual_oper_Vip_address=virtual_oper_Vip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_chassis_virtual_ip_update(self, rbridge_id=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type virtual_ip: unicode
    :param virtual_ip: Chassis Virtual IPv4 address

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.chassis', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.chassis', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.chassis', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.chassis', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.chassis', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, virtual_ip=virtual_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_chassis_virtual_ip_oper_address_update(self, rbridge_id=None, virtual_oper_Vip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type virtual_oper_Vip_address: unicode
    :param virtual_oper_Vip_address: Show virtual-ip address

        * pattern restriction: ::

            '((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6'
            '-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2('
            '([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?)'
            ')/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.chassis.oper_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.chassis.oper_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.chassis.oper_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, virtual_oper_Vip_address=virtual_oper_Vip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, virtual_oper_Vip_address=virtual_oper_Vip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_chassis_virtual_ip_v4_update(self, rbridge_id=None, virtual_oper_Vip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type virtual_oper_Vip_address: unicode
    :param virtual_oper_Vip_address: Keyword argument.

        * pattern restriction: ::

            '((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6'
            '-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2('
            '([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?)'
            ')/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.slxos.v16r_1_00b.rbridge_id.chassis.oper_address', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.chassis.oper_address', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, virtual_oper_Vip_address=virtual_oper_Vip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, virtual_oper_Vip_address=virtual_oper_Vip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_chassis_virtual_ipv6_update(self, rbridge_id=None, virtual_ipv6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type virtual_ipv6: unicode
    :param virtual_ipv6: Chassis Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.chassis', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.chassis', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.chassis', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.chassis', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.chassis', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, virtual_ipv6=virtual_ipv6)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, virtual_ipv6=virtual_ipv6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_clock_update(self, rbridge_id=None, timezone=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type timezone: unicode
    :param timezone: timezone region/city (regions are Africa,America, Antarctica, Arctic, Asia, Atlantic,Australia, Europe, Indian, Pacific)

        * enumeration restriction: ::

            ['Atlantic/Canary',
            'Australia/Melbourne',
            'Antarctica/Mawson',
            'America/Nipigon',
            'America/Miquelon',
            'Indian/Reunion',
            'Antarctica/Davis',
            'Asia/Dhaka',
            'America/St_Lucia',
            'Asia/Kashgar',
            'America/Phoenix',
            'Asia/Kuwait',
            'Asia/Hong_Kong',
            'Arctic/Longyearbyen',
            'Europe/Guernsey',
            'Antarctica/Rothera',
            'Europe/Stockholm',
            'Pacific/Fiji',
            'Pacific/Apia',
            'Pacific/Pago_Pago',
            'Asia/Rangoon',
            'America/Mexico_City',
            'America/Puerto_Rico',
            'Indian/Mauritius',
            'Europe/Berlin',
            'Europe/Zurich',
            'America/Belem',
            'Europe/Skopje',
            'Asia/Krasnoyarsk',
            'Atlantic/Bermuda',
            'Australia/Currie',
            'Asia/Tehran',
            'Asia/Baku',
            'America/St_Barthelemy',
            'America/Santarem',
            'America/Danmarkshavn',
            'America/Scoresbysund',
            'America/Eirunepe',
            'America/Caracas',
            'Asia/Baghdad',
            'Africa/Monrovia',
            'America/St_Vincent',
            'America/Vancouver',
            'Asia/Ho_Chi_Minh',
            'Asia/Thimphu',
            'Africa/Accra',
            'America/Belize',
            'America/Port_of_Spain',
            'Asia/Tashkent',
            'Asia/Tokyo',
            'Pacific/Kiritimati',
            'Australia/Sydney',
            'Europe/Riga',
            'Asia/Dili',
            'Africa/Mbabane',
            'Asia/Oral',
            'Asia/Aden',
            'Europe/Isle_of_Man',
            'Europe/Istanbul',
            'Africa/Abidjan',
            'Australia/Lindeman',
            'Pacific/Galapagos',
            'America/Bogota',
            'Africa/Asmara',
            'America/Chicago',
            'Pacific/Kwajalein',
            'America/Cuiaba',
            'Indian/Christmas',
            'Asia/Jayapura',
            'Europe/Brussels',
            'Europe/Lisbon',
            'Asia/Chongqing',
            'America/Argentina/Cordoba',
            'America/Noronha',
            'Europe/Madrid',
            'Africa/Algiers',
            'Africa/Harare',
            'Africa/Ndjamena',
            'America/Costa_Rica',
            'Europe/Ljubljana',
            'Indian/Mayotte',
            'Asia/Phnom_Penh',
            'America/Managua',
            'Asia/Brunei',
            'America/Tijuana',
            'Pacific/Fakaofo',
            'America/Adak',
            'America/Antigua',
            'America/Indiana/Indianapolis',
            'America/Argentina/La_Rioja',
            'Pacific/Tahiti',
            'America/Pangnirtung',
            'Europe/Zagreb',
            'America/Asuncion',
            'Europe/Vienna',
            'Australia/Hobart',
            'America/Juneau',
            'America/Inuvik',
            'America/Montreal',
            'Asia/Seoul',
            'Indian/Comoro',
            'Europe/Paris',
            'Europe/Tallinn',
            'Indian/Mahe',
            'America/Argentina/Jujuy',
            'America/Martinique',
            'Asia/Singapore',
            'Africa/Nairobi',
            'America/Maceio',
            'Africa/Cairo',
            'Europe/Moscow',
            'Asia/Ulaanbaatar',
            'America/Rainy_River',
            'Indian/Maldives',
            'Asia/Colombo',
            'Australia/Adelaide',
            'America/Cambridge_Bay',
            'Africa/Luanda',
            'Pacific/Chatham',
            'America/Indiana/Winamac',
            'Asia/Tbilisi',
            'Europe/Gibraltar',
            'Asia/Karachi',
            'Asia/Harbin',
            'Australia/Lord_Howe',
            'America/Boa_Vista',
            'Africa/Tripoli',
            'Pacific/Wallis',
            'Atlantic/Stanley',
            'Asia/Srednekolymsk',
            'America/Blanc-Sablon',
            'America/Santo_Domingo',
            'Antarctica/Syowa',
            'America/Jamaica',
            'Europe/Kiev',
            'Europe/Budapest',
            'Pacific/Midway',
            'America/Goose_Bay',
            'Asia/Amman',
            'Asia/Sakhalin',
            'Africa/Windhoek',
            'Asia/Katmandu',
            'America/Guyana',
            'America/Sao_Paulo',
            'Australia/Perth',
            'Africa/Djibouti',
            'Asia/Jakarta',
            'Asia/Pyongyang',
            'Africa/Johannesburg',
            'Asia/Irkutsk',
            'Africa/Niamey',
            'Africa/Casablanca',
            'Asia/Bishkek',
            'Africa/Nouakchott',
            'Europe/Vilnius',
            'America/Cayenne',
            'Europe/Greenwich',
            'Africa/Mogadishu',
            'America/Kentucky/Monticello',
            'America/Rio_Branco',
            'America/Cancun',
            'America/Havana',
            'Pacific/Guam',
            'Asia/Makassar',
            'Atlantic/Azores',
            'Australia/Eucla',
            'Asia/Shanghai',
            'America/Rankin_Inlet',
            'America/Iqaluit',
            'Africa/Maputo',
            'Asia/Bahrain',
            'Asia/Ashgabat',
            'Asia/Riyadh',
            'Europe/London',
            'Europe/Warsaw',
            'America/Anguilla',
            'Asia/Damascus',
            'America/North_Dakota/Center',
            'America/Indiana/Vevay',
            'Atlantic/St_Helena',
            'America/Barbados',
            'Europe/Vatican',
            'America/Indiana/Vincennes',
            'Asia/Almaty',
            'Africa/Lome',
            'Africa/Brazzaville',
            'America/Nome',
            'Europe/Dublin',
            'America/Yakutat',
            'America/Argentina/Mendoza',
            'America/Araguaina',
            'Europe/Vaduz',
            'Europe/Minsk',
            'Asia/Kolkata',
            'Africa/Maseru',
            'Asia/Kuching',
            'Africa/Libreville',
            'Africa/Freetown',
            'Africa/Bissau',
            'Europe/Samara',
            'Europe/Amsterdam',
            'Europe/Tirane',
            'Pacific/Saipan',
            'Asia/Magadan',
            'Europe/Zaporozhye',
            'America/El_Salvador',
            'Europe/Podgorica',
            'America/Santiago',
            'America/Argentina/Buenos_Aires',
            'America/Argentina/San_Luis',
            'America/Aruba',
            'America/Regina',
            'Pacific/Truk',
            'Pacific/Funafuti',
            'America/Merida',
            'America/Guatemala',
            'Africa/Sao_Tome',
            'Pacific/Kosrae',
            'Africa/Bujumbura',
            'Europe/Chisinau',
            'America/Monterrey',
            'Asia/Yekaterinburg',
            'Antarctica/Casey',
            'Pacific/Enderbury',
            'America/Thule',
            'America/St_Johns',
            'America/Moncton',
            'Europe/Helsinki',
            'Atlantic/Cape_Verde',
            'America/Tegucigalpa',
            'Indian/Cocos',
            'America/Boise',
            'America/Guadeloupe',
            'America/Nassau',
            'Europe/Prague',
            'America/Halifax',
            'Asia/Hovd',
            'America/Manaus',
            'America/Godthab',
            'America/Chihuahua',
            'Asia/Beirut',
            'America/Argentina/Rio_Gallegos',
            'Pacific/Gambier',
            'Europe/Volgograd',
            'Africa/Bamako',
            'Europe/Uzhgorod',
            'Africa/Banjul',
            'Asia/Aqtau',
            'Africa/Malabo',
            'Atlantic/Madeira',
            'Pacific/Noumea',
            'Africa/Kinshasa',
            'Europe/Malta',
            'America/Argentina/Ushuaia',
            'Asia/Bangkok',
            'Pacific/Niue',
            'Australia/Brisbane',
            'America/Recife',
            'Asia/Yerevan',
            'America/La_Paz',
            'Asia/Urumqi',
            'Africa/Lusaka',
            'Pacific/Guadalcanal',
            'America/Yellowknife',
            'Asia/Vientiane',
            'Europe/Kaliningrad',
            'Africa/Conakry',
            'America/Argentina/Tucuman',
            'Europe/Oslo',
            'America/St_Kitts',
            'America/Panama',
            'America/Hermosillo',
            'Pacific/Palau',
            'America/Guayaquil',
            'Asia/Kuala_Lumpur',
            'America/Menominee',
            'Asia/Kamchatka',
            'Asia/Vladivostok',
            'Asia/Qatar',
            'Asia/Dubai',
            'Asia/Yakutsk',
            'Asia/Omsk',
            'Africa/Bangui',
            'America/Paramaribo',
            'Africa/Lubumbashi',
            'Pacific/Marquesas',
            'Europe/Bratislava',
            'Asia/Anadyr',
            'America/New_York',
            'Pacific/Norfolk',
            'Pacific/Rarotonga',
            'America/Dominica',
            'Africa/Porto-Novo',
            'Asia/Samarkand',
            'Asia/Dushanbe',
            'America/Toronto',
            'America/Bahia',
            'Africa/Kampala',
            'Africa/Ouagadougou',
            'Antarctica/South_Pole',
            'Asia/Muscat',
            'America/Edmonton',
            'Pacific/Wake',
            'America/Indiana/Tell_City',
            'Australia/Darwin',
            'America/Whitehorse',
            'America/Swift_Current',
            'Europe/Copenhagen',
            'America/Montserrat',
            'Europe/Simferopol',
            'Africa/Blantyre',
            'America/Detroit',
            'America/Shiprock',
            'America/Grenada',
            'Atlantic/Faroe',
            'America/Indiana/Petersburg',
            'Asia/Pontianak',
            'Europe/Athens',
            'America/Port-au-Prince',
            'America/Cayman',
            'Africa/Dar_es_Salaam',
            'America/Curacao',
            'Indian/Kerguelen',
            'Africa/Khartoum',
            'Asia/Manila',
            'Europe/Sarajevo',
            'Africa/Douala',
            'Europe/Rome',
            'America/Argentina/San_Juan',
            'America/North_Dakota/New_Salem',
            'Pacific/Port_Moresby',
            'Europe/Jersey',
            'Europe/Andorra',
            'Europe/Luxembourg',
            'Pacific/Honolulu',
            'America/St_Thomas',
            'Pacific/Majuro',
            'America/Mazatlan',
            'Asia/Macau',
            'Europe/Belgrade',
            'Asia/Choibalsan',
            'Europe/Mariehamn',
            'Antarctica/McMurdo',
            'America/Thunder_Bay',
            'America/Los_Angeles',
            'Asia/Kabul',
            'Indian/Antananarivo',
            'Atlantic/Reykjavik',
            'Asia/Nicosia',
            'Pacific/Ponape',
            'Pacific/Tongatapu',
            'America/Marigot',
            'Pacific/Pitcairn',
            'Pacific/Easter',
            'Atlantic/South_Georgia',
            'Africa/El_Aaiun',
            'America/Campo_Grande',
            'America/Dawson_Creek',
            'Antarctica/Vostok',
            'Europe/Bucharest',
            'America/Porto_Velho',
            'Europe/Monaco',
            'America/Indiana/Marengo',
            'Africa/Ceuta',
            'America/Winnipeg',
            'Asia/Aqtobe',
            'Africa/Dakar',
            'America/Fortaleza',
            'Pacific/Tarawa',
            'America/Dawson',
            'Africa/Addis_Ababa',
            'Pacific/Efate',
            'Pacific/Johnston',
            'Asia/Qyzylorda',
            'Europe/San_Marino',
            'Asia/Jerusalem',
            'Pacific/Auckland',
            'America/Tortola',
            'America/Denver',
            'Indian/Chagos',
            'America/Glace_Bay',
            'Africa/Gaborone',
            'Africa/Tunis',
            'America/Montevideo',
            'America/Resolute',
            'Etc/GMT',
            'Asia/Gaza',
            'Asia/Taipei',
            'Antarctica/DumontDUrville',
            'America/Argentina/Catamarca',
            'America/Indiana/Knox',
            'Asia/Novosibirsk',
            'Africa/Kigali',
            'America/Grand_Turk',
            'Africa/Lagos',
            'Europe/Sofia',
            'America/Lima',
            'America/Anchorage',
            'Pacific/Nauru']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.clock', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.clock', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.clock', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, timezone=timezone)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, timezone=timezone)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_clock_timezone_update(self, rbridge_id=None, timezone=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type timezone: unicode
    :param timezone: timezone region/city (regions are Africa,America, Antarctica, Arctic, Asia, Atlantic,Australia, Europe, Indian, Pacific)

        * enumeration restriction: ::

            ['Atlantic/Canary',
            'Australia/Melbourne',
            'Antarctica/Mawson',
            'America/Nipigon',
            'America/Miquelon',
            'Indian/Reunion',
            'Antarctica/Davis',
            'Asia/Dhaka',
            'America/St_Lucia',
            'Asia/Kashgar',
            'America/Phoenix',
            'Asia/Kuwait',
            'Asia/Hong_Kong',
            'Arctic/Longyearbyen',
            'Europe/Guernsey',
            'Antarctica/Rothera',
            'Europe/Stockholm',
            'Pacific/Fiji',
            'Pacific/Apia',
            'Pacific/Pago_Pago',
            'Asia/Rangoon',
            'America/Mexico_City',
            'America/Puerto_Rico',
            'Indian/Mauritius',
            'Europe/Berlin',
            'Europe/Zurich',
            'America/Belem',
            'Europe/Skopje',
            'Asia/Krasnoyarsk',
            'Atlantic/Bermuda',
            'Australia/Currie',
            'Asia/Tehran',
            'Asia/Baku',
            'America/St_Barthelemy',
            'America/Santarem',
            'America/Danmarkshavn',
            'America/Scoresbysund',
            'America/Eirunepe',
            'America/Caracas',
            'Asia/Baghdad',
            'Africa/Monrovia',
            'America/St_Vincent',
            'America/Vancouver',
            'Asia/Ho_Chi_Minh',
            'Asia/Thimphu',
            'Africa/Accra',
            'America/Belize',
            'America/Port_of_Spain',
            'Asia/Tashkent',
            'Asia/Tokyo',
            'Pacific/Kiritimati',
            'Australia/Sydney',
            'Europe/Riga',
            'Asia/Dili',
            'Africa/Mbabane',
            'Asia/Oral',
            'Asia/Aden',
            'Europe/Isle_of_Man',
            'Europe/Istanbul',
            'Africa/Abidjan',
            'Australia/Lindeman',
            'Pacific/Galapagos',
            'America/Bogota',
            'Africa/Asmara',
            'America/Chicago',
            'Pacific/Kwajalein',
            'America/Cuiaba',
            'Indian/Christmas',
            'Asia/Jayapura',
            'Europe/Brussels',
            'Europe/Lisbon',
            'Asia/Chongqing',
            'America/Argentina/Cordoba',
            'America/Noronha',
            'Europe/Madrid',
            'Africa/Algiers',
            'Africa/Harare',
            'Africa/Ndjamena',
            'America/Costa_Rica',
            'Europe/Ljubljana',
            'Indian/Mayotte',
            'Asia/Phnom_Penh',
            'America/Managua',
            'Asia/Brunei',
            'America/Tijuana',
            'Pacific/Fakaofo',
            'America/Adak',
            'America/Antigua',
            'America/Indiana/Indianapolis',
            'America/Argentina/La_Rioja',
            'Pacific/Tahiti',
            'America/Pangnirtung',
            'Europe/Zagreb',
            'America/Asuncion',
            'Europe/Vienna',
            'Australia/Hobart',
            'America/Juneau',
            'America/Inuvik',
            'America/Montreal',
            'Asia/Seoul',
            'Indian/Comoro',
            'Europe/Paris',
            'Europe/Tallinn',
            'Indian/Mahe',
            'America/Argentina/Jujuy',
            'America/Martinique',
            'Asia/Singapore',
            'Africa/Nairobi',
            'America/Maceio',
            'Africa/Cairo',
            'Europe/Moscow',
            'Asia/Ulaanbaatar',
            'America/Rainy_River',
            'Indian/Maldives',
            'Asia/Colombo',
            'Australia/Adelaide',
            'America/Cambridge_Bay',
            'Africa/Luanda',
            'Pacific/Chatham',
            'America/Indiana/Winamac',
            'Asia/Tbilisi',
            'Europe/Gibraltar',
            'Asia/Karachi',
            'Asia/Harbin',
            'Australia/Lord_Howe',
            'America/Boa_Vista',
            'Africa/Tripoli',
            'Pacific/Wallis',
            'Atlantic/Stanley',
            'Asia/Srednekolymsk',
            'America/Blanc-Sablon',
            'America/Santo_Domingo',
            'Antarctica/Syowa',
            'America/Jamaica',
            'Europe/Kiev',
            'Europe/Budapest',
            'Pacific/Midway',
            'America/Goose_Bay',
            'Asia/Amman',
            'Asia/Sakhalin',
            'Africa/Windhoek',
            'Asia/Katmandu',
            'America/Guyana',
            'America/Sao_Paulo',
            'Australia/Perth',
            'Africa/Djibouti',
            'Asia/Jakarta',
            'Asia/Pyongyang',
            'Africa/Johannesburg',
            'Asia/Irkutsk',
            'Africa/Niamey',
            'Africa/Casablanca',
            'Asia/Bishkek',
            'Africa/Nouakchott',
            'Europe/Vilnius',
            'America/Cayenne',
            'Europe/Greenwich',
            'Africa/Mogadishu',
            'America/Kentucky/Monticello',
            'America/Rio_Branco',
            'America/Cancun',
            'America/Havana',
            'Pacific/Guam',
            'Asia/Makassar',
            'Atlantic/Azores',
            'Australia/Eucla',
            'Asia/Shanghai',
            'America/Rankin_Inlet',
            'America/Iqaluit',
            'Africa/Maputo',
            'Asia/Bahrain',
            'Asia/Ashgabat',
            'Asia/Riyadh',
            'Europe/London',
            'Europe/Warsaw',
            'America/Anguilla',
            'Asia/Damascus',
            'America/North_Dakota/Center',
            'America/Indiana/Vevay',
            'Atlantic/St_Helena',
            'America/Barbados',
            'Europe/Vatican',
            'America/Indiana/Vincennes',
            'Asia/Almaty',
            'Africa/Lome',
            'Africa/Brazzaville',
            'America/Nome',
            'Europe/Dublin',
            'America/Yakutat',
            'America/Argentina/Mendoza',
            'America/Araguaina',
            'Europe/Vaduz',
            'Europe/Minsk',
            'Asia/Kolkata',
            'Africa/Maseru',
            'Asia/Kuching',
            'Africa/Libreville',
            'Africa/Freetown',
            'Africa/Bissau',
            'Europe/Samara',
            'Europe/Amsterdam',
            'Europe/Tirane',
            'Pacific/Saipan',
            'Asia/Magadan',
            'Europe/Zaporozhye',
            'America/El_Salvador',
            'Europe/Podgorica',
            'America/Santiago',
            'America/Argentina/Buenos_Aires',
            'America/Argentina/San_Luis',
            'America/Aruba',
            'America/Regina',
            'Pacific/Truk',
            'Pacific/Funafuti',
            'America/Merida',
            'America/Guatemala',
            'Africa/Sao_Tome',
            'Pacific/Kosrae',
            'Africa/Bujumbura',
            'Europe/Chisinau',
            'America/Monterrey',
            'Asia/Yekaterinburg',
            'Antarctica/Casey',
            'Pacific/Enderbury',
            'America/Thule',
            'America/St_Johns',
            'America/Moncton',
            'Europe/Helsinki',
            'Atlantic/Cape_Verde',
            'America/Tegucigalpa',
            'Indian/Cocos',
            'America/Boise',
            'America/Guadeloupe',
            'America/Nassau',
            'Europe/Prague',
            'America/Halifax',
            'Asia/Hovd',
            'America/Manaus',
            'America/Godthab',
            'America/Chihuahua',
            'Asia/Beirut',
            'America/Argentina/Rio_Gallegos',
            'Pacific/Gambier',
            'Europe/Volgograd',
            'Africa/Bamako',
            'Europe/Uzhgorod',
            'Africa/Banjul',
            'Asia/Aqtau',
            'Africa/Malabo',
            'Atlantic/Madeira',
            'Pacific/Noumea',
            'Africa/Kinshasa',
            'Europe/Malta',
            'America/Argentina/Ushuaia',
            'Asia/Bangkok',
            'Pacific/Niue',
            'Australia/Brisbane',
            'America/Recife',
            'Asia/Yerevan',
            'America/La_Paz',
            'Asia/Urumqi',
            'Africa/Lusaka',
            'Pacific/Guadalcanal',
            'America/Yellowknife',
            'Asia/Vientiane',
            'Europe/Kaliningrad',
            'Africa/Conakry',
            'America/Argentina/Tucuman',
            'Europe/Oslo',
            'America/St_Kitts',
            'America/Panama',
            'America/Hermosillo',
            'Pacific/Palau',
            'America/Guayaquil',
            'Asia/Kuala_Lumpur',
            'America/Menominee',
            'Asia/Kamchatka',
            'Asia/Vladivostok',
            'Asia/Qatar',
            'Asia/Dubai',
            'Asia/Yakutsk',
            'Asia/Omsk',
            'Africa/Bangui',
            'America/Paramaribo',
            'Africa/Lubumbashi',
            'Pacific/Marquesas',
            'Europe/Bratislava',
            'Asia/Anadyr',
            'America/New_York',
            'Pacific/Norfolk',
            'Pacific/Rarotonga',
            'America/Dominica',
            'Africa/Porto-Novo',
            'Asia/Samarkand',
            'Asia/Dushanbe',
            'America/Toronto',
            'America/Bahia',
            'Africa/Kampala',
            'Africa/Ouagadougou',
            'Antarctica/South_Pole',
            'Asia/Muscat',
            'America/Edmonton',
            'Pacific/Wake',
            'America/Indiana/Tell_City',
            'Australia/Darwin',
            'America/Whitehorse',
            'America/Swift_Current',
            'Europe/Copenhagen',
            'America/Montserrat',
            'Europe/Simferopol',
            'Africa/Blantyre',
            'America/Detroit',
            'America/Shiprock',
            'America/Grenada',
            'Atlantic/Faroe',
            'America/Indiana/Petersburg',
            'Asia/Pontianak',
            'Europe/Athens',
            'America/Port-au-Prince',
            'America/Cayman',
            'Africa/Dar_es_Salaam',
            'America/Curacao',
            'Indian/Kerguelen',
            'Africa/Khartoum',
            'Asia/Manila',
            'Europe/Sarajevo',
            'Africa/Douala',
            'Europe/Rome',
            'America/Argentina/San_Juan',
            'America/North_Dakota/New_Salem',
            'Pacific/Port_Moresby',
            'Europe/Jersey',
            'Europe/Andorra',
            'Europe/Luxembourg',
            'Pacific/Honolulu',
            'America/St_Thomas',
            'Pacific/Majuro',
            'America/Mazatlan',
            'Asia/Macau',
            'Europe/Belgrade',
            'Asia/Choibalsan',
            'Europe/Mariehamn',
            'Antarctica/McMurdo',
            'America/Thunder_Bay',
            'America/Los_Angeles',
            'Asia/Kabul',
            'Indian/Antananarivo',
            'Atlantic/Reykjavik',
            'Asia/Nicosia',
            'Pacific/Ponape',
            'Pacific/Tongatapu',
            'America/Marigot',
            'Pacific/Pitcairn',
            'Pacific/Easter',
            'Atlantic/South_Georgia',
            'Africa/El_Aaiun',
            'America/Campo_Grande',
            'America/Dawson_Creek',
            'Antarctica/Vostok',
            'Europe/Bucharest',
            'America/Porto_Velho',
            'Europe/Monaco',
            'America/Indiana/Marengo',
            'Africa/Ceuta',
            'America/Winnipeg',
            'Asia/Aqtobe',
            'Africa/Dakar',
            'America/Fortaleza',
            'Pacific/Tarawa',
            'America/Dawson',
            'Africa/Addis_Ababa',
            'Pacific/Efate',
            'Pacific/Johnston',
            'Asia/Qyzylorda',
            'Europe/San_Marino',
            'Asia/Jerusalem',
            'Pacific/Auckland',
            'America/Tortola',
            'America/Denver',
            'Indian/Chagos',
            'America/Glace_Bay',
            'Africa/Gaborone',
            'Africa/Tunis',
            'America/Montevideo',
            'America/Resolute',
            'Etc/GMT',
            'Asia/Gaza',
            'Asia/Taipei',
            'Antarctica/DumontDUrville',
            'America/Argentina/Catamarca',
            'America/Indiana/Knox',
            'Asia/Novosibirsk',
            'Africa/Kigali',
            'America/Grand_Turk',
            'Africa/Lagos',
            'Europe/Sofia',
            'America/Lima',
            'America/Anchorage',
            'Pacific/Nauru']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.clock', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.clock', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.clock', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, timezone=timezone)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, timezone=timezone)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_crypto_ca_update(self, rbridge_id=None, ca=None, keypair=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ca: trustpoint
    :param ca: Keyword argument tuple.

    :type trustpoint: unicode
    :param trustpoint: **ca** tuple argument:  Trustpoint name

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type keypair: unicode
    :param keypair: Key pair association

        * length restriction: ::

            ['0..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.crypto.ca', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.crypto.ca', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.crypto.ca', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ca=ca, keypair=keypair)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ca=ca, keypair=keypair)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_crypto_ca_keypair_update(self, rbridge_id=None, ca=None, keypair=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ca: trustpoint
    :param ca: Keyword argument tuple.

    :type trustpoint: unicode
    :param trustpoint: **ca** tuple argument:  Trustpoint name

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type keypair: unicode
    :param keypair: Key pair association

        * length restriction: ::

            ['0..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.crypto.ca', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.crypto.ca', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.crypto.ca', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ca=ca, keypair=keypair)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ca=ca, keypair=keypair)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_crypto_key_update(self, rbridge_id=None, key=None, type=None, modulus=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type key: label, type, modulus
    :param key: Keyword argument tuple.

    :type label: unicode
    :param label: **key** tuple argument:  Key Label

        * length restriction: ::

            ['1..64']

    :type type: unicode
    :param type: **key** tuple argument:  Key Type

        * enumeration restriction: ::

            ['dsa', 'rsa', 'ecdsa']

    :type modulus: long
    :param modulus: **key** tuple argument:  Key Size

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Key Type

        * enumeration restriction: ::

            ['dsa', 'rsa', 'ecdsa']

    :type modulus: long
    :param modulus: Key Size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.crypto.key', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.crypto.key', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.crypto.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, key=key, type=type, modulus=modulus)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, key=key, type=type, modulus=modulus)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_crypto_key_modulus_update(self, rbridge_id=None, key=None, modulus=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type key: label
    :param key: Keyword argument tuple.

    :type label: unicode
    :param label: **key** tuple argument:  Key Label

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type modulus: long
    :param modulus: Key Size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.crypto.key', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.crypto.key', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.crypto.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, key=key, modulus=modulus)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, key=key, modulus=modulus)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_crypto_key_type_update(self, rbridge_id=None, key=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type key: label
    :param key: Keyword argument tuple.

    :type label: unicode
    :param label: **key** tuple argument:  Key Label

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Key Type

        * enumeration restriction: ::

            ['dsa', 'rsa', 'ecdsa']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.crypto.key', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.crypto.key', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.crypto.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, key=key, type=type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, key=key, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_default_config_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable/Disable default config mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.default_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.default_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.default_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.default_config', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.default_config', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_default_config_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable/Disable default config mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.default_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.default_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.default_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.default_config', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.default_config', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_dhcpd_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Configure dhcpd

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.dhcpd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_dhcpd_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Configure dhcpd

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.dhcpd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_name_update(self, rbridge_id=None, name=None, delay=None, iterations=None, interval=None, run_mode=None, trigger_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type delay: long
    :param delay: Delay (in seconds) that the event-handler will wait, for the initial launch of the action after the trigger has been received (default = 0).

        * range restriction: ::

            ['0..4294967295']

    :type iterations: long
    :param iterations: Number of times to launch the action after the initial trigger has been received (default = 1).

        * range restriction: ::

            ['0..4294967295']

    :type interval: long
    :param interval: Time (in seconds) that the event-handler will wait between iterations of completing the previous action (default = 0).

        * range restriction: ::

            ['0..4294967295']

    :type run_mode: unicode
    :param run_mode: Run-mode controls how the action is launched with cluster formation (default = non-exclusive).

        * enumeration restriction: ::

            ['exclusive', 'non-exclusive']

    :type trigger_mode: unicode
    :param trigger_mode: Trigger-mode controls how the action is launched with the configured event trigger (default = each-instance).

        * enumeration restriction: ::

            ['each-instance',
            'only-once',
            'on-first-instance']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.event_handler.activate.name', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.event_handler.activate.name": {"name": "name", "interval": "interval", "trigger_mode": "trigger_mode", "delay": "delay", "iterations": "iterations", "run_mode": "run_mode"}, "pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name": {}, "pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, name=name, delay=delay, iterations=iterations, interval=interval, run_mode=run_mode, trigger_mode=trigger_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, name=name, delay=delay, iterations=iterations, interval=interval, run_mode=run_mode, trigger_mode=trigger_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_name_action_timeout_update(self, rbridge_id=None, name=None, action_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type action_timeout: long
    :param action_timeout: Number of minutes to elapse before action is aborted.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, name=name, action_timeout=action_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, name=name, action_timeout=action_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_name_delay_update(self, rbridge_id=None, name=None, delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type delay: long
    :param delay: Delay (in seconds) that the event-handler will wait, for the initial launch of the action after the trigger has been received (default = 0).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.event_handler.activate.name', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, name=name, delay=delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, name=name, delay=delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_name_interval_update(self, rbridge_id=None, name=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Time (in seconds) that the event-handler will wait between iterations of completing the previous action (default = 0).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.event_handler.activate.name', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, name=name, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, name=name, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_name_iterations_update(self, rbridge_id=None, name=None, iterations=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type iterations: long
    :param iterations: Number of times to launch the action after the initial trigger has been received (default = 1).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.event_handler.activate.name', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, name=name, iterations=iterations)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, name=name, iterations=iterations)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_name_run_mode_update(self, rbridge_id=None, name=None, run_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type run_mode: unicode
    :param run_mode: Run-mode controls how the action is launched with cluster formation (default = non-exclusive).

        * enumeration restriction: ::

            ['exclusive', 'non-exclusive']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.event_handler.activate.name', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, name=name, run_mode=run_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, name=name, run_mode=run_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_name_time_window_update(self, rbridge_id=None, name=None, time_window=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type time_window: long
    :param time_window: Number of seconds that is valid for all triggers to be received in order to launch the action.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name', u'name'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.event_handler.activate.name', u'name')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.event_handler.activate.name.trigger_function_container', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name.trigger_function_container', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, name=name, time_window=time_window)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, name=name, time_window=time_window)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_name_trigger_function_update(self, rbridge_id=None, name=None, trigger_function=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type trigger_function: unicode
    :param trigger_function: Trigger-function controls how multiple triggers are interpreted to launch the action (default = OR).

        * enumeration restriction: ::

            ['AND', 'OR']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name', u'name'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.event_handler.activate.name', u'name')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.event_handler.activate.name.trigger_function_container', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name.trigger_function_container', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, name=name, trigger_function=trigger_function)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, name=name, trigger_function=trigger_function)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_name_trigger_function_time_window_update(self, rbridge_id=None, name=None, time_window=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type time_window: long
    :param time_window: Number of seconds that is valid for all triggers to be received in order to launch the action.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', u'name')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name.trigger_function', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, name=name, time_window=time_window)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, name=name, time_window=time_window)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_name_trigger_function_trigger_function_update(self, rbridge_id=None, name=None, trigger_function=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type trigger_function: unicode
    :param trigger_function: ENUM:AND|OR;; Trigger-function controls how multiple triggers are interpreted to launch the action (default = OR).

        * enumeration restriction: ::

            ['AND', 'OR']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', u'name')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name.trigger_function', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, name=name, trigger_function=trigger_function)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, name=name, trigger_function=trigger_function)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_name_trigger_mode_update(self, rbridge_id=None, name=None, trigger_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type trigger_mode: unicode
    :param trigger_mode: Trigger-mode controls how the action is launched with the configured event trigger (default = each-instance).

        * enumeration restriction: ::

            ['each-instance',
            'only-once',
            'on-first-instance']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.event_handler.activate.name', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, name=name, trigger_mode=trigger_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, name=name, trigger_mode=trigger_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_update(self, rbridge_id=None, evpn_instance=None, df_delay_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type df_delay_timer: long
    :param df_delay_timer: DF delay timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_instance', 'keyval': 'instance_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, df_delay_timer=df_delay_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, df_delay_timer=df_delay_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_df_delay_timer_update(self, rbridge_id=None, evpn_instance=None, df_delay_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type df_delay_timer: long
    :param df_delay_timer: DF delay timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_instance', 'keyval': 'instance_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, df_delay_timer=df_delay_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, df_delay_timer=df_delay_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_duplicate_mac_timer_update(self, rbridge_id=None, evpn_instance=None, duplicate_mac_timer_value=None, max_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type duplicate_mac_timer_value: long
    :param duplicate_mac_timer_value: Duplicate mac timer value in seconds

        * range restriction: ::

            ['0..4294967295']

    :type max_count: long
    :param max_count: Max count.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.duplicate_mac_timer', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.duplicate_mac_timer', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'duplicate_mac_timer_value, max_count'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, duplicate_mac_timer_value=duplicate_mac_timer_value, max_count=max_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, duplicate_mac_timer_value=duplicate_mac_timer_value, max_count=max_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_duplicate_mac_timer_duplicate_mac_timer_value_update(self, rbridge_id=None, evpn_instance=None, duplicate_mac_timer_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type duplicate_mac_timer_value: long
    :param duplicate_mac_timer_value: Duplicate mac timer value in seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.duplicate_mac_timer', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.duplicate_mac_timer', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, duplicate_mac_timer_value=duplicate_mac_timer_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, duplicate_mac_timer_value=duplicate_mac_timer_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_duplicate_mac_timer_max_count_update(self, rbridge_id=None, evpn_instance=None, max_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type max_count: long
    :param max_count: Max count.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.duplicate_mac_timer', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.duplicate_mac_timer', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, max_count=max_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, max_count=max_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_rd_update(self, rbridge_id=None, evpn_instance=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type auto: YANGBool
    :param auto: Auto generation of RD. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.route_distinguisher', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_distinguisher', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'auto'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_distinguisher': [u'auto'], 'pybind.nos.v7_0_1b.rbridge_id.evpn_instance.route_distinguisher': [u'auto']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, auto=auto)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_rd_auto_update(self, rbridge_id=None, evpn_instance=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type auto: YANGBool
    :param auto: Auto generation of RD

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.route_distinguisher', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_distinguisher', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, auto=auto)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_route_target_both_update(self, rbridge_id=None, evpn_instance=None, both=None, ignore_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type both: target_community
    :param both: Keyword argument tuple.

    :type target_community: unicode
    :param target_community: **both** tuple argument:  auto;; Target VPN Extended Community

    **Instance Argument(s)**:

    :type ignore_as: YANGBool
    :param ignore_as: Ignore-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'both', 'keyval': 'target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, both=both, ignore_as=ignore_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, both=both, ignore_as=ignore_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_route_target_both_ignore_as_update(self, rbridge_id=None, evpn_instance=None, both=None, ignore_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type both: target_community
    :param both: Keyword argument tuple.

    :type target_community: unicode
    :param target_community: **both** tuple argument:  auto;; Target VPN Extended Community

    **Instance Argument(s)**:

    :type ignore_as: YANGBool
    :param ignore_as: Ignore-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'both', 'keyval': 'target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, both=both, ignore_as=ignore_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, both=both, ignore_as=ignore_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_route_target_import_update(self, rbridge_id=None, evpn_instance=None, import_=None, ignore_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type import_: target_community
    :param import_: Keyword argument tuple.

    :type target_community: unicode
    :param target_community: **import_** tuple argument:  auto ;; Target VPN Extended Community

    **Instance Argument(s)**:

    :type ignore_as: YANGBool
    :param ignore_as: Ignore-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'import_', 'keyval': 'target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, import_=import_, ignore_as=ignore_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, import_=import_, ignore_as=ignore_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_route_target_import_ignore_as_update(self, rbridge_id=None, evpn_instance=None, import_=None, ignore_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type import_: target_community
    :param import_: Keyword argument tuple.

    :type target_community: unicode
    :param target_community: **import_** tuple argument:  auto ;; Target VPN Extended Community

    **Instance Argument(s)**:

    :type ignore_as: YANGBool
    :param ignore_as: Ignore-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'import_', 'keyval': 'target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, import_=import_, ignore_as=ignore_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, import_=import_, ignore_as=ignore_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_vni_add_update(self, rbridge_id=None, evpn_instance=None, add_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Add VNIs to the EVPN Instance.

        * pattern restriction: ::

            '(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9'
            ']{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16'
            '777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]))'
            '(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0'
            '-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|('
            '16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]'
            ')))?(,(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-'
            '6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3'
            '})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721['
            '0-5]))(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16['
            '0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]'
            '{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(167772'
            '1[0-5])))?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.vni.vni_add', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.vni_add', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, add_=add_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, add_=add_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_vni_evpn_vni_update(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, rd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type evpn_vni: vni_number
    :param evpn_vni: Keyword argument tuple.

    :type vni_number: long
    :param vni_number: **evpn_vni** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rd: unicode
    :param rd: Configure RD for the VNI.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_vni', 'keyval': 'vni_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, rd=rd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, rd=rd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_vni_evpn_vni_rd_update(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, rd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type evpn_vni: vni_number
    :param evpn_vni: Keyword argument tuple.

    :type vni_number: long
    :param vni_number: **evpn_vni** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rd: unicode
    :param rd: Configure RD for the VNI.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_vni', 'keyval': 'vni_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, rd=rd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, rd=rd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_vni_remove_update(self, rbridge_id=None, evpn_instance=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type remove_: unicode
    :param remove_: Remove VNIs to the EVPN Instance.

        * pattern restriction: ::

            '(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9'
            ']{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16'
            '777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]))'
            '(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0'
            '-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|('
            '16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]'
            ')))?(,(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-'
            '6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3'
            '})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721['
            '0-5]))(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16['
            '0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]'
            '{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(167772'
            '1[0-5])))?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.vni.vni_add', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.vni_add', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_vni_vni_add_update(self, rbridge_id=None, evpn_instance=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Add VNIs to the EVPN Instance.

        * pattern restriction: ::

            '(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9'
            ']{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16'
            '777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]))'
            '(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0'
            '-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|('
            '16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]'
            ')))?(,(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-'
            '6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3'
            '})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721['
            '0-5]))(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16['
            '0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]'
            '{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(167772'
            '1[0-5])))?)*'

    :type remove_: unicode
    :param remove_: Remove VNIs to the EVPN Instance.

        * pattern restriction: ::

            '(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9'
            ']{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16'
            '777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]))'
            '(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0'
            '-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|('
            '16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]'
            ')))?(,(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-'
            '6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3'
            '})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721['
            '0-5]))(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16['
            '0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]'
            '{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(167772'
            '1[0-5])))?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.vni.vni_add', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.vni_add', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, add_=add_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_update(self, rbridge_id=None, neighbor_discovery=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type neighbor_discovery: YANGBool
    :param neighbor_discovery: Enable neighbor discovery to form VCS cluster

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.fabric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fabric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.rbridge_id.fabric": {}, "pybind.nos.v7_1_0.rbridge_id.fabric": {"neighbor_discovery": "neighbor_discovery"}, "pybind.nos.v6_0_2c.rbridge_id.fabric": {}, "pybind.nos.v7_0_1b.rbridge_id.fabric": {"neighbor_discovery": "neighbor_discovery"}, "pybind.slxos.v17r_1_00a.rbridge_id.fabric": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_discovery=neighbor_discovery)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_discovery=neighbor_discovery)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_ecmp_update(self, rbridge_id=None, ecmp_load_balance=None, load_balance_hash_swap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ecmp_load_balance: unicode
    :param ecmp_load_balance: Configure load balancing parameters

        * enumeration restriction: ::

            ['src-dst-ip-port',
            'src-mac-vid',
            'src-dst-ip',
            'src-dst-ip-mac-vid',
            'dst-mac-vid',
            'src-dst-mac-vid',
            'src-dst-ip-mac-vid-port']

    :type load_balance_hash_swap: long
    :param load_balance_hash_swap: Configure Hash-Swap value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fabric.ecmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fabric.ecmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fabric.ecmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.ecmp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.fabric.ecmp', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ecmp_load_balance=ecmp_load_balance, load_balance_hash_swap=load_balance_hash_swap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ecmp_load_balance=ecmp_load_balance, load_balance_hash_swap=load_balance_hash_swap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_ecmp_load_balance_update(self, rbridge_id=None, ecmp_load_balance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ecmp_load_balance: unicode
    :param ecmp_load_balance: Configure load balancing parameters

        * enumeration restriction: ::

            ['src-dst-ip-port',
            'src-mac-vid',
            'src-dst-ip',
            'src-dst-ip-mac-vid',
            'dst-mac-vid',
            'src-dst-mac-vid',
            'src-dst-ip-mac-vid-port']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fabric.ecmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fabric.ecmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fabric.ecmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.ecmp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.fabric.ecmp', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ecmp_load_balance=ecmp_load_balance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ecmp_load_balance=ecmp_load_balance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_ecmp_load_balance_hash_swap_update(self, rbridge_id=None, load_balance_hash_swap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type load_balance_hash_swap: long
    :param load_balance_hash_swap: Configure Hash-Swap value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fabric.ecmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fabric.ecmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fabric.ecmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.ecmp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.fabric.ecmp', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, load_balance_hash_swap=load_balance_hash_swap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, load_balance_hash_swap=load_balance_hash_swap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_login_policy_duplicatewwn_update(self, rbridge_id=None, precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type precedence: unicode
    :param precedence: Configure device login precedence.

        * enumeration restriction: ::

            ['new-login', 'old-login']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, precedence=precedence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, precedence=precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_login_policy_duplicatewwn_precedence_update(self, rbridge_id=None, precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type precedence: unicode
    :param precedence: Configure device login precedence.

        * enumeration restriction: ::

            ['new-login', 'old-login']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, precedence=precedence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, precedence=precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_neighbor_discovery_update(self, rbridge_id=None, neighbor_discovery=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type neighbor_discovery: YANGBool
    :param neighbor_discovery: Enable neighbor discovery to form VCS cluster

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.fabric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fabric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_discovery=neighbor_discovery)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_discovery=neighbor_discovery)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_port_channel_update(self, rbridge_id=None, port_channel=None, vlag_load_balance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_channel: po_id
    :param port_channel: Keyword argument tuple.

    :type po_id: long
    :param po_id: **port_channel** tuple argument:  Port-channel id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlag_load_balance: unicode
    :param vlag_load_balance: Load balancing Commands

        * enumeration restriction: ::

            ['src-dst-ip-port',
            'src-mac-vid',
            'src-dst-ip',
            'src-dst-ip-mac-vid',
            'dst-mac-vid',
            'src-dst-mac-vid',
            'src-dst-ip-mac-vid-port']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fabric.port_channel', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fabric.port_channel', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fabric.port_channel', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.port_channel', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.fabric.port_channel', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'po_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, port_channel=port_channel, vlag_load_balance=vlag_load_balance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, port_channel=port_channel, vlag_load_balance=vlag_load_balance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_port_channel_load_balance_update(self, rbridge_id=None, port_channel=None, vlag_load_balance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_channel: po_id
    :param port_channel: Keyword argument tuple.

    :type po_id: long
    :param po_id: **port_channel** tuple argument:  Port-channel id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlag_load_balance: unicode
    :param vlag_load_balance: Load balancing Commands

        * enumeration restriction: ::

            ['src-dst-ip-port',
            'src-mac-vid',
            'src-dst-ip',
            'src-dst-ip-mac-vid',
            'dst-mac-vid',
            'src-dst-mac-vid',
            'src-dst-ip-mac-vid-port']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fabric.port_channel', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fabric.port_channel', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fabric.port_channel', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.port_channel', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.fabric.port_channel', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'po_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, port_channel=port_channel, vlag_load_balance=vlag_load_balance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, port_channel=port_channel, vlag_load_balance=vlag_load_balance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_route_mcast_update(self, rbridge_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Syntax: priority [priority] (default 1)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fabric.route.mcast', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fabric.route.mcast', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fabric.route.mcast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.route.mcast', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.fabric.route.mcast', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_route_mcast_priority_update(self, rbridge_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Syntax: priority [priority] (default 1)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fabric.route.mcast', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fabric.route.mcast', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fabric.route.mcast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.route.mcast', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.fabric.route.mcast', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcoe_update(self, rbridge_id=None, fcoe_max_enode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fcoe_max_enode: long
    :param fcoe_max_enode: Configure the fcoe enodes for the FCoE Fabric-map

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fcoe_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fcoe_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fcoe_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fcoe_config', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.fcoe_config', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, fcoe_max_enode=fcoe_max_enode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, fcoe_max_enode=fcoe_max_enode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcoe_fcoe_enodes_update(self, rbridge_id=None, fcoe_max_enode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fcoe_max_enode: long
    :param fcoe_max_enode: Configure the fcoe enodes for the FCoE Fabric-map

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fcoe_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fcoe_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fcoe_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fcoe_config', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.fcoe_config', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, fcoe_max_enode=fcoe_max_enode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, fcoe_max_enode=fcoe_max_enode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcsp_auth_auth_type_update(self, rbridge_id=None, auth_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_type: unicode
    :param auth_type: The authentication type

        * enumeration restriction: ::

            ['dh-chap']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fcsp.auth.proto', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, auth_type=auth_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, auth_type=auth_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcsp_auth_group_update(self, rbridge_id=None, group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type group: unicode
    :param group: The group value

        * pattern restriction: ::

            '[0-4\*]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fcsp.auth.proto', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, group=group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, group=group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcsp_auth_hash_update(self, rbridge_id=None, hash=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hash: unicode
    :param hash: The hash type

        * enumeration restriction: ::

            ['all', 'sha1', 'md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fcsp.auth.proto', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, hash=hash)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, hash=hash)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcsp_auth_policy_update(self, rbridge_id=None, switch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type switch: unicode
    :param switch: Enable switch policy

        * enumeration restriction: ::

            ['active', 'on', 'off', 'passive']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fcsp.auth.policy', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fcsp.auth.policy', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.policy', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, switch=switch)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, switch=switch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcsp_auth_policy_switch_update(self, rbridge_id=None, switch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type switch: unicode
    :param switch: Enable switch policy

        * enumeration restriction: ::

            ['active', 'on', 'off', 'passive']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fcsp.auth.policy', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fcsp.auth.policy', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.policy', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, switch=switch)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, switch=switch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcsp_auth_proto_update(self, rbridge_id=None, auth_type=None, group=None, hash=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_type: unicode
    :param auth_type: The authentication type

        * enumeration restriction: ::

            ['dh-chap']

    :type group: unicode
    :param group: The group value

        * pattern restriction: ::

            '[0-4\*]'

    :type hash: unicode
    :param hash: The hash type

        * enumeration restriction: ::

            ['all', 'sha1', 'md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fcsp.auth.proto', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, auth_type=auth_type, group=group, hash=hash)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, auth_type=auth_type, group=group, hash=hash)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_kap_custom_profile_update(self, rbridge_id=None, kap_profilename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type kap_profilename: unicode
    :param kap_profilename: Profile name [length 1-64]

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.hardware_profile.kap.customized', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.hardware_profile.kap.customized', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.kap.customized', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, kap_profilename=kap_profilename)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, kap_profilename=kap_profilename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_kap_custom_profile_kap_profilename_update(self, rbridge_id=None, kap_profilename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type kap_profilename: unicode
    :param kap_profilename: Profile name [length 1-64]

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.hardware_profile.kap.customized', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.hardware_profile.kap.customized', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.kap.customized', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, kap_profilename=kap_profilename)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, kap_profilename=kap_profilename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_kap_kap_profiletype_update(self, rbridge_id=None, kap_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type kap_profiletype: unicode
    :param kap_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['default']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.hardware_profile.kap.predefined', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.hardware_profile.kap.predefined', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.kap.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, kap_profiletype=kap_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, kap_profiletype=kap_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_kap_predefined_update(self, rbridge_id=None, kap_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type kap_profiletype: unicode
    :param kap_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['default']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.hardware_profile.kap.predefined', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.hardware_profile.kap.predefined', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.kap.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, kap_profiletype=kap_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, kap_profiletype=kap_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_route_table_maximum_paths_update(self, rbridge_id=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type maximum_paths: unicode
    :param maximum_paths: Maximum number of load-sharing paths

        * enumeration restriction: ::

            ['8', '16', '32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_route_table_openflow_update(self, rbridge_id=None, openflow_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type openflow_enable: unicode
    :param openflow_enable: Enable/disable openflow support in profile

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, openflow_enable=openflow_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, openflow_enable=openflow_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_route_table_predefined_update(self, rbridge_id=None, routing_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type routing_profiletype: unicode
    :param routing_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['ipv4-max-arp',
            'ipv6-max-route',
            'default',
            'ipv4-min-v6',
            'ipv6-max-nd',
            'ipv4-max-route']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.hardware_profile.route_table.predefined', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.hardware_profile.route_table.predefined', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.route_table.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'routing_profiletype'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, routing_profiletype=routing_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, routing_profiletype=routing_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_route_table_routing_parameter_update(self, rbridge_id=None, maximum_paths=None, openflow_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type maximum_paths: unicode
    :param maximum_paths: Maximum number of load-sharing paths

        * enumeration restriction: ::

            ['8', '16', '32']

    :type openflow_enable: unicode
    :param openflow_enable: Enable/disable openflow support in profile

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'maximum_paths, openflow_enable'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, maximum_paths=maximum_paths, openflow_enable=openflow_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, maximum_paths=maximum_paths, openflow_enable=openflow_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_route_table_routing_profiletype_update(self, rbridge_id=None, routing_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type routing_profiletype: unicode
    :param routing_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['ipv4-max-arp',
            'ipv6-max-route',
            'default',
            'ipv4-min-v6',
            'ipv6-max-nd',
            'ipv4-max-route']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.hardware_profile.route_table.predefined', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.hardware_profile.route_table.predefined', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.route_table.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, routing_profiletype=routing_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, routing_profiletype=routing_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_tcam_predefined_update(self, rbridge_id=None, tcam_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tcam_profiletype: unicode
    :param tcam_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['openflow',
            'ipv4-v6-mcast',
            'ipv4-v6-qos',
            'dyn-arp-insp',
            'default',
            'ipv4-v6-pbr',
            'l2-acl-qos',
            'l2-ipv4-acl']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.hardware_profile.tcam.predefined', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.hardware_profile.tcam.predefined', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.tcam.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, tcam_profiletype=tcam_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, tcam_profiletype=tcam_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_tcam_tcam_profiletype_update(self, rbridge_id=None, tcam_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tcam_profiletype: unicode
    :param tcam_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['openflow',
            'ipv4-v6-mcast',
            'ipv4-v6-qos',
            'dyn-arp-insp',
            'default',
            'ipv4-v6-pbr',
            'l2-acl-qos',
            'l2-ipv4-acl']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.hardware_profile.tcam.predefined', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.hardware_profile.tcam.predefined', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.tcam.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, tcam_profiletype=tcam_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, tcam_profiletype=tcam_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_vlan_classification_predefined_update(self, rbridge_id=None, vlan_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_profiletype: unicode
    :param vlan_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['tor-vxlan-gw',
            'default',
            'aggregator-basic',
            'aggregator-vxlan-gw',
            'aggregator-virtualfabric',
            'tor-virtualfabric']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.hardware_profile.vlan_classification.predefined', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.hardware_profile.vlan_classification.predefined', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.vlan_classification.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vlan_profiletype=vlan_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vlan_profiletype=vlan_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_vlan_classification_vlan_profiletype_update(self, rbridge_id=None, vlan_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_profiletype: unicode
    :param vlan_profiletype: Keyword argument.

        * enumeration restriction: ::

            ['tor-vxlan-gw',
            'default',
            'aggregator-basic',
            'aggregator-vxlan-gw',
            'aggregator-virtualfabric',
            'tor-virtualfabric']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.hardware_profile.vlan_classification.predefined', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.hardware_profile.vlan_classification.predefined', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.vlan_classification.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vlan_profiletype=vlan_profiletype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vlan_profiletype=vlan_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_host_table_aging_mode_update(self, rbridge_id=None, conversational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type conversational: YANGBool
    :param conversational: Age hardware entries based on conversation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.host_table.aging_mode', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.host_table.aging_mode', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, conversational=conversational)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, conversational=conversational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_host_table_aging_mode_conversational_update(self, rbridge_id=None, conversational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type conversational: YANGBool
    :param conversational: Age hardware entries based on conversation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.host_table.aging_mode', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.host_table.aging_mode', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, conversational=conversational)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, conversational=conversational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_host_table_aging_time_update(self, rbridge_id=None, conversational_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type conversational_timeout: long
    :param conversational_timeout: Conversational Aging time in seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.host_table.aging_time', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.host_table.aging_time', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, conversational_timeout=conversational_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, conversational_timeout=conversational_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_host_table_aging_time_conversational_update(self, rbridge_id=None, conversational_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type conversational_timeout: long
    :param conversational_timeout: Conversational Aging time in seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.host_table.aging_time', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.host_table.aging_time', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, conversational_timeout=conversational_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, conversational_timeout=conversational_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_http_server_update(self, rbridge_id=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown HTTP Server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.http.server', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.http.server', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.http.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_http_server_shutdown_update(self, rbridge_id=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown HTTP Server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.http.server', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.http.server', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.http.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_http_server_use_vrf_update(self, rbridge_id=None, use_vrf=None, http_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name, http_vrf_shutdown
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0..max']

    :type http_vrf_shutdown: YANGBool
    :param http_vrf_shutdown: **use_vrf** tuple argument:  Shutdown HTTP/HTTPS server on the given vrf

    **Instance Argument(s)**:

    :type http_vrf_shutdown: YANGBool
    :param http_vrf_shutdown: Shutdown HTTP/HTTPS server on the given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, secure_and_plain, http_vrf_shutdown'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.http.server.http_vrf_cont.use_vrf": {"http_vrf_shutdown": "http_vrf_shutdown", "use_vrf_name": "use_vrf_name"}, "pybind.nos.v7_1_0.rbridge_id.http.server.http_vrf_cont.use_vrf": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, use_vrf=use_vrf, http_vrf_shutdown=http_vrf_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, use_vrf=use_vrf, http_vrf_shutdown=http_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_http_server_use_vrf_secure_and_plain_update(self, rbridge_id=None, use_vrf=None, secure_and_plain=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0..max']

    **Instance Argument(s)**:

    :type secure_and_plain: YANGBool
    :param secure_and_plain: Enable/Disable HTTP server when HTTPS certificate is installed.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, use_vrf=use_vrf, secure_and_plain=secure_and_plain)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, use_vrf=use_vrf, secure_and_plain=secure_and_plain)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_http_server_use_vrf_shutdown_update(self, rbridge_id=None, use_vrf=None, http_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0..max']

    **Instance Argument(s)**:

    :type http_vrf_shutdown: YANGBool
    :param http_vrf_shutdown: Shutdown HTTP/HTTPS server on the given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, use_vrf=use_vrf, http_vrf_shutdown=http_vrf_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, use_vrf=use_vrf, http_vrf_shutdown=http_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_multicast_boundary_update(self, rbridge_id=None, loopback=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_update(self, rbridge_id=None, loopback=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_active_update(self, rbridge_id=None, loopback=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_area_update(self, rbridge_id=None, loopback=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, area=area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_auth_change_wait_time_update(self, rbridge_id=None, loopback=None, auth_change_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, auth_change_wait_time=auth_change_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, auth_change_wait_time=auth_change_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_authentication_key_auth_key_update(self, rbridge_id=None, loopback=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_authentication_key_auth_key_table_update(self, rbridge_id=None, loopback=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'encrypttype, auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, encrypttype=encrypttype, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_authentication_key_encrypttype_update(self, rbridge_id=None, loopback=None, encrypttype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, encrypttype=encrypttype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, encrypttype=encrypttype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_authentication_key_no_encrypt_auth_key_update(self, rbridge_id=None, loopback=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_authentication_key_no_encrypt_auth_key_table_update(self, rbridge_id=None, loopback=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_bfd_update(self, rbridge_id=None, loopback=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_bfd_intf_bfd_enable_update(self, rbridge_id=None, loopback=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_cost_update(self, rbridge_id=None, loopback=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_database_filter_update(self, rbridge_id=None, loopback=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_database_filter_all_external_update(self, rbridge_id=None, loopback=None, all_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, all_external=all_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, all_external=all_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_database_filter_all_out_update(self, rbridge_id=None, loopback=None, all_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, all_out=all_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, all_out=all_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_database_filter_all_summary_external_update(self, rbridge_id=None, loopback=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_dead_interval_update(self, rbridge_id=None, loopback=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_hello_interval_update(self, rbridge_id=None, loopback=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_md5_authentication_update(self, rbridge_id=None, loopback=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_update(self, rbridge_id=None, loopback=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_activation_wait_time_update(self, rbridge_id=None, loopback=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_id_update(self, rbridge_id=None, loopback=None, no_encrypt_key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, no_encrypt_key_id=no_encrypt_key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, no_encrypt_key_id=no_encrypt_key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_id_key_update(self, rbridge_id=None, loopback=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_id_key_id_update(self, rbridge_id=None, loopback=None, key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, key_id=key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, key_id=key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_id_md5_authentication_key_update(self, rbridge_id=None, loopback=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type md5_authentication_key: unicode
    :param md5_authentication_key: MD5 authentication ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, md5_authentication_key=md5_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_md5_authentication_no_encrypt_key_table_update(self, rbridge_id=None, loopback=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_mtu_ignore_update(self, rbridge_id=None, loopback=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_network_update(self, rbridge_id=None, loopback=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_passive_update(self, rbridge_id=None, loopback=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_priority_update(self, rbridge_id=None, loopback=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_retransmit_interval_update(self, rbridge_id=None, loopback=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_transmit_delay_update(self, rbridge_id=None, loopback=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_pim_update(self, rbridge_id=None, loopback=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, neighbor_filter=neighbor_filter, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_pim_dr_priority_update(self, rbridge_id=None, loopback=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_pim_int_cmd_update(self, rbridge_id=None, loopback=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_pim_multinet_update(self, rbridge_id=None, loopback=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_pim_multinet_enable_update(self, rbridge_id=None, loopback=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_pim_neighbor_filter_update(self, rbridge_id=None, loopback=None, neighbor_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, neighbor_filter=neighbor_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, neighbor_filter=neighbor_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_pim_sparse_update(self, rbridge_id=None, loopback=None, pim_sparse=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, pim_sparse=pim_sparse)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, pim_sparse=pim_sparse)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_address_update(self, rbridge_id=None, loopback=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_address_ipv6_address_update(self, rbridge_id=None, loopback=None, ipv6_address=None, eui64=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, eui64, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type eui64: YANGBool
    :param eui64: **ipv6_address** tuple argument:  Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, ipv6_address=ipv6_address, eui64=eui64, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, ipv6_address=ipv6_address, eui64=eui64, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_address_ipv6_address_anycast_update(self, rbridge_id=None, loopback=None, ipv6_address=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, ipv6_address=ipv6_address, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, ipv6_address=ipv6_address, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_address_ipv6_address_eui_64_update(self, rbridge_id=None, loopback=None, ipv6_address=None, eui64=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, ipv6_address=ipv6_address, eui64=eui64)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, ipv6_address=ipv6_address, eui64=eui64)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_address_link_local_update(self, rbridge_id=None, loopback=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_address_link_local_address_update(self, rbridge_id=None, loopback=None, link_local_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, link_local_address=link_local_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, link_local_address=link_local_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_address_link_local_config_update(self, rbridge_id=None, loopback=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'link_local_address, link_local'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, link_local_address=link_local_address, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_address_use_link_local_only_update(self, rbridge_id=None, loopback=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_update(self, rbridge_id=None, loopback=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_active_update(self, rbridge_id=None, loopback=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_area_update(self, rbridge_id=None, loopback=None, interface_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, interface_area=interface_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, interface_area=interface_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_ah_update(self, rbridge_id=None, loopback=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_esp_update(self, rbridge_id=None, loopback=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_esp_auth_update(self, rbridge_id=None, loopback=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_esp_key_update(self, rbridge_id=None, loopback=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_esp_no_encrypt_update(self, rbridge_id=None, loopback=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_ipsec_update(self, rbridge_id=None, loopback=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_ipsec_auth_key_config_update(self, rbridge_id=None, loopback=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_ipsec_disable_update(self, rbridge_id=None, loopback=None, ipsec_authentication_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, rbridge_id=None, loopback=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_key_update(self, rbridge_id=None, loopback=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_no_encrypt_update(self, rbridge_id=None, loopback=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_spi_update(self, rbridge_id=None, loopback=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_bfd_update(self, rbridge_id=None, loopback=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_bfd_bfd_enable_update(self, rbridge_id=None, loopback=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_cost_update(self, rbridge_id=None, loopback=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_dead_interval_update(self, rbridge_id=None, loopback=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_hello_interval_update(self, rbridge_id=None, loopback=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_hello_jitter_update(self, rbridge_id=None, loopback=None, hello_jitter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, hello_jitter=hello_jitter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, hello_jitter=hello_jitter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_instance_update(self, rbridge_id=None, loopback=None, instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, instance=instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, instance=instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_link_interval_properties_update(self, rbridge_id=None, loopback=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_mtu_ignore_update(self, rbridge_id=None, loopback=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_network_update(self, rbridge_id=None, loopback=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_passive_update(self, rbridge_id=None, loopback=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_priority_update(self, rbridge_id=None, loopback=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_retransmit_interval_update(self, rbridge_id=None, loopback=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_suppress_linklsa_update(self, rbridge_id=None, loopback=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_transmit_delay_update(self, rbridge_id=None, loopback=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_shutdown_update(self, rbridge_id=None, loopback=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shut down interface loopback port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.intf_loopback', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.intf_loopback', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.intf_loopback', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_snmp_trap_update(self, rbridge_id=None, loopback=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_snmp_trap_link_status_update(self, rbridge_id=None, loopback=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_vrf_update(self, rbridge_id=None, loopback=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_vrf_forwarding_update(self, rbridge_id=None, loopback=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, loopback=loopback, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_nodespecific_update(self, rbridge_id=None, ns_vlan=None, ns_ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ns_vlan: long
    :param ns_vlan: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type ns_ethernet: long
    :param ns_ethernet: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface_nodespecific', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface_nodespecific', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface_nodespecific', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.interface_nodespecific', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.interface_nodespecific', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ns_vlan=ns_vlan, ns_ethernet=ns_ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ns_vlan=ns_vlan, ns_ethernet=ns_ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_nodespecific_ns_ethernet_update(self, rbridge_id=None, ns_ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ns_ethernet: long
    :param ns_ethernet: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface_nodespecific', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface_nodespecific', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface_nodespecific', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.interface_nodespecific', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.interface_nodespecific', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ns_ethernet=ns_ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ns_ethernet=ns_ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_nodespecific_ns_vlan_update(self, rbridge_id=None, ns_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ns_vlan: long
    :param ns_vlan: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface_nodespecific', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface_nodespecific', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface_nodespecific', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.interface_nodespecific', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.interface_nodespecific', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ns_vlan=ns_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ns_vlan=ns_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_update(self, rbridge_id=None, ve=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_bfd_update(self, rbridge_id=None, ve=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_bfd_interval_update(self, rbridge_id=None, ve=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_bfd_interval_min_rx_update(self, rbridge_id=None, ve=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_bfd_interval_min_tx_update(self, rbridge_id=None, ve=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_bfd_interval_multiplier_update(self, rbridge_id=None, ve=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_bfd_shutdown_update(self, rbridge_id=None, ve=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_shutdown: YANGBool
    :param bfd_shutdown: Administratively shutdown the BFD session.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, bfd_shutdown=bfd_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_access_group_update(self, rbridge_id=None, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_access_group_traffic_type_update(self, rbridge_id=None, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_address_update(self, rbridge_id=None, ve=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_address_ospf_ignore_update(self, rbridge_id=None, ve=None, address=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, address=address, ospf_ignore=ospf_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, address=address, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_address_ospf_passive_update(self, rbridge_id=None, ve=None, address=None, ospf_passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, address=address, ospf_passive=ospf_passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, address=address, ospf_passive=ospf_passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_address_secondary_update(self, rbridge_id=None, ve=None, address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, address=address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, address=address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_arp_update(self, rbridge_id=None, ve=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type learn_any: YANGBool
    :param learn_any: Learn ARP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_config.arp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, learn_any=learn_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_arp_aging_timeout_update(self, rbridge_id=None, ve=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_arp_learn_any_update(self, rbridge_id=None, ve=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type learn_any: YANGBool
    :param learn_any: Learn ARP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_config.arp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, learn_any=learn_any)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_dhcp_relay_update(self, rbridge_id=None, ve=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_dhcp_relay_gateway_update(self, rbridge_id=None, ve=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gateway: unicode
    :param gateway: Gateway address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, gateway=gateway)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_directed_broadcast_update(self, rbridge_id=None, ve=None, directed_broadcast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, directed_broadcast=directed_broadcast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, directed_broadcast=directed_broadcast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, enable_local=None, disable_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable_local: YANGBool
    :param enable_local: Enable Fabric Virtual Gateway

    :type disable_local: YANGBool
    :param disable_local: Disable Fabric Virtual Gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_local_anycast_gateway', 'keyval': 'local_ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, enable_local=enable_local, disable_local=disable_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, enable_local=enable_local, disable_local=disable_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_disable_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, disable_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type disable_local: YANGBool
    :param disable_local: Disable Fabric Virtual Gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_local_anycast_gateway', 'keyval': 'local_ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, disable_local=disable_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, disable_local=disable_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_enable_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, enable_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable_local: YANGBool
    :param enable_local: Enable Fabric Virtual Gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_local_anycast_gateway', 'keyval': 'local_ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, enable_local=enable_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, enable_local=enable_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_load_balancing_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, basic=None, threshold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type threshold_priority: long
    :param threshold_priority: Threshold Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_load_balancing_basic_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_load_balancing_threshold_priority_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, threshold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type threshold_priority: long
    :param threshold_priority: Threshold Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, threshold_priority=threshold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, threshold_priority=threshold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_interface_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, interface=None, interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_priority: long
    :param interface_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_interface_priority_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, interface=None, interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_priority: long
    :param interface_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_network_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type network_priority: long
    :param network_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_network_priority_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type network_priority: long
    :param network_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_next_hop_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, next_hop=None, next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type next_hop: next_hop_address
    :param next_hop: Keyword argument tuple.

    :type next_hop_address: unicode
    :param next_hop_address: **next_hop** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_priority: long
    :param next_hop_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_next_hop_priority_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, next_hop=None, next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type next_hop: next_hop_address
    :param next_hop: Keyword argument tuple.

    :type next_hop_address: unicode
    :param next_hop_address: **next_hop** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_priority: long
    :param next_hop_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_icmp_update(self, rbridge_id=None, ve=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_icmp_address_mask_update(self, rbridge_id=None, ve=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address_mask: YANGBool
    :param address_mask: Enables ICMP address mask

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, address_mask=address_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_icmp_echo_reply_update(self, rbridge_id=None, ve=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_icmp_rate_limiting_update(self, rbridge_id=None, ve=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_icmp_redirect_update(self, rbridge_id=None, ve=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_icmp_unreachable_update(self, rbridge_id=None, ve=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_igmp_update(self, rbridge_id=None, ve=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type immediate_leave: YANGBool
    :param immediate_leave: Immediate Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_igmp_immediate_leave_update(self, rbridge_id=None, ve=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type immediate_leave: YANGBool
    :param immediate_leave: Immediate Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, immediate_leave=immediate_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_igmp_last_member_query_interval_update(self, rbridge_id=None, ve=None, last_member_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, last_member_query_interval=last_member_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, last_member_query_interval=last_member_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_igmp_query_interval_update(self, rbridge_id=None, ve=None, query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, query_interval=query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, query_interval=query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_igmp_query_max_response_time_update(self, rbridge_id=None, ve=None, query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type query_max_response_time: long
    :param query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, query_max_response_time=query_max_response_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, query_max_response_time=query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ip_config_update(self, rbridge_id=None, ve=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type directed_broadcast: YANGBool
    :param directed_broadcast: Enable directed IP broadcasts forwarding

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type arp_aging_timeout: long
    :param arp_aging_timeout: Set arp age timeout value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_mtu_update(self, rbridge_id=None, ve=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ip mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_multicast_boundary_update(self, rbridge_id=None, ve=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_update(self, rbridge_id=None, ve=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_active_update(self, rbridge_id=None, ve=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_area_update(self, rbridge_id=None, ve=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type area: unicode
    :param area: OSPF areas

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, area=area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_auth_change_wait_time_update(self, rbridge_id=None, ve=None, auth_change_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_change_wait_time: long
    :param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, auth_change_wait_time=auth_change_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, auth_change_wait_time=auth_change_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_authentication_key_auth_key_update(self, rbridge_id=None, ve=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_authentication_key_auth_key_table_update(self, rbridge_id=None, ve=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'encrypttype, auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, encrypttype=encrypttype, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_authentication_key_encrypttype_update(self, rbridge_id=None, ve=None, encrypttype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, encrypttype=encrypttype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, encrypttype=encrypttype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_authentication_key_no_encrypt_auth_key_update(self, rbridge_id=None, ve=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_authentication_key_no_encrypt_auth_key_table_update(self, rbridge_id=None, ve=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_bfd_update(self, rbridge_id=None, ve=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_bfd_intf_bfd_enable_update(self, rbridge_id=None, ve=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type intf_bfd_enable: YANGBool
    :param intf_bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, intf_bfd_enable=intf_bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_cost_update(self, rbridge_id=None, ve=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_database_filter_update(self, rbridge_id=None, ve=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_database_filter_all_external_update(self, rbridge_id=None, ve=None, all_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_external: unicode
    :param all_external: Filter all external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, all_external=all_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, all_external=all_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_database_filter_all_out_update(self, rbridge_id=None, ve=None, all_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_out: YANGBool
    :param all_out: filter all LSAs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, all_out=all_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, all_out=all_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_database_filter_all_summary_external_update(self, rbridge_id=None, ve=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all_summary_external: unicode
    :param all_summary_external: Filter all summary external LSAs

        * enumeration restriction: ::

            ['allow-default-out',
            'allow-default-and-type4-out',
            'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, all_summary_external=all_summary_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_dead_interval_update(self, rbridge_id=None, ve=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_hello_interval_update(self, rbridge_id=None, ve=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_md5_authentication_update(self, rbridge_id=None, ve=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_update(self, rbridge_id=None, ve=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_activation_wait_time_update(self, rbridge_id=None, ve=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_id_update(self, rbridge_id=None, ve=None, no_encrypt_key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, no_encrypt_key_id=no_encrypt_key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, no_encrypt_key_id=no_encrypt_key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_id_key_update(self, rbridge_id=None, ve=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_id_key_id_update(self, rbridge_id=None, ve=None, key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, key_id=key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, key_id=key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_id_md5_authentication_key_update(self, rbridge_id=None, ve=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type md5_authentication_key: unicode
    :param md5_authentication_key: MD5 authentication ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, md5_authentication_key=md5_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_md5_authentication_no_encrypt_key_table_update(self, rbridge_id=None, ve=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_mtu_ignore_update(self, rbridge_id=None, ve=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPF MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_network_update(self, rbridge_id=None, ve=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'non-broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_passive_update(self, rbridge_id=None, ve=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_priority_update(self, rbridge_id=None, ve=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Router priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_retransmit_interval_update(self, rbridge_id=None, ve=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_transmit_delay_update(self, rbridge_id=None, ve=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_pim_update(self, rbridge_id=None, ve=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, neighbor_filter=neighbor_filter, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_pim_dr_priority_update(self, rbridge_id=None, ve=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dr_priority: long
    :param dr_priority: Set DR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, dr_priority=dr_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_pim_int_cmd_update(self, rbridge_id=None, ve=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type mcast_bdry_prefix_list: unicode
    :param mcast_bdry_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_pim_multinet_update(self, rbridge_id=None, ve=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_pim_multinet_enable_update(self, rbridge_id=None, ve=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multinet_enable: YANGBool
    :param multinet_enable: Enable/Disable Multinet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, multinet_enable=multinet_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_pim_neighbor_filter_update(self, rbridge_id=None, ve=None, neighbor_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type neighbor_filter: unicode
    :param neighbor_filter: Set prefix list name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, neighbor_filter=neighbor_filter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, neighbor_filter=neighbor_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_pim_sparse_update(self, rbridge_id=None, ve=None, pim_sparse=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pim_sparse: YANGBool
    :param pim_sparse: Sparse Mode (PIM-SM)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, pim_sparse=pim_sparse)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, pim_sparse=pim_sparse)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_policy_route_map_update(self, rbridge_id=None, ve=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_policy_route_map_route_map_name_update(self, rbridge_id=None, ve=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type route_map_name: unicode
    :param route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, route_map_name=route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_proxy_arp_update(self, rbridge_id=None, ve=None, proxy_arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type proxy_arp: YANGBool
    :param proxy_arp: Proxy-Arp on the interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, proxy_arp=proxy_arp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, proxy_arp=proxy_arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_access_group_update(self, rbridge_id=None, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_access_group_traffic_type_update(self, rbridge_id=None, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_update(self, rbridge_id=None, ve=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_ipv6_address_update(self, rbridge_id=None, ve=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_ipv6_address_anycast_update(self, rbridge_id=None, ve=None, ipv6_address=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, anycast=anycast)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_ipv6_address_eui_64_update(self, rbridge_id=None, ve=None, ipv6_address=None, eui64=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, eui64=eui64)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, eui64=eui64)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_ipv6_address_secondary_update(self, rbridge_id=None, ve=None, ipv6_address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, secondary=secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_ipv6_address_secondary_eui_config_update(self, rbridge_id=None, ve=None, ipv6_address=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui_secondary: YANGBool
    :param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, eui_secondary=eui_secondary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_link_local_update(self, rbridge_id=None, ve=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_link_local_address_update(self, rbridge_id=None, ve=None, link_local_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, link_local_address=link_local_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, link_local_address=link_local_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_link_local_config_update(self, rbridge_id=None, ve=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_local_address: unicode
    :param link_local_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local: YANGBool
    :param link_local: Configure ipv6 address to override automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'link_local_address, link_local'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, link_local_address=link_local_address, link_local=link_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_use_link_local_only_update(self, rbridge_id=None, ve=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type use_link_local_only: YANGBool
    :param use_link_local_only: Configure automatically computed link-local address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, use_link_local_only=use_link_local_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_dhcp_relay_servers_update(self, rbridge_id=None, ve=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_dhcp_relay_servers_interface_update(self, rbridge_id=None, ve=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'Ve']

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, servers=servers, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_dhcp_relay_servers_interface_interface_update(self, rbridge_id=None, ve=None, servers=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'Ve']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, servers=servers, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, servers=servers, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_dhcp_relay_servers_interface_interface_name_update(self, rbridge_id=None, ve=None, servers=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-'
            '9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1]'
            '[0-9][0-1]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, servers=servers, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, servers=servers, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_dhcp_relay_servers_use_vrf_update(self, rbridge_id=None, ve=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, servers=servers, server_vrf_name=server_vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, enable_local=None, disable_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable_local: YANGBool
    :param enable_local: Enable Fabric Virtual Gateway

    :type disable_local: YANGBool
    :param disable_local: Disable Fabric Virtual Gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_local_anycast_gateway', 'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, enable_local=enable_local, disable_local=disable_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, enable_local=enable_local, disable_local=disable_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_disable_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, disable_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type disable_local: YANGBool
    :param disable_local: Disable Fabric Virtual Gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_local_anycast_gateway', 'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, disable_local=disable_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, disable_local=disable_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_enable_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, enable_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable_local: YANGBool
    :param enable_local: Enable Fabric Virtual Gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_local_anycast_gateway', 'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, enable_local=enable_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, enable_local=enable_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_load_balancing_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, basic=None, threshold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type threshold_priority: long
    :param threshold_priority: Threshold Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_load_balancing_basic_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_load_balancing_threshold_priority_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, threshold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type threshold_priority: long
    :param threshold_priority: Threshold Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, threshold_priority=threshold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, threshold_priority=threshold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_interface_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, ipv6_interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_interface: ipv6_interface_type, ipv6_interface_name
    :param ipv6_interface: Keyword argument tuple.

    :type ipv6_interface_type: unicode
    :param ipv6_interface_type: **ipv6_interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type ipv6_interface_name: unicode
    :param ipv6_interface_name: **ipv6_interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_interface_priority: long
    :param ipv6_interface_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_interface_priority_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, ipv6_interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_interface: ipv6_interface_type, ipv6_interface_name
    :param ipv6_interface: Keyword argument tuple.

    :type ipv6_interface_type: unicode
    :param ipv6_interface_type: **ipv6_interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type ipv6_interface_name: unicode
    :param ipv6_interface_name: **ipv6_interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_interface_priority: long
    :param ipv6_interface_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_network_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, ipv6_network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_network: ipv6_network_address
    :param ipv6_network: Keyword argument tuple.

    :type ipv6_network_address: unicode
    :param ipv6_network_address: **ipv6_network** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type ipv6_network_priority: long
    :param ipv6_network_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_network_priority_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, ipv6_network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_network: ipv6_network_address
    :param ipv6_network: Keyword argument tuple.

    :type ipv6_network_address: unicode
    :param ipv6_network_address: **ipv6_network** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type ipv6_network_priority: long
    :param ipv6_network_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, ipv6_next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_next_hop: ipv6_next_hop_address
    :param ipv6_next_hop: Keyword argument tuple.

    :type ipv6_next_hop_address: unicode
    :param ipv6_next_hop_address: **ipv6_next_hop** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ipv6_next_hop_priority: long
    :param ipv6_next_hop_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_priority_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, ipv6_next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_next_hop: ipv6_next_hop_address
    :param ipv6_next_hop: Keyword argument tuple.

    :type ipv6_next_hop_address: unicode
    :param ipv6_next_hop_address: **ipv6_next_hop** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ipv6_next_hop_priority: long
    :param ipv6_next_hop_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_hop_by_hop_trap_update(self, rbridge_id=None, ve=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_icmpv6_update(self, rbridge_id=None, ve=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_icmpv6_echo_reply_update(self, rbridge_id=None, ve=None, echo_reply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type echo_reply: YANGBool
    :param echo_reply: Enable echo-reply

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_icmpv6_rate_limiting_update(self, rbridge_id=None, ve=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate_limiting: long
    :param rate_limiting: Rate limit ICMP error messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, rate_limiting=rate_limiting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_icmpv6_redirect_update(self, rbridge_id=None, ve=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redirect: YANGBool
    :param redirect: Enable redirect

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, redirect=redirect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_icmpv6_unreachable_update(self, rbridge_id=None, ve=None, unreachable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unreachable: YANGBool
    :param unreachable: Enable destination unreachable messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, unreachable=unreachable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, unreachable=unreachable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ipv6_config_update(self, rbridge_id=None, ve=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ipv6_intf_cmds_update(self, rbridge_id=None, ve=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ipv6_ve_intf_cmds_update(self, rbridge_id=None, ve=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hop_by_hop_trap: YANGBool
    :param hop_by_hop_trap: Enable hop-by-hop trap on an Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, hop_by_hop_trap=hop_by_hop_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_mtu_update(self, rbridge_id=None, ve=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu: Set ipv6 mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_update(self, rbridge_id=None, ve=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type hoplimit: long
    :param hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {"managed_config_flag": "managed_config_flag", "broadcast_mac_trap": "broadcast_mac_trap", "ra_lifetime": "ra_lifetime", "hoplimit": "hoplimit", "mtu": "mtu", "retrans_timer": "retrans_timer", "other_config_flag": "other_config_flag", "ns_interval": "ns_interval", "reachable_time": "reachable_time", "proxy": "proxy"}, "pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {}, "pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd": {"managed_config_flag": "managed_config_flag", "broadcast_mac_trap": "broadcast_mac_trap", "ra_lifetime": "ra_lifetime", "hoplimit": "hoplimit", "mtu": "mtu", "retrans_timer": "retrans_timer", "other_config_flag": "other_config_flag", "ns_interval": "ns_interval", "reachable_time": "reachable_time", "proxy": "proxy"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_broadcast_mac_trap_update(self, rbridge_id=None, ve=None, broadcast_mac_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type broadcast_mac_trap: YANGBool
    :param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, broadcast_mac_trap=broadcast_mac_trap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, broadcast_mac_trap=broadcast_mac_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_cache_update(self, rbridge_id=None, ve=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_cache_expire_update(self, rbridge_id=None, ve=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type expire: long
    :param expire: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_dad_update(self, rbridge_id=None, ve=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, attempts=attempts, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_dad_attempts_update(self, rbridge_id=None, ve=None, attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type attempts: long
    :param attempts: number of Neighbor solicitations to send as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, attempts=attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, attempts=attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_dad_time_update(self, rbridge_id=None, ve=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type time: long
    :param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_hoplimit_update(self, rbridge_id=None, ve=None, hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hoplimit: long
    :param hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, hoplimit=hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, hoplimit=hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_managed_config_flag_update(self, rbridge_id=None, ve=None, managed_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type managed_config_flag: YANGBool
    :param managed_config_flag: Set managed config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, managed_config_flag=managed_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, managed_config_flag=managed_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_mtu_update(self, rbridge_id=None, ve=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu: long
    :param mtu:  MTU to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, mtu=mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_ns_interval_update(self, rbridge_id=None, ve=None, ns_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ns_interval: long
    :param ns_interval: Interval between Neighbor solicitations

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ns_interval=ns_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ns_interval=ns_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_nud_retry_update(self, rbridge_id=None, ve=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'base, interval, max_attempts'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, base=base, interval=interval, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_nud_retry_base_update(self, rbridge_id=None, ve=None, base=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type base: long
    :param base: base value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, base=base)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, base=base)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_nud_retry_interval_update(self, rbridge_id=None, ve=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Time interval between neighbor solicitations in milliseconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_nud_retry_max_attempts_update(self, rbridge_id=None, ve=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_attempts: long
    :param max_attempts: Max number of retry attempts.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, max_attempts=max_attempts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_other_config_flag_update(self, rbridge_id=None, ve=None, other_config_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type other_config_flag: YANGBool
    :param other_config_flag: Set other config flag in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, other_config_flag=other_config_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, other_config_flag=other_config_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_infinite_update(self, rbridge_id=None, ve=None, prefix=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_infinite: YANGBool
    :param valid_infinite: Infinite valid lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, valid_infinite=valid_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_infinite_preferred_update(self, rbridge_id=None, ve=None, prefix=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_no_advertise_update(self, rbridge_id=None, ve=None, prefix=None, no_advertise=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_advertise: YANGBool
    :param no_advertise: Do not advertise prefix

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, no_advertise=no_advertise)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, no_advertise=no_advertise)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_no_autoconfig_update(self, rbridge_id=None, ve=None, prefix=None, no_autoconfig=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, no_autoconfig=no_autoconfig)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, no_autoconfig=no_autoconfig)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_no_onlink_update(self, rbridge_id=None, ve=None, prefix=None, no_onlink=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, no_onlink=no_onlink)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, no_onlink=no_onlink)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_off_link_update(self, rbridge_id=None, ve=None, prefix=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_preferred_update(self, rbridge_id=None, ve=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type preferred_infinite: YANGBool
    :param preferred_infinite: Infinite preferred lifetime. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'preferred_lifetime, preferred_infinite'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime'], 'pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime'], 'pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred': [u'preferred_infinite', u'preferred_lifetime']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_preferred_lifetime_update(self, rbridge_id=None, ve=None, prefix=None, preferred_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type preferred_lifetime: long
    :param preferred_lifetime: Configures preferred lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, preferred_lifetime=preferred_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, preferred_lifetime=preferred_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_prefix_flags_update(self, rbridge_id=None, ve=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type no_autoconfig: YANGBool
    :param no_autoconfig: Do not use prefix for autoconfiguration

    :type no_onlink: YANGBool
    :param no_onlink: Do not use prefix for onlink determination

    :type off_link: YANGBool
    :param off_link: Prefix is offlink

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_autoconfig, no_onlink, off_link'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_valid_lifetime_update(self, rbridge_id=None, ve=None, prefix=None, valid_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type valid_lifetime: long
    :param valid_lifetime: Configures valid lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, valid_lifetime=valid_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix, valid_lifetime=valid_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_proxy_update(self, rbridge_id=None, ve=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type proxy: YANGBool
    :param proxy: Enable proxy flag

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, proxy=proxy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_ra_interval_update(self, rbridge_id=None, ve=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_interval, min_'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, max_interval=max_interval, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_ra_interval_max_interval_update(self, rbridge_id=None, ve=None, max_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_interval: long
    :param max_interval: Maximum interval in seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, max_interval=max_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, max_interval=max_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_ra_interval_min_update(self, rbridge_id=None, ve=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_: long
    :param min_: Minimum interval between sending RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, min_=min_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_ra_lifetime_update(self, rbridge_id=None, ve=None, ra_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ra_lifetime: long
    :param ra_lifetime: Set router lifetime in router advertisement

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ra_lifetime=ra_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ra_lifetime=ra_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_reachable_time_update(self, rbridge_id=None, ve=None, reachable_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type reachable_time: long
    :param reachable_time: the duration node is considered reachable, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, reachable_time=reachable_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, reachable_time=reachable_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_retrans_timer_update(self, rbridge_id=None, ve=None, retrans_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retrans_timer: long
    :param retrans_timer: Configure RA retransmission timer, Sent in RA messages

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, retrans_timer=retrans_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, retrans_timer=retrans_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_set_cache_expire_time_update(self, rbridge_id=None, ve=None, set_cache_expire_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type set_cache_expire_time: long
    :param set_cache_expire_time: Configures the time-interval after which the cache is deleted or refreshed.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, set_cache_expire_time=set_cache_expire_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, set_cache_expire_time=set_cache_expire_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_set_hoplimit_update(self, rbridge_id=None, ve=None, set_hoplimit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type set_hoplimit: long
    :param set_hoplimit:  Configfure Hop Limit to be advertised in RA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, set_hoplimit=set_hoplimit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, set_hoplimit=set_hoplimit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_suppress_ra_update(self, rbridge_id=None, ve=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_suppress_ra_all_update(self, rbridge_id=None, ve=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_ra_all: YANGBool
    :param suppress_ra_all: Suppress response to RS in addition to not sending Ras

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, suppress_ra_all=suppress_ra_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_suppress_ra_mtu_update(self, rbridge_id=None, ve=None, suppress_ra_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_ra_mtu: YANGBool
    :param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, suppress_ra_mtu=suppress_ra_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, suppress_ra_mtu=suppress_ra_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_suppress_ra_suppress_ra_flag_update(self, rbridge_id=None, ve=None, suppress_ra_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_ra_flag: YANGBool
    :param suppress_ra_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, suppress_ra_flag=suppress_ra_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, suppress_ra_flag=suppress_ra_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_neighbor_update(self, rbridge_id=None, ve=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_neighbor_hardware_address_update(self, rbridge_id=None, ve=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, neighbor=neighbor, hardware_address=hardware_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_update(self, rbridge_id=None, ve=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type active: YANGBool
    :param active: Active information

    :type passive: YANGBool
    :param passive: Passive information

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_active_update(self, rbridge_id=None, ve=None, active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type active: YANGBool
    :param active: Active information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, active=active)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, active=active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_area_update(self, rbridge_id=None, ve=None, interface_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_area: unicode
    :param interface_area: OSPF area

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, interface_area=interface_area)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, interface_area=interface_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_ah_update(self, rbridge_id=None, ve=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_esp_update(self, rbridge_id=None, ve=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_esp_auth_update(self, rbridge_id=None, ve=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_esp_key_update(self, rbridge_id=None, ve=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_esp_no_encrypt_update(self, rbridge_id=None, ve=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_ipsec_update(self, rbridge_id=None, ve=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_ipsec_auth_key_config_update(self, rbridge_id=None, ve=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_ipsec_disable_update(self, rbridge_id=None, ve=None, ipsec_authentication_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipsec_authentication_disable: YANGBool
    :param ipsec_authentication_disable: Disable ipsec authentication

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, rbridge_id=None, ve=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ifc_key_add_remove_interval: long
    :param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ifc_key_add_remove_interval=ifc_key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_key_update(self, rbridge_id=None, ve=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_no_encrypt_update(self, rbridge_id=None, ve=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_spi_update(self, rbridge_id=None, ve=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_bfd_update(self, rbridge_id=None, ve=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_bfd_bfd_enable_update(self, rbridge_id=None, ve=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Enable bfd on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_cost_update(self, rbridge_id=None, ve=None, cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Interface cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, cost=cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, cost=cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_dead_interval_update(self, rbridge_id=None, ve=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_hello_interval_update(self, rbridge_id=None, ve=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_hello_jitter_update(self, rbridge_id=None, ve=None, hello_jitter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, hello_jitter=hello_jitter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, hello_jitter=hello_jitter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_instance_update(self, rbridge_id=None, ve=None, instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type instance: long
    :param instance: Instance of OSPFv3 protocol on this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, instance=instance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, instance=instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_link_interval_properties_update(self, rbridge_id=None, ve=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_mtu_ignore_update(self, rbridge_id=None, ve=None, mtu_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mtu_ignore: YANGBool
    :param mtu_ignore: To disable OSPFv3 MTU mismatch detection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, mtu_ignore=mtu_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, mtu_ignore=mtu_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_network_update(self, rbridge_id=None, ve=None, network=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type network: unicode
    :param network: Interface type

        * enumeration restriction: ::

            ['broadcast', 'point-to-point']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, network=network)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, network=network)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_passive_update(self, rbridge_id=None, ve=None, passive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive: YANGBool
    :param passive: Passive information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, passive=passive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, passive=passive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_priority_update(self, rbridge_id=None, ve=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Interface priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_retransmit_interval_update(self, rbridge_id=None, ve=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_suppress_linklsa_update(self, rbridge_id=None, ve=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type suppress_linklsa: YANGBool
    :param suppress_linklsa: Suppress link LSA advertisements

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, suppress_linklsa=suppress_linklsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_transmit_delay_update(self, rbridge_id=None, ve=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_policy_route_map_update(self, rbridge_id=None, ve=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.policy.route_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.policy.route_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_policy_route_map_ipv6_route_map_name_update(self, rbridge_id=None, ve=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_route_map_name: unicode
    :param ipv6_route_map_name: Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.policy.route_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.policy.route_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, ipv6_route_map_name=ipv6_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_update(self, rbridge_id=None, ve=None, vrrpv3e=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_advertise_backup_update(self, rbridge_id=None, ve=None, vrrpv3e=None, advertise_backup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, advertise_backup=advertise_backup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, advertise_backup=advertise_backup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_advertisement_interval_update(self, rbridge_id=None, ve=None, vrrpv3e=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, vrrpe_advertisement_interval=vrrpe_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_advertisement_interval_scale_update(self, rbridge_id=None, ve=None, vrrpv3e=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, advertisement_interval_scale=advertisement_interval_scale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_backup_advertisement_interval_update(self, rbridge_id=None, ve=None, vrrpv3e=None, backup_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, backup_advertisement_interval=backup_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, backup_advertisement_interval=backup_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_description_update(self, rbridge_id=None, ve=None, vrrpv3e=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_enable_update(self, rbridge_id=None, ve=None, vrrpv3e=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_hold_time_update(self, rbridge_id=None, ve=None, vrrpv3e=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_nd_advertisement_timer_update(self, rbridge_id=None, ve=None, vrrpv3e=None, nd_advertisement_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, nd_advertisement_timer=nd_advertisement_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, nd_advertisement_timer=nd_advertisement_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_preempt_mode_update(self, rbridge_id=None, ve=None, vrrpv3e=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_priority_update(self, rbridge_id=None, ve=None, vrrpv3e=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_short_path_forwarding_update(self, rbridge_id=None, ve=None, vrrpv3e=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, basic=basic, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_short_path_forwarding_basic_update(self, rbridge_id=None, ve=None, vrrpv3e=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_short_path_forwarding_revert_priority_update(self, rbridge_id=None, ve=None, vrrpv3e=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_interface_update(self, rbridge_id=None, ve=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_interface_priority_update(self, rbridge_id=None, ve=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_network_update(self, rbridge_id=None, ve=None, vrrpv3e=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument:  XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_priority: int
    :param network_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_network_priority_update(self, rbridge_id=None, ve=None, vrrpv3e=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument:  XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_priority: int
    :param network_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_virtual_mac_update(self, rbridge_id=None, ve=None, vrrpv3e=None, vmac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vmac: YANGBool
    :param vmac: Virtual MAC address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_virtual_mac_02e0_5200_00xx_update(self, rbridge_id=None, ve=None, vrrpv3e=None, vmac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vmac: YANGBool
    :param vmac: Virtual MAC address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_update(self, rbridge_id=None, ve=None, vrrpv3=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_advertisement_interval_update(self, rbridge_id=None, ve=None, vrrpv3=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_description_update(self, rbridge_id=None, ve=None, vrrpv3=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_enable_update(self, rbridge_id=None, ve=None, vrrpv3=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_hold_time_update(self, rbridge_id=None, ve=None, vrrpv3=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_preempt_mode_update(self, rbridge_id=None, ve=None, vrrpv3=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_priority_update(self, rbridge_id=None, ve=None, vrrpv3=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_track_interface_update(self, rbridge_id=None, ve=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_track_interface_priority_update(self, rbridge_id=None, ve=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_use_v2_checksum_update(self, rbridge_id=None, ve=None, vrrpv3=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_suppress_interface_ra_update(self, rbridge_id=None, ve=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp_suppress_interface_ra: YANGBool
    :param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_shutdown_update(self, rbridge_id=None, ve=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_snmp_trap_update(self, rbridge_id=None, ve=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_snmp_trap_link_status_update(self, rbridge_id=None, ve=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type link_snmp_trap_status: YANGBool
    :param link_snmp_trap_status: Enable/disable SNMP traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, link_snmp_trap_status=link_snmp_trap_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrf_update(self, rbridge_id=None, ve=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrf_forwarding_update(self, rbridge_id=None, ve=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type forwarding: unicode
    :param forwarding: Enable VRF forwarding on this interface

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, forwarding=forwarding)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_update(self, rbridge_id=None, ve=None, vrrpe=None, virtual_mac=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, vrrpe_garp_timer=None, backup_advertisement_interval=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type virtual_mac: unicode
    :param virtual_mac: Virtual MAC

        * enumeration restriction: ::

            ['02e0.5200.00xx']

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type vrrpe_garp_timer: long
    :param vrrpe_garp_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv4 session advertisement interval scale factor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, vrrpe_garp_timer=vrrpe_garp_timer, backup_advertisement_interval=backup_advertisement_interval, advertisement_interval_scale=advertisement_interval_scale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, vrrpe_garp_timer=vrrpe_garp_timer, backup_advertisement_interval=backup_advertisement_interval, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_advertise_backup_update(self, rbridge_id=None, ve=None, vrrpe=None, advertise_backup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, advertise_backup=advertise_backup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, advertise_backup=advertise_backup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_advertisement_interval_update(self, rbridge_id=None, ve=None, vrrpe=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_advertisement_interval_scale_update(self, rbridge_id=None, ve=None, vrrpe=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv4 session advertisement interval scale factor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, advertisement_interval_scale=advertisement_interval_scale)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_arp_unicast_request_update(self, rbridge_id=None, ve=None, vrrpe=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_arp_unicast_request_receive_update(self, rbridge_id=None, ve=None, vrrpe=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_backup_advertisement_interval_update(self, rbridge_id=None, ve=None, vrrpe=None, backup_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, backup_advertisement_interval=backup_advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, backup_advertisement_interval=backup_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_description_update(self, rbridge_id=None, ve=None, vrrpe=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_enable_update(self, rbridge_id=None, ve=None, vrrpe=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_hold_time_update(self, rbridge_id=None, ve=None, vrrpe=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_preempt_mode_update(self, rbridge_id=None, ve=None, vrrpe=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_priority_update(self, rbridge_id=None, ve=None, vrrpe=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_short_path_forwarding_update(self, rbridge_id=None, ve=None, vrrpe=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'basic, revert_priority'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, basic=basic, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_short_path_forwarding_basic_update(self, rbridge_id=None, ve=None, vrrpe=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type basic: YANGBool
    :param basic: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, basic=basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_short_path_forwarding_revert_priority_update(self, rbridge_id=None, ve=None, vrrpe=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type revert_priority: int
    :param revert_priority: Set revert priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, revert_priority=revert_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_track_interface_update(self, rbridge_id=None, ve=None, vrrpe=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_track_interface_priority_update(self, rbridge_id=None, ve=None, vrrpe=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_track_network_update(self, rbridge_id=None, ve=None, vrrpe=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument:  IPv4 global address

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type network_priority: int
    :param network_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_track_network_priority_update(self, rbridge_id=None, ve=None, vrrpe=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument:  IPv4 global address

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type network_priority: int
    :param network_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_virtual_mac_update(self, rbridge_id=None, ve=None, vrrpe=None, virtual_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type virtual_mac: unicode
    :param virtual_mac: Virtual MAC

        * enumeration restriction: ::

            ['02e0.5200.00xx']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_vrrpe_garp_timer_update(self, rbridge_id=None, ve=None, vrrpe=None, vrrpe_garp_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vrrpe_garp_timer: long
    :param vrrpe_garp_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, vrrpe_garp_timer=vrrpe_garp_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, vrrpe_garp_timer=vrrpe_garp_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_update(self, rbridge_id=None, ve=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_advertisement_interval_update(self, rbridge_id=None, ve=None, vrrp=None, advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, advertisement_interval=advertisement_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, advertisement_interval=advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_arp_unicast_request_update(self, rbridge_id=None, ve=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_arp_unicast_request_receive_update(self, rbridge_id=None, ve=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Receive unicast ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_description_update(self, rbridge_id=None, ve=None, vrrp=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_enable_update(self, rbridge_id=None, ve=None, vrrp=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_hold_time_update(self, rbridge_id=None, ve=None, vrrp=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_preempt_mode_update(self, rbridge_id=None, ve=None, vrrp=None, preempt_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, preempt_mode=preempt_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, preempt_mode=preempt_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_priority_update(self, rbridge_id=None, ve=None, vrrp=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_track_interface_update(self, rbridge_id=None, ve=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_track_interface_priority_update(self, rbridge_id=None, ve=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_use_v2_checksum_update(self, rbridge_id=None, ve=None, vrrp=None, use_v2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_anycast_gateway_mac_update(self, rbridge_id=None, ip_anycast_gateway_mac=None, ip_anycast_default_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_anycast_gateway_mac: unicode
    :param ip_anycast_gateway_mac: Keyword argument.

    :type ip_anycast_default_mac: YANGBool
    :param ip_anycast_default_mac: Anycast gateway default MAC.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ip_anycast_gateway_mac=ip_anycast_gateway_mac, ip_anycast_default_mac=ip_anycast_default_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ip_anycast_gateway_mac=ip_anycast_gateway_mac, ip_anycast_default_mac=ip_anycast_default_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_anycast_gateway_mac_default_mac_update(self, rbridge_id=None, ip_anycast_default_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_anycast_default_mac: YANGBool
    :param ip_anycast_default_mac: Anycast gateway default MAC.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ip_anycast_default_mac=ip_anycast_default_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ip_anycast_default_mac=ip_anycast_default_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_anycast_gateway_mac_ip_anycast_gateway_mac_update(self, rbridge_id=None, ip_anycast_gateway_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_anycast_gateway_mac: unicode
    :param ip_anycast_gateway_mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ip_anycast_gateway_mac=ip_anycast_gateway_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ip_anycast_gateway_mac=ip_anycast_gateway_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_as_path_access_list_update(self, rbridge_id=None, access_list=None, ip_action=None, ip_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_list: name, seq_keyword, instance, ip_action, ip_reg_expr
    :param access_list: Keyword argument tuple.

    :type name: unicode
    :param name: **access_list** tuple argument.

        * length restriction: ::

            ['1..32']

    :type seq_keyword: unicode
    :param seq_keyword: **access_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **access_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ip_action: unicode
    :param ip_action: **access_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_reg_expr: unicode
    :param ip_reg_expr: **access_list** tuple argument.

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_reg_expr: unicode
    :param ip_reg_expr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.as_path.access_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, access_list=access_list, ip_action=ip_action, ip_reg_expr=ip_reg_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, access_list=access_list, ip_action=ip_action, ip_reg_expr=ip_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_as_path_access_list_ip_action_update(self, rbridge_id=None, access_list=None, ip_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_list: name, seq_keyword, instance
    :param access_list: Keyword argument tuple.

    :type name: unicode
    :param name: **access_list** tuple argument.

        * length restriction: ::

            ['1..32']

    :type seq_keyword: unicode
    :param seq_keyword: **access_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **access_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.as_path.access_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, access_list=access_list, ip_action=ip_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, access_list=access_list, ip_action=ip_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_as_path_access_list_ip_reg_expr_update(self, rbridge_id=None, access_list=None, ip_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_list: name, seq_keyword, instance
    :param access_list: Keyword argument tuple.

    :type name: unicode
    :param name: **access_list** tuple argument.

        * length restriction: ::

            ['1..32']

    :type seq_keyword: unicode
    :param seq_keyword: **access_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **access_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ip_reg_expr: unicode
    :param ip_reg_expr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.as_path.access_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, access_list=access_list, ip_reg_expr=ip_reg_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, access_list=access_list, ip_reg_expr=ip_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_community_list_extended_update(self, rbridge_id=None, extended=None, ip_action=None, ip_community_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type extended: name, seq_keyword, instance, ip_action, ip_community_reg_expr
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **extended** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **extended** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ip_action: unicode
    :param ip_action: **extended** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_community_reg_expr: unicode
    :param ip_community_reg_expr: **extended** tuple argument.

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_community_reg_expr: unicode
    :param ip_community_reg_expr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.community_list.extended', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ip.community_list.extended', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, extended=extended, ip_action=ip_action, ip_community_reg_expr=ip_community_reg_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, extended=extended, ip_action=ip_action, ip_community_reg_expr=ip_community_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_community_list_extended_ip_action_update(self, rbridge_id=None, extended=None, ip_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type extended: name, seq_keyword, instance
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **extended** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **extended** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.community_list.extended', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ip.community_list.extended', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, extended=extended, ip_action=ip_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, extended=extended, ip_action=ip_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_community_list_extended_ip_community_reg_expr_update(self, rbridge_id=None, extended=None, ip_community_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type extended: name, seq_keyword, instance
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **extended** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **extended** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ip_community_reg_expr: unicode
    :param ip_community_reg_expr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.community_list.extended', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ip.community_list.extended', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, extended=extended, ip_community_reg_expr=ip_community_reg_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, extended=extended, ip_community_reg_expr=ip_community_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_community_list_standard_update(self, rbridge_id=None, standard=None, ip_action=None, std_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type standard: name, seq_keyword, instance, ip_action, std_community_expr
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **standard** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **standard** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ip_action: unicode
    :param ip_action: **standard** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type std_community_expr: unicode
    :param std_community_expr: **standard** tuple argument.

        * pattern restriction: ::

            '(\s*)|(\s*((local\-as)|(internet)|(no\-export)|('
            'no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4'
            '})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]['
            '0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9'
            ']{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-'
            '2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]['
            '0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429'
            '[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0'
            '-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]'
            '{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s'
            '+((local\-as)|(internet)|(no\-export)|(no\-adver'
            'tise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6['
            '0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|'
            '(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|'
            '(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9'
            ']{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|('
            '429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429'
            '49672[0-8][0-9])|(429496729[0-5])))*)'

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type std_community_expr: unicode
    :param std_community_expr: Keyword argument.

        * pattern restriction: ::

            '(\s*)|(\s*((local\-as)|(internet)|(no\-export)|('
            'no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4'
            '})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]['
            '0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9'
            ']{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-'
            '2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]['
            '0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429'
            '[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0'
            '-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]'
            '{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s'
            '+((local\-as)|(internet)|(no\-export)|(no\-adver'
            'tise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6['
            '0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|'
            '(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|'
            '(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9'
            ']{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|('
            '429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429'
            '49672[0-8][0-9])|(429496729[0-5])))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.community_list.standard', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ip.community_list.standard', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, standard=standard, ip_action=ip_action, std_community_expr=std_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, standard=standard, ip_action=ip_action, std_community_expr=std_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_community_list_standard_ip_action_update(self, rbridge_id=None, standard=None, ip_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type standard: name, seq_keyword, instance
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **standard** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **standard** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.community_list.standard', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ip.community_list.standard', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, standard=standard, ip_action=ip_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, standard=standard, ip_action=ip_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_community_list_standard_std_community_expr_update(self, rbridge_id=None, standard=None, std_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type standard: name, seq_keyword, instance
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **standard** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **standard** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type std_community_expr: unicode
    :param std_community_expr: Keyword argument.

        * pattern restriction: ::

            '(\s*)|(\s*((local\-as)|(internet)|(no\-export)|('
            'no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4'
            '})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]['
            '0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9'
            ']{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-'
            '2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]['
            '0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429'
            '[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0'
            '-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]'
            '{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s'
            '+((local\-as)|(internet)|(no\-export)|(no\-adver'
            'tise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6['
            '0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|'
            '(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|'
            '(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9'
            ']{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|('
            '429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429'
            '49672[0-8][0-9])|(429496729[0-5])))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.community_list.standard', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ip.community_list.standard', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, standard=standard, std_community_expr=std_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, standard=standard, std_community_expr=std_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_dhcp_relay_information_update(self, rbridge_id=None, option=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type option: YANGBool
    :param option: Configure DHCP Relay Information Option

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, option=option)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, option=option)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_dhcp_relay_information_option_update(self, rbridge_id=None, option=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type option: YANGBool
    :param option: Configure DHCP Relay Information Option

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, option=option)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, option=option)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_extcommunity_list_update(self, rbridge_id=None, extcommunity_list=None, ext_community_action=None, ext_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type extcommunity_list: extcommunity_list_num, ext_community_action, ext_community_expr
    :param extcommunity_list: Keyword argument tuple.

    :type extcommunity_list_num: int
    :param extcommunity_list_num: **extcommunity_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ext_community_action: unicode
    :param ext_community_action: **extcommunity_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_community_expr: unicode
    :param ext_community_expr: **extcommunity_list** tuple argument:  Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    **Instance Argument(s)**:

    :type ext_community_action: unicode
    :param ext_community_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_community_expr: unicode
    :param ext_community_expr: Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.extcommunity_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_expr'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.ip.extcommunity_list": {"ext_community_action": "ext_community_action", "ext_community_expr": "ext_community_expr", "extcommunity_list_num": "extcommunity_list_num"}, "pybind.nos.v7_1_0.rbridge_id.ip.extcommunity_list": {}, "pybind.nos.v7_0_1b.rbridge_id.ip.extcommunity_list": {"ext_community_action": "ext_community_action", "ext_community_expr": "ext_community_expr", "extcommunity_list_num": "extcommunity_list_num"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list, ext_community_action=ext_community_action, ext_community_expr=ext_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list, ext_community_action=ext_community_action, ext_community_expr=ext_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_extcommunity_list_ext_community_action_update(self, rbridge_id=None, extcommunity_list=None, ext_community_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type extcommunity_list: extcommunity_list_num
    :param extcommunity_list: Keyword argument tuple.

    :type extcommunity_list_num: int
    :param extcommunity_list_num: **extcommunity_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ext_community_action: unicode
    :param ext_community_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.extcommunity_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list, ext_community_action=ext_community_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list, ext_community_action=ext_community_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_extcommunity_list_ext_community_expr_update(self, rbridge_id=None, extcommunity_list=None, ext_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type extcommunity_list: extcommunity_list_num
    :param extcommunity_list: Keyword argument tuple.

    :type extcommunity_list_num: int
    :param extcommunity_list_num: **extcommunity_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ext_community_expr: unicode
    :param ext_community_expr: Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.extcommunity_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list, ext_community_expr=ext_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list, ext_community_expr=ext_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_extcommunity_list_ext_community_regex_update(self, rbridge_id=None, extcommunity_list=None, ext_community_regex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type extcommunity_list: extcommunity_list_num
    :param extcommunity_list: Keyword argument tuple.

    :type extcommunity_list_num: int
    :param extcommunity_list_num: **extcommunity_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ext_community_regex: unicode
    :param ext_community_regex: Filter regular expression.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list, ext_community_regex=ext_community_regex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list, ext_community_regex=ext_community_regex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_load_sharing_update(self, rbridge_id=None, load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type load_sharing: long
    :param load_sharing: Enable IP load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, load_sharing=load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, load_sharing=load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_prefix_list_update(self, rbridge_id=None, prefix_list=None, action_ipp=None, prefix_ipp=None, ge_ipp=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type action_ipp: unicode
    :param action_ipp: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type prefix_ipp: unicode
    :param prefix_ipp: **prefix_list** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type ge_ipp: long
    :param ge_ipp: **prefix_list** tuple argument:  Minimum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: **prefix_list** tuple argument:  Maximum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_ipp: unicode
    :param action_ipp: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type prefix_ipp: unicode
    :param prefix_ipp: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type ge_ipp: long
    :param ge_ipp: Minimum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: Maximum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, prefix_list=prefix_list, action_ipp=action_ipp, prefix_ipp=prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, prefix_list=prefix_list, action_ipp=action_ipp, prefix_ipp=prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_prefix_list_action_ipp_update(self, rbridge_id=None, prefix_list=None, action_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type action_ipp: unicode
    :param action_ipp: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, prefix_list=prefix_list, action_ipp=action_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, prefix_list=prefix_list, action_ipp=action_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_prefix_list_ge_update(self, rbridge_id=None, prefix_list=None, ge_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ge_ipp: long
    :param ge_ipp: Minimum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, prefix_list=prefix_list, ge_ipp=ge_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, prefix_list=prefix_list, ge_ipp=ge_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_prefix_list_le_update(self, rbridge_id=None, prefix_list=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type le_ipp: long
    :param le_ipp: Maximum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, prefix_list=prefix_list, le_ipp=le_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, prefix_list=prefix_list, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_prefix_list_prefix_ipp_update(self, rbridge_id=None, prefix_list=None, prefix_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_ipp: unicode
    :param prefix_ipp: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, prefix_list=prefix_list, prefix_ipp=prefix_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, prefix_list=prefix_list, prefix_ipp=prefix_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_receive_access_group_update(self, rbridge_id=None, ip_access_list=None, ip_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_access_list: unicode
    :param ip_access_list: ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: Keyword argument.

        * enumeration restriction: ::

            ['in']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.receive.access_group', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.receive.access_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.receive.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ip_access_list, ip_direction'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ip_access_list=ip_access_list, ip_direction=ip_direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ip_access_list=ip_access_list, ip_direction=ip_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_receive_access_group_ip_access_list_update(self, rbridge_id=None, ip_access_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_access_list: unicode
    :param ip_access_list: ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.receive.access_group', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.receive.access_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.receive.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ip_access_list=ip_access_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ip_access_list=ip_access_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_receive_access_group_ip_direction_update(self, rbridge_id=None, ip_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_direction: unicode
    :param ip_direction: Keyword argument.

        * enumeration restriction: ::

            ['in']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.receive.access_group', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.receive.access_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.receive.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ip_direction=ip_direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ip_direction=ip_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_bfd_update(self, rbridge_id=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type holdover_interval: int
    :param holdover_interval: Holdover interval

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_bfd_bfd_static_route_interval_update(self, rbridge_id=None, bfd_static_route=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interval: int
    :param interval: Transmit interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bfd_static_route=bfd_static_route, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bfd_static_route=bfd_static_route, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_bfd_bfd_static_route_min_rx_update(self, rbridge_id=None, bfd_static_route=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_rx: int
    :param min_rx: Receive interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bfd_static_route=bfd_static_route, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bfd_static_route=bfd_static_route, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_bfd_bfd_static_route_multiplier_update(self, rbridge_id=None, bfd_static_route=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type multiplier: int
    :param multiplier: Multiplier value

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bfd_static_route=bfd_static_route, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bfd_static_route=bfd_static_route, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_bfd_holdover_interval_update(self, rbridge_id=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type holdover_interval: int
    :param holdover_interval: Holdover interval

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_route_nh_distance_update(self, rbridge_id=None, static_route_nh=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_route_nh_metric_update(self, rbridge_id=None, static_route_nh=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_route_nh_tag_update(self, rbridge_id=None, static_route_nh=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_route_oif_distance_update(self, rbridge_id=None, static_route_oif=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_route_oif_metric_update(self, rbridge_id=None, static_route_oif=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_route_oif_tag_update(self, rbridge_id=None, static_route_oif=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_router_id_update(self, rbridge_id=None, router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type router_id: unicode
    :param router_id: Change the router ID already in use

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, router_id=router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, router_id=router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_rtm_config_update(self, rbridge_id=None, router_id=None, load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type router_id: unicode
    :param router_id: Change the router ID already in use

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type load_sharing: long
    :param load_sharing: Enable IP load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, router_id=router_id, load_sharing=load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, router_id=router_id, load_sharing=load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_anycast_gateway_mac_update(self, rbridge_id=None, ipv6_anycast_gateway_mac=None, ipv6_anycast_default_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_anycast_gateway_mac: unicode
    :param ipv6_anycast_gateway_mac: Keyword argument.

    :type ipv6_anycast_default_mac: YANGBool
    :param ipv6_anycast_default_mac: Anycast gateway default MAC.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ipv6_anycast_gateway_mac=ipv6_anycast_gateway_mac, ipv6_anycast_default_mac=ipv6_anycast_default_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ipv6_anycast_gateway_mac=ipv6_anycast_gateway_mac, ipv6_anycast_default_mac=ipv6_anycast_default_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_anycast_gateway_mac_default_mac_update(self, rbridge_id=None, ipv6_anycast_default_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_anycast_default_mac: YANGBool
    :param ipv6_anycast_default_mac: Anycast gateway default MAC.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ipv6_anycast_default_mac=ipv6_anycast_default_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ipv6_anycast_default_mac=ipv6_anycast_default_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_anycast_gateway_mac_ipv6_anycast_gateway_mac_update(self, rbridge_id=None, ipv6_anycast_gateway_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_anycast_gateway_mac: unicode
    :param ipv6_anycast_gateway_mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ipv6_anycast_gateway_mac=ipv6_anycast_gateway_mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ipv6_anycast_gateway_mac=ipv6_anycast_gateway_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_nd_dad_update(self, rbridge_id=None, global_dad_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type global_dad_time: long
    :param global_dad_time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, global_dad_time=global_dad_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, global_dad_time=global_dad_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_nd_dad_time_update(self, rbridge_id=None, global_dad_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type global_dad_time: long
    :param global_dad_time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, global_dad_time=global_dad_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, global_dad_time=global_dad_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_prefix_list_update(self, rbridge_id=None, prefix_list=None, action_ipp=None, ipv6_prefix_ipp=None, ge_ipp=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type action_ipp: unicode
    :param action_ipp: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ipv6_prefix_ipp: unicode
    :param ipv6_prefix_ipp: **prefix_list** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type ge_ipp: long
    :param ge_ipp: **prefix_list** tuple argument:  Minimum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: **prefix_list** tuple argument:  Maximum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_ipp: unicode
    :param action_ipp: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ipv6_prefix_ipp: unicode
    :param ipv6_prefix_ipp: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type ge_ipp: long
    :param ge_ipp: Minimum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: Maximum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, prefix_list=prefix_list, action_ipp=action_ipp, ipv6_prefix_ipp=ipv6_prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, prefix_list=prefix_list, action_ipp=action_ipp, ipv6_prefix_ipp=ipv6_prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_prefix_list_action_ipp_update(self, rbridge_id=None, prefix_list=None, action_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type action_ipp: unicode
    :param action_ipp: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, prefix_list=prefix_list, action_ipp=action_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, prefix_list=prefix_list, action_ipp=action_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_prefix_list_ge_update(self, rbridge_id=None, prefix_list=None, ge_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ge_ipp: long
    :param ge_ipp: Minimum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, prefix_list=prefix_list, ge_ipp=ge_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, prefix_list=prefix_list, ge_ipp=ge_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_prefix_list_ipv6_prefix_ipp_update(self, rbridge_id=None, prefix_list=None, ipv6_prefix_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_ipp: unicode
    :param ipv6_prefix_ipp: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, prefix_list=prefix_list, ipv6_prefix_ipp=ipv6_prefix_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, prefix_list=prefix_list, ipv6_prefix_ipp=ipv6_prefix_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_prefix_list_le_update(self, rbridge_id=None, prefix_list=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type le_ipp: long
    :param le_ipp: Maximum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, prefix_list=prefix_list, le_ipp=le_ipp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, prefix_list=prefix_list, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_protocol_update(self, rbridge_id=None, vrrp=None, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp: YANGBool
    :param vrrp: Virtual Router Redundacy Protocol IPv6 (VRRPv3)

    :type vrrp_extended: YANGBool
    :param vrrp_extended: Virtual Router Redundacy Protocol IPv6 Extended (VRRPv3-E)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrrp=vrrp, vrrp_extended=vrrp_extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrrp=vrrp, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_protocol_vrrp_update(self, rbridge_id=None, vrrp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp: YANGBool
    :param vrrp: Virtual Router Redundacy Protocol IPv6 (VRRPv3)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrrp=vrrp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrrp=vrrp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_protocol_vrrp_extended_update(self, rbridge_id=None, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp_extended: YANGBool
    :param vrrp_extended: Virtual Router Redundacy Protocol IPv6 Extended (VRRPv3-E)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrrp_extended=vrrp_extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_receive_access_group_update(self, rbridge_id=None, ipv6_access_list=None, ip_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_access_list: unicode
    :param ipv6_access_list: ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: Keyword argument.

        * enumeration restriction: ::

            ['in']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ipv6_access_list, ip_direction'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ipv6_access_list=ipv6_access_list, ip_direction=ip_direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ipv6_access_list=ipv6_access_list, ip_direction=ip_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_receive_access_group_ip_direction_update(self, rbridge_id=None, ip_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_direction: unicode
    :param ip_direction: Keyword argument.

        * enumeration restriction: ::

            ['in']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ip_direction=ip_direction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ip_direction=ip_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_receive_access_group_ipv6_access_list_update(self, rbridge_id=None, ipv6_access_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_access_list: unicode
    :param ipv6_access_list: ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ipv6_access_list=ipv6_access_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ipv6_access_list=ipv6_access_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_update(self, rbridge_id=None, route=None, next_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type route: dest
    :param route: Keyword argument tuple.

    :type dest: unicode
    :param dest: **route** tuple argument:  IPv6Address/prefix.;; Destination IPv6 address-prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type next_hop: unicode
    :param next_hop: IPv6 address.;; Next hop IPv6 address. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ipv6.ipv6route.route', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'dest', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rbridge_id.ipv6.ipv6route.route': [u'next_hop'], 'pybind.nos.v7_0_1b.rbridge_id.ipv6.ipv6route.route': [u'next_hop'], 'pybind.slxos.v17r_1_00a.rbridge_id.ipv6.ipv6route.route': [u'next_hop'], 'pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6route.route': [u'next_hop'], 'pybind.slxos.v16r_1_00b.rbridge_id.ipv6.ipv6route.route': [u'next_hop']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route=route, next_hop=next_hop)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route=route, next_hop=next_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_link_local_static_route_nh_distance_update(self, rbridge_id=None, link_local_static_route_nh=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['management',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, link_local_static_route_nh=link_local_static_route_nh, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, link_local_static_route_nh=link_local_static_route_nh, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_link_local_static_route_nh_metric_update(self, rbridge_id=None, link_local_static_route_nh=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['management',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, link_local_static_route_nh=link_local_static_route_nh, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, link_local_static_route_nh=link_local_static_route_nh, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_link_local_static_route_nh_tag_update(self, rbridge_id=None, link_local_static_route_nh=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['management',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, link_local_static_route_nh=link_local_static_route_nh, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, link_local_static_route_nh=link_local_static_route_nh, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_next_hop_update(self, rbridge_id=None, route=None, next_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type route: dest
    :param route: Keyword argument tuple.

    :type dest: unicode
    :param dest: **route** tuple argument:  IPv6Address/prefix.;; Destination IPv6 address-prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type next_hop: unicode
    :param next_hop: IPv6 address.;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.ipv6.ipv6route.route', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'dest', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route=route, next_hop=next_hop)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route=route, next_hop=next_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_bfd_update(self, rbridge_id=None, ipv6_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_holdover_interval: int
    :param ipv6_holdover_interval: Holdover interval

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ipv6_holdover_interval=ipv6_holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ipv6_holdover_interval=ipv6_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_interval_update(self, rbridge_id=None, bfd_ipv6_link_local_static_route=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type interval: int
    :param interval: Transmit interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_min_rx_update(self, rbridge_id=None, bfd_ipv6_link_local_static_route=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type min_rx: int
    :param min_rx: Receive interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_multiplier_update(self, rbridge_id=None, bfd_ipv6_link_local_static_route=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type multiplier: int
    :param multiplier: Multiplier value

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_bfd_bfd_ipv6_static_route_interval_update(self, rbridge_id=None, bfd_ipv6_static_route=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interval: int
    :param interval: Transmit interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bfd_ipv6_static_route=bfd_ipv6_static_route, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bfd_ipv6_static_route=bfd_ipv6_static_route, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_bfd_bfd_ipv6_static_route_min_rx_update(self, rbridge_id=None, bfd_ipv6_static_route=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_rx: int
    :param min_rx: Receive interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bfd_ipv6_static_route=bfd_ipv6_static_route, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bfd_ipv6_static_route=bfd_ipv6_static_route, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_bfd_bfd_ipv6_static_route_multiplier_update(self, rbridge_id=None, bfd_ipv6_static_route=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type multiplier: int
    :param multiplier: Multiplier value

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bfd_ipv6_static_route=bfd_ipv6_static_route, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bfd_ipv6_static_route=bfd_ipv6_static_route, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_bfd_holdover_interval_update(self, rbridge_id=None, ipv6_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_holdover_interval: int
    :param ipv6_holdover_interval: Holdover interval

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ipv6_holdover_interval=ipv6_holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ipv6_holdover_interval=ipv6_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_route_nh_distance_update(self, rbridge_id=None, static_route_nh=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_route_nh_metric_update(self, rbridge_id=None, static_route_nh=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_route_nh_tag_update(self, rbridge_id=None, static_route_nh=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_route_oif_distance_update(self, rbridge_id=None, static_route_oif=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_route_oif_metric_update(self, rbridge_id=None, static_route_oif=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_route_oif_tag_update(self, rbridge_id=None, static_route_oif=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_update(self, rbridge_id=None, ospf=None, database_overflow_interval=None, default_metric=None, default_passive_interface=None, external_lsdb_limit=None, key_add_remove_interval=None, key_rollover_interval=None, log_status_change=None, global_metric_type=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type database_overflow_interval: long
    :param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated.

        * range restriction: ::

            ['0..4294967295']

    :type default_metric: long
    :param default_metric: Set OSPF default metric

        * range restriction: ::

            ['0..4294967295']

    :type default_passive_interface: YANGBool
    :param default_passive_interface: Set OSPF interface passive

    :type external_lsdb_limit: long
    :param external_lsdb_limit: Set maximum number of external LSAs.

        * range restriction: ::

            ['0..4294967295']

    :type key_add_remove_interval: long
    :param key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type key_rollover_interval: long
    :param key_rollover_interval: Configure OSPFv3 authentication key rollover interval

        * range restriction: ::

            ['0..4294967295']

    :type log_status_change: YANGBool
    :param log_status_change: Log status change

    :type global_metric_type: unicode
    :param global_metric_type: OSPFv3 metric type for redistributed routes

        * enumeration restriction: ::

            ['type1', 'type2']

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enable nonstop-routing capability

    :type maximum_paths: long
    :param maximum_paths: Set the maximum number of paths to a destination.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval, default_metric=default_metric, default_passive_interface=default_passive_interface, external_lsdb_limit=external_lsdb_limit, key_add_remove_interval=key_add_remove_interval, key_rollover_interval=key_rollover_interval, log_status_change=log_status_change, global_metric_type=global_metric_type, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval, default_metric=default_metric, default_passive_interface=default_passive_interface, external_lsdb_limit=external_lsdb_limit, key_add_remove_interval=key_add_remove_interval, key_rollover_interval=key_rollover_interval, log_status_change=log_status_change, global_metric_type=global_metric_type, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_update(self, rbridge_id=None, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type normal: YANGBool
    :param normal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_authentication_ah_update(self, rbridge_id=None, ospf=None, area=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_authentication_esp_update(self, rbridge_id=None, ospf=None, area=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_authentication_esp_auth_update(self, rbridge_id=None, ospf=None, area=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_authentication_esp_key_update(self, rbridge_id=None, ospf=None, area=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_authentication_esp_no_encrypt_update(self, rbridge_id=None, ospf=None, area=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_authentication_ipsec_auth_key_config_update(self, rbridge_id=None, ospf=None, area=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_authentication_key_update(self, rbridge_id=None, ospf=None, area=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_authentication_no_encrypt_update(self, rbridge_id=None, ospf=None, area=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_authentication_spi_update(self, rbridge_id=None, ospf=None, area=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_normal_update(self, rbridge_id=None, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type normal: YANGBool
    :param normal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_default_information_originate_metric_update(self, rbridge_id=None, ospf=None, area=None, area_default_information_originate_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type area_default_information_originate_metric: long
    :param area_default_information_originate_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, area_default_information_originate_metric=area_default_information_originate_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, area_default_information_originate_metric=area_default_information_originate_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_default_information_originate_metric_type_update(self, rbridge_id=None, ospf=None, area=None, area_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type area_default_information_originate_metric_type: unicode
    :param area_default_information_originate_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, area_default_information_originate_metric_type=area_default_information_originate_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, area_default_information_originate_metric_type=area_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_metric_update(self, rbridge_id=None, ospf=None, area=None, nssa_area_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type nssa_area_metric: long
    :param nssa_area_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.nssa.metric', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.nssa.metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_area_metric=nssa_area_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_area_metric=nssa_area_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_no_redistribution_update(self, rbridge_id=None, ospf=None, area=None, no_redistribution=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type no_redistribution: YANGBool
    :param no_redistribution: Do not send redistributed LSA into nssa area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, no_redistribution=no_redistribution)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, no_redistribution=no_redistribution)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_no_summary_update(self, rbridge_id=None, ospf=None, area=None, nssa_area_no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type nssa_area_no_summary: YANGBool
    :param nssa_area_no_summary: Do not send summary LSA into nssa area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_area_no_summary=nssa_area_no_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_area_no_summary=nssa_area_no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_nssa_area_metric_update(self, rbridge_id=None, ospf=None, area=None, nssa_area_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type nssa_area_metric: long
    :param nssa_area_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.nssa.metric', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.nssa.metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_area_metric=nssa_area_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_area_metric=nssa_area_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_translator_always_update(self, rbridge_id=None, ospf=None, area=None, translator_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type translator_always: YANGBool
    :param translator_always: Set nssa translator role

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, translator_always=translator_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, translator_always=translator_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_translator_interval_update(self, rbridge_id=None, ospf=None, area=None, translator_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type translator_interval: long
    :param translator_interval: Set nssa translator stability interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, translator_interval=translator_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, translator_interval=translator_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_range_update(self, rbridge_id=None, ospf=None, area=None, area_range=None, range_effect=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type area_range: range_address, range_effect, range_cost
    :param area_range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **area_range** tuple argument:  A:B::C:D/LEN;; IPv6 address to match

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type range_effect: unicode
    :param range_effect: **area_range** tuple argument:  Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: **area_range** tuple argument:  Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type range_effect: unicode
    :param range_effect: Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, area_range=area_range, range_effect=range_effect, range_cost=range_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, area_range=area_range, range_effect=range_effect, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_range_cost_update(self, rbridge_id=None, ospf=None, area=None, area_range=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type area_range: range_address
    :param area_range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **area_range** tuple argument:  A:B::C:D/LEN;; IPv6 address to match

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type range_cost: long
    :param range_cost: Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, area_range=area_range, range_cost=range_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, area_range=area_range, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_range_range_effect_update(self, rbridge_id=None, ospf=None, area=None, area_range=None, range_effect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type area_range: range_address
    :param area_range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **area_range** tuple argument:  A:B::C:D/LEN;; IPv6 address to match

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type range_effect: unicode
    :param range_effect: Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, area_range=area_range, range_effect=range_effect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, area_range=area_range, range_effect=range_effect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_stub_update(self, rbridge_id=None, ospf=None, area=None, stub_area_no_summary=None, stub_area_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type stub_area_no_summary: YANGBool
    :param stub_area_no_summary: Do not send summary LSA into stub area

    :type stub_area_metric: long
    :param stub_area_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'stub_area_no_summary, stub_area_metric'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_area_no_summary=stub_area_no_summary, stub_area_metric=stub_area_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_area_no_summary=stub_area_no_summary, stub_area_metric=stub_area_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_stub_no_summary_update(self, rbridge_id=None, ospf=None, area=None, stub_area_no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type stub_area_no_summary: YANGBool
    :param stub_area_no_summary: Do not send summary LSA into stub area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_area_no_summary=stub_area_no_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_area_no_summary=stub_area_no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_stub_stub_area_metric_update(self, rbridge_id=None, ospf=None, area=None, stub_area_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type stub_area_metric: long
    :param stub_area_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_area_metric=stub_area_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_area_metric=stub_area_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_authentication_ah_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, ah=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, ah=ah)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, ah=ah)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_authentication_esp_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, esp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP)

        * enumeration restriction: ::

            ['NULL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, esp=esp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, esp=esp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_authentication_esp_auth_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, esp_auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, esp_auth=esp_auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, esp_auth=esp_auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_authentication_esp_key_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, esp_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, esp_key=esp_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, esp_key=esp_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_authentication_esp_no_encrypt_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, esp_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, esp_no_encrypt=esp_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, esp_no_encrypt=esp_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_authentication_ipsec_auth_key_config_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type ah: unicode
    :param ah: Specify the authentication algorithm to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type esp: unicode
    :param esp: Specify Encapsulating Security Payload (ESP). Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['NULL']

    :type esp_no_encrypt: YANGBool
    :param esp_no_encrypt: Do not encrypt the key 

    :type esp_key: unicode
    :param esp_key: Hexadecimal key string for ESP

        * length restriction: ::

            ['0..80']

    :type esp_auth: unicode
    :param esp_auth: Use Authentication Algorithm

        * enumeration restriction: ::

            ['hmac-sha1', 'hmac-md5']

    :type esp_auth_no_encrypt: YANGBool
    :param esp_auth_no_encrypt: Do not encrypt the key 

    :type esp_auth_key: unicode
    :param esp_auth_key: Hexadecimal key string for authentication algorithm

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config': [u'ah', u'esp'], 'pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config': [u'ah', u'esp']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_authentication_key_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, ah_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ah_key: unicode
    :param ah_key: Key used for ah

        * length restriction: ::

            ['0..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, ah_key=ah_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, ah_key=ah_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_authentication_no_encrypt_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, ah_no_encrypt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ah_no_encrypt: YANGBool
    :param ah_no_encrypt: Do not encrypt the key 

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, ah_no_encrypt=ah_no_encrypt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, ah_no_encrypt=ah_no_encrypt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_authentication_spi_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, spi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type spi: long
    :param spi: Security Parameter Index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_dead_interval_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_hello_interval_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_hello_jitter_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, hello_jitter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, hello_jitter=hello_jitter)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, hello_jitter=hello_jitter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_link_interval_properties_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_jitter: long
    :param hello_jitter: Allowed jitter between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_retransmit_interval_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state advertisements.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_transmit_delay_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_auto_cost_update(self, rbridge_id=None, ospf=None, reference_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type reference_bandwidth: long
    :param reference_bandwidth: Set OSPFv3  Auto-cost Reference-bandwidth in Mbits per second

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, reference_bandwidth=reference_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, reference_bandwidth=reference_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_auto_cost_reference_bandwidth_update(self, rbridge_id=None, ospf=None, reference_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type reference_bandwidth: long
    :param reference_bandwidth: Set OSPFv3  Auto-cost Reference-bandwidth in Mbits per second

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, reference_bandwidth=reference_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, reference_bandwidth=reference_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_bfd_update(self, rbridge_id=None, ospf=None, bfd_enable=None, bfd_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type bfd_holdover_interval: long
    :param bfd_holdover_interval: The time by which the BFD session DOWN notification to Ospf is delayed

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, bfd_enable=bfd_enable, bfd_holdover_interval=bfd_holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, bfd_enable=bfd_enable, bfd_holdover_interval=bfd_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_bfd_bfd_enable_update(self, rbridge_id=None, ospf=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_bfd_holdover_interval_update(self, rbridge_id=None, ospf=None, bfd_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type bfd_holdover_interval: long
    :param bfd_holdover_interval: The time by which the BFD session DOWN notification to Ospf is delayed

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, bfd_holdover_interval=bfd_holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, bfd_holdover_interval=bfd_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_database_overflow_interval_update(self, rbridge_id=None, ospf=None, database_overflow_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type database_overflow_interval: long
    :param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_default_information_originate_always_update(self, rbridge_id=None, ospf=None, global_default_information_originate_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type global_default_information_originate_always: YANGBool
    :param global_default_information_originate_always: Always advertise default route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, global_default_information_originate_always=global_default_information_originate_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, global_default_information_originate_always=global_default_information_originate_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_default_information_originate_metric_update(self, rbridge_id=None, ospf=None, global_default_information_originate_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type global_default_information_originate_metric: long
    :param global_default_information_originate_metric: OSPF metric for default route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, global_default_information_originate_metric=global_default_information_originate_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, global_default_information_originate_metric=global_default_information_originate_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_default_information_originate_metric_type_update(self, rbridge_id=None, ospf=None, global_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type global_default_information_originate_metric_type: unicode
    :param global_default_information_originate_metric_type: OSPF metric type for default route

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, global_default_information_originate_metric_type=global_default_information_originate_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, global_default_information_originate_metric_type=global_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_default_metric_update(self, rbridge_id=None, ospf=None, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Set OSPF default metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_default_passive_interface_update(self, rbridge_id=None, ospf=None, default_passive_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type default_passive_interface: YANGBool
    :param default_passive_interface: Set OSPF interface passive

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, default_passive_interface=default_passive_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, default_passive_interface=default_passive_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distance_update(self, rbridge_id=None, ospf=None, distance=None, distance_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type distance: route_type
    :param distance: Keyword argument tuple.

    :type route_type: unicode
    :param route_type: **distance** tuple argument:  The type of route propagation

        * enumeration restriction: ::

            ['intra-area', 'external', 'inter-area']

    **Instance Argument(s)**:

    :type distance_value: long
    :param distance_value: The distance for a given type of route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, distance=distance, distance_value=distance_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, distance=distance, distance_value=distance_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distance_distance_value_update(self, rbridge_id=None, ospf=None, distance=None, distance_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type distance: route_type
    :param distance: Keyword argument tuple.

    :type route_type: unicode
    :param route_type: **distance** tuple argument:  The type of route propagation

        * enumeration restriction: ::

            ['intra-area', 'external', 'inter-area']

    **Instance Argument(s)**:

    :type distance_value: long
    :param distance_value: The distance for a given type of route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, distance=distance, distance_value=distance_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, distance=distance, distance_value=distance_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distribute_list_prefix_list_update(self, rbridge_id=None, ospf=None, distribute_list_prefix_list_name=None, distribute_list_prefix_list_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type distribute_list_prefix_list_name: unicode
    :param distribute_list_prefix_list_name: Prefix list  name.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type distribute_list_prefix_list_in: YANGBool
    :param distribute_list_prefix_list_in: Inbound Filtering

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'distribute_list_prefix_list_name, distribute_list_prefix_list_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name, distribute_list_prefix_list_in=distribute_list_prefix_list_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name, distribute_list_prefix_list_in=distribute_list_prefix_list_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distribute_list_prefix_list_distribute_list_prefix_list_name_update(self, rbridge_id=None, ospf=None, distribute_list_prefix_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type distribute_list_prefix_list_name: unicode
    :param distribute_list_prefix_list_name: Prefix list  name.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distribute_list_prefix_list_in_update(self, rbridge_id=None, ospf=None, distribute_list_prefix_list_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type distribute_list_prefix_list_in: YANGBool
    :param distribute_list_prefix_list_in: Inbound Filtering

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, distribute_list_prefix_list_in=distribute_list_prefix_list_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, distribute_list_prefix_list_in=distribute_list_prefix_list_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distribute_list_route_map_update(self, rbridge_id=None, ospf=None, distribute_list_route_map_name=None, distribute_list_route_map_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type distribute_list_route_map_name: unicode
    :param distribute_list_route_map_name: Route-map name.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type distribute_list_route_map_in: YANGBool
    :param distribute_list_route_map_in: Inbound Filtering

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'distribute_list_route_map_name, distribute_list_route_map_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name, distribute_list_route_map_in=distribute_list_route_map_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name, distribute_list_route_map_in=distribute_list_route_map_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distribute_list_route_map_distribute_list_route_map_name_update(self, rbridge_id=None, ospf=None, distribute_list_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type distribute_list_route_map_name: unicode
    :param distribute_list_route_map_name: Route-map name.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distribute_list_route_map_in_update(self, rbridge_id=None, ospf=None, distribute_list_route_map_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type distribute_list_route_map_in: YANGBool
    :param distribute_list_route_map_in: Inbound Filtering

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, distribute_list_route_map_in=distribute_list_route_map_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, distribute_list_route_map_in=distribute_list_route_map_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_external_lsdb_limit_update(self, rbridge_id=None, ospf=None, external_lsdb_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type external_lsdb_limit: long
    :param external_lsdb_limit: Set maximum number of external LSAs.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, external_lsdb_limit=external_lsdb_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, external_lsdb_limit=external_lsdb_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_graceful_restart_helper_update(self, rbridge_id=None, ospf=None, graceful_restart_helper_disable=None, graceful_restart_helper_strict_lsa_checking=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type graceful_restart_helper_disable: YANGBool
    :param graceful_restart_helper_disable: Disable graceful restart helper capability

    :type graceful_restart_helper_strict_lsa_checking: YANGBool
    :param graceful_restart_helper_strict_lsa_checking: Set strict LSA checking

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_graceful_restart_helper_disable_update(self, rbridge_id=None, ospf=None, graceful_restart_helper_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type graceful_restart_helper_disable: YANGBool
    :param graceful_restart_helper_disable: Disable graceful restart helper capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_graceful_restart_helper_strict_lsa_checking_update(self, rbridge_id=None, ospf=None, graceful_restart_helper_strict_lsa_checking=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type graceful_restart_helper_strict_lsa_checking: YANGBool
    :param graceful_restart_helper_strict_lsa_checking: Set strict LSA checking

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_key_add_remove_interval_update(self, rbridge_id=None, ospf=None, key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type key_add_remove_interval: long
    :param key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, key_add_remove_interval=key_add_remove_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, key_add_remove_interval=key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_key_rollover_interval_update(self, rbridge_id=None, ospf=None, key_rollover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type key_rollover_interval: long
    :param key_rollover_interval: Configure OSPFv3 authentication key rollover interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, key_rollover_interval=key_rollover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, key_rollover_interval=key_rollover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_update(self, rbridge_id=None, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_all: YANGBool
    :param log_all: Logging everything

    :type log_database: YANGBool
    :param log_database: Logging LSA activity

    :type log_retransmit: YANGBool
    :param log_retransmit: Logging retransmit activity

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_adjacency_dr_only_update(self, rbridge_id=None, ospf=None, log_adjacency_dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_adjacency_dr_only: YANGBool
    :param log_adjacency_dr_only: Logging only Designated Router interfaces' adjacency changes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_all_update(self, rbridge_id=None, ospf=None, log_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_all: YANGBool
    :param log_all: Logging everything

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_bad_packet_checksum_update(self, rbridge_id=None, ospf=None, log_bad_packet_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_bad_packet_checksum: YANGBool
    :param log_bad_packet_checksum: Logging bad checksum packets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_database_update(self, rbridge_id=None, ospf=None, log_database=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_database: YANGBool
    :param log_database: Logging LSA activity

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, log_database=log_database)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_database=log_database)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_retransmit_update(self, rbridge_id=None, ospf=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_retransmit: YANGBool
    :param log_retransmit: Logging retransmit activity

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, log_retransmit=log_retransmit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_status_change_update(self, rbridge_id=None, ospf=None, log_status_change=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_status_change: YANGBool
    :param log_status_change: Log status change

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, log_status_change=log_status_change)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_status_change=log_status_change)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_all_lsas_update(self, rbridge_id=None, ospf=None, all_lsas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type all_lsas: YANGBool
    :param all_lsas: Replace Metric in all External and Summary LSAs with default max metric value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, all_lsas=all_lsas)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, all_lsas=all_lsas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_external_lsa_external_lsa_value_update(self, rbridge_id=None, ospf=None, external_lsa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type external_lsa_value: long
    :param external_lsa_value: Indicates the metric of all external type 5 and type 7 LSA's

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, external_lsa_value=external_lsa_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, external_lsa_value=external_lsa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_include_stub_update(self, rbridge_id=None, ospf=None, include_stub=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type include_stub: YANGBool
    :param include_stub: Configure include-stub for max-metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, include_stub=include_stub)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, include_stub=include_stub)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_on_startup_update(self, rbridge_id=None, ospf=None, on_startup_time=None, wait_for_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type on_startup_time: long
    :param on_startup_time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds

        * range restriction: ::

            ['0..4294967295']

    :type wait_for_bgp: YANGBool
    :param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, on_startup_time=on_startup_time, wait_for_bgp=wait_for_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, on_startup_time=on_startup_time, wait_for_bgp=wait_for_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_on_startup_on_startup_time_update(self, rbridge_id=None, ospf=None, on_startup_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type on_startup_time: long
    :param on_startup_time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, on_startup_time=on_startup_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, on_startup_time=on_startup_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_on_startup_wait_for_bgp_update(self, rbridge_id=None, ospf=None, wait_for_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type wait_for_bgp: YANGBool
    :param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, wait_for_bgp=wait_for_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, wait_for_bgp=wait_for_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_summary_lsa_summary_lsa_value_update(self, rbridge_id=None, ospf=None, summary_lsa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type summary_lsa_value: long
    :param summary_lsa_value: Metric of all summary type 3 and type 4 LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_value=summary_lsa_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_value=summary_lsa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_maximum_paths_update(self, rbridge_id=None, ospf=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type maximum_paths: long
    :param maximum_paths: Set the maximum number of paths to a destination.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_metric_type_update(self, rbridge_id=None, ospf=None, global_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type global_metric_type: unicode
    :param global_metric_type: OSPFv3 metric type for redistributed routes

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, global_metric_type=global_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, global_metric_type=global_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_nonstop_routing_update(self, rbridge_id=None, ospf=None, nonstop_routing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enable nonstop-routing capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, nonstop_routing=nonstop_routing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, nonstop_routing=nonstop_routing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_bgp_metric_update(self, rbridge_id=None, ospf=None, redistribute_bgp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_bgp_metric: long
    :param redistribute_bgp_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_bgp_metric=redistribute_bgp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_bgp_metric=redistribute_bgp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_bgp_metric_type_update(self, rbridge_id=None, ospf=None, redistribute_bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_bgp_metric_type: unicode
    :param redistribute_bgp_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_bgp_metric_type=redistribute_bgp_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_bgp_metric_type=redistribute_bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_bgp_route_map_update(self, rbridge_id=None, ospf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_connected_metric_update(self, rbridge_id=None, ospf=None, redistribute_connected_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_connected_metric: long
    :param redistribute_connected_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_connected_metric=redistribute_connected_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_connected_metric=redistribute_connected_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_connected_metric_type_update(self, rbridge_id=None, ospf=None, redistribute_connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_connected_metric_type: unicode
    :param redistribute_connected_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_connected_metric_type=redistribute_connected_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_connected_metric_type=redistribute_connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_connected_route_map_update(self, rbridge_id=None, ospf=None, connected_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type connected_route_map: unicode
    :param connected_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_ospf_metric_update(self, rbridge_id=None, ospf=None, redistribute_ospf_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_ospf_metric: long
    :param redistribute_ospf_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_ospf_metric=redistribute_ospf_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_ospf_metric=redistribute_ospf_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_ospf_metric_type_update(self, rbridge_id=None, ospf=None, redistribute_ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_ospf_metric_type: unicode
    :param redistribute_ospf_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_ospf_metric_type=redistribute_ospf_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_ospf_metric_type=redistribute_ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_ospf_route_map_update(self, rbridge_id=None, ospf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_static_metric_update(self, rbridge_id=None, ospf=None, redistribute_static_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_static_metric: long
    :param redistribute_static_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_static_metric=redistribute_static_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_static_metric=redistribute_static_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_static_metric_type_update(self, rbridge_id=None, ospf=None, redistribute_static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_static_metric_type: unicode
    :param redistribute_static_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_static_metric_type=redistribute_static_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute_static_metric_type=redistribute_static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_static_route_map_update(self, rbridge_id=None, ospf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_timers_update(self, rbridge_id=None, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type lsa_group_pacing: long
    :param lsa_group_pacing: OSPFv3 LSA group pacing timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_timers_lsa_group_pacing_update(self, rbridge_id=None, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type lsa_group_pacing: long
    :param lsa_group_pacing: OSPFv3 LSA group pacing timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_timers_spf_update(self, rbridge_id=None, ospf=None, spf_delay=None, spf_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type spf_delay: long
    :param spf_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_hold_time: long
    :param spf_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spf_delay, spf_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, spf_delay=spf_delay, spf_hold_time=spf_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, spf_delay=spf_delay, spf_hold_time=spf_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_timers_spf_spf_delay_update(self, rbridge_id=None, ospf=None, spf_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type spf_delay: long
    :param spf_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, spf_delay=spf_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, spf_delay=spf_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_timers_spf_spf_hold_time_update(self, rbridge_id=None, ospf=None, spf_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type spf_hold_time: long
    :param spf_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, spf_hold_time=spf_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, spf_hold_time=spf_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_linecard_linecards_update(self, rbridge_id=None, linecards=None, linecardType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type linecards: linecardName, linecardType
    :param linecards: Keyword argument tuple.

    :type linecardName: unicode
    :param linecardName: **linecards** tuple argument.

        * pattern restriction: ::

            '([1-9]|[1][0-6])'

    :type linecardType: unicode
    :param linecardType: **linecards** tuple argument.

        * enumeration restriction: ::

            ['LC27X40G',
            'LC48X10G',
            'LC6X100G',
            'LC48X10GT',
            'LC12X40G',
            'LC48X1G']

    **Instance Argument(s)**:

    :type linecardType: unicode
    :param linecardType: Keyword argument.

        * enumeration restriction: ::

            ['LC27X40G',
            'LC48X10G',
            'LC6X100G',
            'LC48X10GT',
            'LC12X40G',
            'LC48X1G']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, linecards=linecards, linecardType=linecardType)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, linecards=linecards, linecardType=linecardType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_linecard_linecards_linecardtype_update(self, rbridge_id=None, linecards=None, linecardType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type linecards: linecardName
    :param linecards: Keyword argument tuple.

    :type linecardName: unicode
    :param linecardName: **linecards** tuple argument.

        * pattern restriction: ::

            '([1-9]|[1][0-6])'

    **Instance Argument(s)**:

    :type linecardType: unicode
    :param linecardType: Keyword argument.

        * enumeration restriction: ::

            ['LC27X40G',
            'LC48X10G',
            'LC6X100G',
            'LC48X10GT',
            'LC12X40G',
            'LC48X1G']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, linecards=linecards, linecardType=linecardType)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, linecards=linecards, linecardType=linecardType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_logical_chassis_update(self, rbridge_id=None, principal_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type principal_priority: long
    :param principal_priority: Syntax: principal-priority <priority-value <1-128>>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.logical_chassis', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.logical_chassis', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.logical_chassis', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.logical_chassis', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.logical_chassis', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, principal_priority=principal_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, principal_priority=principal_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_logical_chassis_principal_priority_update(self, rbridge_id=None, principal_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type principal_priority: long
    :param principal_priority: Syntax: principal-priority <priority-value <1-128>>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.logical_chassis', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.logical_chassis', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.logical_chassis', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.logical_chassis', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.logical_chassis', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, principal_priority=principal_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, principal_priority=principal_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_enable_update(self, rbridge_id=None, policy=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type policy: unicode
    :param policy: Configure MAPS policy name

    :type actions: unicode
    :param actions: Configure MAPS actions

        * enumeration restriction: ::

            ['SW_CRITICAL',
            'NONE',
            'SFP_MARGINAL',
            'FENCE',
            'SNMP',
            'EMAIL',
            'RASLOG',
            'SW_MARGINAL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.maps.enable', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.maps.enable', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.enable', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.enable', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.maps.enable', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_enable_actions_update(self, rbridge_id=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type actions: unicode
    :param actions: Configure MAPS actions

        * enumeration restriction: ::

            ['SW_CRITICAL',
            'NONE',
            'SFP_MARGINAL',
            'FENCE',
            'SNMP',
            'EMAIL',
            'RASLOG',
            'SW_MARGINAL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.maps.enable', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.maps.enable', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.enable', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.enable', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.maps.enable', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_enable_policy_update(self, rbridge_id=None, policy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type policy: unicode
    :param policy: Configure MAPS policy name

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.maps.enable', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.maps.enable', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.enable', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.enable', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.maps.enable', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_group_update(self, rbridge_id=None, logicalgroup=None, elementtype=None, members=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type logicalgroup: logicalgroupname, elementtype, members
    :param logicalgroup: Keyword argument tuple.

    :type logicalgroupname: unicode
    :param logicalgroupname: **logicalgroup** tuple argument:  Configure group name

    :type elementtype: unicode
    :param elementtype: **logicalgroup** tuple argument.

        * enumeration restriction: ::

            ['interface', 'sfp']

    :type members: unicode
    :param members: **logicalgroup** tuple argument:  Configure memberlist

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?'
            '(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(('
            '(,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-'
            '9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9]['
            '0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]'
            '))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|['
            '1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-'
            '9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))'
            '/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-'
            '([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])('
            '-([1-4]))))))*)(,(((([1-9]|[1-9][0-9]|1[0-9][0-9'
            ']|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9]'
            '[0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9'
            '][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})'
            '+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)'
            '?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|'
            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))'
            '?){1})+)|([1-4])(-([1-4]))))))*))*'

    **Instance Argument(s)**:

    :type elementtype: unicode
    :param elementtype: Keyword argument.

        * enumeration restriction: ::

            ['interface', 'sfp']

    :type members: unicode
    :param members: Configure memberlist

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?'
            '(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(('
            '(,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-'
            '9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9]['
            '0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]'
            '))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|['
            '1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-'
            '9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))'
            '/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-'
            '([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])('
            '-([1-4]))))))*)(,(((([1-9]|[1-9][0-9]|1[0-9][0-9'
            ']|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9]'
            '[0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9'
            '][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})'
            '+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)'
            '?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|'
            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))'
            '?){1})+)|([1-4])(-([1-4]))))))*))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logicalgroup', 'keyval': 'logicalgroupname', 'extra_keyval': 'logicalgroupname, elementtype, members'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, logicalgroup=logicalgroup, elementtype=elementtype, members=members)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logicalgroup=logicalgroup, elementtype=elementtype, members=members)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_group_members_update(self, rbridge_id=None, logicalgroup=None, members=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type logicalgroup: logicalgroupname
    :param logicalgroup: Keyword argument tuple.

    :type logicalgroupname: unicode
    :param logicalgroupname: **logicalgroup** tuple argument:  Configure group name

    **Instance Argument(s)**:

    :type members: unicode
    :param members: Configure memberlist

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?'
            '(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(('
            '(,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-'
            '9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9]['
            '0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]'
            '))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|['
            '1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-'
            '9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))'
            '/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-'
            '([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])('
            '-([1-4]))))))*)(,(((([1-9]|[1-9][0-9]|1[0-9][0-9'
            ']|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9]'
            '[0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9'
            '][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})'
            '+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)'
            '?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|'
            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))'
            '?){1})+)|([1-4])(-([1-4]))))))*))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logicalgroup', 'keyval': 'logicalgroupname', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, logicalgroup=logicalgroup, members=members)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logicalgroup=logicalgroup, members=members)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_group_type_update(self, rbridge_id=None, logicalgroup=None, elementtype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type logicalgroup: logicalgroupname
    :param logicalgroup: Keyword argument tuple.

    :type logicalgroupname: unicode
    :param logicalgroupname: **logicalgroup** tuple argument:  Configure group name

    **Instance Argument(s)**:

    :type elementtype: unicode
    :param elementtype: Keyword argument.

        * enumeration restriction: ::

            ['interface', 'sfp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logicalgroup', 'keyval': 'logicalgroupname', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, logicalgroup=logicalgroup, elementtype=elementtype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logicalgroup=logicalgroup, elementtype=elementtype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_policy_rule_update(self, rbridge_id=None, policy=None, ruleaction=None, policyaction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policyname
    :param policy: Keyword argument tuple.

    :type policyname: unicode
    :param policyname: **policy** tuple argument:  Configure policy name

    **Instance Keyword Argument Tuple**:

    :type ruleaction: policyrule, policyaction
    :param ruleaction: Keyword argument tuple.

    :type policyrule: unicode
    :param policyrule: **ruleaction** tuple argument:  rule name

    :type policyaction: unicode
    :param policyaction: **ruleaction** tuple argument:  rule actions

        * enumeration restriction: ::

            ['NONE',
            'SNMP',
            'RASLOG',
            'SW_CRITICAL',
            'SFP_MARGINAL',
            'EMAIL',
            'SW_MARGINAL']

    **Instance Argument(s)**:

    :type policyaction: unicode
    :param policyaction: rule actions

        * enumeration restriction: ::

            ['NONE',
            'SNMP',
            'RASLOG',
            'SW_CRITICAL',
            'SFP_MARGINAL',
            'EMAIL',
            'SW_MARGINAL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.maps.policy', u'policy')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ruleaction', 'keyval': 'policyrule', 'extra_keyval': 'policyrule, policyaction'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, ruleaction=ruleaction, policyaction=policyaction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, ruleaction=ruleaction, policyaction=policyaction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_policy_rule_actions_update(self, rbridge_id=None, policy=None, ruleaction=None, policyaction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policyname
    :param policy: Keyword argument tuple.

    :type policyname: unicode
    :param policyname: **policy** tuple argument:  Configure policy name

    **Instance Keyword Argument Tuple**:

    :type ruleaction: policyrule
    :param ruleaction: Keyword argument tuple.

    :type policyrule: unicode
    :param policyrule: **ruleaction** tuple argument:  rule name

    **Instance Argument(s)**:

    :type policyaction: unicode
    :param policyaction: rule actions

        * enumeration restriction: ::

            ['NONE',
            'SNMP',
            'RASLOG',
            'SW_CRITICAL',
            'SFP_MARGINAL',
            'EMAIL',
            'SW_MARGINAL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.maps.policy', u'policy')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ruleaction', 'keyval': 'policyrule', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, ruleaction=ruleaction, policyaction=policyaction)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, ruleaction=ruleaction, policyaction=policyaction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_relay_update(self, rbridge_id=None, relay=None, domainname=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type relay: hostip
    :param relay: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **relay** tuple argument:  <IP:Address> IP address of Relay Host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type domainname: unicode
    :param domainname: Domain name server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.maps.relay', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.maps.relay', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.relay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.relay', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.maps.relay', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'hostip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, relay=relay, domainname=domainname)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, relay=relay, domainname=domainname)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_relay_domainname_update(self, rbridge_id=None, relay=None, domainname=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type relay: hostip
    :param relay: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **relay** tuple argument:  <IP:Address> IP address of Relay Host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type domainname: unicode
    :param domainname: Domain name server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.maps.relay', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.maps.relay', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.relay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.relay', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.maps.relay', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'hostip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, relay=relay, domainname=domainname)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, relay=relay, domainname=domainname)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_rule_update(self, rbridge_id=None, rule=None, targetgroup=None, monitor=None, timebase=None, op=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rule: rulename, targetgroup, monitor, timebase, op, threshold
    :param rule: Keyword argument tuple.

    :type rulename: unicode
    :param rulename: **rule** tuple argument:  Configure rule name

    :type targetgroup: unicode
    :param targetgroup: **rule** tuple argument:  target group for rule

    :type monitor: unicode
    :param monitor: **rule** tuple argument.

        * enumeration restriction: ::

            ['MEMORY_USAGE',
            'FLASH_USAGE',
            'HA_SYNC',
            'BAD_PWR',
            'ETH_MGMT_PORT_STATE',
            'BAD_FAN',
            'CPU',
            'SFP_TEMP',
            'SEC_TELNET',
            'TXP',
            'TEMP',
            'RX_SYM_ERR',
            'CRCALN',
            'VOLTAGE',
            'SFP_STATE',
            'WWN_DOWN',
            'FAN_STATE',
            'CURRENT',
            'RX_ABN_FRAME',
            'RXP',
            'FAULTY_BLADE',
            'WWN',
            'BAD_TEMP',
            'PS_STATE',
            'SEC_LV',
            'BLADE_STATE',
            'DOWN_SFM']

    :type timebase: unicode
    :param timebase: **rule** tuple argument.

        * enumeration restriction: ::

            ['none', 'day', 'hour', 'min']

    :type op: unicode
    :param op: **rule** tuple argument.

        * enumeration restriction: ::

            ['gt', 'lt', 'le', 'eq', 'ge']

    :type threshold: unicode
    :param threshold: **rule** tuple argument:  threshold value

    **Instance Argument(s)**:

    :type targetgroup: unicode
    :param targetgroup: target group for rule

    :type monitor: unicode
    :param monitor: Keyword argument.

        * enumeration restriction: ::

            ['MEMORY_USAGE',
            'FLASH_USAGE',
            'HA_SYNC',
            'BAD_PWR',
            'ETH_MGMT_PORT_STATE',
            'BAD_FAN',
            'CPU',
            'SFP_TEMP',
            'SEC_TELNET',
            'TXP',
            'TEMP',
            'RX_SYM_ERR',
            'CRCALN',
            'VOLTAGE',
            'SFP_STATE',
            'WWN_DOWN',
            'FAN_STATE',
            'CURRENT',
            'RX_ABN_FRAME',
            'RXP',
            'FAULTY_BLADE',
            'WWN',
            'BAD_TEMP',
            'PS_STATE',
            'SEC_LV',
            'BLADE_STATE',
            'DOWN_SFM']

    :type timebase: unicode
    :param timebase: Keyword argument.

        * enumeration restriction: ::

            ['none', 'day', 'hour', 'min']

    :type op: unicode
    :param op: Keyword argument.

        * enumeration restriction: ::

            ['gt', 'lt', 'le', 'eq', 'ge']

    :type threshold: unicode
    :param threshold: threshold value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.rule', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.rule', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'rulename', 'extra_keyval': 'rulename, targetgroup, monitor, timebase, op, threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rule=rule, targetgroup=targetgroup, monitor=monitor, timebase=timebase, op=op, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rule=rule, targetgroup=targetgroup, monitor=monitor, timebase=timebase, op=op, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_rule_group_update(self, rbridge_id=None, rule=None, targetgroup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rule: rulename
    :param rule: Keyword argument tuple.

    :type rulename: unicode
    :param rulename: **rule** tuple argument:  Configure rule name

    **Instance Argument(s)**:

    :type targetgroup: unicode
    :param targetgroup: target group for rule

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.rule', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.rule', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'rulename', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rule=rule, targetgroup=targetgroup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rule=rule, targetgroup=targetgroup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_rule_interval_update(self, rbridge_id=None, rule=None, timebase=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rule: rulename
    :param rule: Keyword argument tuple.

    :type rulename: unicode
    :param rulename: **rule** tuple argument:  Configure rule name

    **Instance Argument(s)**:

    :type timebase: unicode
    :param timebase: Keyword argument.

        * enumeration restriction: ::

            ['none', 'day', 'hour', 'min']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.rule', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.rule', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'rulename', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rule=rule, timebase=timebase)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rule=rule, timebase=timebase)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_rule_monitor_update(self, rbridge_id=None, rule=None, monitor=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rule: rulename
    :param rule: Keyword argument tuple.

    :type rulename: unicode
    :param rulename: **rule** tuple argument:  Configure rule name

    **Instance Argument(s)**:

    :type monitor: unicode
    :param monitor: Keyword argument.

        * enumeration restriction: ::

            ['MEMORY_USAGE',
            'FLASH_USAGE',
            'HA_SYNC',
            'BAD_PWR',
            'ETH_MGMT_PORT_STATE',
            'BAD_FAN',
            'CPU',
            'SFP_TEMP',
            'SEC_TELNET',
            'TXP',
            'TEMP',
            'RX_SYM_ERR',
            'CRCALN',
            'VOLTAGE',
            'SFP_STATE',
            'WWN_DOWN',
            'FAN_STATE',
            'CURRENT',
            'RX_ABN_FRAME',
            'RXP',
            'FAULTY_BLADE',
            'WWN',
            'BAD_TEMP',
            'PS_STATE',
            'SEC_LV',
            'BLADE_STATE',
            'DOWN_SFM']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.rule', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.rule', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'rulename', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rule=rule, monitor=monitor)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rule=rule, monitor=monitor)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_rule_op_update(self, rbridge_id=None, rule=None, op=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rule: rulename
    :param rule: Keyword argument tuple.

    :type rulename: unicode
    :param rulename: **rule** tuple argument:  Configure rule name

    **Instance Argument(s)**:

    :type op: unicode
    :param op: Keyword argument.

        * enumeration restriction: ::

            ['gt', 'lt', 'le', 'eq', 'ge']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.rule', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.rule', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'rulename', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rule=rule, op=op)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rule=rule, op=op)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_rule_value_update(self, rbridge_id=None, rule=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rule: rulename
    :param rule: Keyword argument tuple.

    :type rulename: unicode
    :param rulename: **rule** tuple argument:  Configure rule name

    **Instance Argument(s)**:

    :type threshold: unicode
    :param threshold: threshold value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.rule', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.rule', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'rulename', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rule=rule, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rule=rule, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_openflow_logical_instance_update(self, rbridge_id=None, logical_instance=None, default_forwarding_action=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type logical_instance: instance_id
    :param logical_instance: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **logical_instance** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_forwarding_action: unicode
    :param default_forwarding_action: Default MISS behavior for this logical instance

        * enumeration restriction: ::

            ['send-to-controller', 'drop']

    :type activate: YANGBool
    :param activate: Activate this logical instance

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_instance', 'keyval': 'instance_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, logical_instance=logical_instance, default_forwarding_action=default_forwarding_action, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logical_instance=logical_instance, default_forwarding_action=default_forwarding_action, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_openflow_logical_instance_activate_update(self, rbridge_id=None, logical_instance=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type logical_instance: instance_id
    :param logical_instance: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **logical_instance** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate this logical instance

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_instance', 'keyval': 'instance_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, logical_instance=logical_instance, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logical_instance=logical_instance, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_openflow_logical_instance_default_behavior_update(self, rbridge_id=None, logical_instance=None, default_forwarding_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type logical_instance: instance_id
    :param logical_instance: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **logical_instance** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_forwarding_action: unicode
    :param default_forwarding_action: Default MISS behavior for this logical instance

        * enumeration restriction: ::

            ['send-to-controller', 'drop']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_instance', 'keyval': 'instance_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, logical_instance=logical_instance, default_forwarding_action=default_forwarding_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logical_instance=logical_instance, default_forwarding_action=default_forwarding_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_openflow_logical_instance_passive_no_ssl_update(self, rbridge_id=None, logical_instance=None, passive_controller_flag=None, passive_controller_ip_address=None, passive_controller_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type logical_instance: instance_id
    :param logical_instance: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **logical_instance** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive_controller_flag: YANGBool
    :param passive_controller_flag: Keyword argument.

    :type passive_controller_ip_address: unicode
    :param passive_controller_ip_address: IP address of OpenFlow controller

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type passive_controller_port: long
    :param passive_controller_port: Passive controller port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance', u'logical_instance')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'passive_controller_flag, passive_controller_ip_address, passive_controller_port'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance.passive.no_ssl": {"passive_controller_flag": "passive_controller_flag", "passive_controller_ip_address": "passive_controller_ip_address", "passive_controller_port": "passive_controller_port"}, "pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.passive.no_ssl": {}, "pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance.passive.no_ssl": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, logical_instance=logical_instance, passive_controller_flag=passive_controller_flag, passive_controller_ip_address=passive_controller_ip_address, passive_controller_port=passive_controller_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logical_instance=logical_instance, passive_controller_flag=passive_controller_flag, passive_controller_ip_address=passive_controller_ip_address, passive_controller_port=passive_controller_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_openflow_logical_instance_passive_no_ssl_ip_address_update(self, rbridge_id=None, logical_instance=None, passive_controller_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type logical_instance: instance_id
    :param logical_instance: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **logical_instance** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive_controller_ip_address: unicode
    :param passive_controller_ip_address: IP address of OpenFlow controller

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, logical_instance=logical_instance, passive_controller_ip_address=passive_controller_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logical_instance=logical_instance, passive_controller_ip_address=passive_controller_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_openflow_logical_instance_passive_no_ssl_passive_controller_flag_update(self, rbridge_id=None, logical_instance=None, passive_controller_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type logical_instance: instance_id
    :param logical_instance: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **logical_instance** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive_controller_flag: YANGBool
    :param passive_controller_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, logical_instance=logical_instance, passive_controller_flag=passive_controller_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logical_instance=logical_instance, passive_controller_flag=passive_controller_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_openflow_logical_instance_passive_no_ssl_port_update(self, rbridge_id=None, logical_instance=None, passive_controller_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type logical_instance: instance_id
    :param logical_instance: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **logical_instance** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive_controller_port: long
    :param passive_controller_port: Passive controller port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, logical_instance=logical_instance, passive_controller_port=passive_controller_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logical_instance=logical_instance, passive_controller_port=passive_controller_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_openflow_logical_instance_passive_no_ssl_use_vrf_update(self, rbridge_id=None, logical_instance=None, passive_controller_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type logical_instance: instance_id
    :param logical_instance: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **logical_instance** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type passive_controller_vrf: unicode
    :param passive_controller_vrf: Name of VRF (Default = mgmt-vrf)

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, logical_instance=logical_instance, passive_controller_vrf=passive_controller_vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logical_instance=logical_instance, passive_controller_vrf=passive_controller_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_protocol_hide_vrrp_holder_update(self, rbridge_id=None, vrrp=None, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp: YANGBool
    :param vrrp: Virtual Router Redundacy Protocol (VRRP)

    :type vrrp_extended: YANGBool
    :param vrrp_extended: Virtual Router Redundacy Protocol Extended (VRRP-E)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrrp=vrrp, vrrp_extended=vrrp_extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrrp=vrrp, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_protocol_vrrp_update(self, rbridge_id=None, vrrp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp: YANGBool
    :param vrrp: Virtual Router Redundacy Protocol (VRRP)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrrp=vrrp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrrp=vrrp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_protocol_vrrp_extended_update(self, rbridge_id=None, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp_extended: YANGBool
    :param vrrp_extended: Virtual Router Redundacy Protocol Extended (VRRP-E)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrrp_extended=vrrp_extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_qos_rcv_queue_update(self, rbridge_id=None, rcv_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rcv_queue_limit: long
    :param rcv_queue_limit: Configure qos ingress queue limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.qos.rcv_queue', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.qos.rcv_queue', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.qos.rcv_queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rcv_queue_limit=rcv_queue_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rcv_queue_limit=rcv_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_qos_rcv_queue_limit_update(self, rbridge_id=None, rcv_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rcv_queue_limit: long
    :param rcv_queue_limit: Configure qos ingress queue limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.qos.rcv_queue', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.qos.rcv_queue', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.qos.rcv_queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rcv_queue_limit=rcv_queue_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rcv_queue_limit=rcv_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_qos_rcv_queue_multicast_update(self, rbridge_id=None, rx_queue_bum_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_queue_bum_mode: unicode
    :param rx_queue_bum_mode: Keyword argument.

        * enumeration restriction: ::

            ['cut-through']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rx_queue_bum_mode=rx_queue_bum_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rx_queue_bum_mode=rx_queue_bum_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_qos_rcv_queue_multicast_mode_update(self, rbridge_id=None, rx_queue_bum_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_queue_bum_mode: unicode
    :param rx_queue_bum_mode: Keyword argument.

        * enumeration restriction: ::

            ['cut-through']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rx_queue_bum_mode=rx_queue_bum_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rx_queue_bum_mode=rx_queue_bum_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_qos_tx_queue_update(self, rbridge_id=None, tx_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_queue_limit: long
    :param tx_queue_limit: Configure qos egress queue limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.qos.tx_queue', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.qos.tx_queue', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.qos.tx_queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, tx_queue_limit=tx_queue_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, tx_queue_limit=tx_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_qos_tx_queue_limit_update(self, rbridge_id=None, tx_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_queue_limit: long
    :param tx_queue_limit: Configure qos egress queue limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.qos.tx_queue', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.qos.tx_queue', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.qos.tx_queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, tx_queue_limit=tx_queue_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, tx_queue_limit=tx_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_cpu_update(self, rbridge_id=None, enable_cpu=None, threshold_cpu=None, action_cpu=None, sample_rate_cpu=None, logging_rate_cpu=None, grace_period_cpu=None, offset_cpu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable_cpu: YANGBool
    :param enable_cpu: Enable monitoring CPU usage

    :type threshold_cpu: long
    :param threshold_cpu: Threshold for high CPU usage

        * range restriction: ::

            ['0..4294967295']

    :type action_cpu: unicode
    :param action_cpu: Action to take when CPU usage exceeds threshold

        * enumeration restriction: ::

            ['raslog']

    :type sample_rate_cpu: long
    :param sample_rate_cpu: Sampling rate for CPU usage monitoring

        * range restriction: ::

            ['0..4294967295']

    :type logging_rate_cpu: long
    :param logging_rate_cpu: Logging rate for CPU usage monitoring

        * range restriction: ::

            ['0..4294967295']

    :type grace_period_cpu: long
    :param grace_period_cpu: Grace period after CPU usage threshold exceeded

        * range restriction: ::

            ['0..4294967295']

    :type offset_cpu: long
    :param offset_cpu: Offset to CPU threshold for testing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable_cpu, threshold_cpu, action_cpu, sample_rate_cpu, logging_rate_cpu, grace_period_cpu, offset_cpu'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable_cpu=enable_cpu, threshold_cpu=threshold_cpu, action_cpu=action_cpu, sample_rate_cpu=sample_rate_cpu, logging_rate_cpu=logging_rate_cpu, grace_period_cpu=grace_period_cpu, offset_cpu=offset_cpu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable_cpu=enable_cpu, threshold_cpu=threshold_cpu, action_cpu=action_cpu, sample_rate_cpu=sample_rate_cpu, logging_rate_cpu=logging_rate_cpu, grace_period_cpu=grace_period_cpu, offset_cpu=offset_cpu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_cpu_action_update(self, rbridge_id=None, action_cpu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_cpu: unicode
    :param action_cpu: Action to take when CPU usage exceeds threshold

        * enumeration restriction: ::

            ['raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, action_cpu=action_cpu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, action_cpu=action_cpu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_cpu_enable_update(self, rbridge_id=None, enable_cpu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable_cpu: YANGBool
    :param enable_cpu: Enable monitoring CPU usage

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable_cpu=enable_cpu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable_cpu=enable_cpu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_cpu_grace_period_update(self, rbridge_id=None, grace_period_cpu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type grace_period_cpu: long
    :param grace_period_cpu: Grace period after CPU usage threshold exceeded

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, grace_period_cpu=grace_period_cpu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, grace_period_cpu=grace_period_cpu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_cpu_logging_rate_update(self, rbridge_id=None, logging_rate_cpu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type logging_rate_cpu: long
    :param logging_rate_cpu: Logging rate for CPU usage monitoring

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, logging_rate_cpu=logging_rate_cpu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logging_rate_cpu=logging_rate_cpu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_cpu_sample_rate_update(self, rbridge_id=None, sample_rate_cpu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sample_rate_cpu: long
    :param sample_rate_cpu: Sampling rate for CPU usage monitoring

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, sample_rate_cpu=sample_rate_cpu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, sample_rate_cpu=sample_rate_cpu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_cpu_thresh_offset_update(self, rbridge_id=None, offset_cpu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type offset_cpu: long
    :param offset_cpu: Offset to CPU threshold for testing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, offset_cpu=offset_cpu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, offset_cpu=offset_cpu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_cpu_threshold_update(self, rbridge_id=None, threshold_cpu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type threshold_cpu: long
    :param threshold_cpu: Threshold for high CPU usage

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, threshold_cpu=threshold_cpu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, threshold_cpu=threshold_cpu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_memory_update(self, rbridge_id=None, enable_memory=None, threshold_memory=None, action_memory=None, sample_rate_memory=None, logging_rate_memory=None, grace_period_memory=None, offset_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable_memory: YANGBool
    :param enable_memory: Enable monitoring memory usage

    :type threshold_memory: long
    :param threshold_memory: Threshold for free low memory

        * range restriction: ::

            ['0..4294967295']

    :type action_memory: unicode
    :param action_memory: Action to take when memory usage exceeds threshold

        * enumeration restriction: ::

            ['raslog']

    :type sample_rate_memory: long
    :param sample_rate_memory: Sampling rate for memory usage monitoring

        * range restriction: ::

            ['0..4294967295']

    :type logging_rate_memory: long
    :param logging_rate_memory: Logging rate for CPU usage monitoring

        * range restriction: ::

            ['0..4294967295']

    :type grace_period_memory: long
    :param grace_period_memory: Grace period after memory usage threshold exceeded

        * range restriction: ::

            ['0..4294967295']

    :type offset_memory: long
    :param offset_memory: Offset to memory threshold for testing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable_memory, threshold_memory, action_memory, sample_rate_memory, logging_rate_memory, grace_period_memory, offset_memory'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable_memory=enable_memory, threshold_memory=threshold_memory, action_memory=action_memory, sample_rate_memory=sample_rate_memory, logging_rate_memory=logging_rate_memory, grace_period_memory=grace_period_memory, offset_memory=offset_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable_memory=enable_memory, threshold_memory=threshold_memory, action_memory=action_memory, sample_rate_memory=sample_rate_memory, logging_rate_memory=logging_rate_memory, grace_period_memory=grace_period_memory, offset_memory=offset_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_memory_action_update(self, rbridge_id=None, action_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_memory: unicode
    :param action_memory: Action to take when memory usage exceeds threshold

        * enumeration restriction: ::

            ['raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, action_memory=action_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, action_memory=action_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_memory_enable_update(self, rbridge_id=None, enable_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable_memory: YANGBool
    :param enable_memory: Enable monitoring memory usage

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable_memory=enable_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable_memory=enable_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_memory_grace_period_update(self, rbridge_id=None, grace_period_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type grace_period_memory: long
    :param grace_period_memory: Grace period after memory usage threshold exceeded

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, grace_period_memory=grace_period_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, grace_period_memory=grace_period_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_memory_logging_rate_update(self, rbridge_id=None, logging_rate_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type logging_rate_memory: long
    :param logging_rate_memory: Logging rate for CPU usage monitoring

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, logging_rate_memory=logging_rate_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logging_rate_memory=logging_rate_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_memory_sample_rate_update(self, rbridge_id=None, sample_rate_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sample_rate_memory: long
    :param sample_rate_memory: Sampling rate for memory usage monitoring

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, sample_rate_memory=sample_rate_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, sample_rate_memory=sample_rate_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_memory_thresh_offset_update(self, rbridge_id=None, offset_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type offset_memory: long
    :param offset_memory: Offset to memory threshold for testing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, offset_memory=offset_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, offset_memory=offset_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_memory_threshold_update(self, rbridge_id=None, threshold_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type threshold_memory: long
    :param threshold_memory: Threshold for free low memory

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, threshold_memory=threshold_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, threshold_memory=threshold_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_process_memory_update(self, rbridge_id=None, enable_process=None, thresh_mem_alarm=None, thresh_mem_critic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable_process: YANGBool
    :param enable_process: Enable monitoring process memory usage

    :type thresh_mem_alarm: long
    :param thresh_mem_alarm: Alarm threshold for memory usage

        * range restriction: ::

            ['0..4294967295']

    :type thresh_mem_critic: long
    :param thresh_mem_critic: Critical threshold for memory usage

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.process.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable_process, thresh_mem_alarm, thresh_mem_critic'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable_process=enable_process, thresh_mem_alarm=thresh_mem_alarm, thresh_mem_critic=thresh_mem_critic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable_process=enable_process, thresh_mem_alarm=thresh_mem_alarm, thresh_mem_critic=thresh_mem_critic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_process_memory_alarm_update(self, rbridge_id=None, thresh_mem_alarm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type thresh_mem_alarm: long
    :param thresh_mem_alarm: Alarm threshold for memory usage

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.process.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, thresh_mem_alarm=thresh_mem_alarm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, thresh_mem_alarm=thresh_mem_alarm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_process_memory_critical_update(self, rbridge_id=None, thresh_mem_critic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type thresh_mem_critic: long
    :param thresh_mem_critic: Critical threshold for memory usage

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.process.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, thresh_mem_critic=thresh_mem_critic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, thresh_mem_critic=thresh_mem_critic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_process_memory_enable_update(self, rbridge_id=None, enable_process=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable_process: YANGBool
    :param enable_process: Enable monitoring process memory usage

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.process.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable_process=enable_process)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable_process=enable_process)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_root_update(self, rbridge_id=None, enable=None, access=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Configure root account

    :type access: unicode
    :param access: Configure root access

        * enumeration restriction: ::

            ['console']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.root', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.root', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.root', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable, access=access)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable, access=access)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_root_access_update(self, rbridge_id=None, access=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type access: unicode
    :param access: Configure root access

        * enumeration restriction: ::

            ['console']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.root', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.root', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.root', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, access=access)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, access=access)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_root_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Configure root account

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.root', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.root', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.root', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_continue_update(self, rbridge_id=None, route_map=None, continue_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type continue_: YANGBool
    :param continue_: Continue clause with optional route map instance number.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, continue_=continue_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, continue_=continue_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_continue_holder_update(self, rbridge_id=None, route_map=None, continue_=None, continue_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type continue_: YANGBool
    :param continue_: Continue clause with optional route map instance number.

    :type continue_val: long
    :param continue_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'continue_, continue_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, continue_=continue_, continue_val=continue_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, continue_=continue_, continue_val=continue_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_continue_val_update(self, rbridge_id=None, route_map=None, continue_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type continue_val: long
    :param continue_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, continue_val=continue_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, continue_val=continue_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_update(self, rbridge_id=None, route_map=None, vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type vrf: unicode
    :param vrf: VRF name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, vrf=vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, vrf=vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_as_path_update(self, rbridge_id=None, route_map=None, as_path_access_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type as_path_access_list_name: unicode
    :param as_path_access_list_name: Access-list name.

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.as_path', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.as_path', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.as_path', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, as_path_access_list_name=as_path_access_list_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, as_path_access_list_name=as_path_access_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_as_path_as_path_access_list_name_update(self, rbridge_id=None, route_map=None, as_path_access_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type as_path_access_list_name: unicode
    :param as_path_access_list_name: Access-list name.

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.as_path', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.as_path', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.as_path', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, as_path_access_list_name=as_path_access_list_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, as_path_access_list_name=as_path_access_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_community_update(self, rbridge_id=None, route_map=None, community_access_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type community_access_list_name: unicode
    :param community_access_list_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'community_access_list_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, community_access_list_name=community_access_list_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, community_access_list_name=community_access_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_community_community_access_list_name_update(self, rbridge_id=None, route_map=None, community_access_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type community_access_list_name: unicode
    :param community_access_list_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, community_access_list_name=community_access_list_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, community_access_list_name=community_access_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_extcommunity_update(self, rbridge_id=None, route_map=None, extcommunity_num=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type extcommunity_num: unicode
    :param extcommunity_num: Extcommunity numbers

        * pattern restriction: ::

            '((0|[1-9][0-9]{0,1})(\s+(0|[1-9][0-9]{0,1}))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.extcommunity', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.extcommunity', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.extcommunity', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, extcommunity_num=extcommunity_num)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, extcommunity_num=extcommunity_num)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_extcommunity_extcommunity_num_update(self, rbridge_id=None, route_map=None, extcommunity_num=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type extcommunity_num: unicode
    :param extcommunity_num: Extcommunity numbers

        * pattern restriction: ::

            '((0|[1-9][0-9]{0,1})(\s+(0|[1-9][0-9]{0,1}))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.extcommunity', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.extcommunity', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.extcommunity', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, extcommunity_num=extcommunity_num)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, extcommunity_num=extcommunity_num)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ip_address_update(self, rbridge_id=None, route_map=None, prefix_list_rmm=None, acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_list_rmm: unicode
    :param prefix_list_rmm: IP prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type acl_rmm: unicode
    :param acl_rmm: IP ACL

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm=prefix_list_rmm, acl_rmm=acl_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm=prefix_list_rmm, acl_rmm=acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ip_address_acl_update(self, rbridge_id=None, route_map=None, acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type acl_rmm: unicode
    :param acl_rmm: IP ACL

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, acl_rmm=acl_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, acl_rmm=acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ip_address_prefix_list_update(self, rbridge_id=None, route_map=None, prefix_list_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_list_rmm: unicode
    :param prefix_list_rmm: IP prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm=prefix_list_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm=prefix_list_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ip_next_hop_update(self, rbridge_id=None, route_map=None, prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_list_rmm_n: unicode
    :param prefix_list_rmm_n: IP prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ip_next_hop_prefix_list_update(self, rbridge_id=None, route_map=None, prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_list_rmm_n: unicode
    :param prefix_list_rmm_n: IP prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ip_route_source_update(self, rbridge_id=None, route_map=None, prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_list_rmrs: unicode
    :param prefix_list_rmrs: IP prefix-list

        * pattern restriction: ::

            '(\s*([a-zA-Z0-9_-]+))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ip_route_source_prefix_list_update(self, rbridge_id=None, route_map=None, prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_list_rmrs: unicode
    :param prefix_list_rmrs: IP prefix-list

        * pattern restriction: ::

            '(\s*([a-zA-Z0-9_-]+))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ipv6_address_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmm=None, ipv6_acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_list_rmm: unicode
    :param ipv6_prefix_list_rmm: IPv6 prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type ipv6_acl_rmm: unicode
    :param ipv6_acl_rmm: IPv6 ACL

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm, ipv6_acl_rmm=ipv6_acl_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm, ipv6_acl_rmm=ipv6_acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ipv6_address_acl_update(self, rbridge_id=None, route_map=None, ipv6_acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_acl_rmm: unicode
    :param ipv6_acl_rmm: IPv6 ACL

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_acl_rmm=ipv6_acl_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_acl_rmm=ipv6_acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ipv6_address_prefix_list_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_list_rmm: unicode
    :param ipv6_prefix_list_rmm: IPv6 prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ipv6_next_hop_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_list_rmm_n: unicode
    :param ipv6_prefix_list_rmm_n: IPv6 prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ipv6_next_hop_prefix_list_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_list_rmm_n: unicode
    :param ipv6_prefix_list_rmm_n: IPv6 prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ipv6_route_source_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_list_rmrs: unicode
    :param ipv6_prefix_list_rmrs: IPv6 prefix-list

        * pattern restriction: ::

            '(\s*([a-zA-Z0-9_-]+))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ipv6_route_source_prefix_list_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_list_rmrs: unicode
    :param ipv6_prefix_list_rmrs: IPv6 prefix-list

        * pattern restriction: ::

            '(\s*([a-zA-Z0-9_-]+))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_metric_update(self, rbridge_id=None, route_map=None, metric_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type metric_rmm: long
    :param metric_rmm: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.metric', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, metric_rmm=metric_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, metric_rmm=metric_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_metric_metric_rmm_update(self, rbridge_id=None, route_map=None, metric_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type metric_rmm: long
    :param metric_rmm: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.metric', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, metric_rmm=metric_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, metric_rmm=metric_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_next_hop_update(self, rbridge_id=None, route_map=None, next_hop_filter_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type next_hop_filter_val: long
    :param next_hop_filter_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, next_hop_filter_val=next_hop_filter_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, next_hop_filter_val=next_hop_filter_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_next_hop_next_hop_filter_val_update(self, rbridge_id=None, route_map=None, next_hop_filter_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type next_hop_filter_val: long
    :param next_hop_filter_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, next_hop_filter_val=next_hop_filter_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, next_hop_filter_val=next_hop_filter_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_protocol_bgp_update(self, rbridge_id=None, route_map=None, protocol_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type protocol_bgp: YANGBool
    :param protocol_bgp: BGP protocol.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, protocol_bgp=protocol_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, protocol_bgp=protocol_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_protocol_bgp_protocol_container_update(self, rbridge_id=None, route_map=None, protocol_bgp=None, bgp_route_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type protocol_bgp: YANGBool
    :param protocol_bgp: BGP protocol.

    :type bgp_route_type: unicode
    :param bgp_route_type: Keyword argument.

        * enumeration restriction: ::

            ['internal', 'external', 'static-network']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, protocol_bgp=protocol_bgp, bgp_route_type=bgp_route_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, protocol_bgp=protocol_bgp, bgp_route_type=bgp_route_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_protocol_bgp_route_type_update(self, rbridge_id=None, route_map=None, bgp_route_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type bgp_route_type: unicode
    :param bgp_route_type: Keyword argument.

        * enumeration restriction: ::

            ['internal', 'external', 'static-network']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, bgp_route_type=bgp_route_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, bgp_route_type=bgp_route_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_protocol_protocol_static_container_update(self, rbridge_id=None, route_map=None, static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type static: YANGBool
    :param static: static

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, static=static)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, static=static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_protocol_static_update(self, rbridge_id=None, route_map=None, static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type static: YANGBool
    :param static: static

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, static=static)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, static=static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_route_type_update(self, rbridge_id=None, route_map=None, route_type_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type route_type_rmm: unicode
    :param route_type_rmm: Keyword argument.

        * enumeration restriction: ::

            ['type-1', 'internal', 'type-2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.route_type', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.route_type', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.route_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, route_type_rmm=route_type_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, route_type_rmm=route_type_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_route_type_route_type_rmm_update(self, rbridge_id=None, route_map=None, route_type_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type route_type_rmm: unicode
    :param route_type_rmm: Keyword argument.

        * enumeration restriction: ::

            ['type-1', 'internal', 'type-2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match.route_type', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match.route_type', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.route_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, route_type_rmm=route_type_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, route_type_rmm=route_type_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_vrf_update(self, rbridge_id=None, route_map=None, vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type vrf: unicode
    :param vrf: VRF name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, vrf=vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, vrf=vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_as_path_update(self, rbridge_id=None, route_map=None, aspath_tag=None, prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type aspath_tag: YANGBool
    :param aspath_tag: Tag as an AS-path attribute

    :type prepend: unicode
    :param prepend: Prepend to the AS-path

        * pattern restriction: ::

            '(\s*(\d+))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, aspath_tag=aspath_tag, prepend=prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, aspath_tag=aspath_tag, prepend=prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_as_path_prepend_update(self, rbridge_id=None, route_map=None, prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prepend: unicode
    :param prepend: Prepend to the AS-path

        * pattern restriction: ::

            '(\s*(\d+))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, prepend=prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, prepend=prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_as_path_tag_update(self, rbridge_id=None, route_map=None, aspath_tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type aspath_tag: YANGBool
    :param aspath_tag: Tag as an AS-path attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, aspath_tag=aspath_tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, aspath_tag=aspath_tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_automatic_tag_update(self, rbridge_id=None, route_map=None, tag_empty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type tag_empty: YANGBool
    :param tag_empty: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.automatic_tag', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.automatic_tag', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.automatic_tag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, tag_empty=tag_empty)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, tag_empty=tag_empty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_automatic_tag_tag_empty_update(self, rbridge_id=None, route_map=None, tag_empty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type tag_empty: YANGBool
    :param tag_empty: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.automatic_tag', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.automatic_tag', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.automatic_tag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, tag_empty=tag_empty)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, tag_empty=tag_empty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_comm_list_update(self, rbridge_id=None, route_map=None, comm_list_name=None, match_comm_delete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type comm_list_name: unicode
    :param comm_list_name: Keyword argument.

    :type match_comm_delete: YANGBool
    :param match_comm_delete: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'comm_list_name, match_comm_delete'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, comm_list_name=comm_list_name, match_comm_delete=match_comm_delete)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, comm_list_name=comm_list_name, match_comm_delete=match_comm_delete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_comm_list_comm_list_name_update(self, rbridge_id=None, route_map=None, comm_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type comm_list_name: unicode
    :param comm_list_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, comm_list_name=comm_list_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, comm_list_name=comm_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_comm_list_delete_update(self, rbridge_id=None, route_map=None, match_comm_delete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type match_comm_delete: YANGBool
    :param match_comm_delete: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, match_comm_delete=match_comm_delete)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, match_comm_delete=match_comm_delete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_community_update(self, rbridge_id=None, route_map=None, set_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type set_community_expr: unicode
    :param set_community_expr: Keyword argument.

        * pattern restriction: ::

            '((\s*)|(\s*((local\-as)|(internet)|(no\-export)|'
            '(no\-advertise)|((([0-9][0-9]{0,3})|([1-5][0-9]{'
            '4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]'
            '[0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-'
            '9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0'
            '-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\'
            's+((local\-as)|(internet)|(no\-export)|(no\-adve'
            'rtise)|((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-'
            '4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6'
            '553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6'
            '[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])'
            '|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})'
            '|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-'
            '9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|'
            '(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42'
            '949672[0-8][0-9])|(429496729[0-5])))*)(( (additi'
            've))?))|(none)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, set_community_expr=set_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, set_community_expr=set_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_community_set_community_expr_update(self, rbridge_id=None, route_map=None, set_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type set_community_expr: unicode
    :param set_community_expr: Keyword argument.

        * pattern restriction: ::

            '((\s*)|(\s*((local\-as)|(internet)|(no\-export)|'
            '(no\-advertise)|((([0-9][0-9]{0,3})|([1-5][0-9]{'
            '4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]'
            '[0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-'
            '9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0'
            '-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\'
            's+((local\-as)|(internet)|(no\-export)|(no\-adve'
            'rtise)|((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-'
            '4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6'
            '553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6'
            '[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])'
            '|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})'
            '|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-'
            '9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|'
            '(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42'
            '949672[0-8][0-9])|(429496729[0-5])))*)(( (additi'
            've))?))|(none)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, set_community_expr=set_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, set_community_expr=set_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_dampening_update(self, rbridge_id=None, route_map=None, half_life=None, reuse=None, suppress=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type half_life: long
    :param half_life: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type reuse: long
    :param reuse: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type suppress: long
    :param suppress: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'half_life, reuse, suppress, max_suppress_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, half_life=half_life, reuse=reuse, suppress=suppress, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, half_life=half_life, reuse=reuse, suppress=suppress, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_dampening_half_life_update(self, rbridge_id=None, route_map=None, half_life=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type half_life: long
    :param half_life: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, half_life=half_life)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, half_life=half_life)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_dampening_max_suppress_time_update(self, rbridge_id=None, route_map=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_dampening_reuse_update(self, rbridge_id=None, route_map=None, reuse=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type reuse: long
    :param reuse: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, reuse=reuse)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, reuse=reuse)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_dampening_suppress_update(self, rbridge_id=None, route_map=None, suppress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type suppress: long
    :param suppress: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, suppress=suppress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, suppress=suppress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_distance_update(self, rbridge_id=None, route_map=None, dist_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dist_rms: long
    :param dist_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.distance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.distance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, dist_rms=dist_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, dist_rms=dist_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_distance_dist_rms_update(self, rbridge_id=None, route_map=None, dist_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dist_rms: long
    :param dist_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.distance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.distance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, dist_rms=dist_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, dist_rms=dist_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_extcommunity_rt_update(self, rbridge_id=None, route_map=None, ASN_NN_rt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ASN_NN_rt: unicode
    :param ASN_NN_rt: Keyword argument.

        * pattern restriction: ::

            '((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4['
            '0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6'
            '})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429'
            '496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429496'
            '72[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0'
            ',8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3'
            '][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{'
            '4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})'
            '|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5]'
            '[0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(65'
            '5[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|'
            '1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0'
            '-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|['
            '1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9'
            '][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(6'
            '5[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*'
            ')(( (additive))?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.extcommunity.rt', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, ASN_NN_rt=ASN_NN_rt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, ASN_NN_rt=ASN_NN_rt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_extcommunity_rt_asn_nn_rt_update(self, rbridge_id=None, route_map=None, ASN_NN_rt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ASN_NN_rt: unicode
    :param ASN_NN_rt: Keyword argument.

        * pattern restriction: ::

            '((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4['
            '0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6'
            '})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429'
            '496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429496'
            '72[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0'
            ',8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3'
            '][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{'
            '4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})'
            '|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5]'
            '[0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(65'
            '5[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|'
            '1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0'
            '-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|['
            '1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9'
            '][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(6'
            '5[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*'
            ')(( (additive))?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.extcommunity.rt', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, ASN_NN_rt=ASN_NN_rt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, ASN_NN_rt=ASN_NN_rt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_extcommunity_soo_update(self, rbridge_id=None, route_map=None, ASN_NN_soo=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ASN_NN_soo: unicode
    :param ASN_NN_soo: Keyword argument.

        * pattern restriction: ::

            '((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4['
            '0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6'
            '})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429'
            '496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429496'
            '72[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0'
            ',8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3'
            '][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{'
            '4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})'
            '|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5]'
            '[0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(65'
            '5[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|'
            '1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0'
            '-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|['
            '1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9'
            '][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(6'
            '5[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*'
            ')'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.extcommunity.soo', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, ASN_NN_soo=ASN_NN_soo)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, ASN_NN_soo=ASN_NN_soo)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_extcommunity_soo_asn_nn_soo_update(self, rbridge_id=None, route_map=None, ASN_NN_soo=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ASN_NN_soo: unicode
    :param ASN_NN_soo: Keyword argument.

        * pattern restriction: ::

            '((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4['
            '0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6'
            '})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429'
            '496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429496'
            '72[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0'
            ',8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3'
            '][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{'
            '4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})'
            '|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5]'
            '[0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(65'
            '5[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|'
            '1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0'
            '-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|['
            '1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9'
            '][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(6'
            '5[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*'
            ')'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.extcommunity.soo', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, ASN_NN_soo=ASN_NN_soo)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, ASN_NN_soo=ASN_NN_soo)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ip_dscp_update(self, rbridge_id=None, route_map=None, dscp_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dscp_rms: long
    :param dscp_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.ip.dscp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.ip.dscp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.dscp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, dscp_rms=dscp_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, dscp_rms=dscp_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ip_dscp_dscp_rms_update(self, rbridge_id=None, route_map=None, dscp_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dscp_rms: long
    :param dscp_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.ip.dscp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.ip.dscp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.dscp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, dscp_rms=dscp_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, dscp_rms=dscp_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ip_interface_update(self, rbridge_id=None, route_map=None, null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type null0: YANGBool
    :param null0: Sending traffic to a Null0 Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, null0=null0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, null0=null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ip_interface_null0_update(self, rbridge_id=None, route_map=None, null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type null0: YANGBool
    :param null0: Sending traffic to a Null0 Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, null0=null0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, null0=null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ip_next_hop_peer_address_update(self, rbridge_id=None, route_map=None, peer_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type peer_address: YANGBool
    :param peer_address: BGP peer IP address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, peer_address=peer_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, peer_address=peer_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ipv6_interface_update(self, rbridge_id=None, route_map=None, ipv6_null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_null0: YANGBool
    :param ipv6_null0: Sending traffic to a Null0 Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_null0=ipv6_null0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_null0=ipv6_null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ipv6_interface_null0_update(self, rbridge_id=None, route_map=None, ipv6_null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_null0: YANGBool
    :param ipv6_null0: Sending traffic to a Null0 Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_null0=ipv6_null0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, ipv6_null0=ipv6_null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_local_preference_update(self, rbridge_id=None, route_map=None, local_preference_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type local_preference_value: long
    :param local_preference_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.local_preference', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.local_preference', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.local_preference', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, local_preference_value=local_preference_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, local_preference_value=local_preference_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_local_preference_local_preference_value_update(self, rbridge_id=None, route_map=None, local_preference_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type local_preference_value: long
    :param local_preference_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.local_preference', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.local_preference', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.local_preference', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, local_preference_value=local_preference_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, local_preference_value=local_preference_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_metric_update(self, rbridge_id=None, route_map=None, delta_rms=None, metric_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type delta_rms: unicode
    :param delta_rms: Keyword argument.

        * enumeration restriction: ::

            ['add', 'assign', 'none', 'sub']

    :type metric_rms: long
    :param metric_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'delta_rms, metric_rms'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, delta_rms=delta_rms, metric_rms=metric_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, delta_rms=delta_rms, metric_rms=metric_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_metric_delta_rms_update(self, rbridge_id=None, route_map=None, delta_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type delta_rms: unicode
    :param delta_rms: Keyword argument.

        * enumeration restriction: ::

            ['add', 'assign', 'none', 'sub']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, delta_rms=delta_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, delta_rms=delta_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_metric_metric_rms_update(self, rbridge_id=None, route_map=None, metric_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type metric_rms: long
    :param metric_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, metric_rms=metric_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, metric_rms=metric_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_metric_type_update(self, rbridge_id=None, route_map=None, external=None, internal=None, type_1=None, type_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type external: YANGBool
    :param external: IS-IS external metric

    :type internal: YANGBool
    :param internal: IGP internal metric to BGP MED

    :type type_1: YANGBool
    :param type_1: OSPF external type 1 metric

    :type type_2: YANGBool
    :param type_2: OSPF external type 2 metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, external=external, internal=internal, type_1=type_1, type_2=type_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, external=external, internal=internal, type_1=type_1, type_2=type_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_metric_type_external_update(self, rbridge_id=None, route_map=None, external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type external: YANGBool
    :param external: IS-IS external metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, external=external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, external=external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_metric_type_internal_update(self, rbridge_id=None, route_map=None, internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type internal: YANGBool
    :param internal: IGP internal metric to BGP MED

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, internal=internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, internal=internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_metric_type_type_1_update(self, rbridge_id=None, route_map=None, type_1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type type_1: YANGBool
    :param type_1: OSPF external type 1 metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, type_1=type_1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, type_1=type_1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_metric_type_type_2_update(self, rbridge_id=None, route_map=None, type_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type type_2: YANGBool
    :param type_2: OSPF external type 2 metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, type_2=type_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, type_2=type_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_origin_update(self, rbridge_id=None, route_map=None, origin_igp=None, origin_incomplete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type origin_igp: YANGBool
    :param origin_igp: local IGP

    :type origin_incomplete: YANGBool
    :param origin_incomplete: unknown heritage

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, origin_igp=origin_igp, origin_incomplete=origin_incomplete)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, origin_igp=origin_igp, origin_incomplete=origin_incomplete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_origin_igp_update(self, rbridge_id=None, route_map=None, origin_igp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type origin_igp: YANGBool
    :param origin_igp: local IGP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, origin_igp=origin_igp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, origin_igp=origin_igp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_origin_incomplete_update(self, rbridge_id=None, route_map=None, origin_incomplete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type origin_incomplete: YANGBool
    :param origin_incomplete: unknown heritage

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, origin_incomplete=origin_incomplete)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, origin_incomplete=origin_incomplete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_route_type_update(self, rbridge_id=None, route_map=None, route_type_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type route_type_rms: unicode
    :param route_type_rms: Keyword argument.

        * enumeration restriction: ::

            ['type-1', 'internal', 'type-2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.route_type', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.route_type', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.route_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, route_type_rms=route_type_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, route_type_rms=route_type_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_route_type_route_type_rms_update(self, rbridge_id=None, route_map=None, route_type_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type route_type_rms: unicode
    :param route_type_rms: Keyword argument.

        * enumeration restriction: ::

            ['type-1', 'internal', 'type-2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.route_type', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.route_type', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.route_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, route_type_rms=route_type_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, route_type_rms=route_type_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_tag_update(self, rbridge_id=None, route_map=None, tag_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type tag_rms: long
    :param tag_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.tag', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.tag', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.tag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, tag_rms=tag_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, tag_rms=tag_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_tag_tag_rms_update(self, rbridge_id=None, route_map=None, tag_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type tag_rms: long
    :param tag_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.tag', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.tag', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.tag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, tag_rms=tag_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, tag_rms=tag_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_weight_update(self, rbridge_id=None, route_map=None, weight_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type weight_value: long
    :param weight_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.weight', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.weight', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.weight', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, weight_value=weight_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, weight_value=weight_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_weight_weight_value_update(self, rbridge_id=None, route_map=None, weight_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type weight_value: long
    :param weight_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.weight', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.weight', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.weight', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, route_map=route_map, weight_value=weight_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, weight_value=weight_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_af_common_cmds_holder_update(self, rbridge_id=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_af_ipv4_uc_and_vrf_cmds_call_point_holder_update(self, rbridge_id=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bgp_redistribute_internal: YANGBool
    :param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bgp_redistribute_internal=bgp_redistribute_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_aggregate_address_update(self, rbridge_id=None, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_aggregate_address_advertise_map_update(self, rbridge_id=None, aggregate_address=None, advertise_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, aggregate_address=aggregate_address, advertise_map=advertise_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_address=aggregate_address, advertise_map=advertise_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_aggregate_address_as_set_update(self, rbridge_id=None, aggregate_address=None, as_set=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, aggregate_address=aggregate_address, as_set=as_set)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_address=aggregate_address, as_set=as_set)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_aggregate_address_attribute_map_update(self, rbridge_id=None, aggregate_address=None, attribute_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, aggregate_address=aggregate_address, attribute_map=attribute_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_address=aggregate_address, attribute_map=attribute_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_aggregate_address_summary_only_update(self, rbridge_id=None, aggregate_address=None, summary_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, aggregate_address=aggregate_address, summary_only=summary_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_address=aggregate_address, summary_only=summary_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_aggregate_address_suppress_map_update(self, rbridge_id=None, aggregate_address=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, aggregate_address=aggregate_address, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_address=aggregate_address, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_always_propagate_update(self, rbridge_id=None, always_propagate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, always_propagate=always_propagate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, always_propagate=always_propagate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_bgp_redistribute_internal_update(self, rbridge_id=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bgp_redistribute_internal: YANGBool
    :param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bgp_redistribute_internal=bgp_redistribute_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_client_to_client_reflection_update(self, rbridge_id=None, client_to_client_reflection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, client_to_client_reflection=client_to_client_reflection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, client_to_client_reflection=client_to_client_reflection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_dampening_update(self, rbridge_id=None, dampening_flag=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening': [u'dampening_flag', u'values', u'dampening_route_map'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening': [u'dampening_flag', u'values', u'dampening_route_map'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening': [u'dampening_flag', u'values', u'dampening_route_map']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_dampening_dampening_flag_update(self, rbridge_id=None, dampening_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, dampening_flag=dampening_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, dampening_flag=dampening_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_dampening_half_time_update(self, rbridge_id=None, half_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, half_time=half_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, half_time=half_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_dampening_max_suppress_time_update(self, rbridge_id=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_dampening_reuse_value_update(self, rbridge_id=None, reuse_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, reuse_value=reuse_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, reuse_value=reuse_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_dampening_route_map_update(self, rbridge_id=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_dampening_start_suppress_time_update(self, rbridge_id=None, start_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, start_suppress_time=start_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, start_suppress_time=start_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_dampening_values_update(self, rbridge_id=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'half_time, reuse_value, start_suppress_time, max_suppress_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values': [u'half_time'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values': [u'half_time'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values': [u'half_time']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_default_information_originate_update(self, rbridge_id=None, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, default_information_originate=default_information_originate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_default_metric_update(self, rbridge_id=None, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_default_vrf_update(self, rbridge_id=None, default_vrf_selected=None, next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_vrf_selected: YANGBool
    :param default_vrf_selected: Keyword argument.

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, default_vrf_selected=default_vrf_selected, next_hop_recursion=next_hop_recursion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, default_vrf_selected=default_vrf_selected, next_hop_recursion=next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_default_vrf_selected_update(self, rbridge_id=None, default_vrf_selected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_vrf_selected: YANGBool
    :param default_vrf_selected: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, default_vrf_selected=default_vrf_selected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, default_vrf_selected=default_vrf_selected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_graceful_restart_update(self, rbridge_id=None, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Keyword argument.

    :type restart_time: long
    :param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120

        * range restriction: ::

            ['0..4294967295']

    :type purge_time: long
    :param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600

        * range restriction: ::

            ['0..4294967295']

    :type stale_routes_time: long
    :param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_graceful_restart_graceful_restart_status_update(self, rbridge_id=None, graceful_restart_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_graceful_restart_purge_time_update(self, rbridge_id=None, purge_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type purge_time: long
    :param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, purge_time=purge_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, purge_time=purge_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_graceful_restart_restart_time_update(self, rbridge_id=None, restart_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type restart_time: long
    :param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, restart_time=restart_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, restart_time=restart_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_graceful_restart_stale_routes_time_update(self, rbridge_id=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type stale_routes_time: long
    :param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, stale_routes_time=stale_routes_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_maximum_paths_update(self, rbridge_id=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_maximum_paths_ebgp_update(self, rbridge_id=None, ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ebgp=ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ebgp=ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_maximum_paths_ibgp_update(self, rbridge_id=None, ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ibgp=ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ibgp=ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_maximum_paths_load_sharing_value_update(self, rbridge_id=None, load_sharing_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_maximum_paths_use_load_sharing_update(self, rbridge_id=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_multipath_update(self, rbridge_id=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_multipath_ebgp_update(self, rbridge_id=None, multipath_ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_multipath_ibgp_update(self, rbridge_id=None, multipath_ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, multipath_ibgp=multipath_ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, multipath_ibgp=multipath_ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_multipath_multi_as_update(self, rbridge_id=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address": {"af_nei_weight": "af_nei_weight", "af_ipv4_neighbor_address": "af_ipv4_neighbor_address", "activate": "activate", "allowas_in": "allowas_in", "route_reflector_client": "route_reflector_client"}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address": {}, "pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_activate_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_additional_paths_advertise_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type best: long
    :param best: Select best no of paths. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type all: YANGBool
    :param all: Select all best paths. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise': [u'all', u'best'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise': [u'all', u'best']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, best=best, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_additional_paths_advertise_all_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Select all best paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_additional_paths_advertise_best_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type best: long
    :param best: Select best no of paths

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, best=best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, best=best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_allowas_in_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_capability_additional_paths_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, add_path_both=None, send=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type add_path_both: YANGBool
    :param add_path_both: Keyword argument.

    :type send: YANGBool
    :param send: Capability to send additional paths

    :type receive: YANGBool
    :param receive: Capability to receive additional paths.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, add_path_both=add_path_both, send=send, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, add_path_both=add_path_both, send=send, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_capability_additional_paths_add_path_both_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, add_path_both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type add_path_both: YANGBool
    :param add_path_both: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, add_path_both=add_path_both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, add_path_both=add_path_both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_capability_additional_paths_receive_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Capability to receive additional paths.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_capability_additional_paths_send_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send: YANGBool
    :param send: Capability to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send=send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send=send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_capability_orf_prefixlist_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_capability_orf_prefixlist_prefixlist_status_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_capability_orf_prefixlist_send_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_default_originate_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_default_originate_default_originate_status_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, default_originate_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_default_originate_route_map_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_enable_peer_as_check_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_filter_list_direction_in_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_filter_list_direction_out_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_filter_list_filter_list_direction_in_acl_name_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_filter_list_filter_list_direction_out_acl_name_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_filter_list_in_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_filter_list_out_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_maximum_prefix_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_prefix_limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_maximum_prefix_max_prefix_limit_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_maximum_prefix_teardown_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_maximum_prefix_threshold_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_maximum_prefix_threshold_holder_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'threshold, teardown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, threshold=threshold, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_direction_in_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_direction_out_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_in_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_ip_access_number_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_ip_access_number_direction_out_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_out_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_prefix_list_direction_in_prefix_name_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_prefix_list_direction_out_prefix_name_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_route_map_in_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_route_map_in_neighbor_route_map_name_direction_in_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_route_map_out_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_route_map_out_neighbor_route_map_name_direction_out_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_route_reflector_client_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_send_community_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_send_community_both_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_send_community_extended_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_send_community_send_community_status_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_send_community_standard_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_unsuppress_map_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_unsuppress_map_map_name_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_weight_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup": {"af_nei_weight": "af_nei_weight", "af_ipv4_neighbor_peergroup_name": "af_ipv4_neighbor_peergroup_name", "activate": "activate", "allowas_in": "allowas_in", "route_reflector_client": "route_reflector_client"}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup": {}, "pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_activate_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_additional_paths_advertise_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type best: long
    :param best: Select best no of paths. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type all: YANGBool
    :param all: Select all best paths. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise': [u'all', u'best'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise': [u'all', u'best']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, best=best, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_additional_paths_advertise_all_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Select all best paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_additional_paths_advertise_best_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type best: long
    :param best: Select best no of paths

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, best=best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, best=best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_allowas_in_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_capability_additional_paths_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, add_path_both=None, send=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type add_path_both: YANGBool
    :param add_path_both: Keyword argument.

    :type send: YANGBool
    :param send: Capability to send additional paths

    :type receive: YANGBool
    :param receive: Capability to receive additional paths.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, add_path_both=add_path_both, send=send, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, add_path_both=add_path_both, send=send, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_capability_additional_paths_add_path_both_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, add_path_both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type add_path_both: YANGBool
    :param add_path_both: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, add_path_both=add_path_both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, add_path_both=add_path_both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_capability_additional_paths_receive_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Capability to receive additional paths.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_capability_additional_paths_send_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send: YANGBool
    :param send: Capability to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, send=send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, send=send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_capability_orf_prefixlist_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_capability_orf_prefixlist_prefixlist_status_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_capability_orf_prefixlist_send_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_default_originate_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_default_originate_default_originate_status_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, default_originate_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, default_originate_status=default_originate_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, default_originate_status=default_originate_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_default_originate_route_map_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_enable_peer_as_check_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_filter_list_direction_in_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_filter_list_direction_out_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_filter_list_filter_list_direction_in_acl_name_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_filter_list_filter_list_direction_out_acl_name_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_filter_list_in_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_filter_list_out_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_maximum_prefix_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_prefix_limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_maximum_prefix_max_prefix_limit_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_maximum_prefix_teardown_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_maximum_prefix_threshold_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_maximum_prefix_threshold_holder_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'threshold, teardown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, threshold=threshold, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_direction_in_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_direction_out_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_in_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_ip_access_number_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_ip_access_number_direction_out_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_out_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_prefix_list_direction_in_prefix_name_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_prefix_list_direction_out_prefix_name_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_route_map_in_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_route_map_in_neighbor_route_map_name_direction_in_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_route_map_out_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_route_map_out_neighbor_route_map_name_direction_out_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_route_reflector_client_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_send_community_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_send_community_both_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_send_community_extended_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_send_community_send_community_status_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_send_community_standard_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_unsuppress_map_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_unsuppress_map_map_name_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_weight_update(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_network_update(self, rbridge_id=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_network_backdoor_update(self, rbridge_id=None, network=None, backdoor=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, network=network, backdoor=backdoor)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, network=network, backdoor=backdoor)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_network_route_map_update(self, rbridge_id=None, network=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, network=network, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, network=network, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_network_weight_update(self, rbridge_id=None, network=None, network_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, network=network, network_weight=network_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, network=network, network_weight=network_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_next_hop_enable_default_update(self, rbridge_id=None, next_hop_enable_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, next_hop_enable_default=next_hop_enable_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, next_hop_enable_default=next_hop_enable_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_next_hop_recursion_update(self, rbridge_id=None, next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, next_hop_recursion=next_hop_recursion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, next_hop_recursion=next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_bgp_update(self, rbridge_id=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_bgp_metric_update(self, rbridge_id=None, bgp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bgp_metric=bgp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bgp_metric=bgp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_bgp_redistribute_bgp_update(self, rbridge_id=None, redistribute_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_bgp_route_map_update(self, rbridge_id=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_connected_update(self, rbridge_id=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_connected_metric_update(self, rbridge_id=None, unicast_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, unicast_metric=unicast_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, unicast_metric=unicast_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_connected_redistribute_connected_update(self, rbridge_id=None, redistribute_connected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_connected=redistribute_connected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_connected=redistribute_connected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_connected_route_map_update(self, rbridge_id=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_update(self, rbridge_id=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_update(self, rbridge_id=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_external1_update(self, rbridge_id=None, ospf_external1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf_external1=ospf_external1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf_external1=ospf_external1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_external2_update(self, rbridge_id=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_internal_update(self, rbridge_id=None, ospf_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf_internal=ospf_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf_internal=ospf_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_metric_update(self, rbridge_id=None, ospf_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf_metric=ospf_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf_metric=ospf_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_redistribute_ospf_update(self, rbridge_id=None, redistribute_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_route_map_update(self, rbridge_id=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_static_update(self, rbridge_id=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_static_metric_update(self, rbridge_id=None, unicast_static_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, unicast_static_metric=unicast_static_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, unicast_static_metric=unicast_static_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_static_redistribute_static_update(self, rbridge_id=None, redistribute_static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_static=redistribute_static)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_static=redistribute_static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_static_route_map_update(self, rbridge_id=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_rib_route_limit_update(self, rbridge_id=None, rib_route_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rib_route_limit=rib_route_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rib_route_limit=rib_route_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_static_network_update(self, rbridge_id=None, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_network: static_network_address
    :param static_network: Keyword argument tuple.

    :type static_network_address: unicode
    :param static_network_address: **static_network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type static_network_distance: long
    :param static_network_distance: Define an administrative distance for this local network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_network=static_network, static_network_distance=static_network_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_static_network_distance_update(self, rbridge_id=None, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_network: static_network_address
    :param static_network: Keyword argument tuple.

    :type static_network_address: unicode
    :param static_network_address: **static_network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type static_network_distance: long
    :param static_network_distance: Define an administrative distance for this local network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_network=static_network, static_network_distance=static_network_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_table_map_update(self, rbridge_id=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_table_map_route_map_update(self, rbridge_id=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_update_time_update(self, rbridge_id=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_update(self, rbridge_id=None, af_vrf=None, local_as=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type local_as: unicode
    :param local_as: Configure local AS number

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Enables the BGP graceful restart capability

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, local_as=local_as, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, local_as=local_as, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_update(self, rbridge_id=None, af_vrf=None, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_advertise_map_update(self, rbridge_id=None, af_vrf=None, aggregate_address=None, advertise_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_as_set_update(self, rbridge_id=None, af_vrf=None, aggregate_address=None, as_set=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, as_set=as_set)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, as_set=as_set)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_attribute_map_update(self, rbridge_id=None, af_vrf=None, aggregate_address=None, attribute_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, attribute_map=attribute_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, attribute_map=attribute_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_summary_only_update(self, rbridge_id=None, af_vrf=None, aggregate_address=None, summary_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, summary_only=summary_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, summary_only=summary_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_suppress_map_update(self, rbridge_id=None, af_vrf=None, aggregate_address=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_always_propagate_update(self, rbridge_id=None, af_vrf=None, always_propagate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, always_propagate=always_propagate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, always_propagate=always_propagate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_bgp_redistribute_internal_update(self, rbridge_id=None, af_vrf=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type bgp_redistribute_internal: YANGBool
    :param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, bgp_redistribute_internal=bgp_redistribute_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_client_to_client_reflection_update(self, rbridge_id=None, af_vrf=None, client_to_client_reflection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, client_to_client_reflection=client_to_client_reflection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, client_to_client_reflection=client_to_client_reflection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_dampening_update(self, rbridge_id=None, af_vrf=None, dampening_flag=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening': [u'dampening_flag', u'values', u'dampening_route_map'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening': [u'dampening_flag', u'values', u'dampening_route_map'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening': [u'dampening_flag', u'values', u'dampening_route_map']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_dampening_dampening_flag_update(self, rbridge_id=None, af_vrf=None, dampening_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, dampening_flag=dampening_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, dampening_flag=dampening_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_dampening_half_time_update(self, rbridge_id=None, af_vrf=None, half_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, half_time=half_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, half_time=half_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_dampening_max_suppress_time_update(self, rbridge_id=None, af_vrf=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_dampening_reuse_value_update(self, rbridge_id=None, af_vrf=None, reuse_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, reuse_value=reuse_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, reuse_value=reuse_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_dampening_route_map_update(self, rbridge_id=None, af_vrf=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_dampening_start_suppress_time_update(self, rbridge_id=None, af_vrf=None, start_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, start_suppress_time=start_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, start_suppress_time=start_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_dampening_values_update(self, rbridge_id=None, af_vrf=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'half_time, reuse_value, start_suppress_time, max_suppress_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values': [u'half_time'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values': [u'half_time'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values': [u'half_time']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_default_information_originate_update(self, rbridge_id=None, af_vrf=None, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, default_information_originate=default_information_originate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_default_metric_update(self, rbridge_id=None, af_vrf=None, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_graceful_restart_update(self, rbridge_id=None, af_vrf=None, graceful_restart_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Enables the BGP graceful restart capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, graceful_restart_status=graceful_restart_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, graceful_restart_status=graceful_restart_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_listen_range_update(self, rbridge_id=None, af_vrf=None, listen_range=None, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type listen_range: listen_range_prefix, peer_group, limit
    :param listen_range: Keyword argument tuple.

    :type listen_range_prefix: unicode
    :param listen_range_prefix: **listen_range** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type peer_group: unicode
    :param peer_group: **listen_range** tuple argument:  Peer group name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type limit: long
    :param limit: **listen_range** tuple argument:  Limit the neighbor

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type limit: long
    :param limit: Limit the neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, listen_range=listen_range, limit=limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, listen_range=listen_range, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_listen_range_limit_update(self, rbridge_id=None, af_vrf=None, listen_range=None, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type listen_range: listen_range_prefix, peer_group
    :param listen_range: Keyword argument tuple.

    :type listen_range_prefix: unicode
    :param listen_range_prefix: **listen_range** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type peer_group: unicode
    :param peer_group: **listen_range** tuple argument:  Peer group name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type limit: long
    :param limit: Limit the neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, listen_range=listen_range, limit=limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, listen_range=listen_range, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_local_as_update(self, rbridge_id=None, af_vrf=None, local_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type local_as: unicode
    :param local_as: Configure local AS number

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, local_as=local_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, local_as=local_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_maxas_limit_in_update(self, rbridge_id=None, af_vrf=None, num_as_in_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type num_as_in_path: long
    :param num_as_in_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, num_as_in_path=num_as_in_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, num_as_in_path=num_as_in_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_maxas_limit_in_num_as_in_path_update(self, rbridge_id=None, af_vrf=None, num_as_in_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type num_as_in_path: long
    :param num_as_in_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, num_as_in_path=num_as_in_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, num_as_in_path=num_as_in_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_update(self, rbridge_id=None, af_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_ebgp_update(self, rbridge_id=None, af_vrf=None, ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ebgp=ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ebgp=ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_ibgp_update(self, rbridge_id=None, af_vrf=None, ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ibgp=ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ibgp=ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_load_sharing_value_update(self, rbridge_id=None, af_vrf=None, load_sharing_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, load_sharing_value=load_sharing_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, load_sharing_value=load_sharing_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_use_load_sharing_update(self, rbridge_id=None, af_vrf=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_multipath_update(self, rbridge_id=None, af_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_multipath_ebgp_update(self, rbridge_id=None, af_vrf=None, multipath_ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_multipath_ibgp_update(self, rbridge_id=None, af_vrf=None, multipath_ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, multipath_ibgp=multipath_ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, multipath_ibgp=multipath_ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_multipath_multi_as_update(self, rbridge_id=None, af_vrf=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, associate_peer_group=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr": {}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr": {}, "pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr": {"static_network_edge": "static_network_edge", "activate": "activate", "remote_as": "remote_as", "associate_peer_group": "associate_peer_group", "ebgp_btsh": "ebgp_btsh", "allowas_in": "allowas_in", "af_nei_weight": "af_nei_weight", "af_ipv4_neighbor_address": "af_ipv4_neighbor_address", "route_reflector_client": "route_reflector_client", "remove_private_as": "remove_private_as", "password": "password", "as_override": "as_override", "description": "description"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, associate_peer_group=associate_peer_group, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, associate_peer_group=associate_peer_group, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_activate_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_additional_paths_advertise_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type best: long
    :param best: Select best no of paths. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type all: YANGBool
    :param all: Select all best paths. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise': [u'all', u'best'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise': [u'all', u'best']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, best=best, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_additional_paths_advertise_all_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Select all best paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_additional_paths_advertise_best_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type best: long
    :param best: Select best no of paths

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, best=best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, best=best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_advertisement_interval_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'value'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_advertisement_interval_value_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_allowas_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_as_override_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, as_override=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, as_override=as_override)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, as_override=as_override)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_bfd_enable_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_holdover_interval_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_interval_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_interval_min_rx_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_interval_min_tx_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_interval_multiplier_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_additional_paths_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, add_path_both=None, send=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type add_path_both: YANGBool
    :param add_path_both: Keyword argument.

    :type send: YANGBool
    :param send: Capability to send additional paths

    :type receive: YANGBool
    :param receive: Capability to receive additional paths.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, add_path_both=add_path_both, send=send, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, add_path_both=add_path_both, send=send, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_additional_paths_add_path_both_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, add_path_both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type add_path_both: YANGBool
    :param add_path_both: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, add_path_both=add_path_both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, add_path_both=add_path_both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_additional_paths_receive_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Capability to receive additional paths.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_additional_paths_send_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send: YANGBool
    :param send: Capability to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send=send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send=send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_as4_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_as4_disable_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_as4_enable_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_orf_prefixlist_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_orf_prefixlist_prefixlist_status_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_orf_prefixlist_send_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_default_originate_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_default_originate_default_originate_status_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, default_originate_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_default_originate_route_map_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_description_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_ebgp_btsh_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, ebgp_btsh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_btsh=ebgp_btsh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_btsh=ebgp_btsh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_ebgp_multihop_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_ebgp_multihop_ebgp_multihop_count_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_ebgp_multihop_ebgp_multihop_flag_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, ebgp_multihop_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_enable_peer_as_check_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_enforce_first_as_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_enforce_first_as_disable_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_enforce_first_as_enable_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_filter_list_direction_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_filter_list_direction_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_filter_list_filter_list_direction_in_acl_name_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_filter_list_filter_list_direction_out_acl_name_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_filter_list_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_filter_list_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_local_as_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'local_as_value, no_prepend'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_local_as_local_as_value_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, local_as_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, local_as_value=local_as_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, local_as_value=local_as_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_local_as_no_prepend_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maxas_limit_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maxas_limit_in_disable_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maxas_limit_in_num_as_in_as_path_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, num_as_in_as_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maximum_prefix_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_prefix_limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maximum_prefix_max_prefix_limit_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maximum_prefix_teardown_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maximum_prefix_threshold_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maximum_prefix_threshold_holder_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'threshold, teardown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, threshold=threshold, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_next_hop_self_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_next_hop_self_always_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_next_hop_self_next_hop_self_status_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_password_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_peer_group_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, associate_peer_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, associate_peer_group=associate_peer_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, associate_peer_group=associate_peer_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_direction_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_direction_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_ip_access_number_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_ip_access_number_direction_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_prefix_list_direction_in_prefix_name_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_prefix_list_direction_out_prefix_name_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_remote_as_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, remote_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, remote_as=remote_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, remote_as=remote_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_remove_private_as_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, remove_private_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, remove_private_as=remove_private_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, remove_private_as=remove_private_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_route_map_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_route_map_in_neighbor_route_map_name_direction_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_route_map_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_route_map_out_neighbor_route_map_name_direction_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_route_reflector_client_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_send_community_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_send_community_both_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_send_community_extended_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_send_community_send_community_status_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_send_community_standard_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_shutdown_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_shutdown_generate_rib_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_shutdown_shutdown_status_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_soft_reconfiguration_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_soft_reconfiguration_inbound_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_static_network_edge_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_timers_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_timers_hold_time_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_timers_keep_alive_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, nei_keep_alive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_unsuppress_map_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_unsuppress_map_map_name_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type sip_ipv4_address: unicode
    :param sip_ipv4_address: Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type loopback: unicode
    :param loopback: Loopback Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type ve_interface: long
    :param ve_interface: Virtual Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source": {}, "pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source": {}, "pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source": {"ve_interface": "ve_interface", "sip_ipv4_address": "sip_ipv4_address", "loopback": "loopback"}}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source': [u'ethernet_interface', u've_interface', u'loopback', u'sip_ipv4_address', u'port_channel'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source': [u'ethernet_interface', u've_interface', u'loopback', u'sip_ipv4_address', u'port_channel'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source': [u'ethernet_interface', u've_interface', u'sip_ipv4_address', u'loopback']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_ethernet_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ethernet: unicode
    :param ethernet: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ethernet=ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_ethernet_interface_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, interface_type=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet']

    :type ethernet: unicode
    :param ethernet: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, ethernet'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface': [u'interface_type'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface': [u'interface_type'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface': [u'interface_type']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_type=interface_type, ethernet=ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_type=interface_type, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_interface_type_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Keyword argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_loopback_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type loopback: unicode
    :param loopback: Loopback Interface

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_port_channel_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, port_channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type port_channel: long
    :param port_channel: Port-channel Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, port_channel=port_channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, port_channel=port_channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_sip_ipv4_address_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, sip_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type sip_ipv4_address: unicode
    :param sip_ipv4_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, sip_ipv4_address=sip_ipv4_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, sip_ipv4_address=sip_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_ve_interface_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ve_interface: long
    :param ve_interface: Virtual Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_weight_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_network_update(self, rbridge_id=None, af_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_network_backdoor_update(self, rbridge_id=None, af_vrf=None, network=None, backdoor=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network, backdoor=backdoor)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network, backdoor=backdoor)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_network_route_map_update(self, rbridge_id=None, af_vrf=None, network=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_network_weight_update(self, rbridge_id=None, af_vrf=None, network=None, network_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network, network_weight=network_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network, network_weight=network_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_next_hop_enable_default_update(self, rbridge_id=None, af_vrf=None, next_hop_enable_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, next_hop_enable_default=next_hop_enable_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, next_hop_enable_default=next_hop_enable_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_next_hop_recursion_update(self, rbridge_id=None, af_vrf=None, next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, next_hop_recursion=next_hop_recursion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, next_hop_recursion=next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_update(self, rbridge_id=None, af_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_metric_update(self, rbridge_id=None, af_vrf=None, bgp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, bgp_metric=bgp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, bgp_metric=bgp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_redistribute_bgp_update(self, rbridge_id=None, af_vrf=None, redistribute_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_route_map_update(self, rbridge_id=None, af_vrf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_connected_update(self, rbridge_id=None, af_vrf=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_connected_metric_update(self, rbridge_id=None, af_vrf=None, unicast_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, unicast_metric=unicast_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, unicast_metric=unicast_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_connected_redistribute_connected_update(self, rbridge_id=None, af_vrf=None, redistribute_connected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_connected=redistribute_connected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_connected=redistribute_connected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_connected_route_map_update(self, rbridge_id=None, af_vrf=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_update(self, rbridge_id=None, af_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_update(self, rbridge_id=None, af_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_external1_update(self, rbridge_id=None, af_vrf=None, ospf_external1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_external1=ospf_external1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_external1=ospf_external1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_external2_update(self, rbridge_id=None, af_vrf=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_internal_update(self, rbridge_id=None, af_vrf=None, ospf_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_internal=ospf_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_internal=ospf_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_metric_update(self, rbridge_id=None, af_vrf=None, ospf_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_metric=ospf_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_metric=ospf_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_redistribute_ospf_update(self, rbridge_id=None, af_vrf=None, redistribute_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_route_map_update(self, rbridge_id=None, af_vrf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_static_update(self, rbridge_id=None, af_vrf=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_static_metric_update(self, rbridge_id=None, af_vrf=None, unicast_static_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, unicast_static_metric=unicast_static_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, unicast_static_metric=unicast_static_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_static_redistribute_static_update(self, rbridge_id=None, af_vrf=None, redistribute_static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_static=redistribute_static)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_static=redistribute_static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_static_route_map_update(self, rbridge_id=None, af_vrf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_rib_route_limit_update(self, rbridge_id=None, af_vrf=None, rib_route_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, rib_route_limit=rib_route_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, rib_route_limit=rib_route_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_static_network_update(self, rbridge_id=None, af_vrf=None, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type static_network: static_network_address
    :param static_network: Keyword argument tuple.

    :type static_network_address: unicode
    :param static_network_address: **static_network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type static_network_distance: long
    :param static_network_distance: Define an administrative distance for this local network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_static_network_distance_update(self, rbridge_id=None, af_vrf=None, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type static_network: static_network_address
    :param static_network: Keyword argument tuple.

    :type static_network_address: unicode
    :param static_network_address: **static_network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type static_network_distance: long
    :param static_network_distance: Define an administrative distance for this local network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_table_map_update(self, rbridge_id=None, af_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_table_map_route_map_update(self, rbridge_id=None, af_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_update_time_update(self, rbridge_id=None, af_vrf=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_vrf=af_vrf, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_af_common_cmds_holder_update(self, rbridge_id=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_af_ipv6_uc_and_vrf_cmds_call_point_holder_update(self, rbridge_id=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bgp_redistribute_internal: YANGBool
    :param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bgp_redistribute_internal=bgp_redistribute_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_aggregate_address_update(self, rbridge_id=None, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_aggregate_address_advertise_map_update(self, rbridge_id=None, aggregate_ipv6_address=None, advertise_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_aggregate_address_as_set_update(self, rbridge_id=None, aggregate_ipv6_address=None, as_set=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, as_set=as_set)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, as_set=as_set)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_aggregate_address_attribute_map_update(self, rbridge_id=None, aggregate_ipv6_address=None, attribute_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, attribute_map=attribute_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, attribute_map=attribute_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_aggregate_address_summary_only_update(self, rbridge_id=None, aggregate_ipv6_address=None, summary_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, summary_only=summary_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, summary_only=summary_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_aggregate_address_suppress_map_update(self, rbridge_id=None, aggregate_ipv6_address=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_always_propagate_update(self, rbridge_id=None, always_propagate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, always_propagate=always_propagate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, always_propagate=always_propagate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_bgp_redistribute_internal_update(self, rbridge_id=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bgp_redistribute_internal: YANGBool
    :param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bgp_redistribute_internal=bgp_redistribute_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_client_to_client_reflection_update(self, rbridge_id=None, client_to_client_reflection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, client_to_client_reflection=client_to_client_reflection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, client_to_client_reflection=client_to_client_reflection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_dampening_update(self, rbridge_id=None, dampening_flag=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening': [u'dampening_flag', u'values', u'dampening_route_map'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening': [u'dampening_flag', u'values', u'dampening_route_map'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening': [u'dampening_flag', u'values', u'dampening_route_map']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_dampening_dampening_flag_update(self, rbridge_id=None, dampening_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, dampening_flag=dampening_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, dampening_flag=dampening_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_dampening_half_time_update(self, rbridge_id=None, half_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, half_time=half_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, half_time=half_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_dampening_max_suppress_time_update(self, rbridge_id=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_dampening_reuse_value_update(self, rbridge_id=None, reuse_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, reuse_value=reuse_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, reuse_value=reuse_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_dampening_route_map_update(self, rbridge_id=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_dampening_start_suppress_time_update(self, rbridge_id=None, start_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, start_suppress_time=start_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, start_suppress_time=start_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_dampening_values_update(self, rbridge_id=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'half_time, reuse_value, start_suppress_time, max_suppress_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values': [u'half_time'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values': [u'half_time'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values': [u'half_time']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_default_information_originate_update(self, rbridge_id=None, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, default_information_originate=default_information_originate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_default_metric_update(self, rbridge_id=None, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_default_vrf_update(self, rbridge_id=None, default_vrf_selected=None, ipv6_ucast_next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_vrf_selected: YANGBool
    :param default_vrf_selected: Keyword argument.

    :type ipv6_ucast_next_hop_recursion: YANGBool
    :param ipv6_ucast_next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, default_vrf_selected=default_vrf_selected, ipv6_ucast_next_hop_recursion=ipv6_ucast_next_hop_recursion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, default_vrf_selected=default_vrf_selected, ipv6_ucast_next_hop_recursion=ipv6_ucast_next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_default_vrf_selected_update(self, rbridge_id=None, default_vrf_selected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_vrf_selected: YANGBool
    :param default_vrf_selected: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, default_vrf_selected=default_vrf_selected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, default_vrf_selected=default_vrf_selected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_graceful_restart_update(self, rbridge_id=None, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Keyword argument.

    :type restart_time: long
    :param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120

        * range restriction: ::

            ['0..4294967295']

    :type purge_time: long
    :param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600

        * range restriction: ::

            ['0..4294967295']

    :type stale_routes_time: long
    :param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_graceful_restart_graceful_restart_status_update(self, rbridge_id=None, graceful_restart_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_graceful_restart_purge_time_update(self, rbridge_id=None, purge_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type purge_time: long
    :param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, purge_time=purge_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, purge_time=purge_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_graceful_restart_restart_time_update(self, rbridge_id=None, restart_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type restart_time: long
    :param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, restart_time=restart_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, restart_time=restart_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_graceful_restart_stale_routes_time_update(self, rbridge_id=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type stale_routes_time: long
    :param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, stale_routes_time=stale_routes_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_maximum_paths_update(self, rbridge_id=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_maximum_paths_ebgp_update(self, rbridge_id=None, ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ebgp=ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ebgp=ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_maximum_paths_ibgp_update(self, rbridge_id=None, ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ibgp=ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ibgp=ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_maximum_paths_load_sharing_value_update(self, rbridge_id=None, load_sharing_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_maximum_paths_use_load_sharing_update(self, rbridge_id=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_multipath_update(self, rbridge_id=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_multipath_ebgp_update(self, rbridge_id=None, multipath_ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_multipath_ibgp_update(self, rbridge_id=None, multipath_ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, multipath_ibgp=multipath_ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, multipath_ibgp=multipath_ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_multipath_multi_as_update(self, rbridge_id=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_address', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address": {"af_ipv6_neighbor_address": "af_ipv6_neighbor_address", "af_nei_weight": "af_nei_weight", "activate": "activate", "allowas_in": "allowas_in", "route_reflector_client": "route_reflector_client"}, "pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address": {}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_activate_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_address', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_additional_paths_advertise_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type best: long
    :param best: Select best no of paths. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type all: YANGBool
    :param all: Select all best paths. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise': [u'all', u'best'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise': [u'all', u'best']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, best=best, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_additional_paths_advertise_all_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Select all best paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_additional_paths_advertise_best_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type best: long
    :param best: Select best no of paths

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, best=best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, best=best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_allowas_in_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_address', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_capability_additional_paths_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, add_path_both=None, send=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type add_path_both: YANGBool
    :param add_path_both: Keyword argument.

    :type send: YANGBool
    :param send: Capability to send additional paths

    :type receive: YANGBool
    :param receive: Capability to receive additional paths.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, add_path_both=add_path_both, send=send, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, add_path_both=add_path_both, send=send, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_capability_additional_paths_add_path_both_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, add_path_both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type add_path_both: YANGBool
    :param add_path_both: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, add_path_both=add_path_both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, add_path_both=add_path_both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_capability_additional_paths_receive_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Capability to receive additional paths.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_capability_additional_paths_send_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send: YANGBool
    :param send: Capability to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send=send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send=send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_capability_orf_prefixlist_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_capability_orf_prefixlist_prefixlist_status_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_capability_orf_prefixlist_send_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_default_originate_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_default_originate_default_originate_status_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, default_originate_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_default_originate_route_map_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_enable_peer_as_check_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_address', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_filter_list_direction_in_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_filter_list_direction_out_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_filter_list_filter_list_direction_in_acl_name_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_filter_list_filter_list_direction_out_acl_name_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_filter_list_in_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_filter_list_out_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_maximum_prefix_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_prefix_limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_maximum_prefix_max_prefix_limit_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_maximum_prefix_teardown_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_maximum_prefix_threshold_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_maximum_prefix_threshold_holder_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'threshold, teardown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, threshold=threshold, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_direction_in_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_direction_out_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_in_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_ip_access_number_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_ip_access_number_direction_out_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_out_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_prefix_list_direction_in_prefix_name_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_prefix_list_direction_out_prefix_name_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_route_map_in_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_route_map_in_neighbor_route_map_name_direction_in_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_route_map_out_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_route_map_out_neighbor_route_map_name_direction_out_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_route_reflector_client_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_address', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_send_community_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_send_community_both_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_send_community_extended_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_send_community_send_community_status_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_send_community_standard_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_unsuppress_map_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_unsuppress_map_map_name_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_weight_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_address', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup": {"af_nei_weight": "af_nei_weight", "activate": "activate", "af_ipv6_neighbor_peergroup_name": "af_ipv6_neighbor_peergroup_name", "route_reflector_client": "route_reflector_client", "allowas_in": "allowas_in"}, "pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup": {}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_activate_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_additional_paths_advertise_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type best: long
    :param best: Select best no of paths. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type all: YANGBool
    :param all: Select all best paths. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise': [u'all', u'best'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise': [u'all', u'best']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, best=best, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_additional_paths_advertise_all_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Select all best paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_additional_paths_advertise_best_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type best: long
    :param best: Select best no of paths

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, best=best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, best=best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_allowas_in_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_capability_additional_paths_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, add_path_both=None, send=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type add_path_both: YANGBool
    :param add_path_both: Keyword argument.

    :type send: YANGBool
    :param send: Capability to send additional paths

    :type receive: YANGBool
    :param receive: Capability to receive additional paths.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, add_path_both=add_path_both, send=send, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, add_path_both=add_path_both, send=send, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_capability_additional_paths_add_path_both_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, add_path_both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type add_path_both: YANGBool
    :param add_path_both: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, add_path_both=add_path_both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, add_path_both=add_path_both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_capability_additional_paths_receive_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Capability to receive additional paths.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_capability_additional_paths_send_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send: YANGBool
    :param send: Capability to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, send=send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, send=send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_capability_orf_prefixlist_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_capability_orf_prefixlist_prefixlist_status_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_capability_orf_prefixlist_send_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_default_originate_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_default_originate_default_originate_status_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, default_originate_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, default_originate_status=default_originate_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, default_originate_status=default_originate_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_default_originate_route_map_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_enable_peer_as_check_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_filter_list_direction_in_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_filter_list_direction_out_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_filter_list_filter_list_direction_in_acl_name_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_filter_list_filter_list_direction_out_acl_name_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_filter_list_in_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_filter_list_out_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_maximum_prefix_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_prefix_limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_maximum_prefix_max_prefix_limit_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_maximum_prefix_teardown_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_maximum_prefix_threshold_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_maximum_prefix_threshold_holder_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'threshold, teardown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, threshold=threshold, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_direction_in_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_direction_out_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_in_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_ip_access_number_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_ip_access_number_direction_out_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_out_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_prefix_list_direction_in_prefix_name_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_prefix_list_direction_out_prefix_name_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_route_map_in_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_route_map_in_neighbor_route_map_name_direction_in_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_route_map_out_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_route_map_out_neighbor_route_map_name_direction_out_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_route_reflector_client_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_send_community_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_send_community_both_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_send_community_extended_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_send_community_send_community_status_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_send_community_standard_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_unsuppress_map_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_unsuppress_map_map_name_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_weight_update(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_network_update(self, rbridge_id=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_network_backdoor_update(self, rbridge_id=None, network=None, backdoor=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, network=network, backdoor=backdoor)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, network=network, backdoor=backdoor)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_network_route_map_update(self, rbridge_id=None, network=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, network=network, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, network=network, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_network_weight_update(self, rbridge_id=None, network=None, network_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, network=network, network_weight=network_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, network=network, network_weight=network_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_next_hop_enable_default_update(self, rbridge_id=None, next_hop_enable_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, next_hop_enable_default=next_hop_enable_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, next_hop_enable_default=next_hop_enable_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_next_hop_recursion_update(self, rbridge_id=None, ipv6_ucast_next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv6_ucast_next_hop_recursion: YANGBool
    :param ipv6_ucast_next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ipv6_ucast_next_hop_recursion=ipv6_ucast_next_hop_recursion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ipv6_ucast_next_hop_recursion=ipv6_ucast_next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_bgp_update(self, rbridge_id=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_bgp_metric_update(self, rbridge_id=None, bgp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bgp_metric=bgp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bgp_metric=bgp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_bgp_redistribute_bgp_update(self, rbridge_id=None, redistribute_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_bgp_route_map_update(self, rbridge_id=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_connected_update(self, rbridge_id=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_connected_metric_update(self, rbridge_id=None, unicast_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, unicast_metric=unicast_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, unicast_metric=unicast_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_connected_redistribute_connected_update(self, rbridge_id=None, redistribute_connected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_connected=redistribute_connected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_connected=redistribute_connected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_connected_route_map_update(self, rbridge_id=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_update(self, rbridge_id=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_update(self, rbridge_id=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_external1_update(self, rbridge_id=None, ospf_external1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf_external1=ospf_external1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf_external1=ospf_external1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_external2_update(self, rbridge_id=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_internal_update(self, rbridge_id=None, ospf_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf_internal=ospf_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf_internal=ospf_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_metric_update(self, rbridge_id=None, ospf_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf_metric=ospf_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf_metric=ospf_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_redistribute_ospf_update(self, rbridge_id=None, redistribute_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_route_map_update(self, rbridge_id=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_static_update(self, rbridge_id=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_static_metric_update(self, rbridge_id=None, unicast_static_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, unicast_static_metric=unicast_static_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, unicast_static_metric=unicast_static_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_static_redistribute_static_update(self, rbridge_id=None, redistribute_static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, redistribute_static=redistribute_static)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, redistribute_static=redistribute_static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_static_route_map_update(self, rbridge_id=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_rib_route_limit_update(self, rbridge_id=None, rib_route_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rib_route_limit=rib_route_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rib_route_limit=rib_route_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_table_map_update(self, rbridge_id=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_table_map_route_map_update(self, rbridge_id=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_update_time_update(self, rbridge_id=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_update(self, rbridge_id=None, af_ipv6_vrf=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Enables the BGP graceful restart capability

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_update(self, rbridge_id=None, af_ipv6_vrf=None, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_advertise_map_update(self, rbridge_id=None, af_ipv6_vrf=None, aggregate_ipv6_address=None, advertise_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_as_set_update(self, rbridge_id=None, af_ipv6_vrf=None, aggregate_ipv6_address=None, as_set=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, as_set=as_set)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, as_set=as_set)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_attribute_map_update(self, rbridge_id=None, af_ipv6_vrf=None, aggregate_ipv6_address=None, attribute_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, attribute_map=attribute_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, attribute_map=attribute_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_summary_only_update(self, rbridge_id=None, af_ipv6_vrf=None, aggregate_ipv6_address=None, summary_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, summary_only=summary_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, summary_only=summary_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_suppress_map_update(self, rbridge_id=None, af_ipv6_vrf=None, aggregate_ipv6_address=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_always_propagate_update(self, rbridge_id=None, af_ipv6_vrf=None, always_propagate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, always_propagate=always_propagate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, always_propagate=always_propagate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_bgp_redistribute_internal_update(self, rbridge_id=None, af_ipv6_vrf=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type bgp_redistribute_internal: YANGBool
    :param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, bgp_redistribute_internal=bgp_redistribute_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_client_to_client_reflection_update(self, rbridge_id=None, af_ipv6_vrf=None, client_to_client_reflection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, client_to_client_reflection=client_to_client_reflection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, client_to_client_reflection=client_to_client_reflection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_dampening_update(self, rbridge_id=None, af_ipv6_vrf=None, dampening_flag=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening': [u'dampening_flag', u'values', u'dampening_route_map'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening': [u'dampening_flag', u'values', u'dampening_route_map'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening': [u'dampening_flag', u'values', u'dampening_route_map']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_dampening_dampening_flag_update(self, rbridge_id=None, af_ipv6_vrf=None, dampening_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, dampening_flag=dampening_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, dampening_flag=dampening_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_dampening_half_time_update(self, rbridge_id=None, af_ipv6_vrf=None, half_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, half_time=half_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, half_time=half_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_dampening_max_suppress_time_update(self, rbridge_id=None, af_ipv6_vrf=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_dampening_reuse_value_update(self, rbridge_id=None, af_ipv6_vrf=None, reuse_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, reuse_value=reuse_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, reuse_value=reuse_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_dampening_route_map_update(self, rbridge_id=None, af_ipv6_vrf=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_dampening_start_suppress_time_update(self, rbridge_id=None, af_ipv6_vrf=None, start_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, start_suppress_time=start_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, start_suppress_time=start_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_dampening_values_update(self, rbridge_id=None, af_ipv6_vrf=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'half_time, reuse_value, start_suppress_time, max_suppress_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values': [u'half_time'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values': [u'half_time'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values': [u'half_time']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_default_information_originate_update(self, rbridge_id=None, af_ipv6_vrf=None, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, default_information_originate=default_information_originate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_default_metric_update(self, rbridge_id=None, af_ipv6_vrf=None, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_graceful_restart_update(self, rbridge_id=None, af_ipv6_vrf=None, graceful_restart_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Enables the BGP graceful restart capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, graceful_restart_status=graceful_restart_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, graceful_restart_status=graceful_restart_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_update(self, rbridge_id=None, af_ipv6_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_ebgp_update(self, rbridge_id=None, af_ipv6_vrf=None, ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ebgp=ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ebgp=ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_ibgp_update(self, rbridge_id=None, af_ipv6_vrf=None, ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ibgp=ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ibgp=ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_load_sharing_value_update(self, rbridge_id=None, af_ipv6_vrf=None, load_sharing_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_use_load_sharing_update(self, rbridge_id=None, af_ipv6_vrf=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_multipath_update(self, rbridge_id=None, af_ipv6_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_multipath_ebgp_update(self, rbridge_id=None, af_ipv6_vrf=None, multipath_ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_multipath_ibgp_update(self, rbridge_id=None, af_ipv6_vrf=None, multipath_ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, multipath_ibgp=multipath_ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, multipath_ibgp=multipath_ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_multipath_multi_as_update(self, rbridge_id=None, af_ipv6_vrf=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, associate_peer_group=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr": {}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr": {}, "pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr": {"static_network_edge": "static_network_edge", "activate": "activate", "remote_as": "remote_as", "associate_peer_group": "associate_peer_group", "af_ipv6_neighbor_address": "af_ipv6_neighbor_address", "allowas_in": "allowas_in", "af_nei_weight": "af_nei_weight", "route_reflector_client": "route_reflector_client", "ebgp_btsh": "ebgp_btsh", "remove_private_as": "remove_private_as", "password": "password", "as_override": "as_override", "description": "description"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, associate_peer_group=associate_peer_group, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, associate_peer_group=associate_peer_group, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_activate_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_additional_paths_advertise_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type best: long
    :param best: Select best no of paths. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type all: YANGBool
    :param all: Select all best paths. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise': [u'all', u'best'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise': [u'all', u'best']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, best=best, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_additional_paths_advertise_all_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Select all best paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_additional_paths_advertise_best_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type best: long
    :param best: Select best no of paths

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, best=best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, best=best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_advertisement_interval_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'value'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_advertisement_interval_value_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_allowas_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_as_override_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, as_override=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, as_override=as_override)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, as_override=as_override)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_bfd_enable_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_holdover_interval_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_interval_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_interval_min_rx_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_interval_min_tx_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_interval_multiplier_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_additional_paths_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, add_path_both=None, send=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type add_path_both: YANGBool
    :param add_path_both: Keyword argument.

    :type send: YANGBool
    :param send: Capability to send additional paths

    :type receive: YANGBool
    :param receive: Capability to receive additional paths.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, add_path_both=add_path_both, send=send, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, add_path_both=add_path_both, send=send, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_additional_paths_add_path_both_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, add_path_both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type add_path_both: YANGBool
    :param add_path_both: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, add_path_both=add_path_both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, add_path_both=add_path_both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_additional_paths_receive_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type receive: YANGBool
    :param receive: Capability to receive additional paths.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, receive=receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_additional_paths_send_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send: YANGBool
    :param send: Capability to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send=send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send=send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_as4_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_as4_disable_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_as4_enable_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_orf_prefixlist_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_orf_prefixlist_prefixlist_status_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_orf_prefixlist_send_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_default_originate_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_default_originate_default_originate_status_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, default_originate_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_default_originate_route_map_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_description_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_ebgp_btsh_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ebgp_btsh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_btsh=ebgp_btsh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_btsh=ebgp_btsh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_ebgp_multihop_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_ebgp_multihop_ebgp_multihop_count_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_ebgp_multihop_ebgp_multihop_flag_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ebgp_multihop_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_enable_peer_as_check_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_enforce_first_as_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_enforce_first_as_disable_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_enforce_first_as_enable_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_filter_list_direction_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_filter_list_direction_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_filter_list_filter_list_direction_in_acl_name_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_filter_list_filter_list_direction_out_acl_name_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_filter_list_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_filter_list_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_local_as_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'local_as_value, no_prepend'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_local_as_local_as_value_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, local_as_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, local_as_value=local_as_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, local_as_value=local_as_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_local_as_no_prepend_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maxas_limit_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maxas_limit_in_disable_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maxas_limit_in_num_as_in_as_path_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, num_as_in_as_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maximum_prefix_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_prefix_limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maximum_prefix_max_prefix_limit_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maximum_prefix_teardown_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maximum_prefix_threshold_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maximum_prefix_threshold_holder_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'threshold, teardown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, threshold=threshold, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_next_hop_self_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_next_hop_self_always_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_next_hop_self_next_hop_self_status_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_password_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_peer_group_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, associate_peer_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, associate_peer_group=associate_peer_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, associate_peer_group=associate_peer_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_direction_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_direction_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_ip_access_number_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_ip_access_number_direction_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_prefix_list_direction_in_prefix_name_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_prefix_list_direction_out_prefix_name_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_remote_as_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, remote_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, remote_as=remote_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, remote_as=remote_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_remove_private_as_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, remove_private_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, remove_private_as=remove_private_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, remove_private_as=remove_private_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_route_map_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_route_map_in_neighbor_route_map_name_direction_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_route_map_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_route_map_out_neighbor_route_map_name_direction_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_route_reflector_client_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_send_community_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_send_community_both_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_send_community_extended_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_send_community_send_community_status_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_send_community_standard_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_shutdown_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_shutdown_generate_rib_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_shutdown_shutdown_status_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_soft_reconfiguration_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_soft_reconfiguration_inbound_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_static_network_edge_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_timers_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_timers_hold_time_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_timers_keep_alive_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_keep_alive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_unsuppress_map_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_unsuppress_map_map_name_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, sip_ipv6_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type sip_ipv6_address: unicode
    :param sip_ipv6_address: Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type loopback: unicode
    :param loopback: Loopback Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type ve_interface: long
    :param ve_interface: Virtual Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source": {}, "pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source": {"sip_ipv6_address": "sip_ipv6_address", "ve_interface": "ve_interface", "loopback": "loopback"}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source': [u'ethernet_interface', u'sip_ipv6_address', u've_interface', u'port_channel', u'loopback'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source': [u'ethernet_interface', u'sip_ipv6_address', u've_interface', u'loopback'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source': [u'ethernet_interface', u'sip_ipv6_address', u've_interface', u'port_channel', u'loopback']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, sip_ipv6_address=sip_ipv6_address, loopback=loopback, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, sip_ipv6_address=sip_ipv6_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_ethernet_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ethernet: unicode
    :param ethernet: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ethernet=ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_ethernet_interface_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, interface_type=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type ethernet: unicode
    :param ethernet: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, ethernet'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface': [u'interface_type'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface': [u'interface_type'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface': [u'interface_type']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_type=interface_type, ethernet=ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_type=interface_type, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_interface_type_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Keyword argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_loopback_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type loopback: unicode
    :param loopback: Loopback Interface

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_port_channel_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, port_channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type port_channel: long
    :param port_channel: Port-channel Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, port_channel=port_channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, port_channel=port_channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_sip_ipv6_address_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, sip_ipv6_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type sip_ipv6_address: unicode
    :param sip_ipv6_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, sip_ipv6_address=sip_ipv6_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, sip_ipv6_address=sip_ipv6_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_ve_interface_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ve_interface: long
    :param ve_interface: Virtual Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_weight_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_network_update(self, rbridge_id=None, af_ipv6_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_network_backdoor_update(self, rbridge_id=None, af_ipv6_vrf=None, network=None, backdoor=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network, backdoor=backdoor)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network, backdoor=backdoor)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_network_route_map_update(self, rbridge_id=None, af_ipv6_vrf=None, network=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_network_weight_update(self, rbridge_id=None, af_ipv6_vrf=None, network=None, network_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_next_hop_enable_default_update(self, rbridge_id=None, af_ipv6_vrf=None, next_hop_enable_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, next_hop_enable_default=next_hop_enable_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, next_hop_enable_default=next_hop_enable_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_next_hop_recursion_update(self, rbridge_id=None, af_ipv6_vrf=None, next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_metric_update(self, rbridge_id=None, af_ipv6_vrf=None, bgp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, bgp_metric=bgp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, bgp_metric=bgp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_redistribute_bgp_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_route_map_update(self, rbridge_id=None, af_ipv6_vrf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_connected_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_connected_metric_update(self, rbridge_id=None, af_ipv6_vrf=None, unicast_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, unicast_metric=unicast_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, unicast_metric=unicast_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_connected_redistribute_connected_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_connected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_connected=redistribute_connected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_connected=redistribute_connected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_connected_route_map_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_update(self, rbridge_id=None, af_ipv6_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_external1_update(self, rbridge_id=None, af_ipv6_vrf=None, ospf_external1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_external1=ospf_external1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_external1=ospf_external1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_external2_update(self, rbridge_id=None, af_ipv6_vrf=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_internal_update(self, rbridge_id=None, af_ipv6_vrf=None, ospf_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_metric_update(self, rbridge_id=None, af_ipv6_vrf=None, ospf_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_metric=ospf_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_metric=ospf_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_redistribute_ospf_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_route_map_update(self, rbridge_id=None, af_ipv6_vrf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_static_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_static_metric_update(self, rbridge_id=None, af_ipv6_vrf=None, unicast_static_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, unicast_static_metric=unicast_static_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, unicast_static_metric=unicast_static_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_static_redistribute_static_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_static=redistribute_static)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_static=redistribute_static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_static_route_map_update(self, rbridge_id=None, af_ipv6_vrf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_rib_route_limit_update(self, rbridge_id=None, af_ipv6_vrf=None, rib_route_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, rib_route_limit=rib_route_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, rib_route_limit=rib_route_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_table_map_update(self, rbridge_id=None, af_ipv6_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_table_map_route_map_update(self, rbridge_id=None, af_ipv6_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_update_time_update(self, rbridge_id=None, af_ipv6_vrf=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_client_to_client_reflection_update(self, rbridge_id=None, client_to_client_reflection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, client_to_client_reflection=client_to_client_reflection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, client_to_client_reflection=client_to_client_reflection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_graceful_restart_update(self, rbridge_id=None, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Keyword argument.

    :type restart_time: long
    :param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120

        * range restriction: ::

            ['0..4294967295']

    :type purge_time: long
    :param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600

        * range restriction: ::

            ['0..4294967295']

    :type stale_routes_time: long
    :param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_graceful_restart_graceful_restart_status_update(self, rbridge_id=None, graceful_restart_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_graceful_restart_purge_time_update(self, rbridge_id=None, purge_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type purge_time: long
    :param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, purge_time=purge_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, purge_time=purge_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_graceful_restart_restart_time_update(self, rbridge_id=None, restart_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type restart_time: long
    :param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, restart_time=restart_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, restart_time=restart_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_graceful_restart_stale_routes_time_update(self, rbridge_id=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type stale_routes_time: long
    :param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, stale_routes_time=stale_routes_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, activate=None, maximum_prefix=None, route_reflector_client=None, allowas_in=None, next_hop_unchanged=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, activate=activate, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, activate=activate, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_activate_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_allowas_in_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_enable_peer_as_check_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_maximum_prefix_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, maximum_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, maximum_prefix=maximum_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, maximum_prefix=maximum_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_next_hop_unchanged_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, next_hop_unchanged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, next_hop_unchanged=next_hop_unchanged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, next_hop_unchanged=next_hop_unchanged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_route_map_in_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_map_name_direction_in: unicode
    :param route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_in=route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_in=route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_route_map_in_route_map_name_direction_in_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_map_name_direction_in: unicode
    :param route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_in=route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_in=route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_route_map_out_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_map_name_direction_out: unicode
    :param route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_out=route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_out=route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_route_map_out_route_map_name_direction_out_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_map_name_direction_out: unicode
    :param route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_out=route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_out=route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_route_reflector_client_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_send_community_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_send_community_both_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_send_community_extended_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_send_community_send_community_status_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_send_community_standard_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, activate=None, maximum_prefix=None, route_reflector_client=None, allowas_in=None, next_hop_unchanged=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, activate=activate, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, activate=activate, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_activate_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_allowas_in_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_enable_peer_as_check_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_maximum_prefix_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, maximum_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, maximum_prefix=maximum_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, maximum_prefix=maximum_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_next_hop_unchanged_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, next_hop_unchanged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, next_hop_unchanged=next_hop_unchanged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, next_hop_unchanged=next_hop_unchanged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_route_map_in_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_map_name_direction_in: unicode
    :param route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_in=route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_in=route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_route_map_in_route_map_name_direction_in_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_map_name_direction_in: unicode
    :param route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_in=route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_in=route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_route_map_out_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_map_name_direction_out: unicode
    :param route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_out=route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_out=route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_route_map_out_route_map_name_direction_out_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_map_name_direction_out: unicode
    :param route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_out=route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_out=route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_route_reflector_client_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_send_community_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_send_community_both_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_send_community_extended_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_send_community_send_community_status_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_send_community_standard_update(self, rbridge_id=None, evpn_neighbor_ipv6=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_update(self, rbridge_id=None, evpn_peer_group=None, activate=None, maximum_prefix=None, route_reflector_client=None, allowas_in=None, next_hop_unchanged=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, activate=activate, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, activate=activate, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_activate_update(self, rbridge_id=None, evpn_peer_group=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_allowas_in_update(self, rbridge_id=None, evpn_peer_group=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_enable_peer_as_check_update(self, rbridge_id=None, evpn_peer_group=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_maximum_prefix_update(self, rbridge_id=None, evpn_peer_group=None, maximum_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, maximum_prefix=maximum_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, maximum_prefix=maximum_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_next_hop_unchanged_update(self, rbridge_id=None, evpn_peer_group=None, next_hop_unchanged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, next_hop_unchanged=next_hop_unchanged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, next_hop_unchanged=next_hop_unchanged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_route_map_in_update(self, rbridge_id=None, evpn_peer_group=None, route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_map_name_direction_in: unicode
    :param route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, route_map_name_direction_in=route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, route_map_name_direction_in=route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_route_map_in_route_map_name_direction_in_update(self, rbridge_id=None, evpn_peer_group=None, route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_map_name_direction_in: unicode
    :param route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, route_map_name_direction_in=route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, route_map_name_direction_in=route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_route_map_out_update(self, rbridge_id=None, evpn_peer_group=None, route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_map_name_direction_out: unicode
    :param route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, route_map_name_direction_out=route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, route_map_name_direction_out=route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_route_map_out_route_map_name_direction_out_update(self, rbridge_id=None, evpn_peer_group=None, route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_map_name_direction_out: unicode
    :param route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, route_map_name_direction_out=route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, route_map_name_direction_out=route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_route_reflector_client_update(self, rbridge_id=None, evpn_peer_group=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_send_community_update(self, rbridge_id=None, evpn_peer_group=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_send_community_both_update(self, rbridge_id=None, evpn_peer_group=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_send_community_extended_update(self, rbridge_id=None, evpn_peer_group=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_send_community_send_community_status_update(self, rbridge_id=None, evpn_peer_group=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_send_community_standard_update(self, rbridge_id=None, evpn_peer_group=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_retain_route_target_update(self, rbridge_id=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Retain all route targets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_retain_route_target_all_update(self, rbridge_id=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Retain all route targets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_vtep_discovery_update(self, rbridge_id=None, vtep_discovery=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vtep_discovery: YANGBool
    :param vtep_discovery: Enable VTEP discovery

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vtep_discovery=vtep_discovery)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vtep_discovery=vtep_discovery)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_always_compare_med_update(self, rbridge_id=None, always_compare_med=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type always_compare_med: YANGBool
    :param always_compare_med: Allow comparing MED from different neighbors

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, always_compare_med=always_compare_med)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, always_compare_med=always_compare_med)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_as_path_ignore_update(self, rbridge_id=None, as_path_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type as_path_ignore: YANGBool
    :param as_path_ignore: Ignore AS_PATH length for best route selection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, as_path_ignore=as_path_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, as_path_ignore=as_path_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_auto_shutdown_new_neighbors_update(self, rbridge_id=None, auto_shutdown_new_neighbors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type auto_shutdown_new_neighbors: YANGBool
    :param auto_shutdown_new_neighbors: Auto shutdown new neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, auto_shutdown_new_neighbors=auto_shutdown_new_neighbors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, auto_shutdown_new_neighbors=auto_shutdown_new_neighbors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_bfd_update(self, rbridge_id=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_bfd_holdover_interval_update(self, rbridge_id=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_bfd_interval_update(self, rbridge_id=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_bfd_interval_min_rx_update(self, rbridge_id=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_bfd_interval_min_tx_update(self, rbridge_id=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_bfd_interval_multiplier_update(self, rbridge_id=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_capability_update(self, rbridge_id=None, as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type as4_enable: YANGBool
    :param as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, as4_enable=as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, as4_enable=as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_capability_as4_enable_update(self, rbridge_id=None, as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type as4_enable: YANGBool
    :param as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, as4_enable=as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, as4_enable=as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_cluster_id_update(self, rbridge_id=None, cluster_id_value=None, cluster_id_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cluster_id_value: long
    :param cluster_id_value: Route-Reflector Cluster-ID as 32 bit quantity. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type cluster_id_ipv4_address: unicode
    :param cluster_id_ipv4_address: Route-Reflector Cluster-ID as IP address. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id': [u'cluster_id_value', u'cluster_id_ipv4_address'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id': [u'cluster_id_value', u'cluster_id_ipv4_address'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id': [u'cluster_id_value', u'cluster_id_ipv4_address']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, cluster_id_value=cluster_id_value, cluster_id_ipv4_address=cluster_id_ipv4_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, cluster_id_value=cluster_id_value, cluster_id_ipv4_address=cluster_id_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_cluster_id_id_update(self, rbridge_id=None, cluster_id_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cluster_id_value: long
    :param cluster_id_value: Route-Reflector Cluster-ID as 32 bit quantity

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, cluster_id_value=cluster_id_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, cluster_id_value=cluster_id_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_cluster_id_ipv4_address_update(self, rbridge_id=None, cluster_id_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cluster_id_ipv4_address: unicode
    :param cluster_id_ipv4_address: Route-Reflector Cluster-ID as IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, cluster_id_ipv4_address=cluster_id_ipv4_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, cluster_id_ipv4_address=cluster_id_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_compare_med_empty_aspath_update(self, rbridge_id=None, compare_med_empty_aspath=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type compare_med_empty_aspath: YANGBool
    :param compare_med_empty_aspath: Allow comparing MED from different neighbors even with empty as-pathattribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, compare_med_empty_aspath=compare_med_empty_aspath)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, compare_med_empty_aspath=compare_med_empty_aspath)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_compare_routerid_update(self, rbridge_id=None, compare_routerid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type compare_routerid: YANGBool
    :param compare_routerid: Compare router-id for identical BGP paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, compare_routerid=compare_routerid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, compare_routerid=compare_routerid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_confederation_update(self, rbridge_id=None, identifier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type identifier: long
    :param identifier: Confederation AS number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, identifier=identifier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, identifier=identifier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_confederation_identifier_update(self, rbridge_id=None, identifier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type identifier: long
    :param identifier: Confederation AS number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, identifier=identifier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, identifier=identifier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_default_local_preference_update(self, rbridge_id=None, default_local_preference=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_local_preference: long
    :param default_local_preference: Configure default local preference value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, default_local_preference=default_local_preference)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, default_local_preference=default_local_preference)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_distance_update(self, rbridge_id=None, ext_route_distance=None, int_route_distance=None, lcl_route_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_route_distance: long
    :param ext_route_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type int_route_distance: long
    :param int_route_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lcl_route_distance: long
    :param lcl_route_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ext_route_distance, int_route_distance, lcl_route_distance'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ext_route_distance=ext_route_distance, int_route_distance=int_route_distance, lcl_route_distance=lcl_route_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ext_route_distance=ext_route_distance, int_route_distance=int_route_distance, lcl_route_distance=lcl_route_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_distance_ext_route_distance_update(self, rbridge_id=None, ext_route_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ext_route_distance: long
    :param ext_route_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ext_route_distance=ext_route_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ext_route_distance=ext_route_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_distance_int_route_distance_update(self, rbridge_id=None, int_route_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type int_route_distance: long
    :param int_route_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, int_route_distance=int_route_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, int_route_distance=int_route_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_distance_lcl_route_distance_update(self, rbridge_id=None, lcl_route_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lcl_route_distance: long
    :param lcl_route_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, lcl_route_distance=lcl_route_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, lcl_route_distance=lcl_route_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_enforce_first_as_update(self, rbridge_id=None, enforce_first_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enforce_first_as: YANGBool
    :param enforce_first_as: Enforce the first AS for EBGP routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enforce_first_as=enforce_first_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enforce_first_as=enforce_first_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_fast_external_fallover_update(self, rbridge_id=None, fast_external_fallover=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fast_external_fallover: YANGBool
    :param fast_external_fallover: Reset session if link to EBGP peer goes down

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, fast_external_fallover=fast_external_fallover)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, fast_external_fallover=fast_external_fallover)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_install_igp_cost_update(self, rbridge_id=None, install_igp_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type install_igp_cost: YANGBool
    :param install_igp_cost: Install igp cost to nexthop instead of MED value as BGP route cost

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, install_igp_cost=install_igp_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, install_igp_cost=install_igp_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_listen_limit_update(self, rbridge_id=None, listen_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type listen_limit: long
    :param listen_limit: Listen limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, listen_limit=listen_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, listen_limit=listen_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_listen_range_update(self, rbridge_id=None, listen_range=None, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type listen_range: listen_range_prefix, peer_group, limit
    :param listen_range: Keyword argument tuple.

    :type listen_range_prefix: unicode
    :param listen_range_prefix: **listen_range** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type peer_group: unicode
    :param peer_group: **listen_range** tuple argument:  Peer group name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type limit: long
    :param limit: **listen_range** tuple argument:  Limit the neighbor

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type limit: long
    :param limit: Limit the neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, listen_range=listen_range, limit=limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, listen_range=listen_range, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_listen_range_limit_update(self, rbridge_id=None, listen_range=None, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type listen_range: listen_range_prefix, peer_group
    :param listen_range: Keyword argument tuple.

    :type listen_range_prefix: unicode
    :param listen_range_prefix: **listen_range** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type peer_group: unicode
    :param peer_group: **listen_range** tuple argument:  Peer group name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type limit: long
    :param limit: Limit the neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, listen_range=listen_range, limit=limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, listen_range=listen_range, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_local_as_update(self, rbridge_id=None, local_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type local_as: unicode
    :param local_as: Configure local AS number

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, local_as=local_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, local_as=local_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_log_dampening_debug_update(self, rbridge_id=None, log_dampening_debug=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type log_dampening_debug: YANGBool
    :param log_dampening_debug: Log dampening debug messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, log_dampening_debug=log_dampening_debug)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, log_dampening_debug=log_dampening_debug)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_maxas_limit_in_update(self, rbridge_id=None, num_as_in_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_as_in_path: long
    :param num_as_in_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, num_as_in_path=num_as_in_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, num_as_in_path=num_as_in_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_maxas_limit_in_num_as_in_path_update(self, rbridge_id=None, num_as_in_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_as_in_path: long
    :param num_as_in_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, num_as_in_path=num_as_in_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, num_as_in_path=num_as_in_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_med_missing_as_worst_update(self, rbridge_id=None, med_missing_as_worst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type med_missing_as_worst: YANGBool
    :param med_missing_as_worst: Consider routes missing MED attribute as least desirable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, med_missing_as_worst=med_missing_as_worst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, med_missing_as_worst=med_missing_as_worst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_update(self, rbridge_id=None, neighbor_addr=None, remote_as=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_advertisement_interval_update(self, rbridge_id=None, neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'value'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_advertisement_interval_value_update(self, rbridge_id=None, neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_as_override_update(self, rbridge_id=None, neighbor_addr=None, as_override=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, as_override=as_override)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, as_override=as_override)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_bfd_update(self, rbridge_id=None, neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_bfd_bfd_enable_update(self, rbridge_id=None, neighbor_addr=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_bfd_holdover_interval_update(self, rbridge_id=None, neighbor_addr=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_bfd_interval_update(self, rbridge_id=None, neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_bfd_interval_min_rx_update(self, rbridge_id=None, neighbor_addr=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_bfd_interval_min_tx_update(self, rbridge_id=None, neighbor_addr=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_bfd_interval_multiplier_update(self, rbridge_id=None, neighbor_addr=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_capability_as4_update(self, rbridge_id=None, neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_capability_as4_disable_update(self, rbridge_id=None, neighbor_addr=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_capability_as4_enable_update(self, rbridge_id=None, neighbor_addr=None, neighbor_as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_description_update(self, rbridge_id=None, neighbor_addr=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_ebgp_btsh_update(self, rbridge_id=None, neighbor_addr=None, ebgp_btsh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ebgp_btsh=ebgp_btsh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ebgp_btsh=ebgp_btsh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_ebgp_multihop_update(self, rbridge_id=None, neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_ebgp_multihop_ebgp_multihop_count_update(self, rbridge_id=None, neighbor_addr=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_ebgp_multihop_ebgp_multihop_flag_update(self, rbridge_id=None, neighbor_addr=None, ebgp_multihop_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_enforce_first_as_update(self, rbridge_id=None, neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_enforce_first_as_disable_update(self, rbridge_id=None, neighbor_addr=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_enforce_first_as_enable_update(self, rbridge_id=None, neighbor_addr=None, nei_enforce_first_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_local_as_update(self, rbridge_id=None, neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'local_as_value, no_prepend'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_local_as_local_as_value_update(self, rbridge_id=None, neighbor_addr=None, local_as_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, local_as_value=local_as_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, local_as_value=local_as_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_local_as_no_prepend_update(self, rbridge_id=None, neighbor_addr=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_maxas_limit_in_update(self, rbridge_id=None, neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_maxas_limit_in_disable_update(self, rbridge_id=None, neighbor_addr=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_maxas_limit_in_num_as_in_as_path_update(self, rbridge_id=None, neighbor_addr=None, num_as_in_as_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_next_hop_self_update(self, rbridge_id=None, neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_next_hop_self_always_update(self, rbridge_id=None, neighbor_addr=None, next_hop_self_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_next_hop_self_next_hop_self_status_update(self, rbridge_id=None, neighbor_addr=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_password_update(self, rbridge_id=None, neighbor_addr=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_peer_group_update(self, rbridge_id=None, neighbor_addr=None, associate_peer_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, associate_peer_group=associate_peer_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, associate_peer_group=associate_peer_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_remote_as_update(self, rbridge_id=None, neighbor_addr=None, remote_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, remote_as=remote_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, remote_as=remote_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_remove_private_as_update(self, rbridge_id=None, neighbor_addr=None, remove_private_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, remove_private_as=remove_private_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, remove_private_as=remove_private_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_shutdown_update(self, rbridge_id=None, neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_shutdown_generate_rib_out_update(self, rbridge_id=None, neighbor_addr=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_shutdown_shutdown_status_update(self, rbridge_id=None, neighbor_addr=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_soft_reconfiguration_update(self, rbridge_id=None, neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_soft_reconfiguration_inbound_update(self, rbridge_id=None, neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_static_network_edge_update(self, rbridge_id=None, neighbor_addr=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_timers_update(self, rbridge_id=None, neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_timers_hold_time_update(self, rbridge_id=None, neighbor_addr=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_timers_keep_alive_update(self, rbridge_id=None, neighbor_addr=None, nei_keep_alive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_update_source_update(self, rbridge_id=None, neighbor_addr=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type sip_ipv4_address: unicode
    :param sip_ipv4_address: Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type loopback: unicode
    :param loopback: Loopback Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type ve_interface: long
    :param ve_interface: Virtual Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source": {"ve_interface": "ve_interface", "sip_ipv4_address": "sip_ipv4_address", "loopback": "loopback"}, "pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source": {}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source': [u'ethernet_interface', u've_interface', u'sip_ipv4_address', u'loopback'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source': [u'ethernet_interface', u've_interface', u'loopback', u'sip_ipv4_address', u'port_channel'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source': [u'ethernet_interface', u've_interface', u'loopback', u'sip_ipv4_address', u'port_channel']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_update_source_ethernet_update(self, rbridge_id=None, neighbor_addr=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ethernet: unicode
    :param ethernet: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ethernet=ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_update_source_ethernet_interface_update(self, rbridge_id=None, neighbor_addr=None, interface_type=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type ethernet: unicode
    :param ethernet: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, ethernet'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface': [u'interface_type'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface': [u'interface_type'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface': [u'interface_type']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, interface_type=interface_type, ethernet=ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, interface_type=interface_type, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_update_source_interface_type_update(self, rbridge_id=None, neighbor_addr=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Keyword argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_update_source_loopback_update(self, rbridge_id=None, neighbor_addr=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type loopback: unicode
    :param loopback: Loopback Interface

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_update_source_port_channel_update(self, rbridge_id=None, neighbor_addr=None, port_channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type port_channel: long
    :param port_channel: Port-channel Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, port_channel=port_channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, port_channel=port_channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_update_source_sip_ipv4_address_update(self, rbridge_id=None, neighbor_addr=None, sip_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type sip_ipv4_address: unicode
    :param sip_ipv4_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, sip_ipv4_address=sip_ipv4_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, sip_ipv4_address=sip_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_update_source_ve_interface_update(self, rbridge_id=None, neighbor_addr=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ve_interface: long
    :param ve_interface: Virtual Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_update(self, rbridge_id=None, neighbor_ipv6_addr=None, remote_as=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type associate_peer_group: unicode
    :param associate_peer_group: Create Peer Group

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_advertisement_interval_update(self, rbridge_id=None, neighbor_ipv6_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'value'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_advertisement_interval_value_update(self, rbridge_id=None, neighbor_ipv6_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_as_override_update(self, rbridge_id=None, neighbor_ipv6_addr=None, as_override=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, as_override=as_override)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, as_override=as_override)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_bfd_update(self, rbridge_id=None, neighbor_ipv6_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_bfd_bfd_enable_update(self, rbridge_id=None, neighbor_ipv6_addr=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_bfd_holdover_interval_update(self, rbridge_id=None, neighbor_ipv6_addr=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_bfd_interval_update(self, rbridge_id=None, neighbor_ipv6_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_bfd_interval_min_rx_update(self, rbridge_id=None, neighbor_ipv6_addr=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_bfd_interval_min_tx_update(self, rbridge_id=None, neighbor_ipv6_addr=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_bfd_interval_multiplier_update(self, rbridge_id=None, neighbor_ipv6_addr=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_capability_as4_update(self, rbridge_id=None, neighbor_ipv6_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_capability_as4_disable_update(self, rbridge_id=None, neighbor_ipv6_addr=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_capability_as4_enable_update(self, rbridge_id=None, neighbor_ipv6_addr=None, neighbor_as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, neighbor_as4_enable=neighbor_as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, neighbor_as4_enable=neighbor_as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_description_update(self, rbridge_id=None, neighbor_ipv6_addr=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_ebgp_btsh_update(self, rbridge_id=None, neighbor_ipv6_addr=None, ebgp_btsh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_btsh=ebgp_btsh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_btsh=ebgp_btsh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_ebgp_multihop_update(self, rbridge_id=None, neighbor_ipv6_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_ebgp_multihop_ebgp_multihop_count_update(self, rbridge_id=None, neighbor_ipv6_addr=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_ebgp_multihop_ebgp_multihop_flag_update(self, rbridge_id=None, neighbor_ipv6_addr=None, ebgp_multihop_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_multihop_flag=ebgp_multihop_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_multihop_flag=ebgp_multihop_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_enforce_first_as_update(self, rbridge_id=None, neighbor_ipv6_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_enforce_first_as_disable_update(self, rbridge_id=None, neighbor_ipv6_addr=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_enforce_first_as_enable_update(self, rbridge_id=None, neighbor_ipv6_addr=None, nei_enforce_first_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_enforce_first_as=nei_enforce_first_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_enforce_first_as=nei_enforce_first_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_local_as_update(self, rbridge_id=None, neighbor_ipv6_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'local_as_value, no_prepend'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, local_as_value=local_as_value, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_local_as_local_as_value_update(self, rbridge_id=None, neighbor_ipv6_addr=None, local_as_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, local_as_value=local_as_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, local_as_value=local_as_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_local_as_no_prepend_update(self, rbridge_id=None, neighbor_ipv6_addr=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_maxas_limit_in_update(self, rbridge_id=None, neighbor_ipv6_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_maxas_limit_in_disable_update(self, rbridge_id=None, neighbor_ipv6_addr=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_maxas_limit_in_num_as_in_as_path_update(self, rbridge_id=None, neighbor_ipv6_addr=None, num_as_in_as_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, num_as_in_as_path=num_as_in_as_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, num_as_in_as_path=num_as_in_as_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_next_hop_self_update(self, rbridge_id=None, neighbor_ipv6_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_next_hop_self_always_update(self, rbridge_id=None, neighbor_ipv6_addr=None, next_hop_self_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, next_hop_self_always=next_hop_self_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, next_hop_self_always=next_hop_self_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_next_hop_self_next_hop_self_status_update(self, rbridge_id=None, neighbor_ipv6_addr=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_password_update(self, rbridge_id=None, neighbor_ipv6_addr=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_peer_group_update(self, rbridge_id=None, neighbor_ipv6_addr=None, associate_peer_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type associate_peer_group: unicode
    :param associate_peer_group: Create Peer Group

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, associate_peer_group=associate_peer_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, associate_peer_group=associate_peer_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_remote_as_update(self, rbridge_id=None, neighbor_ipv6_addr=None, remote_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, remote_as=remote_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, remote_as=remote_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_remove_private_as_update(self, rbridge_id=None, neighbor_ipv6_addr=None, remove_private_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, remove_private_as=remove_private_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, remove_private_as=remove_private_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_shutdown_update(self, rbridge_id=None, neighbor_ipv6_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_shutdown_generate_rib_out_update(self, rbridge_id=None, neighbor_ipv6_addr=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_shutdown_shutdown_status_update(self, rbridge_id=None, neighbor_ipv6_addr=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_soft_reconfiguration_update(self, rbridge_id=None, neighbor_ipv6_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_soft_reconfiguration_inbound_update(self, rbridge_id=None, neighbor_ipv6_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_static_network_edge_update(self, rbridge_id=None, neighbor_ipv6_addr=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_timers_update(self, rbridge_id=None, neighbor_ipv6_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_timers_hold_time_update(self, rbridge_id=None, neighbor_ipv6_addr=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_timers_keep_alive_update(self, rbridge_id=None, neighbor_ipv6_addr=None, nei_keep_alive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_keep_alive=nei_keep_alive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_keep_alive=nei_keep_alive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_update_source_update(self, rbridge_id=None, neighbor_ipv6_addr=None, sip_ipv6_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type sip_ipv6_address: unicode
    :param sip_ipv6_address: Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type loopback: unicode
    :param loopback: Loopback Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type ve_interface: long
    :param ve_interface: Virtual Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source": {}, "pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source": {"sip_ipv6_address": "sip_ipv6_address", "ve_interface": "ve_interface", "loopback": "loopback"}, "pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source': [u'ethernet_interface', u'sip_ipv6_address', u've_interface', u'port_channel', u'loopback'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source': [u'ethernet_interface', u'sip_ipv6_address', u've_interface', u'loopback'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source': [u'ethernet_interface', u'sip_ipv6_address', u've_interface', u'port_channel', u'loopback']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, sip_ipv6_address=sip_ipv6_address, loopback=loopback, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, sip_ipv6_address=sip_ipv6_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_update_source_ethernet_update(self, rbridge_id=None, neighbor_ipv6_addr=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ethernet: unicode
    :param ethernet: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, ethernet=ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_update_source_ethernet_interface_update(self, rbridge_id=None, neighbor_ipv6_addr=None, interface_type=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type ethernet: unicode
    :param ethernet: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, ethernet'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface': [u'interface_type'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface': [u'interface_type'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface': [u'interface_type']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, interface_type=interface_type, ethernet=ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, interface_type=interface_type, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_update_source_interface_type_update(self, rbridge_id=None, neighbor_ipv6_addr=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Keyword argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_update_source_loopback_update(self, rbridge_id=None, neighbor_ipv6_addr=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type loopback: unicode
    :param loopback: Loopback Interface

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_update_source_port_channel_update(self, rbridge_id=None, neighbor_ipv6_addr=None, port_channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type port_channel: long
    :param port_channel: Port-channel Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, port_channel=port_channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, port_channel=port_channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_update_source_sip_ipv6_address_update(self, rbridge_id=None, neighbor_ipv6_addr=None, sip_ipv6_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type sip_ipv6_address: unicode
    :param sip_ipv6_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, sip_ipv6_address=sip_ipv6_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, sip_ipv6_address=sip_ipv6_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_update_source_ve_interface_update(self, rbridge_id=None, neighbor_ipv6_addr=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ve_interface: long
    :param ve_interface: Virtual Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_update(self, rbridge_id=None, neighbor_peer_grp=None, peer_group_name=None, remote_as=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type peer_group_name: YANGBool
    :param peer_group_name: Create Peer Group

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, peer_group_name=peer_group_name, remote_as=remote_as, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, peer_group_name=peer_group_name, remote_as=remote_as, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_advertisement_interval_update(self, rbridge_id=None, neighbor_peer_grp=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'value'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_advertisement_interval_value_update(self, rbridge_id=None, neighbor_peer_grp=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_alternate_as_update(self, rbridge_id=None, neighbor_peer_grp=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Add AS to alternate-as range.

        * pattern restriction: ::

            '(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9'
            ']{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-'
            '5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]'
            '[0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(655'
            '3[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0'
            '-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6}'
            ')|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(4294'
            '96[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(4294967'
            '2[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0'
            ',3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0'
            '-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-'
            '9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-'
            '4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9]'
            '[0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42'
            '[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9'
            ']{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})'
            '|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(42'
            '9496729[0-5])))?(,(((([0-9][0-9]{0,3})|([1-5][0-'
            '9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0'
            '-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5'
            '][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(6'
            '55[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|(['
            '1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})'
            '|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0'
            '-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1]'
            '[0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))'
            '(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0'
            '-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553['
            '0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-'
            '4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6'
            '553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4'
            '[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{'
            '6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42'
            '9496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949'
            '672[0-8][0-9])|(429496729[0-5])))?)*'

    :type remove_: unicode
    :param remove_: Remove AS to alternate-as range.

        * pattern restriction: ::

            '(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9'
            ']{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-'
            '5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]'
            '[0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(655'
            '3[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0'
            '-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6}'
            ')|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(4294'
            '96[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(4294967'
            '2[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0'
            ',3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0'
            '-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-'
            '9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-'
            '4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9]'
            '[0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42'
            '[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9'
            ']{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})'
            '|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(42'
            '9496729[0-5])))?(,(((([0-9][0-9]{0,3})|([1-5][0-'
            '9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0'
            '-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5'
            '][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(6'
            '55[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|(['
            '1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})'
            '|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0'
            '-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1]'
            '[0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))'
            '(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0'
            '-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553['
            '0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-'
            '4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6'
            '553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4'
            '[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{'
            '6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42'
            '9496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949'
            '672[0-8][0-9])|(429496729[0-5])))?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.alternate_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, add_=add_, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_alternate_as_add_update(self, rbridge_id=None, neighbor_peer_grp=None, add_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type add_: unicode
    :param add_: Add AS to alternate-as range.

        * pattern restriction: ::

            '(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9'
            ']{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-'
            '5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]'
            '[0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(655'
            '3[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0'
            '-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6}'
            ')|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(4294'
            '96[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(4294967'
            '2[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0'
            ',3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0'
            '-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-'
            '9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-'
            '4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9]'
            '[0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42'
            '[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9'
            ']{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})'
            '|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(42'
            '9496729[0-5])))?(,(((([0-9][0-9]{0,3})|([1-5][0-'
            '9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0'
            '-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5'
            '][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(6'
            '55[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|(['
            '1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})'
            '|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0'
            '-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1]'
            '[0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))'
            '(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0'
            '-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553['
            '0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-'
            '4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6'
            '553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4'
            '[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{'
            '6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42'
            '9496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949'
            '672[0-8][0-9])|(429496729[0-5])))?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.alternate_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, add_=add_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, add_=add_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_alternate_as_remove_update(self, rbridge_id=None, neighbor_peer_grp=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type remove_: unicode
    :param remove_: Remove AS to alternate-as range.

        * pattern restriction: ::

            '(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9'
            ']{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-'
            '5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]'
            '[0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(655'
            '3[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0'
            '-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6}'
            ')|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(4294'
            '96[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(4294967'
            '2[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0'
            ',3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0'
            '-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-'
            '9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-'
            '4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9]'
            '[0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42'
            '[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9'
            ']{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})'
            '|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(42'
            '9496729[0-5])))?(,(((([0-9][0-9]{0,3})|([1-5][0-'
            '9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0'
            '-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5'
            '][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(6'
            '55[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|(['
            '1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})'
            '|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0'
            '-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1]'
            '[0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))'
            '(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0'
            '-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553['
            '0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-'
            '4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6'
            '553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4'
            '[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{'
            '6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42'
            '9496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949'
            '672[0-8][0-9])|(429496729[0-5])))?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.alternate_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, remove_=remove_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_as_override_update(self, rbridge_id=None, neighbor_peer_grp=None, as_override=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, as_override=as_override)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, as_override=as_override)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_bfd_update(self, rbridge_id=None, neighbor_peer_grp=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, bfd_enable=bfd_enable, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_bfd_bfd_enable_update(self, rbridge_id=None, neighbor_peer_grp=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_bfd_holdover_interval_update(self, rbridge_id=None, neighbor_peer_grp=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_bfd_interval_update(self, rbridge_id=None, neighbor_peer_grp=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_bfd_interval_min_rx_update(self, rbridge_id=None, neighbor_peer_grp=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_bfd_interval_min_tx_update(self, rbridge_id=None, neighbor_peer_grp=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_bfd_interval_multiplier_update(self, rbridge_id=None, neighbor_peer_grp=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_capability_as4_update(self, rbridge_id=None, neighbor_peer_grp=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_capability_as4_disable_update(self, rbridge_id=None, neighbor_peer_grp=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_capability_as4_enable_update(self, rbridge_id=None, neighbor_peer_grp=None, neighbor_as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, neighbor_as4_enable=neighbor_as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, neighbor_as4_enable=neighbor_as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_description_update(self, rbridge_id=None, neighbor_peer_grp=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_ebgp_btsh_update(self, rbridge_id=None, neighbor_peer_grp=None, ebgp_btsh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, ebgp_btsh=ebgp_btsh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, ebgp_btsh=ebgp_btsh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_ebgp_multihop_update(self, rbridge_id=None, neighbor_peer_grp=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_ebgp_multihop_ebgp_multihop_count_update(self, rbridge_id=None, neighbor_peer_grp=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_ebgp_multihop_ebgp_multihop_flag_update(self, rbridge_id=None, neighbor_peer_grp=None, ebgp_multihop_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, ebgp_multihop_flag=ebgp_multihop_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, ebgp_multihop_flag=ebgp_multihop_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_enforce_first_as_update(self, rbridge_id=None, neighbor_peer_grp=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_enforce_first_as_disable_update(self, rbridge_id=None, neighbor_peer_grp=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_enforce_first_as_enable_update(self, rbridge_id=None, neighbor_peer_grp=None, nei_enforce_first_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, nei_enforce_first_as=nei_enforce_first_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, nei_enforce_first_as=nei_enforce_first_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_local_as_update(self, rbridge_id=None, neighbor_peer_grp=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'local_as_value, no_prepend'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, local_as_value=local_as_value, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_local_as_local_as_value_update(self, rbridge_id=None, neighbor_peer_grp=None, local_as_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, local_as_value=local_as_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, local_as_value=local_as_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_local_as_no_prepend_update(self, rbridge_id=None, neighbor_peer_grp=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_maxas_limit_in_update(self, rbridge_id=None, neighbor_peer_grp=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_maxas_limit_in_disable_update(self, rbridge_id=None, neighbor_peer_grp=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_maxas_limit_in_num_as_in_as_path_update(self, rbridge_id=None, neighbor_peer_grp=None, num_as_in_as_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, num_as_in_as_path=num_as_in_as_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, num_as_in_as_path=num_as_in_as_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_next_hop_self_update(self, rbridge_id=None, neighbor_peer_grp=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_next_hop_self_always_update(self, rbridge_id=None, neighbor_peer_grp=None, next_hop_self_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, next_hop_self_always=next_hop_self_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, next_hop_self_always=next_hop_self_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_next_hop_self_next_hop_self_status_update(self, rbridge_id=None, neighbor_peer_grp=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_password_update(self, rbridge_id=None, neighbor_peer_grp=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_peer_group_update(self, rbridge_id=None, neighbor_peer_grp=None, peer_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type peer_group_name: YANGBool
    :param peer_group_name: Create Peer Group

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, peer_group_name=peer_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, peer_group_name=peer_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_remote_as_update(self, rbridge_id=None, neighbor_peer_grp=None, remote_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, remote_as=remote_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, remote_as=remote_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_remove_private_as_update(self, rbridge_id=None, neighbor_peer_grp=None, remove_private_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, remove_private_as=remove_private_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, remove_private_as=remove_private_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_shutdown_update(self, rbridge_id=None, neighbor_peer_grp=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_shutdown_generate_rib_out_update(self, rbridge_id=None, neighbor_peer_grp=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_shutdown_shutdown_status_update(self, rbridge_id=None, neighbor_peer_grp=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_soft_reconfiguration_update(self, rbridge_id=None, neighbor_peer_grp=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_soft_reconfiguration_inbound_update(self, rbridge_id=None, neighbor_peer_grp=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_static_network_edge_update(self, rbridge_id=None, neighbor_peer_grp=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_timers_update(self, rbridge_id=None, neighbor_peer_grp=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_timers_hold_time_update(self, rbridge_id=None, neighbor_peer_grp=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_timers_keep_alive_update(self, rbridge_id=None, neighbor_peer_grp=None, nei_keep_alive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, nei_keep_alive=nei_keep_alive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, nei_keep_alive=nei_keep_alive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_update_source_update(self, rbridge_id=None, neighbor_peer_grp=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type sip_ipv4_address: unicode
    :param sip_ipv4_address: Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type loopback: unicode
    :param loopback: Loopback Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type ve_interface: long
    :param ve_interface: Virtual Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source": {"ve_interface": "ve_interface", "sip_ipv4_address": "sip_ipv4_address", "loopback": "loopback"}, "pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source": {}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source': [u'ethernet_interface', u've_interface', u'sip_ipv4_address', u'loopback'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source': [u'ethernet_interface', u've_interface', u'loopback', u'sip_ipv4_address', u'port_channel'], 'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source': [u'ethernet_interface', u've_interface', u'loopback', u'sip_ipv4_address', u'port_channel']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_update_source_ethernet_update(self, rbridge_id=None, neighbor_peer_grp=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type ethernet: unicode
    :param ethernet: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, ethernet=ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_update_source_ethernet_interface_update(self, rbridge_id=None, neighbor_peer_grp=None, interface_type=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type ethernet: unicode
    :param ethernet: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, ethernet'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface': [u'interface_type'], 'pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface': [u'interface_type'], 'pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface': [u'interface_type']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, interface_type=interface_type, ethernet=ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, interface_type=interface_type, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_update_source_interface_type_update(self, rbridge_id=None, neighbor_peer_grp=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Keyword argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_update_source_loopback_update(self, rbridge_id=None, neighbor_peer_grp=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type loopback: unicode
    :param loopback: Loopback Interface

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_update_source_port_channel_update(self, rbridge_id=None, neighbor_peer_grp=None, port_channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type port_channel: long
    :param port_channel: Port-channel Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, port_channel=port_channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, port_channel=port_channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_update_source_sip_ipv4_address_update(self, rbridge_id=None, neighbor_peer_grp=None, sip_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type sip_ipv4_address: unicode
    :param sip_ipv4_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, sip_ipv4_address=sip_ipv4_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, sip_ipv4_address=sip_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_update_source_ve_interface_update(self, rbridge_id=None, neighbor_peer_grp=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type ve_interface: long
    :param ve_interface: Virtual Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_router_bgp_attributes_update(self, rbridge_id=None, local_as=None, always_compare_med=None, compare_med_empty_aspath=None, med_missing_as_worst=None, as_path_ignore=None, compare_routerid=None, install_igp_cost=None, default_local_preference=None, enforce_first_as=None, fast_external_fallover=None, log_dampening_debug=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type local_as: unicode
    :param local_as: Configure local AS number

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type always_compare_med: YANGBool
    :param always_compare_med: Allow comparing MED from different neighbors

    :type compare_med_empty_aspath: YANGBool
    :param compare_med_empty_aspath: Allow comparing MED from different neighbors even with empty as-pathattribute

    :type med_missing_as_worst: YANGBool
    :param med_missing_as_worst: Consider routes missing MED attribute as least desirable

    :type as_path_ignore: YANGBool
    :param as_path_ignore: Ignore AS_PATH length for best route selection

    :type compare_routerid: YANGBool
    :param compare_routerid: Compare router-id for identical BGP paths

    :type install_igp_cost: YANGBool
    :param install_igp_cost: Install igp cost to nexthop instead of MED value as BGP route cost

    :type default_local_preference: long
    :param default_local_preference: Configure default local preference value

        * range restriction: ::

            ['0..4294967295']

    :type enforce_first_as: YANGBool
    :param enforce_first_as: Enforce the first AS for EBGP routes

    :type fast_external_fallover: YANGBool
    :param fast_external_fallover: Reset session if link to EBGP peer goes down

    :type log_dampening_debug: YANGBool
    :param log_dampening_debug: Log dampening debug messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes": {"fast_external_fallover": "fast_external_fallover", "compare_med_empty_aspath": "compare_med_empty_aspath", "default_local_preference": "default_local_preference", "med_missing_as_worst": "med_missing_as_worst", "enforce_first_as": "enforce_first_as", "always_compare_med": "always_compare_med", "local_as": "local_as", "log_dampening_debug": "log_dampening_debug", "install_igp_cost": "install_igp_cost", "compare_routerid": "compare_routerid", "as_path_ignore": "as_path_ignore"}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes": {}, "pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, local_as=local_as, always_compare_med=always_compare_med, compare_med_empty_aspath=compare_med_empty_aspath, med_missing_as_worst=med_missing_as_worst, as_path_ignore=as_path_ignore, compare_routerid=compare_routerid, install_igp_cost=install_igp_cost, default_local_preference=default_local_preference, enforce_first_as=enforce_first_as, fast_external_fallover=fast_external_fallover, log_dampening_debug=log_dampening_debug)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, local_as=local_as, always_compare_med=always_compare_med, compare_med_empty_aspath=compare_med_empty_aspath, med_missing_as_worst=med_missing_as_worst, as_path_ignore=as_path_ignore, compare_routerid=compare_routerid, install_igp_cost=install_igp_cost, default_local_preference=default_local_preference, enforce_first_as=enforce_first_as, fast_external_fallover=fast_external_fallover, log_dampening_debug=log_dampening_debug)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_timers_update(self, rbridge_id=None, keep_alive=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type keep_alive: long
    :param keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type hold_time: long
    :param hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'keep_alive, hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, keep_alive=keep_alive, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, keep_alive=keep_alive, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_timers_hold_time_update(self, rbridge_id=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_timers_keep_alive_update(self, rbridge_id=None, keep_alive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type keep_alive: long
    :param keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, keep_alive=keep_alive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, keep_alive=keep_alive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_update(self, rbridge_id=None, ospf=None, database_overflow_interval=None, default_passive_interface=None, default_metric=None, external_lsdb_limit=None, ospf_metric_type=None, vrf_lite_capability=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type database_overflow_interval: long
    :param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated

        * range restriction: ::

            ['0..4294967295']

    :type default_passive_interface: YANGBool
    :param default_passive_interface: Set OSPF interface passive

    :type default_metric: long
    :param default_metric: Set OSPF default metric

        * range restriction: ::

            ['0..4294967295']

    :type external_lsdb_limit: long
    :param external_lsdb_limit: Set maximum number of external LSAs

        * range restriction: ::

            ['0..4294967295']

    :type ospf_metric_type: unicode
    :param ospf_metric_type: Set Type 1 or Type 2

        * enumeration restriction: ::

            ['type1', 'type2']

    :type vrf_lite_capability: YANGBool
    :param vrf_lite_capability: Configure vrf-lite-capability (disable DN bit checks)

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enable OSPF nonstop routing capability

    :type maximum_paths: int
    :param maximum_paths: The maximum number of paths to a destination.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval, default_passive_interface=default_passive_interface, default_metric=default_metric, external_lsdb_limit=external_lsdb_limit, ospf_metric_type=ospf_metric_type, vrf_lite_capability=vrf_lite_capability, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval, default_passive_interface=default_passive_interface, default_metric=default_metric, external_lsdb_limit=external_lsdb_limit, ospf_metric_type=ospf_metric_type, vrf_lite_capability=vrf_lite_capability, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_update(self, rbridge_id=None, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type normal: YANGBool
    :param normal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_normal_update(self, rbridge_id=None, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type normal: YANGBool
    :param normal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_update(self, rbridge_id=None, ospf=None, area=None, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate default-information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa": {}, "pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.nssa": {"default_information_originate": "default_information_originate"}, "pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.nssa": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_originate=default_information_originate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_default_information_metric_update(self, rbridge_id=None, ospf=None, area=None, default_information_metric_value=None, default_information_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type default_information_metric_value: long
    :param default_information_metric_value: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type default_information_metric_type: unicode
    :param default_information_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_information_metric_value, default_information_metric_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_metric_value=default_information_metric_value, default_information_metric_type=default_information_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_metric_value=default_information_metric_value, default_information_metric_type=default_information_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_default_information_metric_metric_update(self, rbridge_id=None, ospf=None, area=None, default_information_metric_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type default_information_metric_value: long
    :param default_information_metric_value: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_metric_value=default_information_metric_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_metric_value=default_information_metric_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_default_information_metric_metric_type_update(self, rbridge_id=None, ospf=None, area=None, default_information_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type default_information_metric_type: unicode
    :param default_information_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_metric_type=default_information_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_metric_type=default_information_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_default_information_originate_update(self, rbridge_id=None, ospf=None, area=None, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate default-information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_originate=default_information_originate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_metric_update(self, rbridge_id=None, ospf=None, area=None, nssa_value=None, nssa_no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type nssa_value: long
    :param nssa_value: NSSA's advertised external route metric.

        * range restriction: ::

            ['0..4294967295']

    :type nssa_no_summary: YANGBool
    :param nssa_no_summary: Do not send summary LSA into nssa area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nssa_value, nssa_no_summary'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_value=nssa_value, nssa_no_summary=nssa_no_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_value=nssa_value, nssa_no_summary=nssa_no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_no_redistribution_update(self, rbridge_id=None, ospf=None, area=None, no_redistribution=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type no_redistribution: YANGBool
    :param no_redistribution: Do not send redistributed LSA into nssa area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, no_redistribution=no_redistribution)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, no_redistribution=no_redistribution)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_no_summary_update(self, rbridge_id=None, ospf=None, area=None, nssa_no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type nssa_no_summary: YANGBool
    :param nssa_no_summary: Do not send summary LSA into nssa area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_no_summary=nssa_no_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_no_summary=nssa_no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_nssa_value_update(self, rbridge_id=None, ospf=None, area=None, nssa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type nssa_value: long
    :param nssa_value: NSSA's advertised external route metric.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_value=nssa_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_value=nssa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_translator_always_update(self, rbridge_id=None, ospf=None, area=None, translator_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type translator_always: YANGBool
    :param translator_always: Set nssa translator role

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, translator_always=translator_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, translator_always=translator_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_translator_interval_update(self, rbridge_id=None, ospf=None, area=None, translator_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type translator_interval: long
    :param translator_interval: Set nssa translator stability interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, translator_interval=translator_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, translator_interval=translator_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_prefix_list_direction_in_update(self, rbridge_id=None, ospf=None, area=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Apply Type3 LSA prefix filtering on inbound

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_prefix_list_direction_out_update(self, rbridge_id=None, ospf=None, area=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Apply Type3 LSA prefix filtering on outbound

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_prefix_list_in_update(self, rbridge_id=None, ospf=None, area=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Apply Type3 LSA prefix filtering on inbound

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_prefix_list_out_update(self, rbridge_id=None, ospf=None, area=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Apply Type3 LSA prefix filtering on outbound

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_prefix_list_prefix_list_update(self, rbridge_id=None, ospf=None, area=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_prefix_list_prefix_list_direction_out_update(self, rbridge_id=None, ospf=None, area=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_range_update(self, rbridge_id=None, ospf=None, area=None, range=None, range_effect=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type range: range_address, range_mask, range_effect, range_cost
    :param range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **range** tuple argument:  A.B.C.D   IP address to match

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type range_mask: unicode
    :param range_mask: **range** tuple argument:  A.B.C.D   IP mask for address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type range_effect: unicode
    :param range_effect: **range** tuple argument:  Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: **range** tuple argument:  Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type range_effect: unicode
    :param range_effect: Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.range', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, range=range, range_effect=range_effect, range_cost=range_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, range=range, range_effect=range_effect, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_range_cost_update(self, rbridge_id=None, ospf=None, area=None, range=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type range: range_address, range_mask
    :param range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **range** tuple argument:  A.B.C.D   IP address to match

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type range_mask: unicode
    :param range_mask: **range** tuple argument:  A.B.C.D   IP mask for address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type range_cost: long
    :param range_cost: Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.range', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, range=range, range_cost=range_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, range=range, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_range_range_effect_update(self, rbridge_id=None, ospf=None, area=None, range=None, range_effect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type range: range_address, range_mask
    :param range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **range** tuple argument:  A.B.C.D   IP address to match

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type range_mask: unicode
    :param range_mask: **range** tuple argument:  A.B.C.D   IP mask for address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type range_effect: unicode
    :param range_effect: Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.range', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, range=range, range_effect=range_effect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, range=range, range_effect=range_effect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_stub_metric_update(self, rbridge_id=None, ospf=None, area=None, stub_value=None, no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type stub_value: long
    :param stub_value: Stub's advertised external route metric.

        * range restriction: ::

            ['0..4294967295']

    :type no_summary: YANGBool
    :param no_summary: Do not send summary LSA into stub area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'stub_value, no_summary'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_value=stub_value, no_summary=no_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_value=stub_value, no_summary=no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_stub_no_summary_update(self, rbridge_id=None, ospf=None, area=None, no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type no_summary: YANGBool
    :param no_summary: Do not send summary LSA into stub area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, no_summary=no_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, no_summary=no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_stub_stub_value_update(self, rbridge_id=None, ospf=None, area=None, stub_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type stub_value: long
    :param stub_value: Stub's advertised external route metric.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_value=stub_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_value=stub_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_authentication_key_auth_key_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_authentication_key_auth_key_table_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'encrypttype, auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, encrypttype=encrypttype, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_authentication_key_encrypttype_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, encrypttype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, encrypttype=encrypttype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, encrypttype=encrypttype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_authentication_key_no_encrypt_auth_key_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_authentication_key_no_encrypt_auth_key_table_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_dead_interval_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_hello_interval_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_md5_authentication_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link.md5_authentication', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link.md5_authentication', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_activation_wait_time_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link.md5_authentication', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link.md5_authentication', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_id_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, no_encrypt_key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key_id=no_encrypt_key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key_id=no_encrypt_key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_id_key_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_id_key_id_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, key_id=key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, key_id=key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_id_md5_authentication_key_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type md5_authentication_key: unicode
    :param md5_authentication_key: MD5 authentication ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, md5_authentication_key=md5_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_md5_authentication_no_encrypt_key_table_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_retransmit_interval_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_transmit_delay_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_auto_cost_reference_bandwidth_update(self, rbridge_id=None, ospf=None, ref_bandwidth=None, use_active_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ref_bandwidth: long
    :param ref_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type use_active_ports: YANGBool
    :param use_active_ports: Dynamic change of BW will reflect cost change

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, ref_bandwidth=ref_bandwidth, use_active_ports=use_active_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, ref_bandwidth=ref_bandwidth, use_active_ports=use_active_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_auto_cost_reference_bandwidth_ref_bandwidth_update(self, rbridge_id=None, ospf=None, ref_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ref_bandwidth: long
    :param ref_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, ref_bandwidth=ref_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, ref_bandwidth=ref_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_auto_cost_reference_bandwidth_use_active_ports_update(self, rbridge_id=None, ospf=None, use_active_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type use_active_ports: YANGBool
    :param use_active_ports: Dynamic change of BW will reflect cost change

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, use_active_ports=use_active_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, use_active_ports=use_active_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_bfd_update(self, rbridge_id=None, ospf=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type holdover_interval: int
    :param holdover_interval: Holdover-interval in seconds

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, bfd_enable=bfd_enable, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_bfd_bfd_enable_update(self, rbridge_id=None, ospf=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_bfd_holdover_interval_update(self, rbridge_id=None, ospf=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type holdover_interval: int
    :param holdover_interval: Holdover-interval in seconds

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_database_overflow_interval_update(self, rbridge_id=None, ospf=None, database_overflow_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type database_overflow_interval: long
    :param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_default_information_originate_always_update(self, rbridge_id=None, ospf=None, always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type always: YANGBool
    :param always: Always advertise default route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, always=always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, always=always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_default_information_originate_metric_update(self, rbridge_id=None, ospf=None, def_orig_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type def_orig_metric: long
    :param def_orig_metric: OSPF metric for default route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, def_orig_metric=def_orig_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, def_orig_metric=def_orig_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_default_information_originate_metric_type_update(self, rbridge_id=None, ospf=None, def_orig_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type def_orig_metric_type: unicode
    :param def_orig_metric_type: OSPF metric type for default route

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, def_orig_metric_type=def_orig_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, def_orig_metric_type=def_orig_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_default_information_originate_route_map_update(self, rbridge_id=None, ospf=None, def_orig_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type def_orig_route_map: unicode
    :param def_orig_route_map: Route-map reference

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, def_orig_route_map=def_orig_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, def_orig_route_map=def_orig_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_default_metric_update(self, rbridge_id=None, ospf=None, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Set OSPF default metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_default_passive_interface_update(self, rbridge_id=None, ospf=None, default_passive_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type default_passive_interface: YANGBool
    :param default_passive_interface: Set OSPF interface passive

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, default_passive_interface=default_passive_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, default_passive_interface=default_passive_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_deny_redistribute_update(self, rbridge_id=None, ospf=None, redistribute=None, address=None, mask=None, set_metric_val=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option, address, mask, set_metric_val, match_metric_val
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    :type address: unicode
    :param address: **redistribute** tuple argument:  IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: **redistribute** tuple argument:  Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_deny_redistribute_address_update(self, rbridge_id=None, ospf=None, redistribute=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, address=address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_deny_redistribute_mask_update(self, rbridge_id=None, ospf=None, redistribute=None, mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type mask: unicode
    :param mask: Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, mask=mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, mask=mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_deny_redistribute_match_metric_update(self, rbridge_id=None, ospf=None, redistribute=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type match_metric_val: long
    :param match_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, match_metric_val=match_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_deny_redistribute_set_metric_update(self, rbridge_id=None, ospf=None, redistribute=None, set_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type set_metric_val: long
    :param set_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, set_metric_val=set_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, set_metric_val=set_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_distance_update(self, rbridge_id=None, ospf=None, distance=None, dist_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type distance: route_type
    :param distance: Keyword argument tuple.

    :type route_type: unicode
    :param route_type: **distance** tuple argument:  The type of route propogation

        * enumeration restriction: ::

            ['intra-area', 'external', 'inter-area']

    **Instance Argument(s)**:

    :type dist_value: long
    :param dist_value: The distance for a given type of route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.distance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.distance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, distance=distance, dist_value=dist_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, distance=distance, dist_value=dist_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_distance_dist_value_update(self, rbridge_id=None, ospf=None, distance=None, dist_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type distance: route_type
    :param distance: Keyword argument tuple.

    :type route_type: unicode
    :param route_type: **distance** tuple argument:  The type of route propogation

        * enumeration restriction: ::

            ['intra-area', 'external', 'inter-area']

    **Instance Argument(s)**:

    :type dist_value: long
    :param dist_value: The distance for a given type of route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.distance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.distance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, distance=distance, dist_value=dist_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, distance=distance, dist_value=dist_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_distribute_list_route_map_update(self, rbridge_id=None, ospf=None, route_map=None, in_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type route_map: unicode
    :param route_map: Route-map name.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type in_: YANGBool
    :param in_: Apply filter for incoming Routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'route_map, in_'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.router.ospf.distribute_list.route_map": {"route_map": "route_map"}, "pybind.nos.v6_0_2c.rbridge_id.router.ospf.distribute_list.route_map": {"route_map": "route_map", "in_": "in_"}, "pybind.nos.v7_1_0.rbridge_id.router.ospf.distribute_list.route_map": {"route_map": "route_map"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, route_map=route_map, in_=in_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, route_map=route_map, in_=in_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_distribute_list_route_map_in_update(self, rbridge_id=None, ospf=None, in_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type in_: YANGBool
    :param in_: Apply filter for incoming Routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.router.ospf.distribute_list.route_map": {}, "pybind.nos.v6_0_2c.rbridge_id.router.ospf.distribute_list.route_map": {"in_": "in_"}, "pybind.nos.v7_1_0.rbridge_id.router.ospf.distribute_list.route_map": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, in_=in_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, in_=in_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_distribute_list_route_map_route_map_update(self, rbridge_id=None, ospf=None, route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type route_map: unicode
    :param route_map: Route-map name.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, route_map=route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, route_map=route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_external_lsdb_limit_update(self, rbridge_id=None, ospf=None, external_lsdb_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type external_lsdb_limit: long
    :param external_lsdb_limit: Set maximum number of external LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, external_lsdb_limit=external_lsdb_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, external_lsdb_limit=external_lsdb_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_graceful_restart_update(self, rbridge_id=None, ospf=None, graceful_restart_enable=None, helper_disable=None, restart_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type graceful_restart_enable: YANGBool
    :param graceful_restart_enable: Keyword argument.

    :type helper_disable: YANGBool
    :param helper_disable: Disable Helper Mode

    :type restart_time: long
    :param restart_time: Set the maximum restart wait time advertised to neighbors

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.router.ospf.graceful_restart": {"graceful_restart_enable": "graceful_restart_enable", "restart_time": "restart_time", "helper_disable": "helper_disable"}, "pybind.nos.v7_1_0.rbridge_id.router.ospf.graceful_restart": {}, "pybind.nos.v7_0_1b.rbridge_id.router.ospf.graceful_restart": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_enable=graceful_restart_enable, helper_disable=helper_disable, restart_time=restart_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_enable=graceful_restart_enable, helper_disable=helper_disable, restart_time=restart_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_graceful_restart_graceful_restart_enable_update(self, rbridge_id=None, ospf=None, graceful_restart_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type graceful_restart_enable: YANGBool
    :param graceful_restart_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_enable=graceful_restart_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_enable=graceful_restart_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_graceful_restart_helper_disable_update(self, rbridge_id=None, ospf=None, helper_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type helper_disable: YANGBool
    :param helper_disable: Disable Helper Mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, helper_disable=helper_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, helper_disable=helper_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_graceful_restart_helper_strict_lsa_checking_update(self, rbridge_id=None, ospf=None, helper_strict_lsa_checking=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type helper_strict_lsa_checking: YANGBool
    :param helper_strict_lsa_checking: Set strict LSA checking

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, helper_strict_lsa_checking=helper_strict_lsa_checking)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, helper_strict_lsa_checking=helper_strict_lsa_checking)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_graceful_restart_restart_time_update(self, rbridge_id=None, ospf=None, restart_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type restart_time: long
    :param restart_time: Set the maximum restart wait time advertised to neighbors

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, restart_time=restart_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, restart_time=restart_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_update(self, rbridge_id=None, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type log_all: YANGBool
    :param log_all: Logging everything

    :type log_database: YANGBool
    :param log_database: Logging LSA activity

    :type log_retransmit: YANGBool
    :param log_retransmit: Logging retransmit activity

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.log', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.log', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_adjacency_dr_only_update(self, rbridge_id=None, ospf=None, dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type dr_only: YANGBool
    :param dr_only: Logging only Designated Router interfaces' adjacency changes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, dr_only=dr_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, dr_only=dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_all_update(self, rbridge_id=None, ospf=None, log_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type log_all: YANGBool
    :param log_all: Logging everything

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.log', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.log', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_bad_packet_checksum_update(self, rbridge_id=None, ospf=None, log_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type log_checksum: YANGBool
    :param log_checksum: Logging bad checksum packets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, log_checksum=log_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_checksum=log_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_database_update(self, rbridge_id=None, ospf=None, log_database=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type log_database: YANGBool
    :param log_database: Logging LSA activity

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.log', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.log', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, log_database=log_database)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_database=log_database)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_retransmit_update(self, rbridge_id=None, ospf=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type log_retransmit: YANGBool
    :param log_retransmit: Logging retransmit activity

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.log', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.log', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, log_retransmit=log_retransmit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_all_lsas_update(self, rbridge_id=None, ospf=None, all_lsas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all_lsas: YANGBool
    :param all_lsas: Replace Metric in all External and SummaryLSAs with default max metric value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, all_lsas=all_lsas)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, all_lsas=all_lsas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_all_vrfs_update(self, rbridge_id=None, ospf=None, all_vrfs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all_vrfs: YANGBool
    :param all_vrfs: Apply this to all the current OSPF instances

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, all_vrfs=all_vrfs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, all_vrfs=all_vrfs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_external_lsa_external_lsa_val_update(self, rbridge_id=None, ospf=None, external_lsa_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type external_lsa_val: long
    :param external_lsa_val: Indicates the metric of all external type 5 LSA's

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, external_lsa_val=external_lsa_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, external_lsa_val=external_lsa_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_link_update(self, rbridge_id=None, ospf=None, all=None, ptp=None, stub=None, transit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Advertise maximum metric in Router LSA for ptp,stub and transit links

    :type ptp: YANGBool
    :param ptp: Advertise maximum metric in Router LSA for ptp links

    :type stub: YANGBool
    :param stub: Advertise maximum metric in Router LSA for stub links

    :type transit: YANGBool
    :param transit: Advertise maximum metric in Router LSA for transit links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, all=all, ptp=ptp, stub=stub, transit=transit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, all=all, ptp=ptp, stub=stub, transit=transit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_link_all_update(self, rbridge_id=None, ospf=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Advertise maximum metric in Router LSA for ptp,stub and transit links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_link_ptp_update(self, rbridge_id=None, ospf=None, ptp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ptp: YANGBool
    :param ptp: Advertise maximum metric in Router LSA for ptp links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, ptp=ptp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, ptp=ptp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_link_stub_update(self, rbridge_id=None, ospf=None, stub=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type stub: YANGBool
    :param stub: Advertise maximum metric in Router LSA for stub links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, stub=stub)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, stub=stub)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_link_transit_update(self, rbridge_id=None, ospf=None, transit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type transit: YANGBool
    :param transit: Advertise maximum metric in Router LSA for transit links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, transit=transit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, transit=transit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_update(self, rbridge_id=None, ospf=None, time=None, wait_for_bgp=None, all_lsas_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type time: long
    :param time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds

        * range restriction: ::

            ['0..4294967295']

    :type wait_for_bgp: YANGBool
    :param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds

    :type all_lsas_onstartup: YANGBool
    :param all_lsas_onstartup: Replace Metric in all External and SummaryLSAs with default max metric value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, time=time, wait_for_bgp=wait_for_bgp, all_lsas_onstartup=all_lsas_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, time=time, wait_for_bgp=wait_for_bgp, all_lsas_onstartup=all_lsas_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_all_lsas_update(self, rbridge_id=None, ospf=None, all_lsas_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all_lsas_onstartup: YANGBool
    :param all_lsas_onstartup: Replace Metric in all External and SummaryLSAs with default max metric value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, all_lsas_onstartup=all_lsas_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, all_lsas_onstartup=all_lsas_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_external_lsa_external_lsa_val_onstartup_update(self, rbridge_id=None, ospf=None, external_lsa_val_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type external_lsa_val_onstartup: long
    :param external_lsa_val_onstartup: Indicates the metric of all external type 5 LSA's

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, external_lsa_val_onstartup=external_lsa_val_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, external_lsa_val_onstartup=external_lsa_val_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_link_update(self, rbridge_id=None, ospf=None, all_link_onstartup=None, ptp_link_onstartup=None, stub_link_onstartup=None, transit_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all_link_onstartup: YANGBool
    :param all_link_onstartup: Advertise maximum metric in Router LSA for ptp,stub and transit links

    :type ptp_link_onstartup: YANGBool
    :param ptp_link_onstartup: Advertise maximum metric in Router LSA for ptp links

    :type stub_link_onstartup: YANGBool
    :param stub_link_onstartup: Advertise maximum metric in Router LSA for stub links

    :type transit_link_onstartup: YANGBool
    :param transit_link_onstartup: Advertise maximum metric in Router LSA for transit links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, all_link_onstartup=all_link_onstartup, ptp_link_onstartup=ptp_link_onstartup, stub_link_onstartup=stub_link_onstartup, transit_link_onstartup=transit_link_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, all_link_onstartup=all_link_onstartup, ptp_link_onstartup=ptp_link_onstartup, stub_link_onstartup=stub_link_onstartup, transit_link_onstartup=transit_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_link_all_update(self, rbridge_id=None, ospf=None, all_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all_link_onstartup: YANGBool
    :param all_link_onstartup: Advertise maximum metric in Router LSA for ptp,stub and transit links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, all_link_onstartup=all_link_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, all_link_onstartup=all_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_link_ptp_update(self, rbridge_id=None, ospf=None, ptp_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ptp_link_onstartup: YANGBool
    :param ptp_link_onstartup: Advertise maximum metric in Router LSA for ptp links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, ptp_link_onstartup=ptp_link_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, ptp_link_onstartup=ptp_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_link_stub_update(self, rbridge_id=None, ospf=None, stub_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type stub_link_onstartup: YANGBool
    :param stub_link_onstartup: Advertise maximum metric in Router LSA for stub links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, stub_link_onstartup=stub_link_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, stub_link_onstartup=stub_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_link_transit_update(self, rbridge_id=None, ospf=None, transit_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type transit_link_onstartup: YANGBool
    :param transit_link_onstartup: Advertise maximum metric in Router LSA for transit links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, transit_link_onstartup=transit_link_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, transit_link_onstartup=transit_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_summary_lsa_summary_lsa_val_onstartup_update(self, rbridge_id=None, ospf=None, summary_lsa_val_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type summary_lsa_val_onstartup: long
    :param summary_lsa_val_onstartup: Metric of all summary type 3 and type 4 LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_val_onstartup=summary_lsa_val_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_val_onstartup=summary_lsa_val_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_time_update(self, rbridge_id=None, ospf=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type time: long
    :param time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_wait_for_bgp_update(self, rbridge_id=None, ospf=None, wait_for_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type wait_for_bgp: YANGBool
    :param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, wait_for_bgp=wait_for_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, wait_for_bgp=wait_for_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_summary_lsa_summary_lsa_val_update(self, rbridge_id=None, ospf=None, summary_lsa_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type summary_lsa_val: long
    :param summary_lsa_val: Metric of all summary type 3 and type 4 LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_val=summary_lsa_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_val=summary_lsa_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_maximum_paths_update(self, rbridge_id=None, ospf=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type maximum_paths: int
    :param maximum_paths: The maximum number of paths to a destination.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_metric_type_update(self, rbridge_id=None, ospf=None, ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ospf_metric_type: unicode
    :param ospf_metric_type: Set Type 1 or Type 2

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, ospf_metric_type=ospf_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, ospf_metric_type=ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_nonstop_routing_update(self, rbridge_id=None, ospf=None, nonstop_routing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enable OSPF nonstop routing capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, nonstop_routing=nonstop_routing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, nonstop_routing=nonstop_routing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_permit_redistribute_update(self, rbridge_id=None, ospf=None, redistribute=None, address=None, mask=None, set_metric_val=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option, address, mask, set_metric_val, match_metric_val
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    :type address: unicode
    :param address: **redistribute** tuple argument:  IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: **redistribute** tuple argument:  Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_permit_redistribute_address_update(self, rbridge_id=None, ospf=None, redistribute=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, address=address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_permit_redistribute_mask_update(self, rbridge_id=None, ospf=None, redistribute=None, mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type mask: unicode
    :param mask: Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, mask=mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, mask=mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_permit_redistribute_match_metric_update(self, rbridge_id=None, ospf=None, redistribute=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type match_metric_val: long
    :param match_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, match_metric_val=match_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_permit_redistribute_set_metric_update(self, rbridge_id=None, ospf=None, redistribute=None, set_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type set_metric_val: long
    :param set_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, set_metric_val=set_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, set_metric_val=set_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_bgp_route_map_update(self, rbridge_id=None, ospf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_connected_route_map_update(self, rbridge_id=None, ospf=None, connected_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type connected_route_map: unicode
    :param connected_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_ospf_route_map_update(self, rbridge_id=None, ospf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_static_route_map_update(self, rbridge_id=None, ospf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_rfc1583_compatibility_rfc1583_compatibility_flag_update(self, rbridge_id=None, ospf=None, rfc1583_compatibility_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type rfc1583_compatibility_flag: YANGBool
    :param rfc1583_compatibility_flag: Enable RFC 1583 OSPF v2 compatibility

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.rfc1583_compatibility', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.rfc1583_compatibility', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.rfc1583_compatibility', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, rfc1583_compatibility_flag=rfc1583_compatibility_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, rfc1583_compatibility_flag=rfc1583_compatibility_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_timers_update(self, rbridge_id=None, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsa_group_pacing: long
    :param lsa_group_pacing: OSPF LSA group pacing timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_timers_lsa_group_pacing_update(self, rbridge_id=None, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsa_group_pacing: long
    :param lsa_group_pacing: OSPF LSA group pacing timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.timers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.timers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_timers_throttle_spf_update(self, rbridge_id=None, ospf=None, init_delay=None, hold_time=None, max_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type init_delay: long
    :param init_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hold_time: long
    :param hold_time: Hold time (msec) between two SPF calculations, default is 5000 msec

        * range restriction: ::

            ['0..4294967295']

    :type max_hold_time: long
    :param max_hold_time: Max hold time (msec) between two SPF calculations, default is 10000 msec

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'init_delay, hold_time, max_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, init_delay=init_delay, hold_time=hold_time, max_hold_time=max_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, init_delay=init_delay, hold_time=hold_time, max_hold_time=max_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_timers_throttle_spf_hold_time_update(self, rbridge_id=None, ospf=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Hold time (msec) between two SPF calculations, default is 5000 msec

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_timers_throttle_spf_init_delay_update(self, rbridge_id=None, ospf=None, init_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type init_delay: long
    :param init_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, init_delay=init_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, init_delay=init_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_timers_throttle_spf_max_hold_time_update(self, rbridge_id=None, ospf=None, max_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type max_hold_time: long
    :param max_hold_time: Max hold time (msec) between two SPF calculations, default is 10000 msec

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, max_hold_time=max_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, max_hold_time=max_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_vrf_lite_capability_update(self, rbridge_id=None, ospf=None, vrf_lite_capability=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type vrf_lite_capability: YANGBool
    :param vrf_lite_capability: Configure vrf-lite-capability (disable DN bit checks)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ospf=ospf, vrf_lite_capability=vrf_lite_capability)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, vrf_lite_capability=vrf_lite_capability)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_bsr_candidate_interface_update(self, rbridge_id=None, bsr_cand_interface=None, hash_mask_length=None, bsr_cand_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bsr_cand_interface: bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority
    :param bsr_cand_interface: Keyword argument tuple.

    :type bsr_cand_intf_type: unicode
    :param bsr_cand_intf_type: **bsr_cand_interface** tuple argument.

        * enumeration restriction: ::

            ['port-channel',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type bsr_cand_intf_id: unicode
    :param bsr_cand_intf_id: **bsr_cand_interface** tuple argument:  String;;Interface ID

    :type hash_mask_length: int
    :param hash_mask_length: **bsr_cand_interface** tuple argument:  BSR hash mask

        * range restriction: ::

            ['0..65535']

    :type bsr_cand_priority: long
    :param bsr_cand_priority: **bsr_cand_interface** tuple argument:  BSR priority

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hash_mask_length: int
    :param hash_mask_length: BSR hash mask

        * range restriction: ::

            ['0..65535']

    :type bsr_cand_priority: long
    :param bsr_cand_priority: BSR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bsr_cand_interface=bsr_cand_interface, hash_mask_length=hash_mask_length, bsr_cand_priority=bsr_cand_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bsr_cand_interface=bsr_cand_interface, hash_mask_length=hash_mask_length, bsr_cand_priority=bsr_cand_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_bsr_candidate_interface_mask_update(self, rbridge_id=None, bsr_cand_interface=None, hash_mask_length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bsr_cand_interface: bsr_cand_intf_type, bsr_cand_intf_id
    :param bsr_cand_interface: Keyword argument tuple.

    :type bsr_cand_intf_type: unicode
    :param bsr_cand_intf_type: **bsr_cand_interface** tuple argument.

        * enumeration restriction: ::

            ['port-channel',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type bsr_cand_intf_id: unicode
    :param bsr_cand_intf_id: **bsr_cand_interface** tuple argument:  String;;Interface ID

    **Instance Argument(s)**:

    :type hash_mask_length: int
    :param hash_mask_length: BSR hash mask

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bsr_cand_interface=bsr_cand_interface, hash_mask_length=hash_mask_length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bsr_cand_interface=bsr_cand_interface, hash_mask_length=hash_mask_length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_bsr_candidate_interface_priority_update(self, rbridge_id=None, bsr_cand_interface=None, bsr_cand_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bsr_cand_interface: bsr_cand_intf_type, bsr_cand_intf_id
    :param bsr_cand_interface: Keyword argument tuple.

    :type bsr_cand_intf_type: unicode
    :param bsr_cand_intf_type: **bsr_cand_interface** tuple argument.

        * enumeration restriction: ::

            ['port-channel',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type bsr_cand_intf_id: unicode
    :param bsr_cand_intf_id: **bsr_cand_interface** tuple argument:  String;;Interface ID

    **Instance Argument(s)**:

    :type bsr_cand_priority: long
    :param bsr_cand_priority: BSR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bsr_cand_interface=bsr_cand_interface, bsr_cand_priority=bsr_cand_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bsr_cand_interface=bsr_cand_interface, bsr_cand_priority=bsr_cand_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_bsr_msg_interval_update(self, rbridge_id=None, bsr_msg_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type bsr_msg_interval: long
    :param bsr_msg_interval: Set Bootstrap message interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, bsr_msg_interval=bsr_msg_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bsr_msg_interval=bsr_msg_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_hello_interval_update(self, rbridge_id=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hello_interval: int
    :param hello_interval: Set hello message interval

        * range restriction: ::

            ['-32768..32767']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_inactivity_timer_update(self, rbridge_id=None, inactivity_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type inactivity_timer: int
    :param inactivity_timer: Set inactivity interval

        * range restriction: ::

            ['-32768..32767']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, inactivity_timer=inactivity_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, inactivity_timer=inactivity_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_max_mcache_update(self, rbridge_id=None, max_mcache=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_mcache: long
    :param max_mcache: Set maximum PIM mcache

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, max_mcache=max_mcache)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, max_mcache=max_mcache)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_message_interval_update(self, rbridge_id=None, message_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type message_interval: long
    :param message_interval: Set periodic join/prune message interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, message_interval=message_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, message_interval=message_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_nbr_timeout_update(self, rbridge_id=None, nbr_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type nbr_timeout: int
    :param nbr_timeout: Set neighbor timeout

        * range restriction: ::

            ['-32768..32767']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, nbr_timeout=nbr_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, nbr_timeout=nbr_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_reset_tracking_bit_update(self, rbridge_id=None, reset_tracking_bit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type reset_tracking_bit: YANGBool
    :param reset_tracking_bit: Set tracking bit

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, reset_tracking_bit=reset_tracking_bit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, reset_tracking_bit=reset_tracking_bit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_rp_address_update(self, rbridge_id=None, rp_address=None, prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rp_address: rp_ip_addr, prefix_list
    :param rp_address: Keyword argument tuple.

    :type rp_ip_addr: unicode
    :param rp_ip_addr: **rp_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type prefix_list: unicode
    :param prefix_list: **rp_address** tuple argument:  Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type prefix_list: unicode
    :param prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, prefix_list'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rp_address=rp_address, prefix_list=prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rp_address=rp_address, prefix_list=prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_rp_address_prefix_list_update(self, rbridge_id=None, rp_address=None, prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rp_address: rp_ip_addr
    :param rp_address: Keyword argument tuple.

    :type rp_ip_addr: unicode
    :param rp_ip_addr: **rp_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list: unicode
    :param prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rp_address=rp_address, prefix_list=prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rp_address=rp_address, prefix_list=prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_rp_adv_interval_update(self, rbridge_id=None, rp_adv_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rp_adv_interval: long
    :param rp_adv_interval: Set RP candidate advertisement message interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rp_adv_interval=rp_adv_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rp_adv_interval=rp_adv_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_rp_candidate_interface_update(self, rbridge_id=None, rp_cand_interface=None, rp_cand_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rp_cand_interface: rp_cand_intf_type, rp_cand_intf_id, rp_cand_priority
    :param rp_cand_interface: Keyword argument tuple.

    :type rp_cand_intf_type: unicode
    :param rp_cand_intf_type: **rp_cand_interface** tuple argument.

        * enumeration restriction: ::

            ['port-channel',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type rp_cand_intf_id: unicode
    :param rp_cand_intf_id: **rp_cand_interface** tuple argument:  Interface ID

    :type rp_cand_priority: long
    :param rp_cand_priority: **rp_cand_interface** tuple argument:  RP-Candidate priority

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rp_cand_priority: long
    :param rp_cand_priority: RP-Candidate priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rp_cand_interface', 'keyval': 'rp_cand_intf_type, rp_cand_intf_id', 'extra_keyval': 'rp_cand_intf_type, rp_cand_intf_id, rp_cand_priority'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface": {}, "pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface": {"rp_cand_intf_id": "rp_cand_intf_id", "rp_cand_intf_type": "rp_cand_intf_type"}, "pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rp_cand_interface=rp_cand_interface, rp_cand_priority=rp_cand_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rp_cand_interface=rp_cand_interface, rp_cand_priority=rp_cand_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_rp_candidate_interface_priority_update(self, rbridge_id=None, rp_cand_interface=None, rp_cand_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rp_cand_interface: rp_cand_intf_type, rp_cand_intf_id
    :param rp_cand_interface: Keyword argument tuple.

    :type rp_cand_intf_type: unicode
    :param rp_cand_intf_type: **rp_cand_interface** tuple argument.

        * enumeration restriction: ::

            ['port-channel',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type rp_cand_intf_id: unicode
    :param rp_cand_intf_id: **rp_cand_interface** tuple argument:  Interface ID

    **Instance Argument(s)**:

    :type rp_cand_priority: long
    :param rp_cand_priority: RP-Candidate priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rp_cand_interface', 'keyval': 'rp_cand_intf_type, rp_cand_intf_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rp_cand_interface=rp_cand_interface, rp_cand_priority=rp_cand_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rp_cand_interface=rp_cand_interface, rp_cand_priority=rp_cand_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_spt_threshold_update(self, rbridge_id=None, spt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spt_threshold: long
    :param spt_threshold: Set threshold for switching to shortest-path-tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, spt_threshold=spt_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, spt_threshold=spt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_engineid_update(self, rbridge_id=None, local_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type local_: unicode
    :param local_: Agent's (Local) engine Id

        * pattern restriction: ::

            '[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0'
            '-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9'
            'a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-'
            'fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA'
            '-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F'
            '][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.engineID', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.engineID', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.engineID', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, local_=local_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, local_=local_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_engineid_local_update(self, rbridge_id=None, local_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type local_: unicode
    :param local_: Agent's (Local) engine Id

        * pattern restriction: ::

            '[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0'
            '-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9'
            'a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-'
            'fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA'
            '-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F'
            '][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.engineID', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.engineID', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.engineID', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, local_=local_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, local_=local_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_offline_if_update(self, rbridge_id=None, offline_if_display_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type offline_if_display_enable: YANGBool
    :param offline_if_display_enable: Enable SNMP to display offline interfaces when linecard powered-off

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.offline_if', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.offline_if', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.offline_if', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, offline_if_display_enable=offline_if_display_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, offline_if_display_enable=offline_if_display_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_offline_if_enable_update(self, rbridge_id=None, offline_if_display_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type offline_if_display_enable: YANGBool
    :param offline_if_display_enable: Enable SNMP to display offline interfaces when linecard powered-off

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.offline_if', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.offline_if', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.offline_if', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, offline_if_display_enable=offline_if_display_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, offline_if_display_enable=offline_if_display_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_three_tuple_if_update(self, rbridge_id=None, three_tuple_if_display_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type three_tuple_if_display_enable: YANGBool
    :param three_tuple_if_display_enable: Enable SNMP to display ifDescr and ifName in 3-tuple format

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, three_tuple_if_display_enable=three_tuple_if_display_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, three_tuple_if_display_enable=three_tuple_if_display_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_three_tuple_if_enable_update(self, rbridge_id=None, three_tuple_if_display_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type three_tuple_if_display_enable: YANGBool
    :param three_tuple_if_display_enable: Enable SNMP to display ifDescr and ifName in 3-tuple format

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, three_tuple_if_display_enable=three_tuple_if_display_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, three_tuple_if_display_enable=three_tuple_if_display_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_user_update(self, rbridge_id=None, user=None, groupname=None, auth=None, auth_password=None, priv=None, priv_password=None, encrypted=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type user: username, groupname, auth, auth_password, priv, priv_password, encrypted
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    :type groupname: unicode
    :param groupname: **user** tuple argument.

    :type auth: unicode
    :param auth: **user** tuple argument:  Authorization protocol for username(Default=noauth)

        * enumeration restriction: ::

            ['sha', 'noauth', 'md5']

    :type auth_password: unicode
    :param auth_password: **user** tuple argument:  Authorization password associated withusername

    :type priv: unicode
    :param priv: **user** tuple argument:  Privacy protocol for username (Default=nopriv)

        * enumeration restriction: ::

            ['AES128', 'DES', 'nopriv']

    :type priv_password: unicode
    :param priv_password: **user** tuple argument:  Privacy password associated with username

    :type encrypted: YANGBool
    :param encrypted: **user** tuple argument:  This flag is used to enter the auth/privpasswords as encrypted.(Default=disable)

    **Instance Argument(s)**:

    :type groupname: unicode
    :param groupname: Keyword argument.

    :type auth: unicode
    :param auth: Authorization protocol for username(Default=noauth)

        * enumeration restriction: ::

            ['sha', 'noauth', 'md5']

    :type auth_password: unicode
    :param auth_password: Authorization password associated withusername

    :type priv: unicode
    :param priv: Privacy protocol for username (Default=nopriv)

        * enumeration restriction: ::

            ['AES128', 'DES', 'nopriv']

    :type priv_password: unicode
    :param priv_password: Privacy password associated with username

    :type encrypted: YANGBool
    :param encrypted: This flag is used to enter the auth/privpasswords as encrypted.(Default=disable)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.user', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, user=user, groupname=groupname, auth=auth, auth_password=auth_password, priv=priv, priv_password=priv_password, encrypted=encrypted)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, user=user, groupname=groupname, auth=auth, auth_password=auth_password, priv=priv, priv_password=priv_password, encrypted=encrypted)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_user_auth_update(self, rbridge_id=None, user=None, auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type auth: unicode
    :param auth: Authorization protocol for username(Default=noauth)

        * enumeration restriction: ::

            ['sha', 'noauth', 'md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.user', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, user=user, auth=auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, user=user, auth=auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_user_auth_password_update(self, rbridge_id=None, user=None, auth_password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type auth_password: unicode
    :param auth_password: Authorization password associated withusername

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.user', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, user=user, auth_password=auth_password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, user=user, auth_password=auth_password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_user_encrypted_update(self, rbridge_id=None, user=None, encrypted=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type encrypted: YANGBool
    :param encrypted: This flag is used to enter the auth/privpasswords as encrypted.(Default=disable)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.user', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, user=user, encrypted=encrypted)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, user=user, encrypted=encrypted)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_user_groupname_update(self, rbridge_id=None, user=None, groupname=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type groupname: unicode
    :param groupname: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.user', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, user=user, groupname=groupname)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, user=user, groupname=groupname)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_user_priv_update(self, rbridge_id=None, user=None, priv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type priv: unicode
    :param priv: Privacy protocol for username (Default=nopriv)

        * enumeration restriction: ::

            ['AES128', 'DES', 'nopriv']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.user', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, user=user, priv=priv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, user=user, priv=priv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_user_priv_password_update(self, rbridge_id=None, user=None, priv_password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type priv_password: unicode
    :param priv_password: Privacy password associated with username

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.user', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, user=user, priv_password=priv_password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, user=user, priv_password=priv_password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_v3host_update(self, rbridge_id=None, v3host=None, udp_port=None, notifytype=None, engineid=None, severity_level=None, use_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type udp_port: long
    :param udp_port: Port number used to send notifications.(Default=162)

        * range restriction: ::

            ['0..4294967295']

    :type notifytype: unicode
    :param notifytype: Type of notification sent to host.(Default=traps)

        * enumeration restriction: ::

            ['informs', 'traps']

    :type engineid: unicode
    :param engineid: Manager's (Remote) engine Id.

    :type severity_level: unicode
    :param severity_level: Severity level associated with traps

        * enumeration restriction: ::

            ['Info',
            'None',
            'Critical',
            'Warning',
            'Error',
            'Debug']

    :type use_vrf: unicode
    :param use_vrf: vrfname used to send notifications.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.snmp_server.v3host": {}, "pybind.nos.v7_1_0.rbridge_id.snmp_server.v3host": {}, "pybind.nos.v6_0_2c.rbridge_id.snmp_server.v3host": {"username": "username", "severity_level": "severity_level", "udp_port": "udp_port", "use_vrf": "use_vrf", "notifytype": "notifytype", "hostip": "hostip", "engineid": "engineid"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, v3host=v3host, udp_port=udp_port, notifytype=notifytype, engineid=engineid, severity_level=severity_level, use_vrf=use_vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, v3host=v3host, udp_port=udp_port, notifytype=notifytype, engineid=engineid, severity_level=severity_level, use_vrf=use_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_v3host_engineid_update(self, rbridge_id=None, v3host=None, engineid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type engineid: unicode
    :param engineid: Manager's (Remote) engine Id.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, v3host=v3host, engineid=engineid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, v3host=v3host, engineid=engineid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_v3host_notifytype_update(self, rbridge_id=None, v3host=None, notifytype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type notifytype: unicode
    :param notifytype: Type of notification sent to host.(Default=traps)

        * enumeration restriction: ::

            ['informs', 'traps']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, v3host=v3host, notifytype=notifytype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, v3host=v3host, notifytype=notifytype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_v3host_severity_level_update(self, rbridge_id=None, v3host=None, severity_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type severity_level: unicode
    :param severity_level: Severity level associated with traps

        * enumeration restriction: ::

            ['Info',
            'None',
            'Critical',
            'Warning',
            'Error',
            'Debug']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, v3host=v3host, severity_level=severity_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, v3host=v3host, severity_level=severity_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_v3host_udp_port_update(self, rbridge_id=None, v3host=None, udp_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type udp_port: long
    :param udp_port: Port number used to send notifications.(Default=162)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, v3host=v3host, udp_port=udp_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, v3host=v3host, udp_port=udp_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_v3host_use_vrf_update(self, rbridge_id=None, v3host=None, use_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type use_vrf: unicode
    :param use_vrf: vrfname used to send notifications.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, v3host=v3host, use_vrf=use_vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, v3host=v3host, use_vrf=use_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_spanning_tree_ieee_bpdu_update(self, rbridge_id=None, limit_vlan_flood=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type limit_vlan_flood: YANGBool
    :param limit_vlan_flood: Limits flooding of IEEE BPDU within same VLAN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, limit_vlan_flood=limit_vlan_flood)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, limit_vlan_flood=limit_vlan_flood)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_spanning_tree_ieee_bpdu_limit_vlan_flood_update(self, rbridge_id=None, limit_vlan_flood=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type limit_vlan_flood: YANGBool
    :param limit_vlan_flood: Limits flooding of IEEE BPDU within same VLAN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, limit_vlan_flood=limit_vlan_flood)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, limit_vlan_flood=limit_vlan_flood)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_client_update(self, rbridge_id=None, cipher=None, mac=None, key_exchange=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cipher: unicode
    :param cipher: Configure Cipher(s)

    :type mac: unicode
    :param mac: Configure MAC algorithm(s)

    :type key_exchange: unicode
    :param key_exchange: Configure Key-exchange algorithm

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.client', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.client', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.client', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, cipher=cipher, mac=mac, key_exchange=key_exchange)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, cipher=cipher, mac=mac, key_exchange=key_exchange)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_client_cipher_update(self, rbridge_id=None, cipher=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cipher: unicode
    :param cipher: Configure Cipher(s)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.client', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.client', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.client', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, cipher=cipher)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, cipher=cipher)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_client_key_exchange_update(self, rbridge_id=None, key_exchange=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_exchange: unicode
    :param key_exchange: Configure Key-exchange algorithm

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.client', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.client', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.client', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, key_exchange=key_exchange)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, key_exchange=key_exchange)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_client_mac_update(self, rbridge_id=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac: unicode
    :param mac: Configure MAC algorithm(s)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.client', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.client', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.client', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, mac=mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_update(self, rbridge_id=None, shutdown=None, key_exchange=None, rekey_interval=None, cipher=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown SSH Server

    :type key_exchange: unicode
    :param key_exchange: Configure Key Exchange algorithm(s))

    :type rekey_interval: long
    :param rekey_interval: Time interval for session rekeying

        * range restriction: ::

            ['0..4294967295']

    :type cipher: unicode
    :param cipher: Configure Cipher(s)

    :type mac: unicode
    :param mac: Configure MAC algorithm(s)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.ssh.server": {"mac": "mac", "cipher": "cipher", "key_exchange": "key_exchange", "rekey_interval": "rekey_interval", "shutdown": "shutdown"}, "pybind.nos.v7_0_1b.rbridge_id.ssh.server": {"mac": "mac", "cipher": "cipher", "key_exchange": "key_exchange", "rekey_interval": "rekey_interval", "shutdown": "shutdown"}, "pybind.nos.v7_1_0.rbridge_id.ssh.server": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, shutdown=shutdown, key_exchange=key_exchange, rekey_interval=rekey_interval, cipher=cipher, mac=mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, shutdown=shutdown, key_exchange=key_exchange, rekey_interval=rekey_interval, cipher=cipher, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_cipher_update(self, rbridge_id=None, cipher=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cipher: unicode
    :param cipher: Configure Cipher(s)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, cipher=cipher)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, cipher=cipher)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_key_update(self, rbridge_id=None, rsa=None, ecdsa=None, dsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rsa: unicode
    :param rsa: RSA Algorithm type

        * enumeration restriction: ::

            ['1024', '2048']

    :type ecdsa: unicode
    :param ecdsa: ECDSA Algorithm type

        * enumeration restriction: ::

            ['256']

    :type dsa: YANGBool
    :param dsa: DSA Algorithm type

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server.key', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server.key', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rsa=rsa, ecdsa=ecdsa, dsa=dsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rsa=rsa, ecdsa=ecdsa, dsa=dsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_key_dsa_update(self, rbridge_id=None, dsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dsa: YANGBool
    :param dsa: DSA Algorithm type

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server.key', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server.key', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, dsa=dsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, dsa=dsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_key_ecdsa_update(self, rbridge_id=None, ecdsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ecdsa: unicode
    :param ecdsa: ECDSA Algorithm type

        * enumeration restriction: ::

            ['256']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server.key', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server.key', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, ecdsa=ecdsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ecdsa=ecdsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_key_exchange_update(self, rbridge_id=None, key_exchange=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type key_exchange: unicode
    :param key_exchange: Configure Key Exchange algorithm(s))

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, key_exchange=key_exchange)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, key_exchange=key_exchange)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_key_rsa_update(self, rbridge_id=None, rsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rsa: unicode
    :param rsa: RSA Algorithm type

        * enumeration restriction: ::

            ['1024', '2048']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server.key', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server.key', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rsa=rsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rsa=rsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_mac_update(self, rbridge_id=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac: unicode
    :param mac: Configure MAC algorithm(s)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, mac=mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_max_sessions_update(self, rbridge_id=None, max_sessions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_sessions: long
    :param max_sessions: Max number of multiplexed sessions permitted per network connection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.ssh.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, max_sessions=max_sessions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, max_sessions=max_sessions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_rekey_interval_update(self, rbridge_id=None, rekey_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rekey_interval: long
    :param rekey_interval: Time interval for session rekeying

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, rekey_interval=rekey_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rekey_interval=rekey_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_shutdown_update(self, rbridge_id=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown SSH Server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_standby_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable standby SSH

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server.standby', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server.standby', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.standby', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_standby_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable standby SSH

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server.standby', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server.standby', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.standby', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_use_vrf_update(self, rbridge_id=None, use_vrf=None, ssh_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name, ssh_vrf_shutdown
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0 .. max']

    :type ssh_vrf_shutdown: YANGBool
    :param ssh_vrf_shutdown: **use_vrf** tuple argument:  Shutdown SSH server on given vrf

    **Instance Argument(s)**:

    :type ssh_vrf_shutdown: YANGBool
    :param ssh_vrf_shutdown: Shutdown SSH server on given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, use_vrf=use_vrf, ssh_vrf_shutdown=ssh_vrf_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, use_vrf=use_vrf, ssh_vrf_shutdown=ssh_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_use_vrf_shutdown_update(self, rbridge_id=None, use_vrf=None, ssh_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0 .. max']

    **Instance Argument(s)**:

    :type ssh_vrf_shutdown: YANGBool
    :param ssh_vrf_shutdown: Shutdown SSH server on given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, use_vrf=use_vrf, ssh_vrf_shutdown=ssh_vrf_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, use_vrf=use_vrf, ssh_vrf_shutdown=ssh_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_swbd_number_update(self, rbridge_id=None, swbd_number=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type swbd_number: long
    :param swbd_number: Display Node SWBD Number

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, swbd_number=swbd_number)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, swbd_number=swbd_number)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_switch_attributes_update(self, rbridge_id=None, chassis_name=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type chassis_name: unicode
    :param chassis_name: Chassis name

        * length restriction: ::

            ['1..30']

    :type host_name: unicode
    :param host_name: Host name

        * length restriction: ::

            ['1..30']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.switch_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.switch_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.switch_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, chassis_name=chassis_name, host_name=host_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, chassis_name=chassis_name, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_switch_attributes_chassis_name_update(self, rbridge_id=None, chassis_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type chassis_name: unicode
    :param chassis_name: Chassis name

        * length restriction: ::

            ['1..30']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.switch_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.switch_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.switch_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, chassis_name=chassis_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, chassis_name=chassis_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_switch_attributes_host_name_update(self, rbridge_id=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type host_name: unicode
    :param host_name: Host name

        * length restriction: ::

            ['1..30']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.switch_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.switch_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.switch_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, host_name=host_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_max_update(self, rbridge_id=None, arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type arp: long
    :param arp: Maximum number of arps system will allocate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_max', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_max', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_max', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, arp=arp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, arp=arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_max_arp_update(self, rbridge_id=None, arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type arp: long
    :param arp: Maximum number of arps system will allocate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_max', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_max', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_max', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, arp=arp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, arp=arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_mode_update(self, rbridge_id=None, maintenance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type maintenance: YANGBool
    :param maintenance: Enable maintenance mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.system_mode', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_mode', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, maintenance=maintenance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, maintenance=maintenance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_mode_maintenance_update(self, rbridge_id=None, maintenance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type maintenance: YANGBool
    :param maintenance: Enable maintenance mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.system_mode', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_mode', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, maintenance=maintenance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, maintenance=maintenance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_cid_card_alert_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:CID-CARDthat may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type action: unicode
    :param action: Action that may be taken whencomponent:CID-CARD changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.cid_card.alert', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, state=state, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_cid_card_alert_action_update(self, rbridge_id=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Action that may be taken whencomponent:CID-CARD changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.cid_card.alert', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_cid_card_alert_state_update(self, rbridge_id=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:CID-CARDthat may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.cid_card.alert', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_cid_card_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINALstate of component:CID-CARD

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWNstate of component:CID-CARD

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.cid_card.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_cid_card_threshold_down_threshold_update(self, rbridge_id=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWNstate of component:CID-CARD

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.cid_card.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_cid_card_threshold_marginal_threshold_update(self, rbridge_id=None, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINALstate of component:CID-CARD

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.cid_card.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_compact_flash_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINALstate of component:COMPACT-FLASH

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWNstate of component:COMPACT-FLASH

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_compact_flash_threshold_down_threshold_update(self, rbridge_id=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWNstate of component:COMPACT-FLASH

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_compact_flash_threshold_marginal_threshold_update(self, rbridge_id=None, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINALstate of component:COMPACT-FLASH

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_fan_alert_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:FAN that may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type action: unicode
    :param action: Action that may be taken when component:FAN changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.fan.alert', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, state=state, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_fan_alert_action_update(self, rbridge_id=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Action that may be taken when component:FAN changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.fan.alert', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_fan_alert_state_update(self, rbridge_id=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:FAN that may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.fan.alert', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_fan_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:FAN

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:FAN

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.fan.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_fan_threshold_down_threshold_update(self, rbridge_id=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:FAN

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.fan.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_fan_threshold_marginal_threshold_update(self, rbridge_id=None, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:FAN

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.fan.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_linecard_alert_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:LINECARDthat may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type action: unicode
    :param action: Action that may be taken whencomponent:LINECARD changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.LineCard.alert', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, state=state, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_linecard_alert_action_update(self, rbridge_id=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Action that may be taken whencomponent:LINECARD changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.LineCard.alert', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_linecard_alert_state_update(self, rbridge_id=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:LINECARDthat may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.LineCard.alert', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_linecard_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:LineCard

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:LineCard

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.LineCard.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_linecard_threshold_down_threshold_update(self, rbridge_id=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:LineCard

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.LineCard.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_linecard_threshold_marginal_threshold_update(self, rbridge_id=None, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:LineCard

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.LineCard.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_mm_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:MM

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:MM

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.MM.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_mm_threshold_down_threshold_update(self, rbridge_id=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:MM

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.MM.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_mm_threshold_marginal_threshold_update(self, rbridge_id=None, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:MM

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.MM.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_power_alert_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:POWER-SUPPLY that may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type action: unicode
    :param action: Action that may be taken whencomponent:POWER SUPPLY changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.power.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.power.alert', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, state=state, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_power_alert_action_update(self, rbridge_id=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Action that may be taken whencomponent:POWER SUPPLY changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.power.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.power.alert', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_power_alert_state_update(self, rbridge_id=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:POWER-SUPPLY that may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.power.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.power.alert', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_power_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:POWER SUPPLY

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWN state of component:POWER SUPPLY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.power.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_power_threshold_down_threshold_update(self, rbridge_id=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWN state of component:POWER SUPPLY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.power.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_power_threshold_marginal_threshold_update(self, rbridge_id=None, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:POWER SUPPLY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.power.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_sfm_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:SFM

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:SFM

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.SFM.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_sfm_threshold_down_threshold_update(self, rbridge_id=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:SFM

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.SFM.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_sfm_threshold_marginal_threshold_update(self, rbridge_id=None, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:SFM

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.SFM.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_sfp_alert_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:SFP that may be monitored

        * enumeration restriction: ::

            ['none', 'removed', 'inserted', 'faulty', 'all']

    :type action: unicode
    :param action: Action that may be taken whencomponent:SFP changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, state=state, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_sfp_alert_action_update(self, rbridge_id=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Action that may be taken whencomponent:SFP changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_sfp_alert_state_update(self, rbridge_id=None, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:SFP that may be monitored

        * enumeration restriction: ::

            ['none', 'removed', 'inserted', 'faulty', 'all']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_temp_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:TEMPERATURE SENSOR

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWNstate of component:TEMPERATURE SENSOR

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.temp.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_temp_threshold_down_threshold_update(self, rbridge_id=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWNstate of component:TEMPERATURE SENSOR

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.temp.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_temp_threshold_marginal_threshold_update(self, rbridge_id=None, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:TEMPERATURE SENSOR

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.system_monitor.temp.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_telnet_server_update(self, rbridge_id=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown Telnet Server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.telnet.server', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.telnet.server', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_telnet_server_shutdown_update(self, rbridge_id=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown Telnet Server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.telnet.server', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.telnet.server', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_telnet_server_standby_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Standby Telnet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.telnet.server.standby', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.telnet.server.standby', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.standby', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_telnet_server_standby_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Standby Telnet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.telnet.server.standby', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.telnet.server.standby', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.standby', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_telnet_server_use_vrf_update(self, rbridge_id=None, use_vrf=None, telnet_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name, telnet_vrf_shutdown
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0 .. max']

    :type telnet_vrf_shutdown: YANGBool
    :param telnet_vrf_shutdown: **use_vrf** tuple argument:  Shutdown telnet server on given vrf

    **Instance Argument(s)**:

    :type telnet_vrf_shutdown: YANGBool
    :param telnet_vrf_shutdown: Shutdown telnet server on given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, use_vrf=use_vrf, telnet_vrf_shutdown=telnet_vrf_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, use_vrf=use_vrf, telnet_vrf_shutdown=telnet_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_telnet_server_use_vrf_shutdown_update(self, rbridge_id=None, use_vrf=None, telnet_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0 .. max']

    **Instance Argument(s)**:

    :type telnet_vrf_shutdown: YANGBool
    :param telnet_vrf_shutdown: Shutdown telnet server on given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, use_vrf=use_vrf, telnet_vrf_shutdown=telnet_vrf_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, use_vrf=use_vrf, telnet_vrf_shutdown=telnet_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_buffer_update(self, rbridge_id=None, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type poll: long
    :param poll: NUMBER:10-3600 Polling interval

        * range restriction: ::

            ['0..4294967295']

    :type retry: long
    :param retry: NUMBER:1-100 Number of retries

        * range restriction: ::

            ['0..4294967295']

    :type limit: long
    :param limit: PERCENT:0-80 Percent threshold usage for component:Buffer

        * range restriction: ::

            ['0..4294967295']

    :type actions: unicode
    :param actions: Action to be taken when usage exceeds limit

        * enumeration restriction: ::

            ['loginfo', 'none', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, actions'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_buffer_actions_update(self, rbridge_id=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type actions: unicode
    :param actions: Action to be taken when usage exceeds limit

        * enumeration restriction: ::

            ['loginfo', 'none', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_buffer_limit_update(self, rbridge_id=None, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type limit: long
    :param limit: PERCENT:0-80 Percent threshold usage for component:Buffer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, limit=limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_buffer_poll_update(self, rbridge_id=None, poll=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type poll: long
    :param poll: NUMBER:10-3600 Polling interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, poll=poll)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, poll=poll)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_buffer_retry_update(self, rbridge_id=None, retry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retry: long
    :param retry: NUMBER:1-100 Number of retries

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, retry=retry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, retry=retry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_cpu_update(self, rbridge_id=None, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type poll: long
    :param poll: NUMBER:10-3600 Polling interval

        * range restriction: ::

            ['0..4294967295']

    :type retry: long
    :param retry: NUMBER:1-100 Number of retries

        * range restriction: ::

            ['0..4294967295']

    :type limit: long
    :param limit: PERCENT:0-80 Percent threshold usage for component:CPU

        * range restriction: ::

            ['0..4294967295']

    :type actions: unicode
    :param actions: Action to be taken when usage exceeds limit

        * enumeration restriction: ::

            ['none', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, actions'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_cpu_actions_update(self, rbridge_id=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type actions: unicode
    :param actions: Action to be taken when usage exceeds limit

        * enumeration restriction: ::

            ['none', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_cpu_limit_update(self, rbridge_id=None, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type limit: long
    :param limit: PERCENT:0-80 Percent threshold usage for component:CPU

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, limit=limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_cpu_poll_update(self, rbridge_id=None, poll=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type poll: long
    :param poll: NUMBER:10-3600 Polling interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, poll=poll)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, poll=poll)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_cpu_retry_update(self, rbridge_id=None, retry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retry: long
    :param retry: NUMBER:1-100 Number of retries

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, retry=retry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, retry=retry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type apply: unicode
    :param apply: Apply configuration

    :type pause: YANGBool
    :param pause: Pause monitoring

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, apply=apply, pause=pause)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_apply_update(self, rbridge_id=None, apply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type apply: unicode
    :param apply: Apply configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, apply=apply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, apply=apply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_pause_update(self, rbridge_id=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pause: YANGBool
    :param pause: Pause monitoring

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, pause=pause)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_area_alert_above_update(self, rbridge_id=None, policy=None, area=None, above_highthresh_action=None, above_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type above_highthresh_action: unicode
    :param above_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['raslog', 'none', 'all', 'fence', 'email']

    :type above_lowthresh_action: unicode
    :param above_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action, above_lowthresh_action=above_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action, above_lowthresh_action=above_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_area_alert_above_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type above_highthresh_action: unicode
    :param above_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['raslog', 'none', 'all', 'fence', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_area_alert_above_lowthresh_action_update(self, rbridge_id=None, policy=None, area=None, above_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type above_lowthresh_action: unicode
    :param above_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, above_lowthresh_action=above_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, above_lowthresh_action=above_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_area_alert_below_update(self, rbridge_id=None, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type below_highthresh_action: unicode
    :param below_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type below_lowthresh_action: unicode
    :param below_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_area_alert_below_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, below_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type below_highthresh_action: unicode
    :param below_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_area_alert_below_lowthresh_action_update(self, rbridge_id=None, policy=None, area=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type below_lowthresh_action: unicode
    :param below_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, below_lowthresh_action=below_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_area_threshold_update(self, rbridge_id=None, policy=None, area=None, timebase_value=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type timebase_value: unicode
    :param timebase_value: Configure timebase for monitoring

        * enumeration restriction: ::

            ['none', 'minute', 'hour', 'day']

    :type high_threshold: long
    :param high_threshold: High threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type low_threshold: long
    :param low_threshold: Low threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type buffer: long
    :param buffer: Buffer threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'timebase_value, high_threshold, low_threshold, buffer'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, timebase_value=timebase_value, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, timebase_value=timebase_value, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_area_threshold_buffer_update(self, rbridge_id=None, policy=None, area=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type buffer: long
    :param buffer: Buffer threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, buffer=buffer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_area_threshold_high_threshold_update(self, rbridge_id=None, policy=None, area=None, high_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type high_threshold: long
    :param high_threshold: High threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, high_threshold=high_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, high_threshold=high_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_area_threshold_low_threshold_update(self, rbridge_id=None, policy=None, area=None, low_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type low_threshold: long
    :param low_threshold: Low threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, low_threshold=low_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, low_threshold=low_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_area_threshold_timebase_update(self, rbridge_id=None, policy=None, area=None, timebase_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type timebase_value: unicode
    :param timebase_value: Configure timebase for monitoring

        * enumeration restriction: ::

            ['none', 'minute', 'hour', 'day']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, timebase_value=timebase_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, timebase_value=timebase_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_memory_update(self, rbridge_id=None, poll=None, retry=None, limit=None, high_limit=None, low_limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type poll: long
    :param poll: Polling interval

        * range restriction: ::

            ['0..4294967295']

    :type retry: long
    :param retry: NUMBER:0-100: Number of retries for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type limit: long
    :param limit: PERCENT:0-80 : Percent threshold usage for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type high_limit: long
    :param high_limit: PERCENT:0-80 : Percent high threshold usage for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type low_limit: long
    :param low_limit: PERCENT:0-80 : Percent low threshold usage for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type actions: unicode
    :param actions: Action to be taken when usage exceeds limit

        * enumeration restriction: ::

            ['none', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, high_limit, low_limit, actions'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, high_limit=high_limit, low_limit=low_limit, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, high_limit=high_limit, low_limit=low_limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_memory_actions_update(self, rbridge_id=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type actions: unicode
    :param actions: Action to be taken when usage exceeds limit

        * enumeration restriction: ::

            ['none', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_memory_high_limit_update(self, rbridge_id=None, high_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type high_limit: long
    :param high_limit: PERCENT:0-80 : Percent high threshold usage for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, high_limit=high_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, high_limit=high_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_memory_limit_update(self, rbridge_id=None, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type limit: long
    :param limit: PERCENT:0-80 : Percent threshold usage for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, limit=limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_memory_low_limit_update(self, rbridge_id=None, low_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type low_limit: long
    :param low_limit: PERCENT:0-80 : Percent low threshold usage for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, low_limit=low_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, low_limit=low_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_memory_poll_update(self, rbridge_id=None, poll=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type poll: long
    :param poll: Polling interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, poll=poll)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, poll=poll)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_memory_retry_update(self, rbridge_id=None, retry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type retry: long
    :param retry: NUMBER:0-100: Number of retries for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, retry=retry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, retry=retry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type apply: unicode
    :param apply: Apply configuration

    :type pause: YANGBool
    :param pause: Pause monitoring

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, apply=apply, pause=pause)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_apply_update(self, rbridge_id=None, apply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type apply: unicode
    :param apply: Apply configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, apply=apply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, apply=apply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_pause_update(self, rbridge_id=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pause: YANGBool
    :param pause: Pause monitoring

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, pause=pause)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_area_update(self, rbridge_id=None, policy=None, area=None, timebase=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type timebase: unicode
    :param timebase: Configure timebase for monitoring

        * enumeration restriction: ::

            ['none', 'minute', 'hour', 'day']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy', u'policy')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, timebase=timebase)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, timebase=timebase)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_area_alert_above_update(self, rbridge_id=None, policy=None, area=None, sec_above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_above_highthresh_action: unicode
    :param sec_above_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_area_alert_above_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, sec_above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_above_highthresh_action: unicode
    :param sec_above_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_area_alert_below_update(self, rbridge_id=None, policy=None, area=None, sec_below_highthresh_action=None, sec_below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_below_highthresh_action: unicode
    :param sec_below_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type sec_below_lowthresh_action: unicode
    :param sec_below_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action, sec_below_lowthresh_action=sec_below_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action, sec_below_lowthresh_action=sec_below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_area_alert_below_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, sec_below_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_below_highthresh_action: unicode
    :param sec_below_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_area_alert_below_lowthresh_action_update(self, rbridge_id=None, policy=None, area=None, sec_below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_below_lowthresh_action: unicode
    :param sec_below_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_below_lowthresh_action=sec_below_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_below_lowthresh_action=sec_below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_area_threshold_update(self, rbridge_id=None, policy=None, area=None, sec_high_threshold=None, sec_low_threshold=None, sec_buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_high_threshold: long
    :param sec_high_threshold: High threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type sec_low_threshold: long
    :param sec_low_threshold: Low threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type sec_buffer: long
    :param sec_buffer: Buffer threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'sec_high_threshold, sec_low_threshold, sec_buffer'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_high_threshold=sec_high_threshold, sec_low_threshold=sec_low_threshold, sec_buffer=sec_buffer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_high_threshold=sec_high_threshold, sec_low_threshold=sec_low_threshold, sec_buffer=sec_buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_area_threshold_buffer_update(self, rbridge_id=None, policy=None, area=None, sec_buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_buffer: long
    :param sec_buffer: Buffer threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_buffer=sec_buffer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_buffer=sec_buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_area_threshold_high_threshold_update(self, rbridge_id=None, policy=None, area=None, sec_high_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_high_threshold: long
    :param sec_high_threshold: High threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_high_threshold=sec_high_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_high_threshold=sec_high_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_area_threshold_low_threshold_update(self, rbridge_id=None, policy=None, area=None, sec_low_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_low_threshold: long
    :param sec_low_threshold: Low threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_low_threshold=sec_low_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, sec_low_threshold=sec_low_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_area_timebase_update(self, rbridge_id=None, policy=None, area=None, timebase=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type timebase: unicode
    :param timebase: Configure timebase for monitoring

        * enumeration restriction: ::

            ['none', 'minute', 'hour', 'day']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy', u'policy')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.security.policy.area', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, timebase=timebase)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, timebase=timebase)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type apply: unicode
    :param apply: Apply configuration

    :type pause: YANGBool
    :param pause: Pause monitoring

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, apply=apply, pause=pause)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_apply_update(self, rbridge_id=None, apply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type apply: unicode
    :param apply: Apply configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, apply=apply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, apply=apply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_pause_update(self, rbridge_id=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pause: YANGBool
    :param pause: Pause monitoring

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, pause=pause)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_area_alert_above_update(self, rbridge_id=None, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type above_highthresh_action: unicode
    :param above_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_area_alert_above_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type above_highthresh_action: unicode
    :param above_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_area_alert_below_update(self, rbridge_id=None, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type below_highthresh_action: unicode
    :param below_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type below_lowthresh_action: unicode
    :param below_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_area_alert_below_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, below_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type below_highthresh_action: unicode
    :param below_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_area_alert_below_lowthresh_action_update(self, rbridge_id=None, policy=None, area=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type below_lowthresh_action: unicode
    :param below_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, below_lowthresh_action=below_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_area_threshold_update(self, rbridge_id=None, policy=None, area=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type high_threshold: long
    :param high_threshold: High threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type low_threshold: long
    :param low_threshold: Low threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type buffer: long
    :param buffer: Buffer threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'high_threshold, low_threshold, buffer'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_area_threshold_buffer_update(self, rbridge_id=None, policy=None, area=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type buffer: long
    :param buffer: Buffer threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, buffer=buffer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_area_threshold_high_threshold_update(self, rbridge_id=None, policy=None, area=None, high_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type high_threshold: long
    :param high_threshold: High threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, high_threshold=high_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, high_threshold=high_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_area_threshold_low_threshold_update(self, rbridge_id=None, policy=None, area=None, low_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type low_threshold: long
    :param low_threshold: Low threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, policy=policy, area=area, low_threshold=low_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, low_threshold=low_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vcs_auto_shut_update(self, rbridge_id=None, lag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lag: YANGBool
    :param lag: Enable auto-shut of lag in case of fabric segmentation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vcs.auto_shut', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vcs.auto_shut', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vcs.auto_shut', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.vcs.auto_shut', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.vcs.auto_shut', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, lag=lag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, lag=lag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vcs_auto_shut_lag_update(self, rbridge_id=None, lag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lag: YANGBool
    :param lag: Enable auto-shut of lag in case of fabric segmentation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v17r_1_00a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vcs.auto_shut', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vcs.auto_shut', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vcs.auto_shut', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.vcs.auto_shut', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rbridge_id.vcs.auto_shut', 'pybind.slxos.v17r_1_00a.brocade_rbridge', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, lag=lag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, lag=lag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_update(self, rbridge_id=None, vrf=None, route_distiniguisher=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type route_distiniguisher: unicode
    :param route_distiniguisher: Configure Route Distinguisher

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.vrf": {}, "pybind.nos.v6_0_2c.rbridge_id.vrf": {"vrf_name": "vrf_name", "route_distiniguisher": "route_distiniguisher"}, "pybind.nos.v7_1_0.rbridge_id.vrf": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, route_distiniguisher=route_distiniguisher)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, route_distiniguisher=route_distiniguisher)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_arp_update(self, rbridge_id=None, vrf=None, arp_entry=None, mac_address_value=None, interfacename=None, GigabitEthernet=None, TenGigabitEthernet=None, FortyGigabitEthernet=None, HundredGigabitEthernet=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mac_address_value: unicode
    :param mac_address_value: **arp_entry** tuple argument.

    :type interfacename: unicode
    :param interfacename: **arp_entry** tuple argument.

        * enumeration restriction: ::

            ['interface']

    :type GigabitEthernet: unicode
    :param GigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: **arp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac_address_value: unicode
    :param mac_address_value: Keyword argument.

    :type interfacename: unicode
    :param interfacename: Keyword argument.

        * enumeration restriction: ::

            ['interface']

    :type GigabitEthernet: unicode
    :param GigabitEthernet: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.arp_entry": {"mac_address_value": "mac_address_value", "interfacename": "interfacename", "FortyGigabitEthernet": "FortyGigabitEthernet", "GigabitEthernet": "GigabitEthernet", "TenGigabitEthernet": "TenGigabitEthernet", "arp_ip_address": "arp_ip_address", "HundredGigabitEthernet": "HundredGigabitEthernet", "Ve": "Ve"}, "pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.arp_entry": {}, "pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.arp_entry': [u'FortyGigabitEthernet', u'GigabitEthernet', u'TenGigabitEthernet', u'HundredGigabitEthernet', u'Ve'], 'pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.arp_entry': [u'Port_channel', u'Ve', u'FortyGigabitEthernet', u'GigabitEthernet', u'TenGigabitEthernet', u'HundredGigabitEthernet'], 'pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry': [u'Port_channel', u'Ve', u'FortyGigabitEthernet', u'GigabitEthernet', u'TenGigabitEthernet', u'HundredGigabitEthernet']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, GigabitEthernet=GigabitEthernet, TenGigabitEthernet=TenGigabitEthernet, FortyGigabitEthernet=FortyGigabitEthernet, HundredGigabitEthernet=HundredGigabitEthernet, Ve=Ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, GigabitEthernet=GigabitEthernet, TenGigabitEthernet=TenGigabitEthernet, FortyGigabitEthernet=FortyGigabitEthernet, HundredGigabitEthernet=HundredGigabitEthernet, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_arp_fortygigabitethernet_update(self, rbridge_id=None, vrf=None, arp_entry=None, FortyGigabitEthernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, FortyGigabitEthernet=FortyGigabitEthernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, FortyGigabitEthernet=FortyGigabitEthernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_arp_gigabitethernet_update(self, rbridge_id=None, vrf=None, arp_entry=None, GigabitEthernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type GigabitEthernet: unicode
    :param GigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, GigabitEthernet=GigabitEthernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, GigabitEthernet=GigabitEthernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_arp_hundredgigabitethernet_update(self, rbridge_id=None, vrf=None, arp_entry=None, HundredGigabitEthernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, HundredGigabitEthernet=HundredGigabitEthernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, HundredGigabitEthernet=HundredGigabitEthernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_arp_interfacename_update(self, rbridge_id=None, vrf=None, arp_entry=None, interfacename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interfacename: unicode
    :param interfacename: Keyword argument.

        * enumeration restriction: ::

            ['interface']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, interfacename=interfacename)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, interfacename=interfacename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_arp_mac_address_value_update(self, rbridge_id=None, vrf=None, arp_entry=None, mac_address_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mac_address_value: unicode
    :param mac_address_value: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, mac_address_value=mac_address_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, mac_address_value=mac_address_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_arp_port_channel_update(self, rbridge_id=None, vrf=None, arp_entry=None, Port_channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type Port_channel: long
    :param Port_channel: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, Port_channel=Port_channel)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, Port_channel=Port_channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_arp_tengigabitethernet_update(self, rbridge_id=None, vrf=None, arp_entry=None, TenGigabitEthernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, TenGigabitEthernet=TenGigabitEthernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, TenGigabitEthernet=TenGigabitEthernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_arp_ve_update(self, rbridge_id=None, vrf=None, arp_entry=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type Ve: long
    :param Ve: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, Ve=Ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_export_update(self, rbridge_id=None, vrf=None, map_export=None, evpn_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_export: unicode
    :param map_export: Route-map filter to be applied on export route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type evpn_export: YANGBool
    :param evpn_export: Filter routes from EVPN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_export, evpn_export'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export, evpn_export=evpn_export)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export, evpn_export=evpn_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_export_evpn_update(self, rbridge_id=None, vrf=None, evpn_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type evpn_export: YANGBool
    :param evpn_export: Filter routes from EVPN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, evpn_export=evpn_export)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, evpn_export=evpn_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_export_map_update(self, rbridge_id=None, vrf=None, map_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_export: unicode
    :param map_export: Route-map filter to be applied on export route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_import_update(self, rbridge_id=None, vrf=None, map_import=None, evpn_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_import: unicode
    :param map_import: Route-map filter to be applied on import route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type evpn_import: YANGBool
    :param evpn_import: Filter routes from EVPN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_import, evpn_import'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import, evpn_import=evpn_import)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import, evpn_import=evpn_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_import_evpn_update(self, rbridge_id=None, vrf=None, evpn_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type evpn_import: YANGBool
    :param evpn_import: Filter routes from EVPN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, evpn_import=evpn_import)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, evpn_import=evpn_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_import_map_update(self, rbridge_id=None, vrf=None, map_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_import: unicode
    :param map_import: Route-map filter to be applied on import route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_bfd_bfd_static_route_interval_update(self, rbridge_id=None, vrf=None, bfd_static_route=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interval: int
    :param interval: Transmit interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, bfd_static_route=bfd_static_route, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, bfd_static_route=bfd_static_route, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_bfd_bfd_static_route_min_rx_update(self, rbridge_id=None, vrf=None, bfd_static_route=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_rx: int
    :param min_rx: Receive interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, bfd_static_route=bfd_static_route, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, bfd_static_route=bfd_static_route, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_bfd_bfd_static_route_multiplier_update(self, rbridge_id=None, vrf=None, bfd_static_route=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type multiplier: int
    :param multiplier: Multiplier value

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, bfd_static_route=bfd_static_route, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, bfd_static_route=bfd_static_route, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_route_nh_distance_update(self, rbridge_id=None, vrf=None, static_route_nh=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_route_nh_metric_update(self, rbridge_id=None, vrf=None, static_route_nh=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_route_nh_tag_update(self, rbridge_id=None, vrf=None, static_route_nh=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_route_oif_distance_update(self, rbridge_id=None, vrf=None, static_route_oif=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_route_oif_metric_update(self, rbridge_id=None, vrf=None, static_route_oif=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_route_oif_tag_update(self, rbridge_id=None, vrf=None, static_route_oif=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_max_route_update(self, rbridge_id=None, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type max_route: long
    :param max_route: Maximum number of routes allowed in this routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_route_target_update(self, rbridge_id=None, vrf=None, route_target=None, evpn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type route_target: action, target_community
    :param route_target: Keyword argument tuple.

    :type action: unicode
    :param action: **route_target** tuple argument.

        * enumeration restriction: ::

            ['import', 'export', 'both']

    :type target_community: unicode
    :param target_community: **route_target** tuple argument:  ASN:nn;; Target VPN Extended Community

    **Instance Argument(s)**:

    :type evpn: YANGBool
    :param evpn: EVPN Route target

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_route_target_evpn_update(self, rbridge_id=None, vrf=None, route_target=None, evpn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type route_target: action, target_community
    :param route_target: Keyword argument tuple.

    :type action: unicode
    :param action: **route_target** tuple argument.

        * enumeration restriction: ::

            ['import', 'export', 'both']

    :type target_community: unicode
    :param target_community: **route_target** tuple argument:  ASN:nn;; Target VPN Extended Community

    **Instance Argument(s)**:

    :type evpn: YANGBool
    :param evpn: EVPN Route target

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_export_update(self, rbridge_id=None, vrf=None, map_export=None, evpn_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_export: unicode
    :param map_export: Route-map filter to be applied on export route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type evpn_export: YANGBool
    :param evpn_export: Filter routes from EVPN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_export, evpn_export'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export, evpn_export=evpn_export)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export, evpn_export=evpn_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_export_evpn_update(self, rbridge_id=None, vrf=None, evpn_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type evpn_export: YANGBool
    :param evpn_export: Filter routes from EVPN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, evpn_export=evpn_export)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, evpn_export=evpn_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_export_map_update(self, rbridge_id=None, vrf=None, map_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_export: unicode
    :param map_export: Route-map filter to be applied on export route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_import_update(self, rbridge_id=None, vrf=None, map_import=None, evpn_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_import: unicode
    :param map_import: Route-map filter to be applied on import route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type evpn_import: YANGBool
    :param evpn_import: Filter routes from EVPN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_import, evpn_import'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import, evpn_import=evpn_import)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import, evpn_import=evpn_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_import_evpn_update(self, rbridge_id=None, vrf=None, evpn_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type evpn_import: YANGBool
    :param evpn_import: Filter routes from EVPN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, evpn_import=evpn_import)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, evpn_import=evpn_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_import_map_update(self, rbridge_id=None, vrf=None, map_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_import: unicode
    :param map_import: Route-map filter to be applied on import route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_link_local_static_route_nh_distance_update(self, rbridge_id=None, vrf=None, link_local_static_route_nh=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['management',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_link_local_static_route_nh_metric_update(self, rbridge_id=None, vrf=None, link_local_static_route_nh=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['management',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_link_local_static_route_nh_tag_update(self, rbridge_id=None, vrf=None, link_local_static_route_nh=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['management',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_interval_update(self, rbridge_id=None, vrf=None, bfd_ipv6_link_local_static_route=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type interval: int
    :param interval: Transmit interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_min_rx_update(self, rbridge_id=None, vrf=None, bfd_ipv6_link_local_static_route=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type min_rx: int
    :param min_rx: Receive interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_multiplier_update(self, rbridge_id=None, vrf=None, bfd_ipv6_link_local_static_route=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type multiplier: int
    :param multiplier: Multiplier value

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_static_route_interval_update(self, rbridge_id=None, vrf=None, bfd_ipv6_static_route=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interval: int
    :param interval: Transmit interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_static_route_min_rx_update(self, rbridge_id=None, vrf=None, bfd_ipv6_static_route=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_rx: int
    :param min_rx: Receive interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_static_route_multiplier_update(self, rbridge_id=None, vrf=None, bfd_ipv6_static_route=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type multiplier: int
    :param multiplier: Multiplier value

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_route_nh_distance_update(self, rbridge_id=None, vrf=None, static_route_nh=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_route_nh_metric_update(self, rbridge_id=None, vrf=None, static_route_nh=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_route_nh_tag_update(self, rbridge_id=None, vrf=None, static_route_nh=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_route_oif_distance_update(self, rbridge_id=None, vrf=None, static_route_oif=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_route_oif_metric_update(self, rbridge_id=None, vrf=None, static_route_oif=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_route_oif_tag_update(self, rbridge_id=None, vrf=None, static_route_oif=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_max_route_update(self, rbridge_id=None, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type max_route: long
    :param max_route: Maximum number of routes allowed in this routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_route_target_update(self, rbridge_id=None, vrf=None, route_target=None, evpn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type route_target: action, target_community
    :param route_target: Keyword argument tuple.

    :type action: unicode
    :param action: **route_target** tuple argument.

        * enumeration restriction: ::

            ['import', 'export', 'both']

    :type target_community: unicode
    :param target_community: **route_target** tuple argument:  ASN:nn;; Target VPN Extended Community

    **Instance Argument(s)**:

    :type evpn: YANGBool
    :param evpn: EVPN Route target

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_route_target_evpn_update(self, rbridge_id=None, vrf=None, route_target=None, evpn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type route_target: action, target_community
    :param route_target: Keyword argument tuple.

    :type action: unicode
    :param action: **route_target** tuple argument.

        * enumeration restriction: ::

            ['import', 'export', 'both']

    :type target_community: unicode
    :param target_community: **route_target** tuple argument:  ASN:nn;; Target VPN Extended Community

    **Instance Argument(s)**:

    :type evpn: YANGBool
    :param evpn: EVPN Route target

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_ip_update(self, rbridge_id=None, vrf=None, vrf_router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type vrf_router_id: unicode
    :param vrf_router_id: Change the router ID already in use

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.ip', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.ip', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, vrf_router_id=vrf_router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, vrf_router_id=vrf_router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_ip_router_id_update(self, rbridge_id=None, vrf=None, vrf_router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type vrf_router_id: unicode
    :param vrf_router_id: Change the router ID already in use

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.ip', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.ip', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, vrf_router_id=vrf_router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, vrf_router_id=vrf_router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_rd_update(self, rbridge_id=None, vrf=None, route_distiniguisher=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type route_distiniguisher: unicode
    :param route_distiniguisher: Configure Route Distinguisher

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, route_distiniguisher=route_distiniguisher)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, route_distiniguisher=route_distiniguisher)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_vni_update(self, rbridge_id=None, vrf=None, vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type vni: long
    :param vni: Configure Layer 3 VNI for VXLAN routing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrf=vrf, vni=vni)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, vni=vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrrp_update(self, rbridge_id=None, early_startup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type early_startup: YANGBool
    :param early_startup: Specific use only - launch VRRP daemon earlier than default settings.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrrp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrrp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, early_startup=early_startup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, early_startup=early_startup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrrp_acceptmode_disable_update(self, rbridge_id=None, vrrp_acceptmode_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp_acceptmode_disable: YANGBool
    :param vrrp_acceptmode_disable: Disable accept mode  for the non owner vrrp vip

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrrp_rbridge_global', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrrp_rbridge_global', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrrp_rbridge_global', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrrp_acceptmode_disable=vrrp_acceptmode_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrrp_acceptmode_disable=vrrp_acceptmode_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrrp_early_startup_update(self, rbridge_id=None, early_startup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type early_startup: YANGBool
    :param early_startup: Specific use only - launch VRRP daemon earlier than default settings.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrrp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrrp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, early_startup=early_startup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, early_startup=early_startup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrrp_rbridge_global_update(self, rbridge_id=None, vrrp_acceptmode_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vrrp_acceptmode_disable: YANGBool
    :param vrrp_acceptmode_disable: Disable accept mode  for the non owner vrrp vip

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrrp_rbridge_global', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrrp_rbridge_global', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrrp_rbridge_global', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, vrrp_acceptmode_disable=vrrp_acceptmode_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrrp_acceptmode_disable=vrrp_acceptmode_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def reserved_vlan_update(self, reserved_vlan_start=None, reserved_vlan_end=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type reserved_vlan_start: long
    :param reserved_vlan_start: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type reserved_vlan_end: long
    :param reserved_vlan_end: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.reserved_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.reserved_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.reserved_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'reserved_vlan_start, reserved_vlan_end'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, reserved_vlan_start=reserved_vlan_start, reserved_vlan_end=reserved_vlan_end)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, reserved_vlan_start=reserved_vlan_start, reserved_vlan_end=reserved_vlan_end)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def reserved_vlan_reserved_vlan_end_update(self, reserved_vlan_end=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type reserved_vlan_end: long
    :param reserved_vlan_end: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.reserved_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.reserved_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.reserved_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, reserved_vlan_end=reserved_vlan_end)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, reserved_vlan_end=reserved_vlan_end)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def reserved_vlan_reserved_vlan_start_update(self, reserved_vlan_start=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type reserved_vlan_start: long
    :param reserved_vlan_start: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.reserved_vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.reserved_vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.reserved_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, reserved_vlan_start=reserved_vlan_start)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, reserved_vlan_start=reserved_vlan_start)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_alarm_update(self, alarm_entry=None, snmp_oid=None, alarm_interval=None, alarm_sample=None, alarm_rising_threshold=None, alarm_rising_event_index=None, alarm_falling_threshold=None, alarm_falling_event_index=None, alarm_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type alarm_entry: alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner
    :param alarm_entry: Keyword argument tuple.

    :type alarm_index: long
    :param alarm_index: **alarm_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type snmp_oid: unicode
    :param snmp_oid: **alarm_entry** tuple argument.

        * length restriction: ::

            ['min .. 35']

    :type alarm_interval: long
    :param alarm_interval: **alarm_entry** tuple argument:  Alarm sample interval

        * range restriction: ::

            ['0..4294967295']

    :type alarm_sample: unicode
    :param alarm_sample: **alarm_entry** tuple argument.

        * enumeration restriction: ::

            ['absolute', 'delta']

    :type alarm_rising_threshold: long
    :param alarm_rising_threshold: **alarm_entry** tuple argument:  Alarm rising threshold

        * range restriction: ::

            ['0..4294967295']

    :type alarm_rising_event_index: long
    :param alarm_rising_event_index: **alarm_entry** tuple argument:  Event for rising alarm

        * range restriction: ::

            ['-2147483648..2147483647']

    :type alarm_falling_threshold: long
    :param alarm_falling_threshold: **alarm_entry** tuple argument:  Alarm falling threshold

        * range restriction: ::

            ['0..4294967295']

    :type alarm_falling_event_index: long
    :param alarm_falling_event_index: **alarm_entry** tuple argument:  Event for falling alarm

        * range restriction: ::

            ['-2147483648..2147483647']

    :type alarm_owner: unicode
    :param alarm_owner: **alarm_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type snmp_oid: unicode
    :param snmp_oid: Keyword argument.

        * length restriction: ::

            ['min .. 35']

    :type alarm_interval: long
    :param alarm_interval: Alarm sample interval

        * range restriction: ::

            ['0..4294967295']

    :type alarm_sample: unicode
    :param alarm_sample: Keyword argument.

        * enumeration restriction: ::

            ['absolute', 'delta']

    :type alarm_rising_threshold: long
    :param alarm_rising_threshold: Alarm rising threshold

        * range restriction: ::

            ['0..4294967295']

    :type alarm_rising_event_index: long
    :param alarm_rising_event_index: Event for rising alarm

        * range restriction: ::

            ['-2147483648..2147483647']

    :type alarm_falling_threshold: long
    :param alarm_falling_threshold: Alarm falling threshold

        * range restriction: ::

            ['0..4294967295']

    :type alarm_falling_event_index: long
    :param alarm_falling_event_index: Event for falling alarm

        * range restriction: ::

            ['-2147483648..2147483647']

    :type alarm_owner: unicode
    :param alarm_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.alarm_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.alarm_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rmon.alarm_entry', 'pybind.slxos.v17r_1_00a.brocade_rmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': 'alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, alarm_entry=alarm_entry, snmp_oid=snmp_oid, alarm_interval=alarm_interval, alarm_sample=alarm_sample, alarm_rising_threshold=alarm_rising_threshold, alarm_rising_event_index=alarm_rising_event_index, alarm_falling_threshold=alarm_falling_threshold, alarm_falling_event_index=alarm_falling_event_index, alarm_owner=alarm_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alarm_entry=alarm_entry, snmp_oid=snmp_oid, alarm_interval=alarm_interval, alarm_sample=alarm_sample, alarm_rising_threshold=alarm_rising_threshold, alarm_rising_event_index=alarm_rising_event_index, alarm_falling_threshold=alarm_falling_threshold, alarm_falling_event_index=alarm_falling_event_index, alarm_owner=alarm_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_alarm_event_update(self, alarm_entry=None, alarm_rising_event_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type alarm_entry: alarm_index
    :param alarm_entry: Keyword argument tuple.

    :type alarm_index: long
    :param alarm_index: **alarm_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type alarm_rising_event_index: long
    :param alarm_rising_event_index: Event for rising alarm

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.alarm_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.alarm_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rmon.alarm_entry', 'pybind.slxos.v17r_1_00a.brocade_rmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, alarm_entry=alarm_entry, alarm_rising_event_index=alarm_rising_event_index)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alarm_entry=alarm_entry, alarm_rising_event_index=alarm_rising_event_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_alarm_falling_threshold_update(self, alarm_entry=None, alarm_falling_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type alarm_entry: alarm_index
    :param alarm_entry: Keyword argument tuple.

    :type alarm_index: long
    :param alarm_index: **alarm_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type alarm_falling_threshold: long
    :param alarm_falling_threshold: Alarm falling threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.alarm_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.alarm_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rmon.alarm_entry', 'pybind.slxos.v17r_1_00a.brocade_rmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, alarm_entry=alarm_entry, alarm_falling_threshold=alarm_falling_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alarm_entry=alarm_entry, alarm_falling_threshold=alarm_falling_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_alarm_interval_update(self, alarm_entry=None, alarm_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type alarm_entry: alarm_index
    :param alarm_entry: Keyword argument tuple.

    :type alarm_index: long
    :param alarm_index: **alarm_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type alarm_interval: long
    :param alarm_interval: Alarm sample interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.alarm_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.alarm_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rmon.alarm_entry', 'pybind.slxos.v17r_1_00a.brocade_rmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, alarm_entry=alarm_entry, alarm_interval=alarm_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alarm_entry=alarm_entry, alarm_interval=alarm_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_alarm_owner_update(self, alarm_entry=None, alarm_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type alarm_entry: alarm_index
    :param alarm_entry: Keyword argument tuple.

    :type alarm_index: long
    :param alarm_index: **alarm_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type alarm_owner: unicode
    :param alarm_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.alarm_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.alarm_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rmon.alarm_entry', 'pybind.slxos.v17r_1_00a.brocade_rmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, alarm_entry=alarm_entry, alarm_owner=alarm_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alarm_entry=alarm_entry, alarm_owner=alarm_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_alarm_rising_threshold_update(self, alarm_entry=None, alarm_rising_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type alarm_entry: alarm_index
    :param alarm_entry: Keyword argument tuple.

    :type alarm_index: long
    :param alarm_index: **alarm_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type alarm_rising_threshold: long
    :param alarm_rising_threshold: Alarm rising threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.alarm_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.alarm_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rmon.alarm_entry', 'pybind.slxos.v17r_1_00a.brocade_rmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, alarm_entry=alarm_entry, alarm_rising_threshold=alarm_rising_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alarm_entry=alarm_entry, alarm_rising_threshold=alarm_rising_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_alarm_snmp_oid_update(self, alarm_entry=None, snmp_oid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type alarm_entry: alarm_index
    :param alarm_entry: Keyword argument tuple.

    :type alarm_index: long
    :param alarm_index: **alarm_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type snmp_oid: unicode
    :param snmp_oid: Keyword argument.

        * length restriction: ::

            ['min .. 35']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.alarm_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.alarm_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rmon.alarm_entry', 'pybind.slxos.v17r_1_00a.brocade_rmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, alarm_entry=alarm_entry, snmp_oid=snmp_oid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alarm_entry=alarm_entry, snmp_oid=snmp_oid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_alarm_type_update(self, alarm_entry=None, alarm_sample=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type alarm_entry: alarm_index
    :param alarm_entry: Keyword argument tuple.

    :type alarm_index: long
    :param alarm_index: **alarm_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type alarm_sample: unicode
    :param alarm_sample: Keyword argument.

        * enumeration restriction: ::

            ['absolute', 'delta']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.alarm_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.alarm_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rmon.alarm_entry', 'pybind.slxos.v17r_1_00a.brocade_rmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, alarm_entry=alarm_entry, alarm_sample=alarm_sample)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alarm_entry=alarm_entry, alarm_sample=alarm_sample)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_event_update(self, event_entry=None, event_description=None, log=None, event_community=None, event_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type event_entry: event_index, event_description, log, event_community, event_owner
    :param event_entry: Keyword argument tuple.

    :type event_index: long
    :param event_index: **event_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type event_description: unicode
    :param event_description: **event_entry** tuple argument:  Event description

        * length restriction: ::

            ['min .. 127']

    :type log: YANGBool
    :param log: **event_entry** tuple argument:  Log the event

    :type event_community: unicode
    :param event_community: **event_entry** tuple argument:  Send trap for the event

        * length restriction: ::

            ['1 .. 127']

    :type event_owner: unicode
    :param event_owner: **event_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type event_description: unicode
    :param event_description: Event description

        * length restriction: ::

            ['min .. 127']

    :type log: YANGBool
    :param log: Log the event

    :type event_community: unicode
    :param event_community: Send trap for the event

        * length restriction: ::

            ['1 .. 127']

    :type event_owner: unicode
    :param event_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.event_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.event_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.event_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.event_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rmon.event_entry', 'pybind.slxos.v17r_1_00a.brocade_rmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'event_entry', 'keyval': 'event_index', 'extra_keyval': 'event_index, event_description, log, event_community, event_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_entry=event_entry, event_description=event_description, log=log, event_community=event_community, event_owner=event_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_entry=event_entry, event_description=event_description, log=log, event_community=event_community, event_owner=event_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_event_description_update(self, event_entry=None, event_description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type event_entry: event_index
    :param event_entry: Keyword argument tuple.

    :type event_index: long
    :param event_index: **event_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type event_description: unicode
    :param event_description: Event description

        * length restriction: ::

            ['min .. 127']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.event_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.event_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.event_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.event_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rmon.event_entry', 'pybind.slxos.v17r_1_00a.brocade_rmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'event_entry', 'keyval': 'event_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_entry=event_entry, event_description=event_description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_entry=event_entry, event_description=event_description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_event_log_update(self, event_entry=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type event_entry: event_index
    :param event_entry: Keyword argument tuple.

    :type event_index: long
    :param event_index: **event_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log the event

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.event_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.event_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.event_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.event_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rmon.event_entry', 'pybind.slxos.v17r_1_00a.brocade_rmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'event_entry', 'keyval': 'event_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_entry=event_entry, log=log)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_entry=event_entry, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_event_owner_update(self, event_entry=None, event_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type event_entry: event_index
    :param event_entry: Keyword argument tuple.

    :type event_index: long
    :param event_index: **event_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type event_owner: unicode
    :param event_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.event_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.event_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.event_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.event_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rmon.event_entry', 'pybind.slxos.v17r_1_00a.brocade_rmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'event_entry', 'keyval': 'event_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_entry=event_entry, event_owner=event_owner)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_entry=event_entry, event_owner=event_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_event_trap_update(self, event_entry=None, event_community=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type event_entry: event_index
    :param event_entry: Keyword argument tuple.

    :type event_index: long
    :param event_index: **event_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type event_community: unicode
    :param event_community: Send trap for the event

        * length restriction: ::

            ['1 .. 127']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.event_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.event_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.event_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.event_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rmon.event_entry', 'pybind.slxos.v17r_1_00a.brocade_rmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'event_entry', 'keyval': 'event_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, event_entry=event_entry, event_community=event_community)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_entry=event_entry, event_community=event_community)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def role_name_update(self, name=None, desc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type name: name, desc
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument.

        * length restriction: ::

            ['4 .. 32']

    :type desc: unicode
    :param desc: **name** tuple argument:  Description of the role (default='')

        * length restriction: ::

            ['0 .. 64']

    **Instance Argument(s)**:

    :type desc: unicode
    :param desc: Description of the role (default='')

        * length restriction: ::

            ['0 .. 64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.role.name', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.role.name', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.role.name', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.role.name', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.role.name', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': 'name, desc'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, name=name, desc=desc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, desc=desc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def role_name_desc_update(self, name=None, desc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument.

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type desc: unicode
    :param desc: Description of the role (default='')

        * length restriction: ::

            ['0 .. 64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.role.name', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.role.name', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.role.name', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.role.name', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.role.name', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, name=name, desc=desc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, desc=desc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def root_update(self, enable=None, access=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Configure root account

    :type access: unicode
    :param access: Configure root access

        * enumeration restriction: ::

            ['console']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.root_sa.root', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.root_sa.root', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.root_sa.root', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.root_sa.root', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.root_sa.root', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable, access=access)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable, access=access)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def root_access_update(self, access=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type access: unicode
    :param access: Configure root access

        * enumeration restriction: ::

            ['console']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.root_sa.root', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.root_sa.root', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.root_sa.root', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.root_sa.root', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.root_sa.root', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, access=access)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, access=access)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def root_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Configure root account

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.root_sa.root', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.root_sa.root', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.root_sa.root', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.root_sa.root', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.root_sa.root', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_continue_update(self, route_map=None, continue_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type continue_: YANGBool
    :param continue_: Continue clause with optional route map instance number.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.continue_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.continue_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, continue_=continue_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, continue_=continue_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_continue_holder_update(self, route_map=None, continue_=None, continue_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type continue_: YANGBool
    :param continue_: Continue clause with optional route map instance number.

    :type continue_val: long
    :param continue_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.continue_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.continue_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'continue_, continue_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, continue_=continue_, continue_val=continue_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, continue_=continue_, continue_val=continue_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_continue_val_update(self, route_map=None, continue_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type continue_val: long
    :param continue_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.continue_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.continue_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, continue_val=continue_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, continue_val=continue_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_update(self, route_map=None, vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type vrf: unicode
    :param vrf: VRF name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, vrf=vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, vrf=vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_additional_paths_advertise_set_update(self, route_map=None, all=None, best=None, group_best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: BGP Add-Path advertise all paths(Max: 16)

    :type best: long
    :param best: BGP Add-Path advertise best n paths

        * range restriction: ::

            ['0..4294967295']

    :type group_best: YANGBool
    :param group_best: BGP Add-Path advertise group-best path

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.additional_paths.advertise_set', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, all=all, best=best, group_best=group_best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, all=all, best=best, group_best=group_best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_additional_paths_advertise_set_all_update(self, route_map=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: BGP Add-Path advertise all paths(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.additional_paths.advertise_set', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_additional_paths_advertise_set_best_update(self, route_map=None, best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type best: long
    :param best: BGP Add-Path advertise best n paths

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.additional_paths.advertise_set', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, best=best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, best=best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_additional_paths_advertise_set_best_range_update(self, route_map=None, range_start=None, range_end=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type range_start: long
    :param range_start: DECIMAL   start-range <1-16>

        * range restriction: ::

            ['0..4294967295']

    :type range_end: long
    :param range_end: DECIMAL  end-range <1-16>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.additional_paths.advertise_set.best_range', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'range_start, range_end'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, range_start=range_start, range_end=range_end)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, range_start=range_start, range_end=range_end)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_additional_paths_advertise_set_best_range_range_end_update(self, route_map=None, range_end=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type range_end: long
    :param range_end: DECIMAL  end-range <1-16>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.additional_paths.advertise_set.best_range', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, range_end=range_end)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, range_end=range_end)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_additional_paths_advertise_set_best_range_range_start_update(self, route_map=None, range_start=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type range_start: long
    :param range_start: DECIMAL   start-range <1-16>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.additional_paths.advertise_set.best_range', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, range_start=range_start)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, range_start=range_start)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_additional_paths_advertise_set_group_best_update(self, route_map=None, group_best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type group_best: YANGBool
    :param group_best: BGP Add-Path advertise group-best path

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.additional_paths.advertise_set', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, group_best=group_best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, group_best=group_best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_as_path_update(self, route_map=None, as_path_access_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type as_path_access_list_name: unicode
    :param as_path_access_list_name: Access-list name.

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.as_path', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.as_path', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.as_path', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.as_path', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.as_path', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, as_path_access_list_name=as_path_access_list_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, as_path_access_list_name=as_path_access_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_as_path_as_path_access_list_name_update(self, route_map=None, as_path_access_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type as_path_access_list_name: unicode
    :param as_path_access_list_name: Access-list name.

        * length restriction: ::

            ['1..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.as_path', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.as_path', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.as_path', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.as_path', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.as_path', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, as_path_access_list_name=as_path_access_list_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, as_path_access_list_name=as_path_access_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_community_update(self, route_map=None, community_access_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type community_access_list_name: unicode
    :param community_access_list_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.community', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.community', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.community', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'community_access_list_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, community_access_list_name=community_access_list_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, community_access_list_name=community_access_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_community_community_access_list_name_update(self, route_map=None, community_access_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type community_access_list_name: unicode
    :param community_access_list_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.community', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.community', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.community', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, community_access_list_name=community_access_list_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, community_access_list_name=community_access_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_extcommunity_update(self, route_map=None, extcommunity_num=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type extcommunity_num: unicode
    :param extcommunity_num: Extcommunity numbers

        * pattern restriction: ::

            '((0|[1-9][0-9]{0,1})(\s+(0|[1-9][0-9]{0,1}))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.extcommunity', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.extcommunity', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.extcommunity', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.extcommunity', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.extcommunity', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.extcommunity": {}, "pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.extcommunity": {}, "pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.extcommunity": {"extcommunity_num": "extcommunity_num"}, "pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.extcommunity": {"extcommunity_num": "extcommunity_num"}, "pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.extcommunity": {"extcommunity_num": "extcommunity_num"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, extcommunity_num=extcommunity_num)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, extcommunity_num=extcommunity_num)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_extcommunity_extcommunity_name_update(self, route_map=None, extcommunity_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type extcommunity_name: unicode
    :param extcommunity_name: Extcommunity names

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.extcommunity', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.extcommunity', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, extcommunity_name=extcommunity_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, extcommunity_name=extcommunity_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_extcommunity_extcommunity_num_update(self, route_map=None, extcommunity_num=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type extcommunity_num: unicode
    :param extcommunity_num: Extcommunity numbers

        * pattern restriction: ::

            '((0|[1-9][0-9]{0,1})(\s+(0|[1-9][0-9]{0,1}))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.extcommunity', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.extcommunity', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.extcommunity', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, extcommunity_num=extcommunity_num)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, extcommunity_num=extcommunity_num)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ip_address_update(self, route_map=None, prefix_list_rmm=None, acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_list_rmm: unicode
    :param prefix_list_rmm: IP prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type acl_rmm: unicode
    :param acl_rmm: IP ACL

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ip.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, prefix_list_rmm=prefix_list_rmm, acl_rmm=acl_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, prefix_list_rmm=prefix_list_rmm, acl_rmm=acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ip_address_acl_update(self, route_map=None, acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type acl_rmm: unicode
    :param acl_rmm: IP ACL

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ip.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, acl_rmm=acl_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, acl_rmm=acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ip_address_prefix_list_update(self, route_map=None, prefix_list_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_list_rmm: unicode
    :param prefix_list_rmm: IP prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ip.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, prefix_list_rmm=prefix_list_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, prefix_list_rmm=prefix_list_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ip_next_hop_update(self, route_map=None, prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_list_rmm_n: unicode
    :param prefix_list_rmm_n: IP prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ip.next_hop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ip_next_hop_prefix_list_update(self, route_map=None, prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_list_rmm_n: unicode
    :param prefix_list_rmm_n: IP prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ip.next_hop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ip_route_source_update(self, route_map=None, prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_list_rmrs: unicode
    :param prefix_list_rmrs: IP prefix-list

        * pattern restriction: ::

            '(\s*([a-zA-Z0-9_-]+))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.route_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ip.route_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ip_route_source_prefix_list_update(self, route_map=None, prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prefix_list_rmrs: unicode
    :param prefix_list_rmrs: IP prefix-list

        * pattern restriction: ::

            '(\s*([a-zA-Z0-9_-]+))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.route_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ip.route_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ipv6_address_update(self, route_map=None, ipv6_prefix_list_rmm=None, ipv6_acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_list_rmm: unicode
    :param ipv6_prefix_list_rmm: IPv6 prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type ipv6_acl_rmm: unicode
    :param ipv6_acl_rmm: IPv6 ACL

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ipv6.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm, ipv6_acl_rmm=ipv6_acl_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm, ipv6_acl_rmm=ipv6_acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ipv6_address_acl_update(self, route_map=None, ipv6_acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_acl_rmm: unicode
    :param ipv6_acl_rmm: IPv6 ACL

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ipv6.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ipv6_acl_rmm=ipv6_acl_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ipv6_acl_rmm=ipv6_acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ipv6_address_prefix_list_update(self, route_map=None, ipv6_prefix_list_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_list_rmm: unicode
    :param ipv6_prefix_list_rmm: IPv6 prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ipv6.address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ipv6_next_hop_update(self, route_map=None, ipv6_prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_list_rmm_n: unicode
    :param ipv6_prefix_list_rmm_n: IPv6 prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ipv6.next_hop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ipv6_next_hop_prefix_list_update(self, route_map=None, ipv6_prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_list_rmm_n: unicode
    :param ipv6_prefix_list_rmm_n: IPv6 prefix-list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ipv6.next_hop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ipv6_route_source_update(self, route_map=None, ipv6_prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_list_rmrs: unicode
    :param ipv6_prefix_list_rmrs: IPv6 prefix-list

        * pattern restriction: ::

            '(\s*([a-zA-Z0-9_-]+))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.route_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ipv6.route_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_ipv6_route_source_prefix_list_update(self, route_map=None, ipv6_prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_prefix_list_rmrs: unicode
    :param ipv6_prefix_list_rmrs: IPv6 prefix-list

        * pattern restriction: ::

            '(\s*([a-zA-Z0-9_-]+))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.route_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.ipv6.route_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_metric_update(self, route_map=None, metric_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type metric_rmm: long
    :param metric_rmm: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.metric', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.metric', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.metric', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, metric_rmm=metric_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, metric_rmm=metric_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_metric_metric_rmm_update(self, route_map=None, metric_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type metric_rmm: long
    :param metric_rmm: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.metric', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.metric', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.metric', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, metric_rmm=metric_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, metric_rmm=metric_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_next_hop_update(self, route_map=None, next_hop_filter_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type next_hop_filter_val: long
    :param next_hop_filter_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.next_hop', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.next_hop', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.next_hop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, next_hop_filter_val=next_hop_filter_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, next_hop_filter_val=next_hop_filter_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_next_hop_next_hop_filter_val_update(self, route_map=None, next_hop_filter_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type next_hop_filter_val: long
    :param next_hop_filter_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.next_hop', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.next_hop', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.next_hop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, next_hop_filter_val=next_hop_filter_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, next_hop_filter_val=next_hop_filter_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_protocol_bgp_update(self, route_map=None, protocol_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type protocol_bgp: YANGBool
    :param protocol_bgp: BGP protocol.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.protocol.bgp_protocol_container', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.protocol.bgp_protocol_container', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, protocol_bgp=protocol_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, protocol_bgp=protocol_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_protocol_bgp_protocol_container_update(self, route_map=None, protocol_bgp=None, bgp_route_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type protocol_bgp: YANGBool
    :param protocol_bgp: BGP protocol.

    :type bgp_route_type: unicode
    :param bgp_route_type: Keyword argument.

        * enumeration restriction: ::

            ['internal', 'external', 'static-network']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.protocol.bgp_protocol_container', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.protocol.bgp_protocol_container', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, protocol_bgp=protocol_bgp, bgp_route_type=bgp_route_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, protocol_bgp=protocol_bgp, bgp_route_type=bgp_route_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_protocol_bgp_route_type_update(self, route_map=None, bgp_route_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type bgp_route_type: unicode
    :param bgp_route_type: Keyword argument.

        * enumeration restriction: ::

            ['internal', 'external', 'static-network']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.protocol.bgp_protocol_container', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.protocol.bgp_protocol_container', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, bgp_route_type=bgp_route_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, bgp_route_type=bgp_route_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_protocol_isis_update(self, route_map=None, protocol_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type protocol_isis: YANGBool
    :param protocol_isis: IS-IS protocol.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.protocol.isis_protocol_container', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, protocol_isis=protocol_isis)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, protocol_isis=protocol_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_protocol_isis_protocol_container_update(self, route_map=None, protocol_isis=None, match_isis_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type protocol_isis: YANGBool
    :param protocol_isis: IS-IS protocol.

    :type match_isis_level: unicode
    :param match_isis_level: Keyword argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.protocol.isis_protocol_container', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'protocol_isis, match_isis_level'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, protocol_isis=protocol_isis, match_isis_level=match_isis_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, protocol_isis=protocol_isis, match_isis_level=match_isis_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_protocol_match_isis_level_update(self, route_map=None, match_isis_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type match_isis_level: unicode
    :param match_isis_level: Keyword argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.protocol.isis_protocol_container', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, match_isis_level=match_isis_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, match_isis_level=match_isis_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_protocol_ospf_update(self, route_map=None, protocol_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type protocol_ospf: YANGBool
    :param protocol_ospf: OSPF protocol.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.protocol.ospf_protocol_container', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, protocol_ospf=protocol_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, protocol_ospf=protocol_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_protocol_ospf_protocol_container_update(self, route_map=None, protocol_ospf=None, ospf_route_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type protocol_ospf: YANGBool
    :param protocol_ospf: OSPF protocol.

    :type ospf_route_type: unicode
    :param ospf_route_type: Keyword argument.

        * enumeration restriction: ::

            ['type-1', 'type-2', 'internal']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.protocol.ospf_protocol_container', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'protocol_ospf, ospf_route_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, protocol_ospf=protocol_ospf, ospf_route_type=ospf_route_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, protocol_ospf=protocol_ospf, ospf_route_type=ospf_route_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_protocol_ospf_route_type_update(self, route_map=None, ospf_route_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ospf_route_type: unicode
    :param ospf_route_type: Keyword argument.

        * enumeration restriction: ::

            ['type-1', 'type-2', 'internal']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.protocol.ospf_protocol_container', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ospf_route_type=ospf_route_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ospf_route_type=ospf_route_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_protocol_protocol_static_container_update(self, route_map=None, static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type static: YANGBool
    :param static: static

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.protocol.protocol_static_container', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.protocol.protocol_static_container', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, static=static)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, static=static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_protocol_static_update(self, route_map=None, static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type static: YANGBool
    :param static: static

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.protocol.protocol_static_container', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.protocol.protocol_static_container', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, static=static)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, static=static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_route_type_update(self, route_map=None, route_type_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type route_type_rmm: unicode
    :param route_type_rmm: Keyword argument.

        * enumeration restriction: ::

            ['type-1', 'internal', 'type-2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.route_type', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.route_type', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.route_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.route_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.route_type', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, route_type_rmm=route_type_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, route_type_rmm=route_type_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_route_type_route_type_rmm_update(self, route_map=None, route_type_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type route_type_rmm: unicode
    :param route_type_rmm: Keyword argument.

        * enumeration restriction: ::

            ['type-1', 'internal', 'type-2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match.route_type', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match.route_type', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.route_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.route_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match.route_type', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, route_type_rmm=route_type_rmm)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, route_type_rmm=route_type_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_match_vrf_update(self, route_map=None, vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type vrf: unicode
    :param vrf: VRF name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.match', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.match', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, vrf=vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, vrf=vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_as_path_update(self, route_map=None, aspath_tag=None, prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type aspath_tag: YANGBool
    :param aspath_tag: Tag as an AS-path attribute

    :type prepend: unicode
    :param prepend: Prepend to the AS-path

        * pattern restriction: ::

            '(\s*(\d+))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.as_path', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.as_path', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, aspath_tag=aspath_tag, prepend=prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, aspath_tag=aspath_tag, prepend=prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_as_path_prepend_update(self, route_map=None, prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prepend: unicode
    :param prepend: Prepend to the AS-path

        * pattern restriction: ::

            '(\s*(\d+))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.as_path', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.as_path', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, prepend=prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, prepend=prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_as_path_tag_update(self, route_map=None, aspath_tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type aspath_tag: YANGBool
    :param aspath_tag: Tag as an AS-path attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.as_path', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.as_path', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, aspath_tag=aspath_tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, aspath_tag=aspath_tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_automatic_tag_update(self, route_map=None, tag_empty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type tag_empty: YANGBool
    :param tag_empty: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.automatic_tag', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.automatic_tag', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.automatic_tag', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.automatic_tag', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.automatic_tag', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, tag_empty=tag_empty)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, tag_empty=tag_empty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_automatic_tag_tag_empty_update(self, route_map=None, tag_empty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type tag_empty: YANGBool
    :param tag_empty: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.automatic_tag', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.automatic_tag', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.automatic_tag', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.automatic_tag', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.automatic_tag', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, tag_empty=tag_empty)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, tag_empty=tag_empty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_comm_list_update(self, route_map=None, comm_list_name=None, match_comm_delete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type comm_list_name: unicode
    :param comm_list_name: Keyword argument.

    :type match_comm_delete: YANGBool
    :param match_comm_delete: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.comm_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.comm_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'comm_list_name, match_comm_delete'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, comm_list_name=comm_list_name, match_comm_delete=match_comm_delete)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, comm_list_name=comm_list_name, match_comm_delete=match_comm_delete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_comm_list_comm_list_name_update(self, route_map=None, comm_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type comm_list_name: unicode
    :param comm_list_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.comm_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.comm_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, comm_list_name=comm_list_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, comm_list_name=comm_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_comm_list_delete_update(self, route_map=None, match_comm_delete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type match_comm_delete: YANGBool
    :param match_comm_delete: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.comm_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.comm_list', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, match_comm_delete=match_comm_delete)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, match_comm_delete=match_comm_delete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_community_update(self, route_map=None, set_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type set_community_expr: unicode
    :param set_community_expr: Keyword argument.

        * pattern restriction: ::

            '((\s*)|(\s*((local\-as)|(internet)|(no\-export)|'
            '(no\-advertise)|((([0-9][0-9]{0,3})|([1-5][0-9]{'
            '4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]'
            '[0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-'
            '9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0'
            '-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\'
            's+((local\-as)|(internet)|(no\-export)|(no\-adve'
            'rtise)|((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-'
            '4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6'
            '553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6'
            '[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])'
            '|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})'
            '|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-'
            '9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|'
            '(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42'
            '949672[0-8][0-9])|(429496729[0-5])))*)(( (additi'
            've))?))|(none)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.community', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.community', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.community', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, set_community_expr=set_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, set_community_expr=set_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_community_set_community_expr_update(self, route_map=None, set_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type set_community_expr: unicode
    :param set_community_expr: Keyword argument.

        * pattern restriction: ::

            '((\s*)|(\s*((local\-as)|(internet)|(no\-export)|'
            '(no\-advertise)|((([0-9][0-9]{0,3})|([1-5][0-9]{'
            '4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]'
            '[0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-'
            '9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0'
            '-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\'
            's+((local\-as)|(internet)|(no\-export)|(no\-adve'
            'rtise)|((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-'
            '4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6'
            '553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6'
            '[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])'
            '|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})'
            '|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-'
            '9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|'
            '(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42'
            '949672[0-8][0-9])|(429496729[0-5])))*)(( (additi'
            've))?))|(none)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.community', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.community', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.community', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, set_community_expr=set_community_expr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, set_community_expr=set_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_dampening_update(self, route_map=None, half_life=None, reuse=None, suppress=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type half_life: long
    :param half_life: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type reuse: long
    :param reuse: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type suppress: long
    :param suppress: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'half_life, reuse, suppress, max_suppress_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, half_life=half_life, reuse=reuse, suppress=suppress, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, half_life=half_life, reuse=reuse, suppress=suppress, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_dampening_half_life_update(self, route_map=None, half_life=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type half_life: long
    :param half_life: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, half_life=half_life)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, half_life=half_life)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_dampening_max_suppress_time_update(self, route_map=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_dampening_reuse_update(self, route_map=None, reuse=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type reuse: long
    :param reuse: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, reuse=reuse)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, reuse=reuse)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_dampening_suppress_update(self, route_map=None, suppress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type suppress: long
    :param suppress: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, suppress=suppress)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, suppress=suppress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_distance_update(self, route_map=None, dist_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dist_rms: long
    :param dist_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.distance', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.distance', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.distance', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.distance', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, dist_rms=dist_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, dist_rms=dist_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_distance_dist_rms_update(self, route_map=None, dist_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dist_rms: long
    :param dist_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.distance', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.distance', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.distance', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.distance', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, dist_rms=dist_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, dist_rms=dist_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_extcommunity_rt_update(self, route_map=None, ASN_NN_rt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ASN_NN_rt: unicode
    :param ASN_NN_rt: Keyword argument.

        * pattern restriction: ::

            '((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4['
            '0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6'
            '})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429'
            '496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429496'
            '72[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0'
            ',8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3'
            '][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{'
            '4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})'
            '|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5]'
            '[0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(65'
            '5[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|'
            '1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0'
            '-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|['
            '1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9'
            '][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(6'
            '5[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*'
            ')(( (additive))?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.extcommunity.rt', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.extcommunity.rt', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.extcommunity.rt', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ASN_NN_rt=ASN_NN_rt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ASN_NN_rt=ASN_NN_rt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_extcommunity_rt_asn_nn_rt_update(self, route_map=None, ASN_NN_rt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ASN_NN_rt: unicode
    :param ASN_NN_rt: Keyword argument.

        * pattern restriction: ::

            '((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4['
            '0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6'
            '})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429'
            '496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429496'
            '72[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0'
            ',8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3'
            '][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{'
            '4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})'
            '|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5]'
            '[0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(65'
            '5[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|'
            '1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0'
            '-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|['
            '1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9'
            '][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(6'
            '5[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*'
            ')(( (additive))?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.extcommunity.rt', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.extcommunity.rt', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.extcommunity.rt', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ASN_NN_rt=ASN_NN_rt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ASN_NN_rt=ASN_NN_rt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_extcommunity_soo_update(self, route_map=None, ASN_NN_soo=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ASN_NN_soo: unicode
    :param ASN_NN_soo: Keyword argument.

        * pattern restriction: ::

            '((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4['
            '0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6'
            '})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429'
            '496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429496'
            '72[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0'
            ',8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3'
            '][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{'
            '4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})'
            '|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5]'
            '[0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(65'
            '5[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|'
            '1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0'
            '-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|['
            '1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9'
            '][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(6'
            '5[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*'
            ')'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.extcommunity.soo', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.extcommunity.soo', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.extcommunity.soo', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ASN_NN_soo=ASN_NN_soo)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ASN_NN_soo=ASN_NN_soo)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_extcommunity_soo_asn_nn_soo_update(self, route_map=None, ASN_NN_soo=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ASN_NN_soo: unicode
    :param ASN_NN_soo: Keyword argument.

        * pattern restriction: ::

            '((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4['
            '0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6'
            '})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429'
            '496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429496'
            '72[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0'
            ',8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3'
            '][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{'
            '4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})'
            '|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5]'
            '[0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(65'
            '5[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|'
            '1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0'
            '-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|['
            '1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9'
            '][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(6'
            '5[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*'
            ')'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.extcommunity.soo', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.extcommunity.soo', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.extcommunity.soo', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ASN_NN_soo=ASN_NN_soo)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ASN_NN_soo=ASN_NN_soo)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ip_dscp_update(self, route_map=None, dscp_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dscp_rms: long
    :param dscp_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.ip.dscp', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.ip.dscp', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.dscp', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.dscp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.ip.dscp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, dscp_rms=dscp_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, dscp_rms=dscp_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ip_dscp_dscp_rms_update(self, route_map=None, dscp_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dscp_rms: long
    :param dscp_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.ip.dscp', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.ip.dscp', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.dscp', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.dscp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.ip.dscp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, dscp_rms=dscp_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, dscp_rms=dscp_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ip_interface_update(self, route_map=None, null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type null0: YANGBool
    :param null0: Sending traffic to a Null0 Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.ip.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, null0=null0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, null0=null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ip_interface_null0_update(self, route_map=None, null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type null0: YANGBool
    :param null0: Sending traffic to a Null0 Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.ip.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, null0=null0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, null0=null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ip_next_hop_peer_address_update(self, route_map=None, peer_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type peer_address: YANGBool
    :param peer_address: BGP peer IP address

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.ip.next_hop', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.ip.next_hop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, peer_address=peer_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, peer_address=peer_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ipv6_interface_update(self, route_map=None, ipv6_null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_null0: YANGBool
    :param ipv6_null0: Sending traffic to a Null0 Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.ipv6.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ipv6_null0=ipv6_null0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ipv6_null0=ipv6_null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ipv6_interface_null0_update(self, route_map=None, ipv6_null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_null0: YANGBool
    :param ipv6_null0: Sending traffic to a Null0 Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.ipv6.interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, ipv6_null0=ipv6_null0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, ipv6_null0=ipv6_null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_level_update(self, route_map=None, set_isis_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type set_isis_level: unicode
    :param set_isis_level: Keyword argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.level', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, set_isis_level=set_isis_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, set_isis_level=set_isis_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_level_set_isis_level_update(self, route_map=None, set_isis_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type set_isis_level: unicode
    :param set_isis_level: Keyword argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.level', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, set_isis_level=set_isis_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, set_isis_level=set_isis_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_local_preference_update(self, route_map=None, local_preference_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type local_preference_value: long
    :param local_preference_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.local_preference', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.local_preference', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.local_preference', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.local_preference', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.local_preference', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, local_preference_value=local_preference_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, local_preference_value=local_preference_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_local_preference_local_preference_value_update(self, route_map=None, local_preference_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type local_preference_value: long
    :param local_preference_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.local_preference', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.local_preference', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.local_preference', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.local_preference', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.local_preference', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, local_preference_value=local_preference_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, local_preference_value=local_preference_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_metric_update(self, route_map=None, delta_rms=None, metric_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type delta_rms: unicode
    :param delta_rms: Keyword argument.

        * enumeration restriction: ::

            ['add', 'assign', 'none', 'sub']

    :type metric_rms: long
    :param metric_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'delta_rms, metric_rms'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, delta_rms=delta_rms, metric_rms=metric_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, delta_rms=delta_rms, metric_rms=metric_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_metric_delta_rms_update(self, route_map=None, delta_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type delta_rms: unicode
    :param delta_rms: Keyword argument.

        * enumeration restriction: ::

            ['add', 'assign', 'none', 'sub']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, delta_rms=delta_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, delta_rms=delta_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_metric_metric_rms_update(self, route_map=None, metric_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type metric_rms: long
    :param metric_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, metric_rms=metric_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, metric_rms=metric_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_metric_type_update(self, route_map=None, external=None, internal=None, type_1=None, type_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type external: YANGBool
    :param external: IS-IS external metric

    :type internal: YANGBool
    :param internal: IGP internal metric to BGP MED

    :type type_1: YANGBool
    :param type_1: OSPF external type 1 metric

    :type type_2: YANGBool
    :param type_2: OSPF external type 2 metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, external=external, internal=internal, type_1=type_1, type_2=type_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, external=external, internal=internal, type_1=type_1, type_2=type_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_metric_type_external_update(self, route_map=None, external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type external: YANGBool
    :param external: IS-IS external metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, external=external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, external=external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_metric_type_internal_update(self, route_map=None, internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type internal: YANGBool
    :param internal: IGP internal metric to BGP MED

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, internal=internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, internal=internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_metric_type_type_1_update(self, route_map=None, type_1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type type_1: YANGBool
    :param type_1: OSPF external type 1 metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, type_1=type_1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, type_1=type_1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_metric_type_type_2_update(self, route_map=None, type_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type type_2: YANGBool
    :param type_2: OSPF external type 2 metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, type_2=type_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, type_2=type_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_origin_update(self, route_map=None, origin_igp=None, origin_incomplete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type origin_igp: YANGBool
    :param origin_igp: local IGP

    :type origin_incomplete: YANGBool
    :param origin_incomplete: unknown heritage

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.origin', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.origin', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, origin_igp=origin_igp, origin_incomplete=origin_incomplete)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, origin_igp=origin_igp, origin_incomplete=origin_incomplete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_origin_igp_update(self, route_map=None, origin_igp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type origin_igp: YANGBool
    :param origin_igp: local IGP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.origin', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.origin', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, origin_igp=origin_igp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, origin_igp=origin_igp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_origin_incomplete_update(self, route_map=None, origin_incomplete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type origin_incomplete: YANGBool
    :param origin_incomplete: unknown heritage

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.origin', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.origin', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, origin_incomplete=origin_incomplete)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, origin_incomplete=origin_incomplete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_route_type_update(self, route_map=None, route_type_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type route_type_rms: unicode
    :param route_type_rms: Keyword argument.

        * enumeration restriction: ::

            ['type-1', 'internal', 'type-2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.route_type', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.route_type', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.route_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.route_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.route_type', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, route_type_rms=route_type_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, route_type_rms=route_type_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_route_type_route_type_rms_update(self, route_map=None, route_type_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type route_type_rms: unicode
    :param route_type_rms: Keyword argument.

        * enumeration restriction: ::

            ['type-1', 'internal', 'type-2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.route_type', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.route_type', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.route_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.route_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.route_type', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, route_type_rms=route_type_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, route_type_rms=route_type_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_tag_update(self, route_map=None, tag_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type tag_rms: long
    :param tag_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.tag', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.tag', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.tag', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.tag', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.tag', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, tag_rms=tag_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, tag_rms=tag_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_tag_tag_rms_update(self, route_map=None, tag_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type tag_rms: long
    :param tag_rms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.tag', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.tag', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.tag', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.tag', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.tag', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, tag_rms=tag_rms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, tag_rms=tag_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_weight_update(self, route_map=None, weight_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type weight_value: long
    :param weight_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.weight', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.weight', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.weight', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.weight', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.weight', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, weight_value=weight_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, weight_value=weight_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_weight_weight_value_update(self, route_map=None, weight_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type weight_value: long
    :param weight_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v17r_1_00a.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.weight', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.weight', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.weight', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.weight', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.route_map.content.set_.weight', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, route_map=route_map, weight_value=weight_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, weight_value=weight_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_evpn_neighbor_update(self, af_evpn_neighbor=None, evpn_nbr_activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type af_evpn_neighbor: af_evpn_neighbor_address
    :param af_evpn_neighbor: Keyword argument tuple.

    :type af_evpn_neighbor_address: unicode
    :param af_evpn_neighbor_address: **af_evpn_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type evpn_nbr_activate: YANGBool
    :param evpn_nbr_activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.evpn.af_evpn_neighbor_address_holder.af_evpn_neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_evpn_neighbor', 'keyval': 'af_evpn_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_evpn_neighbor=af_evpn_neighbor, evpn_nbr_activate=evpn_nbr_activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_evpn_neighbor=af_evpn_neighbor, evpn_nbr_activate=evpn_nbr_activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_evpn_neighbor_activate_update(self, af_evpn_neighbor=None, evpn_nbr_activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type af_evpn_neighbor: af_evpn_neighbor_address
    :param af_evpn_neighbor: Keyword argument tuple.

    :type af_evpn_neighbor_address: unicode
    :param af_evpn_neighbor_address: **af_evpn_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type evpn_nbr_activate: YANGBool
    :param evpn_nbr_activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.evpn.af_evpn_neighbor_address_holder.af_evpn_neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_evpn_neighbor', 'keyval': 'af_evpn_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_evpn_neighbor=af_evpn_neighbor, evpn_nbr_activate=evpn_nbr_activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_evpn_neighbor=af_evpn_neighbor, evpn_nbr_activate=evpn_nbr_activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_additional_paths_addpath_txrx_update(self, addpath_send=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_send, addpath_receive'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_send=addpath_send, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_send=addpath_send, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_additional_paths_receive_update(self, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_additional_paths_select_update(self, addpath_sel_best=None, addpath_sel_groupbest=None, addpath_sel_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_sel_best: int
    :param addpath_sel_best: Select best 'n'

        * range restriction: ::

            ['0..255']

    :type addpath_sel_groupbest: YANGBool
    :param addpath_sel_groupbest: Select group-best

    :type addpath_sel_all: YANGBool
    :param addpath_sel_all: Select all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_sel_best, addpath_sel_groupbest, addpath_sel_all'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_sel_best=addpath_sel_best, addpath_sel_groupbest=addpath_sel_groupbest, addpath_sel_all=addpath_sel_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_sel_best=addpath_sel_best, addpath_sel_groupbest=addpath_sel_groupbest, addpath_sel_all=addpath_sel_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_additional_paths_select_all_update(self, addpath_sel_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_sel_all: YANGBool
    :param addpath_sel_all: Select all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_sel_all=addpath_sel_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_sel_all=addpath_sel_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_additional_paths_select_best_update(self, addpath_sel_best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_sel_best: int
    :param addpath_sel_best: Select best 'n'

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_sel_best=addpath_sel_best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_sel_best=addpath_sel_best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_additional_paths_select_group_best_update(self, addpath_sel_groupbest=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_sel_groupbest: YANGBool
    :param addpath_sel_groupbest: Select group-best

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_sel_groupbest=addpath_sel_groupbest)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_sel_groupbest=addpath_sel_groupbest)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_additional_paths_send_update(self, addpath_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_send=addpath_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_send=addpath_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_advertise_best_external_update(self, advertise_best_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type advertise_best_external: YANGBool
    :param advertise_best_external: Advertise best external path to internal peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, advertise_best_external=advertise_best_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, advertise_best_external=advertise_best_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_af_common_cmds_holder_update(self, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder": {}, "pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder": {"next_hop_enable_default": "next_hop_enable_default", "default_metric": "default_metric", "client_to_client_reflection": "client_to_client_reflection", "always_propagate": "always_propagate", "update_time": "update_time", "default_information_originate": "default_information_originate", "rib_route_limit": "rib_route_limit"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_af_ipv4_uc_and_vrf_cmds_call_point_holder_update(self, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_redistribute_internal: YANGBool
    :param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_redistribute_internal=bgp_redistribute_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_aggregate_address_update(self, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_aggregate_address_advertise_map_update(self, aggregate_address=None, advertise_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aggregate_address=aggregate_address, advertise_map=advertise_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_address=aggregate_address, advertise_map=advertise_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_aggregate_address_as_set_update(self, aggregate_address=None, as_set=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aggregate_address=aggregate_address, as_set=as_set)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_address=aggregate_address, as_set=as_set)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_aggregate_address_attribute_map_update(self, aggregate_address=None, attribute_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aggregate_address=aggregate_address, attribute_map=attribute_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_address=aggregate_address, attribute_map=attribute_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_aggregate_address_summary_only_update(self, aggregate_address=None, summary_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aggregate_address=aggregate_address, summary_only=summary_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_address=aggregate_address, summary_only=summary_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_aggregate_address_suppress_map_update(self, aggregate_address=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aggregate_address=aggregate_address, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_address=aggregate_address, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_always_propagate_update(self, always_propagate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, always_propagate=always_propagate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, always_propagate=always_propagate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_bgp_redistribute_internal_update(self, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_redistribute_internal: YANGBool
    :param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_redistribute_internal=bgp_redistribute_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_client_to_client_reflection_update(self, client_to_client_reflection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, client_to_client_reflection=client_to_client_reflection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, client_to_client_reflection=client_to_client_reflection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_dampening_update(self, dampening_flag=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening': [u'dampening_flag', u'values', u'dampening_route_map'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening': [u'dampening_flag', u'values', u'dampening_route_map']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_dampening_dampening_flag_update(self, dampening_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dampening_flag=dampening_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dampening_flag=dampening_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_dampening_half_time_update(self, half_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, half_time=half_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, half_time=half_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_dampening_max_suppress_time_update(self, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_dampening_reuse_value_update(self, reuse_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, reuse_value=reuse_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, reuse_value=reuse_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_dampening_route_map_update(self, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_dampening_start_suppress_time_update(self, start_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, start_suppress_time=start_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, start_suppress_time=start_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_dampening_values_update(self, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'half_time, reuse_value, start_suppress_time, max_suppress_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values': [u'half_time'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values': [u'half_time']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_default_information_originate_update(self, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_information_originate=default_information_originate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_default_metric_update(self, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_default_vrf_update(self, default_vrf_selected=None, next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_vrf_selected: YANGBool
    :param default_vrf_selected: Keyword argument.

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_vrf_selected=default_vrf_selected, next_hop_recursion=next_hop_recursion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_vrf_selected=default_vrf_selected, next_hop_recursion=next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_default_vrf_selected_update(self, default_vrf_selected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_vrf_selected: YANGBool
    :param default_vrf_selected: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_vrf_selected=default_vrf_selected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_vrf_selected=default_vrf_selected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_graceful_restart_update(self, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Keyword argument.

    :type restart_time: long
    :param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120

        * range restriction: ::

            ['0..4294967295']

    :type purge_time: long
    :param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600

        * range restriction: ::

            ['0..4294967295']

    :type stale_routes_time: long
    :param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_graceful_restart_graceful_restart_status_update(self, graceful_restart_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, graceful_restart_status=graceful_restart_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, graceful_restart_status=graceful_restart_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_graceful_restart_purge_time_update(self, purge_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type purge_time: long
    :param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, purge_time=purge_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, purge_time=purge_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_graceful_restart_restart_time_update(self, restart_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type restart_time: long
    :param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, restart_time=restart_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, restart_time=restart_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_graceful_restart_stale_routes_time_update(self, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type stale_routes_time: long
    :param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, stale_routes_time=stale_routes_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_maximum_paths_update(self, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_maximum_paths_ebgp_update(self, ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ebgp=ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ebgp=ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_maximum_paths_ibgp_update(self, ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ibgp=ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ibgp=ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_maximum_paths_load_sharing_value_update(self, load_sharing_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, load_sharing_value=load_sharing_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, load_sharing_value=load_sharing_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_maximum_paths_use_load_sharing_update(self, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_multipath_update(self, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_multipath_ebgp_update(self, multipath_ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, multipath_ebgp=multipath_ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multipath_ebgp=multipath_ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_multipath_ibgp_update(self, multipath_ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, multipath_ibgp=multipath_ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multipath_ibgp=multipath_ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_multipath_multi_as_update(self, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_update(self, af_ipv4_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address": {"af_nei_weight": "af_nei_weight", "af_ipv4_neighbor_address": "af_ipv4_neighbor_address", "activate": "activate", "allowas_in": "allowas_in", "route_reflector_client": "route_reflector_client"}, "pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address": {"af_nei_weight": "af_nei_weight", "af_ipv4_neighbor_address": "af_ipv4_neighbor_address", "activate": "activate", "allowas_in": "allowas_in", "route_reflector_client": "route_reflector_client"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_activate_update(self, af_ipv4_neighbor_address=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_additional_paths_update(self, af_ipv4_neighbor_address=None, addpath_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_disable: YANGBool
    :param addpath_disable: disable additional paths capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_disable=addpath_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_disable=addpath_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_additional_paths_addpath_txrx_update(self, af_ipv4_neighbor_address=None, addpath_send=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_send, addpath_receive'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_send=addpath_send, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_send=addpath_send, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_additional_paths_advertise_update(self, af_ipv4_neighbor_address=None, addpath_adv_best=None, addpath_adv_groupbest=None, addpath_adv_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_adv_best: int
    :param addpath_adv_best: Advertise best 'n'

        * range restriction: ::

            ['0..255']

    :type addpath_adv_groupbest: YANGBool
    :param addpath_adv_groupbest: Advertise group-best

    :type addpath_adv_all: YANGBool
    :param addpath_adv_all: Advertise all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_adv_best, addpath_adv_groupbest, addpath_adv_all'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_adv_best=addpath_adv_best, addpath_adv_groupbest=addpath_adv_groupbest, addpath_adv_all=addpath_adv_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_adv_best=addpath_adv_best, addpath_adv_groupbest=addpath_adv_groupbest, addpath_adv_all=addpath_adv_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_additional_paths_advertise_all_update(self, af_ipv4_neighbor_address=None, addpath_adv_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_adv_all: YANGBool
    :param addpath_adv_all: Advertise all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_adv_all=addpath_adv_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_adv_all=addpath_adv_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_additional_paths_advertise_best_update(self, af_ipv4_neighbor_address=None, addpath_adv_best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_adv_best: int
    :param addpath_adv_best: Advertise best 'n'

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_adv_best=addpath_adv_best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_adv_best=addpath_adv_best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_additional_paths_advertise_group_best_update(self, af_ipv4_neighbor_address=None, addpath_adv_groupbest=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_adv_groupbest: YANGBool
    :param addpath_adv_groupbest: Advertise group-best

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_adv_groupbest=addpath_adv_groupbest)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_adv_groupbest=addpath_adv_groupbest)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_additional_paths_disable_update(self, af_ipv4_neighbor_address=None, addpath_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_disable: YANGBool
    :param addpath_disable: disable additional paths capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_disable=addpath_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_disable=addpath_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_additional_paths_receive_update(self, af_ipv4_neighbor_address=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_additional_paths_send_update(self, af_ipv4_neighbor_address=None, addpath_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_send=addpath_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, addpath_send=addpath_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_allowas_in_update(self, af_ipv4_neighbor_address=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_capability_orf_prefixlist_update(self, af_ipv4_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_capability_orf_prefixlist_prefixlist_status_update(self, af_ipv4_neighbor_address=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_capability_orf_prefixlist_receive_update(self, af_ipv4_neighbor_address=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_capability_orf_prefixlist_send_update(self, af_ipv4_neighbor_address=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_default_originate_update(self, af_ipv4_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_default_originate_default_originate_status_update(self, af_ipv4_neighbor_address=None, default_originate_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_default_originate_route_map_update(self, af_ipv4_neighbor_address=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_filter_list_direction_in_update(self, af_ipv4_neighbor_address=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_filter_list_direction_out_update(self, af_ipv4_neighbor_address=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_filter_list_filter_list_direction_in_acl_name_update(self, af_ipv4_neighbor_address=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_filter_list_filter_list_direction_out_acl_name_update(self, af_ipv4_neighbor_address=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_filter_list_in_update(self, af_ipv4_neighbor_address=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_filter_list_out_update(self, af_ipv4_neighbor_address=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_maximum_prefix_update(self, af_ipv4_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_prefix_limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_maximum_prefix_max_prefix_limit_update(self, af_ipv4_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_maximum_prefix_teardown_update(self, af_ipv4_neighbor_address=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_maximum_prefix_threshold_update(self, af_ipv4_neighbor_address=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_maximum_prefix_threshold_holder_update(self, af_ipv4_neighbor_address=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'threshold, teardown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, threshold=threshold, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_direction_in_update(self, af_ipv4_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_direction_out_update(self, af_ipv4_neighbor_address=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_in_update(self, af_ipv4_neighbor_address=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_ip_access_number_update(self, af_ipv4_neighbor_address=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_ip_access_number_direction_out_update(self, af_ipv4_neighbor_address=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_out_update(self, af_ipv4_neighbor_address=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_prefix_list_direction_in_prefix_name_update(self, af_ipv4_neighbor_address=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_prefix_list_prefix_list_direction_out_prefix_name_update(self, af_ipv4_neighbor_address=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_route_map_in_update(self, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_route_map_in_neighbor_route_map_name_direction_in_update(self, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_route_map_out_update(self, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_route_map_out_neighbor_route_map_name_direction_out_update(self, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_route_reflector_client_update(self, af_ipv4_neighbor_address=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_send_community_update(self, af_ipv4_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_send_community_both_update(self, af_ipv4_neighbor_address=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_send_community_extended_update(self, af_ipv4_neighbor_address=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_send_community_send_community_status_update(self, af_ipv4_neighbor_address=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_send_community_standard_update(self, af_ipv4_neighbor_address=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_unsuppress_map_update(self, af_ipv4_neighbor_address=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_unsuppress_map_map_name_update(self, af_ipv4_neighbor_address=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_weight_update(self, af_ipv4_neighbor_address=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_update(self, af_ipv4_neighbor_peergroup=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup": {"af_nei_weight": "af_nei_weight", "af_ipv4_neighbor_peergroup_name": "af_ipv4_neighbor_peergroup_name", "activate": "activate", "allowas_in": "allowas_in", "route_reflector_client": "route_reflector_client"}, "pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup": {"af_nei_weight": "af_nei_weight", "af_ipv4_neighbor_peergroup_name": "af_ipv4_neighbor_peergroup_name", "activate": "activate", "allowas_in": "allowas_in", "route_reflector_client": "route_reflector_client"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_activate_update(self, af_ipv4_neighbor_peergroup=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_additional_paths_update(self, af_ipv4_neighbor_peergroup=None, addpath_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_disable: YANGBool
    :param addpath_disable: disable additional paths capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_disable=addpath_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_disable=addpath_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_additional_paths_addpath_txrx_update(self, af_ipv4_neighbor_peergroup=None, addpath_send=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_send, addpath_receive'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_send=addpath_send, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_send=addpath_send, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_additional_paths_advertise_update(self, af_ipv4_neighbor_peergroup=None, addpath_adv_best=None, addpath_adv_groupbest=None, addpath_adv_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_adv_best: int
    :param addpath_adv_best: Advertise best 'n'

        * range restriction: ::

            ['0..255']

    :type addpath_adv_groupbest: YANGBool
    :param addpath_adv_groupbest: Advertise group-best

    :type addpath_adv_all: YANGBool
    :param addpath_adv_all: Advertise all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_adv_best, addpath_adv_groupbest, addpath_adv_all'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_adv_best=addpath_adv_best, addpath_adv_groupbest=addpath_adv_groupbest, addpath_adv_all=addpath_adv_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_adv_best=addpath_adv_best, addpath_adv_groupbest=addpath_adv_groupbest, addpath_adv_all=addpath_adv_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_additional_paths_advertise_all_update(self, af_ipv4_neighbor_peergroup=None, addpath_adv_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_adv_all: YANGBool
    :param addpath_adv_all: Advertise all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_adv_all=addpath_adv_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_adv_all=addpath_adv_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_additional_paths_advertise_best_update(self, af_ipv4_neighbor_peergroup=None, addpath_adv_best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_adv_best: int
    :param addpath_adv_best: Advertise best 'n'

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_adv_best=addpath_adv_best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_adv_best=addpath_adv_best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_additional_paths_advertise_group_best_update(self, af_ipv4_neighbor_peergroup=None, addpath_adv_groupbest=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_adv_groupbest: YANGBool
    :param addpath_adv_groupbest: Advertise group-best

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_adv_groupbest=addpath_adv_groupbest)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_adv_groupbest=addpath_adv_groupbest)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_additional_paths_disable_update(self, af_ipv4_neighbor_peergroup=None, addpath_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_disable: YANGBool
    :param addpath_disable: disable additional paths capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_disable=addpath_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_disable=addpath_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_additional_paths_receive_update(self, af_ipv4_neighbor_peergroup=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_additional_paths_send_update(self, af_ipv4_neighbor_peergroup=None, addpath_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_send=addpath_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, addpath_send=addpath_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_allowas_in_update(self, af_ipv4_neighbor_peergroup=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_capability_orf_prefixlist_update(self, af_ipv4_neighbor_peergroup=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_capability_orf_prefixlist_prefixlist_status_update(self, af_ipv4_neighbor_peergroup=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_capability_orf_prefixlist_receive_update(self, af_ipv4_neighbor_peergroup=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_capability_orf_prefixlist_send_update(self, af_ipv4_neighbor_peergroup=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_default_originate_update(self, af_ipv4_neighbor_peergroup=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_default_originate_default_originate_status_update(self, af_ipv4_neighbor_peergroup=None, default_originate_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, default_originate_status=default_originate_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, default_originate_status=default_originate_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_default_originate_route_map_update(self, af_ipv4_neighbor_peergroup=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_filter_list_direction_in_update(self, af_ipv4_neighbor_peergroup=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_filter_list_direction_out_update(self, af_ipv4_neighbor_peergroup=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_filter_list_filter_list_direction_in_acl_name_update(self, af_ipv4_neighbor_peergroup=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_filter_list_filter_list_direction_out_acl_name_update(self, af_ipv4_neighbor_peergroup=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_filter_list_in_update(self, af_ipv4_neighbor_peergroup=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_filter_list_out_update(self, af_ipv4_neighbor_peergroup=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_maximum_prefix_update(self, af_ipv4_neighbor_peergroup=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_prefix_limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_maximum_prefix_max_prefix_limit_update(self, af_ipv4_neighbor_peergroup=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_maximum_prefix_teardown_update(self, af_ipv4_neighbor_peergroup=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_maximum_prefix_threshold_update(self, af_ipv4_neighbor_peergroup=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_maximum_prefix_threshold_holder_update(self, af_ipv4_neighbor_peergroup=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'threshold, teardown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, threshold=threshold, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_direction_in_update(self, af_ipv4_neighbor_peergroup=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_direction_out_update(self, af_ipv4_neighbor_peergroup=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_in_update(self, af_ipv4_neighbor_peergroup=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_ip_access_number_update(self, af_ipv4_neighbor_peergroup=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_ip_access_number_direction_out_update(self, af_ipv4_neighbor_peergroup=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_out_update(self, af_ipv4_neighbor_peergroup=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_prefix_list_direction_in_prefix_name_update(self, af_ipv4_neighbor_peergroup=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_prefix_list_prefix_list_direction_out_prefix_name_update(self, af_ipv4_neighbor_peergroup=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_route_map_in_update(self, af_ipv4_neighbor_peergroup=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_route_map_in_neighbor_route_map_name_direction_in_update(self, af_ipv4_neighbor_peergroup=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_route_map_out_update(self, af_ipv4_neighbor_peergroup=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_route_map_out_neighbor_route_map_name_direction_out_update(self, af_ipv4_neighbor_peergroup=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_route_reflector_client_update(self, af_ipv4_neighbor_peergroup=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_send_community_update(self, af_ipv4_neighbor_peergroup=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_send_community_both_update(self, af_ipv4_neighbor_peergroup=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_send_community_extended_update(self, af_ipv4_neighbor_peergroup=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_send_community_send_community_status_update(self, af_ipv4_neighbor_peergroup=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_send_community_standard_update(self, af_ipv4_neighbor_peergroup=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_unsuppress_map_update(self, af_ipv4_neighbor_peergroup=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_unsuppress_map_map_name_update(self, af_ipv4_neighbor_peergroup=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_weight_update(self, af_ipv4_neighbor_peergroup=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_network_update(self, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_network_backdoor_update(self, network=None, backdoor=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, network=network, backdoor=backdoor)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, network=network, backdoor=backdoor)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_network_route_map_update(self, network=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, network=network, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, network=network, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_network_weight_update(self, network=None, network_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, network=network, network_weight=network_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, network=network, network_weight=network_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_next_hop_enable_default_update(self, next_hop_enable_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, next_hop_enable_default=next_hop_enable_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, next_hop_enable_default=next_hop_enable_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_next_hop_mpls_compare_lsp_metric_update(self, compare_lsp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type compare_lsp_metric: YANGBool
    :param compare_lsp_metric: Compare metric value among LSP ECMP paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.next_hop_mpls', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.next_hop_mpls', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, compare_lsp_metric=compare_lsp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, compare_lsp_metric=compare_lsp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_next_hop_mpls_follow_igp_update(self, follow_igp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type follow_igp: YANGBool
    :param follow_igp: Use IGP metric and ignore LSP metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.next_hop_mpls', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.next_hop_mpls', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, follow_igp=follow_igp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, follow_igp=follow_igp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_next_hop_recursion_update(self, next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, next_hop_recursion=next_hop_recursion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, next_hop_recursion=next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_bgp_update(self, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_bgp_metric_update(self, bgp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_metric=bgp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_metric=bgp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_bgp_redistribute_bgp_update(self, redistribute_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_bgp=redistribute_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_bgp=redistribute_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_bgp_route_map_update(self, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_connected_update(self, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_connected_metric_update(self, unicast_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, unicast_metric=unicast_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, unicast_metric=unicast_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_connected_redistribute_connected_update(self, redistribute_connected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_connected=redistribute_connected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_connected=redistribute_connected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_connected_route_map_update(self, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_isis_level_1_update(self, level_1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type level_1: YANGBool
    :param level_1: Redistribution of IS-IS Level-1 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, level_1=level_1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, level_1=level_1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_isis_level_1_2_update(self, level_1_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type level_1_2: YANGBool
    :param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, level_1_2=level_1_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, level_1_2=level_1_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_isis_level_2_update(self, level_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type level_2: YANGBool
    :param level_2: Redistribution of IS-IS Level-2 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, level_2=level_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, level_2=level_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_isis_metric_update(self, redistribute_isis_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_isis_metric: long
    :param redistribute_isis_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_isis_metric=redistribute_isis_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_isis_metric=redistribute_isis_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_isis_route_map_update(self, redistribute_isis_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_isis_route_map: unicode
    :param redistribute_isis_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_isis_route_map=redistribute_isis_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_isis_route_map=redistribute_isis_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_ospf_update(self, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_external1_update(self, ospf_external1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_external1=ospf_external1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_external1=ospf_external1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_external2_update(self, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_internal_update(self, ospf_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_internal=ospf_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_internal=ospf_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_ospf_metric_update(self, ospf_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_metric=ospf_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_metric=ospf_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_ospf_redistribute_ospf_update(self, redistribute_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_ospf=redistribute_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_ospf=redistribute_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_ospf_route_map_update(self, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_static_update(self, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_static_metric_update(self, unicast_static_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, unicast_static_metric=unicast_static_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, unicast_static_metric=unicast_static_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_static_redistribute_static_update(self, redistribute_static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_static=redistribute_static)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_static=redistribute_static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_static_route_map_update(self, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_rib_route_limit_update(self, rib_route_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rib_route_limit=rib_route_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rib_route_limit=rib_route_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_static_network_update(self, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type static_network: static_network_address
    :param static_network: Keyword argument tuple.

    :type static_network_address: unicode
    :param static_network_address: **static_network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type static_network_distance: long
    :param static_network_distance: Define an administrative distance for this local network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_network=static_network, static_network_distance=static_network_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_static_network_distance_update(self, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type static_network: static_network_address
    :param static_network: Keyword argument tuple.

    :type static_network_address: unicode
    :param static_network_address: **static_network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type static_network_distance: long
    :param static_network_distance: Define an administrative distance for this local network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_network=static_network, static_network_distance=static_network_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_table_map_update(self, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_table_map_route_map_update(self, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_update_time_update(self, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_update(self, af_vrf=None, local_as=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type local_as: unicode
    :param local_as: Configure local AS number

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Enables the BGP graceful restart capability

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf": {"client_to_client_reflection": "client_to_client_reflection", "af_vrf_name": "af_vrf_name", "default_metric": "default_metric", "local_as": "local_as", "next_hop_enable_default": "next_hop_enable_default", "always_propagate": "always_propagate", "update_time": "update_time", "graceful_restart_status": "graceful_restart_status", "default_information_originate": "default_information_originate", "next_hop_recursion": "next_hop_recursion", "rib_route_limit": "rib_route_limit"}, "pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, local_as=local_as, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, local_as=local_as, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_additional_paths_addpath_txrx_update(self, af_vrf=None, addpath_send=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_send, addpath_receive'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, addpath_send=addpath_send, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, addpath_send=addpath_send, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_additional_paths_receive_update(self, af_vrf=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_additional_paths_select_update(self, af_vrf=None, addpath_sel_best=None, addpath_sel_groupbest=None, addpath_sel_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_sel_best: int
    :param addpath_sel_best: Select best 'n'

        * range restriction: ::

            ['0..255']

    :type addpath_sel_groupbest: YANGBool
    :param addpath_sel_groupbest: Select group-best

    :type addpath_sel_all: YANGBool
    :param addpath_sel_all: Select all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_sel_best, addpath_sel_groupbest, addpath_sel_all'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, addpath_sel_best=addpath_sel_best, addpath_sel_groupbest=addpath_sel_groupbest, addpath_sel_all=addpath_sel_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, addpath_sel_best=addpath_sel_best, addpath_sel_groupbest=addpath_sel_groupbest, addpath_sel_all=addpath_sel_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_additional_paths_select_all_update(self, af_vrf=None, addpath_sel_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_sel_all: YANGBool
    :param addpath_sel_all: Select all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, addpath_sel_all=addpath_sel_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, addpath_sel_all=addpath_sel_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_additional_paths_select_best_update(self, af_vrf=None, addpath_sel_best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_sel_best: int
    :param addpath_sel_best: Select best 'n'

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, addpath_sel_best=addpath_sel_best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, addpath_sel_best=addpath_sel_best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_additional_paths_select_group_best_update(self, af_vrf=None, addpath_sel_groupbest=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_sel_groupbest: YANGBool
    :param addpath_sel_groupbest: Select group-best

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, addpath_sel_groupbest=addpath_sel_groupbest)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, addpath_sel_groupbest=addpath_sel_groupbest)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_additional_paths_send_update(self, af_vrf=None, addpath_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, addpath_send=addpath_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, addpath_send=addpath_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_advertise_best_external_update(self, af_vrf=None, advertise_best_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type advertise_best_external: YANGBool
    :param advertise_best_external: Advertise best external path to internal peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, advertise_best_external=advertise_best_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, advertise_best_external=advertise_best_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_update(self, af_vrf=None, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_advertise_map_update(self, af_vrf=None, aggregate_address=None, advertise_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_as_set_update(self, af_vrf=None, aggregate_address=None, as_set=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, aggregate_address=aggregate_address, as_set=as_set)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, aggregate_address=aggregate_address, as_set=as_set)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_attribute_map_update(self, af_vrf=None, aggregate_address=None, attribute_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, aggregate_address=aggregate_address, attribute_map=attribute_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, aggregate_address=aggregate_address, attribute_map=attribute_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_summary_only_update(self, af_vrf=None, aggregate_address=None, summary_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, aggregate_address=aggregate_address, summary_only=summary_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, aggregate_address=aggregate_address, summary_only=summary_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_suppress_map_update(self, af_vrf=None, aggregate_address=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, aggregate_address=aggregate_address, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, aggregate_address=aggregate_address, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_always_propagate_update(self, af_vrf=None, always_propagate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, always_propagate=always_propagate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, always_propagate=always_propagate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_bgp_redistribute_internal_update(self, af_vrf=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type bgp_redistribute_internal: YANGBool
    :param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, bgp_redistribute_internal=bgp_redistribute_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_client_to_client_reflection_update(self, af_vrf=None, client_to_client_reflection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, client_to_client_reflection=client_to_client_reflection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, client_to_client_reflection=client_to_client_reflection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_dampening_update(self, af_vrf=None, dampening_flag=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening': [u'dampening_flag', u'values', u'dampening_route_map'], 'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening': [u'dampening_flag', u'values', u'dampening_route_map']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_dampening_dampening_flag_update(self, af_vrf=None, dampening_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, dampening_flag=dampening_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, dampening_flag=dampening_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_dampening_half_time_update(self, af_vrf=None, half_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, half_time=half_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, half_time=half_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_dampening_max_suppress_time_update(self, af_vrf=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_dampening_reuse_value_update(self, af_vrf=None, reuse_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, reuse_value=reuse_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, reuse_value=reuse_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_dampening_route_map_update(self, af_vrf=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_dampening_start_suppress_time_update(self, af_vrf=None, start_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, start_suppress_time=start_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, start_suppress_time=start_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_dampening_values_update(self, af_vrf=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'half_time, reuse_value, start_suppress_time, max_suppress_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values': [u'half_time'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values': [u'half_time']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_default_information_originate_update(self, af_vrf=None, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, default_information_originate=default_information_originate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_default_metric_update(self, af_vrf=None, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_graceful_restart_update(self, af_vrf=None, graceful_restart_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Enables the BGP graceful restart capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, graceful_restart_status=graceful_restart_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, graceful_restart_status=graceful_restart_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_local_as_update(self, af_vrf=None, local_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type local_as: unicode
    :param local_as: Configure local AS number

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, local_as=local_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, local_as=local_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_maxas_limit_in_update(self, af_vrf=None, num_as_in_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type num_as_in_path: long
    :param num_as_in_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, num_as_in_path=num_as_in_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, num_as_in_path=num_as_in_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_maxas_limit_in_num_as_in_path_update(self, af_vrf=None, num_as_in_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type num_as_in_path: long
    :param num_as_in_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, num_as_in_path=num_as_in_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, num_as_in_path=num_as_in_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_update(self, af_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_ebgp_update(self, af_vrf=None, ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, ebgp=ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, ebgp=ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_ibgp_update(self, af_vrf=None, ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, ibgp=ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, ibgp=ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_load_sharing_value_update(self, af_vrf=None, load_sharing_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, load_sharing_value=load_sharing_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, load_sharing_value=load_sharing_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_use_load_sharing_update(self, af_vrf=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_multipath_update(self, af_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_multipath_ebgp_update(self, af_vrf=None, multipath_ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_multipath_ibgp_update(self, af_vrf=None, multipath_ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, multipath_ibgp=multipath_ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, multipath_ibgp=multipath_ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_multipath_multi_as_update(self, af_vrf=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr": {"static_network_edge": "static_network_edge", "activate": "activate", "remote_as": "remote_as", "associate_peer_group": "associate_peer_group", "ebgp_btsh": "ebgp_btsh", "allowas_in": "allowas_in", "af_nei_weight": "af_nei_weight", "af_ipv4_neighbor_address": "af_ipv4_neighbor_address", "route_reflector_client": "route_reflector_client", "remove_private_as": "remove_private_as", "password": "password", "as_override": "as_override", "description": "description"}, "pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr": {"static_network_edge": "static_network_edge", "activate": "activate", "remote_as": "remote_as", "associate_peer_group": "associate_peer_group", "ebgp_btsh": "ebgp_btsh", "allowas_in": "allowas_in", "af_nei_weight": "af_nei_weight", "af_ipv4_neighbor_address": "af_ipv4_neighbor_address", "route_reflector_client": "route_reflector_client", "remove_private_as": "remove_private_as", "password": "password", "as_override": "as_override", "description": "description"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_activate_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_additional_paths_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, addpath_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_disable: YANGBool
    :param addpath_disable: disable additional paths capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_disable=addpath_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_disable=addpath_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_additional_paths_addpath_txrx_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, addpath_send=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_send, addpath_receive'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_send=addpath_send, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_send=addpath_send, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_additional_paths_advertise_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, addpath_adv_best=None, addpath_adv_groupbest=None, addpath_adv_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_adv_best: int
    :param addpath_adv_best: Advertise best 'n'

        * range restriction: ::

            ['0..255']

    :type addpath_adv_groupbest: YANGBool
    :param addpath_adv_groupbest: Advertise group-best

    :type addpath_adv_all: YANGBool
    :param addpath_adv_all: Advertise all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_adv_best, addpath_adv_groupbest, addpath_adv_all'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_adv_best=addpath_adv_best, addpath_adv_groupbest=addpath_adv_groupbest, addpath_adv_all=addpath_adv_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_adv_best=addpath_adv_best, addpath_adv_groupbest=addpath_adv_groupbest, addpath_adv_all=addpath_adv_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_additional_paths_advertise_all_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, addpath_adv_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_adv_all: YANGBool
    :param addpath_adv_all: Advertise all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_adv_all=addpath_adv_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_adv_all=addpath_adv_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_additional_paths_advertise_best_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, addpath_adv_best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_adv_best: int
    :param addpath_adv_best: Advertise best 'n'

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_adv_best=addpath_adv_best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_adv_best=addpath_adv_best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_additional_paths_advertise_group_best_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, addpath_adv_groupbest=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_adv_groupbest: YANGBool
    :param addpath_adv_groupbest: Advertise group-best

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_adv_groupbest=addpath_adv_groupbest)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_adv_groupbest=addpath_adv_groupbest)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_additional_paths_disable_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, addpath_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_disable: YANGBool
    :param addpath_disable: disable additional paths capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_disable=addpath_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_disable=addpath_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_additional_paths_receive_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_additional_paths_send_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, addpath_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_send=addpath_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, addpath_send=addpath_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_advertisement_interval_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'value'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_advertisement_interval_value_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_allowas_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_as_override_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, as_override=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, as_override=as_override)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, as_override=as_override)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_bfd_enable_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_holdover_interval_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_interval_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_interval_min_rx_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_interval_min_tx_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_bfd_interval_multiplier_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_as4_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_as4_disable_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_as4_enable_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_orf_prefixlist_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_orf_prefixlist_prefixlist_status_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_orf_prefixlist_receive_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_capability_orf_prefixlist_send_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_default_originate_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_default_originate_default_originate_status_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, default_originate_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_default_originate_route_map_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_description_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_ebgp_btsh_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, ebgp_btsh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_btsh=ebgp_btsh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_btsh=ebgp_btsh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_ebgp_multihop_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_ebgp_multihop_ebgp_multihop_count_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_ebgp_multihop_ebgp_multihop_flag_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, ebgp_multihop_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_enforce_first_as_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_enforce_first_as_disable_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_enforce_first_as_enable_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_filter_list_direction_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_filter_list_direction_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_filter_list_filter_list_direction_in_acl_name_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_filter_list_filter_list_direction_out_acl_name_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_filter_list_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_filter_list_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_local_as_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'local_as_value, no_prepend'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_local_as_local_as_value_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, local_as_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, local_as_value=local_as_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, local_as_value=local_as_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_local_as_no_prepend_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maxas_limit_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maxas_limit_in_disable_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maxas_limit_in_num_as_in_as_path_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, num_as_in_as_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maximum_prefix_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_prefix_limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maximum_prefix_max_prefix_limit_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maximum_prefix_teardown_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maximum_prefix_threshold_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_maximum_prefix_threshold_holder_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'threshold, teardown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, threshold=threshold, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_next_hop_self_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_next_hop_self_always_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_next_hop_self_next_hop_self_status_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_password_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_peer_group_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, associate_peer_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, associate_peer_group=associate_peer_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, associate_peer_group=associate_peer_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_direction_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_direction_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_ip_access_number_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_ip_access_number_direction_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_prefix_list_direction_in_prefix_name_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_prefix_list_prefix_list_direction_out_prefix_name_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_remote_as_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, remote_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, remote_as=remote_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, remote_as=remote_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_remove_private_as_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, remove_private_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, remove_private_as=remove_private_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, remove_private_as=remove_private_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_route_map_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_route_map_in_neighbor_route_map_name_direction_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_route_map_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_route_map_out_neighbor_route_map_name_direction_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_route_reflector_client_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_send_community_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_send_community_both_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_send_community_extended_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_send_community_send_community_status_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_send_community_standard_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_shutdown_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_shutdown_generate_rib_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_shutdown_shutdown_status_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_soft_reconfiguration_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_soft_reconfiguration_inbound_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_static_network_edge_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_timers_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_timers_hold_time_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_timers_keep_alive_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, nei_keep_alive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_unsuppress_map_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_unsuppress_map_map_name_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type sip_ipv4_address: unicode
    :param sip_ipv4_address: Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type loopback: unicode
    :param loopback: Loopback Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type ve_interface: long
    :param ve_interface: Virtual Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source': [u'ethernet_interface', u've_interface', u'sip_ipv4_address', u'loopback'], 'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source': [u'ethernet_interface', u've_interface', u'sip_ipv4_address', u'loopback']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_ethernet_interface_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['ethernet']

    :type interface_name: unicode
    :param interface_name: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface': [u'interface_type'], 'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface': [u'interface_type']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_interface_name_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_interface_type_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_loopback_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type loopback: unicode
    :param loopback: Loopback Interface

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_sip_ipv4_address_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, sip_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type sip_ipv4_address: unicode
    :param sip_ipv4_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, sip_ipv4_address=sip_ipv4_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, sip_ipv4_address=sip_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_update_source_ve_interface_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ve_interface: long
    :param ve_interface: Virtual Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_weight_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_network_update(self, af_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_network_backdoor_update(self, af_vrf=None, network=None, backdoor=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, network=network, backdoor=backdoor)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, network=network, backdoor=backdoor)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_network_route_map_update(self, af_vrf=None, network=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, network=network, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, network=network, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_network_weight_update(self, af_vrf=None, network=None, network_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, network=network, network_weight=network_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, network=network, network_weight=network_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_next_hop_enable_default_update(self, af_vrf=None, next_hop_enable_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, next_hop_enable_default=next_hop_enable_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, next_hop_enable_default=next_hop_enable_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_next_hop_recursion_update(self, af_vrf=None, next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, next_hop_recursion=next_hop_recursion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, next_hop_recursion=next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_update(self, af_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_metric_update(self, af_vrf=None, bgp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, bgp_metric=bgp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, bgp_metric=bgp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_redistribute_bgp_update(self, af_vrf=None, redistribute_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_route_map_update(self, af_vrf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_connected_update(self, af_vrf=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_connected_metric_update(self, af_vrf=None, unicast_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, unicast_metric=unicast_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, unicast_metric=unicast_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_connected_redistribute_connected_update(self, af_vrf=None, redistribute_connected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, redistribute_connected=redistribute_connected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, redistribute_connected=redistribute_connected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_connected_route_map_update(self, af_vrf=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_isis_level_1_update(self, af_vrf=None, level_1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type level_1: YANGBool
    :param level_1: Redistribution of IS-IS Level-1 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, level_1=level_1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, level_1=level_1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_isis_level_1_2_update(self, af_vrf=None, level_1_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type level_1_2: YANGBool
    :param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, level_1_2=level_1_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, level_1_2=level_1_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_isis_level_2_update(self, af_vrf=None, level_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type level_2: YANGBool
    :param level_2: Redistribution of IS-IS Level-2 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, level_2=level_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, level_2=level_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_isis_metric_update(self, af_vrf=None, redistribute_isis_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_isis_metric: long
    :param redistribute_isis_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, redistribute_isis_metric=redistribute_isis_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, redistribute_isis_metric=redistribute_isis_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_isis_route_map_update(self, af_vrf=None, redistribute_isis_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_isis_route_map: unicode
    :param redistribute_isis_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, redistribute_isis_route_map=redistribute_isis_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, redistribute_isis_route_map=redistribute_isis_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_update(self, af_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_update(self, af_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_external1_update(self, af_vrf=None, ospf_external1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, ospf_external1=ospf_external1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, ospf_external1=ospf_external1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_external2_update(self, af_vrf=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_internal_update(self, af_vrf=None, ospf_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, ospf_internal=ospf_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, ospf_internal=ospf_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_metric_update(self, af_vrf=None, ospf_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, ospf_metric=ospf_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, ospf_metric=ospf_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_redistribute_ospf_update(self, af_vrf=None, redistribute_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_route_map_update(self, af_vrf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_static_update(self, af_vrf=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_static_metric_update(self, af_vrf=None, unicast_static_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, unicast_static_metric=unicast_static_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, unicast_static_metric=unicast_static_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_static_redistribute_static_update(self, af_vrf=None, redistribute_static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, redistribute_static=redistribute_static)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, redistribute_static=redistribute_static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_static_route_map_update(self, af_vrf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_rib_route_limit_update(self, af_vrf=None, rib_route_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, rib_route_limit=rib_route_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, rib_route_limit=rib_route_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_static_network_update(self, af_vrf=None, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type static_network: static_network_address
    :param static_network: Keyword argument tuple.

    :type static_network_address: unicode
    :param static_network_address: **static_network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type static_network_distance: long
    :param static_network_distance: Define an administrative distance for this local network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_static_network_distance_update(self, af_vrf=None, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type static_network: static_network_address
    :param static_network: Keyword argument tuple.

    :type static_network_address: unicode
    :param static_network_address: **static_network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type static_network_distance: long
    :param static_network_distance: Define an administrative distance for this local network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_table_map_update(self, af_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_table_map_route_map_update(self, af_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_update_time_update(self, af_vrf=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vrf=af_vrf, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_additional_paths_addpath_txrx_update(self, addpath_send=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_send, addpath_receive'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_send=addpath_send, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_send=addpath_send, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_additional_paths_receive_update(self, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_additional_paths_select_update(self, addpath_sel_best=None, addpath_sel_groupbest=None, addpath_sel_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_sel_best: int
    :param addpath_sel_best: Select best 'n'

        * range restriction: ::

            ['0..255']

    :type addpath_sel_groupbest: YANGBool
    :param addpath_sel_groupbest: Select group-best

    :type addpath_sel_all: YANGBool
    :param addpath_sel_all: Select all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_sel_best, addpath_sel_groupbest, addpath_sel_all'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_sel_best=addpath_sel_best, addpath_sel_groupbest=addpath_sel_groupbest, addpath_sel_all=addpath_sel_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_sel_best=addpath_sel_best, addpath_sel_groupbest=addpath_sel_groupbest, addpath_sel_all=addpath_sel_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_additional_paths_select_all_update(self, addpath_sel_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_sel_all: YANGBool
    :param addpath_sel_all: Select all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_sel_all=addpath_sel_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_sel_all=addpath_sel_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_additional_paths_select_best_update(self, addpath_sel_best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_sel_best: int
    :param addpath_sel_best: Select best 'n'

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_sel_best=addpath_sel_best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_sel_best=addpath_sel_best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_additional_paths_select_group_best_update(self, addpath_sel_groupbest=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_sel_groupbest: YANGBool
    :param addpath_sel_groupbest: Select group-best

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_sel_groupbest=addpath_sel_groupbest)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_sel_groupbest=addpath_sel_groupbest)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_additional_paths_send_update(self, addpath_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.af_additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, addpath_send=addpath_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, addpath_send=addpath_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_advertise_best_external_update(self, advertise_best_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type advertise_best_external: YANGBool
    :param advertise_best_external: Advertise best external path to internal peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, advertise_best_external=advertise_best_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, advertise_best_external=advertise_best_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_af_common_cmds_holder_update(self, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder": {"next_hop_enable_default": "next_hop_enable_default", "default_metric": "default_metric", "client_to_client_reflection": "client_to_client_reflection", "always_propagate": "always_propagate", "update_time": "update_time", "default_information_originate": "default_information_originate", "rib_route_limit": "rib_route_limit"}, "pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_af_ipv6_uc_and_vrf_cmds_call_point_holder_update(self, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_redistribute_internal: YANGBool
    :param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_redistribute_internal=bgp_redistribute_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_aggregate_address_update(self, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_aggregate_address_advertise_map_update(self, aggregate_ipv6_address=None, advertise_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_aggregate_address_as_set_update(self, aggregate_ipv6_address=None, as_set=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aggregate_ipv6_address=aggregate_ipv6_address, as_set=as_set)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_ipv6_address=aggregate_ipv6_address, as_set=as_set)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_aggregate_address_attribute_map_update(self, aggregate_ipv6_address=None, attribute_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aggregate_ipv6_address=aggregate_ipv6_address, attribute_map=attribute_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_ipv6_address=aggregate_ipv6_address, attribute_map=attribute_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_aggregate_address_summary_only_update(self, aggregate_ipv6_address=None, summary_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aggregate_ipv6_address=aggregate_ipv6_address, summary_only=summary_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_ipv6_address=aggregate_ipv6_address, summary_only=summary_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_aggregate_address_suppress_map_update(self, aggregate_ipv6_address=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, aggregate_ipv6_address=aggregate_ipv6_address, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_ipv6_address=aggregate_ipv6_address, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_always_propagate_update(self, always_propagate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, always_propagate=always_propagate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, always_propagate=always_propagate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_bgp_redistribute_internal_update(self, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_redistribute_internal: YANGBool
    :param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_redistribute_internal=bgp_redistribute_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_client_to_client_reflection_update(self, client_to_client_reflection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, client_to_client_reflection=client_to_client_reflection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, client_to_client_reflection=client_to_client_reflection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_dampening_update(self, dampening_flag=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening': [u'dampening_flag', u'values', u'dampening_route_map'], 'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening': [u'dampening_flag', u'values', u'dampening_route_map']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_dampening_dampening_flag_update(self, dampening_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dampening_flag=dampening_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dampening_flag=dampening_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_dampening_half_time_update(self, half_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, half_time=half_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, half_time=half_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_dampening_max_suppress_time_update(self, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_dampening_reuse_value_update(self, reuse_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, reuse_value=reuse_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, reuse_value=reuse_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_dampening_route_map_update(self, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_dampening_start_suppress_time_update(self, start_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, start_suppress_time=start_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, start_suppress_time=start_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_dampening_values_update(self, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'half_time, reuse_value, start_suppress_time, max_suppress_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values': [u'half_time'], 'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values': [u'half_time']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_default_information_originate_update(self, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_information_originate=default_information_originate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_default_metric_update(self, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_default_vrf_update(self, default_vrf_selected=None, ipv6_ucast_next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_vrf_selected: YANGBool
    :param default_vrf_selected: Keyword argument.

    :type ipv6_ucast_next_hop_recursion: YANGBool
    :param ipv6_ucast_next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_vrf_selected=default_vrf_selected, ipv6_ucast_next_hop_recursion=ipv6_ucast_next_hop_recursion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_vrf_selected=default_vrf_selected, ipv6_ucast_next_hop_recursion=ipv6_ucast_next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_default_vrf_selected_update(self, default_vrf_selected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_vrf_selected: YANGBool
    :param default_vrf_selected: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_vrf_selected=default_vrf_selected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_vrf_selected=default_vrf_selected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_graceful_restart_update(self, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Keyword argument.

    :type restart_time: long
    :param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120

        * range restriction: ::

            ['0..4294967295']

    :type purge_time: long
    :param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600

        * range restriction: ::

            ['0..4294967295']

    :type stale_routes_time: long
    :param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_graceful_restart_graceful_restart_status_update(self, graceful_restart_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, graceful_restart_status=graceful_restart_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, graceful_restart_status=graceful_restart_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_graceful_restart_purge_time_update(self, purge_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type purge_time: long
    :param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, purge_time=purge_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, purge_time=purge_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_graceful_restart_restart_time_update(self, restart_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type restart_time: long
    :param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, restart_time=restart_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, restart_time=restart_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_graceful_restart_stale_routes_time_update(self, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type stale_routes_time: long
    :param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, stale_routes_time=stale_routes_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_maximum_paths_update(self, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_maximum_paths_ebgp_update(self, ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ebgp=ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ebgp=ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_maximum_paths_ibgp_update(self, ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ibgp=ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ibgp=ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_maximum_paths_load_sharing_value_update(self, load_sharing_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, load_sharing_value=load_sharing_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, load_sharing_value=load_sharing_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_maximum_paths_use_load_sharing_update(self, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_multipath_update(self, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_multipath_ebgp_update(self, multipath_ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, multipath_ebgp=multipath_ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multipath_ebgp=multipath_ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_multipath_ibgp_update(self, multipath_ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, multipath_ibgp=multipath_ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multipath_ibgp=multipath_ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_multipath_multi_as_update(self, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_update(self, af_ipv6_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_address', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address": {"af_ipv6_neighbor_address": "af_ipv6_neighbor_address", "af_nei_weight": "af_nei_weight", "activate": "activate", "allowas_in": "allowas_in", "route_reflector_client": "route_reflector_client"}, "pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address": {"af_ipv6_neighbor_address": "af_ipv6_neighbor_address", "af_nei_weight": "af_nei_weight", "activate": "activate", "allowas_in": "allowas_in", "route_reflector_client": "route_reflector_client"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_activate_update(self, af_ipv6_neighbor_address=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_address', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_additional_paths_update(self, af_ipv6_neighbor_address=None, addpath_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_disable: YANGBool
    :param addpath_disable: disable additional paths capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_disable=addpath_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_disable=addpath_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_additional_paths_addpath_txrx_update(self, af_ipv6_neighbor_address=None, addpath_send=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_send, addpath_receive'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_send=addpath_send, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_send=addpath_send, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_additional_paths_advertise_update(self, af_ipv6_neighbor_address=None, addpath_adv_best=None, addpath_adv_groupbest=None, addpath_adv_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_adv_best: int
    :param addpath_adv_best: Advertise best 'n'

        * range restriction: ::

            ['0..255']

    :type addpath_adv_groupbest: YANGBool
    :param addpath_adv_groupbest: Advertise group-best

    :type addpath_adv_all: YANGBool
    :param addpath_adv_all: Advertise all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_adv_best, addpath_adv_groupbest, addpath_adv_all'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_adv_best=addpath_adv_best, addpath_adv_groupbest=addpath_adv_groupbest, addpath_adv_all=addpath_adv_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_adv_best=addpath_adv_best, addpath_adv_groupbest=addpath_adv_groupbest, addpath_adv_all=addpath_adv_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_additional_paths_advertise_all_update(self, af_ipv6_neighbor_address=None, addpath_adv_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_adv_all: YANGBool
    :param addpath_adv_all: Advertise all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_adv_all=addpath_adv_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_adv_all=addpath_adv_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_additional_paths_advertise_best_update(self, af_ipv6_neighbor_address=None, addpath_adv_best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_adv_best: int
    :param addpath_adv_best: Advertise best 'n'

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_adv_best=addpath_adv_best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_adv_best=addpath_adv_best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_additional_paths_advertise_group_best_update(self, af_ipv6_neighbor_address=None, addpath_adv_groupbest=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_adv_groupbest: YANGBool
    :param addpath_adv_groupbest: Advertise group-best

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_adv_groupbest=addpath_adv_groupbest)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_adv_groupbest=addpath_adv_groupbest)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_additional_paths_disable_update(self, af_ipv6_neighbor_address=None, addpath_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_disable: YANGBool
    :param addpath_disable: disable additional paths capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_disable=addpath_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_disable=addpath_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_additional_paths_receive_update(self, af_ipv6_neighbor_address=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_additional_paths_send_update(self, af_ipv6_neighbor_address=None, addpath_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_send=addpath_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, addpath_send=addpath_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_allowas_in_update(self, af_ipv6_neighbor_address=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_address', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_capability_orf_prefixlist_update(self, af_ipv6_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_capability_orf_prefixlist_prefixlist_status_update(self, af_ipv6_neighbor_address=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_capability_orf_prefixlist_receive_update(self, af_ipv6_neighbor_address=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_capability_orf_prefixlist_send_update(self, af_ipv6_neighbor_address=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_default_originate_update(self, af_ipv6_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_default_originate_default_originate_status_update(self, af_ipv6_neighbor_address=None, default_originate_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_default_originate_route_map_update(self, af_ipv6_neighbor_address=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_filter_list_direction_in_update(self, af_ipv6_neighbor_address=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_filter_list_direction_out_update(self, af_ipv6_neighbor_address=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_filter_list_filter_list_direction_in_acl_name_update(self, af_ipv6_neighbor_address=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_filter_list_filter_list_direction_out_acl_name_update(self, af_ipv6_neighbor_address=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_filter_list_in_update(self, af_ipv6_neighbor_address=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_filter_list_out_update(self, af_ipv6_neighbor_address=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_maximum_prefix_update(self, af_ipv6_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_prefix_limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_maximum_prefix_max_prefix_limit_update(self, af_ipv6_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_maximum_prefix_teardown_update(self, af_ipv6_neighbor_address=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_maximum_prefix_threshold_update(self, af_ipv6_neighbor_address=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_maximum_prefix_threshold_holder_update(self, af_ipv6_neighbor_address=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'threshold, teardown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, threshold=threshold, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_direction_in_update(self, af_ipv6_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_direction_out_update(self, af_ipv6_neighbor_address=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_in_update(self, af_ipv6_neighbor_address=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_ip_access_number_update(self, af_ipv6_neighbor_address=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_ip_access_number_direction_out_update(self, af_ipv6_neighbor_address=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_out_update(self, af_ipv6_neighbor_address=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_prefix_list_direction_in_prefix_name_update(self, af_ipv6_neighbor_address=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_prefix_list_prefix_list_direction_out_prefix_name_update(self, af_ipv6_neighbor_address=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_route_map_in_update(self, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_route_map_in_neighbor_route_map_name_direction_in_update(self, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_route_map_out_update(self, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_route_map_out_neighbor_route_map_name_direction_out_update(self, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_route_reflector_client_update(self, af_ipv6_neighbor_address=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_address', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_send_community_update(self, af_ipv6_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_send_community_both_update(self, af_ipv6_neighbor_address=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_send_community_extended_update(self, af_ipv6_neighbor_address=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_send_community_send_community_status_update(self, af_ipv6_neighbor_address=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_send_community_standard_update(self, af_ipv6_neighbor_address=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_unsuppress_map_update(self, af_ipv6_neighbor_address=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_unsuppress_map_map_name_update(self, af_ipv6_neighbor_address=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_weight_update(self, af_ipv6_neighbor_address=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_address', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_update(self, af_ipv6_neighbor_peergroup=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup": {"af_nei_weight": "af_nei_weight", "activate": "activate", "af_ipv6_neighbor_peergroup_name": "af_ipv6_neighbor_peergroup_name", "route_reflector_client": "route_reflector_client", "allowas_in": "allowas_in"}, "pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup": {"af_nei_weight": "af_nei_weight", "activate": "activate", "af_ipv6_neighbor_peergroup_name": "af_ipv6_neighbor_peergroup_name", "route_reflector_client": "route_reflector_client", "allowas_in": "allowas_in"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_activate_update(self, af_ipv6_neighbor_peergroup=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_additional_paths_update(self, af_ipv6_neighbor_peergroup=None, addpath_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_disable: YANGBool
    :param addpath_disable: disable additional paths capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_disable=addpath_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_disable=addpath_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_additional_paths_addpath_txrx_update(self, af_ipv6_neighbor_peergroup=None, addpath_send=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_send, addpath_receive'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_send=addpath_send, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_send=addpath_send, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_additional_paths_advertise_update(self, af_ipv6_neighbor_peergroup=None, addpath_adv_best=None, addpath_adv_groupbest=None, addpath_adv_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_adv_best: int
    :param addpath_adv_best: Advertise best 'n'

        * range restriction: ::

            ['0..255']

    :type addpath_adv_groupbest: YANGBool
    :param addpath_adv_groupbest: Advertise group-best

    :type addpath_adv_all: YANGBool
    :param addpath_adv_all: Advertise all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_adv_best, addpath_adv_groupbest, addpath_adv_all'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_adv_best=addpath_adv_best, addpath_adv_groupbest=addpath_adv_groupbest, addpath_adv_all=addpath_adv_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_adv_best=addpath_adv_best, addpath_adv_groupbest=addpath_adv_groupbest, addpath_adv_all=addpath_adv_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_additional_paths_advertise_all_update(self, af_ipv6_neighbor_peergroup=None, addpath_adv_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_adv_all: YANGBool
    :param addpath_adv_all: Advertise all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_adv_all=addpath_adv_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_adv_all=addpath_adv_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_additional_paths_advertise_best_update(self, af_ipv6_neighbor_peergroup=None, addpath_adv_best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_adv_best: int
    :param addpath_adv_best: Advertise best 'n'

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_adv_best=addpath_adv_best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_adv_best=addpath_adv_best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_additional_paths_advertise_group_best_update(self, af_ipv6_neighbor_peergroup=None, addpath_adv_groupbest=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_adv_groupbest: YANGBool
    :param addpath_adv_groupbest: Advertise group-best

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_adv_groupbest=addpath_adv_groupbest)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_adv_groupbest=addpath_adv_groupbest)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_additional_paths_disable_update(self, af_ipv6_neighbor_peergroup=None, addpath_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_disable: YANGBool
    :param addpath_disable: disable additional paths capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_disable=addpath_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_disable=addpath_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_additional_paths_receive_update(self, af_ipv6_neighbor_peergroup=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_additional_paths_send_update(self, af_ipv6_neighbor_peergroup=None, addpath_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_send=addpath_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, addpath_send=addpath_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_allowas_in_update(self, af_ipv6_neighbor_peergroup=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_capability_orf_prefixlist_update(self, af_ipv6_neighbor_peergroup=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_capability_orf_prefixlist_prefixlist_status_update(self, af_ipv6_neighbor_peergroup=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_capability_orf_prefixlist_receive_update(self, af_ipv6_neighbor_peergroup=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_capability_orf_prefixlist_send_update(self, af_ipv6_neighbor_peergroup=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_default_originate_update(self, af_ipv6_neighbor_peergroup=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_default_originate_default_originate_status_update(self, af_ipv6_neighbor_peergroup=None, default_originate_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, default_originate_status=default_originate_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, default_originate_status=default_originate_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_default_originate_route_map_update(self, af_ipv6_neighbor_peergroup=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_filter_list_direction_in_update(self, af_ipv6_neighbor_peergroup=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_filter_list_direction_out_update(self, af_ipv6_neighbor_peergroup=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_filter_list_filter_list_direction_in_acl_name_update(self, af_ipv6_neighbor_peergroup=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_filter_list_filter_list_direction_out_acl_name_update(self, af_ipv6_neighbor_peergroup=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_filter_list_in_update(self, af_ipv6_neighbor_peergroup=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_filter_list_out_update(self, af_ipv6_neighbor_peergroup=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_maximum_prefix_update(self, af_ipv6_neighbor_peergroup=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_prefix_limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_maximum_prefix_max_prefix_limit_update(self, af_ipv6_neighbor_peergroup=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_maximum_prefix_teardown_update(self, af_ipv6_neighbor_peergroup=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_maximum_prefix_threshold_update(self, af_ipv6_neighbor_peergroup=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_maximum_prefix_threshold_holder_update(self, af_ipv6_neighbor_peergroup=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'threshold, teardown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, threshold=threshold, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_direction_in_update(self, af_ipv6_neighbor_peergroup=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_direction_out_update(self, af_ipv6_neighbor_peergroup=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_in_update(self, af_ipv6_neighbor_peergroup=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_ip_access_number_update(self, af_ipv6_neighbor_peergroup=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_ip_access_number_direction_out_update(self, af_ipv6_neighbor_peergroup=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_out_update(self, af_ipv6_neighbor_peergroup=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_prefix_list_direction_in_prefix_name_update(self, af_ipv6_neighbor_peergroup=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_prefix_list_prefix_list_direction_out_prefix_name_update(self, af_ipv6_neighbor_peergroup=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_route_map_in_update(self, af_ipv6_neighbor_peergroup=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_route_map_in_neighbor_route_map_name_direction_in_update(self, af_ipv6_neighbor_peergroup=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_route_map_out_update(self, af_ipv6_neighbor_peergroup=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_route_map_out_neighbor_route_map_name_direction_out_update(self, af_ipv6_neighbor_peergroup=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_route_reflector_client_update(self, af_ipv6_neighbor_peergroup=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_send_community_update(self, af_ipv6_neighbor_peergroup=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_send_community_both_update(self, af_ipv6_neighbor_peergroup=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_send_community_extended_update(self, af_ipv6_neighbor_peergroup=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_send_community_send_community_status_update(self, af_ipv6_neighbor_peergroup=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_send_community_standard_update(self, af_ipv6_neighbor_peergroup=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_unsuppress_map_update(self, af_ipv6_neighbor_peergroup=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_unsuppress_map_map_name_update(self, af_ipv6_neighbor_peergroup=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_weight_update(self, af_ipv6_neighbor_peergroup=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_network_update(self, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_network_backdoor_update(self, network=None, backdoor=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, network=network, backdoor=backdoor)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, network=network, backdoor=backdoor)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_network_route_map_update(self, network=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, network=network, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, network=network, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_network_weight_update(self, network=None, network_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, network=network, network_weight=network_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, network=network, network_weight=network_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_next_hop_enable_default_update(self, next_hop_enable_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, next_hop_enable_default=next_hop_enable_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, next_hop_enable_default=next_hop_enable_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_next_hop_recursion_update(self, ipv6_ucast_next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6_ucast_next_hop_recursion: YANGBool
    :param ipv6_ucast_next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_ucast_next_hop_recursion=ipv6_ucast_next_hop_recursion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_ucast_next_hop_recursion=ipv6_ucast_next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_bgp_update(self, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_bgp_metric_update(self, bgp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_metric=bgp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_metric=bgp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_bgp_redistribute_bgp_update(self, redistribute_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_bgp=redistribute_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_bgp=redistribute_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_bgp_route_map_update(self, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_connected_update(self, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_connected_metric_update(self, unicast_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, unicast_metric=unicast_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, unicast_metric=unicast_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_connected_redistribute_connected_update(self, redistribute_connected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_connected=redistribute_connected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_connected=redistribute_connected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_connected_route_map_update(self, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_isis_level_1_update(self, level_1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type level_1: YANGBool
    :param level_1: Redistribution of IS-IS Level-1 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, level_1=level_1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, level_1=level_1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_isis_level_1_2_update(self, level_1_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type level_1_2: YANGBool
    :param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, level_1_2=level_1_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, level_1_2=level_1_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_isis_level_2_update(self, level_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type level_2: YANGBool
    :param level_2: Redistribution of IS-IS Level-2 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, level_2=level_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, level_2=level_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_isis_metric_update(self, redistribute_isis_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_isis_metric: long
    :param redistribute_isis_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_isis_metric=redistribute_isis_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_isis_metric=redistribute_isis_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_isis_route_map_update(self, redistribute_isis_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_isis_route_map: unicode
    :param redistribute_isis_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_isis_route_map=redistribute_isis_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_isis_route_map=redistribute_isis_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_ospf_update(self, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_external1_update(self, ospf_external1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_external1=ospf_external1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_external1=ospf_external1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_external2_update(self, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_internal_update(self, ospf_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_internal=ospf_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_internal=ospf_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_ospf_metric_update(self, ospf_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_metric=ospf_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_metric=ospf_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_ospf_redistribute_ospf_update(self, redistribute_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_ospf=redistribute_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_ospf=redistribute_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_ospf_route_map_update(self, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_static_update(self, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_static_metric_update(self, unicast_static_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, unicast_static_metric=unicast_static_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, unicast_static_metric=unicast_static_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_static_redistribute_static_update(self, redistribute_static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, redistribute_static=redistribute_static)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_static=redistribute_static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_static_route_map_update(self, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_rib_route_limit_update(self, rib_route_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rib_route_limit=rib_route_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rib_route_limit=rib_route_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_table_map_update(self, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_table_map_route_map_update(self, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_update_time_update(self, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_update(self, af_ipv6_vrf=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Enables the BGP graceful restart capability

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf": {"client_to_client_reflection": "client_to_client_reflection", "default_metric": "default_metric", "next_hop_enable_default": "next_hop_enable_default", "always_propagate": "always_propagate", "update_time": "update_time", "graceful_restart_status": "graceful_restart_status", "default_information_originate": "default_information_originate", "af_ipv6_vrf_name": "af_ipv6_vrf_name", "next_hop_recursion": "next_hop_recursion", "rib_route_limit": "rib_route_limit"}, "pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_additional_paths_addpath_txrx_update(self, af_ipv6_vrf=None, addpath_send=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_send, addpath_receive'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, addpath_send=addpath_send, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, addpath_send=addpath_send, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_additional_paths_receive_update(self, af_ipv6_vrf=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_additional_paths_select_update(self, af_ipv6_vrf=None, addpath_sel_best=None, addpath_sel_groupbest=None, addpath_sel_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_sel_best: int
    :param addpath_sel_best: Select best 'n'

        * range restriction: ::

            ['0..255']

    :type addpath_sel_groupbest: YANGBool
    :param addpath_sel_groupbest: Select group-best

    :type addpath_sel_all: YANGBool
    :param addpath_sel_all: Select all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_sel_best, addpath_sel_groupbest, addpath_sel_all'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, addpath_sel_best=addpath_sel_best, addpath_sel_groupbest=addpath_sel_groupbest, addpath_sel_all=addpath_sel_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, addpath_sel_best=addpath_sel_best, addpath_sel_groupbest=addpath_sel_groupbest, addpath_sel_all=addpath_sel_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_additional_paths_select_all_update(self, af_ipv6_vrf=None, addpath_sel_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_sel_all: YANGBool
    :param addpath_sel_all: Select all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, addpath_sel_all=addpath_sel_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, addpath_sel_all=addpath_sel_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_additional_paths_select_best_update(self, af_ipv6_vrf=None, addpath_sel_best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_sel_best: int
    :param addpath_sel_best: Select best 'n'

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, addpath_sel_best=addpath_sel_best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, addpath_sel_best=addpath_sel_best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_additional_paths_select_group_best_update(self, af_ipv6_vrf=None, addpath_sel_groupbest=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_sel_groupbest: YANGBool
    :param addpath_sel_groupbest: Select group-best

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_additional_paths.addpath_select', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, addpath_sel_groupbest=addpath_sel_groupbest)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, addpath_sel_groupbest=addpath_sel_groupbest)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_additional_paths_send_update(self, af_ipv6_vrf=None, addpath_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, addpath_send=addpath_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, addpath_send=addpath_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_advertise_best_external_update(self, af_ipv6_vrf=None, advertise_best_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type advertise_best_external: YANGBool
    :param advertise_best_external: Advertise best external path to internal peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, advertise_best_external=advertise_best_external)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, advertise_best_external=advertise_best_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_update(self, af_ipv6_vrf=None, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_advertise_map_update(self, af_ipv6_vrf=None, aggregate_ipv6_address=None, advertise_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_as_set_update(self, af_ipv6_vrf=None, aggregate_ipv6_address=None, as_set=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, as_set=as_set)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, as_set=as_set)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_attribute_map_update(self, af_ipv6_vrf=None, aggregate_ipv6_address=None, attribute_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, attribute_map=attribute_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, attribute_map=attribute_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_summary_only_update(self, af_ipv6_vrf=None, aggregate_ipv6_address=None, summary_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, summary_only=summary_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, summary_only=summary_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_suppress_map_update(self, af_ipv6_vrf=None, aggregate_ipv6_address=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, suppress_map=suppress_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_always_propagate_update(self, af_ipv6_vrf=None, always_propagate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, always_propagate=always_propagate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, always_propagate=always_propagate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_bgp_redistribute_internal_update(self, af_ipv6_vrf=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type bgp_redistribute_internal: YANGBool
    :param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, bgp_redistribute_internal=bgp_redistribute_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_client_to_client_reflection_update(self, af_ipv6_vrf=None, client_to_client_reflection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, client_to_client_reflection=client_to_client_reflection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, client_to_client_reflection=client_to_client_reflection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_dampening_update(self, af_ipv6_vrf=None, dampening_flag=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening': [u'dampening_flag', u'values', u'dampening_route_map'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening': [u'dampening_flag', u'values', u'dampening_route_map']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, dampening_flag=dampening_flag, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_dampening_dampening_flag_update(self, af_ipv6_vrf=None, dampening_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type dampening_flag: YANGBool
    :param dampening_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, dampening_flag=dampening_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, dampening_flag=dampening_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_dampening_half_time_update(self, af_ipv6_vrf=None, half_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, half_time=half_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, half_time=half_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_dampening_max_suppress_time_update(self, af_ipv6_vrf=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_dampening_reuse_value_update(self, af_ipv6_vrf=None, reuse_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, reuse_value=reuse_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, reuse_value=reuse_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_dampening_route_map_update(self, af_ipv6_vrf=None, dampening_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type dampening_route_map: unicode
    :param dampening_route_map: Route-map to specify criteria for dampening

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, dampening_route_map=dampening_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, dampening_route_map=dampening_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_dampening_start_suppress_time_update(self, af_ipv6_vrf=None, start_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, start_suppress_time=start_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, start_suppress_time=start_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_dampening_values_update(self, af_ipv6_vrf=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type half_time: long
    :param half_time: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type reuse_value: long
    :param reuse_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type start_suppress_time: long
    :param start_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_suppress_time: long
    :param max_suppress_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'half_time, reuse_value, start_suppress_time, max_suppress_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values': [u'half_time'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values': [u'half_time']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_default_information_originate_update(self, af_ipv6_vrf=None, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, default_information_originate=default_information_originate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_default_metric_update(self, af_ipv6_vrf=None, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_graceful_restart_update(self, af_ipv6_vrf=None, graceful_restart_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Enables the BGP graceful restart capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, graceful_restart_status=graceful_restart_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, graceful_restart_status=graceful_restart_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_update(self, af_ipv6_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_ebgp_update(self, af_ipv6_vrf=None, ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ebgp: long
    :param ebgp: Number of EBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, ebgp=ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, ebgp=ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_ibgp_update(self, af_ipv6_vrf=None, ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ibgp: long
    :param ibgp: Number of IBGP paths for load sharing

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, ibgp=ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, ibgp=ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_load_sharing_value_update(self, af_ipv6_vrf=None, load_sharing_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type load_sharing_value: long
    :param load_sharing_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_use_load_sharing_update(self, af_ipv6_vrf=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type use_load_sharing: YANGBool
    :param use_load_sharing: Number of load-sharing paths: using load-sharing value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, use_load_sharing=use_load_sharing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_multipath_update(self, af_ipv6_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_multipath_ebgp_update(self, af_ipv6_vrf=None, multipath_ebgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multipath_ebgp: YANGBool
    :param multipath_ebgp: Allow multipath for ebgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_multipath_ibgp_update(self, af_ipv6_vrf=None, multipath_ibgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multipath_ibgp: YANGBool
    :param multipath_ibgp: Allow multipath for ibgp neighbors only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, multipath_ibgp=multipath_ibgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, multipath_ibgp=multipath_ibgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_multipath_multi_as_update(self, af_ipv6_vrf=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type multi_as: YANGBool
    :param multi_as: Enable multipath over different Neighboring AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, multi_as=multi_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr": {"static_network_edge": "static_network_edge", "activate": "activate", "remote_as": "remote_as", "associate_peer_group": "associate_peer_group", "af_ipv6_neighbor_address": "af_ipv6_neighbor_address", "allowas_in": "allowas_in", "af_nei_weight": "af_nei_weight", "route_reflector_client": "route_reflector_client", "ebgp_btsh": "ebgp_btsh", "remove_private_as": "remove_private_as", "password": "password", "as_override": "as_override", "description": "description"}, "pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr": {"static_network_edge": "static_network_edge", "activate": "activate", "remote_as": "remote_as", "associate_peer_group": "associate_peer_group", "af_ipv6_neighbor_address": "af_ipv6_neighbor_address", "allowas_in": "allowas_in", "af_nei_weight": "af_nei_weight", "route_reflector_client": "route_reflector_client", "ebgp_btsh": "ebgp_btsh", "remove_private_as": "remove_private_as", "password": "password", "as_override": "as_override", "description": "description"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_activate_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_additional_paths_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, addpath_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_disable: YANGBool
    :param addpath_disable: disable additional paths capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_disable=addpath_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_disable=addpath_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_additional_paths_addpath_txrx_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, addpath_send=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_send, addpath_receive'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_send=addpath_send, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_send=addpath_send, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_additional_paths_advertise_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, addpath_adv_best=None, addpath_adv_groupbest=None, addpath_adv_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_adv_best: int
    :param addpath_adv_best: Advertise best 'n'

        * range restriction: ::

            ['0..255']

    :type addpath_adv_groupbest: YANGBool
    :param addpath_adv_groupbest: Advertise group-best

    :type addpath_adv_all: YANGBool
    :param addpath_adv_all: Advertise all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'addpath_adv_best, addpath_adv_groupbest, addpath_adv_all'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_adv_best=addpath_adv_best, addpath_adv_groupbest=addpath_adv_groupbest, addpath_adv_all=addpath_adv_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_adv_best=addpath_adv_best, addpath_adv_groupbest=addpath_adv_groupbest, addpath_adv_all=addpath_adv_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_additional_paths_advertise_all_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, addpath_adv_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_adv_all: YANGBool
    :param addpath_adv_all: Advertise all(Max: 16)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_adv_all=addpath_adv_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_adv_all=addpath_adv_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_additional_paths_advertise_best_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, addpath_adv_best=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_adv_best: int
    :param addpath_adv_best: Advertise best 'n'

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_adv_best=addpath_adv_best)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_adv_best=addpath_adv_best)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_additional_paths_advertise_group_best_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, addpath_adv_groupbest=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_adv_groupbest: YANGBool
    :param addpath_adv_groupbest: Advertise group-best

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.addpath_advertise', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_adv_groupbest=addpath_adv_groupbest)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_adv_groupbest=addpath_adv_groupbest)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_additional_paths_disable_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, addpath_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_disable: YANGBool
    :param addpath_disable: disable additional paths capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_disable=addpath_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_disable=addpath_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_additional_paths_receive_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, addpath_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_receive: YANGBool
    :param addpath_receive: Enable to receive additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_receive=addpath_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_receive=addpath_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_additional_paths_send_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, addpath_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type addpath_send: YANGBool
    :param addpath_send: Enable to send additional paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.addpath_txrx', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_send=addpath_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, addpath_send=addpath_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_advertisement_interval_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'value'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_advertisement_interval_value_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_allowas_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_as_override_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, as_override=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, as_override=as_override)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, as_override=as_override)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_bfd_enable_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_holdover_interval_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_interval_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_interval_min_rx_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_interval_min_tx_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_bfd_interval_multiplier_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_as4_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_as4_disable_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_as4_enable_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_orf_prefixlist_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_orf_prefixlist_prefixlist_status_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_orf_prefixlist_receive_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_capability_orf_prefixlist_send_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_default_originate_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_default_originate_default_originate_status_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, default_originate_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type default_originate_status: YANGBool
    :param default_originate_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_default_originate_route_map_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type default_originate_route_map: unicode
    :param default_originate_route_map: Route-map to specify criteria to originate default

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_route_map=default_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_description_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_ebgp_btsh_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ebgp_btsh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_btsh=ebgp_btsh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_btsh=ebgp_btsh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_ebgp_multihop_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_ebgp_multihop_ebgp_multihop_count_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_ebgp_multihop_ebgp_multihop_flag_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ebgp_multihop_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_enforce_first_as_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_enforce_first_as_disable_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_enforce_first_as_enable_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_filter_list_direction_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_filter_list_direction_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_filter_list_filter_list_direction_in_acl_name_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_filter_list_filter_list_direction_out_acl_name_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_filter_list_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_filter_list_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_local_as_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'local_as_value, no_prepend'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_local_as_local_as_value_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, local_as_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, local_as_value=local_as_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, local_as_value=local_as_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_local_as_no_prepend_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maxas_limit_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maxas_limit_in_disable_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maxas_limit_in_num_as_in_as_path_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, num_as_in_as_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maximum_prefix_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'max_prefix_limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maximum_prefix_max_prefix_limit_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type max_prefix_limit: long
    :param max_prefix_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, max_prefix_limit=max_prefix_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maximum_prefix_teardown_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maximum_prefix_threshold_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, threshold=threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_maximum_prefix_threshold_holder_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type teardown: YANGBool
    :param teardown: Terminate the peering when limit is exceeded

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'threshold, teardown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, threshold=threshold, teardown=teardown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_next_hop_self_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_next_hop_self_always_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_next_hop_self_next_hop_self_status_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_password_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_peer_group_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, associate_peer_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, associate_peer_group=associate_peer_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, associate_peer_group=associate_peer_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_direction_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_direction_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_ip_access_number_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_ip_access_number_direction_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_prefix_list_direction_in_prefix_name_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_prefix_list_prefix_list_direction_out_prefix_name_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_remote_as_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, remote_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, remote_as=remote_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, remote_as=remote_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_remove_private_as_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, remove_private_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, remove_private_as=remove_private_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, remove_private_as=remove_private_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_route_map_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_route_map_in_neighbor_route_map_name_direction_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_route_map_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_route_map_out_neighbor_route_map_name_direction_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_route_reflector_client_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_send_community_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_send_community_both_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_send_community_extended_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_send_community_send_community_status_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_send_community_standard_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_shutdown_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_shutdown_generate_rib_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_shutdown_shutdown_status_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_soft_reconfiguration_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_soft_reconfiguration_inbound_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_static_network_edge_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_timers_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_timers_hold_time_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_timers_keep_alive_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_keep_alive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_unsuppress_map_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_unsuppress_map_map_name_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type map_name: unicode
    :param map_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, map_name=map_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, sip_ipv6_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type sip_ipv6_address: unicode
    :param sip_ipv6_address: Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type loopback: unicode
    :param loopback: Loopback Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type ve_interface: long
    :param ve_interface: Virtual Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source': [u'ethernet_interface', u'sip_ipv6_address', u've_interface', u'loopback'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source': [u'ethernet_interface', u'sip_ipv6_address', u've_interface', u'loopback']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, sip_ipv6_address=sip_ipv6_address, loopback=loopback, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, sip_ipv6_address=sip_ipv6_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_ethernet_interface_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['ethernet']

    :type interface_name: unicode
    :param interface_name: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface': [u'interface_type'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface': [u'interface_type']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_interface_name_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_interface_type_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_loopback_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type loopback: unicode
    :param loopback: Loopback Interface

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_sip_ipv6_address_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, sip_ipv6_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type sip_ipv6_address: unicode
    :param sip_ipv6_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, sip_ipv6_address=sip_ipv6_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, sip_ipv6_address=sip_ipv6_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_update_source_ve_interface_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ve_interface: long
    :param ve_interface: Virtual Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_weight_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, af_nei_weight=af_nei_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_network_update(self, af_ipv6_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_network_backdoor_update(self, af_ipv6_vrf=None, network=None, backdoor=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, network=network, backdoor=backdoor)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, network=network, backdoor=backdoor)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_network_route_map_update(self, af_ipv6_vrf=None, network=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, network=network, network_route_map=network_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, network=network, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_network_weight_update(self, af_ipv6_vrf=None, network=None, network_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_next_hop_enable_default_update(self, af_ipv6_vrf=None, next_hop_enable_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, next_hop_enable_default=next_hop_enable_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, next_hop_enable_default=next_hop_enable_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_next_hop_recursion_update(self, af_ipv6_vrf=None, next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_update(self, af_ipv6_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_metric_update(self, af_ipv6_vrf=None, bgp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, bgp_metric=bgp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, bgp_metric=bgp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_redistribute_bgp_update(self, af_ipv6_vrf=None, redistribute_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_bgp: YANGBool
    :param redistribute_bgp: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_route_map_update(self, af_ipv6_vrf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_connected_update(self, af_ipv6_vrf=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_connected_metric_update(self, af_ipv6_vrf=None, unicast_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type unicast_metric: long
    :param unicast_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, unicast_metric=unicast_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, unicast_metric=unicast_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_connected_redistribute_connected_update(self, af_ipv6_vrf=None, redistribute_connected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_connected: YANGBool
    :param redistribute_connected: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_connected=redistribute_connected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_connected=redistribute_connected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_connected_route_map_update(self, af_ipv6_vrf=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_route_map: unicode
    :param redistribute_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_route_map=redistribute_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_isis_level_1_update(self, af_ipv6_vrf=None, level_1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type level_1: YANGBool
    :param level_1: Redistribution of IS-IS Level-1 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, level_1=level_1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, level_1=level_1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_isis_level_1_2_update(self, af_ipv6_vrf=None, level_1_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type level_1_2: YANGBool
    :param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, level_1_2=level_1_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, level_1_2=level_1_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_isis_level_2_update(self, af_ipv6_vrf=None, level_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type level_2: YANGBool
    :param level_2: Redistribution of IS-IS Level-2 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, level_2=level_2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, level_2=level_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_isis_metric_update(self, af_ipv6_vrf=None, redistribute_isis_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_isis_metric: long
    :param redistribute_isis_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_isis_metric=redistribute_isis_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_isis_metric=redistribute_isis_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_isis_route_map_update(self, af_ipv6_vrf=None, redistribute_isis_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_isis_route_map: unicode
    :param redistribute_isis_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_isis_route_map=redistribute_isis_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_isis_route_map=redistribute_isis_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_update(self, af_ipv6_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_update(self, af_ipv6_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_external1_update(self, af_ipv6_vrf=None, ospf_external1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, ospf_external1=ospf_external1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, ospf_external1=ospf_external1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_external2_update(self, af_ipv6_vrf=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_internal_update(self, af_ipv6_vrf=None, ospf_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_metric_update(self, af_ipv6_vrf=None, ospf_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, ospf_metric=ospf_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, ospf_metric=ospf_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_redistribute_ospf_update(self, af_ipv6_vrf=None, redistribute_ospf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_ospf: YANGBool
    :param redistribute_ospf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_route_map_update(self, af_ipv6_vrf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_static_update(self, af_ipv6_vrf=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_static_metric_update(self, af_ipv6_vrf=None, unicast_static_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type unicast_static_metric: long
    :param unicast_static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, unicast_static_metric=unicast_static_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, unicast_static_metric=unicast_static_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_static_redistribute_static_update(self, af_ipv6_vrf=None, redistribute_static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type redistribute_static: YANGBool
    :param redistribute_static: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_static=redistribute_static)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, redistribute_static=redistribute_static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_static_route_map_update(self, af_ipv6_vrf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_rib_route_limit_update(self, af_ipv6_vrf=None, rib_route_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, rib_route_limit=rib_route_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, rib_route_limit=rib_route_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_table_map_update(self, af_ipv6_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_table_map_route_map_update(self, af_ipv6_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type table_map_route_map: unicode
    :param table_map_route_map: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_update_time_update(self, af_ipv6_vrf=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_ipv6_vrf=af_ipv6_vrf, update_time=update_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_client_to_client_reflection_update(self, client_to_client_reflection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, client_to_client_reflection=client_to_client_reflection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, client_to_client_reflection=client_to_client_reflection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_graceful_restart_update(self, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Keyword argument.

    :type restart_time: long
    :param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120

        * range restriction: ::

            ['0..4294967295']

    :type purge_time: long
    :param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600

        * range restriction: ::

            ['0..4294967295']

    :type stale_routes_time: long
    :param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_graceful_restart_graceful_restart_status_update(self, graceful_restart_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, graceful_restart_status=graceful_restart_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, graceful_restart_status=graceful_restart_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_graceful_restart_purge_time_update(self, purge_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type purge_time: long
    :param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, purge_time=purge_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, purge_time=purge_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_graceful_restart_restart_time_update(self, restart_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type restart_time: long
    :param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, restart_time=restart_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, restart_time=restart_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_graceful_restart_stale_routes_time_update(self, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type stale_routes_time: long
    :param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, stale_routes_time=stale_routes_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_update(self, evpn_neighbor_ipv4=None, activate=None, encapsulation=None, maximum_prefix=None, route_reflector_client=None, allowas_in=None, next_hop_unchanged=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type encapsulation: unicode
    :param encapsulation: Set the encapsulation for the peer.

        * enumeration restriction: ::

            ['nsh', 'mpls', 'vxlan']

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, activate=activate, encapsulation=encapsulation, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, activate=activate, encapsulation=encapsulation, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_activate_update(self, evpn_neighbor_ipv4=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_allowas_in_update(self, evpn_neighbor_ipv4=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_enable_peer_as_check_update(self, evpn_neighbor_ipv4=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_encapsulation_update(self, evpn_neighbor_ipv4=None, encapsulation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type encapsulation: unicode
    :param encapsulation: Set the encapsulation for the peer.

        * enumeration restriction: ::

            ['nsh', 'mpls', 'vxlan']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, encapsulation=encapsulation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, encapsulation=encapsulation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_maximum_prefix_update(self, evpn_neighbor_ipv4=None, maximum_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, maximum_prefix=maximum_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, maximum_prefix=maximum_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_next_hop_unchanged_update(self, evpn_neighbor_ipv4=None, next_hop_unchanged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, next_hop_unchanged=next_hop_unchanged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, next_hop_unchanged=next_hop_unchanged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_route_map_in_update(self, evpn_neighbor_ipv4=None, route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_map_name_direction_in: unicode
    :param route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_in=route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_in=route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_route_map_in_route_map_name_direction_in_update(self, evpn_neighbor_ipv4=None, route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_map_name_direction_in: unicode
    :param route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_in=route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_in=route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_route_map_out_update(self, evpn_neighbor_ipv4=None, route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_map_name_direction_out: unicode
    :param route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_out=route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_out=route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_route_map_out_route_map_name_direction_out_update(self, evpn_neighbor_ipv4=None, route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_map_name_direction_out: unicode
    :param route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_out=route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_out=route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_route_reflector_client_update(self, evpn_neighbor_ipv4=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_send_community_update(self, evpn_neighbor_ipv4=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_send_community_both_update(self, evpn_neighbor_ipv4=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_send_community_extended_update(self, evpn_neighbor_ipv4=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_send_community_send_community_status_update(self, evpn_neighbor_ipv4=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_send_community_standard_update(self, evpn_neighbor_ipv4=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv4=evpn_neighbor_ipv4, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_update(self, evpn_neighbor_ipv6=None, activate=None, encapsulation=None, maximum_prefix=None, route_reflector_client=None, allowas_in=None, next_hop_unchanged=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type encapsulation: unicode
    :param encapsulation: Set the encapsulation for the peer.

        * enumeration restriction: ::

            ['nsh', 'mpls', 'vxlan']

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, activate=activate, encapsulation=encapsulation, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, activate=activate, encapsulation=encapsulation, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_activate_update(self, evpn_neighbor_ipv6=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_allowas_in_update(self, evpn_neighbor_ipv6=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_enable_peer_as_check_update(self, evpn_neighbor_ipv6=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_encapsulation_update(self, evpn_neighbor_ipv6=None, encapsulation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type encapsulation: unicode
    :param encapsulation: Set the encapsulation for the peer.

        * enumeration restriction: ::

            ['nsh', 'mpls', 'vxlan']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, encapsulation=encapsulation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, encapsulation=encapsulation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_maximum_prefix_update(self, evpn_neighbor_ipv6=None, maximum_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, maximum_prefix=maximum_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, maximum_prefix=maximum_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_next_hop_unchanged_update(self, evpn_neighbor_ipv6=None, next_hop_unchanged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, next_hop_unchanged=next_hop_unchanged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, next_hop_unchanged=next_hop_unchanged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_route_map_in_update(self, evpn_neighbor_ipv6=None, route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_map_name_direction_in: unicode
    :param route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_in=route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_in=route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_route_map_in_route_map_name_direction_in_update(self, evpn_neighbor_ipv6=None, route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_map_name_direction_in: unicode
    :param route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_in=route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_in=route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_route_map_out_update(self, evpn_neighbor_ipv6=None, route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_map_name_direction_out: unicode
    :param route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_out=route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_out=route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_route_map_out_route_map_name_direction_out_update(self, evpn_neighbor_ipv6=None, route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_map_name_direction_out: unicode
    :param route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_out=route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_map_name_direction_out=route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_route_reflector_client_update(self, evpn_neighbor_ipv6=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_send_community_update(self, evpn_neighbor_ipv6=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_send_community_both_update(self, evpn_neighbor_ipv6=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_send_community_extended_update(self, evpn_neighbor_ipv6=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_send_community_send_community_status_update(self, evpn_neighbor_ipv6=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_send_community_standard_update(self, evpn_neighbor_ipv6=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_neighbor_ipv6=evpn_neighbor_ipv6, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_update(self, evpn_peer_group=None, activate=None, encapsulation=None, maximum_prefix=None, route_reflector_client=None, allowas_in=None, next_hop_unchanged=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type encapsulation: unicode
    :param encapsulation: Set the encapsulation for the peer.

        * enumeration restriction: ::

            ['nsh', 'mpls', 'vxlan']

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, activate=activate, encapsulation=encapsulation, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, activate=activate, encapsulation=encapsulation, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_activate_update(self, evpn_peer_group=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_allowas_in_update(self, evpn_peer_group=None, allowas_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, allowas_in=allowas_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, allowas_in=allowas_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_enable_peer_as_check_update(self, evpn_peer_group=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, enable_peer_as_check=enable_peer_as_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_encapsulation_update(self, evpn_peer_group=None, encapsulation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type encapsulation: unicode
    :param encapsulation: Set the encapsulation for the peer.

        * enumeration restriction: ::

            ['nsh', 'mpls', 'vxlan']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, encapsulation=encapsulation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, encapsulation=encapsulation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_maximum_prefix_update(self, evpn_peer_group=None, maximum_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, maximum_prefix=maximum_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, maximum_prefix=maximum_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_next_hop_unchanged_update(self, evpn_peer_group=None, next_hop_unchanged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, next_hop_unchanged=next_hop_unchanged)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, next_hop_unchanged=next_hop_unchanged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_route_map_in_update(self, evpn_peer_group=None, route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_map_name_direction_in: unicode
    :param route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, route_map_name_direction_in=route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, route_map_name_direction_in=route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_route_map_in_route_map_name_direction_in_update(self, evpn_peer_group=None, route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_map_name_direction_in: unicode
    :param route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, route_map_name_direction_in=route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, route_map_name_direction_in=route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_route_map_out_update(self, evpn_peer_group=None, route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_map_name_direction_out: unicode
    :param route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, route_map_name_direction_out=route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, route_map_name_direction_out=route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_route_map_out_route_map_name_direction_out_update(self, evpn_peer_group=None, route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_map_name_direction_out: unicode
    :param route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, route_map_name_direction_out=route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, route_map_name_direction_out=route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_route_reflector_client_update(self, evpn_peer_group=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_send_community_update(self, evpn_peer_group=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_send_community_both_update(self, evpn_peer_group=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_send_community_extended_update(self, evpn_peer_group=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_send_community_send_community_status_update(self, evpn_peer_group=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_send_community_standard_update(self, evpn_peer_group=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, evpn_peer_group=evpn_peer_group, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, evpn_peer_group=evpn_peer_group, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_retain_route_target_update(self, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Retain all route targets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_l2vpn_evpn_retain_route_target_all_update(self, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Retain all route targets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_export_vrf_leaked_routes_update(self, export_vrf_leaked_routes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type export_vrf_leaked_routes: YANGBool
    :param export_vrf_leaked_routes: Export VRF leaked routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, export_vrf_leaked_routes=export_vrf_leaked_routes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, export_vrf_leaked_routes=export_vrf_leaked_routes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_update(self, af_vpnv4_neighbor=None, activate=None, weight=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the neighbor

    :type weight: long
    :param weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vpnv4_neighbor', 'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, activate=activate, weight=weight, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, activate=activate, weight=weight, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_activate_update(self, af_vpnv4_neighbor=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vpnv4_neighbor', 'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_capability_orf_prefixlist_update(self, af_vpnv4_neighbor=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_capability_orf_prefixlist_prefixlist_status_update(self, af_vpnv4_neighbor=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_capability_orf_prefixlist_receive_update(self, af_vpnv4_neighbor=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_capability_orf_prefixlist_send_update(self, af_vpnv4_neighbor=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_filter_list_direction_in_update(self, af_vpnv4_neighbor=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_filter_list_direction_out_update(self, af_vpnv4_neighbor=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_filter_list_filter_list_direction_in_acl_name_update(self, af_vpnv4_neighbor=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_filter_list_filter_list_direction_out_acl_name_update(self, af_vpnv4_neighbor=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_filter_list_in_update(self, af_vpnv4_neighbor=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_filter_list_out_update(self, af_vpnv4_neighbor=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_prefix_list_direction_in_update(self, af_vpnv4_neighbor=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_prefix_list_direction_out_update(self, af_vpnv4_neighbor=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_prefix_list_in_update(self, af_vpnv4_neighbor=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_prefix_list_ip_access_number_update(self, af_vpnv4_neighbor=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_prefix_list_ip_access_number_direction_out_update(self, af_vpnv4_neighbor=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_prefix_list_out_update(self, af_vpnv4_neighbor=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_route_map_in_update(self, af_vpnv4_neighbor=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_route_map_in_neighbor_route_map_name_direction_in_update(self, af_vpnv4_neighbor=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_route_map_out_update(self, af_vpnv4_neighbor=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_route_map_out_neighbor_route_map_name_direction_out_update(self, af_vpnv4_neighbor=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_route_reflector_client_update(self, af_vpnv4_neighbor=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vpnv4_neighbor', 'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_send_community_update(self, af_vpnv4_neighbor=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_send_community_both_update(self, af_vpnv4_neighbor=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_send_community_extended_update(self, af_vpnv4_neighbor=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_send_community_send_community_status_update(self, af_vpnv4_neighbor=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_send_community_standard_update(self, af_vpnv4_neighbor=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', u'af_vpnv4_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_neighbor_weight_update(self, af_vpnv4_neighbor=None, weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vpnv4_neighbor: af_vpnv4_neighbor_address
    :param af_vpnv4_neighbor: Keyword argument tuple.

    :type af_vpnv4_neighbor_address: unicode
    :param af_vpnv4_neighbor_address: **af_vpnv4_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type weight: long
    :param weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast.af_vpnv4_neighbor_address_holder.af_vpnv4_neighbor', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vpnv4_neighbor', 'keyval': 'af_vpnv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv4_neighbor=af_vpnv4_neighbor, weight=weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv4_neighbor=af_vpnv4_neighbor, weight=weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv4_unicast_rr_group_update(self, rr_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type rr_group: long
    :param rr_group: Route Reflector index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv4.vpnv4_unicast', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rr_group=rr_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rr_group=rr_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_export_vrf_leaked_routes_update(self, export_vrf_leaked_routes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type export_vrf_leaked_routes: YANGBool
    :param export_vrf_leaked_routes: Export VRF leaked routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, export_vrf_leaked_routes=export_vrf_leaked_routes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, export_vrf_leaked_routes=export_vrf_leaked_routes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_update(self, af_vpnv6_neighbor=None, activate=None, weight=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the neighbor

    :type weight: long
    :param weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vpnv6_neighbor', 'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, activate=activate, weight=weight, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, activate=activate, weight=weight, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_activate_update(self, af_vpnv6_neighbor=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vpnv6_neighbor', 'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_capability_orf_prefixlist_update(self, af_vpnv6_neighbor=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_capability_orf_prefixlist_prefixlist_status_update(self, af_vpnv6_neighbor=None, prefixlist_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_status: YANGBool
    :param prefixlist_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefixlist_status=prefixlist_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefixlist_status=prefixlist_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_capability_orf_prefixlist_receive_update(self, af_vpnv6_neighbor=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_receive: YANGBool
    :param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefixlist_receive=prefixlist_receive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_capability_orf_prefixlist_send_update(self, af_vpnv6_neighbor=None, prefixlist_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefixlist_send: YANGBool
    :param prefixlist_send: Capability to SEND the ORF to this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefixlist_send=prefixlist_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefixlist_send=prefixlist_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_filter_list_direction_in_update(self, af_vpnv6_neighbor=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_in_acl_name, filter_list_name_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_filter_list_direction_out_update(self, af_vpnv6_neighbor=None, filter_list_direction_out_acl_name=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'filter_list_direction_out_acl_name, filter_list_name_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_filter_list_filter_list_direction_in_acl_name_update(self, af_vpnv6_neighbor=None, filter_list_direction_in_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_in_acl_name: unicode
    :param filter_list_direction_in_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_filter_list_filter_list_direction_out_acl_name_update(self, af_vpnv6_neighbor=None, filter_list_direction_out_acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_direction_out_acl_name: unicode
    :param filter_list_direction_out_acl_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, filter_list_direction_out_acl_name=filter_list_direction_out_acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_filter_list_in_update(self, af_vpnv6_neighbor=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_in: YANGBool
    :param filter_list_name_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.filter_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, filter_list_name_direction_in=filter_list_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_filter_list_out_update(self, af_vpnv6_neighbor=None, filter_list_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type filter_list_name_direction_out: YANGBool
    :param filter_list_name_direction_out: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.filter_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, filter_list_name_direction_out=filter_list_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, filter_list_name_direction_out=filter_list_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_prefix_list_direction_in_update(self, af_vpnv6_neighbor=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_prefix_list_direction_out_update(self, af_vpnv6_neighbor=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_prefix_list_in_update(self, af_vpnv6_neighbor=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Filter incoming routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_prefix_list_ip_access_number_update(self, af_vpnv6_neighbor=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_prefix_list_ip_access_number_direction_out_update(self, af_vpnv6_neighbor=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_prefix_list_out_update(self, af_vpnv6_neighbor=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Filter outgoing routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_route_map_in_update(self, af_vpnv6_neighbor=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_route_map_in_neighbor_route_map_name_direction_in_update(self, af_vpnv6_neighbor=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_in: unicode
    :param neighbor_route_map_name_direction_in: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_route_map_out_update(self, af_vpnv6_neighbor=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_route_map_out_neighbor_route_map_name_direction_out_update(self, af_vpnv6_neighbor=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_route_map_name_direction_out: unicode
    :param neighbor_route_map_name_direction_out: Apply route map to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_route_reflector_client_update(self, af_vpnv6_neighbor=None, route_reflector_client=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vpnv6_neighbor', 'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, route_reflector_client=route_reflector_client)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, route_reflector_client=route_reflector_client)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_send_community_update(self, af_vpnv6_neighbor=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, send_community_status=send_community_status, both=both, extended=extended, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_send_community_both_update(self, af_vpnv6_neighbor=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type both: YANGBool
    :param both: Send Standard and Extended Community attributes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, both=both)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_send_community_extended_update(self, af_vpnv6_neighbor=None, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type extended: YANGBool
    :param extended: Send Extended Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, extended=extended)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_send_community_send_community_status_update(self, af_vpnv6_neighbor=None, send_community_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type send_community_status: YANGBool
    :param send_community_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, send_community_status=send_community_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, send_community_status=send_community_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_send_community_standard_update(self, af_vpnv6_neighbor=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type standard: YANGBool
    :param standard: Send Standard Community attribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', u'af_vpnv6_neighbor')]
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor.send_community', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, standard=standard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_neighbor_weight_update(self, af_vpnv6_neighbor=None, weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type af_vpnv6_neighbor: af_vpnv6_neighbor_address
    :param af_vpnv6_neighbor: Keyword argument tuple.

    :type af_vpnv6_neighbor_address: unicode
    :param af_vpnv6_neighbor_address: **af_vpnv6_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type weight: long
    :param weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast.af_vpnv6_neighbor_address_holder.af_vpnv6_neighbor', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vpnv6_neighbor', 'keyval': 'af_vpnv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, af_vpnv6_neighbor=af_vpnv6_neighbor, weight=weight)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vpnv6_neighbor=af_vpnv6_neighbor, weight=weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_vpnv6_unicast_rr_group_update(self, rr_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type rr_group: long
    :param rr_group: Route Reflector index

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.address_family.vpnv6.vpnv6_unicast', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rr_group=rr_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rr_group=rr_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_always_compare_med_update(self, always_compare_med=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type always_compare_med: YANGBool
    :param always_compare_med: Allow comparing MED from different neighbors

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, always_compare_med=always_compare_med)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, always_compare_med=always_compare_med)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_as_path_ignore_update(self, as_path_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type as_path_ignore: YANGBool
    :param as_path_ignore: Ignore AS_PATH length for best route selection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, as_path_ignore=as_path_ignore)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, as_path_ignore=as_path_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_auto_shutdown_new_neighbors_update(self, auto_shutdown_new_neighbors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auto_shutdown_new_neighbors: YANGBool
    :param auto_shutdown_new_neighbors: Auto shutdown new neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auto_shutdown_new_neighbors=auto_shutdown_new_neighbors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_shutdown_new_neighbors=auto_shutdown_new_neighbors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_bfd_update(self, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_bfd_holdover_interval_update(self, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_bfd_interval_update(self, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_bfd_interval_min_rx_update(self, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_bfd_interval_min_tx_update(self, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_bfd_interval_multiplier_update(self, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_capability_update(self, as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type as4_enable: YANGBool
    :param as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.capability', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.capability', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, as4_enable=as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, as4_enable=as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_capability_as4_enable_update(self, as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type as4_enable: YANGBool
    :param as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.capability', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.capability', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, as4_enable=as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, as4_enable=as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_cluster_id_update(self, cluster_id_value=None, cluster_id_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cluster_id_value: long
    :param cluster_id_value: Route-Reflector Cluster-ID as 32 bit quantity. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type cluster_id_ipv4_address: unicode
    :param cluster_id_ipv4_address: Route-Reflector Cluster-ID as IP address. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.cluster_id': [u'cluster_id_value', u'cluster_id_ipv4_address'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.cluster_id': [u'cluster_id_value', u'cluster_id_ipv4_address']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster_id_value=cluster_id_value, cluster_id_ipv4_address=cluster_id_ipv4_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster_id_value=cluster_id_value, cluster_id_ipv4_address=cluster_id_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_cluster_id_id_update(self, cluster_id_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cluster_id_value: long
    :param cluster_id_value: Route-Reflector Cluster-ID as 32 bit quantity

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster_id_value=cluster_id_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster_id_value=cluster_id_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_cluster_id_ipv4_address_update(self, cluster_id_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cluster_id_ipv4_address: unicode
    :param cluster_id_ipv4_address: Route-Reflector Cluster-ID as IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cluster_id_ipv4_address=cluster_id_ipv4_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster_id_ipv4_address=cluster_id_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_compare_med_empty_aspath_update(self, compare_med_empty_aspath=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type compare_med_empty_aspath: YANGBool
    :param compare_med_empty_aspath: Allow comparing MED from different neighbors even with empty as-pathattribute

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, compare_med_empty_aspath=compare_med_empty_aspath)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, compare_med_empty_aspath=compare_med_empty_aspath)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_compare_routerid_update(self, compare_routerid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type compare_routerid: YANGBool
    :param compare_routerid: Compare router-id for identical BGP paths

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, compare_routerid=compare_routerid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, compare_routerid=compare_routerid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_confederation_update(self, identifier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type identifier: long
    :param identifier: Confederation AS number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.confederation', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.confederation', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, identifier=identifier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, identifier=identifier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_confederation_identifier_update(self, identifier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type identifier: long
    :param identifier: Confederation AS number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.confederation', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.confederation', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, identifier=identifier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, identifier=identifier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_default_local_preference_update(self, default_local_preference=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_local_preference: long
    :param default_local_preference: Configure default local preference value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_local_preference=default_local_preference)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_local_preference=default_local_preference)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_distance_update(self, ext_route_distance=None, int_route_distance=None, lcl_route_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ext_route_distance: long
    :param ext_route_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type int_route_distance: long
    :param int_route_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lcl_route_distance: long
    :param lcl_route_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.distance', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ext_route_distance, int_route_distance, lcl_route_distance'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ext_route_distance=ext_route_distance, int_route_distance=int_route_distance, lcl_route_distance=lcl_route_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ext_route_distance=ext_route_distance, int_route_distance=int_route_distance, lcl_route_distance=lcl_route_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_distance_ext_route_distance_update(self, ext_route_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ext_route_distance: long
    :param ext_route_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.distance', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ext_route_distance=ext_route_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ext_route_distance=ext_route_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_distance_int_route_distance_update(self, int_route_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type int_route_distance: long
    :param int_route_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.distance', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, int_route_distance=int_route_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, int_route_distance=int_route_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_distance_lcl_route_distance_update(self, lcl_route_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lcl_route_distance: long
    :param lcl_route_distance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.distance', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lcl_route_distance=lcl_route_distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lcl_route_distance=lcl_route_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_enforce_first_as_update(self, enforce_first_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enforce_first_as: YANGBool
    :param enforce_first_as: Enforce the first AS for EBGP routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enforce_first_as=enforce_first_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enforce_first_as=enforce_first_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_fast_external_fallover_update(self, fast_external_fallover=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fast_external_fallover: YANGBool
    :param fast_external_fallover: Reset session if link to EBGP peer goes down

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fast_external_fallover=fast_external_fallover)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fast_external_fallover=fast_external_fallover)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_install_igp_cost_update(self, install_igp_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type install_igp_cost: YANGBool
    :param install_igp_cost: Install igp cost to nexthop instead of MED value as BGP route cost

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, install_igp_cost=install_igp_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, install_igp_cost=install_igp_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_local_as_update(self, local_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type local_as: unicode
    :param local_as: Configure local AS number

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, local_as=local_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, local_as=local_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_log_dampening_debug_update(self, log_dampening_debug=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type log_dampening_debug: YANGBool
    :param log_dampening_debug: Log dampening debug messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, log_dampening_debug=log_dampening_debug)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, log_dampening_debug=log_dampening_debug)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_maxas_limit_in_update(self, num_as_in_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type num_as_in_path: long
    :param num_as_in_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_as_in_path=num_as_in_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_as_in_path=num_as_in_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_maxas_limit_in_num_as_in_path_update(self, num_as_in_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type num_as_in_path: long
    :param num_as_in_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, num_as_in_path=num_as_in_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, num_as_in_path=num_as_in_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_med_missing_as_worst_update(self, med_missing_as_worst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type med_missing_as_worst: YANGBool
    :param med_missing_as_worst: Consider routes missing MED attribute as least desirable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, med_missing_as_worst=med_missing_as_worst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, med_missing_as_worst=med_missing_as_worst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_update(self, neighbor_addr=None, remote_as=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_advertisement_interval_update(self, neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'value'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_advertisement_interval_value_update(self, neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_as_override_update(self, neighbor_addr=None, as_override=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, as_override=as_override)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, as_override=as_override)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_bfd_update(self, neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_bfd_bfd_enable_update(self, neighbor_addr=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_bfd_holdover_interval_update(self, neighbor_addr=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_bfd_interval_update(self, neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_bfd_interval_min_rx_update(self, neighbor_addr=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_bfd_interval_min_tx_update(self, neighbor_addr=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_bfd_interval_multiplier_update(self, neighbor_addr=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_capability_as4_update(self, neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_capability_as4_disable_update(self, neighbor_addr=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_capability_as4_enable_update(self, neighbor_addr=None, neighbor_as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_description_update(self, neighbor_addr=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_ebgp_btsh_update(self, neighbor_addr=None, ebgp_btsh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, ebgp_btsh=ebgp_btsh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, ebgp_btsh=ebgp_btsh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_ebgp_multihop_update(self, neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_ebgp_multihop_ebgp_multihop_count_update(self, neighbor_addr=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_ebgp_multihop_ebgp_multihop_flag_update(self, neighbor_addr=None, ebgp_multihop_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_enforce_first_as_update(self, neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_enforce_first_as_disable_update(self, neighbor_addr=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_enforce_first_as_enable_update(self, neighbor_addr=None, nei_enforce_first_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_local_as_update(self, neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'local_as_value, no_prepend'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_local_as_local_as_value_update(self, neighbor_addr=None, local_as_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, local_as_value=local_as_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, local_as_value=local_as_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_local_as_no_prepend_update(self, neighbor_addr=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_maxas_limit_in_update(self, neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_maxas_limit_in_disable_update(self, neighbor_addr=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_maxas_limit_in_num_as_in_as_path_update(self, neighbor_addr=None, num_as_in_as_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_next_hop_self_update(self, neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_next_hop_self_always_update(self, neighbor_addr=None, next_hop_self_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_next_hop_self_next_hop_self_status_update(self, neighbor_addr=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_password_update(self, neighbor_addr=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_peer_group_update(self, neighbor_addr=None, associate_peer_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, associate_peer_group=associate_peer_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, associate_peer_group=associate_peer_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_remote_as_update(self, neighbor_addr=None, remote_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, remote_as=remote_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, remote_as=remote_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_remove_private_as_update(self, neighbor_addr=None, remove_private_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, remove_private_as=remove_private_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, remove_private_as=remove_private_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_shutdown_update(self, neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_shutdown_generate_rib_out_update(self, neighbor_addr=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_shutdown_shutdown_status_update(self, neighbor_addr=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_soft_reconfiguration_update(self, neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_soft_reconfiguration_inbound_update(self, neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_static_network_edge_update(self, neighbor_addr=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_timers_update(self, neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_timers_hold_time_update(self, neighbor_addr=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_timers_keep_alive_update(self, neighbor_addr=None, nei_keep_alive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_update_source_update(self, neighbor_addr=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type sip_ipv4_address: unicode
    :param sip_ipv4_address: Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type loopback: unicode
    :param loopback: Loopback Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type ve_interface: long
    :param ve_interface: Virtual Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source': [u'ethernet_interface', u've_interface', u'sip_ipv4_address', u'loopback'], 'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source': [u'ethernet_interface', u've_interface', u'sip_ipv4_address', u'loopback']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_update_source_ethernet_interface_update(self, neighbor_addr=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['ethernet']

    :type interface_name: unicode
    :param interface_name: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface': [u'interface_type'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface': [u'interface_type']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_update_source_interface_name_update(self, neighbor_addr=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_update_source_interface_type_update(self, neighbor_addr=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_update_source_loopback_update(self, neighbor_addr=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type loopback: unicode
    :param loopback: Loopback Interface

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_update_source_sip_ipv4_address_update(self, neighbor_addr=None, sip_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type sip_ipv4_address: unicode
    :param sip_ipv4_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, sip_ipv4_address=sip_ipv4_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, sip_ipv4_address=sip_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_update_source_ve_interface_update(self, neighbor_addr=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ve_interface: long
    :param ve_interface: Virtual Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_addr=neighbor_addr, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_update(self, neighbor_ipv6_addr=None, remote_as=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type associate_peer_group: unicode
    :param associate_peer_group: Create Peer Group

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_advertisement_interval_update(self, neighbor_ipv6_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'value'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_advertisement_interval_value_update(self, neighbor_ipv6_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_as_override_update(self, neighbor_ipv6_addr=None, as_override=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, as_override=as_override)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, as_override=as_override)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_bfd_update(self, neighbor_ipv6_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_bfd_bfd_enable_update(self, neighbor_ipv6_addr=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_bfd_holdover_interval_update(self, neighbor_ipv6_addr=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_bfd_interval_update(self, neighbor_ipv6_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_bfd_interval_min_rx_update(self, neighbor_ipv6_addr=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_bfd_interval_min_tx_update(self, neighbor_ipv6_addr=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_bfd_interval_multiplier_update(self, neighbor_ipv6_addr=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_capability_as4_update(self, neighbor_ipv6_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_capability_as4_disable_update(self, neighbor_ipv6_addr=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_capability_as4_enable_update(self, neighbor_ipv6_addr=None, neighbor_as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, neighbor_as4_enable=neighbor_as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, neighbor_as4_enable=neighbor_as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_description_update(self, neighbor_ipv6_addr=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_ebgp_btsh_update(self, neighbor_ipv6_addr=None, ebgp_btsh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_btsh=ebgp_btsh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_btsh=ebgp_btsh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_ebgp_multihop_update(self, neighbor_ipv6_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_ebgp_multihop_ebgp_multihop_count_update(self, neighbor_ipv6_addr=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_ebgp_multihop_ebgp_multihop_flag_update(self, neighbor_ipv6_addr=None, ebgp_multihop_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_multihop_flag=ebgp_multihop_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, ebgp_multihop_flag=ebgp_multihop_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_enforce_first_as_update(self, neighbor_ipv6_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_enforce_first_as_disable_update(self, neighbor_ipv6_addr=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_enforce_first_as_enable_update(self, neighbor_ipv6_addr=None, nei_enforce_first_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_enforce_first_as=nei_enforce_first_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_enforce_first_as=nei_enforce_first_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_local_as_update(self, neighbor_ipv6_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'local_as_value, no_prepend'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, local_as_value=local_as_value, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_local_as_local_as_value_update(self, neighbor_ipv6_addr=None, local_as_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, local_as_value=local_as_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, local_as_value=local_as_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_local_as_no_prepend_update(self, neighbor_ipv6_addr=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_maxas_limit_in_update(self, neighbor_ipv6_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_maxas_limit_in_disable_update(self, neighbor_ipv6_addr=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_maxas_limit_in_num_as_in_as_path_update(self, neighbor_ipv6_addr=None, num_as_in_as_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, num_as_in_as_path=num_as_in_as_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, num_as_in_as_path=num_as_in_as_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_next_hop_self_update(self, neighbor_ipv6_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_next_hop_self_always_update(self, neighbor_ipv6_addr=None, next_hop_self_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, next_hop_self_always=next_hop_self_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, next_hop_self_always=next_hop_self_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_next_hop_self_next_hop_self_status_update(self, neighbor_ipv6_addr=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_password_update(self, neighbor_ipv6_addr=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_peer_group_update(self, neighbor_ipv6_addr=None, associate_peer_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type associate_peer_group: unicode
    :param associate_peer_group: Create Peer Group

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, associate_peer_group=associate_peer_group)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, associate_peer_group=associate_peer_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_remote_as_update(self, neighbor_ipv6_addr=None, remote_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, remote_as=remote_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, remote_as=remote_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_remove_private_as_update(self, neighbor_ipv6_addr=None, remove_private_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, remove_private_as=remove_private_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, remove_private_as=remove_private_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_shutdown_update(self, neighbor_ipv6_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_shutdown_generate_rib_out_update(self, neighbor_ipv6_addr=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_shutdown_shutdown_status_update(self, neighbor_ipv6_addr=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_soft_reconfiguration_update(self, neighbor_ipv6_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_soft_reconfiguration_inbound_update(self, neighbor_ipv6_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_static_network_edge_update(self, neighbor_ipv6_addr=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_timers_update(self, neighbor_ipv6_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_timers_hold_time_update(self, neighbor_ipv6_addr=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_timers_keep_alive_update(self, neighbor_ipv6_addr=None, nei_keep_alive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_keep_alive=nei_keep_alive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, nei_keep_alive=nei_keep_alive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_update_source_update(self, neighbor_ipv6_addr=None, sip_ipv6_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type sip_ipv6_address: unicode
    :param sip_ipv6_address: Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type loopback: unicode
    :param loopback: Loopback Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type ve_interface: long
    :param ve_interface: Virtual Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source': [u'ethernet_interface', u'sip_ipv6_address', u've_interface', u'loopback'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source': [u'ethernet_interface', u'sip_ipv6_address', u've_interface', u'loopback']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, sip_ipv6_address=sip_ipv6_address, loopback=loopback, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, sip_ipv6_address=sip_ipv6_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_update_source_ethernet_interface_update(self, neighbor_ipv6_addr=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['ethernet']

    :type interface_name: unicode
    :param interface_name: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface': [u'interface_type'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface': [u'interface_type']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_update_source_interface_name_update(self, neighbor_ipv6_addr=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_update_source_interface_type_update(self, neighbor_ipv6_addr=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_update_source_loopback_update(self, neighbor_ipv6_addr=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type loopback: unicode
    :param loopback: Loopback Interface

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_update_source_sip_ipv6_address_update(self, neighbor_ipv6_addr=None, sip_ipv6_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type sip_ipv6_address: unicode
    :param sip_ipv6_address: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, sip_ipv6_address=sip_ipv6_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, sip_ipv6_address=sip_ipv6_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_update_source_ve_interface_update(self, neighbor_ipv6_addr=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ve_interface: long
    :param ve_interface: Virtual Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_ipv6_addr=neighbor_ipv6_addr, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_update(self, neighbor_peer_grp=None, peer_group_name=None, remote_as=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type peer_group_name: YANGBool
    :param peer_group_name: Create Peer Group

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, peer_group_name=peer_group_name, remote_as=remote_as, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, peer_group_name=peer_group_name, remote_as=remote_as, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_advertisement_interval_update(self, neighbor_peer_grp=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'value'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_advertisement_interval_value_update(self, neighbor_peer_grp=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type value: long
    :param value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, value=value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_as_override_update(self, neighbor_peer_grp=None, as_override=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, as_override=as_override)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, as_override=as_override)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_bfd_update(self, neighbor_peer_grp=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, bfd_enable=bfd_enable, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_bfd_bfd_enable_update(self, neighbor_peer_grp=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_bfd_holdover_interval_update(self, neighbor_peer_grp=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type holdover_interval: long
    :param holdover_interval: BFD holdover interval configuration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_bfd_interval_update(self, neighbor_peer_grp=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_bfd_interval_min_rx_update(self, neighbor_peer_grp=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type min_rx: long
    :param min_rx: Configure BFD required min receive interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_bfd_interval_min_tx_update(self, neighbor_peer_grp=None, min_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type min_tx: long
    :param min_tx: Configure BFD desired min transmit interval in milliseconds.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, min_tx=min_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, min_tx=min_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_bfd_interval_multiplier_update(self, neighbor_peer_grp=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type multiplier: long
    :param multiplier: Configure BFD detection time multiplier.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_capability_as4_update(self, neighbor_peer_grp=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_capability_as4_disable_update(self, neighbor_peer_grp=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_as4_disable: YANGBool
    :param neighbor_as4_disable: Disable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, neighbor_as4_disable=neighbor_as4_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_capability_as4_enable_update(self, neighbor_peer_grp=None, neighbor_as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type neighbor_as4_enable: YANGBool
    :param neighbor_as4_enable: Enable AS4 capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, neighbor_as4_enable=neighbor_as4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, neighbor_as4_enable=neighbor_as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_description_update(self, neighbor_peer_grp=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_ebgp_btsh_update(self, neighbor_peer_grp=None, ebgp_btsh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, ebgp_btsh=ebgp_btsh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, ebgp_btsh=ebgp_btsh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_ebgp_multihop_update(self, neighbor_peer_grp=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop': [u'ebgp_multihop_flag', u'ebgp_multihop_count']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_ebgp_multihop_ebgp_multihop_count_update(self, neighbor_peer_grp=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type ebgp_multihop_count: long
    :param ebgp_multihop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, ebgp_multihop_count=ebgp_multihop_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_ebgp_multihop_ebgp_multihop_flag_update(self, neighbor_peer_grp=None, ebgp_multihop_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type ebgp_multihop_flag: YANGBool
    :param ebgp_multihop_flag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, ebgp_multihop_flag=ebgp_multihop_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, ebgp_multihop_flag=ebgp_multihop_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_enforce_first_as_update(self, neighbor_peer_grp=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_enforce_first_as_disable_update(self, neighbor_peer_grp=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type nei_enforce_first_as_disable: YANGBool
    :param nei_enforce_first_as_disable: Disable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, nei_enforce_first_as_disable=nei_enforce_first_as_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_enforce_first_as_enable_update(self, neighbor_peer_grp=None, nei_enforce_first_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type nei_enforce_first_as: YANGBool
    :param nei_enforce_first_as: Enable enforce-first-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, nei_enforce_first_as=nei_enforce_first_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, nei_enforce_first_as=nei_enforce_first_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_local_as_update(self, neighbor_peer_grp=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'local_as_value, no_prepend'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, local_as_value=local_as_value, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_local_as_local_as_value_update(self, neighbor_peer_grp=None, local_as_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type local_as_value: unicode
    :param local_as_value: Keyword argument.

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, local_as_value=local_as_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, local_as_value=local_as_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_local_as_no_prepend_update(self, neighbor_peer_grp=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type no_prepend: YANGBool
    :param no_prepend: Do not prepend local-as to updates from ebgp peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, no_prepend=no_prepend)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_maxas_limit_in_update(self, neighbor_peer_grp=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable'], 'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_': [u'num_as_in_as_path', u'maxas_limit_disable']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_maxas_limit_in_disable_update(self, neighbor_peer_grp=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type maxas_limit_disable: YANGBool
    :param maxas_limit_disable: Disable maxas-limit

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, maxas_limit_disable=maxas_limit_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_maxas_limit_in_num_as_in_as_path_update(self, neighbor_peer_grp=None, num_as_in_as_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type num_as_in_as_path: long
    :param num_as_in_as_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, num_as_in_as_path=num_as_in_as_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, num_as_in_as_path=num_as_in_as_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_next_hop_self_update(self, neighbor_peer_grp=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status'], 'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self': [u'next_hop_self_always', u'next_hop_self_status']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_next_hop_self_always_update(self, neighbor_peer_grp=None, next_hop_self_always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type next_hop_self_always: YANGBool
    :param next_hop_self_always: Allow nexthopself for RR routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, next_hop_self_always=next_hop_self_always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, next_hop_self_always=next_hop_self_always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_next_hop_self_next_hop_self_status_update(self, neighbor_peer_grp=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type next_hop_self_status: YANGBool
    :param next_hop_self_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, next_hop_self_status=next_hop_self_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_password_update(self, neighbor_peer_grp=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_peer_group_update(self, neighbor_peer_grp=None, peer_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type peer_group_name: YANGBool
    :param peer_group_name: Create Peer Group

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, peer_group_name=peer_group_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, peer_group_name=peer_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_remote_as_update(self, neighbor_peer_grp=None, remote_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, remote_as=remote_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, remote_as=remote_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_remove_private_as_update(self, neighbor_peer_grp=None, remove_private_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, remove_private_as=remove_private_as)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, remove_private_as=remove_private_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_shutdown_update(self, neighbor_peer_grp=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_shutdown_generate_rib_out_update(self, neighbor_peer_grp=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type generate_rib_out: YANGBool
    :param generate_rib_out: Generate rib-out routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, generate_rib_out=generate_rib_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_shutdown_shutdown_status_update(self, neighbor_peer_grp=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type shutdown_status: YANGBool
    :param shutdown_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, shutdown_status=shutdown_status)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_soft_reconfiguration_update(self, neighbor_peer_grp=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_soft_reconfiguration_inbound_update(self, neighbor_peer_grp=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type inbound: YANGBool
    :param inbound: Allow inbound soft reconfiguration for this neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, inbound=inbound)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_static_network_edge_update(self, neighbor_peer_grp=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, static_network_edge=static_network_edge)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_timers_update(self, neighbor_peer_grp=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_timers_hold_time_update(self, neighbor_peer_grp=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type nei_hold_time: long
    :param nei_hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, nei_hold_time=nei_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_timers_keep_alive_update(self, neighbor_peer_grp=None, nei_keep_alive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type nei_keep_alive: long
    :param nei_keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, nei_keep_alive=nei_keep_alive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, nei_keep_alive=nei_keep_alive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_update_source_update(self, neighbor_peer_grp=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type sip_ipv4_address: unicode
    :param sip_ipv4_address: Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type loopback: unicode
    :param loopback: Loopback Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type ve_interface: long
    :param ve_interface: Virtual Interface. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source': [u'ethernet_interface', u've_interface', u'sip_ipv4_address', u'loopback'], 'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source': [u'ethernet_interface', u've_interface', u'sip_ipv4_address', u'loopback']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_update_source_ethernet_interface_update(self, neighbor_peer_grp=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['ethernet']

    :type interface_name: unicode
    :param interface_name: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface': [u'interface_type'], 'pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface': [u'interface_type']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_update_source_interface_name_update(self, neighbor_peer_grp=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Ethernet Interface

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_update_source_interface_type_update(self, neighbor_peer_grp=None, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_update_source_loopback_update(self, neighbor_peer_grp=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type loopback: unicode
    :param loopback: Loopback Interface

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_update_source_sip_ipv4_address_update(self, neighbor_peer_grp=None, sip_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type sip_ipv4_address: unicode
    :param sip_ipv4_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, sip_ipv4_address=sip_ipv4_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, sip_ipv4_address=sip_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_update_source_ve_interface_update(self, neighbor_peer_grp=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type ve_interface: long
    :param ve_interface: Virtual Interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, neighbor_peer_grp=neighbor_peer_grp, ve_interface=ve_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_router_bgp_attributes_update(self, local_as=None, always_compare_med=None, compare_med_empty_aspath=None, med_missing_as_worst=None, as_path_ignore=None, compare_routerid=None, install_igp_cost=None, default_local_preference=None, enforce_first_as=None, fast_external_fallover=None, log_dampening_debug=None, auto_shutdown_new_neighbors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type local_as: unicode
    :param local_as: Configure local AS number

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type always_compare_med: YANGBool
    :param always_compare_med: Allow comparing MED from different neighbors

    :type compare_med_empty_aspath: YANGBool
    :param compare_med_empty_aspath: Allow comparing MED from different neighbors even with empty as-pathattribute

    :type med_missing_as_worst: YANGBool
    :param med_missing_as_worst: Consider routes missing MED attribute as least desirable

    :type as_path_ignore: YANGBool
    :param as_path_ignore: Ignore AS_PATH length for best route selection

    :type compare_routerid: YANGBool
    :param compare_routerid: Compare router-id for identical BGP paths

    :type install_igp_cost: YANGBool
    :param install_igp_cost: Install igp cost to nexthop instead of MED value as BGP route cost

    :type default_local_preference: long
    :param default_local_preference: Configure default local preference value

        * range restriction: ::

            ['0..4294967295']

    :type enforce_first_as: YANGBool
    :param enforce_first_as: Enforce the first AS for EBGP routes

    :type fast_external_fallover: YANGBool
    :param fast_external_fallover: Reset session if link to EBGP peer goes down

    :type log_dampening_debug: YANGBool
    :param log_dampening_debug: Log dampening debug messages

    :type auto_shutdown_new_neighbors: YANGBool
    :param auto_shutdown_new_neighbors: Auto shutdown new neighbor

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, local_as=local_as, always_compare_med=always_compare_med, compare_med_empty_aspath=compare_med_empty_aspath, med_missing_as_worst=med_missing_as_worst, as_path_ignore=as_path_ignore, compare_routerid=compare_routerid, install_igp_cost=install_igp_cost, default_local_preference=default_local_preference, enforce_first_as=enforce_first_as, fast_external_fallover=fast_external_fallover, log_dampening_debug=log_dampening_debug, auto_shutdown_new_neighbors=auto_shutdown_new_neighbors)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, local_as=local_as, always_compare_med=always_compare_med, compare_med_empty_aspath=compare_med_empty_aspath, med_missing_as_worst=med_missing_as_worst, as_path_ignore=as_path_ignore, compare_routerid=compare_routerid, install_igp_cost=install_igp_cost, default_local_preference=default_local_preference, enforce_first_as=enforce_first_as, fast_external_fallover=fast_external_fallover, log_dampening_debug=log_dampening_debug, auto_shutdown_new_neighbors=auto_shutdown_new_neighbors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_timers_update(self, keep_alive=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type keep_alive: long
    :param keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type hold_time: long
    :param hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'keep_alive, hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, keep_alive=keep_alive, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, keep_alive=keep_alive, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_timers_hold_time_update(self, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Hold-time value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_timers_keep_alive_update(self, keep_alive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type keep_alive: long
    :param keep_alive: Keepalive interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.router_bgp.router_bgp_attributes.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, keep_alive=keep_alive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, keep_alive=keep_alive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv4_accept_unicast_arp_request_update(self, accept_unicast_arp_request=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type accept_unicast_arp_request: YANGBool
    :param accept_unicast_arp_request: Accept Unicast Arp Request

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, accept_unicast_arp_request=accept_unicast_arp_request)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, accept_unicast_arp_request=accept_unicast_arp_request)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv4_enable_update(self, enable_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable_global: YANGBool
    :param enable_global: Enable Fabric virtual gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable_global=enable_global)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable_global=enable_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv4_gateway_mac_address_update(self, gateway_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type gateway_mac_address: unicode
    :param gateway_mac_address: Gateway MAC address for ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gateway_mac_address=gateway_mac_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gateway_mac_address=gateway_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv4_gratuitous_arp_update(self, timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type timer: long
    :param timer: Gratuitous ARP timer value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, timer=timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, timer=timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv4_gratuitous_arp_timer_update(self, timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type timer: long
    :param timer: Gratuitous ARP timer value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, timer=timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, timer=timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv6_enable_update(self, enable_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable_global: YANGBool
    :param enable_global: Enable Fabric virtual gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable_global=enable_global)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable_global=enable_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv6_gateway_mac_address_update(self, gateway_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type gateway_mac_address: unicode
    :param gateway_mac_address: Gateway MAC address for ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gateway_mac_address=gateway_mac_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gateway_mac_address=gateway_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv6_gratuitous_arp_update(self, timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type timer: long
    :param timer: Gratuitous ARP timer value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, timer=timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, timer=timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv6_gratuitous_arp_timer_update(self, timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type timer: long
    :param timer: Gratuitous ARP timer value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, timer=timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, timer=timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_af_common_attributes_update(self, default_metric=None, distance=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Metric for route redistribution

        * range restriction: ::

            ['0..4294967295']

    :type distance: long
    :param distance: Define an administrative distance

        * range restriction: ::

            ['0..4294967295']

    :type maximum_paths: long
    :param maximum_paths: Calculate multiple paths

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_metric=default_metric, distance=distance, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_metric=default_metric, distance=distance, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_default_information_originate_update(self, default_information_originate_route_map=None, default_information_originate_cr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_information_originate_route_map: unicode
    :param default_information_originate_route_map: Use route map

        * length restriction: ::

            ['1..63']

    :type default_information_originate_cr: YANGBool
    :param default_information_originate_cr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_information_originate_route_map=default_information_originate_route_map, default_information_originate_cr=default_information_originate_cr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_information_originate_route_map=default_information_originate_route_map, default_information_originate_cr=default_information_originate_cr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_default_information_originate_default_information_originate_cr_update(self, default_information_originate_cr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_information_originate_cr: YANGBool
    :param default_information_originate_cr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_information_originate_cr=default_information_originate_cr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_information_originate_cr=default_information_originate_cr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_default_information_originate_route_map_update(self, default_information_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_information_originate_route_map: unicode
    :param default_information_originate_route_map: Use route map

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_information_originate_route_map=default_information_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_information_originate_route_map=default_information_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_default_link_metric_update(self, default_link_metric_level1=None, default_link_metric_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_link_metric_level1: long
    :param default_link_metric_level1: Default Link Metric for Level-1

        * range restriction: ::

            ['0..4294967295']

    :type default_link_metric_level2: long
    :param default_link_metric_level2: Default Link Metric for Level-2

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.default_link_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_link_metric_level1=default_link_metric_level1, default_link_metric_level2=default_link_metric_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_link_metric_level1=default_link_metric_level1, default_link_metric_level2=default_link_metric_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_default_link_metric_level_1_update(self, default_link_metric_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_link_metric_level1: long
    :param default_link_metric_level1: Default Link Metric for Level-1

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.default_link_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_link_metric_level1=default_link_metric_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_link_metric_level1=default_link_metric_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_default_link_metric_level_2_update(self, default_link_metric_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_link_metric_level2: long
    :param default_link_metric_level2: Default Link Metric for Level-2

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.default_link_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_link_metric_level2=default_link_metric_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_link_metric_level2=default_link_metric_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_default_metric_update(self, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Metric for route redistribution

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_distance_update(self, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Define an administrative distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_ldp_sync_hold_down_update(self, ldp_sync_hold_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_sync_hold_down: long
    :param ldp_sync_hold_down: Specify hold-down duration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.ldp_sync', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.ldp_sync', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_sync_hold_down=ldp_sync_hold_down)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_sync_hold_down=ldp_sync_hold_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_maximum_paths_update(self, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type maximum_paths: long
    :param maximum_paths: Calculate multiple paths

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_metric_style_wide_update(self, metric_style_wide_level1=None, metric_style_wide_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type metric_style_wide_level1: YANGBool
    :param metric_style_wide_level1: Level-1 Only

    :type metric_style_wide_level2: YANGBool
    :param metric_style_wide_level2: Level-2 Only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.metric_style.wide', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.metric_style.wide', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, metric_style_wide_level1=metric_style_wide_level1, metric_style_wide_level2=metric_style_wide_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, metric_style_wide_level1=metric_style_wide_level1, metric_style_wide_level2=metric_style_wide_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_metric_style_wide_level_1_update(self, metric_style_wide_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type metric_style_wide_level1: YANGBool
    :param metric_style_wide_level1: Level-1 Only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.metric_style.wide', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.metric_style.wide', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, metric_style_wide_level1=metric_style_wide_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, metric_style_wide_level1=metric_style_wide_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_metric_style_wide_level_2_update(self, metric_style_wide_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type metric_style_wide_level2: YANGBool
    :param metric_style_wide_level2: Level-2 Only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.metric_style.wide', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.metric_style.wide', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, metric_style_wide_level2=metric_style_wide_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, metric_style_wide_level2=metric_style_wide_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_bgp_level_1_update(self, bgp_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_level1: YANGBool
    :param bgp_level1: IS-IS Level-1 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_level1=bgp_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_level1=bgp_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_bgp_level_1_2_update(self, bgp_level12=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_level12: YANGBool
    :param bgp_level12: IS-IS Level-1-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_level12=bgp_level12)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_level12=bgp_level12)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_bgp_level_2_update(self, bgp_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_level2: YANGBool
    :param bgp_level2: IS-IS Level-2 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_level2=bgp_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_level2=bgp_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_bgp_metric_update(self, bgp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_metric=bgp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_metric=bgp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_bgp_metric_type_update(self, bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_metric_type: unicode
    :param bgp_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_metric_type=bgp_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_metric_type=bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_bgp_route_map_update(self, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_connected_level_1_update(self, connected_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type connected_level1: YANGBool
    :param connected_level1: IS-IS Level-1 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connected_level1=connected_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_level1=connected_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_connected_level_1_2_update(self, connected_level12=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type connected_level12: YANGBool
    :param connected_level12: IS-IS Level-1-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connected_level12=connected_level12)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_level12=connected_level12)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_connected_level_2_update(self, connected_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type connected_level2: YANGBool
    :param connected_level2: IS-IS Level-2 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connected_level2=connected_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_level2=connected_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_connected_metric_update(self, connected_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type connected_metric: long
    :param connected_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connected_metric=connected_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_metric=connected_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_connected_metric_type_update(self, connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type connected_metric_type: unicode
    :param connected_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connected_metric_type=connected_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_metric_type=connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_connected_route_map_update(self, connected_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type connected_route_map: unicode
    :param connected_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connected_route_map=connected_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_route_map=connected_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_isis_level_1_into_level_2_update(self, prefix_list_level1=None, level1_into_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type prefix_list_level1: unicode
    :param prefix_list_level1: Select routes using prefix-list. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type level1_into_level2_disable: YANGBool
    :param level1_into_level2_disable: Disable. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2': [u'level1_into_level2_disable', u'prefix_list_level1'], 'pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2': [u'level1_into_level2_disable', u'prefix_list_level1']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list_level1=prefix_list_level1, level1_into_level2_disable=level1_into_level2_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list_level1=prefix_list_level1, level1_into_level2_disable=level1_into_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_isis_level_1_into_level_2_disable_update(self, level1_into_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type level1_into_level2_disable: YANGBool
    :param level1_into_level2_disable: Disable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, level1_into_level2_disable=level1_into_level2_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, level1_into_level2_disable=level1_into_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_isis_level_1_into_level_2_prefix_list_update(self, prefix_list_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type prefix_list_level1: unicode
    :param prefix_list_level1: Select routes using prefix-list

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list_level1=prefix_list_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list_level1=prefix_list_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_isis_level_2_into_level_1_prefix_list_update(self, prefix_list_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type prefix_list_level2: unicode
    :param prefix_list_level2: Select routes using prefix-list

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list_level2=prefix_list_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list_level2=prefix_list_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_level_1_update(self, ospf_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_level1: YANGBool
    :param ospf_level1: IS-IS Level-1 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_level1=ospf_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_level1=ospf_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_level_1_2_update(self, ospf_level12=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_level12: YANGBool
    :param ospf_level12: IS-IS Level-1-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_level12=ospf_level12)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_level12=ospf_level12)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_level_2_update(self, ospf_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_level2: YANGBool
    :param ospf_level2: IS-IS Level-2 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_level2=ospf_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_level2=ospf_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_match_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_match_external1_update(self, ospf_external1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_external1=ospf_external1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_external1=ospf_external1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_match_external2_update(self, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_match_internal_update(self, ospf_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_internal=ospf_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_internal=ospf_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_metric_update(self, ospf_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_metric=ospf_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_metric=ospf_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_metric_type_update(self, ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_metric_type: unicode
    :param ospf_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_metric_type=ospf_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_metric_type=ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_route_map_update(self, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_static_level_1_update(self, static_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_level1: YANGBool
    :param static_level1: IS-IS Level-1 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_level1=static_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_level1=static_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_static_level_1_2_update(self, static_level12=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_level12: YANGBool
    :param static_level12: IS-IS Level-1-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_level12=static_level12)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_level12=static_level12)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_static_level_2_update(self, static_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_level2: YANGBool
    :param static_level2: IS-IS Level-2 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_level2=static_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_level2=static_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_static_metric_update(self, static_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_metric: long
    :param static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_metric=static_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_metric=static_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_static_metric_type_update(self, static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_metric_type: unicode
    :param static_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_metric_type=static_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_metric_type=static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_static_route_map_update(self, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_summary_address_update(self, summary_address=None, summary_ip_level1=None, summary_ip_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type summary_address: summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2
    :param summary_address: Keyword argument tuple.

    :type summary_ip: unicode
    :param summary_ip: **summary_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type summary_ip_mask: unicode
    :param summary_ip_mask: **summary_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type summary_ip_level1: YANGBool
    :param summary_ip_level1: **summary_address** tuple argument:  For Level-1

    :type summary_ip_level2: YANGBool
    :param summary_ip_level2: **summary_address** tuple argument:  For Level-2

    **Instance Argument(s)**:

    :type summary_ip_level1: YANGBool
    :param summary_ip_level1: For Level-1

    :type summary_ip_level2: YANGBool
    :param summary_ip_level2: For Level-2

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.summary_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_ip, summary_ip_mask', 'extra_keyval': 'summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, summary_address=summary_address, summary_ip_level1=summary_ip_level1, summary_ip_level2=summary_ip_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_address=summary_address, summary_ip_level1=summary_ip_level1, summary_ip_level2=summary_ip_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_summary_address_level_1_update(self, summary_address=None, summary_ip_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type summary_address: summary_ip, summary_ip_mask
    :param summary_address: Keyword argument tuple.

    :type summary_ip: unicode
    :param summary_ip: **summary_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type summary_ip_mask: unicode
    :param summary_ip_mask: **summary_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type summary_ip_level1: YANGBool
    :param summary_ip_level1: For Level-1

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.summary_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_ip, summary_ip_mask', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, summary_address=summary_address, summary_ip_level1=summary_ip_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_address=summary_address, summary_ip_level1=summary_ip_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_summary_address_level_2_update(self, summary_address=None, summary_ip_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type summary_address: summary_ip, summary_ip_mask
    :param summary_address: Keyword argument tuple.

    :type summary_ip: unicode
    :param summary_ip: **summary_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type summary_ip_mask: unicode
    :param summary_ip_mask: **summary_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type summary_ip_level2: YANGBool
    :param summary_ip_level2: For Level-2

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.summary_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_ip, summary_ip_mask', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, summary_address=summary_address, summary_ip_level2=summary_ip_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_address=summary_address, summary_ip_level2=summary_ip_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_af_common_attributes_update(self, default_metric=None, distance=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Metric for route redistribution

        * range restriction: ::

            ['0..4294967295']

    :type distance: long
    :param distance: Define an administrative distance

        * range restriction: ::

            ['0..4294967295']

    :type maximum_paths: long
    :param maximum_paths: Calculate multiple paths

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_metric=default_metric, distance=distance, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_metric=default_metric, distance=distance, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_af_ipv6_attributes_update(self, disable_adjacency_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type disable_adjacency_check: YANGBool
    :param disable_adjacency_check: Disable IPv6 Support consistency check

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, disable_adjacency_check=disable_adjacency_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, disable_adjacency_check=disable_adjacency_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_default_information_originate_update(self, default_information_originate_route_map=None, default_information_originate_cr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_information_originate_route_map: unicode
    :param default_information_originate_route_map: Use route map

        * length restriction: ::

            ['1..63']

    :type default_information_originate_cr: YANGBool
    :param default_information_originate_cr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_information_originate_route_map=default_information_originate_route_map, default_information_originate_cr=default_information_originate_cr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_information_originate_route_map=default_information_originate_route_map, default_information_originate_cr=default_information_originate_cr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_default_information_originate_default_information_originate_cr_update(self, default_information_originate_cr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_information_originate_cr: YANGBool
    :param default_information_originate_cr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_information_originate_cr=default_information_originate_cr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_information_originate_cr=default_information_originate_cr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_default_information_originate_route_map_update(self, default_information_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_information_originate_route_map: unicode
    :param default_information_originate_route_map: Use route map

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_information_originate_route_map=default_information_originate_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_information_originate_route_map=default_information_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_default_link_metric_update(self, ipv6_default_link_metric_level1=None, ipv6_default_link_metric_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6_default_link_metric_level1: long
    :param ipv6_default_link_metric_level1: Default Link Metric for Level-1

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_default_link_metric_level2: long
    :param ipv6_default_link_metric_level2: Default Link Metric for Level-2

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.ipv6_default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.ipv6_default_link_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_default_link_metric_level1=ipv6_default_link_metric_level1, ipv6_default_link_metric_level2=ipv6_default_link_metric_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_default_link_metric_level1=ipv6_default_link_metric_level1, ipv6_default_link_metric_level2=ipv6_default_link_metric_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_default_link_metric_level_1_update(self, ipv6_default_link_metric_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6_default_link_metric_level1: long
    :param ipv6_default_link_metric_level1: Default Link Metric for Level-1

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.ipv6_default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.ipv6_default_link_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_default_link_metric_level1=ipv6_default_link_metric_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_default_link_metric_level1=ipv6_default_link_metric_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_default_link_metric_level_2_update(self, ipv6_default_link_metric_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ipv6_default_link_metric_level2: long
    :param ipv6_default_link_metric_level2: Default Link Metric for Level-2

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.ipv6_default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.ipv6_default_link_metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ipv6_default_link_metric_level2=ipv6_default_link_metric_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_default_link_metric_level2=ipv6_default_link_metric_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_default_metric_update(self, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Metric for route redistribution

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_disable_adjacency_check_update(self, disable_adjacency_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type disable_adjacency_check: YANGBool
    :param disable_adjacency_check: Disable IPv6 Support consistency check

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, disable_adjacency_check=disable_adjacency_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, disable_adjacency_check=disable_adjacency_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_distance_update(self, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Define an administrative distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_maximum_paths_update(self, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type maximum_paths: long
    :param maximum_paths: Calculate multiple paths

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_multi_topology_transition_update(self, multi_topology_transition=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type multi_topology_transition: YANGBool
    :param multi_topology_transition: Accept and generate both ISIS IPv6 and Multi-topology IPv6 TLVs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.multi_topology', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.multi_topology', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, multi_topology_transition=multi_topology_transition)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multi_topology_transition=multi_topology_transition)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_partial_spf_interval_update(self, pspf6_max_hold_time=None, pspf6_init_delay=None, pspf6_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf6_max_hold_time: long
    :param pspf6_max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pspf6_init_delay: long
    :param pspf6_init_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pspf6_hold_time: long
    :param pspf6_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.partial6_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.partial6_spf_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pspf6_max_hold_time, pspf6_init_delay, pspf6_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf6_max_hold_time=pspf6_max_hold_time, pspf6_init_delay=pspf6_init_delay, pspf6_hold_time=pspf6_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf6_max_hold_time=pspf6_max_hold_time, pspf6_init_delay=pspf6_init_delay, pspf6_hold_time=pspf6_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_partial_spf_interval_pspf_hold_time_update(self, pspf6_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf6_hold_time: long
    :param pspf6_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.partial6_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.partial6_spf_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf6_hold_time=pspf6_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf6_hold_time=pspf6_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_partial_spf_interval_pspf_init_delay_update(self, pspf6_init_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf6_init_delay: long
    :param pspf6_init_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.partial6_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.partial6_spf_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf6_init_delay=pspf6_init_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf6_init_delay=pspf6_init_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_partial_spf_interval_pspf_max_hold_time_update(self, pspf6_max_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf6_max_hold_time: long
    :param pspf6_max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.partial6_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.partial6_spf_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf6_max_hold_time=pspf6_max_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf6_max_hold_time=pspf6_max_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_bgp_level_1_update(self, bgp_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_level1: YANGBool
    :param bgp_level1: IS-IS Level-1 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_level1=bgp_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_level1=bgp_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_bgp_level_1_2_update(self, bgp_level12=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_level12: YANGBool
    :param bgp_level12: IS-IS Level-1-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_level12=bgp_level12)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_level12=bgp_level12)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_bgp_level_2_update(self, bgp_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_level2: YANGBool
    :param bgp_level2: IS-IS Level-2 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_level2=bgp_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_level2=bgp_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_bgp_metric_update(self, bgp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_metric=bgp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_metric=bgp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_bgp_metric_type_update(self, bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_metric_type: unicode
    :param bgp_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_metric_type=bgp_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_metric_type=bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_bgp_route_map_update(self, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_connected_level_1_update(self, connected_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type connected_level1: YANGBool
    :param connected_level1: IS-IS Level-1 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connected_level1=connected_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_level1=connected_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_connected_level_1_2_update(self, connected_level12=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type connected_level12: YANGBool
    :param connected_level12: IS-IS Level-1-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connected_level12=connected_level12)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_level12=connected_level12)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_connected_level_2_update(self, connected_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type connected_level2: YANGBool
    :param connected_level2: IS-IS Level-2 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connected_level2=connected_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_level2=connected_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_connected_metric_update(self, connected_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type connected_metric: long
    :param connected_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connected_metric=connected_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_metric=connected_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_connected_metric_type_update(self, connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type connected_metric_type: unicode
    :param connected_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connected_metric_type=connected_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_metric_type=connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_connected_route_map_update(self, connected_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type connected_route_map: unicode
    :param connected_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connected_route_map=connected_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_route_map=connected_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_isis_level_1_into_level_2_update(self, prefix_list_level1=None, level1_into_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type prefix_list_level1: unicode
    :param prefix_list_level1: Select routes using prefix-list. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..63']

    :type level1_into_level2_disable: YANGBool
    :param level1_into_level2_disable: Disable. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2': [u'level1_into_level2_disable', u'prefix_list_level1'], 'pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2': [u'level1_into_level2_disable', u'prefix_list_level1']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list_level1=prefix_list_level1, level1_into_level2_disable=level1_into_level2_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list_level1=prefix_list_level1, level1_into_level2_disable=level1_into_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_isis_level_1_into_level_2_disable_update(self, level1_into_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type level1_into_level2_disable: YANGBool
    :param level1_into_level2_disable: Disable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, level1_into_level2_disable=level1_into_level2_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, level1_into_level2_disable=level1_into_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_isis_level_1_into_level_2_prefix_list_update(self, prefix_list_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type prefix_list_level1: unicode
    :param prefix_list_level1: Select routes using prefix-list

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list_level1=prefix_list_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list_level1=prefix_list_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_isis_level_2_into_level_1_prefix_list_update(self, prefix_list_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type prefix_list_level2: unicode
    :param prefix_list_level2: Select routes using prefix-list

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prefix_list_level2=prefix_list_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list_level2=prefix_list_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_level_1_update(self, ospf_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_level1: YANGBool
    :param ospf_level1: IS-IS Level-1 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_level1=ospf_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_level1=ospf_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_level_1_2_update(self, ospf_level12=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_level12: YANGBool
    :param ospf_level12: IS-IS Level-1-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_level12=ospf_level12)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_level12=ospf_level12)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_level_2_update(self, ospf_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_level2: YANGBool
    :param ospf_level2: IS-IS Level-2 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_level2=ospf_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_level2=ospf_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_match_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_match_external1_update(self, ospf_external1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_external1: YANGBool
    :param ospf_external1: External type 1 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_external1=ospf_external1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_external1=ospf_external1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_match_external2_update(self, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_external2: YANGBool
    :param ospf_external2: External type 2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_external2=ospf_external2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_match_internal_update(self, ospf_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_internal: YANGBool
    :param ospf_internal: Internal routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_internal=ospf_internal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_internal=ospf_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_metric_update(self, ospf_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_metric=ospf_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_metric=ospf_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_metric_type_update(self, ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_metric_type: unicode
    :param ospf_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_metric_type=ospf_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_metric_type=ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_route_map_update(self, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_static_level_1_update(self, static_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_level1: YANGBool
    :param static_level1: IS-IS Level-1 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_level1=static_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_level1=static_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_static_level_1_2_update(self, static_level12=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_level12: YANGBool
    :param static_level12: IS-IS Level-1-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_level12=static_level12)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_level12=static_level12)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_static_level_2_update(self, static_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_level2: YANGBool
    :param static_level2: IS-IS Level-2 routes only

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_level2=static_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_level2=static_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_static_metric_update(self, static_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_metric: long
    :param static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_metric=static_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_metric=static_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_static_metric_type_update(self, static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_metric_type: unicode
    :param static_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_metric_type=static_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_metric_type=static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_static_route_map_update(self, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_spf_interval_update(self, spf6_interval=None, spf6_interval_max_hold_time=None, spf6_interval_initial_delay=None, spf6_interval_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type spf6_interval: spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time
    :param spf6_interval: Keyword argument tuple.

    :type spf6_interval_level: unicode
    :param spf6_interval_level: **spf6_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type spf6_interval_max_hold_time: long
    :param spf6_interval_max_hold_time: **spf6_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_interval_initial_delay: long
    :param spf6_interval_initial_delay: **spf6_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_interval_hold_time: long
    :param spf6_interval_hold_time: **spf6_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spf6_interval_max_hold_time: long
    :param spf6_interval_max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_interval_initial_delay: long
    :param spf6_interval_initial_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_interval_hold_time: long
    :param spf6_interval_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'spf6_interval', 'keyval': 'spf6_interval_level', 'extra_keyval': 'spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf6_interval=spf6_interval, spf6_interval_max_hold_time=spf6_interval_max_hold_time, spf6_interval_initial_delay=spf6_interval_initial_delay, spf6_interval_hold_time=spf6_interval_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf6_interval=spf6_interval, spf6_interval_max_hold_time=spf6_interval_max_hold_time, spf6_interval_initial_delay=spf6_interval_initial_delay, spf6_interval_hold_time=spf6_interval_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_spf_interval_spf6_interval_hold_time_update(self, spf6_interval=None, spf6_interval_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type spf6_interval: spf6_interval_level
    :param spf6_interval: Keyword argument tuple.

    :type spf6_interval_level: unicode
    :param spf6_interval_level: **spf6_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type spf6_interval_hold_time: long
    :param spf6_interval_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'spf6_interval', 'keyval': 'spf6_interval_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf6_interval=spf6_interval, spf6_interval_hold_time=spf6_interval_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf6_interval=spf6_interval, spf6_interval_hold_time=spf6_interval_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_spf_interval_spf6_interval_initial_delay_update(self, spf6_interval=None, spf6_interval_initial_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type spf6_interval: spf6_interval_level
    :param spf6_interval: Keyword argument tuple.

    :type spf6_interval_level: unicode
    :param spf6_interval_level: **spf6_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type spf6_interval_initial_delay: long
    :param spf6_interval_initial_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'spf6_interval', 'keyval': 'spf6_interval_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf6_interval=spf6_interval, spf6_interval_initial_delay=spf6_interval_initial_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf6_interval=spf6_interval, spf6_interval_initial_delay=spf6_interval_initial_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_spf_interval_spf6_interval_max_hold_time_update(self, spf6_interval=None, spf6_interval_max_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type spf6_interval: spf6_interval_level
    :param spf6_interval: Keyword argument tuple.

    :type spf6_interval_level: unicode
    :param spf6_interval_level: **spf6_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type spf6_interval_max_hold_time: long
    :param spf6_interval_max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'spf6_interval', 'keyval': 'spf6_interval_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf6_interval=spf6_interval, spf6_interval_max_hold_time=spf6_interval_max_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf6_interval=spf6_interval, spf6_interval_max_hold_time=spf6_interval_max_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_summary_prefix_update(self, summary_prefix=None, summary_prefix_level1=None, summary_prefix_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type summary_prefix: summary_prefix_ipv6
    :param summary_prefix: Keyword argument tuple.

    :type summary_prefix_ipv6: unicode
    :param summary_prefix_ipv6: **summary_prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type summary_prefix_level1: YANGBool
    :param summary_prefix_level1: For Level-1

    :type summary_prefix_level2: YANGBool
    :param summary_prefix_level2: For Level-2

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.summary_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.summary_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_prefix', 'keyval': 'summary_prefix_ipv6', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, summary_prefix=summary_prefix, summary_prefix_level1=summary_prefix_level1, summary_prefix_level2=summary_prefix_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_prefix=summary_prefix, summary_prefix_level1=summary_prefix_level1, summary_prefix_level2=summary_prefix_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_summary_prefix_level_1_update(self, summary_prefix=None, summary_prefix_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type summary_prefix: summary_prefix_ipv6
    :param summary_prefix: Keyword argument tuple.

    :type summary_prefix_ipv6: unicode
    :param summary_prefix_ipv6: **summary_prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type summary_prefix_level1: YANGBool
    :param summary_prefix_level1: For Level-1

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.summary_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.summary_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_prefix', 'keyval': 'summary_prefix_ipv6', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, summary_prefix=summary_prefix, summary_prefix_level1=summary_prefix_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_prefix=summary_prefix, summary_prefix_level1=summary_prefix_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_summary_prefix_level_2_update(self, summary_prefix=None, summary_prefix_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type summary_prefix: summary_prefix_ipv6
    :param summary_prefix: Keyword argument tuple.

    :type summary_prefix_ipv6: unicode
    :param summary_prefix_ipv6: **summary_prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type summary_prefix_level2: YANGBool
    :param summary_prefix_level2: For Level-2

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.summary_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.summary_prefix', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_prefix', 'keyval': 'summary_prefix_ipv6', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, summary_prefix=summary_prefix, summary_prefix_level2=summary_prefix_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_prefix=summary_prefix, summary_prefix_level2=summary_prefix_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_auth_check_level_1_update(self, auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_check_level1_disable: YANGBool
    :param auth_check_level1_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_check_level1_disable=auth_check_level1_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_check_level1_disable=auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_auth_check_level_1_disable_update(self, auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_check_level1_disable: YANGBool
    :param auth_check_level1_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level1', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_check_level1_disable=auth_check_level1_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_check_level1_disable=auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_auth_check_level_2_update(self, auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_check_level2_disable: YANGBool
    :param auth_check_level2_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level2', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_check_level2_disable=auth_check_level2_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_check_level2_disable=auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_auth_check_level_2_disable_update(self, auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_check_level2_disable: YANGBool
    :param auth_check_level2_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level2', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_check_level2_disable=auth_check_level2_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_check_level2_disable=auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_auth_key_update(self, auth_key_level1_str=None, auth_key_level2_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_key_level1_str: unicode
    :param auth_key_level1_str: Auth-key for Level-1 ISIS Router

        * length restriction: ::

            ['1..63']

    :type auth_key_level2_str: unicode
    :param auth_key_level2_str: Auth-key for Level-2 ISIS Router

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_key', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_key_level1_str=auth_key_level1_str, auth_key_level2_str=auth_key_level2_str)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_key_level1_str=auth_key_level1_str, auth_key_level2_str=auth_key_level2_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_auth_key_level_1_update(self, auth_key_level1_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_key_level1_str: unicode
    :param auth_key_level1_str: Auth-key for Level-1 ISIS Router

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_key', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_key_level1_str=auth_key_level1_str)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_key_level1_str=auth_key_level1_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_auth_key_level_2_update(self, auth_key_level2_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_key_level2_str: unicode
    :param auth_key_level2_str: Auth-key for Level-2 ISIS Router

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_key', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_key_level2_str=auth_key_level2_str)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_key_level2_str=auth_key_level2_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_auth_mode_md5_update(self, auth_mode_md5_level1=None, auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_mode_md5_level1: YANGBool
    :param auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP

    :type auth_mode_md5_level2: YANGBool
    :param auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_mode.md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_mode.md5', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_mode_md5_level1=auth_mode_md5_level1, auth_mode_md5_level2=auth_mode_md5_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_mode_md5_level1=auth_mode_md5_level1, auth_mode_md5_level2=auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_auth_mode_md5_level_1_update(self, auth_mode_md5_level1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_mode_md5_level1: YANGBool
    :param auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_mode.md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_mode.md5', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_mode_md5_level1=auth_mode_md5_level1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_mode_md5_level1=auth_mode_md5_level1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_auth_mode_md5_level_2_update(self, auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type auth_mode_md5_level2: YANGBool
    :param auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_mode.md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_mode.md5', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, auth_mode_md5_level2=auth_mode_md5_level2)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auth_mode_md5_level2=auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_bfd_update(self, bfd_all_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bfd_all_interfaces: YANGBool
    :param bfd_all_interfaces: Enable BFD on all interfaces

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.bfd": {"bfd_all_interfaces": "bfd_all_interfaces"}, "pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.bfd": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_all_interfaces=bfd_all_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_all_interfaces=bfd_all_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_bfd_all_interfaces_update(self, bfd_all_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type bfd_all_interfaces: YANGBool
    :param bfd_all_interfaces: Enable BFD on all interfaces

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_all_interfaces=bfd_all_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_all_interfaces=bfd_all_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_bfd_bfd_global_enable_update(self, bfd_global_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type bfd_global_enable: YANGBool
    :param bfd_global_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_global_enable=bfd_global_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_global_enable=bfd_global_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_bfd_holdover_interval_update(self, bfd_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type bfd_holdover_interval: int
    :param bfd_holdover_interval: Holdover-interval in seconds

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_holdover_interval=bfd_holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_holdover_interval=bfd_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_csnp_interval_update(self, csnp_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type csnp_interval: long
    :param csnp_interval: Rate of transmission of CSNPs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, csnp_interval=csnp_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, csnp_interval=csnp_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_disable_inc_stct_spf_opt_update(self, disable_inc_stct_spf_opt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type disable_inc_stct_spf_opt: YANGBool
    :param disable_inc_stct_spf_opt: Disable Incremental Shortcut SPF Optimizations - resort to Full SPF

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, disable_inc_stct_spf_opt=disable_inc_stct_spf_opt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, disable_inc_stct_spf_opt=disable_inc_stct_spf_opt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_disable_incremental_spf_opt_update(self, disable_incremental_spf_opt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type disable_incremental_spf_opt: YANGBool
    :param disable_incremental_spf_opt: Disable Incremental SPF Optimizations - resort to Full SPF

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, disable_incremental_spf_opt=disable_incremental_spf_opt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, disable_incremental_spf_opt=disable_incremental_spf_opt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_disable_partial_spf_opt_update(self, disable_partial_spf_opt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type disable_partial_spf_opt: YANGBool
    :param disable_partial_spf_opt: Disable Partial SPF Optimizations - resort to Full SPF

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, disable_partial_spf_opt=disable_partial_spf_opt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, disable_partial_spf_opt=disable_partial_spf_opt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_fast_flood_fast_flood_value_update(self, fast_flood_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fast_flood_value: long
    :param fast_flood_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.fast_flood', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.fast_flood', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fast_flood_value=fast_flood_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fast_flood_value=fast_flood_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_graceful_restart_update(self, gr_helper_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type gr_helper_disable: YANGBool
    :param gr_helper_disable: Disable Helper Mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_helper_disable=gr_helper_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_helper_disable=gr_helper_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_graceful_restart_helper_disable_update(self, gr_helper_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type gr_helper_disable: YANGBool
    :param gr_helper_disable: Disable Helper Mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, gr_helper_disable=gr_helper_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gr_helper_disable=gr_helper_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_hello_padding_update(self, hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_padding_disable: YANGBool
    :param hello_padding_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_padding_disable=hello_padding_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_padding_disable=hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_hello_padding_disable_update(self, hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_padding_disable: YANGBool
    :param hello_padding_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_padding_disable=hello_padding_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_padding_disable=hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_hello_padding_point_to_point_update(self, hello_padding_ptp_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_padding_ptp_disable: YANGBool
    :param hello_padding_ptp_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding.hello_padding_point_to_point', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding.hello_padding_point_to_point', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_padding_ptp_disable=hello_padding_ptp_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_padding_ptp_disable=hello_padding_ptp_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_hello_padding_point_to_point_disable_update(self, hello_padding_ptp_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_padding_ptp_disable: YANGBool
    :param hello_padding_ptp_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding.hello_padding_point_to_point', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding.hello_padding_point_to_point', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_padding_ptp_disable=hello_padding_ptp_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_padding_ptp_disable=hello_padding_ptp_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_hostname_update(self, hostname_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hostname_disable: YANGBool
    :param hostname_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hostname', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hostname', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hostname_disable=hostname_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hostname_disable=hostname_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_hostname_disable_update(self, hostname_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hostname_disable: YANGBool
    :param hostname_disable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hostname', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hostname', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hostname_disable=hostname_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hostname_disable=hostname_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_is_type_update(self, is_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type is_type: unicode
    :param is_type: Define inter-area/intra area operation mode

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, is_type=is_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, is_type=is_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_log_update(self, adjacency=None, invalid_lsp_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type adjacency: YANGBool
    :param adjacency: Logging Adjacency Changes

    :type invalid_lsp_packets: YANGBool
    :param invalid_lsp_packets: Logging Invalid LSP Packets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.log', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adjacency=adjacency, invalid_lsp_packets=invalid_lsp_packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adjacency=adjacency, invalid_lsp_packets=invalid_lsp_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_log_adjacency_update(self, adjacency=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type adjacency: YANGBool
    :param adjacency: Logging Adjacency Changes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.log', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, adjacency=adjacency)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adjacency=adjacency)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_log_invalid_lsp_packets_update(self, invalid_lsp_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type invalid_lsp_packets: YANGBool
    :param invalid_lsp_packets: Logging Invalid LSP Packets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.log', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, invalid_lsp_packets=invalid_lsp_packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, invalid_lsp_packets=invalid_lsp_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_lsp_gen_interval_update(self, lsp_gen_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_gen_interval: long
    :param lsp_gen_interval: Minimum interval between regenerating same LSP

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_gen_interval=lsp_gen_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_gen_interval=lsp_gen_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_lsp_interval_update(self, lsp_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_interval: long
    :param lsp_interval: Rate of transmission of LSPs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_interval=lsp_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_interval=lsp_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_lsp_refresh_interval_update(self, lsp_refresh_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_refresh_interval: long
    :param lsp_refresh_interval: LSP refresh interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_refresh_interval=lsp_refresh_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_refresh_interval=lsp_refresh_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_max_lsp_lifetime_update(self, max_lsp_lifetime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_lsp_lifetime: long
    :param max_lsp_lifetime: Maximum LSP lifetime

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_lsp_lifetime=max_lsp_lifetime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_lsp_lifetime=max_lsp_lifetime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_nonstop_routing_update(self, nonstop_routing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enables the ISIS nonstop routing capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nonstop_routing=nonstop_routing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nonstop_routing=nonstop_routing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_partial_spf_interval_update(self, pspf_max_hold_time=None, pspf_init_delay=None, pspf_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf_max_hold_time: long
    :param pspf_max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pspf_init_delay: long
    :param pspf_init_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pspf_hold_time: long
    :param pspf_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.partial_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.partial_spf_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pspf_max_hold_time, pspf_init_delay, pspf_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf_max_hold_time=pspf_max_hold_time, pspf_init_delay=pspf_init_delay, pspf_hold_time=pspf_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf_max_hold_time=pspf_max_hold_time, pspf_init_delay=pspf_init_delay, pspf_hold_time=pspf_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_partial_spf_interval_pspf_hold_time_update(self, pspf_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf_hold_time: long
    :param pspf_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.partial_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.partial_spf_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf_hold_time=pspf_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf_hold_time=pspf_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_partial_spf_interval_pspf_init_delay_update(self, pspf_init_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf_init_delay: long
    :param pspf_init_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.partial_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.partial_spf_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf_init_delay=pspf_init_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf_init_delay=pspf_init_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_partial_spf_interval_pspf_max_hold_time_update(self, pspf_max_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pspf_max_hold_time: long
    :param pspf_max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.partial_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.partial_spf_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pspf_max_hold_time=pspf_max_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pspf_max_hold_time=pspf_max_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_retransmit_interval_update(self, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmission of LSP

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_reverse_metric_rev_metric_common_attributes_update(self, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rev_metric_val: long
    :param rev_metric_val: Configure IS-IS reverse metric value

        * range restriction: ::

            ['0..4294967295']

    :type rev_metric_whole_lan: YANGBool
    :param rev_metric_whole_lan: Change metric for whole LAN

    :type rev_metric_te_def_metric: YANGBool
    :param rev_metric_te_def_metric: Update TE default metric sub-tlv

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_reverse_metric_rev_metric_val_update(self, rev_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rev_metric_val: long
    :param rev_metric_val: Configure IS-IS reverse metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rev_metric_val=rev_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rev_metric_val=rev_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_reverse_metric_reverse_metric_tlv_update(self, rev_metric_tlv_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rev_metric_tlv_type: int
    :param rev_metric_tlv_type: Configure reverse metric TLV type

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.reverse_metric_tlv', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.reverse_metric_tlv', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rev_metric_tlv_type=rev_metric_tlv_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rev_metric_tlv_type=rev_metric_tlv_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_reverse_metric_te_def_metric_update(self, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rev_metric_te_def_metric: YANGBool
    :param rev_metric_te_def_metric: Update TE default metric sub-tlv

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rev_metric_te_def_metric=rev_metric_te_def_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_reverse_metric_tlv_type_update(self, rev_metric_tlv_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rev_metric_tlv_type: int
    :param rev_metric_tlv_type: Configure reverse metric TLV type

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.reverse_metric_tlv', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.reverse_metric_tlv', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rev_metric_tlv_type=rev_metric_tlv_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rev_metric_tlv_type=rev_metric_tlv_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_reverse_metric_whole_lan_update(self, rev_metric_whole_lan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rev_metric_whole_lan: YANGBool
    :param rev_metric_whole_lan: Change metric for whole LAN

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rev_metric_whole_lan=rev_metric_whole_lan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rev_metric_whole_lan=rev_metric_whole_lan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_router_isis_attributes_update(self, csnp_interval=None, disable_inc_stct_spf_opt=None, disable_incremental_spf_opt=None, disable_partial_spf_opt=None, is_type=None, lsp_gen_interval=None, lsp_interval=None, lsp_refresh_interval=None, max_lsp_lifetime=None, nonstop_routing=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type csnp_interval: long
    :param csnp_interval: Rate of transmission of CSNPs

        * range restriction: ::

            ['0..4294967295']

    :type disable_inc_stct_spf_opt: YANGBool
    :param disable_inc_stct_spf_opt: Disable Incremental Shortcut SPF Optimizations - resort to Full SPF

    :type disable_incremental_spf_opt: YANGBool
    :param disable_incremental_spf_opt: Disable Incremental SPF Optimizations - resort to Full SPF

    :type disable_partial_spf_opt: YANGBool
    :param disable_partial_spf_opt: Disable Partial SPF Optimizations - resort to Full SPF

    :type is_type: unicode
    :param is_type: Define inter-area/intra area operation mode

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    :type lsp_gen_interval: long
    :param lsp_gen_interval: Minimum interval between regenerating same LSP

        * range restriction: ::

            ['0..4294967295']

    :type lsp_interval: long
    :param lsp_interval: Rate of transmission of LSPs

        * range restriction: ::

            ['0..4294967295']

    :type lsp_refresh_interval: long
    :param lsp_refresh_interval: LSP refresh interval

        * range restriction: ::

            ['0..4294967295']

    :type max_lsp_lifetime: long
    :param max_lsp_lifetime: Maximum LSP lifetime

        * range restriction: ::

            ['0..4294967295']

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enables the ISIS nonstop routing capability

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmission of LSP

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, csnp_interval=csnp_interval, disable_inc_stct_spf_opt=disable_inc_stct_spf_opt, disable_incremental_spf_opt=disable_incremental_spf_opt, disable_partial_spf_opt=disable_partial_spf_opt, is_type=is_type, lsp_gen_interval=lsp_gen_interval, lsp_interval=lsp_interval, lsp_refresh_interval=lsp_refresh_interval, max_lsp_lifetime=max_lsp_lifetime, nonstop_routing=nonstop_routing, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, csnp_interval=csnp_interval, disable_inc_stct_spf_opt=disable_inc_stct_spf_opt, disable_incremental_spf_opt=disable_incremental_spf_opt, disable_partial_spf_opt=disable_partial_spf_opt, is_type=is_type, lsp_gen_interval=lsp_gen_interval, lsp_interval=lsp_interval, lsp_refresh_interval=lsp_refresh_interval, max_lsp_lifetime=max_lsp_lifetime, nonstop_routing=nonstop_routing, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_set_debug_update(self, nsr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type nsr: YANGBool
    :param nsr: Set nsr debug

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_debug', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_debug', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsr=nsr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsr=nsr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_set_debug_nsr_update(self, nsr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type nsr: YANGBool
    :param nsr: Set nsr debug

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_debug', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_debug', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nsr=nsr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsr=nsr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_set_overload_bit_on_startup_update(self, on_startup_overloadtime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type on_startup_overloadtime: long
    :param on_startup_overloadtime: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit.on_startup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit.on_startup': [u'wait_for_bgp', u'on_startup_overloadtime'], 'pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit.on_startup': [u'wait_for_bgp', u'on_startup_overloadtime']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, on_startup_overloadtime=on_startup_overloadtime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, on_startup_overloadtime=on_startup_overloadtime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_set_overload_bit_on_startup_on_startup_overloadtime_update(self, on_startup_overloadtime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type on_startup_overloadtime: long
    :param on_startup_overloadtime: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit.on_startup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, on_startup_overloadtime=on_startup_overloadtime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, on_startup_overloadtime=on_startup_overloadtime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_set_overload_bit_on_startup_wait_for_bgp_wait_for_bgp_value_update(self, wait_for_bgp_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type wait_for_bgp_value: long
    :param wait_for_bgp_value: Set overload-bit till BGP converges on reboot

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit.on_startup.wait_for_bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit.on_startup.wait_for_bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, wait_for_bgp_value=wait_for_bgp_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, wait_for_bgp_value=wait_for_bgp_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_spf_interval_update(self, spf_interval=None, spf_interval_max_hold_time=None, spf_interval_initial_delay=None, spf_interval_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type spf_interval: spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time
    :param spf_interval: Keyword argument tuple.

    :type spf_interval_level: unicode
    :param spf_interval_level: **spf_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type spf_interval_max_hold_time: long
    :param spf_interval_max_hold_time: **spf_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_interval_initial_delay: long
    :param spf_interval_initial_delay: **spf_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_interval_hold_time: long
    :param spf_interval_hold_time: **spf_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spf_interval_max_hold_time: long
    :param spf_interval_max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_interval_initial_delay: long
    :param spf_interval_initial_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_interval_hold_time: long
    :param spf_interval_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'spf_interval', 'keyval': 'spf_interval_level', 'extra_keyval': 'spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_interval=spf_interval, spf_interval_max_hold_time=spf_interval_max_hold_time, spf_interval_initial_delay=spf_interval_initial_delay, spf_interval_hold_time=spf_interval_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_interval=spf_interval, spf_interval_max_hold_time=spf_interval_max_hold_time, spf_interval_initial_delay=spf_interval_initial_delay, spf_interval_hold_time=spf_interval_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_spf_interval_spf_interval_hold_time_update(self, spf_interval=None, spf_interval_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type spf_interval: spf_interval_level
    :param spf_interval: Keyword argument tuple.

    :type spf_interval_level: unicode
    :param spf_interval_level: **spf_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type spf_interval_hold_time: long
    :param spf_interval_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'spf_interval', 'keyval': 'spf_interval_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_interval=spf_interval, spf_interval_hold_time=spf_interval_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_interval=spf_interval, spf_interval_hold_time=spf_interval_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_spf_interval_spf_interval_initial_delay_update(self, spf_interval=None, spf_interval_initial_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type spf_interval: spf_interval_level
    :param spf_interval: Keyword argument tuple.

    :type spf_interval_level: unicode
    :param spf_interval_level: **spf_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type spf_interval_initial_delay: long
    :param spf_interval_initial_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'spf_interval', 'keyval': 'spf_interval_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_interval=spf_interval, spf_interval_initial_delay=spf_interval_initial_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_interval=spf_interval, spf_interval_initial_delay=spf_interval_initial_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_spf_interval_spf_interval_max_hold_time_update(self, spf_interval=None, spf_interval_max_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type spf_interval: spf_interval_level
    :param spf_interval: Keyword argument tuple.

    :type spf_interval_level: unicode
    :param spf_interval_level: **spf_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    **Instance Argument(s)**:

    :type spf_interval_max_hold_time: long
    :param spf_interval_max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'spf_interval', 'keyval': 'spf_interval_level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_interval=spf_interval, spf_interval_max_hold_time=spf_interval_max_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_interval=spf_interval, spf_interval_max_hold_time=spf_interval_max_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_template_update(self, autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type autobw_template: autobw_template_name
    :param autobw_template: Keyword argument tuple.

    :type autobw_template_name: unicode
    :param autobw_template_name: **autobw_template** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type adjustment_interval: long
    :param adjustment_interval: Configure Adjustment interval

        * range restriction: ::

            ['0..4294967295']

    :type adjustment_threshold: long
    :param adjustment_threshold: Configure Adjustment threshold

        * range restriction: ::

            ['0..4294967295']

    :type min_bandwidth: long
    :param min_bandwidth: Configure Minimum Bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type max_bandwidth: long
    :param max_bandwidth: Configure Maximum bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type overflow_limit: long
    :param overflow_limit: Configure Overflow limit

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: Configure Mode of autobandwidth

        * enumeration restriction: ::

            ['monitor-and-signal', 'monitor-only']

    :type sample_recording: unicode
    :param sample_recording: Set sample recording for this lsp

        * enumeration restriction: ::

            ['enable', 'disable']

    :type underflow_limit: long
    :param underflow_limit: Configure Underflow limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template": {"adjustment_threshold": "adjustment_threshold", "overflow_limit": "overflow_limit", "max_bandwidth": "max_bandwidth", "adjustment_interval": "adjustment_interval", "mode": "mode", "sample_recording": "sample_recording", "underflow_limit": "underflow_limit", "autobw_template_name": "autobw_template_name", "min_bandwidth": "min_bandwidth"}, "pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_template": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_template=autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_template=autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_template_adjustment_interval_update(self, autobw_template=None, adjustment_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type autobw_template: autobw_template_name
    :param autobw_template: Keyword argument tuple.

    :type autobw_template_name: unicode
    :param autobw_template_name: **autobw_template** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type adjustment_interval: long
    :param adjustment_interval: Configure Adjustment interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_template=autobw_template, adjustment_interval=adjustment_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_template=autobw_template, adjustment_interval=adjustment_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_template_adjustment_threshold_update(self, autobw_template=None, adjustment_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type autobw_template: autobw_template_name
    :param autobw_template: Keyword argument tuple.

    :type autobw_template_name: unicode
    :param autobw_template_name: **autobw_template** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type adjustment_threshold: long
    :param adjustment_threshold: Configure Adjustment threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_template=autobw_template, adjustment_threshold=adjustment_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_template=autobw_template, adjustment_threshold=adjustment_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_template_adjustment_threshold_threshold_percentage_update(self, autobw_template=None, threshold_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type autobw_template: autobw_template_name
    :param autobw_template: Keyword argument tuple.

    :type autobw_template_name: unicode
    :param autobw_template_name: **autobw_template** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type threshold_percentage: long
    :param threshold_percentage: Configure Adjustment threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', u'autobw_template')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_template.adjustment_threshold', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'autobw_template_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_template=autobw_template, threshold_percentage=threshold_percentage)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_template=autobw_template, threshold_percentage=threshold_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_template_adjustment_threshold_use_threshold_table_update(self, autobw_template=None, use_threshold_table=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type autobw_template: autobw_template_name
    :param autobw_template: Keyword argument tuple.

    :type autobw_template_name: unicode
    :param autobw_template_name: **autobw_template** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type use_threshold_table: YANGBool
    :param use_threshold_table: Use absolute thresholds from threshold table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', u'autobw_template')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_template.adjustment_threshold', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'autobw_template_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_template=autobw_template, use_threshold_table=use_threshold_table)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_template=autobw_template, use_threshold_table=use_threshold_table)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_template_max_bandwidth_update(self, autobw_template=None, max_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type autobw_template: autobw_template_name
    :param autobw_template: Keyword argument tuple.

    :type autobw_template_name: unicode
    :param autobw_template_name: **autobw_template** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type max_bandwidth: long
    :param max_bandwidth: Configure Maximum bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_template=autobw_template, max_bandwidth=max_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_template=autobw_template, max_bandwidth=max_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_template_min_bandwidth_update(self, autobw_template=None, min_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type autobw_template: autobw_template_name
    :param autobw_template: Keyword argument tuple.

    :type autobw_template_name: unicode
    :param autobw_template_name: **autobw_template** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type min_bandwidth: long
    :param min_bandwidth: Configure Minimum Bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_template=autobw_template, min_bandwidth=min_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_template=autobw_template, min_bandwidth=min_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_template_mode_update(self, autobw_template=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type autobw_template: autobw_template_name
    :param autobw_template: Keyword argument tuple.

    :type autobw_template_name: unicode
    :param autobw_template_name: **autobw_template** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Configure Mode of autobandwidth

        * enumeration restriction: ::

            ['monitor-and-signal', 'monitor-only']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_template=autobw_template, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_template=autobw_template, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_template_overflow_limit_update(self, autobw_template=None, overflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type autobw_template: autobw_template_name
    :param autobw_template: Keyword argument tuple.

    :type autobw_template_name: unicode
    :param autobw_template_name: **autobw_template** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type overflow_limit: long
    :param overflow_limit: Configure Overflow limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_template=autobw_template, overflow_limit=overflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_template=autobw_template, overflow_limit=overflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_template_sample_recording_update(self, autobw_template=None, sample_recording=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type autobw_template: autobw_template_name
    :param autobw_template: Keyword argument tuple.

    :type autobw_template_name: unicode
    :param autobw_template_name: **autobw_template** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type sample_recording: unicode
    :param sample_recording: Set sample recording for this lsp

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_template=autobw_template, sample_recording=sample_recording)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_template=autobw_template, sample_recording=sample_recording)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_template_underflow_limit_update(self, autobw_template=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type autobw_template: autobw_template_name
    :param autobw_template: Keyword argument tuple.

    :type autobw_template_name: unicode
    :param autobw_template_name: **autobw_template** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type underflow_limit: long
    :param underflow_limit: Configure Underflow limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_template=autobw_template, underflow_limit=underflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_template=autobw_template, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_threshold_table_bandwidth_update(self, autobw_threshold_table_bandwidth=None, autobw_threshold_table_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type autobw_threshold_table_bandwidth: bandwidth_value, autobw_threshold_table_threshold
    :param autobw_threshold_table_bandwidth: Keyword argument tuple.

    :type bandwidth_value: long
    :param bandwidth_value: **autobw_threshold_table_bandwidth** tuple argument:  DECIMAL;;Bandwidth upto which threshold will apply

        * range restriction: ::

            ['0..4294967295']

    :type autobw_threshold_table_threshold: long
    :param autobw_threshold_table_threshold: **autobw_threshold_table_bandwidth** tuple argument:  DECIMAL;;Absolute threshold value for the bandwidth

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type autobw_threshold_table_threshold: long
    :param autobw_threshold_table_threshold: DECIMAL;;Absolute threshold value for the bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.autobw_threshold_table_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.autobw_threshold_table_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_bandwidth', 'keyval': 'bandwidth_value', 'extra_keyval': 'bandwidth_value, autobw_threshold_table_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_threshold_table_bandwidth=autobw_threshold_table_bandwidth, autobw_threshold_table_threshold=autobw_threshold_table_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_threshold_table_bandwidth=autobw_threshold_table_bandwidth, autobw_threshold_table_threshold=autobw_threshold_table_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_threshold_table_bandwidth_threshold_update(self, autobw_threshold_table_bandwidth=None, autobw_threshold_table_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type autobw_threshold_table_bandwidth: bandwidth_value
    :param autobw_threshold_table_bandwidth: Keyword argument tuple.

    :type bandwidth_value: long
    :param bandwidth_value: **autobw_threshold_table_bandwidth** tuple argument:  DECIMAL;;Bandwidth upto which threshold will apply

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type autobw_threshold_table_threshold: long
    :param autobw_threshold_table_threshold: DECIMAL;;Absolute threshold value for the bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.autobw_threshold_table_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.autobw_threshold_table_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_bandwidth', 'keyval': 'bandwidth_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_threshold_table_bandwidth=autobw_threshold_table_bandwidth, autobw_threshold_table_threshold=autobw_threshold_table_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_threshold_table_bandwidth=autobw_threshold_table_bandwidth, autobw_threshold_table_threshold=autobw_threshold_table_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_threshold_table_max_bw_threshold_update(self, max_bw_threshold_absolute=None, max_bw_threshold_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_bw_threshold_absolute: long
    :param max_bw_threshold_absolute: Define threshold in absolute value. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type max_bw_threshold_percentage: long
    :param max_bw_threshold_percentage: Define threshold as percentage. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.max_bw_threshold', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.max_bw_threshold', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.max_bw_threshold': [u'max_bw_threshold_percentage', u'max_bw_threshold_absolute'], 'pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.max_bw_threshold': [u'max_bw_threshold_percentage', u'max_bw_threshold_absolute']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_bw_threshold_absolute=max_bw_threshold_absolute, max_bw_threshold_percentage=max_bw_threshold_percentage)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_bw_threshold_absolute=max_bw_threshold_absolute, max_bw_threshold_percentage=max_bw_threshold_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_threshold_table_max_bw_threshold_absolute_update(self, max_bw_threshold_absolute=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_bw_threshold_absolute: long
    :param max_bw_threshold_absolute: Define threshold in absolute value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.max_bw_threshold', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.max_bw_threshold', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_bw_threshold_absolute=max_bw_threshold_absolute)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_bw_threshold_absolute=max_bw_threshold_absolute)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_threshold_table_max_bw_threshold_percentage_update(self, max_bw_threshold_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_bw_threshold_percentage: long
    :param max_bw_threshold_percentage: Define threshold as percentage

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.max_bw_threshold', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.max_bw_threshold', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_bw_threshold_percentage=max_bw_threshold_percentage)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_bw_threshold_percentage=max_bw_threshold_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bfd_min_tx_update(self, bfd_min_tx_val=None, bfd_min_rx=None, bfd_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bfd_min_tx_val: long
    :param bfd_min_tx_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bfd_min_rx: long
    :param bfd_min_rx: BFD Rx rate for control packets

        * range restriction: ::

            ['0..4294967295']

    :type bfd_multiplier: long
    :param bfd_multiplier: Number of consecutive control packets to be missed for peer to be down

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bfd.bfd_sub_cmds.bfd_min_tx', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bfd.bfd_sub_cmds.bfd_min_tx', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'bfd_min_tx_val, bfd_min_rx, bfd_multiplier'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_min_tx_val=bfd_min_tx_val, bfd_min_rx=bfd_min_rx, bfd_multiplier=bfd_multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_min_tx_val=bfd_min_tx_val, bfd_min_rx=bfd_min_rx, bfd_multiplier=bfd_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bfd_min_tx_bfd_min_tx_val_update(self, bfd_min_tx_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bfd_min_tx_val: long
    :param bfd_min_tx_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bfd.bfd_sub_cmds.bfd_min_tx', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bfd.bfd_sub_cmds.bfd_min_tx', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_min_tx_val=bfd_min_tx_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_min_tx_val=bfd_min_tx_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bfd_min_tx_min_rx_update(self, bfd_min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bfd_min_rx: long
    :param bfd_min_rx: BFD Rx rate for control packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bfd.bfd_sub_cmds.bfd_min_tx', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bfd.bfd_sub_cmds.bfd_min_tx', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_min_rx=bfd_min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_min_rx=bfd_min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bfd_min_tx_multiplier_update(self, bfd_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bfd_multiplier: long
    :param bfd_multiplier: Number of consecutive control packets to be missed for peer to be down

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bfd.bfd_sub_cmds.bfd_min_tx', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bfd.bfd_sub_cmds.bfd_min_tx', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bfd_multiplier=bfd_multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_multiplier=bfd_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_update(self, bypass_lsp=None, bypass_lsp_dest_address=None, bypass_lsp_src_address=None, bypass_lsp_tie_breaking=None, lsp_adaptive=None, lsp_reoptimize_timer=None, lsp_commit=None, lsp_record=None, lsp_cos=None, lsp_hop_limit=None, lsp_cspf_computation_mode=None, bypass_lsp_primary_path=None, bypass_lsp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bypass_lsp_dest_address: unicode
    :param bypass_lsp_dest_address: Define LSP destination address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bypass_lsp_src_address: unicode
    :param bypass_lsp_src_address: Define LSP source address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bypass_lsp_tie_breaking: unicode
    :param bypass_lsp_tie_breaking: Choose the tie breaking mode for cspf

        * enumeration restriction: ::

            ['most-fill', 'random', 'least-fill']

    :type lsp_adaptive: YANGBool
    :param lsp_adaptive: Configure LSP/secpath to be adaptive

    :type lsp_reoptimize_timer: long
    :param lsp_reoptimize_timer: Configure Reoptimization timer

        * range restriction: ::

            ['0..4294967295']

    :type lsp_commit: YANGBool
    :param lsp_commit: Commit the changes to adaptive LSP

    :type lsp_record: unicode
    :param lsp_record: Enable/disable recording path routes

        * enumeration restriction: ::

            ['enable', 'disable']

    :type lsp_cos: long
    :param lsp_cos: Configure class of service

        * range restriction: ::

            ['0..4294967295']

    :type lsp_hop_limit: int
    :param lsp_hop_limit: Limit of hops the LSP can traverse

        * range restriction: ::

            ['0..65535']

    :type lsp_cspf_computation_mode: unicode
    :param lsp_cspf_computation_mode: Specify cspf-computation-mode

        * enumeration restriction: ::

            ['use-igp-metric', 'use-te-metric']

    :type bypass_lsp_primary_path: unicode
    :param bypass_lsp_primary_path: Set primary explicit path

        * length restriction: ::

            ['1..64']

    :type bypass_lsp_enable: YANGBool
    :param bypass_lsp_enable: Enable LSP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, bypass_lsp_dest_address=bypass_lsp_dest_address, bypass_lsp_src_address=bypass_lsp_src_address, bypass_lsp_tie_breaking=bypass_lsp_tie_breaking, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, bypass_lsp_primary_path=bypass_lsp_primary_path, bypass_lsp_enable=bypass_lsp_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, bypass_lsp_dest_address=bypass_lsp_dest_address, bypass_lsp_src_address=bypass_lsp_src_address, bypass_lsp_tie_breaking=bypass_lsp_tie_breaking, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, bypass_lsp_primary_path=bypass_lsp_primary_path, bypass_lsp_enable=bypass_lsp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_adaptive_update(self, bypass_lsp=None, lsp_adaptive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_adaptive: YANGBool
    :param lsp_adaptive: Configure LSP/secpath to be adaptive

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_adaptive=lsp_adaptive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_adaptive=lsp_adaptive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_commit_update(self, bypass_lsp=None, lsp_commit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_commit: YANGBool
    :param lsp_commit: Commit the changes to adaptive LSP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_commit=lsp_commit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_commit=lsp_commit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_cos_update(self, bypass_lsp=None, lsp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_cos: long
    :param lsp_cos: Configure class of service

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_cos=lsp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_cos=lsp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_cspf_computation_mode_update(self, bypass_lsp=None, lsp_cspf_computation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_cspf_computation_mode: unicode
    :param lsp_cspf_computation_mode: Specify cspf-computation-mode

        * enumeration restriction: ::

            ['use-igp-metric', 'use-te-metric']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_cspf_computation_mode=lsp_cspf_computation_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_cspf_computation_mode=lsp_cspf_computation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_enable_update(self, bypass_lsp=None, bypass_lsp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bypass_lsp_enable: YANGBool
    :param bypass_lsp_enable: Enable LSP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, bypass_lsp_enable=bypass_lsp_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, bypass_lsp_enable=bypass_lsp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_from_update(self, bypass_lsp=None, bypass_lsp_src_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bypass_lsp_src_address: unicode
    :param bypass_lsp_src_address: Define LSP source address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, bypass_lsp_src_address=bypass_lsp_src_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, bypass_lsp_src_address=bypass_lsp_src_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_hop_limit_update(self, bypass_lsp=None, lsp_hop_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_hop_limit: int
    :param lsp_hop_limit: Limit of hops the LSP can traverse

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_hop_limit=lsp_hop_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_hop_limit=lsp_hop_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_primary_path_update(self, bypass_lsp=None, bypass_lsp_primary_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bypass_lsp_primary_path: unicode
    :param bypass_lsp_primary_path: Set primary explicit path

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, bypass_lsp_primary_path=bypass_lsp_primary_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, bypass_lsp_primary_path=bypass_lsp_primary_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_priority_update(self, bypass_lsp=None, lsp_setup_priority=None, lsp_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_setup_priority: long
    :param lsp_setup_priority: NUMBER:0-7;;setup priority

        * range restriction: ::

            ['0..4294967295']

    :type lsp_hold_priority: long
    :param lsp_hold_priority: NUMBER:0-7;;holding priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}, {'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_setup_priority=lsp_setup_priority, lsp_hold_priority=lsp_hold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_setup_priority=lsp_setup_priority, lsp_hold_priority=lsp_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_priority_lsp_hold_priority_update(self, bypass_lsp=None, lsp_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_hold_priority: long
    :param lsp_hold_priority: NUMBER:0-7;;holding priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}, {'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_hold_priority=lsp_hold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_hold_priority=lsp_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_priority_lsp_setup_priority_update(self, bypass_lsp=None, lsp_setup_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_setup_priority: long
    :param lsp_setup_priority: NUMBER:0-7;;setup priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}, {'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_setup_priority=lsp_setup_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_setup_priority=lsp_setup_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_record_update(self, bypass_lsp=None, lsp_record=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_record: unicode
    :param lsp_record: Enable/disable recording path routes

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_record=lsp_record)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_record=lsp_record)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_reoptimize_timer_update(self, bypass_lsp=None, lsp_reoptimize_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_reoptimize_timer: long
    :param lsp_reoptimize_timer: Configure Reoptimization timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_reoptimize_timer=lsp_reoptimize_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_reoptimize_timer=lsp_reoptimize_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_tie_breaking_update(self, bypass_lsp=None, bypass_lsp_tie_breaking=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bypass_lsp_tie_breaking: unicode
    :param bypass_lsp_tie_breaking: Choose the tie breaking mode for cspf

        * enumeration restriction: ::

            ['most-fill', 'random', 'least-fill']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, bypass_lsp_tie_breaking=bypass_lsp_tie_breaking)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, bypass_lsp_tie_breaking=bypass_lsp_tie_breaking)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_to_update(self, bypass_lsp=None, bypass_lsp_dest_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bypass_lsp_dest_address: unicode
    :param bypass_lsp_dest_address: Define LSP destination address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, bypass_lsp_dest_address=bypass_lsp_dest_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, bypass_lsp_dest_address=bypass_lsp_dest_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_traffic_engineering_update(self, bypass_lsp=None, lsp_te_mean_rate=None, lsp_te_max_rate=None, lsp_te_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_te_mean_rate: long
    :param lsp_te_mean_rate: 0-2147483647;;Mean rate in kbps

        * range restriction: ::

            ['0..4294967295']

    :type lsp_te_max_rate: long
    :param lsp_te_max_rate: 0-2147483647;;Max-rate in kbps

        * range restriction: ::

            ['0..4294967295']

    :type lsp_te_max_burst: long
    :param lsp_te_max_burst: 0-2147483647;;Max-burst in bytes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.lsp_traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}, {'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'lsp_te_mean_rate, lsp_te_max_rate, lsp_te_max_burst'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_traffic_engineering_max_burst_update(self, bypass_lsp=None, lsp_te_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_te_max_burst: long
    :param lsp_te_max_burst: 0-2147483647;;Max-burst in bytes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.lsp_traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}, {'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_te_max_burst=lsp_te_max_burst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_te_max_burst=lsp_te_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_traffic_engineering_max_rate_update(self, bypass_lsp=None, lsp_te_max_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_te_max_rate: long
    :param lsp_te_max_rate: 0-2147483647;;Max-rate in kbps

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.lsp_traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}, {'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_te_max_rate=lsp_te_max_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_te_max_rate=lsp_te_max_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_traffic_engineering_mean_rate_update(self, bypass_lsp=None, lsp_te_mean_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_te_mean_rate: long
    :param lsp_te_mean_rate: 0-2147483647;;Mean rate in kbps

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.lsp_traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}, {'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bypass_lsp=bypass_lsp, lsp_te_mean_rate=lsp_te_mean_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, lsp_te_mean_rate=lsp_te_mean_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_cspf_group_penalty_update(self, cspf_group=None, cspf_group_penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cspf_group: cspf_group_name
    :param cspf_group: Keyword argument tuple.

    :type cspf_group_name: unicode
    :param cspf_group_name: **cspf_group** tuple argument:  ASCII string;;Name (up to 128 characters)

        * length restriction: ::

            ['1..128']

    **Instance Argument(s)**:

    :type cspf_group_penalty: long
    :param cspf_group_penalty: Configure cspf group penalty value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_penalty_n', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_penalty_n', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}, {'keyval': 'cspf_group_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cspf_group=cspf_group, cspf_group_penalty=cspf_group_penalty)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_group=cspf_group, cspf_group_penalty=cspf_group_penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_dynamic_bypass_disable_update(self, dynamic_bypass_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dynamic_bypass_disable: YANGBool
    :param dynamic_bypass_disable: Enable or disable dynamic bypass

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_disable=dynamic_bypass_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_disable=dynamic_bypass_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_dynamic_bypass_enable_all_interfaces_update(self, dynamic_bypass_enable_all_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dynamic_bypass_enable_all_interfaces: YANGBool
    :param dynamic_bypass_enable_all_interfaces: enable dynamic bypass on all mpls interfaces

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_enable_all_interfaces=dynamic_bypass_enable_all_interfaces)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_enable_all_interfaces=dynamic_bypass_enable_all_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_dynamic_bypass_max_bypasses_update(self, dynamic_bypass_max_bypasses=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dynamic_bypass_max_bypasses: long
    :param dynamic_bypass_max_bypasses: Router level maximum number of dynamic bypasses

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_max_bypasses=dynamic_bypass_max_bypasses)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_max_bypasses=dynamic_bypass_max_bypasses)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_dynamic_bypass_max_bypasses_per_mp_update(self, dynamic_bypass_max_bypasses_per_mp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dynamic_bypass_max_bypasses_per_mp: long
    :param dynamic_bypass_max_bypasses_per_mp: Router level maximum number of dynamic bypasses per merge point

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_max_bypasses_per_mp=dynamic_bypass_max_bypasses_per_mp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_max_bypasses_per_mp=dynamic_bypass_max_bypasses_per_mp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_dynamic_bypass_mpls_dynamic_bypass_sub_cmds_update(self, dynamic_bypass_max_bypasses=None, dynamic_bypass_max_bypasses_per_mp=None, dynamic_bypass_enable_all_interfaces=None, dynamic_bypass_reoptimize_timer=None, dynamic_bypass_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dynamic_bypass_max_bypasses: long
    :param dynamic_bypass_max_bypasses: Router level maximum number of dynamic bypasses

        * range restriction: ::

            ['0..4294967295']

    :type dynamic_bypass_max_bypasses_per_mp: long
    :param dynamic_bypass_max_bypasses_per_mp: Router level maximum number of dynamic bypasses per merge point

        * range restriction: ::

            ['0..4294967295']

    :type dynamic_bypass_enable_all_interfaces: YANGBool
    :param dynamic_bypass_enable_all_interfaces: enable dynamic bypass on all mpls interfaces

    :type dynamic_bypass_reoptimize_timer: long
    :param dynamic_bypass_reoptimize_timer: Router level reoptimer timer value for dynamic bypasses

        * range restriction: ::

            ['0..4294967295']

    :type dynamic_bypass_disable: YANGBool
    :param dynamic_bypass_disable: Enable or disable dynamic bypass

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_max_bypasses=dynamic_bypass_max_bypasses, dynamic_bypass_max_bypasses_per_mp=dynamic_bypass_max_bypasses_per_mp, dynamic_bypass_enable_all_interfaces=dynamic_bypass_enable_all_interfaces, dynamic_bypass_reoptimize_timer=dynamic_bypass_reoptimize_timer, dynamic_bypass_disable=dynamic_bypass_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_max_bypasses=dynamic_bypass_max_bypasses, dynamic_bypass_max_bypasses_per_mp=dynamic_bypass_max_bypasses_per_mp, dynamic_bypass_enable_all_interfaces=dynamic_bypass_enable_all_interfaces, dynamic_bypass_reoptimize_timer=dynamic_bypass_reoptimize_timer, dynamic_bypass_disable=dynamic_bypass_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_dynamic_bypass_reoptimize_timer_update(self, dynamic_bypass_reoptimize_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dynamic_bypass_reoptimize_timer: long
    :param dynamic_bypass_reoptimize_timer: Router level reoptimer timer value for dynamic bypasses

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dynamic_bypass_reoptimize_timer=dynamic_bypass_reoptimize_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_reoptimize_timer=dynamic_bypass_reoptimize_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_advertise_fec_update(self, ldp_advertise_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_advertise_label: unicode
    :param ldp_advertise_label: Prefix-list specifying controls on destination prefixes

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_advertise_label=ldp_advertise_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_advertise_label=ldp_advertise_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_eol_notification_timer_update(self, ldp_eol_notification=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_eol_notification: long
    :param ldp_eol_notification: Notification timer (100-120000 msec)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_eol', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_eol', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_eol_notification=ldp_eol_notification)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_eol_notification=ldp_eol_notification)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_eol_tx_label_silence_timer_update(self, ldp_eol_tx_silence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_eol_tx_silence: long
    :param ldp_eol_tx_silence: Transmit label silence timer (100-60000 msec)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_eol', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_eol', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_eol_tx_silence=ldp_eol_tx_silence)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_eol_tx_silence=ldp_eol_tx_silence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_fec_128_for_auto_discovered_update(self, ldp_fec_128_for_auto_discovered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_fec_128_for_auto_discovered: YANGBool
    :param ldp_fec_128_for_auto_discovered: Use LDP FEC 128 for auto-discovered VPLS peers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_128_for_auto_discovered=ldp_fec_128_for_auto_discovered)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_128_for_auto_discovered=ldp_fec_128_for_auto_discovered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_filter_fec_in_update(self, ldp_fec_filter_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_fec_filter_in: unicode
    :param ldp_fec_filter_in: Apply filtering on inbound FECs

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_filter_in=ldp_fec_filter_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_filter_in=ldp_fec_filter_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_filter_fec_out_update(self, ldp_fec_filter_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_fec_filter_out: unicode
    :param ldp_fec_filter_out: Apply filtering on outbound FECs

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_fec_filter_out=ldp_fec_filter_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_filter_out=ldp_fec_filter_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_graceful_restart_helper_only_update(self, ldp_gr_helper_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_gr_helper_only: YANGBool
    :param ldp_gr_helper_only: Helper only mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_gr_helper_only=ldp_gr_helper_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_gr_helper_only=ldp_gr_helper_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_graceful_restart_max_neighbor_reconnect_time_update(self, ldp_gr_max_neighbor_reconnect_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_gr_max_neighbor_reconnect_time: long
    :param ldp_gr_max_neighbor_reconnect_time: Maximum time to wait for neighbor to reconnect (60-300 sec)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_gr_max_neighbor_reconnect_time=ldp_gr_max_neighbor_reconnect_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_gr_max_neighbor_reconnect_time=ldp_gr_max_neighbor_reconnect_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_graceful_restart_max_neighbor_recovery_time_update(self, ldp_gr_max_neighbor_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_gr_max_neighbor_recovery_time: long
    :param ldp_gr_max_neighbor_recovery_time: Maximum time to wait for neighbor to recover (60-3600 sec)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_gr_max_neighbor_recovery_time=ldp_gr_max_neighbor_recovery_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_gr_max_neighbor_recovery_time=ldp_gr_max_neighbor_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_graceful_restart_reconnect_time_update(self, ldp_gr_reconnect_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_gr_reconnect_time: long
    :param ldp_gr_reconnect_time: Session reconnect time (60-300 sec)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_gr_reconnect_time=ldp_gr_reconnect_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_gr_reconnect_time=ldp_gr_reconnect_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_graceful_restart_recovery_time_update(self, ldp_gr_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_gr_recovery_time: long
    :param ldp_gr_recovery_time: Recovery time (60-3600 sec)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_gr_recovery_time=ldp_gr_recovery_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_gr_recovery_time=ldp_gr_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_hello_interval_link_update(self, ldp_hello_interval_basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_hello_interval_basic: long
    :param ldp_hello_interval_basic: In seconds (1-32767, default 5)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_hello_interval_basic=ldp_hello_interval_basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_hello_interval_basic=ldp_hello_interval_basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_hello_interval_target_update(self, ldp_hello_interval_target=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_hello_interval_target: long
    :param ldp_hello_interval_target: In seconds (1-32767, default 15)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_hello_interval_target=ldp_hello_interval_target)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_hello_interval_target=ldp_hello_interval_target)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_hello_timeout_link_update(self, ldp_hello_timeout_basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_hello_timeout_basic: long
    :param ldp_hello_timeout_basic: In seconds (2-65535, default 15)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_hello_timeout_basic=ldp_hello_timeout_basic)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_hello_timeout_basic=ldp_hello_timeout_basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_hello_timeout_target_update(self, ldp_hello_timeout_target=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_hello_timeout_target: long
    :param ldp_hello_timeout_target: In seconds (2-65535, default 45)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_hello_timeout_target=ldp_hello_timeout_target)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_hello_timeout_target=ldp_hello_timeout_target)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_ka_int_count_update(self, ldp_ka_int_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_ka_int_cnt: long
    :param ldp_ka_int_cnt: In seconds (1-65535 default 6)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_ka_int_cnt=ldp_ka_int_cnt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_ka_int_cnt=ldp_ka_int_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_ka_interval_update(self, ldp_ka_int=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_ka_int: long
    :param ldp_ka_int: In seconds (1-65535 default 6)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_ka_int=ldp_ka_int)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_ka_int=ldp_ka_int)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_ka_timeout_update(self, ldp_ka_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_ka_timeout: long
    :param ldp_ka_timeout: In seconds (1-65535)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_ka_timeout=ldp_ka_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_ka_timeout=ldp_ka_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_label_withdrawal_delay_update(self, ldp_lw_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_lw_delay: long
    :param ldp_lw_delay: LDP Label Withdrawal Delay (0-300, default 60) seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_lw_delay=ldp_lw_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_lw_delay=ldp_lw_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_ldp_holder_update(self, ldp_ecmp=None, ldp_hello_interval_basic=None, ldp_hello_interval_target=None, ldp_hello_timeout_basic=None, ldp_hello_timeout_target=None, ldp_ka_int=None, ldp_ka_int_cnt=None, ldp_ka_timeout=None, ldp_fec_filter_in=None, ldp_fec_filter_out=None, ldp_advertise_label=None, ldp_fec_128_for_auto_discovered=None, ldp_lsr_id=None, ldp_rcv_label_silence_time=None, ldp_startup_time=None, ldp_tunnel_metric=None, ldp_lw_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_ecmp: long
    :param ldp_ecmp: Number of load-sharing paths: range 1-16, default is 1

        * range restriction: ::

            ['0..4294967295']

    :type ldp_hello_interval_basic: long
    :param ldp_hello_interval_basic: In seconds (1-32767, default 5)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_hello_interval_target: long
    :param ldp_hello_interval_target: In seconds (1-32767, default 15)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_hello_timeout_basic: long
    :param ldp_hello_timeout_basic: In seconds (2-65535, default 15)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_hello_timeout_target: long
    :param ldp_hello_timeout_target: In seconds (2-65535, default 45)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_ka_int: long
    :param ldp_ka_int: In seconds (1-65535 default 6)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_ka_int_cnt: long
    :param ldp_ka_int_cnt: In seconds (1-65535 default 6)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_ka_timeout: long
    :param ldp_ka_timeout: In seconds (1-65535)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_fec_filter_in: unicode
    :param ldp_fec_filter_in: Apply filtering on inbound FECs

        * length restriction: ::

            ['1..64']

    :type ldp_fec_filter_out: unicode
    :param ldp_fec_filter_out: Apply filtering on outbound FECs

        * length restriction: ::

            ['1..64']

    :type ldp_advertise_label: unicode
    :param ldp_advertise_label: Prefix-list specifying controls on destination prefixes

        * length restriction: ::

            ['1..64']

    :type ldp_fec_128_for_auto_discovered: YANGBool
    :param ldp_fec_128_for_auto_discovered: Use LDP FEC 128 for auto-discovered VPLS peers

    :type ldp_lsr_id: unicode
    :param ldp_lsr_id: Set IP address to be used as LSR id for LDP

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ldp_rcv_label_silence_time: long
    :param ldp_rcv_label_silence_time: Receive label silence time (100-60000 ms)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_startup_time: long
    :param ldp_startup_time: MPLS startup time (1000-300000 ms)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_tunnel_metric: long
    :param ldp_tunnel_metric: LDP tunnel metric value (1-65535 default 0)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_lw_delay: long
    :param ldp_lw_delay: LDP Label Withdrawal Delay (0-300, default 60) seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_ecmp=ldp_ecmp, ldp_hello_interval_basic=ldp_hello_interval_basic, ldp_hello_interval_target=ldp_hello_interval_target, ldp_hello_timeout_basic=ldp_hello_timeout_basic, ldp_hello_timeout_target=ldp_hello_timeout_target, ldp_ka_int=ldp_ka_int, ldp_ka_int_cnt=ldp_ka_int_cnt, ldp_ka_timeout=ldp_ka_timeout, ldp_fec_filter_in=ldp_fec_filter_in, ldp_fec_filter_out=ldp_fec_filter_out, ldp_advertise_label=ldp_advertise_label, ldp_fec_128_for_auto_discovered=ldp_fec_128_for_auto_discovered, ldp_lsr_id=ldp_lsr_id, ldp_rcv_label_silence_time=ldp_rcv_label_silence_time, ldp_startup_time=ldp_startup_time, ldp_tunnel_metric=ldp_tunnel_metric, ldp_lw_delay=ldp_lw_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_ecmp=ldp_ecmp, ldp_hello_interval_basic=ldp_hello_interval_basic, ldp_hello_interval_target=ldp_hello_interval_target, ldp_hello_timeout_basic=ldp_hello_timeout_basic, ldp_hello_timeout_target=ldp_hello_timeout_target, ldp_ka_int=ldp_ka_int, ldp_ka_int_cnt=ldp_ka_int_cnt, ldp_ka_timeout=ldp_ka_timeout, ldp_fec_filter_in=ldp_fec_filter_in, ldp_fec_filter_out=ldp_fec_filter_out, ldp_advertise_label=ldp_advertise_label, ldp_fec_128_for_auto_discovered=ldp_fec_128_for_auto_discovered, ldp_lsr_id=ldp_lsr_id, ldp_rcv_label_silence_time=ldp_rcv_label_silence_time, ldp_startup_time=ldp_startup_time, ldp_tunnel_metric=ldp_tunnel_metric, ldp_lw_delay=ldp_lw_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_ldp_startup_time_update(self, ldp_startup_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_startup_time: long
    :param ldp_startup_time: MPLS startup time (1000-300000 ms)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_startup_time=ldp_startup_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_startup_time=ldp_startup_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_load_sharing_update(self, ldp_ecmp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_ecmp: long
    :param ldp_ecmp: Number of load-sharing paths: range 1-16, default is 1

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_ecmp=ldp_ecmp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_ecmp=ldp_ecmp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_lsr_id_update(self, ldp_lsr_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_lsr_id: unicode
    :param ldp_lsr_id: Set IP address to be used as LSR id for LDP

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_lsr_id=ldp_lsr_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_lsr_id=ldp_lsr_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_rx_label_silence_timer_update(self, ldp_rcv_label_silence_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_rcv_label_silence_time: long
    :param ldp_rcv_label_silence_time: Receive label silence time (100-60000 ms)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_rcv_label_silence_time=ldp_rcv_label_silence_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_rcv_label_silence_time=ldp_rcv_label_silence_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_session_update(self, ldp_session=None, ldp_session_fec_filter_out=None, ldp_session_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: ldp_session_ip
    :param ldp_session: Keyword argument tuple.

    :type ldp_session_ip: unicode
    :param ldp_session_ip: **ldp_session** tuple argument:  Define LDP peer ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ldp_session_fec_filter_out: unicode
    :param ldp_session_fec_filter_out: Apply filtering on outbound FECs

        * length restriction: ::

            ['1..64']

    :type ldp_session_auth_key: unicode
    :param ldp_session_auth_key: Enable TCP-MD5 authentication

        * length restriction: ::

            ['1..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'ldp_session_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, ldp_session_fec_filter_out=ldp_session_fec_filter_out, ldp_session_auth_key=ldp_session_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, ldp_session_fec_filter_out=ldp_session_fec_filter_out, ldp_session_auth_key=ldp_session_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_session_filter_fec_out_update(self, ldp_session=None, ldp_session_fec_filter_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: ldp_session_ip
    :param ldp_session: Keyword argument tuple.

    :type ldp_session_ip: unicode
    :param ldp_session_ip: **ldp_session** tuple argument:  Define LDP peer ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ldp_session_fec_filter_out: unicode
    :param ldp_session_fec_filter_out: Apply filtering on outbound FECs

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'ldp_session_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, ldp_session_fec_filter_out=ldp_session_fec_filter_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, ldp_session_fec_filter_out=ldp_session_fec_filter_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_session_key_update(self, ldp_session=None, ldp_session_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: ldp_session_ip
    :param ldp_session: Keyword argument tuple.

    :type ldp_session_ip: unicode
    :param ldp_session_ip: **ldp_session** tuple argument:  Define LDP peer ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ldp_session_auth_key: unicode
    :param ldp_session_auth_key: Enable TCP-MD5 authentication

        * length restriction: ::

            ['1..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_session', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'ldp_session_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_session=ldp_session, ldp_session_auth_key=ldp_session_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, ldp_session_auth_key=ldp_session_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_tunnel_metric_update(self, ldp_tunnel_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ldp_tunnel_metric: long
    :param ldp_tunnel_metric: LDP tunnel metric value (1-65535 default 0)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ldp_tunnel_metric=ldp_tunnel_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_tunnel_metric=ldp_tunnel_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_update(self, lsp=None, lsp_dest_address=None, lsp_cspf=None, lsp_ipmtu=None, lsp_metric=None, lsp_revert_timer=None, lsp_tie_breaking=None, lsp_src_address=None, lsp_primary_path=None, lsp_adaptive=None, lsp_reoptimize_timer=None, lsp_commit=None, lsp_record=None, lsp_cos=None, lsp_hop_limit=None, lsp_cspf_computation_mode=None, lsp_soft_preemption=None, lsp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_dest_address: unicode
    :param lsp_dest_address: Define LSP destination address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp_cspf: unicode
    :param lsp_cspf: Enable/Disable cspf

        * enumeration restriction: ::

            ['enable', 'disable']

    :type lsp_ipmtu: long
    :param lsp_ipmtu: IP Packet Maximum Transmission Unit

        * range restriction: ::

            ['0..4294967295']

    :type lsp_metric: long
    :param lsp_metric: Set the LSP metric

        * range restriction: ::

            ['0..4294967295']

    :type lsp_revert_timer: long
    :param lsp_revert_timer: set lsp revert timer

        * range restriction: ::

            ['0..4294967295']

    :type lsp_tie_breaking: unicode
    :param lsp_tie_breaking: Choose the tie breaking mode for cspf

        * enumeration restriction: ::

            ['most-fill', 'random', 'least-fill']

    :type lsp_src_address: unicode
    :param lsp_src_address: Define LSP source address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp_primary_path: unicode
    :param lsp_primary_path: Set primary explicit path

        * length restriction: ::

            ['1..64']

    :type lsp_adaptive: YANGBool
    :param lsp_adaptive: Configure LSP/secpath to be adaptive

    :type lsp_reoptimize_timer: long
    :param lsp_reoptimize_timer: Configure Reoptimization timer

        * range restriction: ::

            ['0..4294967295']

    :type lsp_commit: YANGBool
    :param lsp_commit: Commit the changes to adaptive LSP

    :type lsp_record: unicode
    :param lsp_record: Enable/disable recording path routes

        * enumeration restriction: ::

            ['enable', 'disable']

    :type lsp_cos: long
    :param lsp_cos: Configure class of service

        * range restriction: ::

            ['0..4294967295']

    :type lsp_hop_limit: int
    :param lsp_hop_limit: Limit of hops the LSP can traverse

        * range restriction: ::

            ['0..65535']

    :type lsp_cspf_computation_mode: unicode
    :param lsp_cspf_computation_mode: Specify cspf-computation-mode

        * enumeration restriction: ::

            ['use-igp-metric', 'use-te-metric']

    :type lsp_soft_preemption: YANGBool
    :param lsp_soft_preemption: Set LSP soft preemption capability

    :type lsp_enable: YANGBool
    :param lsp_enable: Enable LSP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_dest_address=lsp_dest_address, lsp_cspf=lsp_cspf, lsp_ipmtu=lsp_ipmtu, lsp_metric=lsp_metric, lsp_revert_timer=lsp_revert_timer, lsp_tie_breaking=lsp_tie_breaking, lsp_src_address=lsp_src_address, lsp_primary_path=lsp_primary_path, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, lsp_soft_preemption=lsp_soft_preemption, lsp_enable=lsp_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_dest_address=lsp_dest_address, lsp_cspf=lsp_cspf, lsp_ipmtu=lsp_ipmtu, lsp_metric=lsp_metric, lsp_revert_timer=lsp_revert_timer, lsp_tie_breaking=lsp_tie_breaking, lsp_src_address=lsp_src_address, lsp_primary_path=lsp_primary_path, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, lsp_soft_preemption=lsp_soft_preemption, lsp_enable=lsp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_adaptive_update(self, lsp=None, lsp_adaptive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_adaptive: YANGBool
    :param lsp_adaptive: Configure LSP/secpath to be adaptive

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_adaptive=lsp_adaptive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_adaptive=lsp_adaptive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_adjustment_interval_update(self, lsp=None, adjustment_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type adjustment_interval: long
    :param adjustment_interval: Configure Adjustment interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, adjustment_interval=adjustment_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, adjustment_interval=adjustment_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_adjustment_threshold_update(self, lsp=None, adjustment_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type adjustment_threshold: long
    :param adjustment_threshold: Configure Adjustment threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, adjustment_threshold=adjustment_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, adjustment_threshold=adjustment_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_adjustment_threshold_threshold_percentage_update(self, lsp=None, threshold_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type threshold_percentage: long
    :param threshold_percentage: Configure Adjustment threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth.adjustment_threshold', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, threshold_percentage=threshold_percentage)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, threshold_percentage=threshold_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_adjustment_threshold_use_threshold_table_update(self, lsp=None, use_threshold_table=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type use_threshold_table: YANGBool
    :param use_threshold_table: Use absolute thresholds from threshold table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth.adjustment_threshold', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, use_threshold_table=use_threshold_table)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, use_threshold_table=use_threshold_table)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_max_bandwidth_update(self, lsp=None, max_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type max_bandwidth: long
    :param max_bandwidth: Configure Maximum bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, max_bandwidth=max_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, max_bandwidth=max_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_min_bandwidth_update(self, lsp=None, min_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type min_bandwidth: long
    :param min_bandwidth: Configure Minimum Bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, min_bandwidth=min_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, min_bandwidth=min_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_mode_update(self, lsp=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Configure Mode of autobandwidth

        * enumeration restriction: ::

            ['monitor-and-signal', 'monitor-only']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_overflow_limit_update(self, lsp=None, overflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type overflow_limit: long
    :param overflow_limit: Configure Overflow limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, overflow_limit=overflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, overflow_limit=overflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_sample_recording_update(self, lsp=None, sample_recording=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type sample_recording: unicode
    :param sample_recording: Set sample recording for this lsp

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, sample_recording=sample_recording)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, sample_recording=sample_recording)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_template_update(self, lsp=None, lsp_autobw_template=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_autobw_template: ReferencePathType
    :param lsp_autobw_template: Inherit Auto-bandwidth parameters from a template

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_autobw_template=lsp_autobw_template)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_autobw_template=lsp_autobw_template)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_underflow_limit_update(self, lsp=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type underflow_limit: long
    :param underflow_limit: Configure Underflow limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, underflow_limit=underflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_commit_update(self, lsp=None, lsp_commit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_commit: YANGBool
    :param lsp_commit: Commit the changes to adaptive LSP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_commit=lsp_commit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_commit=lsp_commit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_cos_update(self, lsp=None, lsp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_cos: long
    :param lsp_cos: Configure class of service

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_cos=lsp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_cos=lsp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_cspf_update(self, lsp=None, lsp_cspf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_cspf: unicode
    :param lsp_cspf: Enable/Disable cspf

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_cspf=lsp_cspf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_cspf=lsp_cspf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_cspf_computation_mode_update(self, lsp=None, lsp_cspf_computation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_cspf_computation_mode: unicode
    :param lsp_cspf_computation_mode: Specify cspf-computation-mode

        * enumeration restriction: ::

            ['use-igp-metric', 'use-te-metric']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_cspf_computation_mode=lsp_cspf_computation_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_cspf_computation_mode=lsp_cspf_computation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_enable_update(self, lsp=None, lsp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_enable: YANGBool
    :param lsp_enable: Enable LSP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_enable=lsp_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_enable=lsp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_from_update(self, lsp=None, lsp_src_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_src_address: unicode
    :param lsp_src_address: Define LSP source address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_src_address=lsp_src_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_src_address=lsp_src_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_bandwidth_update(self, lsp=None, lsp_frr_bandwidth=None, lsp_frr_bandwidth_inherit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_frr_bandwidth: long
    :param lsp_frr_bandwidth: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type lsp_frr_bandwidth_inherit: YANGBool
    :param lsp_frr_bandwidth_inherit: Inherit the bandwidth for Detour/Backup LSP from the Protected LSP. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_bandwidth': [u'lsp_frr_bandwidth', u'lsp_frr_bandwidth_inherit'], 'pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_bandwidth': [u'lsp_frr_bandwidth', u'lsp_frr_bandwidth_inherit']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_frr_bandwidth=lsp_frr_bandwidth, lsp_frr_bandwidth_inherit=lsp_frr_bandwidth_inherit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_frr_bandwidth=lsp_frr_bandwidth, lsp_frr_bandwidth_inherit=lsp_frr_bandwidth_inherit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_bandwidth_inherit_update(self, lsp=None, lsp_frr_bandwidth_inherit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_frr_bandwidth_inherit: YANGBool
    :param lsp_frr_bandwidth_inherit: Inherit the bandwidth for Detour/Backup LSP from the Protected LSP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_frr_bandwidth_inherit=lsp_frr_bandwidth_inherit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_frr_bandwidth_inherit=lsp_frr_bandwidth_inherit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_bandwidth_lsp_frr_bandwidth_update(self, lsp=None, lsp_frr_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_frr_bandwidth: long
    :param lsp_frr_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_frr_bandwidth=lsp_frr_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_frr_bandwidth=lsp_frr_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_facility_backup_update(self, lsp=None, lsp_frr_facility_backup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_frr_facility_backup: YANGBool
    :param lsp_frr_facility_backup: Select the frr protection mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_frr_facility_backup=lsp_frr_facility_backup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_frr_facility_backup=lsp_frr_facility_backup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_hop_limit_update(self, lsp=None, lsp_frr_hop_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_frr_hop_limit: int
    :param lsp_frr_hop_limit: Limit of hops the detour/backup LSP can traverse (from PLR to MP)

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_frr_hop_limit=lsp_frr_hop_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_frr_hop_limit=lsp_frr_hop_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_link_protection_update(self, lsp=None, lsp_frr_link_protection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_frr_link_protection: YANGBool
    :param lsp_frr_link_protection: Request link protection for LSP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_frr_link_protection=lsp_frr_link_protection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_frr_link_protection=lsp_frr_link_protection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_priority_update(self, lsp=None, lsp_frr_setup_priority=None, lsp_frr_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_frr_setup_priority: long
    :param lsp_frr_setup_priority: NUMBER:0-7;;setup priority

        * range restriction: ::

            ['0..4294967295']

    :type lsp_frr_hold_priority: long
    :param lsp_frr_hold_priority: NUMBER:0-7;;holding priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_frr_setup_priority=lsp_frr_setup_priority, lsp_frr_hold_priority=lsp_frr_hold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_frr_setup_priority=lsp_frr_setup_priority, lsp_frr_hold_priority=lsp_frr_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_priority_lsp_frr_hold_priority_update(self, lsp=None, lsp_frr_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_frr_hold_priority: long
    :param lsp_frr_hold_priority: NUMBER:0-7;;holding priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_frr_hold_priority=lsp_frr_hold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_frr_hold_priority=lsp_frr_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_priority_lsp_frr_setup_priority_update(self, lsp=None, lsp_frr_setup_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_frr_setup_priority: long
    :param lsp_frr_setup_priority: NUMBER:0-7;;setup priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_frr_setup_priority=lsp_frr_setup_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_frr_setup_priority=lsp_frr_setup_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_revertive_update(self, lsp=None, lsp_frr_revertive_holdtime=None, lsp_frr_revertive_mode_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_frr_revertive_holdtime: int
    :param lsp_frr_revertive_holdtime: Configure revertive hold time for the LSP

        * range restriction: ::

            ['0..255']

    :type lsp_frr_revertive_mode_global: unicode
    :param lsp_frr_revertive_mode_global: Enable global revertive mode

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_revertive', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_revertive', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_frr_revertive_holdtime=lsp_frr_revertive_holdtime, lsp_frr_revertive_mode_global=lsp_frr_revertive_mode_global)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_frr_revertive_holdtime=lsp_frr_revertive_holdtime, lsp_frr_revertive_mode_global=lsp_frr_revertive_mode_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_revertive_global_update(self, lsp=None, lsp_frr_revertive_mode_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_frr_revertive_mode_global: unicode
    :param lsp_frr_revertive_mode_global: Enable global revertive mode

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_revertive', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_revertive', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_frr_revertive_mode_global=lsp_frr_revertive_mode_global)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_frr_revertive_mode_global=lsp_frr_revertive_mode_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_revertive_holdtime_update(self, lsp=None, lsp_frr_revertive_holdtime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_frr_revertive_holdtime: int
    :param lsp_frr_revertive_holdtime: Configure revertive hold time for the LSP

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_revertive', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_revertive', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_frr_revertive_holdtime=lsp_frr_revertive_holdtime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_frr_revertive_holdtime=lsp_frr_revertive_holdtime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_hop_limit_update(self, lsp=None, lsp_hop_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_hop_limit: int
    :param lsp_hop_limit: Limit of hops the LSP can traverse

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_hop_limit=lsp_hop_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_hop_limit=lsp_hop_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_ipmtu_update(self, lsp=None, lsp_ipmtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_ipmtu: long
    :param lsp_ipmtu: IP Packet Maximum Transmission Unit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_ipmtu=lsp_ipmtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_ipmtu=lsp_ipmtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_metric_update(self, lsp=None, lsp_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_metric: long
    :param lsp_metric: Set the LSP metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_metric=lsp_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_metric=lsp_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_primary_path_update(self, lsp=None, lsp_primary_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_primary_path: unicode
    :param lsp_primary_path: Set primary explicit path

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_primary_path=lsp_primary_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_primary_path=lsp_primary_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_priority_update(self, lsp=None, lsp_setup_priority=None, lsp_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_setup_priority: long
    :param lsp_setup_priority: NUMBER:0-7;;setup priority

        * range restriction: ::

            ['0..4294967295']

    :type lsp_hold_priority: long
    :param lsp_hold_priority: NUMBER:0-7;;holding priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_setup_priority=lsp_setup_priority, lsp_hold_priority=lsp_hold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_setup_priority=lsp_setup_priority, lsp_hold_priority=lsp_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_priority_lsp_hold_priority_update(self, lsp=None, lsp_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_hold_priority: long
    :param lsp_hold_priority: NUMBER:0-7;;holding priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_hold_priority=lsp_hold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_hold_priority=lsp_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_priority_lsp_setup_priority_update(self, lsp=None, lsp_setup_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_setup_priority: long
    :param lsp_setup_priority: NUMBER:0-7;;setup priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_setup_priority=lsp_setup_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_setup_priority=lsp_setup_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_record_update(self, lsp=None, lsp_record=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_record: unicode
    :param lsp_record: Enable/disable recording path routes

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_record=lsp_record)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_record=lsp_record)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_reoptimize_timer_update(self, lsp=None, lsp_reoptimize_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_reoptimize_timer: long
    :param lsp_reoptimize_timer: Configure Reoptimization timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_reoptimize_timer=lsp_reoptimize_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_reoptimize_timer=lsp_reoptimize_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_revert_timer_update(self, lsp=None, lsp_revert_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_revert_timer: long
    :param lsp_revert_timer: set lsp revert timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_revert_timer=lsp_revert_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_revert_timer=lsp_revert_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_update(self, lsp=None, secondary_path=None, secpath_standby=None, secpath_bfd=None, secpath_cspf=None, secpath_ipmtu=None, lsp_adaptive=None, lsp_reoptimize_timer=None, lsp_commit=None, lsp_record=None, lsp_cos=None, lsp_hop_limit=None, lsp_cspf_computation_mode=None, secpath_soft_preemption=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type secpath_standby: YANGBool
    :param secpath_standby: Make secondary-path hot standby

    :type secpath_bfd: YANGBool
    :param secpath_bfd: Enable bfd for secondary-path

    :type secpath_cspf: unicode
    :param secpath_cspf: Enable/Disable cspf

        * enumeration restriction: ::

            ['enable', 'disable']

    :type secpath_ipmtu: long
    :param secpath_ipmtu: IP Packet Maximum Transmission Unit

        * range restriction: ::

            ['0..4294967295']

    :type lsp_adaptive: YANGBool
    :param lsp_adaptive: Configure LSP/secpath to be adaptive

    :type lsp_reoptimize_timer: long
    :param lsp_reoptimize_timer: Configure Reoptimization timer

        * range restriction: ::

            ['0..4294967295']

    :type lsp_commit: YANGBool
    :param lsp_commit: Commit the changes to adaptive LSP

    :type lsp_record: unicode
    :param lsp_record: Enable/disable recording path routes

        * enumeration restriction: ::

            ['enable', 'disable']

    :type lsp_cos: long
    :param lsp_cos: Configure class of service

        * range restriction: ::

            ['0..4294967295']

    :type lsp_hop_limit: int
    :param lsp_hop_limit: Limit of hops the LSP can traverse

        * range restriction: ::

            ['0..65535']

    :type lsp_cspf_computation_mode: unicode
    :param lsp_cspf_computation_mode: Specify cspf-computation-mode

        * enumeration restriction: ::

            ['use-igp-metric', 'use-te-metric']

    :type secpath_soft_preemption: YANGBool
    :param secpath_soft_preemption: Set LSP soft preemption capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, secpath_standby=secpath_standby, secpath_bfd=secpath_bfd, secpath_cspf=secpath_cspf, secpath_ipmtu=secpath_ipmtu, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, secpath_soft_preemption=secpath_soft_preemption)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, secpath_standby=secpath_standby, secpath_bfd=secpath_bfd, secpath_cspf=secpath_cspf, secpath_ipmtu=secpath_ipmtu, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, secpath_soft_preemption=secpath_soft_preemption)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_adaptive_update(self, lsp=None, secondary_path=None, lsp_adaptive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_adaptive: YANGBool
    :param lsp_adaptive: Configure LSP/secpath to be adaptive

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_adaptive=lsp_adaptive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_adaptive=lsp_adaptive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_adjustment_interval_update(self, lsp=None, secondary_path=None, adjustment_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type adjustment_interval: long
    :param adjustment_interval: Configure Adjustment interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, adjustment_interval=adjustment_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, adjustment_interval=adjustment_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_adjustment_threshold_update(self, lsp=None, secondary_path=None, adjustment_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type adjustment_threshold: long
    :param adjustment_threshold: Configure Adjustment threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, adjustment_threshold=adjustment_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, adjustment_threshold=adjustment_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_adjustment_threshold_threshold_percentage_update(self, lsp=None, secondary_path=None, threshold_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type threshold_percentage: long
    :param threshold_percentage: Configure Adjustment threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth.adjustment_threshold', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, threshold_percentage=threshold_percentage)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, threshold_percentage=threshold_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_adjustment_threshold_use_threshold_table_update(self, lsp=None, secondary_path=None, use_threshold_table=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type use_threshold_table: YANGBool
    :param use_threshold_table: Use absolute thresholds from threshold table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth.adjustment_threshold', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, use_threshold_table=use_threshold_table)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, use_threshold_table=use_threshold_table)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_max_bandwidth_update(self, lsp=None, secondary_path=None, max_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type max_bandwidth: long
    :param max_bandwidth: Configure Maximum bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, max_bandwidth=max_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, max_bandwidth=max_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_min_bandwidth_update(self, lsp=None, secondary_path=None, min_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type min_bandwidth: long
    :param min_bandwidth: Configure Minimum Bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, min_bandwidth=min_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, min_bandwidth=min_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_mode_update(self, lsp=None, secondary_path=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Configure Mode of autobandwidth

        * enumeration restriction: ::

            ['monitor-and-signal', 'monitor-only']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, mode=mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_overflow_limit_update(self, lsp=None, secondary_path=None, overflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type overflow_limit: long
    :param overflow_limit: Configure Overflow limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, overflow_limit=overflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, overflow_limit=overflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_sample_recording_update(self, lsp=None, secondary_path=None, sample_recording=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type sample_recording: unicode
    :param sample_recording: Set sample recording for this lsp

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, sample_recording=sample_recording)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, sample_recording=sample_recording)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_template_update(self, lsp=None, secondary_path=None, lsp_secpath_autobw_template=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_secpath_autobw_template: ReferencePathType
    :param lsp_secpath_autobw_template: Inherit Auto-bandwidth parameters from a template

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_secpath_autobw_template=lsp_secpath_autobw_template)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_secpath_autobw_template=lsp_secpath_autobw_template)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_underflow_limit_update(self, lsp=None, secondary_path=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type underflow_limit: long
    :param underflow_limit: Configure Underflow limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, underflow_limit=underflow_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_bfd_update(self, lsp=None, secondary_path=None, secpath_bfd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type secpath_bfd: YANGBool
    :param secpath_bfd: Enable bfd for secondary-path

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, secpath_bfd=secpath_bfd)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, secpath_bfd=secpath_bfd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_commit_update(self, lsp=None, secondary_path=None, lsp_commit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_commit: YANGBool
    :param lsp_commit: Commit the changes to adaptive LSP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_commit=lsp_commit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_commit=lsp_commit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_cos_update(self, lsp=None, secondary_path=None, lsp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_cos: long
    :param lsp_cos: Configure class of service

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_cos=lsp_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_cos=lsp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_cspf_update(self, lsp=None, secondary_path=None, secpath_cspf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type secpath_cspf: unicode
    :param secpath_cspf: Enable/Disable cspf

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, secpath_cspf=secpath_cspf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, secpath_cspf=secpath_cspf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_cspf_computation_mode_update(self, lsp=None, secondary_path=None, lsp_cspf_computation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_cspf_computation_mode: unicode
    :param lsp_cspf_computation_mode: Specify cspf-computation-mode

        * enumeration restriction: ::

            ['use-igp-metric', 'use-te-metric']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_cspf_computation_mode=lsp_cspf_computation_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_cspf_computation_mode=lsp_cspf_computation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_hop_limit_update(self, lsp=None, secondary_path=None, lsp_hop_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_hop_limit: int
    :param lsp_hop_limit: Limit of hops the LSP can traverse

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_hop_limit=lsp_hop_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_hop_limit=lsp_hop_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_ipmtu_update(self, lsp=None, secondary_path=None, secpath_ipmtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type secpath_ipmtu: long
    :param secpath_ipmtu: IP Packet Maximum Transmission Unit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, secpath_ipmtu=secpath_ipmtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, secpath_ipmtu=secpath_ipmtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_priority_update(self, lsp=None, secondary_path=None, lsp_setup_priority=None, lsp_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_setup_priority: long
    :param lsp_setup_priority: NUMBER:0-7;;setup priority

        * range restriction: ::

            ['0..4294967295']

    :type lsp_hold_priority: long
    :param lsp_hold_priority: NUMBER:0-7;;holding priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_setup_priority=lsp_setup_priority, lsp_hold_priority=lsp_hold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_setup_priority=lsp_setup_priority, lsp_hold_priority=lsp_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_priority_lsp_hold_priority_update(self, lsp=None, secondary_path=None, lsp_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_hold_priority: long
    :param lsp_hold_priority: NUMBER:0-7;;holding priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_hold_priority=lsp_hold_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_hold_priority=lsp_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_priority_lsp_setup_priority_update(self, lsp=None, secondary_path=None, lsp_setup_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_setup_priority: long
    :param lsp_setup_priority: NUMBER:0-7;;setup priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_setup_priority=lsp_setup_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_setup_priority=lsp_setup_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_record_update(self, lsp=None, secondary_path=None, lsp_record=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_record: unicode
    :param lsp_record: Enable/disable recording path routes

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_record=lsp_record)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_record=lsp_record)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_reoptimize_timer_update(self, lsp=None, secondary_path=None, lsp_reoptimize_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_reoptimize_timer: long
    :param lsp_reoptimize_timer: Configure Reoptimization timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_reoptimize_timer=lsp_reoptimize_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_reoptimize_timer=lsp_reoptimize_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_soft_preemption_update(self, lsp=None, secondary_path=None, secpath_soft_preemption=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type secpath_soft_preemption: YANGBool
    :param secpath_soft_preemption: Set LSP soft preemption capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, secpath_soft_preemption=secpath_soft_preemption)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, secpath_soft_preemption=secpath_soft_preemption)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_standby_update(self, lsp=None, secondary_path=None, secpath_standby=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type secpath_standby: YANGBool
    :param secpath_standby: Make secondary-path hot standby

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, secpath_standby=secpath_standby)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, secpath_standby=secpath_standby)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_traffic_engineering_update(self, lsp=None, secondary_path=None, lsp_te_mean_rate=None, lsp_te_max_rate=None, lsp_te_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_te_mean_rate: long
    :param lsp_te_mean_rate: 0-2147483647;;Mean rate in kbps

        * range restriction: ::

            ['0..4294967295']

    :type lsp_te_max_rate: long
    :param lsp_te_max_rate: 0-2147483647;;Max-rate in kbps

        * range restriction: ::

            ['0..4294967295']

    :type lsp_te_max_burst: long
    :param lsp_te_max_burst: 0-2147483647;;Max-burst in bytes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'lsp_te_mean_rate, lsp_te_max_rate, lsp_te_max_burst'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_traffic_engineering_max_burst_update(self, lsp=None, secondary_path=None, lsp_te_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_te_max_burst: long
    :param lsp_te_max_burst: 0-2147483647;;Max-burst in bytes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_te_max_burst=lsp_te_max_burst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_te_max_burst=lsp_te_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_traffic_engineering_max_rate_update(self, lsp=None, secondary_path=None, lsp_te_max_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_te_max_rate: long
    :param lsp_te_max_rate: 0-2147483647;;Max-rate in kbps

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_te_max_rate=lsp_te_max_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_te_max_rate=lsp_te_max_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_traffic_engineering_mean_rate_update(self, lsp=None, secondary_path=None, lsp_te_mean_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_te_mean_rate: long
    :param lsp_te_mean_rate: 0-2147483647;;Mean rate in kbps

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, secondary_path=secondary_path, lsp_te_mean_rate=lsp_te_mean_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_te_mean_rate=lsp_te_mean_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_select_path_update(self, lsp=None, lsp_select_path_mode=None, lsp_select_path_primary=None, lsp_select_path_secondary_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_select_path_mode: unicode
    :param lsp_select_path_mode: Keyword argument.

        * enumeration restriction: ::

            ['manual', 'unconditional']

    :type lsp_select_path_primary: YANGBool
    :param lsp_select_path_primary: Choose the primary path as selected path. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type lsp_select_path_secondary_name: unicode
    :param lsp_select_path_secondary_name: Choose a secondary path as selected path. Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_select_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_select_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'lsp_select_path_mode, lsp_select_path_primary, lsp_select_path_secondary_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_select_path': [u'lsp_select_path_secondary_name', u'lsp_select_path_primary'], 'pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_select_path': [u'lsp_select_path_secondary_name', u'lsp_select_path_primary']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_select_path_mode=lsp_select_path_mode, lsp_select_path_primary=lsp_select_path_primary, lsp_select_path_secondary_name=lsp_select_path_secondary_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_select_path_mode=lsp_select_path_mode, lsp_select_path_primary=lsp_select_path_primary, lsp_select_path_secondary_name=lsp_select_path_secondary_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_select_path_lsp_select_path_mode_update(self, lsp=None, lsp_select_path_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_select_path_mode: unicode
    :param lsp_select_path_mode: Keyword argument.

        * enumeration restriction: ::

            ['manual', 'unconditional']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_select_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_select_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_select_path_mode=lsp_select_path_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_select_path_mode=lsp_select_path_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_select_path_primary_update(self, lsp=None, lsp_select_path_primary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_select_path_primary: YANGBool
    :param lsp_select_path_primary: Choose the primary path as selected path

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_select_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_select_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_select_path_primary=lsp_select_path_primary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_select_path_primary=lsp_select_path_primary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_select_path_secondary_update(self, lsp=None, lsp_select_path_secondary_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_select_path_secondary_name: unicode
    :param lsp_select_path_secondary_name: Choose a secondary path as selected path

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_select_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_select_path', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_select_path_secondary_name=lsp_select_path_secondary_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_select_path_secondary_name=lsp_select_path_secondary_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_soft_preemption_update(self, lsp=None, lsp_soft_preemption=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_soft_preemption: YANGBool
    :param lsp_soft_preemption: Set LSP soft preemption capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_soft_preemption=lsp_soft_preemption)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_soft_preemption=lsp_soft_preemption)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_tie_breaking_update(self, lsp=None, lsp_tie_breaking=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_tie_breaking: unicode
    :param lsp_tie_breaking: Choose the tie breaking mode for cspf

        * enumeration restriction: ::

            ['most-fill', 'random', 'least-fill']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_tie_breaking=lsp_tie_breaking)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_tie_breaking=lsp_tie_breaking)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_to_update(self, lsp=None, lsp_dest_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_dest_address: unicode
    :param lsp_dest_address: Define LSP destination address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_dest_address=lsp_dest_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_dest_address=lsp_dest_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_traffic_engineering_update(self, lsp=None, lsp_te_mean_rate=None, lsp_te_max_rate=None, lsp_te_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_te_mean_rate: long
    :param lsp_te_mean_rate: 0-2147483647;;Mean rate in kbps

        * range restriction: ::

            ['0..4294967295']

    :type lsp_te_max_rate: long
    :param lsp_te_max_rate: 0-2147483647;;Max-rate in kbps

        * range restriction: ::

            ['0..4294967295']

    :type lsp_te_max_burst: long
    :param lsp_te_max_burst: 0-2147483647;;Max-burst in bytes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'lsp_te_mean_rate, lsp_te_max_rate, lsp_te_max_burst'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_traffic_engineering_max_burst_update(self, lsp=None, lsp_te_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_te_max_burst: long
    :param lsp_te_max_burst: 0-2147483647;;Max-burst in bytes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_te_max_burst=lsp_te_max_burst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_te_max_burst=lsp_te_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_traffic_engineering_max_rate_update(self, lsp=None, lsp_te_max_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_te_max_rate: long
    :param lsp_te_max_rate: 0-2147483647;;Max-rate in kbps

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_te_max_rate=lsp_te_max_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_te_max_rate=lsp_te_max_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_traffic_engineering_mean_rate_update(self, lsp=None, lsp_te_mean_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_te_mean_rate: long
    :param lsp_te_mean_rate: 0-2147483647;;Mean rate in kbps

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp=lsp, lsp_te_mean_rate=lsp_te_mean_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_te_mean_rate=lsp_te_mean_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_xc_traps_update(self, lsp_xc_traps_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_xc_traps_enable: YANGBool
    :param lsp_xc_traps_enable: Enable the LSP XC up/down logging/traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp_xc_traps', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp_xc_traps', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_xc_traps_enable=lsp_xc_traps_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_xc_traps_enable=lsp_xc_traps_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_xc_traps_enable_update(self, lsp_xc_traps_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type lsp_xc_traps_enable: YANGBool
    :param lsp_xc_traps_enable: Enable the LSP XC up/down logging/traps

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp_xc_traps', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.lsp_xc_traps', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, lsp_xc_traps_enable=lsp_xc_traps_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp_xc_traps_enable=lsp_xc_traps_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_update(self, mpls_interface=None, mpls_interface_ldp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type mpls_interface_ldp_enable: YANGBool
    :param mpls_interface_ldp_enable: Enable LDP on Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'mpls_interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, mpls_interface_ldp_enable=mpls_interface_ldp_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, mpls_interface_ldp_enable=mpls_interface_ldp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_adaptive_update(self, mpls_interface=None, interface_dynamic_bypass_adaptive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_adaptive: unicode
    :param interface_dynamic_bypass_adaptive: interface level adaptiveness of dynamic bypasses

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_adaptive=interface_dynamic_bypass_adaptive)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_adaptive=interface_dynamic_bypass_adaptive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_cos_update(self, mpls_interface=None, interface_dynamic_bypass_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_cos: long
    :param interface_dynamic_bypass_cos: interface level cos value for dynamic bypasses

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_cos=interface_dynamic_bypass_cos)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_cos=interface_dynamic_bypass_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_cspf_computation_mode_update(self, mpls_interface=None, interface_dynamic_bypass_cspf_computation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_cspf_computation_mode: unicode
    :param interface_dynamic_bypass_cspf_computation_mode: interface level dynamic bypass cspf cspf computation mode

        * enumeration restriction: ::

            ['use-igp-metric', 'use-te-metric']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_cspf_computation_mode=interface_dynamic_bypass_cspf_computation_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_cspf_computation_mode=interface_dynamic_bypass_cspf_computation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_disable_update(self, mpls_interface=None, interface_dynamic_bypass_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_disable: YANGBool
    :param interface_dynamic_bypass_disable: Enable or disable dynamic bypass

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_disable=interface_dynamic_bypass_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_disable=interface_dynamic_bypass_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_from_update(self, mpls_interface=None, interface_dynamic_bypass_from=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_from: unicode
    :param interface_dynamic_bypass_from: interface level from address for dynamic bypasses

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_from=interface_dynamic_bypass_from)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_from=interface_dynamic_bypass_from)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_hop_limit_update(self, mpls_interface=None, interface_dynamic_bypass_hop_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_hop_limit: int
    :param interface_dynamic_bypass_hop_limit: interface level hop limit value for dynamic bypasses

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_hop_limit=interface_dynamic_bypass_hop_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_hop_limit=interface_dynamic_bypass_hop_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_max_bypasses_update(self, mpls_interface=None, interface_dynamic_bypass_max_bypasses=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_max_bypasses: long
    :param interface_dynamic_bypass_max_bypasses: interface level maximum number of dynamic bypasses

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_max_bypasses=interface_dynamic_bypass_max_bypasses)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_max_bypasses=interface_dynamic_bypass_max_bypasses)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_max_bypasses_per_mp_update(self, mpls_interface=None, interface_dynamic_bypass_max_bypasses_per_mp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_max_bypasses_per_mp: long
    :param interface_dynamic_bypass_max_bypasses_per_mp: interface level maximum number of dynamic bypasses per merge point

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_max_bypasses_per_mp=interface_dynamic_bypass_max_bypasses_per_mp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_max_bypasses_per_mp=interface_dynamic_bypass_max_bypasses_per_mp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_mpls_interface_dynamic_bypass_sub_cmds_update(self, mpls_interface=None, interface_dynamic_bypass_disable=None, interface_dynamic_bypass_max_bypasses=None, interface_dynamic_bypass_max_bypasses_per_mp=None, interface_dynamic_bypass_reoptimize_timer=None, interface_dynamic_bypass_cos=None, interface_dynamic_bypass_from=None, interface_dynamic_bypass_adaptive=None, interface_dynamic_bypass_record_route=None, interface_dynamic_bypass_hop_limit=None, interface_dynamic_bypass_primary_path=None, interface_dynamic_bypass_name_prefix=None, interface_dynamic_bypass_tie_breaking=None, interface_dynamic_bypass_cspf_computation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_disable: YANGBool
    :param interface_dynamic_bypass_disable: Enable or disable dynamic bypass

    :type interface_dynamic_bypass_max_bypasses: long
    :param interface_dynamic_bypass_max_bypasses: interface level maximum number of dynamic bypasses

        * range restriction: ::

            ['0..4294967295']

    :type interface_dynamic_bypass_max_bypasses_per_mp: long
    :param interface_dynamic_bypass_max_bypasses_per_mp: interface level maximum number of dynamic bypasses per merge point

        * range restriction: ::

            ['0..4294967295']

    :type interface_dynamic_bypass_reoptimize_timer: long
    :param interface_dynamic_bypass_reoptimize_timer: interface level reoptimer timer value for dynamic bypasses

        * range restriction: ::

            ['0..4294967295']

    :type interface_dynamic_bypass_cos: long
    :param interface_dynamic_bypass_cos: interface level cos value for dynamic bypasses

        * range restriction: ::

            ['0..4294967295']

    :type interface_dynamic_bypass_from: unicode
    :param interface_dynamic_bypass_from: interface level from address for dynamic bypasses

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_dynamic_bypass_adaptive: unicode
    :param interface_dynamic_bypass_adaptive: interface level adaptiveness of dynamic bypasses

        * enumeration restriction: ::

            ['enable', 'disable']

    :type interface_dynamic_bypass_record_route: unicode
    :param interface_dynamic_bypass_record_route: interface level record route for dynamic bypasses

        * enumeration restriction: ::

            ['enable', 'disable']

    :type interface_dynamic_bypass_hop_limit: int
    :param interface_dynamic_bypass_hop_limit: interface level hop limit value for dynamic bypasses

        * range restriction: ::

            ['0..255']

    :type interface_dynamic_bypass_primary_path: unicode
    :param interface_dynamic_bypass_primary_path: Set primary explicit path

        * length restriction: ::

            ['1..64']

    :type interface_dynamic_bypass_name_prefix: unicode
    :param interface_dynamic_bypass_name_prefix: interface level dynamic bypass name prefix

        * length restriction: ::

            ['1..21']

    :type interface_dynamic_bypass_tie_breaking: unicode
    :param interface_dynamic_bypass_tie_breaking: interface level dynamic bypass cspf tie breaking mechanism

        * enumeration restriction: ::

            ['most-fill', 'random', 'least-fill']

    :type interface_dynamic_bypass_cspf_computation_mode: unicode
    :param interface_dynamic_bypass_cspf_computation_mode: interface level dynamic bypass cspf cspf computation mode

        * enumeration restriction: ::

            ['use-igp-metric', 'use-te-metric']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_disable=interface_dynamic_bypass_disable, interface_dynamic_bypass_max_bypasses=interface_dynamic_bypass_max_bypasses, interface_dynamic_bypass_max_bypasses_per_mp=interface_dynamic_bypass_max_bypasses_per_mp, interface_dynamic_bypass_reoptimize_timer=interface_dynamic_bypass_reoptimize_timer, interface_dynamic_bypass_cos=interface_dynamic_bypass_cos, interface_dynamic_bypass_from=interface_dynamic_bypass_from, interface_dynamic_bypass_adaptive=interface_dynamic_bypass_adaptive, interface_dynamic_bypass_record_route=interface_dynamic_bypass_record_route, interface_dynamic_bypass_hop_limit=interface_dynamic_bypass_hop_limit, interface_dynamic_bypass_primary_path=interface_dynamic_bypass_primary_path, interface_dynamic_bypass_name_prefix=interface_dynamic_bypass_name_prefix, interface_dynamic_bypass_tie_breaking=interface_dynamic_bypass_tie_breaking, interface_dynamic_bypass_cspf_computation_mode=interface_dynamic_bypass_cspf_computation_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_disable=interface_dynamic_bypass_disable, interface_dynamic_bypass_max_bypasses=interface_dynamic_bypass_max_bypasses, interface_dynamic_bypass_max_bypasses_per_mp=interface_dynamic_bypass_max_bypasses_per_mp, interface_dynamic_bypass_reoptimize_timer=interface_dynamic_bypass_reoptimize_timer, interface_dynamic_bypass_cos=interface_dynamic_bypass_cos, interface_dynamic_bypass_from=interface_dynamic_bypass_from, interface_dynamic_bypass_adaptive=interface_dynamic_bypass_adaptive, interface_dynamic_bypass_record_route=interface_dynamic_bypass_record_route, interface_dynamic_bypass_hop_limit=interface_dynamic_bypass_hop_limit, interface_dynamic_bypass_primary_path=interface_dynamic_bypass_primary_path, interface_dynamic_bypass_name_prefix=interface_dynamic_bypass_name_prefix, interface_dynamic_bypass_tie_breaking=interface_dynamic_bypass_tie_breaking, interface_dynamic_bypass_cspf_computation_mode=interface_dynamic_bypass_cspf_computation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_name_prefix_update(self, mpls_interface=None, interface_dynamic_bypass_name_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_name_prefix: unicode
    :param interface_dynamic_bypass_name_prefix: interface level dynamic bypass name prefix

        * length restriction: ::

            ['1..21']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_name_prefix=interface_dynamic_bypass_name_prefix)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_name_prefix=interface_dynamic_bypass_name_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_primary_path_update(self, mpls_interface=None, interface_dynamic_bypass_primary_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_primary_path: unicode
    :param interface_dynamic_bypass_primary_path: Set primary explicit path

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_primary_path=interface_dynamic_bypass_primary_path)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_primary_path=interface_dynamic_bypass_primary_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_priority_update(self, mpls_interface=None, interface_dynamic_bypass_setup_priority=None, interface_dynamic_bypass_holding_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_setup_priority: long
    :param interface_dynamic_bypass_setup_priority: NUMBER:0-7;;setup priority

        * range restriction: ::

            ['0..4294967295']

    :type interface_dynamic_bypass_holding_priority: long
    :param interface_dynamic_bypass_holding_priority: NUMBER:0-7;;holding priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_dynamic_bypass_setup_priority, interface_dynamic_bypass_holding_priority'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_setup_priority=interface_dynamic_bypass_setup_priority, interface_dynamic_bypass_holding_priority=interface_dynamic_bypass_holding_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_setup_priority=interface_dynamic_bypass_setup_priority, interface_dynamic_bypass_holding_priority=interface_dynamic_bypass_holding_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_priority_interface_dynamic_bypass_holding_priority_update(self, mpls_interface=None, interface_dynamic_bypass_holding_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_holding_priority: long
    :param interface_dynamic_bypass_holding_priority: NUMBER:0-7;;holding priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_holding_priority=interface_dynamic_bypass_holding_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_holding_priority=interface_dynamic_bypass_holding_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_priority_interface_dynamic_bypass_setup_priority_update(self, mpls_interface=None, interface_dynamic_bypass_setup_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_setup_priority: long
    :param interface_dynamic_bypass_setup_priority: NUMBER:0-7;;setup priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.priority', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_setup_priority=interface_dynamic_bypass_setup_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_setup_priority=interface_dynamic_bypass_setup_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_record_route_update(self, mpls_interface=None, interface_dynamic_bypass_record_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_record_route: unicode
    :param interface_dynamic_bypass_record_route: interface level record route for dynamic bypasses

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_record_route=interface_dynamic_bypass_record_route)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_record_route=interface_dynamic_bypass_record_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_reoptimize_timer_update(self, mpls_interface=None, interface_dynamic_bypass_reoptimize_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_reoptimize_timer: long
    :param interface_dynamic_bypass_reoptimize_timer: interface level reoptimer timer value for dynamic bypasses

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_reoptimize_timer=interface_dynamic_bypass_reoptimize_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_reoptimize_timer=interface_dynamic_bypass_reoptimize_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_tie_breaking_update(self, mpls_interface=None, interface_dynamic_bypass_tie_breaking=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_tie_breaking: unicode
    :param interface_dynamic_bypass_tie_breaking: interface level dynamic bypass cspf tie breaking mechanism

        * enumeration restriction: ::

            ['most-fill', 'random', 'least-fill']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_tie_breaking=interface_dynamic_bypass_tie_breaking)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_tie_breaking=interface_dynamic_bypass_tie_breaking)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_traffic_eng_update(self, mpls_interface=None, interface_dynamic_bypass_traffic_eng_max_burst=None, interface_dynamic_bypass_traffic_eng_max_rate=None, interface_dynamic_bypass_traffic_eng_mean_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_traffic_eng_max_burst: long
    :param interface_dynamic_bypass_traffic_eng_max_burst: NUMBER:0-214748364;;maximum burst bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type interface_dynamic_bypass_traffic_eng_max_rate: long
    :param interface_dynamic_bypass_traffic_eng_max_rate: NUMBER:0-214748364;;maximum traffic rate

        * range restriction: ::

            ['0..4294967295']

    :type interface_dynamic_bypass_traffic_eng_mean_rate: long
    :param interface_dynamic_bypass_traffic_eng_mean_rate: NUMBER:0-214748364;;mean traffic rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.traffic_eng', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.traffic_eng', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_dynamic_bypass_traffic_eng_max_burst, interface_dynamic_bypass_traffic_eng_max_rate, interface_dynamic_bypass_traffic_eng_mean_rate'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_traffic_eng_max_burst=interface_dynamic_bypass_traffic_eng_max_burst, interface_dynamic_bypass_traffic_eng_max_rate=interface_dynamic_bypass_traffic_eng_max_rate, interface_dynamic_bypass_traffic_eng_mean_rate=interface_dynamic_bypass_traffic_eng_mean_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_traffic_eng_max_burst=interface_dynamic_bypass_traffic_eng_max_burst, interface_dynamic_bypass_traffic_eng_max_rate=interface_dynamic_bypass_traffic_eng_max_rate, interface_dynamic_bypass_traffic_eng_mean_rate=interface_dynamic_bypass_traffic_eng_mean_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_traffic_eng_max_burst_update(self, mpls_interface=None, interface_dynamic_bypass_traffic_eng_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_traffic_eng_max_burst: long
    :param interface_dynamic_bypass_traffic_eng_max_burst: NUMBER:0-214748364;;maximum burst bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.traffic_eng', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.traffic_eng', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_traffic_eng_max_burst=interface_dynamic_bypass_traffic_eng_max_burst)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_traffic_eng_max_burst=interface_dynamic_bypass_traffic_eng_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_traffic_eng_max_rate_update(self, mpls_interface=None, interface_dynamic_bypass_traffic_eng_max_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_traffic_eng_max_rate: long
    :param interface_dynamic_bypass_traffic_eng_max_rate: NUMBER:0-214748364;;maximum traffic rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.traffic_eng', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.traffic_eng', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_traffic_eng_max_rate=interface_dynamic_bypass_traffic_eng_max_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_traffic_eng_max_rate=interface_dynamic_bypass_traffic_eng_max_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_traffic_eng_mean_rate_update(self, mpls_interface=None, interface_dynamic_bypass_traffic_eng_mean_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type interface_dynamic_bypass_traffic_eng_mean_rate: long
    :param interface_dynamic_bypass_traffic_eng_mean_rate: NUMBER:0-214748364;;mean traffic rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.traffic_eng', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.traffic_eng', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, interface_dynamic_bypass_traffic_eng_mean_rate=interface_dynamic_bypass_traffic_eng_mean_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, interface_dynamic_bypass_traffic_eng_mean_rate=interface_dynamic_bypass_traffic_eng_mean_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_ldp_enable_update(self, mpls_interface=None, mpls_interface_ldp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type mpls_interface_ldp_enable: YANGBool
    :param mpls_interface_ldp_enable: Enable LDP on Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'mpls_interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, mpls_interface_ldp_enable=mpls_interface_ldp_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, mpls_interface_ldp_enable=mpls_interface_ldp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_ldp_params_hello_interval_update(self, mpls_interface=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Configure hello Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.ldp_params.ldp_param_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.ldp_params.ldp_param_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_ldp_params_hello_timeout_update(self, mpls_interface=None, hello_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type hello_timeout: long
    :param hello_timeout: Configure hello-timeout

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.ldp_params.ldp_param_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.ldp_params.ldp_param_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, hello_timeout=hello_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, hello_timeout=hello_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_ldp_params_ldp_param_cmds_update(self, mpls_interface=None, hello_interval=None, hello_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Configure hello Interval

        * range restriction: ::

            ['0..4294967295']

    :type hello_timeout: long
    :param hello_timeout: Configure hello-timeout

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.ldp_params.ldp_param_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.ldp_params.ldp_param_cmds', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hello_interval, hello_timeout'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, hello_interval=hello_interval, hello_timeout=hello_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, hello_interval=hello_interval, hello_timeout=hello_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_update(self, mpls_interface=None, rsvp_hello_disable=None, rsvp_te_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rsvp_hello_disable: YANGBool
    :param rsvp_hello_disable: Disable RSVP Hello on the interface

    :type rsvp_te_metric: long
    :param rsvp_te_metric: Set te-metric for this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, rsvp_hello_disable=rsvp_hello_disable, rsvp_te_metric=rsvp_te_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rsvp_hello_disable=rsvp_hello_disable, rsvp_te_metric=rsvp_te_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_authentication_update(self, mpls_interface=None, rsvp_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rsvp_authentication_key: unicode
    :param rsvp_authentication_key: MD5 key

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_authentication', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_authentication', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, rsvp_authentication_key=rsvp_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rsvp_authentication_key=rsvp_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_authentication_key_update(self, mpls_interface=None, rsvp_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rsvp_authentication_key: unicode
    :param rsvp_authentication_key: MD5 key

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_authentication', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_authentication', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, rsvp_authentication_key=rsvp_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rsvp_authentication_key=rsvp_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_hello_disable_update(self, mpls_interface=None, rsvp_hello_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rsvp_hello_disable: YANGBool
    :param rsvp_hello_disable: Disable RSVP Hello on the interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, rsvp_hello_disable=rsvp_hello_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rsvp_hello_disable=rsvp_hello_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_hello_interval_update(self, mpls_interface=None, rsvp_hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rsvp_hello_interval: long
    :param rsvp_hello_interval: Interval between two RSVP Hello requests

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_rsvp_hello', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, rsvp_hello_interval=rsvp_hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rsvp_hello_interval=rsvp_hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_hello_tolerance_update(self, mpls_interface=None, rsvp_hello_tolerance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rsvp_hello_tolerance: long
    :param rsvp_hello_tolerance: Number of unacknowledged RSVP Hello requests before timeout

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_rsvp_hello', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, rsvp_hello_tolerance=rsvp_hello_tolerance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rsvp_hello_tolerance=rsvp_hello_tolerance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_refresh_reduction_update(self, mpls_interface=None, refresh_reduction_all=None, summary_refresh=None, rsvp_refresh_reduction_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type refresh_reduction_all: YANGBool
    :param refresh_reduction_all: All Refresh reduction functionalities

    :type summary_refresh: YANGBool
    :param summary_refresh: Refresh Reduction Summary Refresh feature

    :type rsvp_refresh_reduction_disable: YANGBool
    :param rsvp_refresh_reduction_disable: Disable RSVP Refresh reduction on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, refresh_reduction_all=refresh_reduction_all, summary_refresh=summary_refresh, rsvp_refresh_reduction_disable=rsvp_refresh_reduction_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, refresh_reduction_all=refresh_reduction_all, summary_refresh=summary_refresh, rsvp_refresh_reduction_disable=rsvp_refresh_reduction_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_refresh_reduction_all_update(self, mpls_interface=None, refresh_reduction_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type refresh_reduction_all: YANGBool
    :param refresh_reduction_all: All Refresh reduction functionalities

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, refresh_reduction_all=refresh_reduction_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, refresh_reduction_all=refresh_reduction_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_refresh_reduction_bundle_message_bundle_send_delay_update(self, mpls_interface=None, bundle_send_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type bundle_send_delay: long
    :param bundle_send_delay: Configure bundle send delay value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction.bundle_message', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction.bundle_message', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, bundle_send_delay=bundle_send_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, bundle_send_delay=bundle_send_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_refresh_reduction_disable_update(self, mpls_interface=None, rsvp_refresh_reduction_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rsvp_refresh_reduction_disable: YANGBool
    :param rsvp_refresh_reduction_disable: Disable RSVP Refresh reduction on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, rsvp_refresh_reduction_disable=rsvp_refresh_reduction_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rsvp_refresh_reduction_disable=rsvp_refresh_reduction_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_refresh_reduction_summary_refresh_update(self, mpls_interface=None, summary_refresh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type summary_refresh: YANGBool
    :param summary_refresh: Refresh Reduction Summary Refresh feature

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, summary_refresh=summary_refresh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, summary_refresh=summary_refresh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_reliable_messaging_disable_update(self, mpls_interface=None, rsvp_reliable_messaging_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rsvp_reliable_messaging_disable: YANGBool
    :param rsvp_reliable_messaging_disable: Disable RSVP Reliable messaging on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_reliable_messaging', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, rsvp_reliable_messaging_disable=rsvp_reliable_messaging_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rsvp_reliable_messaging_disable=rsvp_reliable_messaging_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_reliable_messaging_rapid_retrans_decay_update(self, mpls_interface=None, rapid_retrans_decay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rapid_retrans_decay: long
    :param rapid_retrans_decay: Percentage increase in the rapid retransmission interval for each consecutive unacknowledged RSVP message

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_reliable_messaging', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, rapid_retrans_decay=rapid_retrans_decay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rapid_retrans_decay=rapid_retrans_decay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_reliable_messaging_rapid_retrans_interval_update(self, mpls_interface=None, rapid_retrans_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rapid_retrans_interval: long
    :param rapid_retrans_interval: Interval for an unacknowledged message to be resent

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_reliable_messaging', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, rapid_retrans_interval=rapid_retrans_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rapid_retrans_interval=rapid_retrans_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_reliable_messaging_rapid_retry_limit_update(self, mpls_interface=None, rapid_retry_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rapid_retry_limit: long
    :param rapid_retry_limit: Maximum number of retries for an unacknowledged message

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_reliable_messaging', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, rapid_retry_limit=rapid_retry_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rapid_retry_limit=rapid_retry_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_reservable_bandwidth_update(self, mpls_interface=None, reservable_bandwidth=None, reservable_bandwidth_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type reservable_bandwidth: long
    :param reservable_bandwidth: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type reservable_bandwidth_percentage: long
    :param reservable_bandwidth_percentage: Configure Max reservable bandwidth as percentage. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_reservable_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_reservable_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_reservable_bandwidth': [u'reservable_bandwidth_percentage', u'reservable_bandwidth'], 'pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_reservable_bandwidth': [u'reservable_bandwidth_percentage', u'reservable_bandwidth']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, reservable_bandwidth=reservable_bandwidth, reservable_bandwidth_percentage=reservable_bandwidth_percentage)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, reservable_bandwidth=reservable_bandwidth, reservable_bandwidth_percentage=reservable_bandwidth_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_reservable_bandwidth_percentage_update(self, mpls_interface=None, reservable_bandwidth_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type reservable_bandwidth_percentage: long
    :param reservable_bandwidth_percentage: Configure Max reservable bandwidth as percentage

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_reservable_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_reservable_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, reservable_bandwidth_percentage=reservable_bandwidth_percentage)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, reservable_bandwidth_percentage=reservable_bandwidth_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_reservable_bandwidth_reservable_bandwidth_update(self, mpls_interface=None, reservable_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type reservable_bandwidth: long
    :param reservable_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_reservable_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_reservable_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, reservable_bandwidth=reservable_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, reservable_bandwidth=reservable_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_te_metric_update(self, mpls_interface=None, rsvp_te_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rsvp_te_metric: long
    :param rsvp_te_metric: Set te-metric for this interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mpls_interface=mpls_interface, rsvp_te_metric=rsvp_te_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rsvp_te_metric=rsvp_te_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_path_hop_update(self, path=None, path_hop=None, path_hop_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type path_hop: path_hop_ip, path_hop_type
    :param path_hop: Keyword argument tuple.

    :type path_hop_ip: unicode
    :param path_hop_ip: **path_hop** tuple argument:  A.B.C.D;;path hop ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type path_hop_type: unicode
    :param path_hop_type: **path_hop** tuple argument:  path hop type

        * enumeration restriction: ::

            ['strict', 'loose']

    **Instance Argument(s)**:

    :type path_hop_type: unicode
    :param path_hop_type: path hop type

        * enumeration restriction: ::

            ['strict', 'loose']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.path.path_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_hop', 'keyval': 'path_hop_ip', 'extra_keyval': 'path_hop_ip, path_hop_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, path_hop=path_hop, path_hop_type=path_hop_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, path_hop=path_hop, path_hop_type=path_hop_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_path_hop_path_hop_type_update(self, path=None, path_hop=None, path_hop_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type path_hop: path_hop_ip
    :param path_hop: Keyword argument tuple.

    :type path_hop_ip: unicode
    :param path_hop_ip: **path_hop** tuple argument:  A.B.C.D;;path hop ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type path_hop_type: unicode
    :param path_hop_type: path hop type

        * enumeration restriction: ::

            ['strict', 'loose']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.path.path_hop', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_hop', 'keyval': 'path_hop_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, path_hop=path_hop, path_hop_type=path_hop_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, path_hop=path_hop, path_hop_type=path_hop_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_path_insert_update(self, path=None, path_insert=None, path_insert_type=None, path_insert_before_hop_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type path_insert: path_insert_ip
    :param path_insert: Keyword argument tuple.

    :type path_insert_ip: unicode
    :param path_insert_ip: **path_insert** tuple argument:  A.B.C.D;;path hop ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type path_insert_type: unicode
    :param path_insert_type: path hop type

        * enumeration restriction: ::

            ['strict', 'loose']

    :type path_insert_before_hop_ip: unicode
    :param path_insert_before_hop_ip: add before hop ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_insert', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.path.path_insert', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_insert', 'keyval': 'path_insert_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, path_insert=path_insert, path_insert_type=path_insert_type, path_insert_before_hop_ip=path_insert_before_hop_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, path_insert=path_insert, path_insert_type=path_insert_type, path_insert_before_hop_ip=path_insert_before_hop_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_path_insert_before_update(self, path=None, path_insert=None, path_insert_before_hop_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type path_insert: path_insert_ip
    :param path_insert: Keyword argument tuple.

    :type path_insert_ip: unicode
    :param path_insert_ip: **path_insert** tuple argument:  A.B.C.D;;path hop ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type path_insert_before_hop_ip: unicode
    :param path_insert_before_hop_ip: add before hop ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_insert', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.path.path_insert', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_insert', 'keyval': 'path_insert_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, path_insert=path_insert, path_insert_before_hop_ip=path_insert_before_hop_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, path_insert=path_insert, path_insert_before_hop_ip=path_insert_before_hop_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_path_insert_path_insert_type_update(self, path=None, path_insert=None, path_insert_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type path_insert: path_insert_ip
    :param path_insert: Keyword argument tuple.

    :type path_insert_ip: unicode
    :param path_insert_ip: **path_insert** tuple argument:  A.B.C.D;;path hop ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type path_insert_type: unicode
    :param path_insert_type: path hop type

        * enumeration restriction: ::

            ['strict', 'loose']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_insert', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.path.path_insert', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_insert', 'keyval': 'path_insert_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, path=path, path_insert=path_insert, path_insert_type=path_insert_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, path_insert=path_insert, path_insert_type=path_insert_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_auto_bandwidth_num_sample_record_update(self, autobw_num_sample_record=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type autobw_num_sample_record: long
    :param autobw_num_sample_record: Set maximum number of samples to be recorded

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.global_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.global_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_num_sample_record=autobw_num_sample_record)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_num_sample_record=autobw_num_sample_record)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_auto_bandwidth_sample_interval_update(self, autobw_sample_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type autobw_sample_interval: long
    :param autobw_sample_interval: Define interval for auto-bandwidth rate sampling

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.global_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.global_auto_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, autobw_sample_interval=autobw_sample_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_sample_interval=autobw_sample_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_backup_retry_time_update(self, backup_retry_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type backup_retry_time: long
    :param backup_retry_time: Configure Backup retry time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, backup_retry_time=backup_retry_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, backup_retry_time=backup_retry_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_cspf_computation_mode_update(self, use_bypass_liberal=None, use_bypass_metric=None, ignore_overload_bit=None, cspf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type use_bypass_liberal: YANGBool
    :param use_bypass_liberal: use liberal mode for CSPF facility backup computation

    :type use_bypass_metric: YANGBool
    :param use_bypass_metric: use bypass LSP's path cost for selection between bypass LSP's

    :type ignore_overload_bit: YANGBool
    :param ignore_overload_bit: ignore overload bit during cspf computation

    :type cspf_metric_type: unicode
    :param cspf_metric_type: Select metric type for cspf computation

        * enumeration restriction: ::

            ['use-igp-metric', 'use-te-metric']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, use_bypass_liberal=use_bypass_liberal, use_bypass_metric=use_bypass_metric, ignore_overload_bit=ignore_overload_bit, cspf_metric_type=cspf_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_bypass_liberal=use_bypass_liberal, use_bypass_metric=use_bypass_metric, ignore_overload_bit=ignore_overload_bit, cspf_metric_type=cspf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_cspf_computation_mode_ignore_overload_bit_update(self, ignore_overload_bit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ignore_overload_bit: YANGBool
    :param ignore_overload_bit: ignore overload bit during cspf computation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ignore_overload_bit=ignore_overload_bit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ignore_overload_bit=ignore_overload_bit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_cspf_computation_mode_metric_type_update(self, cspf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cspf_metric_type: unicode
    :param cspf_metric_type: Select metric type for cspf computation

        * enumeration restriction: ::

            ['use-igp-metric', 'use-te-metric']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cspf_metric_type=cspf_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_metric_type=cspf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_cspf_computation_mode_use_bypass_liberal_update(self, use_bypass_liberal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type use_bypass_liberal: YANGBool
    :param use_bypass_liberal: use liberal mode for CSPF facility backup computation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, use_bypass_liberal=use_bypass_liberal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_bypass_liberal=use_bypass_liberal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_cspf_computation_mode_use_bypass_metric_update(self, use_bypass_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type use_bypass_metric: YANGBool
    :param use_bypass_metric: use bypass LSP's path cost for selection between bypass LSP's

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, use_bypass_metric=use_bypass_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_bypass_metric=use_bypass_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_cspf_group_computation_update(self, add_penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type add_penalty: YANGBool
    :param add_penalty: add penalty of all matching cspf-groups to TE metric of TE link

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_group_computation', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_group_computation', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, add_penalty=add_penalty)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, add_penalty=add_penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_cspf_group_computation_add_penalty_update(self, add_penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type add_penalty: YANGBool
    :param add_penalty: add penalty of all matching cspf-groups to TE metric of TE link

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_group_computation', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_group_computation', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, add_penalty=add_penalty)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, add_penalty=add_penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_cspf_interface_constraint_update(self, cspf_interface_constraint=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cspf_interface_constraint: YANGBool
    :param cspf_interface_constraint: Use interface ip-addr for cspf computation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cspf_interface_constraint=cspf_interface_constraint)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_interface_constraint=cspf_interface_constraint)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_handle_isis_neighbor_down_update(self, handle_isis_neighbor_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type handle_isis_neighbor_down: YANGBool
    :param handle_isis_neighbor_down: Configure MPLS to handle ISIS neighbor down event

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, handle_isis_neighbor_down=handle_isis_neighbor_down)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, handle_isis_neighbor_down=handle_isis_neighbor_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_handle_ospf_neighbor_down_update(self, handle_ospf_neighbor_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type handle_ospf_neighbor_down: YANGBool
    :param handle_ospf_neighbor_down: Configure MPLS to handle OSPF neighbor down event

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, handle_ospf_neighbor_down=handle_ospf_neighbor_down)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, handle_ospf_neighbor_down=handle_ospf_neighbor_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_implicit_commit_update(self, implicit_commit_all=None, implicit_commit_autobw_adjustment=None, implicit_commit_lsp_reoptimize_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type implicit_commit_all: YANGBool
    :param implicit_commit_all: Enable implicit commit for all triggers. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type implicit_commit_autobw_adjustment: YANGBool
    :param implicit_commit_autobw_adjustment: Enable implicit commit for auto-bandwidth adjustments. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type implicit_commit_lsp_reoptimize_timer: YANGBool
    :param implicit_commit_lsp_reoptimize_timer: Enable implicit commit for reoptimizations

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit': [u'implicit_commit_all', u'implicit_commit_autobw_adjustment'], 'pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit': [u'implicit_commit_all', u'implicit_commit_autobw_adjustment']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, implicit_commit_all=implicit_commit_all, implicit_commit_autobw_adjustment=implicit_commit_autobw_adjustment, implicit_commit_lsp_reoptimize_timer=implicit_commit_lsp_reoptimize_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, implicit_commit_all=implicit_commit_all, implicit_commit_autobw_adjustment=implicit_commit_autobw_adjustment, implicit_commit_lsp_reoptimize_timer=implicit_commit_lsp_reoptimize_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_implicit_commit_all_update(self, implicit_commit_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type implicit_commit_all: YANGBool
    :param implicit_commit_all: Enable implicit commit for all triggers

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, implicit_commit_all=implicit_commit_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, implicit_commit_all=implicit_commit_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_implicit_commit_auto_bandwidth_adjustment_update(self, implicit_commit_autobw_adjustment=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type implicit_commit_autobw_adjustment: YANGBool
    :param implicit_commit_autobw_adjustment: Enable implicit commit for auto-bandwidth adjustments

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, implicit_commit_autobw_adjustment=implicit_commit_autobw_adjustment)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, implicit_commit_autobw_adjustment=implicit_commit_autobw_adjustment)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_implicit_commit_lsp_reoptimize_timer_update(self, implicit_commit_lsp_reoptimize_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type implicit_commit_lsp_reoptimize_timer: YANGBool
    :param implicit_commit_lsp_reoptimize_timer: Enable implicit commit for reoptimizations

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, implicit_commit_lsp_reoptimize_timer=implicit_commit_lsp_reoptimize_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, implicit_commit_lsp_reoptimize_timer=implicit_commit_lsp_reoptimize_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_ingress_tunnel_accounting_update(self, ingress_tunnel_accounting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ingress_tunnel_accounting: YANGBool
    :param ingress_tunnel_accounting: Enable Traffic Statistics for Tunnels

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ingress_tunnel_accounting=ingress_tunnel_accounting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ingress_tunnel_accounting=ingress_tunnel_accounting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_load_interval_update(self, load_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type load_interval: long
    :param load_interval: Polling interval for MPLS LSP traffic statistics

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, load_interval=load_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, load_interval=load_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_qos_ttl_mode_update(self, qos_ttl_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type qos_ttl_mode: unicode
    :param qos_ttl_mode: MPLS ttl and qos propagation model

        * enumeration restriction: ::

            ['pipe', 'uniform']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_ttl_mode=qos_ttl_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_ttl_mode=qos_ttl_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_rapid_retry_update(self, rapid_retry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rapid_retry: unicode
    :param rapid_retry: Configure Rapid retry

        * enumeration restriction: ::

            ['enable', 'disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rapid_retry=rapid_retry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rapid_retry=rapid_retry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_retry_limit_update(self, retry_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type retry_limit: long
    :param retry_limit: Configure LSP retry limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, retry_limit=retry_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, retry_limit=retry_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_retry_time_update(self, retry_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type retry_time: long
    :param retry_time: Configure LSP retry time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, retry_time=retry_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, retry_time=retry_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_rsvp_periodic_flooding_time_update(self, rsvp_periodic_flooding_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rsvp_periodic_flooding_time: long
    :param rsvp_periodic_flooding_time: Set the interval for RSVP TE periodic flooding

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rsvp_periodic_flooding_time=rsvp_periodic_flooding_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rsvp_periodic_flooding_time=rsvp_periodic_flooding_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_soft_preemption_update(self, cleanup_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cleanup_timer: long
    :param cleanup_timer: Define timer value for soft preemption to happen

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.soft_preemption', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.soft_preemption', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cleanup_timer=cleanup_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cleanup_timer=cleanup_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_soft_preemption_cleanup_timer_update(self, cleanup_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cleanup_timer: long
    :param cleanup_timer: Define timer value for soft preemption to happen

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.soft_preemption', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.soft_preemption', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cleanup_timer=cleanup_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cleanup_timer=cleanup_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_traffic_engineering_update(self, isis_set_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_set_level: unicode
    :param isis_set_level: Advertise via IS-IS

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_set_level=isis_set_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_set_level=isis_set_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_traffic_engineering_isis_update(self, isis_set_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type isis_set_level: unicode
    :param isis_set_level: Advertise via IS-IS

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, isis_set_level=isis_set_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_set_level=isis_set_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_traffic_engineering_ospf_area_update(self, ospf_area_as_ip_address=None, ospf_area_as_decimal=None, ospf_area_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_area_as_ip_address: unicode
    :param ospf_area_as_ip_address: Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ospf_area_as_decimal: long
    :param ospf_area_as_decimal: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type ospf_area_all: YANGBool
    :param ospf_area_all: Advertise all OSPF areas. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area': [u'ospf_area_as_decimal', u'ospf_area_as_ip_address', u'ospf_area_all'], 'pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area': [u'ospf_area_as_decimal', u'ospf_area_as_ip_address', u'ospf_area_all']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_area_as_ip_address=ospf_area_as_ip_address, ospf_area_as_decimal=ospf_area_as_decimal, ospf_area_all=ospf_area_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_area_as_ip_address=ospf_area_as_ip_address, ospf_area_as_decimal=ospf_area_as_decimal, ospf_area_all=ospf_area_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_traffic_engineering_ospf_area_all_update(self, ospf_area_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_area_all: YANGBool
    :param ospf_area_all: Advertise all OSPF areas

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_area_all=ospf_area_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_area_all=ospf_area_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_traffic_engineering_ospf_area_ospf_area_as_decimal_update(self, ospf_area_as_decimal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_area_as_decimal: long
    :param ospf_area_as_decimal: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_area_as_decimal=ospf_area_as_decimal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_area_as_decimal=ospf_area_as_decimal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_traffic_engineering_ospf_area_ospf_area_as_ip_address_update(self, ospf_area_as_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ospf_area_as_ip_address: unicode
    :param ospf_area_as_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf_area_as_ip_address=ospf_area_as_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_area_as_ip_address=ospf_area_as_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_transit_session_accounting_update(self, transit_session_accounting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type transit_session_accounting: YANGBool
    :param transit_session_accounting: Enable Traffic Statistics for transit sessions

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, transit_session_accounting=transit_session_accounting)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_session_accounting=transit_session_accounting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_backup_bw_guarantee_update(self, g_rsvp_backup_bw_guarantee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type g_rsvp_backup_bw_guarantee: YANGBool
    :param g_rsvp_backup_bw_guarantee: Setup a backup path requesting bandwidth only if bandwidth is available

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, g_rsvp_backup_bw_guarantee=g_rsvp_backup_bw_guarantee)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, g_rsvp_backup_bw_guarantee=g_rsvp_backup_bw_guarantee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_delay_resv_send_update(self, delay_resv_send=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type delay_resv_send: YANGBool
    :param delay_resv_send: Delay sending RESV for backup to come up before protected session

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, delay_resv_send=delay_resv_send)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, delay_resv_send=delay_resv_send)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_hello_acknowledgements_update(self, global_rsvp_hello_acknowledgements=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type global_rsvp_hello_acknowledgements: YANGBool
    :param global_rsvp_hello_acknowledgements: Acknowledge RSVP Hellos on interfaces supporting RSVP Hello and not having RSVP sessions

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_rsvp_hello_acknowledgements=global_rsvp_hello_acknowledgements)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_rsvp_hello_acknowledgements=global_rsvp_hello_acknowledgements)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_hello_interval_update(self, global_rsvp_hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type global_rsvp_hello_interval: long
    :param global_rsvp_hello_interval: Interval between two RSVP Hello requests

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.global_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp.global_rsvp_hello', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_rsvp_hello_interval=global_rsvp_hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_rsvp_hello_interval=global_rsvp_hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_hello_tolerance_update(self, global_rsvp_hello_tolerance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type global_rsvp_hello_tolerance: long
    :param global_rsvp_hello_tolerance: Number of unacknowledged RSVP Hello requests before timeout

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.global_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp.global_rsvp_hello', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_rsvp_hello_tolerance=global_rsvp_hello_tolerance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_rsvp_hello_tolerance=global_rsvp_hello_tolerance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_hello_unprioritize_update(self, global_rsvp_hello_unprioritize=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type global_rsvp_hello_unprioritize: YANGBool
    :param global_rsvp_hello_unprioritize: Stop prioritizing RSVP Hello messages

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, global_rsvp_hello_unprioritize=global_rsvp_hello_unprioritize)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_rsvp_hello_unprioritize=global_rsvp_hello_unprioritize)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_refresh_interval_update(self, refresh_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type refresh_interval: long
    :param refresh_interval: Configure RSVP Refresh interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, refresh_interval=refresh_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, refresh_interval=refresh_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_refresh_multiple_update(self, refresh_multiple=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type refresh_multiple: long
    :param refresh_multiple: Configure RSVP Refresh multiple

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, refresh_multiple=refresh_multiple)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, refresh_multiple=refresh_multiple)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_refresh_reduction_update(self, refresh_reduction_all=None, summary_refresh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type refresh_reduction_all: YANGBool
    :param refresh_reduction_all: All Refresh reduction functionalities

    :type summary_refresh: YANGBool
    :param summary_refresh: Refresh Reduction Summary Refresh feature

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, refresh_reduction_all=refresh_reduction_all, summary_refresh=summary_refresh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, refresh_reduction_all=refresh_reduction_all, summary_refresh=summary_refresh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_refresh_reduction_all_update(self, refresh_reduction_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type refresh_reduction_all: YANGBool
    :param refresh_reduction_all: All Refresh reduction functionalities

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, refresh_reduction_all=refresh_reduction_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, refresh_reduction_all=refresh_reduction_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_refresh_reduction_bundle_message_bundle_send_delay_update(self, bundle_send_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type bundle_send_delay: long
    :param bundle_send_delay: Configure bundle send delay value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction.bundle_message', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction.bundle_message', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bundle_send_delay=bundle_send_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bundle_send_delay=bundle_send_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_refresh_reduction_summary_refresh_update(self, summary_refresh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type summary_refresh: YANGBool
    :param summary_refresh: Refresh Reduction Summary Refresh feature

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, summary_refresh=summary_refresh)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_refresh=summary_refresh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_reliable_messaging_rapid_retrans_decay_update(self, rapid_retrans_decay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rapid_retrans_decay: long
    :param rapid_retrans_decay: Percentage increase in the rapid retransmission interval for each consecutive unacknowledged RSVP message

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_reliable_messaging', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rapid_retrans_decay=rapid_retrans_decay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rapid_retrans_decay=rapid_retrans_decay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_reliable_messaging_rapid_retrans_interval_update(self, rapid_retrans_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rapid_retrans_interval: long
    :param rapid_retrans_interval: Interval for an unacknowledged message to be resent

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_reliable_messaging', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rapid_retrans_interval=rapid_retrans_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rapid_retrans_interval=rapid_retrans_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_reliable_messaging_rapid_retry_limit_update(self, rapid_retry_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rapid_retry_limit: long
    :param rapid_retry_limit: Maximum number of retries for an unacknowledged message

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_reliable_messaging', 'pybind.slxos.v17r_1_00a.brocade_mpls', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rapid_retry_limit=rapid_retry_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rapid_retry_limit=rapid_retry_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_update(self, ospf=None, database_overflow_interval=None, default_passive_interface=None, default_metric=None, external_lsdb_limit=None, ospf_metric_type=None, vrf_lite_capability=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type database_overflow_interval: long
    :param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated

        * range restriction: ::

            ['0..4294967295']

    :type default_passive_interface: YANGBool
    :param default_passive_interface: Set OSPF interface passive

    :type default_metric: long
    :param default_metric: Set OSPF default metric

        * range restriction: ::

            ['0..4294967295']

    :type external_lsdb_limit: long
    :param external_lsdb_limit: Set maximum number of external LSAs

        * range restriction: ::

            ['0..4294967295']

    :type ospf_metric_type: unicode
    :param ospf_metric_type: Set Type 1 or Type 2

        * enumeration restriction: ::

            ['type1', 'type2']

    :type vrf_lite_capability: YANGBool
    :param vrf_lite_capability: Configure vrf-lite-capability (disable DN bit checks)

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enable OSPF nonstop routing capability

    :type maximum_paths: int
    :param maximum_paths: The maximum number of paths to a destination.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, database_overflow_interval=database_overflow_interval, default_passive_interface=default_passive_interface, default_metric=default_metric, external_lsdb_limit=external_lsdb_limit, ospf_metric_type=ospf_metric_type, vrf_lite_capability=vrf_lite_capability, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, database_overflow_interval=database_overflow_interval, default_passive_interface=default_passive_interface, default_metric=default_metric, external_lsdb_limit=external_lsdb_limit, ospf_metric_type=ospf_metric_type, vrf_lite_capability=vrf_lite_capability, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_update(self, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type normal: YANGBool
    :param normal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, normal=normal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_normal_update(self, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type normal: YANGBool
    :param normal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, normal=normal)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_nssa_update(self, ospf=None, area=None, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate default-information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.nssa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.nssa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, default_information_originate=default_information_originate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_nssa_default_information_originate_update(self, ospf=None, area=None, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate default-information

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.nssa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.nssa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, default_information_originate=default_information_originate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_nssa_metric_update(self, ospf=None, area=None, nssa_value=None, no_summary1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type nssa_value: long
    :param nssa_value: NSSA's advertised external route metric.

        * range restriction: ::

            ['0..4294967295']

    :type no_summary1: YANGBool
    :param no_summary1: Do not send summary LSA into nssa area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.nssa.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.nssa.metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nssa_value, no_summary1'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, nssa_value=nssa_value, no_summary1=no_summary1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, nssa_value=nssa_value, no_summary1=no_summary1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_nssa_no_summary_update(self, ospf=None, area=None, no_summary1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type no_summary1: YANGBool
    :param no_summary1: Do not send summary LSA into nssa area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.nssa.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.nssa.metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, no_summary1=no_summary1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, no_summary1=no_summary1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_nssa_nssa_value_update(self, ospf=None, area=None, nssa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type nssa_value: long
    :param nssa_value: NSSA's advertised external route metric.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.nssa.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.nssa.metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, nssa_value=nssa_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, nssa_value=nssa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_prefix_list_direction_in_update(self, ospf=None, area=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Apply Type3 LSA prefix filtering on inbound

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_prefix_list_direction_out_update(self, ospf=None, area=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Apply Type3 LSA prefix filtering on outbound

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_prefix_list_in_update(self, ospf=None, area=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type prefix_list_direction_in: YANGBool
    :param prefix_list_direction_in: Apply Type3 LSA prefix filtering on inbound

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, prefix_list_direction_in=prefix_list_direction_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_prefix_list_out_update(self, ospf=None, area=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type prefix_list_direction_out: YANGBool
    :param prefix_list_direction_out: Apply Type3 LSA prefix filtering on outbound

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, prefix_list_direction_out=prefix_list_direction_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_prefix_list_prefix_list_update(self, ospf=None, area=None, prefix_list_direction_in_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type prefix_list_direction_in_prefix_name: unicode
    :param prefix_list_direction_in_prefix_name: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.prefix_list.direction_in', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_prefix_list_prefix_list_direction_out_update(self, ospf=None, area=None, prefix_list_direction_out_prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type prefix_list_direction_out_prefix_name: unicode
    :param prefix_list_direction_out_prefix_name: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.prefix_list.direction_out', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_range_update(self, ospf=None, area=None, range=None, range_effect=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type range: range_address, range_mask, range_effect, range_cost
    :param range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **range** tuple argument:  A.B.C.D   IP address to match

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type range_mask: unicode
    :param range_mask: **range** tuple argument:  A.B.C.D   IP mask for address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type range_effect: unicode
    :param range_effect: **range** tuple argument:  Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: **range** tuple argument:  Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type range_effect: unicode
    :param range_effect: Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.range', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, range=range, range_effect=range_effect, range_cost=range_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, range=range, range_effect=range_effect, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_range_cost_update(self, ospf=None, area=None, range=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type range: range_address, range_mask
    :param range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **range** tuple argument:  A.B.C.D   IP address to match

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type range_mask: unicode
    :param range_mask: **range** tuple argument:  A.B.C.D   IP mask for address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type range_cost: long
    :param range_cost: Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.range', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, range=range, range_cost=range_cost)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, range=range, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_range_range_effect_update(self, ospf=None, area=None, range=None, range_effect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type range: range_address, range_mask
    :param range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **range** tuple argument:  A.B.C.D   IP address to match

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type range_mask: unicode
    :param range_mask: **range** tuple argument:  A.B.C.D   IP mask for address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type range_effect: unicode
    :param range_effect: Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.range', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, range=range, range_effect=range_effect)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, range=range, range_effect=range_effect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_stub_metric_update(self, ospf=None, area=None, stub_value=None, no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type stub_value: long
    :param stub_value: Stub's advertised external route metric.

        * range restriction: ::

            ['0..4294967295']

    :type no_summary: YANGBool
    :param no_summary: Do not send summary LSA into stub area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.stub.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.stub.metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'stub_value, no_summary'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, stub_value=stub_value, no_summary=no_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, stub_value=stub_value, no_summary=no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_stub_no_summary_update(self, ospf=None, area=None, no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type no_summary: YANGBool
    :param no_summary: Do not send summary LSA into stub area

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.stub.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.stub.metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, no_summary=no_summary)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, no_summary=no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_stub_stub_value_update(self, ospf=None, area=None, stub_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type stub_value: long
    :param stub_value: Stub's advertised external route metric.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.stub.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.stub.metric', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, stub_value=stub_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, stub_value=stub_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_update(self, ospf=None, area=None, virtual_link=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_authentication_key_auth_key_update(self, ospf=None, area=None, virtual_link=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_authentication_key_auth_key_table_update(self, ospf=None, area=None, virtual_link=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type auth_key: unicode
    :param auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'encrypttype, auth_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, encrypttype=encrypttype, auth_key=auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_authentication_key_encrypttype_update(self, ospf=None, area=None, virtual_link=None, encrypttype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type encrypttype: long
    :param encrypttype: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, encrypttype=encrypttype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, encrypttype=encrypttype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_authentication_key_no_encrypt_auth_key_update(self, ospf=None, area=None, virtual_link=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_authentication_key_no_encrypt_auth_key_table_update(self, ospf=None, area=None, virtual_link=None, no_encrypt_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_encrypt_auth_key: unicode
    :param no_encrypt_auth_key: The OSPF password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_auth_key=no_encrypt_auth_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_auth_key=no_encrypt_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_dead_interval_update(self, ospf=None, area=None, virtual_link=None, dead_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, dead_interval=dead_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, dead_interval=dead_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_hello_interval_update(self, ospf=None, area=None, virtual_link=None, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_md5_authentication_update(self, ospf=None, area=None, virtual_link=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link.md5_authentication', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_md5_authentication_key_activation_wait_time_update(self, ospf=None, area=None, virtual_link=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type key_activation_wait_time: long
    :param key_activation_wait_time: The activation wait time in Seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link.md5_authentication', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, key_activation_wait_time=key_activation_wait_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_md5_authentication_key_id_update(self, ospf=None, area=None, virtual_link=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type md5_authentication_key: unicode
    :param md5_authentication_key: MD5 authentication ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_md5_authentication_key_id_key_update(self, ospf=None, area=None, virtual_link=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type key: long
    :param key: MD5 Authentication password (key)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_md5_authentication_key_id_key_id_update(self, ospf=None, area=None, virtual_link=None, key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type key_id: long
    :param key_id: The key ID of the MD5 key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, key_id=key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, key_id=key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_md5_authentication_no_encrypt_key_update(self, ospf=None, area=None, virtual_link=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_md5_authentication_no_encrypt_key_id_update(self, ospf=None, area=None, virtual_link=None, no_encrypt_key_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key_id=no_encrypt_key_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key_id=no_encrypt_key_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_md5_authentication_no_encrypt_key_table_update(self, ospf=None, area=None, virtual_link=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type no_encrypt_key_id: long
    :param no_encrypt_key_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_encrypt_key: unicode
    :param no_encrypt_key: MD5 Authentication password (key)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_retransmit_interval_update(self, ospf=None, area=None, virtual_link=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, retransmit_interval=retransmit_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_transmit_delay_update(self, ospf=None, area=None, virtual_link=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, area=area, virtual_link=virtual_link, transmit_delay=transmit_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_auto_cost_reference_bandwidth_update(self, ospf=None, ref_bandwidth=None, use_active_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ref_bandwidth: long
    :param ref_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type use_active_ports: YANGBool
    :param use_active_ports: Dynamic change of BW will reflect cost change

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.auto_cost.reference_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.auto_cost.reference_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, ref_bandwidth=ref_bandwidth, use_active_ports=use_active_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, ref_bandwidth=ref_bandwidth, use_active_ports=use_active_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_auto_cost_reference_bandwidth_ref_bandwidth_update(self, ospf=None, ref_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ref_bandwidth: long
    :param ref_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.auto_cost.reference_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.auto_cost.reference_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, ref_bandwidth=ref_bandwidth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, ref_bandwidth=ref_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_auto_cost_reference_bandwidth_use_active_ports_update(self, ospf=None, use_active_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type use_active_ports: YANGBool
    :param use_active_ports: Dynamic change of BW will reflect cost change

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.auto_cost.reference_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.auto_cost.reference_bandwidth', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, use_active_ports=use_active_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, use_active_ports=use_active_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_bfd_update(self, ospf=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type holdover_interval: int
    :param holdover_interval: Holdover-interval in seconds

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.global_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.global_bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, bfd_enable=bfd_enable, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_bfd_bfd_enable_update(self, ospf=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.global_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.global_bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, bfd_enable=bfd_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_bfd_holdover_interval_update(self, ospf=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type holdover_interval: int
    :param holdover_interval: Holdover-interval in seconds

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.global_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.global_bfd', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_database_overflow_interval_update(self, ospf=None, database_overflow_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type database_overflow_interval: long
    :param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, database_overflow_interval=database_overflow_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, database_overflow_interval=database_overflow_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_default_information_originate_always_update(self, ospf=None, always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type always: YANGBool
    :param always: Always advertise default route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, always=always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, always=always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_default_information_originate_metric_update(self, ospf=None, def_orig_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type def_orig_metric: long
    :param def_orig_metric: OSPF metric for default route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, def_orig_metric=def_orig_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, def_orig_metric=def_orig_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_default_information_originate_metric_type_update(self, ospf=None, def_orig_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type def_orig_metric_type: unicode
    :param def_orig_metric_type: OSPF metric type for default route

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, def_orig_metric_type=def_orig_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, def_orig_metric_type=def_orig_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_default_information_originate_route_map_update(self, ospf=None, def_orig_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type def_orig_route_map: unicode
    :param def_orig_route_map: Route-map reference

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.default_information_originate', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, def_orig_route_map=def_orig_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, def_orig_route_map=def_orig_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_default_metric_update(self, ospf=None, default_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type default_metric: long
    :param default_metric: Set OSPF default metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, default_metric=default_metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, default_metric=default_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_default_passive_interface_update(self, ospf=None, default_passive_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type default_passive_interface: YANGBool
    :param default_passive_interface: Set OSPF interface passive

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, default_passive_interface=default_passive_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, default_passive_interface=default_passive_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_deny_redistribute_update(self, ospf=None, redistribute=None, address=None, mask=None, set_metric_val=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option, address, mask, set_metric_val, match_metric_val
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    :type address: unicode
    :param address: **redistribute** tuple argument:  IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: **redistribute** tuple argument:  Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_deny_redistribute_address_update(self, ospf=None, redistribute=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute=redistribute, address=address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute=redistribute, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_deny_redistribute_mask_update(self, ospf=None, redistribute=None, mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type mask: unicode
    :param mask: Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute=redistribute, mask=mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute=redistribute, mask=mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_deny_redistribute_match_metric_update(self, ospf=None, redistribute=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type match_metric_val: long
    :param match_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute=redistribute, match_metric_val=match_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute=redistribute, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_deny_redistribute_set_metric_update(self, ospf=None, redistribute=None, set_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type set_metric_val: long
    :param set_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute=redistribute, set_metric_val=set_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute=redistribute, set_metric_val=set_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_distance_update(self, ospf=None, distance=None, dist_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type distance: route_type
    :param distance: Keyword argument tuple.

    :type route_type: unicode
    :param route_type: **distance** tuple argument:  The type of route propogation

        * enumeration restriction: ::

            ['intra-area', 'external', 'inter-area']

    **Instance Argument(s)**:

    :type dist_value: long
    :param dist_value: The distance for a given type of route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.distance', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, distance=distance, dist_value=dist_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, distance=distance, dist_value=dist_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_distance_dist_value_update(self, ospf=None, distance=None, dist_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type distance: route_type
    :param distance: Keyword argument tuple.

    :type route_type: unicode
    :param route_type: **distance** tuple argument:  The type of route propogation

        * enumeration restriction: ::

            ['intra-area', 'external', 'inter-area']

    **Instance Argument(s)**:

    :type dist_value: long
    :param dist_value: The distance for a given type of route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.distance', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, distance=distance, dist_value=dist_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, distance=distance, dist_value=dist_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_distribute_list_route_map_update(self, ospf=None, route_map=None, input=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type route_map: unicode
    :param route_map: Route-map name.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type input: YANGBool
    :param input: Apply filter for incoming Routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.distribute_list.route_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'route_map, input'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, route_map=route_map, input=input)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, route_map=route_map, input=input)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_distribute_list_route_map_in_update(self, ospf=None, input=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type input: YANGBool
    :param input: Apply filter for incoming Routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.distribute_list.route_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, input=input)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, input=input)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_distribute_list_route_map_route_map_update(self, ospf=None, route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type route_map: unicode
    :param route_map: Route-map name.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.distribute_list.route_map', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, route_map=route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, route_map=route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_external_lsdb_limit_update(self, ospf=None, external_lsdb_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type external_lsdb_limit: long
    :param external_lsdb_limit: Set maximum number of external LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, external_lsdb_limit=external_lsdb_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, external_lsdb_limit=external_lsdb_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_graceful_restart_update(self, ospf=None, graceful_restart_enable=None, helper_disable=None, restart_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type graceful_restart_enable: YANGBool
    :param graceful_restart_enable: Keyword argument.

    :type helper_disable: YANGBool
    :param helper_disable: Disable Helper Mode

    :type restart_time: long
    :param restart_time: Set the maximum restart wait time advertised to neighbors

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, graceful_restart_enable=graceful_restart_enable, helper_disable=helper_disable, restart_time=restart_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, graceful_restart_enable=graceful_restart_enable, helper_disable=helper_disable, restart_time=restart_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_graceful_restart_graceful_restart_enable_update(self, ospf=None, graceful_restart_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type graceful_restart_enable: YANGBool
    :param graceful_restart_enable: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, graceful_restart_enable=graceful_restart_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, graceful_restart_enable=graceful_restart_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_graceful_restart_helper_disable_update(self, ospf=None, helper_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type helper_disable: YANGBool
    :param helper_disable: Disable Helper Mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, helper_disable=helper_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, helper_disable=helper_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_graceful_restart_restart_time_update(self, ospf=None, restart_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type restart_time: long
    :param restart_time: Set the maximum restart wait time advertised to neighbors

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.graceful_restart', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, restart_time=restart_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, restart_time=restart_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_ldp_sync_hold_down_update(self, ospf=None, ldp_sync_hold_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ldp_sync_hold_down: long
    :param ldp_sync_hold_down: Specify hold-down duration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.ldp_sync', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.ldp_sync', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, ldp_sync_hold_down=ldp_sync_hold_down)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, ldp_sync_hold_down=ldp_sync_hold_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_log_update(self, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type log_all: YANGBool
    :param log_all: Logging everything

    :type log_database: YANGBool
    :param log_database: Logging LSA activity

    :type log_retransmit: YANGBool
    :param log_retransmit: Logging retransmit activity

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.log', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_log_adjacency_dr_only_update(self, ospf=None, dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type dr_only: YANGBool
    :param dr_only: Logging only Designated Router interfaces' adjacency changes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log.adjacency', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.log.adjacency', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, dr_only=dr_only)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, dr_only=dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_log_all_update(self, ospf=None, log_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type log_all: YANGBool
    :param log_all: Logging everything

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.log', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, log_all=log_all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_all=log_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_log_bad_packet_checksum_update(self, ospf=None, log_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type log_checksum: YANGBool
    :param log_checksum: Logging bad checksum packets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log.bad_packet', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.log.bad_packet', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, log_checksum=log_checksum)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_checksum=log_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_log_database_update(self, ospf=None, log_database=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type log_database: YANGBool
    :param log_database: Logging LSA activity

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.log', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, log_database=log_database)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_database=log_database)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_log_retransmit_update(self, ospf=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type log_retransmit: YANGBool
    :param log_retransmit: Logging retransmit activity

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.log', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, log_retransmit=log_retransmit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_all_lsas_update(self, ospf=None, all_lsas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all_lsas: YANGBool
    :param all_lsas: Replace Metric in all External and SummaryLSAs with default max metric value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, all_lsas=all_lsas)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, all_lsas=all_lsas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_all_vrfs_update(self, ospf=None, all_vrfs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all_vrfs: YANGBool
    :param all_vrfs: Apply this to all the current OSPF instances

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, all_vrfs=all_vrfs)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, all_vrfs=all_vrfs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_external_lsa_external_lsa_val_update(self, ospf=None, external_lsa_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type external_lsa_val: long
    :param external_lsa_val: Indicates the metric of all external type 5 LSA's

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, external_lsa_val=external_lsa_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, external_lsa_val=external_lsa_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_link_update(self, ospf=None, all=None, ptp=None, stub=None, transit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Advertise maximum metric in Router LSA for ptp,stub and transit links

    :type ptp: YANGBool
    :param ptp: Advertise maximum metric in Router LSA for ptp links

    :type stub: YANGBool
    :param stub: Advertise maximum metric in Router LSA for stub links

    :type transit: YANGBool
    :param transit: Advertise maximum metric in Router LSA for transit links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, all=all, ptp=ptp, stub=stub, transit=transit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, all=all, ptp=ptp, stub=stub, transit=transit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_link_all_update(self, ospf=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all: YANGBool
    :param all: Advertise maximum metric in Router LSA for ptp,stub and transit links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, all=all)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_link_ptp_update(self, ospf=None, ptp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ptp: YANGBool
    :param ptp: Advertise maximum metric in Router LSA for ptp links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, ptp=ptp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, ptp=ptp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_link_stub_update(self, ospf=None, stub=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type stub: YANGBool
    :param stub: Advertise maximum metric in Router LSA for stub links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, stub=stub)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, stub=stub)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_link_transit_update(self, ospf=None, transit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type transit: YANGBool
    :param transit: Advertise maximum metric in Router LSA for transit links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, transit=transit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, transit=transit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_update(self, ospf=None, time=None, wait_for_bgp=None, all_lsas_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type time: long
    :param time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds

        * range restriction: ::

            ['0..4294967295']

    :type wait_for_bgp: YANGBool
    :param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds

    :type all_lsas_onstartup: YANGBool
    :param all_lsas_onstartup: Replace Metric in all External and SummaryLSAs with default max metric value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, time=time, wait_for_bgp=wait_for_bgp, all_lsas_onstartup=all_lsas_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, time=time, wait_for_bgp=wait_for_bgp, all_lsas_onstartup=all_lsas_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_all_lsas_update(self, ospf=None, all_lsas_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all_lsas_onstartup: YANGBool
    :param all_lsas_onstartup: Replace Metric in all External and SummaryLSAs with default max metric value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, all_lsas_onstartup=all_lsas_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, all_lsas_onstartup=all_lsas_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_external_lsa_external_lsa_val_onstartup_update(self, ospf=None, external_lsa_val_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type external_lsa_val_onstartup: long
    :param external_lsa_val_onstartup: Indicates the metric of all external type 5 LSA's

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, external_lsa_val_onstartup=external_lsa_val_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, external_lsa_val_onstartup=external_lsa_val_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_link_update(self, ospf=None, all_link_onstartup=None, ptp_link_onstartup=None, stub_link_onstartup=None, transit_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all_link_onstartup: YANGBool
    :param all_link_onstartup: Advertise maximum metric in Router LSA for ptp,stub and transit links

    :type ptp_link_onstartup: YANGBool
    :param ptp_link_onstartup: Advertise maximum metric in Router LSA for ptp links

    :type stub_link_onstartup: YANGBool
    :param stub_link_onstartup: Advertise maximum metric in Router LSA for stub links

    :type transit_link_onstartup: YANGBool
    :param transit_link_onstartup: Advertise maximum metric in Router LSA for transit links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, all_link_onstartup=all_link_onstartup, ptp_link_onstartup=ptp_link_onstartup, stub_link_onstartup=stub_link_onstartup, transit_link_onstartup=transit_link_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, all_link_onstartup=all_link_onstartup, ptp_link_onstartup=ptp_link_onstartup, stub_link_onstartup=stub_link_onstartup, transit_link_onstartup=transit_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_link_all_update(self, ospf=None, all_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all_link_onstartup: YANGBool
    :param all_link_onstartup: Advertise maximum metric in Router LSA for ptp,stub and transit links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, all_link_onstartup=all_link_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, all_link_onstartup=all_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_link_ptp_update(self, ospf=None, ptp_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ptp_link_onstartup: YANGBool
    :param ptp_link_onstartup: Advertise maximum metric in Router LSA for ptp links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, ptp_link_onstartup=ptp_link_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, ptp_link_onstartup=ptp_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_link_stub_update(self, ospf=None, stub_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type stub_link_onstartup: YANGBool
    :param stub_link_onstartup: Advertise maximum metric in Router LSA for stub links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, stub_link_onstartup=stub_link_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, stub_link_onstartup=stub_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_link_transit_update(self, ospf=None, transit_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type transit_link_onstartup: YANGBool
    :param transit_link_onstartup: Advertise maximum metric in Router LSA for transit links

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, transit_link_onstartup=transit_link_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, transit_link_onstartup=transit_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_summary_lsa_summary_lsa_val_onstartup_update(self, ospf=None, summary_lsa_val_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type summary_lsa_val_onstartup: long
    :param summary_lsa_val_onstartup: Metric of all summary type 3 and type 4 LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, summary_lsa_val_onstartup=summary_lsa_val_onstartup)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, summary_lsa_val_onstartup=summary_lsa_val_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_time_update(self, ospf=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type time: long
    :param time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, time=time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_wait_for_bgp_update(self, ospf=None, wait_for_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type wait_for_bgp: YANGBool
    :param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, wait_for_bgp=wait_for_bgp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, wait_for_bgp=wait_for_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_summary_lsa_summary_lsa_val_update(self, ospf=None, summary_lsa_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type summary_lsa_val: long
    :param summary_lsa_val: Metric of all summary type 3 and type 4 LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, summary_lsa_val=summary_lsa_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, summary_lsa_val=summary_lsa_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_maximum_paths_update(self, ospf=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type maximum_paths: int
    :param maximum_paths: The maximum number of paths to a destination.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, maximum_paths=maximum_paths)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_metric_type_update(self, ospf=None, ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ospf_metric_type: unicode
    :param ospf_metric_type: Set Type 1 or Type 2

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, ospf_metric_type=ospf_metric_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, ospf_metric_type=ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_nonstop_routing_update(self, ospf=None, nonstop_routing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enable OSPF nonstop routing capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, nonstop_routing=nonstop_routing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, nonstop_routing=nonstop_routing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_permit_redistribute_update(self, ospf=None, redistribute=None, address=None, mask=None, set_metric_val=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option, address, mask, set_metric_val, match_metric_val
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    :type address: unicode
    :param address: **redistribute** tuple argument:  IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: **redistribute** tuple argument:  Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_permit_redistribute_address_update(self, ospf=None, redistribute=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute=redistribute, address=address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute=redistribute, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_permit_redistribute_mask_update(self, ospf=None, redistribute=None, mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type mask: unicode
    :param mask: Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute=redistribute, mask=mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute=redistribute, mask=mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_permit_redistribute_match_metric_update(self, ospf=None, redistribute=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type match_metric_val: long
    :param match_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute=redistribute, match_metric_val=match_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute=redistribute, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_permit_redistribute_set_metric_update(self, ospf=None, redistribute=None, set_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    **Instance Argument(s)**:

    :type set_metric_val: long
    :param set_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, redistribute=redistribute, set_metric_val=set_metric_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute=redistribute, set_metric_val=set_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_bgp_route_map_update(self, ospf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.redistribute.bgp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, bgp_route_map=bgp_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_connected_route_map_update(self, ospf=None, connected_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type connected_route_map: unicode
    :param connected_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.redistribute.connected', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, connected_route_map=connected_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, connected_route_map=connected_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_isis_update(self, ospf=None, isis_level_one=None, isis_level_two=None, isis_level_one_and_two=None, isis_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type isis_level_one: YANGBool
    :param isis_level_one: Redistribution of IS-IS Level-1 routes. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type isis_level_two: YANGBool
    :param isis_level_two: Redistribution of IS-IS Level-2 routes. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type isis_level_one_and_two: YANGBool
    :param isis_level_one_and_two: Redistribution of IS-IS Level-1-2 routes. Choice keyword argument (Only one choice argument allowed per API invocation).

    :type isis_route_map: unicode
    :param isis_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.routing_system.router.ospf.redistribute.isis': [u'isis_level_two', u'isis_level_one', u'isis_level_one_and_two'], 'pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.isis': [u'isis_level_two', u'isis_level_one', u'isis_level_one_and_two']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, isis_level_one=isis_level_one, isis_level_two=isis_level_two, isis_level_one_and_two=isis_level_one_and_two, isis_route_map=isis_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, isis_level_one=isis_level_one, isis_level_two=isis_level_two, isis_level_one_and_two=isis_level_one_and_two, isis_route_map=isis_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_isis_level_1_update(self, ospf=None, isis_level_one=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type isis_level_one: YANGBool
    :param isis_level_one: Redistribution of IS-IS Level-1 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, isis_level_one=isis_level_one)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, isis_level_one=isis_level_one)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_isis_level_1_2_update(self, ospf=None, isis_level_one_and_two=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type isis_level_one_and_two: YANGBool
    :param isis_level_one_and_two: Redistribution of IS-IS Level-1-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, isis_level_one_and_two=isis_level_one_and_two)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, isis_level_one_and_two=isis_level_one_and_two)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_isis_level_2_update(self, ospf=None, isis_level_two=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type isis_level_two: YANGBool
    :param isis_level_two: Redistribution of IS-IS Level-2 routes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, isis_level_two=isis_level_two)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, isis_level_two=isis_level_two)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_isis_route_map_update(self, ospf=None, isis_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type isis_route_map: unicode
    :param isis_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, isis_route_map=isis_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, isis_route_map=isis_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_ospf_route_map_update(self, ospf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, ospf_route_map=ospf_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_static_route_map_update(self, ospf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.redistribute.static', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, static_route_map=static_route_map)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_rfc1583_compatibility_rfc1583_compatibility_flag_update(self, ospf=None, rfc1583_compatibility_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type rfc1583_compatibility_flag: YANGBool
    :param rfc1583_compatibility_flag: Enable RFC 1583 OSPF v2 compatibility

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.rfc1583_compatibility', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.rfc1583_compatibility', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, rfc1583_compatibility_flag=rfc1583_compatibility_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, rfc1583_compatibility_flag=rfc1583_compatibility_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_timers_update(self, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsa_group_pacing: long
    :param lsa_group_pacing: OSPF LSA group pacing timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, lsa_group_pacing=lsa_group_pacing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_timers_lsa_group_pacing_update(self, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsa_group_pacing: long
    :param lsa_group_pacing: OSPF LSA group pacing timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.timers', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, lsa_group_pacing=lsa_group_pacing)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_timers_throttle_spf_update(self, ospf=None, init_delay=None, hold_time=None, max_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type init_delay: long
    :param init_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hold_time: long
    :param hold_time: Hold time (msec) between two SPF calculations, default is 5000 msec

        * range restriction: ::

            ['0..4294967295']

    :type max_hold_time: long
    :param max_hold_time: Max hold time (msec) between two SPF calculations, default is 10000 msec

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.timers.throttle.spf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.timers.throttle.spf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'init_delay, hold_time, max_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, init_delay=init_delay, hold_time=hold_time, max_hold_time=max_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, init_delay=init_delay, hold_time=hold_time, max_hold_time=max_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_timers_throttle_spf_hold_time_update(self, ospf=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Hold time (msec) between two SPF calculations, default is 5000 msec

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.timers.throttle.spf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.timers.throttle.spf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, hold_time=hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_timers_throttle_spf_init_delay_update(self, ospf=None, init_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type init_delay: long
    :param init_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.timers.throttle.spf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.timers.throttle.spf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, init_delay=init_delay)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, init_delay=init_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_timers_throttle_spf_max_hold_time_update(self, ospf=None, max_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type max_hold_time: long
    :param max_hold_time: Max hold time (msec) between two SPF calculations, default is 10000 msec

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.timers.throttle.spf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf.timers.throttle.spf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, max_hold_time=max_hold_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, max_hold_time=max_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_vrf_lite_capability_update(self, ospf=None, vrf_lite_capability=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type vrf_lite_capability: YANGBool
    :param vrf_lite_capability: Configure vrf-lite-capability (disable DN bit checks)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.ospf', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ospf=ospf, vrf_lite_capability=vrf_lite_capability)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, vrf_lite_capability=vrf_lite_capability)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_update(self, pim=None, max_mcache=None, hello_interval=None, prune_wait=None, nbr_timeout=None, inactivity_timer=None, message_interval=None, spt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type pim: vrf
    :param pim: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **pim** tuple argument:  VRF Name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type max_mcache: long
    :param max_mcache: Set maximum PIM mcache

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Set hello message interval

        * range restriction: ::

            ['0..4294967295']

    :type prune_wait: long
    :param prune_wait: Set prune-wait interval - time to wait for an override before pruning

        * range restriction: ::

            ['0..4294967295']

    :type nbr_timeout: int
    :param nbr_timeout: Set neighbor timeout

        * range restriction: ::

            ['0..65535']

    :type inactivity_timer: int
    :param inactivity_timer: Set inactivity interval

        * range restriction: ::

            ['0..65535']

    :type message_interval: long
    :param message_interval: Set periodic join/prune message interval

        * range restriction: ::

            ['0..4294967295']

    :type spt_threshold: long
    :param spt_threshold: Set threshold for switching to shortest-path-tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'pim', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pim=pim, max_mcache=max_mcache, hello_interval=hello_interval, prune_wait=prune_wait, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, spt_threshold=spt_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim=pim, max_mcache=max_mcache, hello_interval=hello_interval, prune_wait=prune_wait, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, spt_threshold=spt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_anycast_rp_update(self, anycast_rp=None, anycast_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type anycast_rp: anycast_ip_addr, anycast_prefix_list
    :param anycast_rp: Keyword argument tuple.

    :type anycast_ip_addr: unicode
    :param anycast_ip_addr: **anycast_rp** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type anycast_prefix_list: unicode
    :param anycast_prefix_list: **anycast_rp** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type anycast_prefix_list: unicode
    :param anycast_prefix_list: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.anycast_rp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'anycast_rp', 'keyval': 'anycast_ip_addr', 'extra_keyval': 'anycast_ip_addr, anycast_prefix_list'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, anycast_rp=anycast_rp, anycast_prefix_list=anycast_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, anycast_rp=anycast_rp, anycast_prefix_list=anycast_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_anycast_rp_anycast_prefix_list_update(self, anycast_rp=None, anycast_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type anycast_rp: anycast_ip_addr
    :param anycast_rp: Keyword argument tuple.

    :type anycast_ip_addr: unicode
    :param anycast_ip_addr: **anycast_rp** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type anycast_prefix_list: unicode
    :param anycast_prefix_list: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.anycast_rp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'anycast_rp', 'keyval': 'anycast_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, anycast_rp=anycast_rp, anycast_prefix_list=anycast_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, anycast_rp=anycast_rp, anycast_prefix_list=anycast_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_anycast_rp_ip_update(self, anycast_rp_ip=None, anycast_peer_ip_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type anycast_rp_ip: anycast_rp_ip_addr
    :param anycast_rp_ip: Keyword argument tuple.

    :type anycast_rp_ip_addr: unicode
    :param anycast_rp_ip_addr: **anycast_rp_ip** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type anycast_peer_ip_addr: unicode
    :param anycast_peer_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.anycast_rp_ip', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'anycast_rp_ip', 'keyval': 'anycast_rp_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, anycast_rp_ip=anycast_rp_ip, anycast_peer_ip_addr=anycast_peer_ip_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, anycast_rp_ip=anycast_rp_ip, anycast_peer_ip_addr=anycast_peer_ip_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_anycast_rp_ip_anycast_peer_ip_addr_update(self, anycast_rp_ip=None, anycast_peer_ip_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type anycast_rp_ip: anycast_rp_ip_addr
    :param anycast_rp_ip: Keyword argument tuple.

    :type anycast_rp_ip_addr: unicode
    :param anycast_rp_ip_addr: **anycast_rp_ip** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type anycast_peer_ip_addr: unicode
    :param anycast_peer_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.anycast_rp_ip', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'anycast_rp_ip', 'keyval': 'anycast_rp_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, anycast_rp_ip=anycast_rp_ip, anycast_peer_ip_addr=anycast_peer_ip_addr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, anycast_rp_ip=anycast_rp_ip, anycast_peer_ip_addr=anycast_peer_ip_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_bsr_candidate_interface_update(self, bsr_cand_interface=None, hash_mask_length=None, bsr_cand_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bsr_cand_interface: bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority
    :param bsr_cand_interface: Keyword argument tuple.

    :type bsr_cand_intf_type: unicode
    :param bsr_cand_intf_type: **bsr_cand_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 've', 'loopback']

    :type bsr_cand_intf_id: unicode
    :param bsr_cand_intf_id: **bsr_cand_interface** tuple argument:  Interface name in slot/port format for ethernet or port-channel/ve/loopback interface number

    :type hash_mask_length: int
    :param hash_mask_length: **bsr_cand_interface** tuple argument:  BSR hash mask

        * range restriction: ::

            ['0..65535']

    :type bsr_cand_priority: long
    :param bsr_cand_priority: **bsr_cand_interface** tuple argument:  BSR priority

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hash_mask_length: int
    :param hash_mask_length: BSR hash mask

        * range restriction: ::

            ['0..65535']

    :type bsr_cand_priority: long
    :param bsr_cand_priority: BSR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.bsr_candidate.bsr_cand_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bsr_cand_interface=bsr_cand_interface, hash_mask_length=hash_mask_length, bsr_cand_priority=bsr_cand_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bsr_cand_interface=bsr_cand_interface, hash_mask_length=hash_mask_length, bsr_cand_priority=bsr_cand_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_bsr_candidate_interface_mask_update(self, bsr_cand_interface=None, hash_mask_length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bsr_cand_interface: bsr_cand_intf_type, bsr_cand_intf_id
    :param bsr_cand_interface: Keyword argument tuple.

    :type bsr_cand_intf_type: unicode
    :param bsr_cand_intf_type: **bsr_cand_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 've', 'loopback']

    :type bsr_cand_intf_id: unicode
    :param bsr_cand_intf_id: **bsr_cand_interface** tuple argument:  Interface name in slot/port format for ethernet or port-channel/ve/loopback interface number

    **Instance Argument(s)**:

    :type hash_mask_length: int
    :param hash_mask_length: BSR hash mask

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.bsr_candidate.bsr_cand_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bsr_cand_interface=bsr_cand_interface, hash_mask_length=hash_mask_length)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bsr_cand_interface=bsr_cand_interface, hash_mask_length=hash_mask_length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_bsr_candidate_interface_priority_update(self, bsr_cand_interface=None, bsr_cand_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type bsr_cand_interface: bsr_cand_intf_type, bsr_cand_intf_id
    :param bsr_cand_interface: Keyword argument tuple.

    :type bsr_cand_intf_type: unicode
    :param bsr_cand_intf_type: **bsr_cand_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 've', 'loopback']

    :type bsr_cand_intf_id: unicode
    :param bsr_cand_intf_id: **bsr_cand_interface** tuple argument:  Interface name in slot/port format for ethernet or port-channel/ve/loopback interface number

    **Instance Argument(s)**:

    :type bsr_cand_priority: long
    :param bsr_cand_priority: BSR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.bsr_candidate.bsr_cand_interface', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bsr_cand_interface=bsr_cand_interface, bsr_cand_priority=bsr_cand_priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bsr_cand_interface=bsr_cand_interface, bsr_cand_priority=bsr_cand_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_hello_interval_update(self, hello_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Set hello message interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.router.pim": {}, "pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim": {"hello_interval": "hello_interval"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hello_interval=hello_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello_interval=hello_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_inactivity_timer_update(self, inactivity_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type inactivity_timer: int
    :param inactivity_timer: Set inactivity interval

        * range restriction: ::

            ['-32768..32767']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.router.pim": {}, "pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim": {"inactivity_timer": "inactivity_timer"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, inactivity_timer=inactivity_timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inactivity_timer=inactivity_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_max_mcache_update(self, max_mcache=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type max_mcache: long
    :param max_mcache: Set maximum PIM mcache

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.router.pim": {}, "pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim": {"max_mcache": "max_mcache"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_mcache=max_mcache)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_mcache=max_mcache)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_message_interval_update(self, message_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type message_interval: long
    :param message_interval: Set periodic join/prune message interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.router.pim": {}, "pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim": {"message_interval": "message_interval"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, message_interval=message_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, message_interval=message_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_nbr_timeout_update(self, nbr_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type nbr_timeout: int
    :param nbr_timeout: Set neighbor timeout

        * range restriction: ::

            ['-32768..32767']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.router.pim": {}, "pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim": {"nbr_timeout": "nbr_timeout"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, nbr_timeout=nbr_timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nbr_timeout=nbr_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_prune_wait_update(self, prune_wait=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type prune_wait: long
    :param prune_wait: Set prune-wait interval - time to wait for an override before pruning

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.router.pim": {}, "pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim": {"prune_wait": "prune_wait"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, prune_wait=prune_wait)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prune_wait=prune_wait)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_route_precedence_update(self, uc_default=None, uc_non_default=None, none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type uc_default: YANGBool
    :param uc_default: Select default route from the unicast routing table

    :type uc_non_default: YANGBool
    :param uc_non_default: Select non default route from the unicast routing table

    :type none: YANGBool
    :param none: Skip precedence level

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.route_precedence', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.route_precedence', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'uc_default, uc_non_default, none'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, uc_default=uc_default, uc_non_default=uc_non_default, none=none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, uc_default=uc_default, uc_non_default=uc_non_default, none=none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_route_precedence_none_update(self, none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type none: YANGBool
    :param none: Skip precedence level

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.route_precedence', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.route_precedence', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, none=none)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, none=none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_route_precedence_uc_default_update(self, uc_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type uc_default: YANGBool
    :param uc_default: Select default route from the unicast routing table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.route_precedence', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.route_precedence', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, uc_default=uc_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, uc_default=uc_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_route_precedence_uc_non_default_update(self, uc_non_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type uc_non_default: YANGBool
    :param uc_non_default: Select non default route from the unicast routing table

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.route_precedence', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.route_precedence', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, uc_non_default=uc_non_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, uc_non_default=uc_non_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_rp_address_update(self, rp_address=None, rp_addr_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type rp_address: rp_ip_addr, rp_addr_prefix_list
    :param rp_address: Keyword argument tuple.

    :type rp_ip_addr: unicode
    :param rp_ip_addr: **rp_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type rp_addr_prefix_list: unicode
    :param rp_addr_prefix_list: **rp_address** tuple argument:  Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type rp_addr_prefix_list: unicode
    :param rp_addr_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.rp_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, rp_addr_prefix_list'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rp_address=rp_address, rp_addr_prefix_list=rp_addr_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rp_address=rp_address, rp_addr_prefix_list=rp_addr_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_rp_address_prefix_list_update(self, rp_address=None, rp_addr_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type rp_address: rp_ip_addr
    :param rp_address: Keyword argument tuple.

    :type rp_ip_addr: unicode
    :param rp_ip_addr: **rp_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rp_addr_prefix_list: unicode
    :param rp_addr_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.rp_address', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rp_address=rp_address, rp_addr_prefix_list=rp_addr_prefix_list)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rp_address=rp_address, rp_addr_prefix_list=rp_addr_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_rpf_ecmp_rebalance_update(self, rebalance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rebalance: YANGBool
    :param rebalance: Multicast ECMP load sharing with dynamic rebalancing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rpf.ecmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.rpf.ecmp', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rebalance=rebalance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rebalance=rebalance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_spt_threshold_update(self, spt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type spt_threshold: long
    :param spt_threshold: Set threshold for switching to shortest-path-tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.routing_system.router.pim": {}, "pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim": {"spt_threshold": "spt_threshold"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spt_threshold=spt_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spt_threshold=spt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_ssm_enable_range_update(self, range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type range: unicode
    :param range: Set the multicast address range to use for SSM

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.routing_system.router.pim', u'pim')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.ssm_enable', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.routing_system.router.pim.ssm_enable', 'pybind.slxos.v17r_1_00a.brocade_common_def', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, range=range)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, range=range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rpf_config_update(self, urpf_exclude_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type urpf_exclude_default: YANGBool
    :param urpf_exclude_default: Discard packets with source IP matching default route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.rpf_config', 'pybind.slxos.v16r_1_00b.brocade_rpf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rpf_config', 'pybind.slxos.v17r_1_00a.brocade_rpf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, urpf_exclude_default=urpf_exclude_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, urpf_exclude_default=urpf_exclude_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_update(self, rule=None, action=None, operation=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rule', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'rule', 'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, action=action, operation=operation, role=role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, action=action, operation=operation, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_action_update(self, rule=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type rule: index
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rule', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'rule', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_update(self, rule=None, enumList=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type enumList: unicode
    :param enumList: Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['debug1',
            'system-monitor',
            'aaa',
            'qos',
            'ag',
            'ip',
            'mac-rebalance',
            'switch-attributes',
            'lacp',
            'unlock',
            'df',
            'port-profile',
            'dot1x',
            'mac-address-table',
            'prompt1',
            'management',
            'monitor',
            'service',
            'snmp-server',
            'diag',
            'support',
            'firmware',
            'ldap-server',
            'radius-server',
            'terminal',
            'nas',
            'prompt2',
            'role',
            'tacacs-server',
            'alias-config',
            'protocol',
            'fcsp',
            'fastboot',
            'password-attributes',
            'username',
            'vlan',
            'configure',
            'python',
            'ntp',
            'cee-map',
            'telnet',
            'sflow',
            'mac',
            'oscmd',
            'ssh',
            'nsx-controller-client',
            'vCenter',
            'banner',
            'fabric',
            'cidrecov',
            'vrf',
            'logging',
            'lccli',
            'license',
            'vcs',
            'ipv6',
            'bp-rate-limit',
            'clock',
            'secpolicy',
            'rule',
            'rmon',
            'reload',
            'rename',
            'filter-change-update-delay',
            'fcoe',
            'usb',
            'debug',
            'tnl',
            'delete',
            'vnetwork',
            'nsx-controller',
            'dir',
            'no-operation']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.rule.command': [u'clear_support', u'clear_logging', u'clear_cl', u'interface_ve_leaf', u'interface_ve', u'interface_fc_leaf', u'enumList', u'protocol_lldp', u'interface_int', u'interface_eth', u'protocol_spanning', u'interface_eth_leaf', u'copy_support', u'copy_cp', u'interface_pc', u'copy_running', u'interface_vlan', u'interface_pc_leaf', u'interface_management_leaf', u'interface_vlan_leaf', u'interface_loopback_leaf', u'interface_loopback', u'interface_mgmt', u'interface_fc', u'protocol_pr'], 'pybind.slxos.v16r_1_00b.rule.command': [u'clear_support', u'clear_logging', u'clear_cl', u'interface_ve_leaf', u'interface_ve', u'interface_fc_leaf', u'enumList', u'protocol_lldp', u'interface_int', u'interface_eth', u'protocol_spanning', u'interface_eth_leaf', u'copy_support', u'copy_cp', u'interface_pc', u'copy_running', u'interface_vlan', u'interface_pc_leaf', u'interface_management_leaf', u'interface_vlan_leaf', u'interface_loopback_leaf', u'interface_loopback', u'interface_mgmt', u'interface_fc', u'protocol_pr'], 'pybind.nos.v7_1_0.rule.command': [u'clear_support', u'clear_logging', u'clear_cl', u'show_running', u'show_startupcfg', u'copy_cp', u'show_rb_runcfg', u'show_startupdb', u'show_rb_local_runcfg', u'interface_fc', u'interface_ge_leaf', u'protocol_spanning', u'protocol_pr', u'interface_ve_leaf', u'interface_ve', u'interface_fc_leaf', u'enumList', u'interface_fe_leaf', u'interface_fe', u'interface_he_leaf', u'interface_he', u'interface_te', u'interface_int', u'copy_support', u'protocol_lldp', u'interface_fcoe', u'copy_running', u'interface_fcoe_leaf', u'interface_ge', u'interface_mgmt', u'interface_pc', u'interface_te_leaf', u'interface_vlan', u'interface_pc_leaf', u'interface_management_leaf', u'interface_vlan_leaf', u'interface_loopback_leaf', u'interface_loopback'], 'pybind.nos.v7_0_1b.rule.command': [u'clear_support', u'clear_logging', u'clear_cl', u'copy_cp', u'interface_fc', u'interface_ge_leaf', u'protocol_spanning', u'protocol_pr', u'interface_ve_leaf', u'interface_ve', u'interface_fc_leaf', u'enumList', u'interface_fe_leaf', u'interface_fe', u'interface_he_leaf', u'interface_he', u'interface_te', u'interface_int', u'copy_support', u'protocol_lldp', u'interface_fcoe', u'copy_running', u'interface_fcoe_leaf', u'interface_ge', u'interface_mgmt', u'interface_pc', u'interface_te_leaf', u'interface_vlan', u'interface_pc_leaf', u'interface_management_leaf', u'interface_vlan_leaf', u'interface_loopback_leaf', u'interface_loopback'], 'pybind.nos.v6_0_2c.rule.command': [u'clear_support', u'clear_logging', u'clear_cl', u'copy_cp', u'interface_fc', u'interface_ge_leaf', u'protocol_spanning', u'protocol_pr', u'interface_ve_leaf', u'interface_ve', u'interface_fc_leaf', u'enumList', u'interface_fe_leaf', u'interface_fe', u'interface_he_leaf', u'interface_he', u'interface_te', u'interface_int', u'copy_support', u'protocol_lldp', u'interface_fcoe', u'copy_running', u'interface_fcoe_leaf', u'interface_ge', u'interface_mgmt', u'interface_pc', u'interface_te_leaf', u'interface_vlan', u'interface_pc_leaf', u'interface_management_leaf', u'interface_vlan_leaf', u'interface_loopback_leaf', u'interface_loopback']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, enumList=enumList)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, enumList=enumList)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_enumlist_update(self, rule=None, enumList=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type enumList: unicode
    :param enumList: Keyword argument.

        * enumeration restriction: ::

            ['debug1',
            'system-monitor',
            'aaa',
            'qos',
            'ag',
            'ip',
            'mac-rebalance',
            'switch-attributes',
            'lacp',
            'unlock',
            'df',
            'port-profile',
            'dot1x',
            'mac-address-table',
            'prompt1',
            'management',
            'monitor',
            'service',
            'snmp-server',
            'diag',
            'support',
            'firmware',
            'ldap-server',
            'radius-server',
            'terminal',
            'nas',
            'prompt2',
            'role',
            'tacacs-server',
            'alias-config',
            'protocol',
            'fcsp',
            'fastboot',
            'password-attributes',
            'username',
            'vlan',
            'configure',
            'python',
            'ntp',
            'cee-map',
            'telnet',
            'sflow',
            'mac',
            'oscmd',
            'ssh',
            'nsx-controller-client',
            'vCenter',
            'banner',
            'fabric',
            'cidrecov',
            'vrf',
            'logging',
            'lccli',
            'license',
            'vcs',
            'ipv6',
            'bp-rate-limit',
            'clock',
            'secpolicy',
            'rule',
            'rmon',
            'reload',
            'rename',
            'filter-change-update-delay',
            'fcoe',
            'usb',
            'debug',
            'tnl',
            'delete',
            'vnetwork',
            'nsx-controller',
            'dir',
            'no-operation']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, enumList=enumList)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, enumList=enumList)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_ethernet_update(self, rule=None, ethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type ethernet_leaf: unicode
    :param ethernet_leaf: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule')]
    bindings_list = [('pybind.slxos.v16r_1_00b.rule.command.interface_eth_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_eth_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, ethernet_leaf=ethernet_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, ethernet_leaf=ethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_fcoe_update(self, rule=None, fcoe_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type fcoe_leaf: unicode
    :param fcoe_leaf: Keyword argument.

        * length restriction: ::

            ['3..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, fcoe_leaf=fcoe_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, fcoe_leaf=fcoe_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_fibrechannel_update(self, rule=None, fibrechannel_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type fibrechannel_leaf: unicode
    :param fibrechannel_leaf: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_fc_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_fc_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_fc_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_fc_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_fc_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, fibrechannel_leaf=fibrechannel_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, fibrechannel_leaf=fibrechannel_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_fortygigabitethernet_update(self, rule=None, fortygigabitethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type fortygigabitethernet_leaf: unicode
    :param fortygigabitethernet_leaf: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_fe_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_fe_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_fe_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, fortygigabitethernet_leaf=fortygigabitethernet_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, fortygigabitethernet_leaf=fortygigabitethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_gigabitethernet_update(self, rule=None, gigabitethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type gigabitethernet_leaf: unicode
    :param gigabitethernet_leaf: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_ge_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_ge_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_ge_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, gigabitethernet_leaf=gigabitethernet_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, gigabitethernet_leaf=gigabitethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_hundredgigabitethernet_update(self, rule=None, hundredgigabitethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type hundredgigabitethernet_leaf: unicode
    :param hundredgigabitethernet_leaf: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_he_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_he_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_he_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, hundredgigabitethernet_leaf=hundredgigabitethernet_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, hundredgigabitethernet_leaf=hundredgigabitethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_interface_eth_leaf_update(self, rule=None, ethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type ethernet_leaf: unicode
    :param ethernet_leaf: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule')]
    bindings_list = [('pybind.slxos.v16r_1_00b.rule.command.interface_eth_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_eth_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.rule.command.interface_eth_leaf.interface': [u'ethernet_leaf'], 'pybind.slxos.v17r_1_00a.rule.command.interface_eth_leaf.interface': [u'ethernet_leaf']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, ethernet_leaf=ethernet_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, ethernet_leaf=ethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_interface_fc_leaf_update(self, rule=None, fibrechannel_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type fibrechannel_leaf: unicode
    :param fibrechannel_leaf: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_fc_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_fc_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_fc_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_fc_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_fc_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rule.command.interface_fc_leaf.interface': [u'fibrechannel_leaf'], 'pybind.slxos.v17r_1_00a.rule.command.interface_fc_leaf.interface': [u'fibrechannel_leaf'], 'pybind.slxos.v16r_1_00b.rule.command.interface_fc_leaf.interface': [u'fibrechannel_leaf'], 'pybind.nos.v7_1_0.rule.command.interface_fc_leaf.interface': [u'fibrechannel_leaf'], 'pybind.nos.v7_0_1b.rule.command.interface_fc_leaf.interface': [u'fibrechannel_leaf']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, fibrechannel_leaf=fibrechannel_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, fibrechannel_leaf=fibrechannel_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_interface_fcoe_leaf_update(self, rule=None, fcoe_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type fcoe_leaf: unicode
    :param fcoe_leaf: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rule.command.interface_fcoe_leaf.interface': [u'fcoe_leaf'], 'pybind.nos.v6_0_2c.rule.command.interface_fcoe_leaf.interface': [u'fcoe_leaf'], 'pybind.nos.v7_0_1b.rule.command.interface_fcoe_leaf.interface': [u'fcoe_leaf']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, fcoe_leaf=fcoe_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, fcoe_leaf=fcoe_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_interface_fe_leaf_update(self, rule=None, fortygigabitethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type fortygigabitethernet_leaf: unicode
    :param fortygigabitethernet_leaf: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_fe_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_fe_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_fe_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rule.command.interface_fe_leaf.interface': [u'fortygigabitethernet_leaf'], 'pybind.nos.v6_0_2c.rule.command.interface_fe_leaf.interface': [u'fortygigabitethernet_leaf'], 'pybind.nos.v7_0_1b.rule.command.interface_fe_leaf.interface': [u'fortygigabitethernet_leaf']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, fortygigabitethernet_leaf=fortygigabitethernet_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, fortygigabitethernet_leaf=fortygigabitethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_interface_ge_leaf_update(self, rule=None, gigabitethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type gigabitethernet_leaf: unicode
    :param gigabitethernet_leaf: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_ge_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_ge_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_ge_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rule.command.interface_ge_leaf.interface': [u'gigabitethernet_leaf'], 'pybind.nos.v7_0_1b.rule.command.interface_ge_leaf.interface': [u'gigabitethernet_leaf'], 'pybind.nos.v6_0_2c.rule.command.interface_ge_leaf.interface': [u'gigabitethernet_leaf']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, gigabitethernet_leaf=gigabitethernet_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, gigabitethernet_leaf=gigabitethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_interface_he_leaf_update(self, rule=None, hundredgigabitethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type hundredgigabitethernet_leaf: unicode
    :param hundredgigabitethernet_leaf: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_he_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_he_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_he_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rule.command.interface_he_leaf.interface': [u'hundredgigabitethernet_leaf'], 'pybind.nos.v7_0_1b.rule.command.interface_he_leaf.interface': [u'hundredgigabitethernet_leaf'], 'pybind.nos.v7_1_0.rule.command.interface_he_leaf.interface': [u'hundredgigabitethernet_leaf']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, hundredgigabitethernet_leaf=hundredgigabitethernet_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, hundredgigabitethernet_leaf=hundredgigabitethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_interface_loopback_leaf_update(self, rule=None, loopback_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type loopback_leaf: long
    :param loopback_leaf: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_loopback_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_loopback_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rule.command.interface_loopback_leaf.interface': [u'loopback_leaf'], 'pybind.nos.v7_0_1b.rule.command.interface_loopback_leaf.interface': [u'loopback_leaf'], 'pybind.nos.v7_1_0.rule.command.interface_loopback_leaf.interface': [u'loopback_leaf'], 'pybind.slxos.v17r_1_00a.rule.command.interface_loopback_leaf.interface': [u'loopback_leaf'], 'pybind.slxos.v16r_1_00b.rule.command.interface_loopback_leaf.interface': [u'loopback_leaf']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, loopback_leaf=loopback_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, loopback_leaf=loopback_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_interface_management_leaf_update(self, rule=None, management_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type management_leaf: unicode
    :param management_leaf: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_management_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_management_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_management_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_management_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_management_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rule.command.interface_management_leaf.interface': [u'management_leaf'], 'pybind.slxos.v16r_1_00b.rule.command.interface_management_leaf.interface': [u'management_leaf'], 'pybind.nos.v7_1_0.rule.command.interface_management_leaf.interface': [u'management_leaf'], 'pybind.nos.v7_0_1b.rule.command.interface_management_leaf.interface': [u'management_leaf'], 'pybind.slxos.v17r_1_00a.rule.command.interface_management_leaf.interface': [u'management_leaf']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, management_leaf=management_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, management_leaf=management_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_interface_pc_leaf_update(self, rule=None, port_channel_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type port_channel_leaf: long
    :param port_channel_leaf: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_pc_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_pc_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_pc_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_pc_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_pc_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rule.command.interface_pc_leaf.interface': [u'port_channel_leaf'], 'pybind.slxos.v16r_1_00b.rule.command.interface_pc_leaf.interface': [u'port_channel_leaf'], 'pybind.nos.v7_0_1b.rule.command.interface_pc_leaf.interface': [u'port_channel_leaf'], 'pybind.nos.v6_0_2c.rule.command.interface_pc_leaf.interface': [u'port_channel_leaf'], 'pybind.slxos.v17r_1_00a.rule.command.interface_pc_leaf.interface': [u'port_channel_leaf']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, port_channel_leaf=port_channel_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, port_channel_leaf=port_channel_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_interface_te_leaf_update(self, rule=None, tengigabitethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type tengigabitethernet_leaf: unicode
    :param tengigabitethernet_leaf: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_te_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_te_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_te_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.rule.command.interface_te_leaf.interface': [u'tengigabitethernet_leaf'], 'pybind.nos.v7_0_1b.rule.command.interface_te_leaf.interface': [u'tengigabitethernet_leaf'], 'pybind.nos.v7_1_0.rule.command.interface_te_leaf.interface': [u'tengigabitethernet_leaf']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, tengigabitethernet_leaf=tengigabitethernet_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, tengigabitethernet_leaf=tengigabitethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_interface_ve_leaf_update(self, rule=None, ve_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type ve_leaf: long
    :param ve_leaf: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_ve_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_ve_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_ve_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_ve_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_ve_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.rule.command.interface_ve_leaf.interface': [u've_leaf'], 'pybind.slxos.v17r_1_00a.rule.command.interface_ve_leaf.interface': [u've_leaf'], 'pybind.nos.v6_0_2c.rule.command.interface_ve_leaf.interface': [u've_leaf'], 'pybind.nos.v7_0_1b.rule.command.interface_ve_leaf.interface': [u've_leaf'], 'pybind.slxos.v16r_1_00b.rule.command.interface_ve_leaf.interface': [u've_leaf']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, ve_leaf=ve_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, ve_leaf=ve_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_interface_vlan_leaf_update(self, rule=None, vlan_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type vlan_leaf: long
    :param vlan_leaf: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_vlan_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_vlan_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v16r_1_00b.rule.command.interface_vlan_leaf.interface': [u'vlan_leaf'], 'pybind.nos.v7_1_0.rule.command.interface_vlan_leaf.interface': [u'vlan_leaf'], 'pybind.nos.v6_0_2c.rule.command.interface_vlan_leaf.interface': [u'vlan_leaf'], 'pybind.nos.v7_0_1b.rule.command.interface_vlan_leaf.interface': [u'vlan_leaf'], 'pybind.slxos.v17r_1_00a.rule.command.interface_vlan_leaf.interface': [u'vlan_leaf']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, vlan_leaf=vlan_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, vlan_leaf=vlan_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_loopback_update(self, rule=None, loopback_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type loopback_leaf: long
    :param loopback_leaf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_loopback_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_loopback_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, loopback_leaf=loopback_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, loopback_leaf=loopback_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_management_update(self, rule=None, management_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type management_leaf: unicode
    :param management_leaf: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_management_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_management_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_management_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_management_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_management_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, management_leaf=management_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, management_leaf=management_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_port_channel_update(self, rule=None, port_channel_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type port_channel_leaf: long
    :param port_channel_leaf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_pc_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_pc_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_pc_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_pc_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_pc_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, port_channel_leaf=port_channel_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, port_channel_leaf=port_channel_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_tengigabitethernet_update(self, rule=None, tengigabitethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type tengigabitethernet_leaf: unicode
    :param tengigabitethernet_leaf: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_te_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_te_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_te_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, tengigabitethernet_leaf=tengigabitethernet_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, tengigabitethernet_leaf=tengigabitethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_ve_update(self, rule=None, ve_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type ve_leaf: long
    :param ve_leaf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_ve_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_ve_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_ve_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_ve_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_ve_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, ve_leaf=ve_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, ve_leaf=ve_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_command_interface_vlan_update(self, rule=None, vlan_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type vlan_leaf: long
    :param vlan_leaf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v17r_1_00a.rule', 'rule'), ('pybind.nos.v6_0_2c.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_vlan_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule.command.interface_vlan_leaf.interface', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, vlan_leaf=vlan_leaf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, vlan_leaf=vlan_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_operation_update(self, rule=None, operation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type rule: index
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type operation: unicode
    :param operation: Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rule', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'rule', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, operation=operation)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, operation=operation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_role_update(self, rule=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type rule: index
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type role: unicode
    :param role: One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rule', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rule', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'rule', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, role=role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def service_update(self, password_encryption=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type password_encryption: YANGBool
    :param password_encryption: Encrypt all clear-text passwords

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.service', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.service', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.service', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.service', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.service', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, password_encryption=password_encryption)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, password_encryption=password_encryption)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def service_password_encryption_update(self, password_encryption=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type password_encryption: YANGBool
    :param password_encryption: Encrypt all clear-text passwords

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.service', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.service', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.service', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.service', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.service', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, password_encryption=password_encryption)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, password_encryption=password_encryption)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_update(self, enable=None, source_ip=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable global sflow

    :type source_ip: unicode
    :param source_ip: Source ip address to use

        * enumeration restriction: ::

            ['chassis-ip', 'mm-ip']

    :type polling_interval: long
    :param polling_interval: Interface counter polling interval

        * range restriction: ::

            ['0..4294967295']

    :type sample_rate: long
    :param sample_rate: Interface sampling rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.sflow', 'pybind.nos.v6_0_2c.brocade_sflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.sflow', 'pybind.nos.v7_0_1b.brocade_sflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.sflow', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sflow', 'pybind.slxos.v17r_1_00a.brocade_sflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.sflow": {"sample_rate": "sample_rate", "enable": "enable", "source_ip": "source_ip", "polling_interval": "polling_interval"}, "pybind.slxos.v16r_1_00b.sflow": {}, "pybind.nos.v7_1_0.sflow": {"sample_rate": "sample_rate", "enable": "enable", "source_ip": "source_ip", "polling_interval": "polling_interval"}, "pybind.nos.v7_0_1b.sflow": {"sample_rate": "sample_rate", "enable": "enable", "source_ip": "source_ip", "polling_interval": "polling_interval"}, "pybind.slxos.v17r_1_00a.sflow": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable, source_ip=source_ip, polling_interval=polling_interval, sample_rate=sample_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable, source_ip=source_ip, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_collector_vrf_update(self, collector_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type collector_vrf: unicode
    :param collector_vrf: Sflow Collector VRF Configuration

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sflow', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sflow', 'pybind.slxos.v17r_1_00a.brocade_sflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, collector_vrf=collector_vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, collector_vrf=collector_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable global sflow

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.sflow', 'pybind.nos.v6_0_2c.brocade_sflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.sflow', 'pybind.nos.v7_0_1b.brocade_sflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.sflow', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sflow', 'pybind.slxos.v17r_1_00a.brocade_sflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_null0_sampling_update(self, null0_sampling=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type null0_sampling: YANGBool
    :param null0_sampling: Enable Null0 Sampling On All Slots

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sflow', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sflow', 'pybind.slxos.v17r_1_00a.brocade_sflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, null0_sampling=null0_sampling)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, null0_sampling=null0_sampling)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_polling_interval_update(self, polling_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type polling_interval: long
    :param polling_interval: Interface counter polling interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.sflow', 'pybind.nos.v6_0_2c.brocade_sflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.sflow', 'pybind.nos.v7_0_1b.brocade_sflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.sflow', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sflow', 'pybind.slxos.v17r_1_00a.brocade_sflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, polling_interval=polling_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, polling_interval=polling_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_profile_update(self, sflow_profile=None, profile_sampling_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type sflow_profile: profile_name, profile_sampling_rate
    :param sflow_profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **sflow_profile** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type profile_sampling_rate: long
    :param profile_sampling_rate: **sflow_profile** tuple argument:  Sflow profile sampling-rate

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type profile_sampling_rate: long
    :param profile_sampling_rate: Sflow profile sampling-rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.sflow_profile', 'pybind.nos.v6_0_2c.brocade_sflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.sflow_profile', 'pybind.nos.v7_0_1b.brocade_sflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.sflow_profile', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow_profile', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sflow_profile', 'pybind.slxos.v17r_1_00a.brocade_sflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'sflow_profile', 'keyval': 'profile_name', 'extra_keyval': 'profile_name, profile_sampling_rate'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sflow_profile=sflow_profile, profile_sampling_rate=profile_sampling_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sflow_profile=sflow_profile, profile_sampling_rate=profile_sampling_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_profile_sampling_rate_update(self, sflow_profile=None, profile_sampling_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type sflow_profile: profile_name
    :param sflow_profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **sflow_profile** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type profile_sampling_rate: long
    :param profile_sampling_rate: Sflow profile sampling-rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.sflow_profile', 'pybind.nos.v6_0_2c.brocade_sflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.sflow_profile', 'pybind.nos.v7_0_1b.brocade_sflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.sflow_profile', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow_profile', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sflow_profile', 'pybind.slxos.v17r_1_00a.brocade_sflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'sflow_profile', 'keyval': 'profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sflow_profile=sflow_profile, profile_sampling_rate=profile_sampling_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sflow_profile=sflow_profile, profile_sampling_rate=profile_sampling_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_sample_rate_update(self, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sample_rate: long
    :param sample_rate: Interface sampling rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.sflow', 'pybind.nos.v6_0_2c.brocade_sflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.sflow', 'pybind.nos.v7_0_1b.brocade_sflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.sflow', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sflow', 'pybind.slxos.v17r_1_00a.brocade_sflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sample_rate=sample_rate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_source_interface_update(self, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: The type of the interface.

        * enumeration restriction: ::

            ['ethernet', 've', 'loopback']

    :type interface_name: unicode
    :param interface_name: The Interface value.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sflow.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sflow.source_interface', 'pybind.slxos.v17r_1_00a.brocade_sflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_type, interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_source_interface_interface_name_update(self, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: The Interface value.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sflow.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sflow.source_interface', 'pybind.slxos.v17r_1_00a.brocade_sflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_source_interface_interface_type_update(self, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: The type of the interface.

        * enumeration restriction: ::

            ['ethernet', 've', 'loopback']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sflow.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sflow.source_interface', 'pybind.slxos.v17r_1_00a.brocade_sflow', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_source_ip_update(self, source_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type source_ip: unicode
    :param source_ip: Source ip address to use

        * enumeration restriction: ::

            ['chassis-ip', 'mm-ip']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.sflow', 'pybind.nos.v6_0_2c.brocade_sflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.sflow', 'pybind.nos.v7_0_1b.brocade_sflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.sflow', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, source_ip=source_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, source_ip=source_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_connectivity_update(self, connectivity=None, connectivity_count=None, connectivity_feid=None, connectivity_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type connectivity: connectivity_sfmid
    :param connectivity: Keyword argument tuple.

    :type connectivity_sfmid: long
    :param connectivity_sfmid: **connectivity** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type connectivity_count: long
    :param connectivity_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type connectivity_feid: long
    :param connectivity_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type connectivity_type: unicode
    :param connectivity_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.connectivity', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.connectivity', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'connectivity', 'keyval': 'connectivity_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connectivity=connectivity, connectivity_count=connectivity_count, connectivity_feid=connectivity_feid, connectivity_type=connectivity_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connectivity=connectivity, connectivity_count=connectivity_count, connectivity_feid=connectivity_feid, connectivity_type=connectivity_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_connectivity_connectivity_count_update(self, connectivity=None, connectivity_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type connectivity: connectivity_sfmid
    :param connectivity: Keyword argument tuple.

    :type connectivity_sfmid: long
    :param connectivity_sfmid: **connectivity** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type connectivity_count: long
    :param connectivity_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.connectivity', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.connectivity', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'connectivity', 'keyval': 'connectivity_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connectivity=connectivity, connectivity_count=connectivity_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connectivity=connectivity, connectivity_count=connectivity_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_connectivity_connectivity_feid_update(self, connectivity=None, connectivity_feid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type connectivity: connectivity_sfmid
    :param connectivity: Keyword argument tuple.

    :type connectivity_sfmid: long
    :param connectivity_sfmid: **connectivity** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type connectivity_feid: long
    :param connectivity_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.connectivity', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.connectivity', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'connectivity', 'keyval': 'connectivity_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connectivity=connectivity, connectivity_feid=connectivity_feid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connectivity=connectivity, connectivity_feid=connectivity_feid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_connectivity_connectivity_type_update(self, connectivity=None, connectivity_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type connectivity: connectivity_sfmid
    :param connectivity: Keyword argument tuple.

    :type connectivity_sfmid: long
    :param connectivity_sfmid: **connectivity** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type connectivity_type: unicode
    :param connectivity_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.connectivity', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.connectivity', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'connectivity', 'keyval': 'connectivity_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, connectivity=connectivity, connectivity_type=connectivity_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connectivity=connectivity, connectivity_type=connectivity_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_links_update(self, links=None, links_count=None, links_feid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type links: links_sfmid
    :param links: Keyword argument tuple.

    :type links_sfmid: long
    :param links_sfmid: **links** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type links_count: long
    :param links_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type links_feid: long
    :param links_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.links', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.links', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'links', 'keyval': 'links_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, links=links, links_count=links_count, links_feid=links_feid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, links=links, links_count=links_count, links_feid=links_feid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_links_links_count_update(self, links=None, links_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type links: links_sfmid
    :param links: Keyword argument tuple.

    :type links_sfmid: long
    :param links_sfmid: **links** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type links_count: long
    :param links_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.links', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.links', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'links', 'keyval': 'links_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, links=links, links_count=links_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, links=links, links_count=links_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_links_links_feid_update(self, links=None, links_feid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type links: links_sfmid
    :param links: Keyword argument tuple.

    :type links_sfmid: long
    :param links_sfmid: **links** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type links_feid: long
    :param links_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.links', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.links', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'links', 'keyval': 'links_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, links=links, links_feid=links_feid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, links=links, links_feid=links_feid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_mcast_update(self, mcast=None, mcast_count=None, mcast_sfmid=None, mcast_feid=None, mcast_sfmcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type mcast: mcastid
    :param mcast: Keyword argument tuple.

    :type mcastid: long
    :param mcastid: **mcast** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_count: long
    :param mcast_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mcast_sfmid: long
    :param mcast_sfmid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mcast_feid: long
    :param mcast_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mcast_sfmcount: long
    :param mcast_sfmcount: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.mcast', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.mcast', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'mcast', 'keyval': 'mcastid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mcast=mcast, mcast_count=mcast_count, mcast_sfmid=mcast_sfmid, mcast_feid=mcast_feid, mcast_sfmcount=mcast_sfmcount)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mcast=mcast, mcast_count=mcast_count, mcast_sfmid=mcast_sfmid, mcast_feid=mcast_feid, mcast_sfmcount=mcast_sfmcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_mcast_mcast_count_update(self, mcast=None, mcast_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type mcast: mcastid
    :param mcast: Keyword argument tuple.

    :type mcastid: long
    :param mcastid: **mcast** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_count: long
    :param mcast_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.mcast', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.mcast', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'mcast', 'keyval': 'mcastid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mcast=mcast, mcast_count=mcast_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mcast=mcast, mcast_count=mcast_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_mcast_mcast_feid_update(self, mcast=None, mcast_feid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type mcast: mcastid
    :param mcast: Keyword argument tuple.

    :type mcastid: long
    :param mcastid: **mcast** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_feid: long
    :param mcast_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.mcast', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.mcast', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'mcast', 'keyval': 'mcastid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mcast=mcast, mcast_feid=mcast_feid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mcast=mcast, mcast_feid=mcast_feid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_mcast_mcast_sfmcount_update(self, mcast=None, mcast_sfmcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type mcast: mcastid
    :param mcast: Keyword argument tuple.

    :type mcastid: long
    :param mcastid: **mcast** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_sfmcount: long
    :param mcast_sfmcount: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.mcast', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.mcast', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'mcast', 'keyval': 'mcastid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mcast=mcast, mcast_sfmcount=mcast_sfmcount)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mcast=mcast, mcast_sfmcount=mcast_sfmcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_mcast_mcast_sfmid_update(self, mcast=None, mcast_sfmid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type mcast: mcastid
    :param mcast: Keyword argument tuple.

    :type mcastid: long
    :param mcastid: **mcast** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_sfmid: long
    :param mcast_sfmid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.mcast', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.mcast', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'mcast', 'keyval': 'mcastid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mcast=mcast, mcast_sfmid=mcast_sfmid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mcast=mcast, mcast_sfmid=mcast_sfmid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_queue_update(self, queue=None, queue_feid=None, queue_pipe=None, queue_dch_count=None, queue_dcm_count=None, queue_dcl_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type queue: queue_sfmid
    :param queue: Keyword argument tuple.

    :type queue_sfmid: long
    :param queue_sfmid: **queue** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type queue_feid: long
    :param queue_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_pipe: long
    :param queue_pipe: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_dch_count: long
    :param queue_dch_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_dcm_count: long
    :param queue_dcm_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_dcl_count: long
    :param queue_dcl_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.queue', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.queue', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, queue=queue, queue_feid=queue_feid, queue_pipe=queue_pipe, queue_dch_count=queue_dch_count, queue_dcm_count=queue_dcm_count, queue_dcl_count=queue_dcl_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue=queue, queue_feid=queue_feid, queue_pipe=queue_pipe, queue_dch_count=queue_dch_count, queue_dcm_count=queue_dcm_count, queue_dcl_count=queue_dcl_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_queue_queue_dch_count_update(self, queue=None, queue_dch_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type queue: queue_sfmid
    :param queue: Keyword argument tuple.

    :type queue_sfmid: long
    :param queue_sfmid: **queue** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type queue_dch_count: long
    :param queue_dch_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.queue', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.queue', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, queue=queue, queue_dch_count=queue_dch_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue=queue, queue_dch_count=queue_dch_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_queue_queue_dcl_count_update(self, queue=None, queue_dcl_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type queue: queue_sfmid
    :param queue: Keyword argument tuple.

    :type queue_sfmid: long
    :param queue_sfmid: **queue** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type queue_dcl_count: long
    :param queue_dcl_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.queue', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.queue', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, queue=queue, queue_dcl_count=queue_dcl_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue=queue, queue_dcl_count=queue_dcl_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_queue_queue_dcm_count_update(self, queue=None, queue_dcm_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type queue: queue_sfmid
    :param queue: Keyword argument tuple.

    :type queue_sfmid: long
    :param queue_sfmid: **queue** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type queue_dcm_count: long
    :param queue_dcm_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.queue', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.queue', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, queue=queue, queue_dcm_count=queue_dcm_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue=queue, queue_dcm_count=queue_dcm_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_queue_queue_feid_update(self, queue=None, queue_feid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type queue: queue_sfmid
    :param queue: Keyword argument tuple.

    :type queue_sfmid: long
    :param queue_sfmid: **queue** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type queue_feid: long
    :param queue_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.queue', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.queue', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, queue=queue, queue_feid=queue_feid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue=queue, queue_feid=queue_feid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_queue_queue_pipe_update(self, queue=None, queue_pipe=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type queue: queue_sfmid
    :param queue: Keyword argument tuple.

    :type queue_sfmid: long
    :param queue_sfmid: **queue** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type queue_pipe: long
    :param queue_pipe: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.queue', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.queue', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, queue=queue, queue_pipe=queue_pipe)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue=queue, queue_pipe=queue_pipe)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_serdesmode_update(self, serdesmode=None, serdesmode_=None, serdesmode_feid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type serdesmode: serdesmode_sfmid
    :param serdesmode: Keyword argument tuple.

    :type serdesmode_sfmid: long
    :param serdesmode_sfmid: **serdesmode** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type serdesmode_: long
    :param serdesmode_: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type serdesmode_feid: long
    :param serdesmode_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.serdesmode', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.serdesmode', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'serdesmode', 'keyval': 'serdesmode_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, serdesmode=serdesmode, serdesmode_=serdesmode_, serdesmode_feid=serdesmode_feid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, serdesmode=serdesmode, serdesmode_=serdesmode_, serdesmode_feid=serdesmode_feid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_serdesmode_serdesmode_update(self, serdesmode=None, serdesmode_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type serdesmode: serdesmode_sfmid
    :param serdesmode: Keyword argument tuple.

    :type serdesmode_sfmid: long
    :param serdesmode_sfmid: **serdesmode** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type serdesmode_: long
    :param serdesmode_: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.serdesmode', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.serdesmode', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'serdesmode', 'keyval': 'serdesmode_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, serdesmode=serdesmode, serdesmode_=serdesmode_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, serdesmode=serdesmode, serdesmode_=serdesmode_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_serdesmode_serdesmode_feid_update(self, serdesmode=None, serdesmode_feid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type serdesmode: serdesmode_sfmid
    :param serdesmode: Keyword argument tuple.

    :type serdesmode_sfmid: long
    :param serdesmode_sfmid: **serdesmode** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type serdesmode_feid: long
    :param serdesmode_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.serdesmode', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.serdesmode', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'serdesmode', 'keyval': 'serdesmode_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, serdesmode=serdesmode, serdesmode_feid=serdesmode_feid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, serdesmode=serdesmode, serdesmode_feid=serdesmode_feid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_update(self, statistics=None, statistics_feid=None, statistics_pipe=None, statistics_dch_total_in=None, statistics_dch_total_out=None, statistics_dch_fifo_discard=None, statistics_dch_reorder_discard=None, statistics_dch_unreach_discard=None, statistics_dch_max_q_size=None, statistics_dcm_tot=None, statistics_dcm_drop=None, statistics_dcm_max=None, statistics_dcl_tot_in=None, statistics_dcl_tot_out=None, statistics_dcl_dropped=None, statistics_dcl_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_feid: long
    :param statistics_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_pipe: long
    :param statistics_pipe: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dch_total_in: long
    :param statistics_dch_total_in: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dch_total_out: long
    :param statistics_dch_total_out: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dch_fifo_discard: long
    :param statistics_dch_fifo_discard: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dch_reorder_discard: long
    :param statistics_dch_reorder_discard: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dch_unreach_discard: long
    :param statistics_dch_unreach_discard: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dch_max_q_size: long
    :param statistics_dch_max_q_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcm_tot: long
    :param statistics_dcm_tot: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcm_drop: long
    :param statistics_dcm_drop: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcm_max: long
    :param statistics_dcm_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcl_tot_in: long
    :param statistics_dcl_tot_in: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcl_tot_out: long
    :param statistics_dcl_tot_out: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcl_dropped: long
    :param statistics_dcl_dropped: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcl_max: long
    :param statistics_dcl_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_feid=statistics_feid, statistics_pipe=statistics_pipe, statistics_dch_total_in=statistics_dch_total_in, statistics_dch_total_out=statistics_dch_total_out, statistics_dch_fifo_discard=statistics_dch_fifo_discard, statistics_dch_reorder_discard=statistics_dch_reorder_discard, statistics_dch_unreach_discard=statistics_dch_unreach_discard, statistics_dch_max_q_size=statistics_dch_max_q_size, statistics_dcm_tot=statistics_dcm_tot, statistics_dcm_drop=statistics_dcm_drop, statistics_dcm_max=statistics_dcm_max, statistics_dcl_tot_in=statistics_dcl_tot_in, statistics_dcl_tot_out=statistics_dcl_tot_out, statistics_dcl_dropped=statistics_dcl_dropped, statistics_dcl_max=statistics_dcl_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_feid=statistics_feid, statistics_pipe=statistics_pipe, statistics_dch_total_in=statistics_dch_total_in, statistics_dch_total_out=statistics_dch_total_out, statistics_dch_fifo_discard=statistics_dch_fifo_discard, statistics_dch_reorder_discard=statistics_dch_reorder_discard, statistics_dch_unreach_discard=statistics_dch_unreach_discard, statistics_dch_max_q_size=statistics_dch_max_q_size, statistics_dcm_tot=statistics_dcm_tot, statistics_dcm_drop=statistics_dcm_drop, statistics_dcm_max=statistics_dcm_max, statistics_dcl_tot_in=statistics_dcl_tot_in, statistics_dcl_tot_out=statistics_dcl_tot_out, statistics_dcl_dropped=statistics_dcl_dropped, statistics_dcl_max=statistics_dcl_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_dch_fifo_discard_update(self, statistics=None, statistics_dch_fifo_discard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_dch_fifo_discard: long
    :param statistics_dch_fifo_discard: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_dch_fifo_discard=statistics_dch_fifo_discard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_dch_fifo_discard=statistics_dch_fifo_discard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_dch_max_q_size_update(self, statistics=None, statistics_dch_max_q_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_dch_max_q_size: long
    :param statistics_dch_max_q_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_dch_max_q_size=statistics_dch_max_q_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_dch_max_q_size=statistics_dch_max_q_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_dch_reorder_discard_update(self, statistics=None, statistics_dch_reorder_discard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_dch_reorder_discard: long
    :param statistics_dch_reorder_discard: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_dch_reorder_discard=statistics_dch_reorder_discard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_dch_reorder_discard=statistics_dch_reorder_discard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_dch_total_in_update(self, statistics=None, statistics_dch_total_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_dch_total_in: long
    :param statistics_dch_total_in: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_dch_total_in=statistics_dch_total_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_dch_total_in=statistics_dch_total_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_dch_total_out_update(self, statistics=None, statistics_dch_total_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_dch_total_out: long
    :param statistics_dch_total_out: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_dch_total_out=statistics_dch_total_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_dch_total_out=statistics_dch_total_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_dch_unreach_discard_update(self, statistics=None, statistics_dch_unreach_discard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_dch_unreach_discard: long
    :param statistics_dch_unreach_discard: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_dch_unreach_discard=statistics_dch_unreach_discard)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_dch_unreach_discard=statistics_dch_unreach_discard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_dcl_dropped_update(self, statistics=None, statistics_dcl_dropped=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_dcl_dropped: long
    :param statistics_dcl_dropped: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_dcl_dropped=statistics_dcl_dropped)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_dcl_dropped=statistics_dcl_dropped)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_dcl_max_update(self, statistics=None, statistics_dcl_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_dcl_max: long
    :param statistics_dcl_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_dcl_max=statistics_dcl_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_dcl_max=statistics_dcl_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_dcl_tot_in_update(self, statistics=None, statistics_dcl_tot_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_dcl_tot_in: long
    :param statistics_dcl_tot_in: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_dcl_tot_in=statistics_dcl_tot_in)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_dcl_tot_in=statistics_dcl_tot_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_dcl_tot_out_update(self, statistics=None, statistics_dcl_tot_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_dcl_tot_out: long
    :param statistics_dcl_tot_out: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_dcl_tot_out=statistics_dcl_tot_out)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_dcl_tot_out=statistics_dcl_tot_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_dcm_drop_update(self, statistics=None, statistics_dcm_drop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_dcm_drop: long
    :param statistics_dcm_drop: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_dcm_drop=statistics_dcm_drop)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_dcm_drop=statistics_dcm_drop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_dcm_max_update(self, statistics=None, statistics_dcm_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_dcm_max: long
    :param statistics_dcm_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_dcm_max=statistics_dcm_max)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_dcm_max=statistics_dcm_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_dcm_tot_update(self, statistics=None, statistics_dcm_tot=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_dcm_tot: long
    :param statistics_dcm_tot: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_dcm_tot=statistics_dcm_tot)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_dcm_tot=statistics_dcm_tot)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_feid_update(self, statistics=None, statistics_feid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_feid: long
    :param statistics_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_feid=statistics_feid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_feid=statistics_feid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_statistics_pipe_update(self, statistics=None, statistics_pipe=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_pipe: long
    :param statistics_pipe: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.statistics', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, statistics=statistics, statistics_pipe=statistics_pipe)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_pipe=statistics_pipe)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_thresholds_update(self, thresholds=None, thresholds_feid=None, thresholds_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type thresholds: thresholds_sfmid
    :param thresholds: Keyword argument tuple.

    :type thresholds_sfmid: long
    :param thresholds_sfmid: **thresholds** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type thresholds_feid: long
    :param thresholds_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type thresholds_port: long
    :param thresholds_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.thresholds', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.thresholds', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'thresholds', 'keyval': 'thresholds_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, thresholds=thresholds, thresholds_feid=thresholds_feid, thresholds_port=thresholds_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, thresholds=thresholds, thresholds_feid=thresholds_feid, thresholds_port=thresholds_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_thresholds_thresholds_feid_update(self, thresholds=None, thresholds_feid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type thresholds: thresholds_sfmid
    :param thresholds: Keyword argument tuple.

    :type thresholds_sfmid: long
    :param thresholds_sfmid: **thresholds** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type thresholds_feid: long
    :param thresholds_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.thresholds', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.thresholds', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'thresholds', 'keyval': 'thresholds_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, thresholds=thresholds, thresholds_feid=thresholds_feid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, thresholds=thresholds, thresholds_feid=thresholds_feid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_thresholds_thresholds_port_update(self, thresholds=None, thresholds_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type thresholds: thresholds_sfmid
    :param thresholds: Keyword argument tuple.

    :type thresholds_sfmid: long
    :param thresholds_sfmid: **thresholds** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type thresholds_port: long
    :param thresholds_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.thresholds', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sfm_state.thresholds', 'pybind.slxos.v17r_1_00a.brocade_sysmgr_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'thresholds', 'keyval': 'thresholds_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, thresholds=thresholds, thresholds_port=thresholds_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, thresholds=thresholds, thresholds_port=thresholds_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_client_id_df_info_state_update(self, show_client_id_df_info_state=None, client_state=None, is_all_vlan_elected=None, is_df_election_pending=None, num_df_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_client_id_df_info_state: cluster_id, client_id
    :param show_client_id_df_info_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_state: YANGBool
    :param client_state: Keyword argument.

    :type is_all_vlan_elected: long
    :param is_all_vlan_elected: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_df_election_pending: long
    :param is_df_election_pending: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_df_vlans: long
    :param num_df_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.show_client_id_df_info_state', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'show_client_id_df_info_state', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.show_client_id_df_info_state": {}, "pybind.slxos.v16r_1_00b.show_client_id_df_info_state": {"is_all_vlan_elected": "is_all_vlan_elected", "cluster_id": "cluster_id", "client_id": "client_id", "is_df_election_pending": "is_df_election_pending", "num_df_vlans": "num_df_vlans", "client_state": "client_state"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_client_id_df_info_state=show_client_id_df_info_state, client_state=client_state, is_all_vlan_elected=is_all_vlan_elected, is_df_election_pending=is_df_election_pending, num_df_vlans=num_df_vlans)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_client_id_df_info_state=show_client_id_df_info_state, client_state=client_state, is_all_vlan_elected=is_all_vlan_elected, is_df_election_pending=is_df_election_pending, num_df_vlans=num_df_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_client_id_df_info_state_client_state_update(self, show_client_id_df_info_state=None, client_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_client_id_df_info_state: cluster_id, client_id
    :param show_client_id_df_info_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_state: YANGBool
    :param client_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.show_client_id_df_info_state', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'show_client_id_df_info_state', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_client_id_df_info_state=show_client_id_df_info_state, client_state=client_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_client_id_df_info_state=show_client_id_df_info_state, client_state=client_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_client_id_df_info_state_df_bds_update(self, show_client_id_df_info_state=None, df_bds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_client_id_df_info_state: cluster_id, client_id
    :param show_client_id_df_info_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type df_bds: unicode
    :param df_bds: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.show_client_id_df_info_state', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'show_client_id_df_info_state', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_client_id_df_info_state=show_client_id_df_info_state, df_bds=df_bds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_client_id_df_info_state=show_client_id_df_info_state, df_bds=df_bds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_client_id_df_info_state_df_vlans_vlan_id_update(self, show_client_id_df_info_state=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_client_id_df_info_state: cluster_id, client_id
    :param show_client_id_df_info_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'show_client_id_df_info_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state.df_vlans', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id, client_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_client_id_df_info_state=show_client_id_df_info_state, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_client_id_df_info_state=show_client_id_df_info_state, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_client_id_df_info_state_is_all_vlan_elected_update(self, show_client_id_df_info_state=None, is_all_vlan_elected=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_client_id_df_info_state: cluster_id, client_id
    :param show_client_id_df_info_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_all_vlan_elected: long
    :param is_all_vlan_elected: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.show_client_id_df_info_state', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'show_client_id_df_info_state', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_client_id_df_info_state=show_client_id_df_info_state, is_all_vlan_elected=is_all_vlan_elected)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_client_id_df_info_state=show_client_id_df_info_state, is_all_vlan_elected=is_all_vlan_elected)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_client_id_df_info_state_is_df_election_pending_update(self, show_client_id_df_info_state=None, is_df_election_pending=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_client_id_df_info_state: cluster_id, client_id
    :param show_client_id_df_info_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_df_election_pending: long
    :param is_df_election_pending: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.show_client_id_df_info_state', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'show_client_id_df_info_state', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_client_id_df_info_state=show_client_id_df_info_state, is_df_election_pending=is_df_election_pending)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_client_id_df_info_state=show_client_id_df_info_state, is_df_election_pending=is_df_election_pending)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_client_id_df_info_state_num_df_bds_update(self, show_client_id_df_info_state=None, num_df_bds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_client_id_df_info_state: cluster_id, client_id
    :param show_client_id_df_info_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_df_bds: long
    :param num_df_bds: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.show_client_id_df_info_state', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'show_client_id_df_info_state', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_client_id_df_info_state=show_client_id_df_info_state, num_df_bds=num_df_bds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_client_id_df_info_state=show_client_id_df_info_state, num_df_bds=num_df_bds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_client_id_df_info_state_num_df_vlans_update(self, show_client_id_df_info_state=None, num_df_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_client_id_df_info_state: cluster_id, client_id
    :param show_client_id_df_info_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_df_vlans: long
    :param num_df_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.show_client_id_df_info_state', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'show_client_id_df_info_state', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_client_id_df_info_state=show_client_id_df_info_state, num_df_vlans=num_df_vlans)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_client_id_df_info_state=show_client_id_df_info_state, num_df_vlans=num_df_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_cluster_mem_bd_mct_state_update(self, show_cluster_mem_bd_mct_state=None, num_bds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster_mem_bd_mct_state: cluster_id
    :param show_cluster_mem_bd_mct_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_bd_mct_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_bds: long
    :param num_bds: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.show_cluster_mem_bd_mct_state', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'show_cluster_mem_bd_mct_state', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_bd_mct_state=show_cluster_mem_bd_mct_state, num_bds=num_bds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_bd_mct_state=show_cluster_mem_bd_mct_state, num_bds=num_bds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_cluster_mem_bd_mct_state_bd_label_info_update(self, show_cluster_mem_bd_mct_state=None, bd_label_info=None, mcast_label_local=None, mcast_label_remote=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mem_bd_mct_state: cluster_id
    :param show_cluster_mem_bd_mct_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_bd_mct_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_label_info: bd_id
    :param bd_label_info: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bd_label_info** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_label_local: long
    :param mcast_label_local: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mcast_label_remote: long
    :param mcast_label_remote: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.show_cluster_mem_bd_mct_state', 'show_cluster_mem_bd_mct_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.show_cluster_mem_bd_mct_state.bd_label_info', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_label_info', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_bd_mct_state=show_cluster_mem_bd_mct_state, bd_label_info=bd_label_info, mcast_label_local=mcast_label_local, mcast_label_remote=mcast_label_remote)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_bd_mct_state=show_cluster_mem_bd_mct_state, bd_label_info=bd_label_info, mcast_label_local=mcast_label_local, mcast_label_remote=mcast_label_remote)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_cluster_mem_bd_mct_state_bd_label_info_mcast_label_local_update(self, show_cluster_mem_bd_mct_state=None, bd_label_info=None, mcast_label_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mem_bd_mct_state: cluster_id
    :param show_cluster_mem_bd_mct_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_bd_mct_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_label_info: bd_id
    :param bd_label_info: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bd_label_info** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_label_local: long
    :param mcast_label_local: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.show_cluster_mem_bd_mct_state', 'show_cluster_mem_bd_mct_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.show_cluster_mem_bd_mct_state.bd_label_info', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_label_info', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_bd_mct_state=show_cluster_mem_bd_mct_state, bd_label_info=bd_label_info, mcast_label_local=mcast_label_local)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_bd_mct_state=show_cluster_mem_bd_mct_state, bd_label_info=bd_label_info, mcast_label_local=mcast_label_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_cluster_mem_bd_mct_state_bd_label_info_mcast_label_remote_update(self, show_cluster_mem_bd_mct_state=None, bd_label_info=None, mcast_label_remote=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster_mem_bd_mct_state: cluster_id
    :param show_cluster_mem_bd_mct_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_bd_mct_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_label_info: bd_id
    :param bd_label_info: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bd_label_info** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_label_remote: long
    :param mcast_label_remote: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.show_cluster_mem_bd_mct_state', 'show_cluster_mem_bd_mct_state')]
    bindings_list = [('pybind.slxos.v17r_1_00a.show_cluster_mem_bd_mct_state.bd_label_info', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_label_info', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_bd_mct_state=show_cluster_mem_bd_mct_state, bd_label_info=bd_label_info, mcast_label_remote=mcast_label_remote)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_bd_mct_state=show_cluster_mem_bd_mct_state, bd_label_info=bd_label_info, mcast_label_remote=mcast_label_remote)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_cluster_mem_bd_mct_state_num_bds_update(self, show_cluster_mem_bd_mct_state=None, num_bds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type show_cluster_mem_bd_mct_state: cluster_id
    :param show_cluster_mem_bd_mct_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_bd_mct_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_bds: long
    :param num_bds: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.show_cluster_mem_bd_mct_state', 'pybind.slxos.v17r_1_00a.brocade_mct_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'show_cluster_mem_bd_mct_state', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, show_cluster_mem_bd_mct_state=show_cluster_mem_bd_mct_state, num_bds=num_bds)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_bd_mct_state=show_cluster_mem_bd_mct_state, num_bds=num_bds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_agtconfig_update(self, contact=None, location=None, sys_descr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type contact: unicode
    :param contact: Contact information for the system(switch).

        * length restriction: ::

            ['4 .. 256']

    :type location: unicode
    :param location: Location of the system.

        * length restriction: ::

            ['4 .. 256']

    :type sys_descr: unicode
    :param sys_descr: Description of the system.

        * length restriction: ::

            ['4 .. 256']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.agtconfig', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.agtconfig', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.agtconfig', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.agtconfig', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.agtconfig', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, contact=contact, location=location, sys_descr=sys_descr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, contact=contact, location=location, sys_descr=sys_descr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_community_update(self, community=None, groupname=None, ipv4_acl=None, ipv6_acl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type community: community, groupname, ipv4_acl, ipv6_acl
    :param community: Keyword argument tuple.

    :type community: unicode
    :param community: **community** tuple argument.

    :type groupname: unicode
    :param groupname: **community** tuple argument:  Groupname associated with community string

    :type ipv4_acl: unicode
    :param ipv4_acl: **community** tuple argument:  standard IPv4 Access list name (or) ID associated with community strings.

        * length restriction: ::

            ['0 .. 63']

    :type ipv6_acl: unicode
    :param ipv6_acl: **community** tuple argument:  standard IPv6 Access list name (or) ID associated with community strings.

        * length restriction: ::

            ['0 .. 63']

    **Instance Argument(s)**:

    :type groupname: unicode
    :param groupname: Groupname associated with community string

    :type ipv4_acl: unicode
    :param ipv4_acl: standard IPv4 Access list name (or) ID associated with community strings.

        * length restriction: ::

            ['0 .. 63']

    :type ipv6_acl: unicode
    :param ipv6_acl: standard IPv6 Access list name (or) ID associated with community strings.

        * length restriction: ::

            ['0 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.community', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.community', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.community', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.community', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.community', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'community', 'keyval': 'community', 'extra_keyval': 'community, groupname'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.snmp_server.community": {"ipv4_acl": "ipv4_acl", "groupname": "groupname", "ipv6_acl": "ipv6_acl", "community": "community"}, "pybind.slxos.v17r_1_00a.snmp_server.community": {}, "pybind.nos.v7_0_1b.snmp_server.community": {"ipv4_acl": "ipv4_acl", "groupname": "groupname", "ipv6_acl": "ipv6_acl", "community": "community"}, "pybind.nos.v7_1_0.snmp_server.community": {"ipv4_acl": "ipv4_acl", "groupname": "groupname", "ipv6_acl": "ipv6_acl", "community": "community"}, "pybind.slxos.v16r_1_00b.snmp_server.community": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, community=community, groupname=groupname, ipv4_acl=ipv4_acl, ipv6_acl=ipv6_acl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, community=community, groupname=groupname, ipv4_acl=ipv4_acl, ipv6_acl=ipv6_acl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_community_groupname_update(self, community=None, groupname=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type community: community
    :param community: Keyword argument tuple.

    :type community: unicode
    :param community: **community** tuple argument.

    **Instance Argument(s)**:

    :type groupname: unicode
    :param groupname: Groupname associated with community string

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.community', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.community', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.community', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.community', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.community', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'community', 'keyval': 'community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, community=community, groupname=groupname)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, community=community, groupname=groupname)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_community_ipv4_acl_update(self, community=None, ipv4_acl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type community: community
    :param community: Keyword argument tuple.

    :type community: unicode
    :param community: **community** tuple argument.

    **Instance Argument(s)**:

    :type ipv4_acl: unicode
    :param ipv4_acl: standard IPv4 Access list name (or) ID associated with community strings.

        * length restriction: ::

            ['0 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.community', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.community', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.community', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'community', 'keyval': 'community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, community=community, ipv4_acl=ipv4_acl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, community=community, ipv4_acl=ipv4_acl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_community_ipv6_acl_update(self, community=None, ipv6_acl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type community: community
    :param community: Keyword argument tuple.

    :type community: unicode
    :param community: **community** tuple argument.

    **Instance Argument(s)**:

    :type ipv6_acl: unicode
    :param ipv6_acl: standard IPv6 Access list name (or) ID associated with community strings.

        * length restriction: ::

            ['0 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.community', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.community', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.community', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'community', 'keyval': 'community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, community=community, ipv6_acl=ipv6_acl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, community=community, ipv6_acl=ipv6_acl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_contact_update(self, contact=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type contact: unicode
    :param contact: Contact information for the system(switch).

        * length restriction: ::

            ['4 .. 256']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.agtconfig', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.agtconfig', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.agtconfig', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.agtconfig', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.agtconfig', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, contact=contact)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, contact=contact)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_context_update(self, context=None, vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type context: context_name
    :param context: Keyword argument tuple.

    :type context_name: unicode
    :param context_name: **context** tuple argument.

    **Instance Argument(s)**:

    :type vrf_name: unicode
    :param vrf_name: Vrf Name

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.context', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.context', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.context', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.context', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.context', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'context', 'keyval': 'context_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, context=context, vrf_name=vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, context=context, vrf_name=vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_context_vrf_name_update(self, context=None, vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type context: context_name
    :param context: Keyword argument tuple.

    :type context_name: unicode
    :param context_name: **context** tuple argument.

    **Instance Argument(s)**:

    :type vrf_name: unicode
    :param vrf_name: Vrf Name

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.context', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.context', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.context', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.context', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.context', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'context', 'keyval': 'context_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, context=context, vrf_name=vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, context=context, vrf_name=vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_enable_trap_update(self, trap_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type trap_flag: YANGBool
    :param trap_flag: Enables/Disables the trap

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.enable.trap', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.enable.trap', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.enable.trap', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.enable.trap', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.enable.trap', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, trap_flag=trap_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, trap_flag=trap_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_enable_trap_trap_flag_update(self, trap_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type trap_flag: YANGBool
    :param trap_flag: Enables/Disables the trap

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.enable.trap', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.enable.trap', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.enable.trap', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.enable.trap', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.enable.trap', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, trap_flag=trap_flag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, trap_flag=trap_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_engineid_update(self, local_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type local_: unicode
    :param local_: Agent's (Local) engine Id

        * pattern restriction: ::

            '[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0'
            '-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9'
            'a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-'
            'fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA'
            '-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F'
            '][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.engineID_drop.engineID', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.engineID_drop.engineID', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.engineID_drop.engineID', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.engineID_drop.engineID', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.engineID_drop.engineID', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, local_=local_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, local_=local_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_engineid_local_update(self, local_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type local_: unicode
    :param local_: Agent's (Local) engine Id

        * pattern restriction: ::

            '[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0'
            '-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9'
            'a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-'
            'fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA'
            '-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F'
            '][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.engineID_drop.engineID', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.engineID_drop.engineID', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.engineID_drop.engineID', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.engineID_drop.engineID', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.engineID_drop.engineID', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, local_=local_)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, local_=local_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_group_update(self, group=None, group_auth_mode=None, read=None, write=None, notify=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group: group_name, group_version, group_auth_mode, read, write, notify
    :param group: Keyword argument tuple.

    :type group_name: unicode
    :param group_name: **group** tuple argument.

        * length restriction: ::

            ['1 .. 32']

    :type group_version: unicode
    :param group_version: **group** tuple argument.

        * enumeration restriction: ::

            ['v2c', 'v1', 'v3']

    :type group_auth_mode: unicode
    :param group_auth_mode: **group** tuple argument.

        * enumeration restriction: ::

            ['noauth', 'auth', 'priv']

    :type read: unicode
    :param read: **group** tuple argument:  read	Specify a read view for the group

        * length restriction: ::

            ['1 .. 32']

    :type write: unicode
    :param write: **group** tuple argument:  write	Specify a write view for the group

        * length restriction: ::

            ['1 .. 32']

    :type notify: unicode
    :param notify: **group** tuple argument:  notify	Specify a notify view for the group

        * length restriction: ::

            ['1 .. 32']

    **Instance Argument(s)**:

    :type group_auth_mode: unicode
    :param group_auth_mode: Keyword argument.

        * enumeration restriction: ::

            ['noauth', 'auth', 'priv']

    :type read: unicode
    :param read: read	Specify a read view for the group

        * length restriction: ::

            ['1 .. 32']

    :type write: unicode
    :param write: write	Specify a write view for the group

        * length restriction: ::

            ['1 .. 32']

    :type notify: unicode
    :param notify: notify	Specify a notify view for the group

        * length restriction: ::

            ['1 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.group', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.group', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.group', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.group', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.group', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_name, group_version', 'extra_keyval': 'group_name, group_version, group_auth_mode, read, write, notify'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group=group, group_auth_mode=group_auth_mode, read=read, write=write, notify=notify)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group=group, group_auth_mode=group_auth_mode, read=read, write=write, notify=notify)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_group_group_auth_mode_update(self, group=None, group_auth_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group: group_name, group_version
    :param group: Keyword argument tuple.

    :type group_name: unicode
    :param group_name: **group** tuple argument.

        * length restriction: ::

            ['1 .. 32']

    :type group_version: unicode
    :param group_version: **group** tuple argument.

        * enumeration restriction: ::

            ['v2c', 'v1', 'v3']

    **Instance Argument(s)**:

    :type group_auth_mode: unicode
    :param group_auth_mode: Keyword argument.

        * enumeration restriction: ::

            ['noauth', 'auth', 'priv']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.group', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.group', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.group', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.group', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.group', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_name, group_version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group=group, group_auth_mode=group_auth_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group=group, group_auth_mode=group_auth_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_group_notify_update(self, group=None, notify=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group: group_name, group_version
    :param group: Keyword argument tuple.

    :type group_name: unicode
    :param group_name: **group** tuple argument.

        * length restriction: ::

            ['1 .. 32']

    :type group_version: unicode
    :param group_version: **group** tuple argument.

        * enumeration restriction: ::

            ['v2c', 'v1', 'v3']

    **Instance Argument(s)**:

    :type notify: unicode
    :param notify: notify	Specify a notify view for the group

        * length restriction: ::

            ['1 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.group', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.group', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.group', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.group', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.group', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_name, group_version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group=group, notify=notify)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group=group, notify=notify)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_group_read_update(self, group=None, read=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group: group_name, group_version
    :param group: Keyword argument tuple.

    :type group_name: unicode
    :param group_name: **group** tuple argument.

        * length restriction: ::

            ['1 .. 32']

    :type group_version: unicode
    :param group_version: **group** tuple argument.

        * enumeration restriction: ::

            ['v2c', 'v1', 'v3']

    **Instance Argument(s)**:

    :type read: unicode
    :param read: read	Specify a read view for the group

        * length restriction: ::

            ['1 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.group', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.group', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.group', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.group', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.group', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_name, group_version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group=group, read=read)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group=group, read=read)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_group_write_update(self, group=None, write=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type group: group_name, group_version
    :param group: Keyword argument tuple.

    :type group_name: unicode
    :param group_name: **group** tuple argument.

        * length restriction: ::

            ['1 .. 32']

    :type group_version: unicode
    :param group_version: **group** tuple argument.

        * enumeration restriction: ::

            ['v2c', 'v1', 'v3']

    **Instance Argument(s)**:

    :type write: unicode
    :param write: write	Specify a write view for the group

        * length restriction: ::

            ['1 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.group', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.group', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.group', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.group', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.group', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_name, group_version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, group=group, write=write)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group=group, write=write)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_host_update(self, host=None, version=None, udp_port=None, severity_level=None, use_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: ip, community
    :param host: Keyword argument tuple.

    :type ip: unicode
    :param ip: **host** tuple argument:  ipv4/ipv6/dns address of the trap recipient associated with community strings.  Traps will be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type community: unicode
    :param community: **host** tuple argument:  Community string associated with traps.

    **Instance Argument(s)**:

    :type version: unicode
    :param version: Version used to send traps. (Default=v1)

        * enumeration restriction: ::

            ['1', '2c']

    :type udp_port: long
    :param udp_port: Port number used to send traps. (Default=162)

        * range restriction: ::

            ['0..4294967295']

    :type severity_level: unicode
    :param severity_level: Severity level associated with traps

        * enumeration restriction: ::

            ['Info',
            'None',
            'Critical',
            'Warning',
            'Error',
            'Debug']

    :type use_vrf: unicode
    :param use_vrf: vrfname used to send notifications.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.host', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.host', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.host', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'ip, community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, version=version, udp_port=udp_port, severity_level=severity_level, use_vrf=use_vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, version=version, udp_port=udp_port, severity_level=severity_level, use_vrf=use_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_host_severity_level_update(self, host=None, severity_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: ip, community
    :param host: Keyword argument tuple.

    :type ip: unicode
    :param ip: **host** tuple argument:  ipv4/ipv6/dns address of the trap recipient associated with community strings.  Traps will be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type community: unicode
    :param community: **host** tuple argument:  Community string associated with traps.

    **Instance Argument(s)**:

    :type severity_level: unicode
    :param severity_level: Severity level associated with traps

        * enumeration restriction: ::

            ['Info',
            'None',
            'Critical',
            'Warning',
            'Error',
            'Debug']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.host', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.host', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.host', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'ip, community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, severity_level=severity_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, severity_level=severity_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_host_source_interface_update(self, host=None, loopback=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type host: ip, community
    :param host: Keyword argument tuple.

    :type ip: unicode
    :param ip: **host** tuple argument:  ipv4/ipv6/dns address of the trap recipient associated with community strings.  Traps will be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type community: unicode
    :param community: **host** tuple argument:  Community string associated with traps.

    **Instance Argument(s)**:

    :type loopback: long
    :param loopback: Loopback interface to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type ve: long
    :param ve: Ve interface to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.snmp_server.host', u'host'), ('pybind.nos.v6_0_2c.snmp_server.host', u'host'), ('pybind.nos.v7_1_0.snmp_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.host.source_interface', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.host.source_interface', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_1_0.snmp_server.host.source_interface': [u've', u'loopback'], 'pybind.nos.v7_0_1b.snmp_server.host.source_interface': [u've', u'loopback'], 'pybind.nos.v6_0_2c.snmp_server.host.source_interface': [u've', u'loopback']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, loopback=loopback, ve=ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, loopback=loopback, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_host_source_interface_loopback_update(self, host=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type host: ip, community
    :param host: Keyword argument tuple.

    :type ip: unicode
    :param ip: **host** tuple argument:  ipv4/ipv6/dns address of the trap recipient associated with community strings.  Traps will be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type community: unicode
    :param community: **host** tuple argument:  Community string associated with traps.

    **Instance Argument(s)**:

    :type loopback: long
    :param loopback: Loopback interface to use

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.snmp_server.host', u'host'), ('pybind.nos.v6_0_2c.snmp_server.host', u'host'), ('pybind.nos.v7_1_0.snmp_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.host.source_interface', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.host.source_interface', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_host_source_interface_ve_update(self, host=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type host: ip, community
    :param host: Keyword argument tuple.

    :type ip: unicode
    :param ip: **host** tuple argument:  ipv4/ipv6/dns address of the trap recipient associated with community strings.  Traps will be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type community: unicode
    :param community: **host** tuple argument:  Community string associated with traps.

    **Instance Argument(s)**:

    :type ve: long
    :param ve: Ve interface to use

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.snmp_server.host', u'host'), ('pybind.nos.v6_0_2c.snmp_server.host', u'host'), ('pybind.nos.v7_1_0.snmp_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.host.source_interface', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.host.source_interface', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, ve=ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_host_udp_port_update(self, host=None, udp_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: ip, community
    :param host: Keyword argument tuple.

    :type ip: unicode
    :param ip: **host** tuple argument:  ipv4/ipv6/dns address of the trap recipient associated with community strings.  Traps will be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type community: unicode
    :param community: **host** tuple argument:  Community string associated with traps.

    **Instance Argument(s)**:

    :type udp_port: long
    :param udp_port: Port number used to send traps. (Default=162)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.host', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.host', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.host', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'ip, community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, udp_port=udp_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, udp_port=udp_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_host_use_vrf_update(self, host=None, use_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: ip, community
    :param host: Keyword argument tuple.

    :type ip: unicode
    :param ip: **host** tuple argument:  ipv4/ipv6/dns address of the trap recipient associated with community strings.  Traps will be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type community: unicode
    :param community: **host** tuple argument:  Community string associated with traps.

    **Instance Argument(s)**:

    :type use_vrf: unicode
    :param use_vrf: vrfname used to send notifications.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.host', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.host', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.host', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'ip, community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, use_vrf=use_vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, use_vrf=use_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_host_version_update(self, host=None, version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: ip, community
    :param host: Keyword argument tuple.

    :type ip: unicode
    :param ip: **host** tuple argument:  ipv4/ipv6/dns address of the trap recipient associated with community strings.  Traps will be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type community: unicode
    :param community: **host** tuple argument:  Community string associated with traps.

    **Instance Argument(s)**:

    :type version: unicode
    :param version: Version used to send traps. (Default=v1)

        * enumeration restriction: ::

            ['1', '2c']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.host', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.host', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.host', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'ip, community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, version=version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, version=version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_location_update(self, location=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type location: unicode
    :param location: Location of the system.

        * length restriction: ::

            ['4 .. 256']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.agtconfig', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.agtconfig', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.agtconfig', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.agtconfig', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.agtconfig', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, location=location)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, location=location)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_mib_community_map_update(self, community_map=None, context=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type community_map: community, context
    :param community_map: Keyword argument tuple.

    :type community: unicode
    :param community: **community_map** tuple argument:  Community string to map with the context name

    :type context: unicode
    :param context: **community_map** tuple argument:  Context Name.

    **Instance Argument(s)**:

    :type context: unicode
    :param context: Context Name.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.snmp_server.mib.community_map', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.mib.community_map', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.mib.community_map', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.mib.community_map', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'community_map', 'keyval': 'community', 'extra_keyval': 'community, context'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, community_map=community_map, context=context)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, community_map=community_map, context=context)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_mib_community_map_context_update(self, community_map=None, context=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type community_map: community
    :param community_map: Keyword argument tuple.

    :type community: unicode
    :param community: **community_map** tuple argument:  Community string to map with the context name

    **Instance Argument(s)**:

    :type context: unicode
    :param context: Context Name.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.snmp_server.mib.community_map', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.mib.community_map', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.mib.community_map', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.mib.community_map', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'community_map', 'keyval': 'community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, community_map=community_map, context=context)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, community_map=community_map, context=context)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_sys_descr_update(self, sys_descr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sys_descr: unicode
    :param sys_descr: Description of the system.

        * length restriction: ::

            ['4 .. 256']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.agtconfig', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.agtconfig', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.agtconfig', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.agtconfig', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.agtconfig', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sys_descr=sys_descr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sys_descr=sys_descr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_user_update(self, user=None, groupname=None, auth=None, auth_password=None, priv=None, priv_password=None, encrypted=None, ipv4_acl=None, ipv6_acl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type user: username, groupname, auth, auth_password, priv, priv_password, encrypted, ipv4_acl, ipv6_acl
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    :type groupname: unicode
    :param groupname: **user** tuple argument.

    :type auth: unicode
    :param auth: **user** tuple argument:  Authorization protocol for username(Default=noauth)

        * enumeration restriction: ::

            ['sha', 'noauth', 'md5']

    :type auth_password: unicode
    :param auth_password: **user** tuple argument:  Authorization password associated withusername

    :type priv: unicode
    :param priv: **user** tuple argument:  Privacy protocol for username (Default=nopriv)

        * enumeration restriction: ::

            ['AES128', 'DES', 'nopriv']

    :type priv_password: unicode
    :param priv_password: **user** tuple argument:  Privacy password associated with username

    :type encrypted: YANGBool
    :param encrypted: **user** tuple argument:  This flag is used to enter the auth/privpasswords as encrypted.(Default=disable)

    :type ipv4_acl: unicode
    :param ipv4_acl: **user** tuple argument:  standard IPv4 Access list name (or) ID associated with SNMP v3 user strings.

        * length restriction: ::

            ['0 .. 63']

    :type ipv6_acl: unicode
    :param ipv6_acl: **user** tuple argument:  standard IPv6 Access list name (or) ID associated with SNMP V3 user strings.

        * length restriction: ::

            ['0 .. 63']

    **Instance Argument(s)**:

    :type groupname: unicode
    :param groupname: Keyword argument.

    :type auth: unicode
    :param auth: Authorization protocol for username(Default=noauth)

        * enumeration restriction: ::

            ['sha', 'noauth', 'md5']

    :type auth_password: unicode
    :param auth_password: Authorization password associated withusername

    :type priv: unicode
    :param priv: Privacy protocol for username (Default=nopriv)

        * enumeration restriction: ::

            ['AES128', 'DES', 'nopriv']

    :type priv_password: unicode
    :param priv_password: Privacy password associated with username

    :type encrypted: YANGBool
    :param encrypted: This flag is used to enter the auth/privpasswords as encrypted.(Default=disable)

    :type ipv4_acl: unicode
    :param ipv4_acl: standard IPv4 Access list name (or) ID associated with SNMP v3 user strings.

        * length restriction: ::

            ['0 .. 63']

    :type ipv6_acl: unicode
    :param ipv6_acl: standard IPv6 Access list name (or) ID associated with SNMP V3 user strings.

        * length restriction: ::

            ['0 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.user', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.user', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.snmp_server.user": {"username": "username", "ipv4_acl": "ipv4_acl", "encrypted": "encrypted", "ipv6_acl": "ipv6_acl", "auth": "auth", "priv_password": "priv_password", "groupname": "groupname", "auth_password": "auth_password", "priv": "priv"}, "pybind.slxos.v17r_1_00a.snmp_server.user": {}, "pybind.slxos.v16r_1_00b.snmp_server.user": {}, "pybind.nos.v7_0_1b.snmp_server.user": {"username": "username", "ipv4_acl": "ipv4_acl", "encrypted": "encrypted", "ipv6_acl": "ipv6_acl", "auth": "auth", "priv_password": "priv_password", "groupname": "groupname", "auth_password": "auth_password", "priv": "priv"}, "pybind.nos.v6_0_2c.snmp_server.user": {"username": "username", "ipv4_acl": "ipv4_acl", "encrypted": "encrypted", "ipv6_acl": "ipv6_acl", "auth": "auth", "priv_password": "priv_password", "groupname": "groupname", "auth_password": "auth_password", "priv": "priv"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, user=user, groupname=groupname, auth=auth, auth_password=auth_password, priv=priv, priv_password=priv_password, encrypted=encrypted, ipv4_acl=ipv4_acl, ipv6_acl=ipv6_acl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user, groupname=groupname, auth=auth, auth_password=auth_password, priv=priv, priv_password=priv_password, encrypted=encrypted, ipv4_acl=ipv4_acl, ipv6_acl=ipv6_acl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_user_auth_update(self, user=None, auth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type auth: unicode
    :param auth: Authorization protocol for username(Default=noauth)

        * enumeration restriction: ::

            ['sha', 'noauth', 'md5']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.user', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.user', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, user=user, auth=auth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user, auth=auth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_user_auth_password_update(self, user=None, auth_password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type auth_password: unicode
    :param auth_password: Authorization password associated withusername

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.user', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.user', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, user=user, auth_password=auth_password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user, auth_password=auth_password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_user_encrypted_update(self, user=None, encrypted=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type encrypted: YANGBool
    :param encrypted: This flag is used to enter the auth/privpasswords as encrypted.(Default=disable)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.user', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.user', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, user=user, encrypted=encrypted)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user, encrypted=encrypted)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_user_groupname_update(self, user=None, groupname=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type groupname: unicode
    :param groupname: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.user', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.user', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, user=user, groupname=groupname)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user, groupname=groupname)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_user_ipv4_acl_update(self, user=None, ipv4_acl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type ipv4_acl: unicode
    :param ipv4_acl: standard IPv4 Access list name (or) ID associated with SNMP v3 user strings.

        * length restriction: ::

            ['0 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, user=user, ipv4_acl=ipv4_acl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user, ipv4_acl=ipv4_acl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_user_ipv6_acl_update(self, user=None, ipv6_acl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type ipv6_acl: unicode
    :param ipv6_acl: standard IPv6 Access list name (or) ID associated with SNMP V3 user strings.

        * length restriction: ::

            ['0 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, user=user, ipv6_acl=ipv6_acl)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user, ipv6_acl=ipv6_acl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_user_priv_update(self, user=None, priv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type priv: unicode
    :param priv: Privacy protocol for username (Default=nopriv)

        * enumeration restriction: ::

            ['AES128', 'DES', 'nopriv']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.user', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.user', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, user=user, priv=priv)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user, priv=priv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_user_priv_password_update(self, user=None, priv_password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type user: username
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    **Instance Argument(s)**:

    :type priv_password: unicode
    :param priv_password: Privacy password associated with username

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.user', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.user', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, user=user, priv_password=priv_password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user, priv_password=priv_password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_v3host_update(self, v3host=None, udp_port=None, notifytype=None, engineid=None, severity_level=None, use_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type udp_port: long
    :param udp_port: Port number used to send notifications.(Default=162)

        * range restriction: ::

            ['0..4294967295']

    :type notifytype: unicode
    :param notifytype: Type of notification sent to host.(Default=traps)

        * enumeration restriction: ::

            ['informs', 'traps']

    :type engineid: unicode
    :param engineid: Manager's (Remote) engine Id.

    :type severity_level: unicode
    :param severity_level: Severity level associated with traps

        * enumeration restriction: ::

            ['Info',
            'None',
            'Critical',
            'Warning',
            'Error',
            'Debug']

    :type use_vrf: unicode
    :param use_vrf: vrfname used to send notifications.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.v3host', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.v3host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.v3host', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3host=v3host, udp_port=udp_port, notifytype=notifytype, engineid=engineid, severity_level=severity_level, use_vrf=use_vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3host=v3host, udp_port=udp_port, notifytype=notifytype, engineid=engineid, severity_level=severity_level, use_vrf=use_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_v3host_engineid_update(self, v3host=None, engineid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type engineid: unicode
    :param engineid: Manager's (Remote) engine Id.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.v3host', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.v3host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.v3host', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3host=v3host, engineid=engineid)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3host=v3host, engineid=engineid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_v3host_notifytype_update(self, v3host=None, notifytype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type notifytype: unicode
    :param notifytype: Type of notification sent to host.(Default=traps)

        * enumeration restriction: ::

            ['informs', 'traps']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.v3host', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.v3host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.v3host', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3host=v3host, notifytype=notifytype)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3host=v3host, notifytype=notifytype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_v3host_severity_level_update(self, v3host=None, severity_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type severity_level: unicode
    :param severity_level: Severity level associated with traps

        * enumeration restriction: ::

            ['Info',
            'None',
            'Critical',
            'Warning',
            'Error',
            'Debug']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.v3host', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.v3host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.v3host', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3host=v3host, severity_level=severity_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3host=v3host, severity_level=severity_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_v3host_source_interface_update(self, v3host=None, loopback=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type loopback: long
    :param loopback: Loopback interface to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type ve: long
    :param ve: Ve interface to use. Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_1_0.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_0_1b.snmp_server.v3host', u'v3host')]
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.v3host.source_interface', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.v3host.source_interface', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.v3host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v6_0_2c.snmp_server.v3host.source_interface': [u've', u'loopback'], 'pybind.nos.v7_0_1b.snmp_server.v3host.source_interface': [u've', u'loopback'], 'pybind.nos.v7_1_0.snmp_server.v3host.source_interface': [u've', u'loopback']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3host=v3host, loopback=loopback, ve=ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3host=v3host, loopback=loopback, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_v3host_source_interface_loopback_update(self, v3host=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type loopback: long
    :param loopback: Loopback interface to use

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_1_0.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_0_1b.snmp_server.v3host', u'v3host')]
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.v3host.source_interface', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.v3host.source_interface', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.v3host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3host=v3host, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3host=v3host, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_v3host_source_interface_ve_update(self, v3host=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type ve: long
    :param ve: Ve interface to use

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_1_0.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_0_1b.snmp_server.v3host', u'v3host')]
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.v3host.source_interface', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.v3host.source_interface', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.v3host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3host=v3host, ve=ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3host=v3host, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_v3host_udp_port_update(self, v3host=None, udp_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type udp_port: long
    :param udp_port: Port number used to send notifications.(Default=162)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.v3host', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.v3host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.v3host', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3host=v3host, udp_port=udp_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3host=v3host, udp_port=udp_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_v3host_use_vrf_update(self, v3host=None, use_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type use_vrf: unicode
    :param use_vrf: vrfname used to send notifications.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.v3host', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.v3host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.v3host', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, v3host=v3host, use_vrf=use_vrf)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3host=v3host, use_vrf=use_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_view_update(self, view=None, mibtree_access=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type view: viewname, mibtree
    :param view: Keyword argument tuple.

    :type viewname: unicode
    :param viewname: **view** tuple argument.

        * length restriction: ::

            ['1 .. 32']

    :type mibtree: unicode
    :param mibtree: **view** tuple argument.

        * length restriction: ::

            ['1 .. 256']

    **Instance Argument(s)**:

    :type mibtree_access: unicode
    :param mibtree_access: Keyword argument.

        * enumeration restriction: ::

            ['included', 'excluded']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.view', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.view', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.view', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.view', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.view', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'view', 'keyval': 'viewname, mibtree', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, view=view, mibtree_access=mibtree_access)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, view=view, mibtree_access=mibtree_access)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_view_mibtree_access_update(self, view=None, mibtree_access=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type view: viewname, mibtree
    :param view: Keyword argument tuple.

    :type viewname: unicode
    :param viewname: **view** tuple argument.

        * length restriction: ::

            ['1 .. 32']

    :type mibtree: unicode
    :param mibtree: **view** tuple argument.

        * length restriction: ::

            ['1 .. 256']

    **Instance Argument(s)**:

    :type mibtree_access: unicode
    :param mibtree_access: Keyword argument.

        * enumeration restriction: ::

            ['included', 'excluded']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.view', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.view', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.view', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.view', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.snmp_server.view', 'pybind.slxos.v17r_1_00a.brocade_snmp', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'view', 'keyval': 'viewname, mibtree', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, view=view, mibtree_access=mibtree_access)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, view=view, mibtree_access=mibtree_access)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_update(self, spf_log_state=None, spf_log_levels=None, log_counts=None, spf_trigger_count=None, node_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    **Instance Keyword Argument Tuple**:

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Argument(s)**:

    :type log_counts: int
    :param log_counts: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type spf_trigger_count: int
    :param spf_trigger_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type node_count: int
    :param node_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_levels', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, log_counts=log_counts, spf_trigger_count=spf_trigger_count, node_count=node_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, log_counts=log_counts, spf_trigger_count=spf_trigger_count, node_count=node_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_log_counts_update(self, spf_log_state=None, spf_log_levels=None, log_counts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    **Instance Keyword Argument Tuple**:

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Argument(s)**:

    :type log_counts: int
    :param log_counts: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_levels', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, log_counts=log_counts)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, log_counts=log_counts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_node_count_update(self, spf_log_state=None, spf_log_levels=None, node_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    **Instance Keyword Argument Tuple**:

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Argument(s)**:

    :type node_count: int
    :param node_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_levels', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, node_count=node_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, node_count=node_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, isis_spf_log_reason=None, isis_lsp_name=None, brief_reason=None, event_count=None, node_count=None, time_stamp_ms=None, duration_ms=None, ipv4_routes=None, ipv6_routes=None, first_trigger_change=None, first_trigger_time_stamp_ms=None, first_trigger_detail_reason=None, last_trigger_change=None, last_trigger_time_stamp_ms=None, last_trigger_detail_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type isis_spf_log_reason: unicode
    :param isis_spf_log_reason: Keyword argument.

        * enumeration restriction: ::

            ['isis-spf-reason-ipv6-max-paths',
            'isis-spf-reason-adj-change',
            'isis-spf-reason-circ-change',
            'isis-spf-reason-level-change',
            'isis-spf-reason-recal-interlevel-route',
            'isis-spf-reason-kickall',
            'isis-spf-reason-redis-list-change',
            'isis-spf-reason-clear-route',
            'isis-spf-reason-attflag',
            'isis-spf-reason-tlv-content-change',
            'isis-spf-reason-ipaddr-change',
            'isis-spf-reason-pspf-purge-lsp',
            'isis-spf-reason-build-plsp',
            'isis-spf-reason-ipaddr-cfg-change',
            'isis-spf-reason-max-paths',
            'isis-spf-reason-admin-dist',
            'isis-spf-reason-user-trig',
            'isis-spf-reason-nlpid-change',
            'isis-spf-reason-area-change',
            'isis-spf-reason-ispf',
            'isis-spf-reason-multi-topo-config-change',
            'isis-spf-reason-isis-port-cfg',
            'isis-spf-reason-redis-policy-change',
            'isis-spf-reason-pspf-not-enable',
            'isis-spf-reason-ipv4-bfd-down',
            'isis-spf-reason-ipv4-alt',
            'isis-spf-reason-rtm-ecmp-change',
            'isis-spf-reason-adj-state-chg',
            'isis-spf-reason-overload-exit',
            'isis-spf-reason-ipv6-traverse',
            'isis-spf-reason-ipv6-bfd-down',
            'isis-spf-reason-none',
            'isis-spf-reason-summary-addr-chg',
            'isis-spf-reason-lsp-header',
            'isis-spf-reason-lsp-db-clear',
            'isis-spf-reason-ipv6-alt',
            'isis-spf-reason-build-plsp-nondis',
            'isis-spf-reason-router-enable',
            'isis-spf-reason-tlv-change',
            'isis-spf-reason-pspf-new-lsp',
            'isis-spf-reason-build-table',
            'isis-spf-reason-tnl-state-chg',
            'isis-spf-reason-overload',
            'isis-spf-reason-clear-all-route',
            'isis-spf-reason-ip6metric-change',
            'isis-spf-reason-istct-spf',
            'isis-spf-reason-ipv4-traverse',
            'isis-spf-reason-metric-change',
            'isis-spf-reason-ipv6addr-change']

    :type isis_lsp_name: unicode
    :param isis_lsp_name: Keyword argument.

    :type brief_reason: unicode
    :param brief_reason: Keyword argument.

    :type event_count: int
    :param event_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type node_count: int
    :param node_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type time_stamp_ms: long
    :param time_stamp_ms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type duration_ms: long
    :param duration_ms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv4_routes: long
    :param ipv4_routes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_routes: long
    :param ipv6_routes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type first_trigger_change: unicode
    :param first_trigger_change: Keyword argument.

    :type first_trigger_time_stamp_ms: long
    :param first_trigger_time_stamp_ms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type first_trigger_detail_reason: unicode
    :param first_trigger_detail_reason: Keyword argument.

    :type last_trigger_change: unicode
    :param last_trigger_change: Keyword argument.

    :type last_trigger_time_stamp_ms: long
    :param last_trigger_time_stamp_ms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type last_trigger_detail_reason: unicode
    :param last_trigger_detail_reason: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, isis_spf_log_reason=isis_spf_log_reason, isis_lsp_name=isis_lsp_name, brief_reason=brief_reason, event_count=event_count, node_count=node_count, time_stamp_ms=time_stamp_ms, duration_ms=duration_ms, ipv4_routes=ipv4_routes, ipv6_routes=ipv6_routes, first_trigger_change=first_trigger_change, first_trigger_time_stamp_ms=first_trigger_time_stamp_ms, first_trigger_detail_reason=first_trigger_detail_reason, last_trigger_change=last_trigger_change, last_trigger_time_stamp_ms=last_trigger_time_stamp_ms, last_trigger_detail_reason=last_trigger_detail_reason)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, isis_spf_log_reason=isis_spf_log_reason, isis_lsp_name=isis_lsp_name, brief_reason=brief_reason, event_count=event_count, node_count=node_count, time_stamp_ms=time_stamp_ms, duration_ms=duration_ms, ipv4_routes=ipv4_routes, ipv6_routes=ipv6_routes, first_trigger_change=first_trigger_change, first_trigger_time_stamp_ms=first_trigger_time_stamp_ms, first_trigger_detail_reason=first_trigger_detail_reason, last_trigger_change=last_trigger_change, last_trigger_time_stamp_ms=last_trigger_time_stamp_ms, last_trigger_detail_reason=last_trigger_detail_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_brief_reason_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, brief_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type brief_reason: unicode
    :param brief_reason: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, brief_reason=brief_reason)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, brief_reason=brief_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_duration_ms_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, duration_ms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type duration_ms: long
    :param duration_ms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, duration_ms=duration_ms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, duration_ms=duration_ms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_event_count_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, event_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type event_count: int
    :param event_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, event_count=event_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, event_count=event_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_first_trigger_change_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, first_trigger_change=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type first_trigger_change: unicode
    :param first_trigger_change: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, first_trigger_change=first_trigger_change)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, first_trigger_change=first_trigger_change)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_first_trigger_detail_reason_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, first_trigger_detail_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type first_trigger_detail_reason: unicode
    :param first_trigger_detail_reason: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, first_trigger_detail_reason=first_trigger_detail_reason)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, first_trigger_detail_reason=first_trigger_detail_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_first_trigger_time_stamp_ms_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, first_trigger_time_stamp_ms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type first_trigger_time_stamp_ms: long
    :param first_trigger_time_stamp_ms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, first_trigger_time_stamp_ms=first_trigger_time_stamp_ms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, first_trigger_time_stamp_ms=first_trigger_time_stamp_ms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_ipv4_routes_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, ipv4_routes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv4_routes: long
    :param ipv4_routes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, ipv4_routes=ipv4_routes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, ipv4_routes=ipv4_routes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_ipv6_routes_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, ipv6_routes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipv6_routes: long
    :param ipv6_routes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, ipv6_routes=ipv6_routes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, ipv6_routes=ipv6_routes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_isis_lsp_name_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, isis_lsp_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type isis_lsp_name: unicode
    :param isis_lsp_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, isis_lsp_name=isis_lsp_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, isis_lsp_name=isis_lsp_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_isis_spf_log_reason_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, isis_spf_log_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type isis_spf_log_reason: unicode
    :param isis_spf_log_reason: Keyword argument.

        * enumeration restriction: ::

            ['isis-spf-reason-ipv6-max-paths',
            'isis-spf-reason-adj-change',
            'isis-spf-reason-circ-change',
            'isis-spf-reason-level-change',
            'isis-spf-reason-recal-interlevel-route',
            'isis-spf-reason-kickall',
            'isis-spf-reason-redis-list-change',
            'isis-spf-reason-clear-route',
            'isis-spf-reason-attflag',
            'isis-spf-reason-tlv-content-change',
            'isis-spf-reason-ipaddr-change',
            'isis-spf-reason-pspf-purge-lsp',
            'isis-spf-reason-build-plsp',
            'isis-spf-reason-ipaddr-cfg-change',
            'isis-spf-reason-max-paths',
            'isis-spf-reason-admin-dist',
            'isis-spf-reason-user-trig',
            'isis-spf-reason-nlpid-change',
            'isis-spf-reason-area-change',
            'isis-spf-reason-ispf',
            'isis-spf-reason-multi-topo-config-change',
            'isis-spf-reason-isis-port-cfg',
            'isis-spf-reason-redis-policy-change',
            'isis-spf-reason-pspf-not-enable',
            'isis-spf-reason-ipv4-bfd-down',
            'isis-spf-reason-ipv4-alt',
            'isis-spf-reason-rtm-ecmp-change',
            'isis-spf-reason-adj-state-chg',
            'isis-spf-reason-overload-exit',
            'isis-spf-reason-ipv6-traverse',
            'isis-spf-reason-ipv6-bfd-down',
            'isis-spf-reason-none',
            'isis-spf-reason-summary-addr-chg',
            'isis-spf-reason-lsp-header',
            'isis-spf-reason-lsp-db-clear',
            'isis-spf-reason-ipv6-alt',
            'isis-spf-reason-build-plsp-nondis',
            'isis-spf-reason-router-enable',
            'isis-spf-reason-tlv-change',
            'isis-spf-reason-pspf-new-lsp',
            'isis-spf-reason-build-table',
            'isis-spf-reason-tnl-state-chg',
            'isis-spf-reason-overload',
            'isis-spf-reason-clear-all-route',
            'isis-spf-reason-ip6metric-change',
            'isis-spf-reason-istct-spf',
            'isis-spf-reason-ipv4-traverse',
            'isis-spf-reason-metric-change',
            'isis-spf-reason-ipv6addr-change']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, isis_spf_log_reason=isis_spf_log_reason)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, isis_spf_log_reason=isis_spf_log_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_last_trigger_change_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, last_trigger_change=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type last_trigger_change: unicode
    :param last_trigger_change: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, last_trigger_change=last_trigger_change)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, last_trigger_change=last_trigger_change)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_last_trigger_detail_reason_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, last_trigger_detail_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type last_trigger_detail_reason: unicode
    :param last_trigger_detail_reason: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, last_trigger_detail_reason=last_trigger_detail_reason)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, last_trigger_detail_reason=last_trigger_detail_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_last_trigger_time_stamp_ms_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, last_trigger_time_stamp_ms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type last_trigger_time_stamp_ms: long
    :param last_trigger_time_stamp_ms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, last_trigger_time_stamp_ms=last_trigger_time_stamp_ms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, last_trigger_time_stamp_ms=last_trigger_time_stamp_ms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_node_count_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, node_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type node_count: int
    :param node_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, node_count=node_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, node_count=node_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_time_stamp_ms_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, time_stamp_ms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type time_stamp_ms: long
    :param time_stamp_ms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', u'spf_log_levels'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, time_stamp_ms=time_stamp_ms)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, time_stamp_ms=time_stamp_ms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_trigger_count_update(self, spf_log_state=None, spf_log_levels=None, spf_trigger_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    **Instance Keyword Argument Tuple**:

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Argument(s)**:

    :type spf_trigger_count: int
    :param spf_trigger_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.spf_log_state.spf_log_levels', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'spf_log_version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_levels', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_trigger_count=spf_trigger_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_trigger_count=spf_trigger_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_client_update(self, cipher=None, mac=None, key_exchange=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cipher: unicode
    :param cipher: Configure Cipher(s)

    :type mac: unicode
    :param mac: Configure MAC algorithm(s)

    :type key_exchange: unicode
    :param key_exchange: Configure Key-exchange algorithm

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.client', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.client', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.client', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.client', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.client', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cipher=cipher, mac=mac, key_exchange=key_exchange)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cipher=cipher, mac=mac, key_exchange=key_exchange)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_client_cipher_update(self, cipher=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cipher: unicode
    :param cipher: Configure Cipher(s)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.client', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.client', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.client', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.client', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.client', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cipher=cipher)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cipher=cipher)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_client_key_exchange_update(self, key_exchange=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type key_exchange: unicode
    :param key_exchange: Configure Key-exchange algorithm

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.client', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.client', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.client', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.client', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.client', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, key_exchange=key_exchange)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, key_exchange=key_exchange)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_client_mac_update(self, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mac: unicode
    :param mac: Configure MAC algorithm(s)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.client', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.client', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.client', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.client', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.client', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac=mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_client_source_interface_update(self, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: The type of the interface.

        * enumeration restriction: ::

            ['ethernet', 've', 'loopback']

    :type interface_name: unicode
    :param interface_name: The Interface value.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ssh_sa.ssh.client.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.client.source_interface', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_client_source_interface_interface_name_update(self, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: The Interface value.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ssh_sa.ssh.client.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.client.source_interface', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_client_source_interface_interface_type_update(self, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: The type of the interface.

        * enumeration restriction: ::

            ['ethernet', 've', 'loopback']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ssh_sa.ssh.client.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.client.source_interface', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_update(self, shutdown=None, key_exchange=None, rekey_interval=None, cipher=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown SSH Server

    :type key_exchange: unicode
    :param key_exchange: Configure Key Exchange algorithm(s))

    :type rekey_interval: long
    :param rekey_interval: Time interval for session rekeying

        * range restriction: ::

            ['0..4294967295']

    :type cipher: unicode
    :param cipher: Configure Cipher(s)

    :type mac: unicode
    :param mac: Configure MAC algorithm(s)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.ssh_sa.ssh.server": {"mac": "mac", "cipher": "cipher", "key_exchange": "key_exchange", "rekey_interval": "rekey_interval", "shutdown": "shutdown"}, "pybind.slxos.v16r_1_00b.ssh_sa.ssh.server": {}, "pybind.slxos.v17r_1_00a.ssh_sa.ssh.server": {}, "pybind.nos.v7_1_0.ssh_sa.ssh.server": {}, "pybind.nos.v6_0_2c.ssh_sa.ssh.server": {"mac": "mac", "cipher": "cipher", "key_exchange": "key_exchange", "rekey_interval": "rekey_interval", "shutdown": "shutdown"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown=shutdown, key_exchange=key_exchange, rekey_interval=rekey_interval, cipher=cipher, mac=mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown=shutdown, key_exchange=key_exchange, rekey_interval=rekey_interval, cipher=cipher, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_cipher_update(self, cipher=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cipher: unicode
    :param cipher: Configure Cipher(s)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cipher=cipher)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cipher=cipher)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_key_update(self, rsa=None, ecdsa=None, dsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rsa: unicode
    :param rsa: RSA Algorithm type

        * enumeration restriction: ::

            ['1024', '2048']

    :type ecdsa: unicode
    :param ecdsa: ECDSA Algorithm type

        * enumeration restriction: ::

            ['256']

    :type dsa: YANGBool
    :param dsa: DSA Algorithm type

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server.key', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server.key', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.key', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.key', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server.key', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rsa=rsa, ecdsa=ecdsa, dsa=dsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rsa=rsa, ecdsa=ecdsa, dsa=dsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_key_dsa_update(self, dsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type dsa: YANGBool
    :param dsa: DSA Algorithm type

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server.key', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server.key', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.key', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.key', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server.key', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, dsa=dsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dsa=dsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_key_ecdsa_update(self, ecdsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ecdsa: unicode
    :param ecdsa: ECDSA Algorithm type

        * enumeration restriction: ::

            ['256']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server.key', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server.key', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.key', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.key', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server.key', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ecdsa=ecdsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ecdsa=ecdsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_key_exchange_update(self, key_exchange=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type key_exchange: unicode
    :param key_exchange: Configure Key Exchange algorithm(s))

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, key_exchange=key_exchange)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, key_exchange=key_exchange)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_key_rsa_update(self, rsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rsa: unicode
    :param rsa: RSA Algorithm type

        * enumeration restriction: ::

            ['1024', '2048']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server.key', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server.key', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.key', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.key', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server.key', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rsa=rsa)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rsa=rsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_mac_update(self, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type mac: unicode
    :param mac: Configure MAC algorithm(s)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, mac=mac)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_max_sessions_update(self, max_sessions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Argument(s)**:

    :type max_sessions: long
    :param max_sessions: Max number of multiplexed sessions permitted per network connection

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.ssh_sa.ssh.server', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, max_sessions=max_sessions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_sessions=max_sessions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_port_update(self, ssh_server_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ssh_server_port: long
    :param ssh_server_port: The designated SSH server port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ssh_server_port=ssh_server_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ssh_server_port=ssh_server_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_rekey_interval_update(self, rekey_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type rekey_interval: long
    :param rekey_interval: Time interval for session rekeying

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rekey_interval=rekey_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rekey_interval=rekey_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_shutdown_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown SSH Server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_standby_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable standby SSH

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server.standby', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server.standby', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.standby', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.standby', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server.standby', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_standby_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable standby SSH

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server.standby', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server.standby', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.standby', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.standby', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server.standby', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_use_vrf_update(self, use_vrf=None, ssh_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name, ssh_vrf_shutdown
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0 .. max']

    :type ssh_vrf_shutdown: YANGBool
    :param ssh_vrf_shutdown: **use_vrf** tuple argument:  Shutdown SSH server on given vrf

    **Instance Argument(s)**:

    :type ssh_vrf_shutdown: YANGBool
    :param ssh_vrf_shutdown: Shutdown SSH server on given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, use_vrf=use_vrf, ssh_vrf_shutdown=ssh_vrf_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_vrf=use_vrf, ssh_vrf_shutdown=ssh_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_use_vrf_shutdown_update(self, use_vrf=None, ssh_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0 .. max']

    **Instance Argument(s)**:

    :type ssh_vrf_shutdown: YANGBool
    :param ssh_vrf_shutdown: Shutdown SSH server on given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, use_vrf=use_vrf, ssh_vrf_shutdown=ssh_vrf_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_vrf=use_vrf, ssh_vrf_shutdown=ssh_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_bridge_domain_statistics_lif_statistics_update(self, bridge_domain_statistics=None, lif_statistics=None, rx_packets=None, tx_packets=None, rx_bytes=None, tx_bytes=None, lif_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_statistics: bd_id
    :param bridge_domain_statistics: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lif_statistics: lif_id
    :param lif_statistics: Keyword argument tuple.

    :type lif_id: long
    :param lif_id: **lif_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_packets: long
    :param rx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_packets: long
    :param tx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_bytes: long
    :param rx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_bytes: long
    :param tx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type lif_name: unicode
    :param lif_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lif_statistics', 'keyval': 'lif_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, rx_packets=rx_packets, tx_packets=tx_packets, rx_bytes=rx_bytes, tx_bytes=tx_bytes, lif_name=lif_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, rx_packets=rx_packets, tx_packets=tx_packets, rx_bytes=rx_bytes, tx_bytes=tx_bytes, lif_name=lif_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_bridge_domain_statistics_lif_statistics_lif_name_update(self, bridge_domain_statistics=None, lif_statistics=None, lif_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_statistics: bd_id
    :param bridge_domain_statistics: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lif_statistics: lif_id
    :param lif_statistics: Keyword argument tuple.

    :type lif_id: long
    :param lif_id: **lif_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type lif_name: unicode
    :param lif_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lif_statistics', 'keyval': 'lif_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, lif_name=lif_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, lif_name=lif_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_bridge_domain_statistics_lif_statistics_rx_bytes_update(self, bridge_domain_statistics=None, lif_statistics=None, rx_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_statistics: bd_id
    :param bridge_domain_statistics: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lif_statistics: lif_id
    :param lif_statistics: Keyword argument tuple.

    :type lif_id: long
    :param lif_id: **lif_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_bytes: long
    :param rx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lif_statistics', 'keyval': 'lif_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, rx_bytes=rx_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, rx_bytes=rx_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_bridge_domain_statistics_lif_statistics_rx_packets_update(self, bridge_domain_statistics=None, lif_statistics=None, rx_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_statistics: bd_id
    :param bridge_domain_statistics: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lif_statistics: lif_id
    :param lif_statistics: Keyword argument tuple.

    :type lif_id: long
    :param lif_id: **lif_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_packets: long
    :param rx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lif_statistics', 'keyval': 'lif_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, rx_packets=rx_packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, rx_packets=rx_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_bridge_domain_statistics_lif_statistics_tx_bytes_update(self, bridge_domain_statistics=None, lif_statistics=None, tx_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_statistics: bd_id
    :param bridge_domain_statistics: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lif_statistics: lif_id
    :param lif_statistics: Keyword argument tuple.

    :type lif_id: long
    :param lif_id: **lif_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_bytes: long
    :param tx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lif_statistics', 'keyval': 'lif_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, tx_bytes=tx_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, tx_bytes=tx_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_bridge_domain_statistics_lif_statistics_tx_packets_update(self, bridge_domain_statistics=None, lif_statistics=None, tx_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_statistics: bd_id
    :param bridge_domain_statistics: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lif_statistics: lif_id
    :param lif_statistics: Keyword argument tuple.

    :type lif_id: long
    :param lif_id: **lif_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_packets: long
    :param tx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'bd_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lif_statistics', 'keyval': 'lif_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, tx_packets=tx_packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, tx_packets=tx_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_vlan_statistics_port_statistics_update(self, vlan_statistics=None, port_statistics=None, rx_packets=None, tx_packets=None, rx_bytes=None, tx_bytes=None, port_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan_statistics: vlan_id
    :param vlan_statistics: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **vlan_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_statistics: port_id
    :param port_statistics: Keyword argument tuple.

    :type port_id: long
    :param port_id: **port_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_packets: long
    :param rx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_packets: long
    :param tx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_bytes: long
    :param rx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_bytes: long
    :param tx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type port_name: unicode
    :param port_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_statistics', 'keyval': 'port_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan_statistics=vlan_statistics, port_statistics=port_statistics, rx_packets=rx_packets, tx_packets=tx_packets, rx_bytes=rx_bytes, tx_bytes=tx_bytes, port_name=port_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_statistics=vlan_statistics, port_statistics=port_statistics, rx_packets=rx_packets, tx_packets=tx_packets, rx_bytes=rx_bytes, tx_bytes=tx_bytes, port_name=port_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_vlan_statistics_port_statistics_port_name_update(self, vlan_statistics=None, port_statistics=None, port_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan_statistics: vlan_id
    :param vlan_statistics: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **vlan_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_statistics: port_id
    :param port_statistics: Keyword argument tuple.

    :type port_id: long
    :param port_id: **port_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type port_name: unicode
    :param port_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_statistics', 'keyval': 'port_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan_statistics=vlan_statistics, port_statistics=port_statistics, port_name=port_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_statistics=vlan_statistics, port_statistics=port_statistics, port_name=port_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_vlan_statistics_port_statistics_rx_bytes_update(self, vlan_statistics=None, port_statistics=None, rx_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan_statistics: vlan_id
    :param vlan_statistics: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **vlan_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_statistics: port_id
    :param port_statistics: Keyword argument tuple.

    :type port_id: long
    :param port_id: **port_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_bytes: long
    :param rx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_statistics', 'keyval': 'port_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan_statistics=vlan_statistics, port_statistics=port_statistics, rx_bytes=rx_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_statistics=vlan_statistics, port_statistics=port_statistics, rx_bytes=rx_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_vlan_statistics_port_statistics_rx_packets_update(self, vlan_statistics=None, port_statistics=None, rx_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan_statistics: vlan_id
    :param vlan_statistics: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **vlan_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_statistics: port_id
    :param port_statistics: Keyword argument tuple.

    :type port_id: long
    :param port_id: **port_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_packets: long
    :param rx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_statistics', 'keyval': 'port_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan_statistics=vlan_statistics, port_statistics=port_statistics, rx_packets=rx_packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_statistics=vlan_statistics, port_statistics=port_statistics, rx_packets=rx_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_vlan_statistics_port_statistics_tx_bytes_update(self, vlan_statistics=None, port_statistics=None, tx_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan_statistics: vlan_id
    :param vlan_statistics: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **vlan_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_statistics: port_id
    :param port_statistics: Keyword argument tuple.

    :type port_id: long
    :param port_id: **port_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_bytes: long
    :param tx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_statistics', 'keyval': 'port_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan_statistics=vlan_statistics, port_statistics=port_statistics, tx_bytes=tx_bytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_statistics=vlan_statistics, port_statistics=port_statistics, tx_bytes=tx_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_vlan_statistics_port_statistics_tx_packets_update(self, vlan_statistics=None, port_statistics=None, tx_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan_statistics: vlan_id
    :param vlan_statistics: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **vlan_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_statistics: port_id
    :param port_statistics: Keyword argument tuple.

    :type port_id: long
    :param port_id: **port_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_packets: long
    :param tx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_statistics', 'keyval': 'port_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan_statistics=vlan_statistics, port_statistics=port_statistics, tx_packets=tx_packets)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_statistics=vlan_statistics, port_statistics=port_statistics, tx_packets=tx_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_update(self, ffdc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ffdc: YANGBool
    :param ffdc: Enable/Disable FFDC file generation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ffdc=ffdc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ffdc=ffdc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_autoupload_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Autoupload

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.autoupload', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.autoupload', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.autoupload', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.autoupload', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_autoupload_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Autoupload

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.autoupload', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.autoupload', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.autoupload', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.autoupload', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_autoupload_param_update(self, hostip=None, username=None, directory=None, protocol=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hostip: unicode
    :param hostip: Host ipv4/ipv6 address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: User name

    :type directory: unicode
    :param directory: Directory

        * length restriction: ::

            ['1..47']

    :type protocol: unicode
    :param protocol: Protocol(scp | sftp | ftp)

        * length restriction: ::

            ['3..4']

        * pattern restriction: ::

            'ftp|scp|sftp|FTP|SCP|SFTP'

    :type password: unicode
    :param password: Password

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.autoupload_param', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.autoupload_param', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.autoupload_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.autoupload_param', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hostip, username, directory, protocol, password'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hostip=hostip, username=username, directory=directory, protocol=protocol, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hostip=hostip, username=username, directory=directory, protocol=protocol, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_autoupload_param_directory_update(self, directory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type directory: unicode
    :param directory: Directory

        * length restriction: ::

            ['1..47']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.autoupload_param', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.autoupload_param', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.autoupload_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.autoupload_param', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, directory=directory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, directory=directory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_autoupload_param_hostip_update(self, hostip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hostip: unicode
    :param hostip: Host ipv4/ipv6 address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.autoupload_param', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.autoupload_param', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.autoupload_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.autoupload_param', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hostip=hostip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hostip=hostip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_autoupload_param_password_update(self, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type password: unicode
    :param password: Password

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.autoupload_param', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.autoupload_param', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.autoupload_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.autoupload_param', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_autoupload_param_protocol_update(self, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Protocol(scp | sftp | ftp)

        * length restriction: ::

            ['3..4']

        * pattern restriction: ::

            'ftp|scp|sftp|FTP|SCP|SFTP'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.autoupload_param', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.autoupload_param', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.autoupload_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.autoupload_param', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_autoupload_param_username_update(self, username=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type username: unicode
    :param username: User name

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.autoupload_param', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.autoupload_param', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.autoupload_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.autoupload_param', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, username=username)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, username=username)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_ffdc_update(self, ffdc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type ffdc: YANGBool
    :param ffdc: Enable/Disable FFDC file generation

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, ffdc=ffdc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ffdc=ffdc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_support_param_update(self, hostip=None, username=None, directory=None, protocol=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hostip: unicode
    :param hostip: Host ipv4/ipv6 address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: User name

    :type directory: unicode
    :param directory: Directory

    :type protocol: unicode
    :param protocol: Protocol(scp | sftp | ftp)

        * length restriction: ::

            ['3..4']

        * pattern restriction: ::

            'ftp|scp|sftp|FTP|SCP|SFTP'

    :type password: unicode
    :param password: Password

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.support_param', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.support_param', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.support_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.support_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.support_param', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hostip, username, directory, protocol, password'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hostip=hostip, username=username, directory=directory, protocol=protocol, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hostip=hostip, username=username, directory=directory, protocol=protocol, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_support_param_directory_update(self, directory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type directory: unicode
    :param directory: Directory

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.support_param', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.support_param', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.support_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.support_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.support_param', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, directory=directory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, directory=directory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_support_param_hostip_update(self, hostip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type hostip: unicode
    :param hostip: Host ipv4/ipv6 address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.support_param', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.support_param', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.support_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.support_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.support_param', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hostip=hostip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hostip=hostip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_support_param_password_update(self, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type password: unicode
    :param password: Password

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.support_param', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.support_param', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.support_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.support_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.support_param', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_support_param_protocol_update(self, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Protocol(scp | sftp | ftp)

        * length restriction: ::

            ['3..4']

        * pattern restriction: ::

            'ftp|scp|sftp|FTP|SCP|SFTP'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.support_param', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.support_param', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.support_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.support_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.support_param', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def support_support_param_username_update(self, username=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type username: unicode
    :param username: User name

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.support.support_param', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.support.support_param', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.support.support_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.support_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.support.support_param', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, username=username)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, username=username)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def switch_attributes_update(self, chassis_name=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type chassis_name: unicode
    :param chassis_name: Chassis name[length:1-30]

        * length restriction: ::

            ['1..30']

    :type host_name: unicode
    :param host_name: Host name[length:1-30]

        * length restriction: ::

            ['1..30']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.system.switch_attributes', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_ras.switch_attributes', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.system.switch_attributes": {}, "pybind.slxos.v17r_1_00a.system_ras.switch_attributes": {"chassis_name": "chassis_name", "host_name": "host_name"}, "pybind.slxos.v16r_1_00b.system.switch_attributes": {"chassis_name": "chassis_name", "host_name": "host_name"}, "pybind.nos.v7_0_1b.system.switch_attributes": {}, "pybind.nos.v6_0_2c.system.switch_attributes": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, chassis_name=chassis_name, host_name=host_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, chassis_name=chassis_name, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def switch_attributes_chassis_name_update(self, chassis_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type chassis_name: unicode
    :param chassis_name: Chassis name[length:1-30]

        * length restriction: ::

            ['1..30']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.system.switch_attributes', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_ras.switch_attributes', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, chassis_name=chassis_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, chassis_name=chassis_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def switch_attributes_host_name_update(self, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type host_name: unicode
    :param host_name: Host name[length:1-30]

        * length restriction: ::

            ['1..30']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.system.switch_attributes', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_ras.switch_attributes', 'pybind.slxos.v17r_1_00a.brocade_ras', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host_name=host_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def switch_attributes_rbridge_id_update(self, rbridge_id=None, chassis_name=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: unicode
    :param rbridge_id: **rbridge_id** tuple argument.

        * length restriction: ::

            ['1..3']

        * pattern restriction: ::

            '[1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9]'

    **Instance Argument(s)**:

    :type chassis_name: unicode
    :param chassis_name: Chassis name[length:1-30]

        * length restriction: ::

            ['1..30']

    :type host_name: unicode
    :param host_name: Host name[length:1-30]

        * length restriction: ::

            ['1..30']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system.switch_attributes.rbridge_id', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system.switch_attributes.rbridge_id', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system.switch_attributes.rbridge_id', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, chassis_name=chassis_name, host_name=host_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, chassis_name=chassis_name, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def switch_attributes_rbridge_id_chassis_name_update(self, rbridge_id=None, chassis_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: unicode
    :param rbridge_id: **rbridge_id** tuple argument.

        * length restriction: ::

            ['1..3']

        * pattern restriction: ::

            '[1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9]'

    **Instance Argument(s)**:

    :type chassis_name: unicode
    :param chassis_name: Chassis name[length:1-30]

        * length restriction: ::

            ['1..30']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system.switch_attributes.rbridge_id', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system.switch_attributes.rbridge_id', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system.switch_attributes.rbridge_id', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, chassis_name=chassis_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, chassis_name=chassis_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def switch_attributes_rbridge_id_host_name_update(self, rbridge_id=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: unicode
    :param rbridge_id: **rbridge_id** tuple argument.

        * length restriction: ::

            ['1..3']

        * pattern restriction: ::

            '[1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9]'

    **Instance Argument(s)**:

    :type host_name: unicode
    :param host_name: Host name[length:1-30]

        * length restriction: ::

            ['1..30']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system.switch_attributes.rbridge_id', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system.switch_attributes.rbridge_id', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system.switch_attributes.rbridge_id', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rbridge_id=rbridge_id, host_name=host_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_fe_access_check_update(self, fe_access_check_disable=None, fe_access_check_interval=None, fe_access_check_threshold=None, fe_access_check_recovery_threshold=None, fe_access_check_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fe_access_check_disable: YANGBool
    :param fe_access_check_disable: Disable Fe Access Check (Default: Enabled)

    :type fe_access_check_interval: int
    :param fe_access_check_interval: Set Fe-Access-Check poll-interval

        * range restriction: ::

            ['0..65535']

    :type fe_access_check_threshold: int
    :param fe_access_check_threshold: Set Fe-Access-Check threshold

        * range restriction: ::

            ['0..255']

    :type fe_access_check_recovery_threshold: int
    :param fe_access_check_recovery_threshold: Set Fe-Access-Check recovery threshold

        * range restriction: ::

            ['0..255']

    :type fe_access_check_action: unicode
    :param fe_access_check_action: Set Fe-Access-Check action

        * enumeration restriction: ::

            ['recover', 'log']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.fe_access_check', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.fe_access_check', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fe_access_check_disable=fe_access_check_disable, fe_access_check_interval=fe_access_check_interval, fe_access_check_threshold=fe_access_check_threshold, fe_access_check_recovery_threshold=fe_access_check_recovery_threshold, fe_access_check_action=fe_access_check_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fe_access_check_disable=fe_access_check_disable, fe_access_check_interval=fe_access_check_interval, fe_access_check_threshold=fe_access_check_threshold, fe_access_check_recovery_threshold=fe_access_check_recovery_threshold, fe_access_check_action=fe_access_check_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_fe_access_check_action_update(self, fe_access_check_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fe_access_check_action: unicode
    :param fe_access_check_action: Set Fe-Access-Check action

        * enumeration restriction: ::

            ['recover', 'log']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.fe_access_check', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.fe_access_check', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fe_access_check_action=fe_access_check_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fe_access_check_action=fe_access_check_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_fe_access_check_disable_update(self, fe_access_check_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fe_access_check_disable: YANGBool
    :param fe_access_check_disable: Disable Fe Access Check (Default: Enabled)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.fe_access_check', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.fe_access_check', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fe_access_check_disable=fe_access_check_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fe_access_check_disable=fe_access_check_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_fe_access_check_poll_interval_update(self, fe_access_check_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fe_access_check_interval: int
    :param fe_access_check_interval: Set Fe-Access-Check poll-interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.fe_access_check', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.fe_access_check', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fe_access_check_interval=fe_access_check_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fe_access_check_interval=fe_access_check_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_fe_access_check_recovery_threshold_update(self, fe_access_check_recovery_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fe_access_check_recovery_threshold: int
    :param fe_access_check_recovery_threshold: Set Fe-Access-Check recovery threshold

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.fe_access_check', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.fe_access_check', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fe_access_check_recovery_threshold=fe_access_check_recovery_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fe_access_check_recovery_threshold=fe_access_check_recovery_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_fe_access_check_threshold_update(self, fe_access_check_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type fe_access_check_threshold: int
    :param fe_access_check_threshold: Set Fe-Access-Check threshold

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.fe_access_check', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.fe_access_check', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, fe_access_check_threshold=fe_access_check_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fe_access_check_threshold=fe_access_check_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_link_crc_monitoring_update(self, link_crc_mon_disable=None, link_crc_mon_interval=None, link_crc_mon_threshold=None, link_crc_mon_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type link_crc_mon_disable: YANGBool
    :param link_crc_mon_disable: Disable Link CRC Monitoring (Default: Enabled)

    :type link_crc_mon_interval: int
    :param link_crc_mon_interval: Set Link CRC Monitoring poll-interval

        * range restriction: ::

            ['0..65535']

    :type link_crc_mon_threshold: int
    :param link_crc_mon_threshold: Set Link CRC Monitoring threshold

        * range restriction: ::

            ['0..255']

    :type link_crc_mon_action: unicode
    :param link_crc_mon_action: Set Link CRC Monitoring action

        * enumeration restriction: ::

            ['log', 'link-disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.link_crc_monitoring', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.link_crc_monitoring', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link_crc_mon_disable=link_crc_mon_disable, link_crc_mon_interval=link_crc_mon_interval, link_crc_mon_threshold=link_crc_mon_threshold, link_crc_mon_action=link_crc_mon_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link_crc_mon_disable=link_crc_mon_disable, link_crc_mon_interval=link_crc_mon_interval, link_crc_mon_threshold=link_crc_mon_threshold, link_crc_mon_action=link_crc_mon_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_link_crc_monitoring_action_update(self, link_crc_mon_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type link_crc_mon_action: unicode
    :param link_crc_mon_action: Set Link CRC Monitoring action

        * enumeration restriction: ::

            ['log', 'link-disable']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.link_crc_monitoring', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.link_crc_monitoring', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link_crc_mon_action=link_crc_mon_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link_crc_mon_action=link_crc_mon_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_link_crc_monitoring_disable_update(self, link_crc_mon_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type link_crc_mon_disable: YANGBool
    :param link_crc_mon_disable: Disable Link CRC Monitoring (Default: Enabled)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.link_crc_monitoring', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.link_crc_monitoring', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link_crc_mon_disable=link_crc_mon_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link_crc_mon_disable=link_crc_mon_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_link_crc_monitoring_poll_interval_update(self, link_crc_mon_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type link_crc_mon_interval: int
    :param link_crc_mon_interval: Set Link CRC Monitoring poll-interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.link_crc_monitoring', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.link_crc_monitoring', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link_crc_mon_interval=link_crc_mon_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link_crc_mon_interval=link_crc_mon_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_link_crc_monitoring_threshold_update(self, link_crc_mon_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type link_crc_mon_threshold: int
    :param link_crc_mon_threshold: Set Link CRC Monitoring threshold

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.link_crc_monitoring', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.link_crc_monitoring', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, link_crc_mon_threshold=link_crc_mon_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link_crc_mon_threshold=link_crc_mon_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_sfm_walk_update(self, sfm_walk_auto=None, sfm_walk_dis_redundancy_check=None, sfm_walk_interval=None, sfm_walk_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sfm_walk_auto: YANGBool
    :param sfm_walk_auto: Enable Auto SFM Walk (Default: Disabled)

    :type sfm_walk_dis_redundancy_check: YANGBool
    :param sfm_walk_dis_redundancy_check: Disable SFM Walk redundancy check (Default: Enabled)

    :type sfm_walk_interval: int
    :param sfm_walk_interval: Set SFM Walk poll-interval

        * range restriction: ::

            ['0..65535']

    :type sfm_walk_threshold: int
    :param sfm_walk_threshold: Set SFM Walk reassembly error threshold

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.sfm_walk', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.sfm_walk', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sfm_walk_auto=sfm_walk_auto, sfm_walk_dis_redundancy_check=sfm_walk_dis_redundancy_check, sfm_walk_interval=sfm_walk_interval, sfm_walk_threshold=sfm_walk_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sfm_walk_auto=sfm_walk_auto, sfm_walk_dis_redundancy_check=sfm_walk_dis_redundancy_check, sfm_walk_interval=sfm_walk_interval, sfm_walk_threshold=sfm_walk_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_sfm_walk_auto_update(self, sfm_walk_auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sfm_walk_auto: YANGBool
    :param sfm_walk_auto: Enable Auto SFM Walk (Default: Disabled)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.sfm_walk', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.sfm_walk', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sfm_walk_auto=sfm_walk_auto)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sfm_walk_auto=sfm_walk_auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_sfm_walk_disable_redundancy_check_update(self, sfm_walk_dis_redundancy_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sfm_walk_dis_redundancy_check: YANGBool
    :param sfm_walk_dis_redundancy_check: Disable SFM Walk redundancy check (Default: Enabled)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.sfm_walk', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.sfm_walk', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sfm_walk_dis_redundancy_check=sfm_walk_dis_redundancy_check)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sfm_walk_dis_redundancy_check=sfm_walk_dis_redundancy_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_sfm_walk_poll_interval_update(self, sfm_walk_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sfm_walk_interval: int
    :param sfm_walk_interval: Set SFM Walk poll-interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.sfm_walk', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.sfm_walk', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sfm_walk_interval=sfm_walk_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sfm_walk_interval=sfm_walk_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sysmon_sfm_walk_threshold_update(self, sfm_walk_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type sfm_walk_threshold: int
    :param sfm_walk_threshold: Set SFM Walk reassembly error threshold

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.sfm_walk', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.sysmon.sfm_walk', 'pybind.slxos.v17r_1_00a.brocade_sysmon', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sfm_walk_threshold=sfm_walk_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sfm_walk_threshold=sfm_walk_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_interface_update(self, utilization_watermark=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type utilization_watermark: YANGBool
    :param utilization_watermark: Enable Port utilization watermark (Default: Enabled)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_config.interface', 'pybind.slxos.v17r_1_00a.brocade_system_watermark', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, utilization_watermark=utilization_watermark)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, utilization_watermark=utilization_watermark)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_interface_utilization_watermark_update(self, utilization_watermark=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type utilization_watermark: YANGBool
    :param utilization_watermark: Enable Port utilization watermark (Default: Enabled)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_config.interface', 'pybind.slxos.v17r_1_00a.brocade_system_watermark', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, utilization_watermark=utilization_watermark)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, utilization_watermark=utilization_watermark)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_max_update(self, arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type arp: long
    :param arp: Maximum number of arps system will allocate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_arp_holder.system_max', 'pybind.nos.v6_0_2c.brocade_arp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_arp_holder.system_max', 'pybind.nos.v7_0_1b.brocade_arp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_arp_holder.system_max', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arp=arp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arp=arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_max_arp_update(self, arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type arp: long
    :param arp: Maximum number of arps system will allocate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_arp_holder.system_max', 'pybind.nos.v6_0_2c.brocade_arp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_arp_holder.system_max', 'pybind.nos.v7_0_1b.brocade_arp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_arp_holder.system_max', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, arp=arp)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arp=arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_cid_card_alert_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:CID-CARDthat may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type action: unicode
    :param action: Action that may be taken whencomponent:CID-CARD changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.cid_card.alert', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, state=state, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_cid_card_alert_action_update(self, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Action that may be taken whencomponent:CID-CARD changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.cid_card.alert', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_cid_card_alert_state_update(self, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:CID-CARDthat may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.cid_card.alert', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_cid_card_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINALstate of component:CID-CARD

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWNstate of component:CID-CARD

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.cid_card.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_cid_card_threshold_down_threshold_update(self, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWNstate of component:CID-CARD

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.cid_card.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_cid_card_threshold_marginal_threshold_update(self, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINALstate of component:CID-CARD

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.cid_card.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_compact_flash_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINALstate of component:COMPACT-FLASH

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWNstate of component:COMPACT-FLASH

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.compact_flash.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_compact_flash_threshold_down_threshold_update(self, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWNstate of component:COMPACT-FLASH

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.compact_flash.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_compact_flash_threshold_marginal_threshold_update(self, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINALstate of component:COMPACT-FLASH

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.compact_flash.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_fan_alert_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:FAN that may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type action: unicode
    :param action: Action that may be taken when component:FAN changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.fan.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.fan.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.fan.alert', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, state=state, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_fan_alert_action_update(self, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Action that may be taken when component:FAN changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.fan.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.fan.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.fan.alert', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_fan_alert_state_update(self, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:FAN that may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.fan.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.fan.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.fan.alert', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_fan_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:FAN

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:FAN

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.fan.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.fan.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.fan.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_fan_threshold_down_threshold_update(self, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:FAN

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.fan.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.fan.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.fan.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_fan_threshold_marginal_threshold_update(self, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:FAN

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.fan.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.fan.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.fan.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_linecard_alert_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:LINECARDthat may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type action: unicode
    :param action: Action that may be taken whencomponent:LINECARD changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.LineCard.alert', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, state=state, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_linecard_alert_action_update(self, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Action that may be taken whencomponent:LINECARD changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.LineCard.alert', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_linecard_alert_state_update(self, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:LINECARDthat may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.LineCard.alert', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_linecard_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:LineCard

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:LineCard

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.LineCard.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_linecard_threshold_down_threshold_update(self, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:LineCard

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.LineCard.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_linecard_threshold_marginal_threshold_update(self, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:LineCard

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.LineCard.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_fru_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable FRU email alerts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.fru', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.fru', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.fru', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.fru', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor_mail.fru', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_fru_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable FRU email alerts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.fru', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.fru', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.fru', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.fru', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor_mail.fru', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_interface_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable interface email alerts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.interface', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.interface', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.interface', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.interface', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor_mail.interface', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_interface_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable interface email alerts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.interface', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.interface', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.interface', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.interface', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor_mail.interface', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_relay_update(self, relay=None, domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type relay: host_ip
    :param relay: Keyword argument tuple.

    :type host_ip: unicode
    :param host_ip: **relay** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type domain_name: unicode
    :param domain_name: Domain name server

        * length restriction: ::

            ['0 .. 64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.relay', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.relay', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.relay', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.relay', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor_mail.relay', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'host_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, relay=relay, domain_name=domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, relay=relay, domain_name=domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_relay_domain_name_update(self, relay=None, domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type relay: host_ip
    :param relay: Keyword argument tuple.

    :type host_ip: unicode
    :param host_ip: **relay** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type domain_name: unicode
    :param domain_name: Domain name server

        * length restriction: ::

            ['0 .. 64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.relay', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.relay', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.relay', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.relay', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor_mail.relay', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'host_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, relay=relay, domain_name=domain_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, relay=relay, domain_name=domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_security_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable security email alerts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.security', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.security', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.security', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.security', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor_mail.security', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_security_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable security email alerts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.security', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.security', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.security', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.security', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor_mail.security', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_sfp_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable sfp email alerts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.sfp', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.sfp', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.sfp', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.sfp', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor_mail.sfp', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_sfp_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable sfp email alerts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.sfp', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.sfp', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.sfp', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.sfp', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor_mail.sfp', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mm_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:MM

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:MM

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.MM.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.MM.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.MM.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mm_threshold_down_threshold_update(self, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:MM

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.MM.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.MM.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.MM.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mm_threshold_marginal_threshold_update(self, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:MM

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.MM.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.MM.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.MM.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_port_crc_update(self, port_crc_mon_action=None, port_crc_mon_interval=None, port_crc_mon_threshold=None, port_crc_mon_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type port_crc_mon_action: unicode
    :param port_crc_mon_action: Set Port CRC Monitoring Action

        * enumeration restriction: ::

            ['port-shutdown', 'raslog']

    :type port_crc_mon_interval: int
    :param port_crc_mon_interval: Set Port CRC Monitoring Poll-Interval

        * range restriction: ::

            ['0..65535']

    :type port_crc_mon_threshold: int
    :param port_crc_mon_threshold: Set Port CRC Monitoring Threshold

        * range restriction: ::

            ['0..255']

    :type port_crc_mon_disable: YANGBool
    :param port_crc_mon_disable: Enable Port CRC Monitoring (Default: Enabled)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.port.crc', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_crc_mon_action=port_crc_mon_action, port_crc_mon_interval=port_crc_mon_interval, port_crc_mon_threshold=port_crc_mon_threshold, port_crc_mon_disable=port_crc_mon_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_crc_mon_action=port_crc_mon_action, port_crc_mon_interval=port_crc_mon_interval, port_crc_mon_threshold=port_crc_mon_threshold, port_crc_mon_disable=port_crc_mon_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_port_crc_action_update(self, port_crc_mon_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type port_crc_mon_action: unicode
    :param port_crc_mon_action: Set Port CRC Monitoring Action

        * enumeration restriction: ::

            ['port-shutdown', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.port.crc', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_crc_mon_action=port_crc_mon_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_crc_mon_action=port_crc_mon_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_port_crc_enable_update(self, port_crc_mon_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type port_crc_mon_disable: YANGBool
    :param port_crc_mon_disable: Enable Port CRC Monitoring (Default: Enabled)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.port.crc', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_crc_mon_disable=port_crc_mon_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_crc_mon_disable=port_crc_mon_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_port_crc_poll_interval_update(self, port_crc_mon_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type port_crc_mon_interval: int
    :param port_crc_mon_interval: Set Port CRC Monitoring Poll-Interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.port.crc', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_crc_mon_interval=port_crc_mon_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_crc_mon_interval=port_crc_mon_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_port_crc_threshold_update(self, port_crc_mon_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type port_crc_mon_threshold: int
    :param port_crc_mon_threshold: Set Port CRC Monitoring Threshold

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.port.crc', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, port_crc_mon_threshold=port_crc_mon_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_crc_mon_threshold=port_crc_mon_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_power_alert_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:POWER-SUPPLY that may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type action: unicode
    :param action: Action that may be taken whencomponent:POWER SUPPLY changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.power.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.power.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.power.alert', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, state=state, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_power_alert_action_update(self, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Action that may be taken whencomponent:POWER SUPPLY changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.power.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.power.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.power.alert', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_power_alert_state_update(self, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:POWER-SUPPLY that may be monitored

        * enumeration restriction: ::

            ['on',
            'none',
            'removed',
            'all',
            'faulty',
            'inserted']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.power.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.power.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.power.alert', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_power_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:POWER SUPPLY

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWN state of component:POWER SUPPLY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.power.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.power.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.power.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_power_threshold_down_threshold_update(self, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWN state of component:POWER SUPPLY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.power.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.power.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.power.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_power_threshold_marginal_threshold_update(self, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:POWER SUPPLY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.power.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.power.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.power.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_sfm_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:SFM

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:SFM

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.SFM.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_sfm_threshold_down_threshold_update(self, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to  DOWN state of component:SFM

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.SFM.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_sfm_threshold_marginal_threshold_update(self, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:SFM

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.SFM.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_sfp_alert_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:SFP that may be monitored

        * enumeration restriction: ::

            ['none', 'removed', 'inserted', 'faulty', 'all']

    :type action: unicode
    :param action: Action that may be taken whencomponent:SFP changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.sfp.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.sfp.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, state=state, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_sfp_alert_action_update(self, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Action that may be taken whencomponent:SFP changes configured state

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.sfp.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.sfp.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, action=action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_sfp_alert_state_update(self, state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Supported states for component:SFP that may be monitored

        * enumeration restriction: ::

            ['none', 'removed', 'inserted', 'faulty', 'all']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.sfp.alert', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.sfp.alert', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, state=state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, state=state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_temp_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:TEMPERATURE SENSOR

        * range restriction: ::

            ['0..4294967295']

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWNstate of component:TEMPERATURE SENSOR

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.temp.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.temp.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.temp.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_temp_threshold_down_threshold_update(self, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type down_threshold: long
    :param down_threshold: Minimum number contributing to DOWNstate of component:TEMPERATURE SENSOR

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.temp.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.temp.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.temp.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, down_threshold=down_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_temp_threshold_marginal_threshold_update(self, marginal_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type marginal_threshold: long
    :param marginal_threshold: Minimum number contributing to MARGINAL state of component:TEMPERATURE SENSOR

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor.temp.threshold', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor.temp.threshold', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.system_monitor.temp.threshold', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, marginal_threshold=marginal_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, marginal_threshold=marginal_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_tm_delete_packet_update(self, tm_delete_packet_action=None, tm_delete_packet_threshold=None, tm_delete_packet_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tm_delete_packet_action: unicode
    :param tm_delete_packet_action: Set Delete Packet Monitoring Action

        * enumeration restriction: ::

            ['raslog']

    :type tm_delete_packet_threshold: long
    :param tm_delete_packet_threshold: Set delete packet monitoring threshold

        * range restriction: ::

            ['0..4294967295']

    :type tm_delete_packet_interval: int
    :param tm_delete_packet_interval: Set delete packet logging interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.tm.delete_packet', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_delete_packet_action=tm_delete_packet_action, tm_delete_packet_threshold=tm_delete_packet_threshold, tm_delete_packet_interval=tm_delete_packet_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_delete_packet_action=tm_delete_packet_action, tm_delete_packet_threshold=tm_delete_packet_threshold, tm_delete_packet_interval=tm_delete_packet_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_tm_delete_packet_action_update(self, tm_delete_packet_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tm_delete_packet_action: unicode
    :param tm_delete_packet_action: Set Delete Packet Monitoring Action

        * enumeration restriction: ::

            ['raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.tm.delete_packet', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_delete_packet_action=tm_delete_packet_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_delete_packet_action=tm_delete_packet_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_tm_delete_packet_logging_interval_update(self, tm_delete_packet_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tm_delete_packet_interval: int
    :param tm_delete_packet_interval: Set delete packet logging interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.tm.delete_packet', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_delete_packet_interval=tm_delete_packet_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_delete_packet_interval=tm_delete_packet_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_tm_delete_packet_threshold_update(self, tm_delete_packet_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tm_delete_packet_threshold: long
    :param tm_delete_packet_threshold: Set delete packet monitoring threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.tm.delete_packet', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_delete_packet_threshold=tm_delete_packet_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_delete_packet_threshold=tm_delete_packet_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_tm_discard_packet_update(self, tm_discard_packet_action=None, tm_discard_packet_threshold=None, tm_discard_packet_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tm_discard_packet_action: unicode
    :param tm_discard_packet_action: Set Discard Packet Monitoring Action

        * enumeration restriction: ::

            ['raslog']

    :type tm_discard_packet_threshold: long
    :param tm_discard_packet_threshold: Set discard packet monitoring threshold

        * range restriction: ::

            ['0..4294967295']

    :type tm_discard_packet_interval: int
    :param tm_discard_packet_interval: Set discard packet logging interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.tm.discard_packet', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_discard_packet_action=tm_discard_packet_action, tm_discard_packet_threshold=tm_discard_packet_threshold, tm_discard_packet_interval=tm_discard_packet_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_discard_packet_action=tm_discard_packet_action, tm_discard_packet_threshold=tm_discard_packet_threshold, tm_discard_packet_interval=tm_discard_packet_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_tm_discard_packet_action_update(self, tm_discard_packet_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tm_discard_packet_action: unicode
    :param tm_discard_packet_action: Set Discard Packet Monitoring Action

        * enumeration restriction: ::

            ['raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.tm.discard_packet', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_discard_packet_action=tm_discard_packet_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_discard_packet_action=tm_discard_packet_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_tm_discard_packet_logging_interval_update(self, tm_discard_packet_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tm_discard_packet_interval: int
    :param tm_discard_packet_interval: Set discard packet logging interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.tm.discard_packet', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_discard_packet_interval=tm_discard_packet_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_discard_packet_interval=tm_discard_packet_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_tm_discard_packet_threshold_update(self, tm_discard_packet_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tm_discard_packet_threshold: long
    :param tm_discard_packet_threshold: Set discard packet monitoring threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.tm.discard_packet', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_discard_packet_threshold=tm_discard_packet_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_discard_packet_threshold=tm_discard_packet_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_tm_discard_voq_packet_update(self, tm_discard_voq_packet_action=None, tm_discard_voq_packet_threshold=None, tm_discard_voq_packet_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tm_discard_voq_packet_action: unicode
    :param tm_discard_voq_packet_action: Set Discard VOQ Packet Monitoring Action

        * enumeration restriction: ::

            ['raslog']

    :type tm_discard_voq_packet_threshold: long
    :param tm_discard_voq_packet_threshold: Set discard VOQ packet monitoring threshold

        * range restriction: ::

            ['0..4294967295']

    :type tm_discard_voq_packet_interval: int
    :param tm_discard_voq_packet_interval: Set discard VOQ packet logging interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.tm.discard_voq_packet', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_discard_voq_packet_action=tm_discard_voq_packet_action, tm_discard_voq_packet_threshold=tm_discard_voq_packet_threshold, tm_discard_voq_packet_interval=tm_discard_voq_packet_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_discard_voq_packet_action=tm_discard_voq_packet_action, tm_discard_voq_packet_threshold=tm_discard_voq_packet_threshold, tm_discard_voq_packet_interval=tm_discard_voq_packet_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_tm_discard_voq_packet_action_update(self, tm_discard_voq_packet_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tm_discard_voq_packet_action: unicode
    :param tm_discard_voq_packet_action: Set Discard VOQ Packet Monitoring Action

        * enumeration restriction: ::

            ['raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.tm.discard_voq_packet', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_discard_voq_packet_action=tm_discard_voq_packet_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_discard_voq_packet_action=tm_discard_voq_packet_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_tm_discard_voq_packet_logging_interval_update(self, tm_discard_voq_packet_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tm_discard_voq_packet_interval: int
    :param tm_discard_voq_packet_interval: Set discard VOQ packet logging interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.tm.discard_voq_packet', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_discard_voq_packet_interval=tm_discard_voq_packet_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_discard_voq_packet_interval=tm_discard_voq_packet_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_tm_discard_voq_packet_threshold_update(self, tm_discard_voq_packet_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type tm_discard_voq_packet_threshold: long
    :param tm_discard_voq_packet_threshold: Set discard VOQ packet monitoring threshold

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_monitor.tm.discard_voq_packet', 'pybind.slxos.v17r_1_00a.brocade_system_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_discard_voq_packet_threshold=tm_discard_voq_packet_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_discard_voq_packet_threshold=tm_discard_voq_packet_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_tunnel_update(self, suppress_debounce=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type suppress_debounce: YANGBool
    :param suppress_debounce: suppress debouncing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.tunnel_settings.system.tunnel', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.tunnel_settings.system.tunnel', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tunnel_settings.system.tunnel', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, suppress_debounce=suppress_debounce)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, suppress_debounce=suppress_debounce)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_tunnel_replicator_update(self, load_balance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type load_balance: YANGBool
    :param load_balance: Configure load balancing of BUM traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.tunnel_settings.system.tunnel.replicator', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tunnel_settings.system.tunnel.replicator', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, load_balance=load_balance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, load_balance=load_balance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_tunnel_replicator_load_balance_update(self, load_balance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type load_balance: YANGBool
    :param load_balance: Configure load balancing of BUM traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.tunnel_settings.system.tunnel.replicator', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tunnel_settings.system.tunnel.replicator', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, load_balance=load_balance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, load_balance=load_balance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_tunnel_suppress_debounce_update(self, suppress_debounce=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type suppress_debounce: YANGBool
    :param suppress_debounce: suppress debouncing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.tunnel_settings.system.tunnel', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.tunnel_settings.system.tunnel', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tunnel_settings.system.tunnel', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, suppress_debounce=suppress_debounce)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, suppress_debounce=suppress_debounce)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_update(self, profile_name=None, total_system_memory=None, total_used_memory=None, total_free_memory=None, cached_memory=None, buffers=None, user_free_memory=None, kernel_free_memory=None, total_swap_memory=None, total_free_swap_memory=None, total_used_swap_memory=None, user_process=None, system_process=None, niced_process=None, iowait=None, hw_interrupt=None, sw_interrupt=None, idle_state=None, steal_time=None, uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type profile_name: unicode
    :param profile_name: Keyword argument.

    :type total_system_memory: long
    :param total_system_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_used_memory: long
    :param total_used_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_free_memory: long
    :param total_free_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cached_memory: long
    :param cached_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type buffers: long
    :param buffers: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type user_free_memory: long
    :param user_free_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type kernel_free_memory: long
    :param kernel_free_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_swap_memory: long
    :param total_swap_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_free_swap_memory: long
    :param total_free_swap_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_used_swap_memory: long
    :param total_used_swap_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type user_process: long
    :param user_process: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type system_process: long
    :param system_process: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type niced_process: long
    :param niced_process: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type iowait: long
    :param iowait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hw_interrupt: long
    :param hw_interrupt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type sw_interrupt: long
    :param sw_interrupt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type idle_state: long
    :param idle_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type steal_time: long
    :param steal_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type uptime: long
    :param uptime: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile_name=profile_name, total_system_memory=total_system_memory, total_used_memory=total_used_memory, total_free_memory=total_free_memory, cached_memory=cached_memory, buffers=buffers, user_free_memory=user_free_memory, kernel_free_memory=kernel_free_memory, total_swap_memory=total_swap_memory, total_free_swap_memory=total_free_swap_memory, total_used_swap_memory=total_used_swap_memory, user_process=user_process, system_process=system_process, niced_process=niced_process, iowait=iowait, hw_interrupt=hw_interrupt, sw_interrupt=sw_interrupt, idle_state=idle_state, steal_time=steal_time, uptime=uptime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile_name=profile_name, total_system_memory=total_system_memory, total_used_memory=total_used_memory, total_free_memory=total_free_memory, cached_memory=cached_memory, buffers=buffers, user_free_memory=user_free_memory, kernel_free_memory=kernel_free_memory, total_swap_memory=total_swap_memory, total_free_swap_memory=total_free_swap_memory, total_used_swap_memory=total_used_swap_memory, user_process=user_process, system_process=system_process, niced_process=niced_process, iowait=iowait, hw_interrupt=hw_interrupt, sw_interrupt=sw_interrupt, idle_state=idle_state, steal_time=steal_time, uptime=uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_buffers_update(self, buffers=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type buffers: long
    :param buffers: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, buffers=buffers)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, buffers=buffers)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_cached_memory_update(self, cached_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type cached_memory: long
    :param cached_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cached_memory=cached_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cached_memory=cached_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_hw_interrupt_update(self, hw_interrupt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type hw_interrupt: long
    :param hw_interrupt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, hw_interrupt=hw_interrupt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hw_interrupt=hw_interrupt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_idle_state_update(self, idle_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type idle_state: long
    :param idle_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, idle_state=idle_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, idle_state=idle_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_iowait_update(self, iowait=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type iowait: long
    :param iowait: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, iowait=iowait)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, iowait=iowait)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_kernel_free_memory_update(self, kernel_free_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type kernel_free_memory: long
    :param kernel_free_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, kernel_free_memory=kernel_free_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kernel_free_memory=kernel_free_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_niced_process_update(self, niced_process=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type niced_process: long
    :param niced_process: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, niced_process=niced_process)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, niced_process=niced_process)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_profile_name_update(self, profile_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type profile_name: unicode
    :param profile_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, profile_name=profile_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile_name=profile_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_steal_time_update(self, steal_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type steal_time: long
    :param steal_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, steal_time=steal_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, steal_time=steal_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_sw_interrupt_update(self, sw_interrupt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type sw_interrupt: long
    :param sw_interrupt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, sw_interrupt=sw_interrupt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sw_interrupt=sw_interrupt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_system_process_update(self, system_process=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type system_process: long
    :param system_process: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, system_process=system_process)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, system_process=system_process)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_total_free_memory_update(self, total_free_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type total_free_memory: long
    :param total_free_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_free_memory=total_free_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_free_memory=total_free_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_total_free_swap_memory_update(self, total_free_swap_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type total_free_swap_memory: long
    :param total_free_swap_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_free_swap_memory=total_free_swap_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_free_swap_memory=total_free_swap_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_total_swap_memory_update(self, total_swap_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type total_swap_memory: long
    :param total_swap_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_swap_memory=total_swap_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_swap_memory=total_swap_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_total_system_memory_update(self, total_system_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type total_system_memory: long
    :param total_system_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_system_memory=total_system_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_system_memory=total_system_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_total_used_memory_update(self, total_used_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type total_used_memory: long
    :param total_used_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_used_memory=total_used_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_used_memory=total_used_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_total_used_swap_memory_update(self, total_used_swap_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type total_used_swap_memory: long
    :param total_used_swap_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, total_used_swap_memory=total_used_swap_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, total_used_swap_memory=total_used_swap_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_uptime_update(self, uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type uptime: long
    :param uptime: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, uptime=uptime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, uptime=uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_user_free_memory_update(self, user_free_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type user_free_memory: long
    :param user_free_memory: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, user_free_memory=user_free_memory)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user_free_memory=user_free_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_utilization_state_user_process_update(self, user_process=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type user_process: long
    :param user_process: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.system_utilization_state', 'pybind.slxos.v17r_1_00a.brocade_systemutilization_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, user_process=user_process)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user_process=user_process)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tacacs_server_update(self, tacacs_source_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type tacacs_source_ip: unicode
    :param tacacs_source_ip: Configure the source ip to be used for Tacacs+

        * enumeration restriction: ::

            ['chassis-ip', 'mm-ip']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.tacacs_server', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.tacacs_server', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tacacs_server', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tacacs_server', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tacacs_source_ip=tacacs_source_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tacacs_source_ip=tacacs_source_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tacacs_server_host_update(self, host=None, port=None, protocol=None, key=None, encryption_level=None, retries=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this TACACS+ server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type port: int
    :param port: TCP Port for Authentication (default=49)

        * range restriction: ::

            ['0..65535']

    :type protocol: unicode
    :param protocol: Authentication protocol to be used (default=CHAP)

        * enumeration restriction: ::

            ['pap', 'chap']

    :type key: unicode
    :param key: Secret shared with this server (default='sharedsecret')

        * length restriction: ::

            ['1 .. max']

    :type encryption_level: unicode
    :param encryption_level: Level of encryption of the key (default=7)

        * enumeration restriction: ::

            ['0', '7']

    :type retries: int
    :param retries: Number of retries for this server connection (default=5)

        * range restriction: ::

            ['0..255']

    :type timeout: int
    :param timeout: Wait time for this server to respond (default=5 sec)

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.tacacs_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.tacacs_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tacacs_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.tacacs_server.host": {}, "pybind.slxos.v17r_1_00a.tacacs_server.host": {}, "pybind.nos.v7_1_0.tacacs_server.host": {}, "pybind.slxos.v16r_1_00b.tacacs_server.host": {}, "pybind.nos.v6_0_2c.tacacs_server.host": {"encryption_level": "encryption_level", "retries": "retries", "protocol": "protocol", "timeout": "timeout", "hostname": "hostname", "key": "key", "port": "port"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, port=port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, port=port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tacacs_server_host_encryption_level_update(self, host=None, encryption_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this TACACS+ server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type encryption_level: unicode
    :param encryption_level: Level of encryption of the key (default=7)

        * enumeration restriction: ::

            ['0', '7']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.tacacs_server.host', u'host'), ('pybind.slxos.v16r_1_00b.tacacs_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.tacacs_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.tacacs_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tacacs_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.tacacs_server.host": {}, "pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options": {}, "pybind.nos.v7_1_0.tacacs_server.host": {}, "pybind.slxos.v17r_1_00a.tacacs_server.host.tacacs_server_options": {}, "pybind.nos.v6_0_2c.tacacs_server.host": {"encryption_level": "encryption_level", "hostname": "hostname"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, encryption_level=encryption_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, encryption_level=encryption_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tacacs_server_host_key_update(self, host=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this TACACS+ server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type key: unicode
    :param key: Secret shared with this server (default='sharedsecret')

        * length restriction: ::

            ['1 .. max']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.tacacs_server.host', u'host'), ('pybind.slxos.v16r_1_00b.tacacs_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.tacacs_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.tacacs_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tacacs_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.tacacs_server.host": {}, "pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options": {}, "pybind.nos.v7_1_0.tacacs_server.host": {}, "pybind.slxos.v17r_1_00a.tacacs_server.host.tacacs_server_options": {}, "pybind.nos.v6_0_2c.tacacs_server.host": {"hostname": "hostname", "key": "key"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, key=key)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tacacs_server_host_port_update(self, host=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this TACACS+ server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type port: int
    :param port: TCP Port for Authentication (default=49)

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.tacacs_server.host', u'host'), ('pybind.slxos.v16r_1_00b.tacacs_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.tacacs_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.tacacs_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tacacs_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.tacacs_server.host": {}, "pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options": {}, "pybind.nos.v7_1_0.tacacs_server.host": {}, "pybind.slxos.v17r_1_00a.tacacs_server.host.tacacs_server_options": {}, "pybind.nos.v6_0_2c.tacacs_server.host": {"hostname": "hostname", "port": "port"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, port=port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tacacs_server_host_protocol_update(self, host=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this TACACS+ server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Authentication protocol to be used (default=CHAP)

        * enumeration restriction: ::

            ['pap', 'chap']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.tacacs_server.host', u'host'), ('pybind.slxos.v16r_1_00b.tacacs_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.tacacs_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.tacacs_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tacacs_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.tacacs_server.host": {}, "pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options": {}, "pybind.nos.v7_1_0.tacacs_server.host": {}, "pybind.slxos.v17r_1_00a.tacacs_server.host.tacacs_server_options": {}, "pybind.nos.v6_0_2c.tacacs_server.host": {"hostname": "hostname", "protocol": "protocol"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, protocol=protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tacacs_server_host_retries_update(self, host=None, retries=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this TACACS+ server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type retries: int
    :param retries: Number of retries for this server connection (default=5)

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.tacacs_server.host', u'host'), ('pybind.slxos.v16r_1_00b.tacacs_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.tacacs_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.tacacs_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tacacs_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.tacacs_server.host": {}, "pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options": {}, "pybind.nos.v7_1_0.tacacs_server.host": {}, "pybind.slxos.v17r_1_00a.tacacs_server.host.tacacs_server_options": {}, "pybind.nos.v6_0_2c.tacacs_server.host": {"retries": "retries", "hostname": "hostname"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, retries=retries)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, retries=retries)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tacacs_server_host_timeout_update(self, host=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this TACACS+ server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type timeout: int
    :param timeout: Wait time for this server to respond (default=5 sec)

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.tacacs_server.host', u'host'), ('pybind.slxos.v16r_1_00b.tacacs_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2c.tacacs_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.tacacs_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tacacs_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}, {'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.tacacs_server.host": {}, "pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options": {}, "pybind.nos.v7_1_0.tacacs_server.host": {}, "pybind.slxos.v17r_1_00a.tacacs_server.host.tacacs_server_options": {}, "pybind.nos.v6_0_2c.tacacs_server.host": {"hostname": "hostname", "timeout": "timeout"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, host=host, timeout=timeout)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tacacs_server_source_ip_update(self, tacacs_source_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type tacacs_source_ip: unicode
    :param tacacs_source_ip: Configure the source ip to be used for Tacacs+

        * enumeration restriction: ::

            ['chassis-ip', 'mm-ip']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.tacacs_server', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.tacacs_server', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tacacs_server', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tacacs_server', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tacacs_source_ip=tacacs_source_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tacacs_source_ip=tacacs_source_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telemetry_collector_update(self, collector=None, collector_activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type collector: collector_name
    :param collector: Keyword argument tuple.

    :type collector_name: unicode
    :param collector_name: **collector** tuple argument:  Telemetry Collector Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type collector_activate: YANGBool
    :param collector_activate: Activate the collector profile

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.telemetry.collector', 'pybind.slxos.v17r_1_00a.brocade_telemetry', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'collector', 'keyval': 'collector_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, collector=collector, collector_activate=collector_activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, collector=collector, collector_activate=collector_activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telemetry_collector_activate_update(self, collector=None, collector_activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type collector: collector_name
    :param collector: Keyword argument tuple.

    :type collector_name: unicode
    :param collector_name: **collector** tuple argument:  Telemetry Collector Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type collector_activate: YANGBool
    :param collector_activate: Activate the collector profile

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.telemetry.collector', 'pybind.slxos.v17r_1_00a.brocade_telemetry', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'collector', 'keyval': 'collector_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, collector=collector, collector_activate=collector_activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, collector=collector, collector_activate=collector_activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telemetry_collector_ip_update(self, collector=None, collector_ip_address=None, collector_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type collector: collector_name
    :param collector: Keyword argument tuple.

    :type collector_name: unicode
    :param collector_name: **collector** tuple argument:  Telemetry Collector Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type collector_ip_address: unicode
    :param collector_ip_address: Collector IP Addres

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type collector_port: int
    :param collector_port: Collector Port number

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.telemetry.collector', u'collector')]
    bindings_list = [('pybind.slxos.v17r_1_00a.telemetry.collector.collector_ip', 'pybind.slxos.v17r_1_00a.brocade_telemetry', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'collector_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, collector=collector, collector_ip_address=collector_ip_address, collector_port=collector_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, collector=collector, collector_ip_address=collector_ip_address, collector_port=collector_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telemetry_collector_ip_collector_ip_address_update(self, collector=None, collector_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type collector: collector_name
    :param collector: Keyword argument tuple.

    :type collector_name: unicode
    :param collector_name: **collector** tuple argument:  Telemetry Collector Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type collector_ip_address: unicode
    :param collector_ip_address: Collector IP Addres

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.telemetry.collector', u'collector')]
    bindings_list = [('pybind.slxos.v17r_1_00a.telemetry.collector.collector_ip', 'pybind.slxos.v17r_1_00a.brocade_telemetry', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'collector_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, collector=collector, collector_ip_address=collector_ip_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, collector=collector, collector_ip_address=collector_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telemetry_collector_ip_port_update(self, collector=None, collector_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type collector: collector_name
    :param collector: Keyword argument tuple.

    :type collector_name: unicode
    :param collector_name: **collector** tuple argument:  Telemetry Collector Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type collector_port: int
    :param collector_port: Collector Port number

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.telemetry.collector', u'collector')]
    bindings_list = [('pybind.slxos.v17r_1_00a.telemetry.collector.collector_ip', 'pybind.slxos.v17r_1_00a.brocade_telemetry', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'collector_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, collector=collector, collector_port=collector_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, collector=collector, collector_port=collector_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telemetry_profile_interface_update(self, interface=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: name
    :param interface: Keyword argument tuple.

    :type name: unicode
    :param name: **interface** tuple argument:  Interface profile name

        * length restriction: ::

            ['3..64']

        * pattern restriction: ::

            'default_interface_statistics'

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Interface profile interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.telemetry.profile.interface', 'pybind.slxos.v17r_1_00a.brocade_telemetry', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telemetry_profile_interface_interval_update(self, interface=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type interface: name
    :param interface: Keyword argument tuple.

    :type name: unicode
    :param name: **interface** tuple argument:  Interface profile name

        * length restriction: ::

            ['3..64']

        * pattern restriction: ::

            'default_interface_statistics'

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Interface profile interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.telemetry.profile.interface', 'pybind.slxos.v17r_1_00a.brocade_telemetry', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface=interface, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telemetry_profile_system_utilization_update(self, system_utilization=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type system_utilization: name
    :param system_utilization: Keyword argument tuple.

    :type name: unicode
    :param name: **system_utilization** tuple argument:  System profile name

        * length restriction: ::

            ['3..64']

        * pattern restriction: ::

            'default_system_utilization_statistics'

    **Instance Argument(s)**:

    :type interval: long
    :param interval: System profile interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.telemetry.profile.system_utilization', 'pybind.slxos.v17r_1_00a.brocade_telemetry', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'system_utilization', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, system_utilization=system_utilization, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, system_utilization=system_utilization, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telemetry_profile_system_utilization_interval_update(self, system_utilization=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type system_utilization: name
    :param system_utilization: Keyword argument tuple.

    :type name: unicode
    :param name: **system_utilization** tuple argument:  System profile name

        * length restriction: ::

            ['3..64']

        * pattern restriction: ::

            'default_system_utilization_statistics'

    **Instance Argument(s)**:

    :type interval: long
    :param interval: System profile interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.telemetry.profile.system_utilization', 'pybind.slxos.v17r_1_00a.brocade_telemetry', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'system_utilization', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, system_utilization=system_utilization, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, system_utilization=system_utilization, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telemetry_server_update(self, server=None, transport=None, port=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type server: use_vrf
    :param server: Keyword argument tuple.

    :type use_vrf: unicode
    :param use_vrf: **server** tuple argument:  Vrf name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type transport: unicode
    :param transport: Service transport type;; Default is tcp.

        * enumeration restriction: ::

            ['ssl', 'tcp']

    :type port: long
    :param port: Service Port number;; Default is 50051.

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Activate the service

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.telemetry.server', 'pybind.slxos.v17r_1_00a.brocade_telemetry', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'server', 'keyval': 'use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, server=server, transport=transport, port=port, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server=server, transport=transport, port=port, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telemetry_server_activate_update(self, server=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type server: use_vrf
    :param server: Keyword argument tuple.

    :type use_vrf: unicode
    :param use_vrf: **server** tuple argument:  Vrf name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the service

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.telemetry.server', 'pybind.slxos.v17r_1_00a.brocade_telemetry', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'server', 'keyval': 'use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, server=server, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server=server, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telemetry_server_port_update(self, server=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type server: use_vrf
    :param server: Keyword argument tuple.

    :type use_vrf: unicode
    :param use_vrf: **server** tuple argument:  Vrf name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type port: long
    :param port: Service Port number;; Default is 50051.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.telemetry.server', 'pybind.slxos.v17r_1_00a.brocade_telemetry', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'server', 'keyval': 'use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, server=server, port=port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server=server, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telemetry_server_transport_update(self, server=None, transport=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type server: use_vrf
    :param server: Keyword argument tuple.

    :type use_vrf: unicode
    :param use_vrf: **server** tuple argument:  Vrf name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type transport: unicode
    :param transport: Service transport type;; Default is tcp.

        * enumeration restriction: ::

            ['ssl', 'tcp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.telemetry.server', 'pybind.slxos.v17r_1_00a.brocade_telemetry', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'server', 'keyval': 'use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, server=server, transport=transport)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server=server, transport=transport)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telnet_client_source_interface_update(self, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: The type of the interface.

        * enumeration restriction: ::

            ['ethernet', 've', 'loopback']

    :type interface_name: unicode
    :param interface_name: The Interface value.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.telnet_sa.telnet.client.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.telnet_sa.telnet.client.source_interface', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_type=interface_type, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telnet_client_source_interface_interface_name_update(self, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: The Interface value.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.telnet_sa.telnet.client.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.telnet_sa.telnet.client.source_interface', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_name=interface_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telnet_client_source_interface_interface_type_update(self, interface_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type interface_type: unicode
    :param interface_type: The type of the interface.

        * enumeration restriction: ::

            ['ethernet', 've', 'loopback']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.telnet_sa.telnet.client.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.telnet_sa.telnet.client.source_interface', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, interface_type=interface_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface_type=interface_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telnet_server_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown Telnet Server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.telnet_sa.telnet.server', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.telnet_sa.telnet.server', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.telnet_sa.telnet.server', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telnet_server_shutdown_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown Telnet Server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.telnet_sa.telnet.server', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.telnet_sa.telnet.server', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.telnet_sa.telnet.server', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, shutdown=shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telnet_server_standby_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Standby Telnet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.telnet_sa.telnet.server.standby', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.telnet_sa.telnet.server.standby', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.standby', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.standby', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.telnet_sa.telnet.server.standby', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telnet_server_standby_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Standby Telnet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.telnet_sa.telnet.server.standby', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.telnet_sa.telnet.server.standby', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.standby', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.standby', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.telnet_sa.telnet.server.standby', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telnet_server_use_vrf_update(self, use_vrf=None, telnet_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name, telnet_vrf_shutdown
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0 .. max']

    :type telnet_vrf_shutdown: YANGBool
    :param telnet_vrf_shutdown: **use_vrf** tuple argument:  Shutdown telnet server on given vrf

    **Instance Argument(s)**:

    :type telnet_vrf_shutdown: YANGBool
    :param telnet_vrf_shutdown: Shutdown telnet server on given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, use_vrf=use_vrf, telnet_vrf_shutdown=telnet_vrf_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_vrf=use_vrf, telnet_vrf_shutdown=telnet_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telnet_server_use_vrf_shutdown_update(self, use_vrf=None, telnet_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0 .. max']

    **Instance Argument(s)**:

    :type telnet_vrf_shutdown: YANGBool
    :param telnet_vrf_shutdown: Shutdown telnet server on given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.slxos.v17r_1_00a.brocade_sec_services', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, use_vrf=use_vrf, telnet_vrf_shutdown=telnet_vrf_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_vrf=use_vrf, telnet_vrf_shutdown=telnet_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_buffer_update(self, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type poll: long
    :param poll: NUMBER:10-3600 Polling interval

        * range restriction: ::

            ['0..4294967295']

    :type retry: long
    :param retry: NUMBER:1-100 Number of retries

        * range restriction: ::

            ['0..4294967295']

    :type limit: long
    :param limit: PERCENT:0-80 Percent threshold usage for component:Buffer

        * range restriction: ::

            ['0..4294967295']

    :type actions: unicode
    :param actions: Action to be taken when usage exceeds limit

        * enumeration restriction: ::

            ['loginfo', 'none', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, actions'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, poll=poll, retry=retry, limit=limit, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, poll=poll, retry=retry, limit=limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_buffer_actions_update(self, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type actions: unicode
    :param actions: Action to be taken when usage exceeds limit

        * enumeration restriction: ::

            ['loginfo', 'none', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_buffer_limit_update(self, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type limit: long
    :param limit: PERCENT:0-80 Percent threshold usage for component:Buffer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, limit=limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_buffer_poll_update(self, poll=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type poll: long
    :param poll: NUMBER:10-3600 Polling interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, poll=poll)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, poll=poll)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_buffer_retry_update(self, retry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type retry: long
    :param retry: NUMBER:1-100 Number of retries

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, retry=retry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, retry=retry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_cpu_update(self, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type poll: long
    :param poll: NUMBER:10-3600 Polling interval

        * range restriction: ::

            ['0..4294967295']

    :type retry: long
    :param retry: NUMBER:1-100 Number of retries

        * range restriction: ::

            ['0..4294967295']

    :type limit: long
    :param limit: PERCENT:0-80 Percent threshold usage for component:CPU

        * range restriction: ::

            ['0..4294967295']

    :type actions: unicode
    :param actions: Action to be taken when usage exceeds limit

        * enumeration restriction: ::

            ['none', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, actions'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, poll=poll, retry=retry, limit=limit, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, poll=poll, retry=retry, limit=limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_cpu_actions_update(self, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type actions: unicode
    :param actions: Action to be taken when usage exceeds limit

        * enumeration restriction: ::

            ['none', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_cpu_limit_update(self, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type limit: long
    :param limit: PERCENT:0-80 Percent threshold usage for component:CPU

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, limit=limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_cpu_poll_update(self, poll=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type poll: long
    :param poll: NUMBER:10-3600 Polling interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, poll=poll)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, poll=poll)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_cpu_retry_update(self, retry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type retry: long
    :param retry: NUMBER:1-100 Number of retries

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, retry=retry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, retry=retry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_update(self, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type apply: unicode
    :param apply: Apply configuration

    :type pause: YANGBool
    :param pause: Pause monitoring

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, apply=apply, pause=pause)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_apply_update(self, apply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type apply: unicode
    :param apply: Apply configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, apply=apply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, apply=apply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_pause_update(self, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pause: YANGBool
    :param pause: Pause monitoring

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pause=pause)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_area_alert_above_update(self, policy=None, area=None, above_highthresh_action=None, above_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type above_highthresh_action: unicode
    :param above_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['raslog', 'none', 'all', 'fence', 'email']

    :type above_lowthresh_action: unicode
    :param above_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, above_highthresh_action=above_highthresh_action, above_lowthresh_action=above_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, above_highthresh_action=above_highthresh_action, above_lowthresh_action=above_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_area_alert_above_highthresh_action_update(self, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type above_highthresh_action: unicode
    :param above_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['raslog', 'none', 'all', 'fence', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, above_highthresh_action=above_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_area_alert_above_lowthresh_action_update(self, policy=None, area=None, above_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type above_lowthresh_action: unicode
    :param above_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, above_lowthresh_action=above_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, above_lowthresh_action=above_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_area_alert_below_update(self, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type below_highthresh_action: unicode
    :param below_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type below_lowthresh_action: unicode
    :param below_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_area_alert_below_highthresh_action_update(self, policy=None, area=None, below_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type below_highthresh_action: unicode
    :param below_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, below_highthresh_action=below_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, below_highthresh_action=below_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_area_alert_below_lowthresh_action_update(self, policy=None, area=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type below_lowthresh_action: unicode
    :param below_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, below_lowthresh_action=below_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_area_threshold_update(self, policy=None, area=None, timebase_value=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type timebase_value: unicode
    :param timebase_value: Configure timebase for monitoring

        * enumeration restriction: ::

            ['none', 'minute', 'hour', 'day']

    :type high_threshold: long
    :param high_threshold: High threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type low_threshold: long
    :param low_threshold: Low threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type buffer: long
    :param buffer: Buffer threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'timebase_value, high_threshold, low_threshold, buffer'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, timebase_value=timebase_value, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, timebase_value=timebase_value, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_area_threshold_buffer_update(self, policy=None, area=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type buffer: long
    :param buffer: Buffer threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, buffer=buffer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_area_threshold_high_threshold_update(self, policy=None, area=None, high_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type high_threshold: long
    :param high_threshold: High threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, high_threshold=high_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, high_threshold=high_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_area_threshold_low_threshold_update(self, policy=None, area=None, low_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type low_threshold: long
    :param low_threshold: Low threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, low_threshold=low_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, low_threshold=low_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_area_threshold_timebase_update(self, policy=None, area=None, timebase_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    **Instance Argument(s)**:

    :type timebase_value: unicode
    :param timebase_value: Configure timebase for monitoring

        * enumeration restriction: ::

            ['none', 'minute', 'hour', 'day']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, timebase_value=timebase_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, timebase_value=timebase_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_memory_update(self, poll=None, retry=None, limit=None, high_limit=None, low_limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type poll: long
    :param poll: Polling interval

        * range restriction: ::

            ['0..4294967295']

    :type retry: long
    :param retry: NUMBER:0-100: Number of retries for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type limit: long
    :param limit: PERCENT:0-80 : Percent threshold usage for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type high_limit: long
    :param high_limit: PERCENT:0-80 : Percent high threshold usage for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type low_limit: long
    :param low_limit: PERCENT:0-80 : Percent low threshold usage for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type actions: unicode
    :param actions: Action to be taken when usage exceeds limit

        * enumeration restriction: ::

            ['none', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, high_limit, low_limit, actions'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, poll=poll, retry=retry, limit=limit, high_limit=high_limit, low_limit=low_limit, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, poll=poll, retry=retry, limit=limit, high_limit=high_limit, low_limit=low_limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_memory_actions_update(self, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type actions: unicode
    :param actions: Action to be taken when usage exceeds limit

        * enumeration restriction: ::

            ['none', 'raslog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, actions=actions)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_memory_high_limit_update(self, high_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type high_limit: long
    :param high_limit: PERCENT:0-80 : Percent high threshold usage for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, high_limit=high_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, high_limit=high_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_memory_limit_update(self, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type limit: long
    :param limit: PERCENT:0-80 : Percent threshold usage for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, limit=limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_memory_low_limit_update(self, low_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type low_limit: long
    :param low_limit: PERCENT:0-80 : Percent low threshold usage for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, low_limit=low_limit)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, low_limit=low_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_memory_poll_update(self, poll=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type poll: long
    :param poll: Polling interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, poll=poll)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, poll=poll)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_memory_retry_update(self, retry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type retry: long
    :param retry: NUMBER:0-100: Number of retries for component:MEMORY

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, retry=retry)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, retry=retry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_update(self, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type apply: unicode
    :param apply: Apply configuration

    :type pause: YANGBool
    :param pause: Pause monitoring

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, apply=apply, pause=pause)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_apply_update(self, apply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type apply: unicode
    :param apply: Apply configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, apply=apply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, apply=apply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_pause_update(self, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pause: YANGBool
    :param pause: Pause monitoring

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pause=pause)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_area_update(self, policy=None, area=None, timebase=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type timebase: unicode
    :param timebase: Configure timebase for monitoring

        * enumeration restriction: ::

            ['none', 'minute', 'hour', 'day']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, timebase=timebase)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, timebase=timebase)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_area_alert_above_update(self, policy=None, area=None, sec_above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_above_highthresh_action: unicode
    :param sec_above_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_area_alert_above_highthresh_action_update(self, policy=None, area=None, sec_above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_above_highthresh_action: unicode
    :param sec_above_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_area_alert_below_update(self, policy=None, area=None, sec_below_highthresh_action=None, sec_below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_below_highthresh_action: unicode
    :param sec_below_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type sec_below_lowthresh_action: unicode
    :param sec_below_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action, sec_below_lowthresh_action=sec_below_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action, sec_below_lowthresh_action=sec_below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_area_alert_below_highthresh_action_update(self, policy=None, area=None, sec_below_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_below_highthresh_action: unicode
    :param sec_below_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_area_alert_below_lowthresh_action_update(self, policy=None, area=None, sec_below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_below_lowthresh_action: unicode
    :param sec_below_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, sec_below_lowthresh_action=sec_below_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, sec_below_lowthresh_action=sec_below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_area_threshold_update(self, policy=None, area=None, sec_high_threshold=None, sec_low_threshold=None, sec_buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_high_threshold: long
    :param sec_high_threshold: High threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type sec_low_threshold: long
    :param sec_low_threshold: Low threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type sec_buffer: long
    :param sec_buffer: Buffer threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'sec_high_threshold, sec_low_threshold, sec_buffer'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, sec_high_threshold=sec_high_threshold, sec_low_threshold=sec_low_threshold, sec_buffer=sec_buffer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, sec_high_threshold=sec_high_threshold, sec_low_threshold=sec_low_threshold, sec_buffer=sec_buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_area_threshold_buffer_update(self, policy=None, area=None, sec_buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_buffer: long
    :param sec_buffer: Buffer threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, sec_buffer=sec_buffer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, sec_buffer=sec_buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_area_threshold_high_threshold_update(self, policy=None, area=None, sec_high_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_high_threshold: long
    :param sec_high_threshold: High threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, sec_high_threshold=sec_high_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, sec_high_threshold=sec_high_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_area_threshold_low_threshold_update(self, policy=None, area=None, sec_low_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type sec_low_threshold: long
    :param sec_low_threshold: Low threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, sec_low_threshold=sec_low_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, sec_low_threshold=sec_low_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_area_timebase_update(self, policy=None, area=None, timebase=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type timebase: unicode
    :param timebase: Configure timebase for monitoring

        * enumeration restriction: ::

            ['none', 'minute', 'hour', 'day']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, timebase=timebase)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, timebase=timebase)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_update(self, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type apply: unicode
    :param apply: Apply configuration

    :type pause: YANGBool
    :param pause: Pause monitoring

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, apply=apply, pause=pause)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_apply_update(self, apply=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type apply: unicode
    :param apply: Apply configuration

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, apply=apply)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, apply=apply)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_pause_update(self, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pause: YANGBool
    :param pause: Pause monitoring

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pause=pause)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_area_alert_above_update(self, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type above_highthresh_action: unicode
    :param above_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, above_highthresh_action=above_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_area_alert_above_highthresh_action_update(self, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type above_highthresh_action: unicode
    :param above_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, above_highthresh_action=above_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_area_alert_below_update(self, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type below_highthresh_action: unicode
    :param below_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type below_lowthresh_action: unicode
    :param below_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_area_alert_below_highthresh_action_update(self, policy=None, area=None, below_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type below_highthresh_action: unicode
    :param below_highthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, below_highthresh_action=below_highthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, below_highthresh_action=below_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_area_alert_below_lowthresh_action_update(self, policy=None, area=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type below_lowthresh_action: unicode
    :param below_lowthresh_action: Keyword argument.

        * enumeration restriction: ::

            ['none', 'all', 'raslog', 'email']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, below_lowthresh_action=below_lowthresh_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_area_threshold_update(self, policy=None, area=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type high_threshold: long
    :param high_threshold: High threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type low_threshold: long
    :param low_threshold: Low threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type buffer: long
    :param buffer: Buffer threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'high_threshold, low_threshold, buffer'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_area_threshold_buffer_update(self, policy=None, area=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type buffer: long
    :param buffer: Buffer threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, buffer=buffer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_area_threshold_high_threshold_update(self, policy=None, area=None, high_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type high_threshold: long
    :param high_threshold: High threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, high_threshold=high_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, high_threshold=high_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_area_threshold_low_threshold_update(self, policy=None, area=None, low_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    **Instance Argument(s)**:

    :type low_threshold: long
    :param low_threshold: Low threshold value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v17r_1_00a.brocade_threshold_monitor', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, policy=policy, area=area, low_threshold=low_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, low_threshold=low_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_buf_pool_stats_update(self, buf_pool_stats=None, dram_size=None, bd_occ_core0=None, buf_occ_bytes_core0=None, bd_occ_core1=None, buf_occ_bytes_core1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type buf_pool_stats: slot, tower
    :param buf_pool_stats: Keyword argument tuple.

    :type slot: int
    :param slot: **buf_pool_stats** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **buf_pool_stats** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dram_size: int
    :param dram_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type bd_occ_core0: long
    :param bd_occ_core0: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type buf_occ_bytes_core0: long
    :param buf_occ_bytes_core0: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type bd_occ_core1: long
    :param bd_occ_core1: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type buf_occ_bytes_core1: long
    :param buf_occ_bytes_core1: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.buf_pool_stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'buf_pool_stats', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, buf_pool_stats=buf_pool_stats, dram_size=dram_size, bd_occ_core0=bd_occ_core0, buf_occ_bytes_core0=buf_occ_bytes_core0, bd_occ_core1=bd_occ_core1, buf_occ_bytes_core1=buf_occ_bytes_core1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, buf_pool_stats=buf_pool_stats, dram_size=dram_size, bd_occ_core0=bd_occ_core0, buf_occ_bytes_core0=buf_occ_bytes_core0, bd_occ_core1=bd_occ_core1, buf_occ_bytes_core1=buf_occ_bytes_core1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_buf_pool_stats_bd_occ_core0_update(self, buf_pool_stats=None, bd_occ_core0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type buf_pool_stats: slot, tower
    :param buf_pool_stats: Keyword argument tuple.

    :type slot: int
    :param slot: **buf_pool_stats** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **buf_pool_stats** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type bd_occ_core0: long
    :param bd_occ_core0: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.buf_pool_stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'buf_pool_stats', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, buf_pool_stats=buf_pool_stats, bd_occ_core0=bd_occ_core0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, buf_pool_stats=buf_pool_stats, bd_occ_core0=bd_occ_core0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_buf_pool_stats_bd_occ_core1_update(self, buf_pool_stats=None, bd_occ_core1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type buf_pool_stats: slot, tower
    :param buf_pool_stats: Keyword argument tuple.

    :type slot: int
    :param slot: **buf_pool_stats** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **buf_pool_stats** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type bd_occ_core1: long
    :param bd_occ_core1: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.buf_pool_stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'buf_pool_stats', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, buf_pool_stats=buf_pool_stats, bd_occ_core1=bd_occ_core1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, buf_pool_stats=buf_pool_stats, bd_occ_core1=bd_occ_core1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_buf_pool_stats_buf_occ_bytes_core0_update(self, buf_pool_stats=None, buf_occ_bytes_core0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type buf_pool_stats: slot, tower
    :param buf_pool_stats: Keyword argument tuple.

    :type slot: int
    :param slot: **buf_pool_stats** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **buf_pool_stats** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type buf_occ_bytes_core0: long
    :param buf_occ_bytes_core0: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.buf_pool_stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'buf_pool_stats', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, buf_pool_stats=buf_pool_stats, buf_occ_bytes_core0=buf_occ_bytes_core0)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, buf_pool_stats=buf_pool_stats, buf_occ_bytes_core0=buf_occ_bytes_core0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_buf_pool_stats_buf_occ_bytes_core1_update(self, buf_pool_stats=None, buf_occ_bytes_core1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type buf_pool_stats: slot, tower
    :param buf_pool_stats: Keyword argument tuple.

    :type slot: int
    :param slot: **buf_pool_stats** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **buf_pool_stats** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type buf_occ_bytes_core1: long
    :param buf_occ_bytes_core1: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.buf_pool_stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'buf_pool_stats', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, buf_pool_stats=buf_pool_stats, buf_occ_bytes_core1=buf_occ_bytes_core1)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, buf_pool_stats=buf_pool_stats, buf_occ_bytes_core1=buf_occ_bytes_core1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_buf_pool_stats_dram_size_update(self, buf_pool_stats=None, dram_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type buf_pool_stats: slot, tower
    :param buf_pool_stats: Keyword argument tuple.

    :type slot: int
    :param slot: **buf_pool_stats** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **buf_pool_stats** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dram_size: int
    :param dram_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.buf_pool_stats', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'buf_pool_stats', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, buf_pool_stats=buf_pool_stats, dram_size=dram_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, buf_pool_stats=buf_pool_stats, dram_size=dram_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_cngn_mon_del_pkt_update(self, delete_pkt_threshold=None, delete_log_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type delete_pkt_threshold: long
    :param delete_pkt_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type delete_log_interval: int
    :param delete_log_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.cngn_mon_del_pkt', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, delete_pkt_threshold=delete_pkt_threshold, delete_log_interval=delete_log_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, delete_pkt_threshold=delete_pkt_threshold, delete_log_interval=delete_log_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_cngn_mon_del_pkt_delete_log_interval_update(self, delete_log_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type delete_log_interval: int
    :param delete_log_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.cngn_mon_del_pkt', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, delete_log_interval=delete_log_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, delete_log_interval=delete_log_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_cngn_mon_del_pkt_delete_pkt_threshold_update(self, delete_pkt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type delete_pkt_threshold: long
    :param delete_pkt_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.cngn_mon_del_pkt', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, delete_pkt_threshold=delete_pkt_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, delete_pkt_threshold=delete_pkt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_cngn_mon_dev_update(self, discard_pkt_threshold=None, discard_log_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type discard_pkt_threshold: long
    :param discard_pkt_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type discard_log_interval: int
    :param discard_log_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.cngn_mon_dev', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, discard_pkt_threshold=discard_pkt_threshold, discard_log_interval=discard_log_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, discard_pkt_threshold=discard_pkt_threshold, discard_log_interval=discard_log_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_cngn_mon_dev_discard_log_interval_update(self, discard_log_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type discard_log_interval: int
    :param discard_log_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.cngn_mon_dev', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, discard_log_interval=discard_log_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, discard_log_interval=discard_log_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_cngn_mon_dev_discard_pkt_threshold_update(self, discard_pkt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type discard_pkt_threshold: long
    :param discard_pkt_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.cngn_mon_dev', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, discard_pkt_threshold=discard_pkt_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, discard_pkt_threshold=discard_pkt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_cngn_mon_voq_update(self, discard_voq_pkt_threshold=None, discard_voq_log_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type discard_voq_pkt_threshold: long
    :param discard_voq_pkt_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type discard_voq_log_interval: int
    :param discard_voq_log_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.cngn_mon_voq', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, discard_voq_pkt_threshold=discard_voq_pkt_threshold, discard_voq_log_interval=discard_voq_log_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, discard_voq_pkt_threshold=discard_voq_pkt_threshold, discard_voq_log_interval=discard_voq_log_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_cngn_mon_voq_discard_voq_log_interval_update(self, discard_voq_log_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type discard_voq_log_interval: int
    :param discard_voq_log_interval: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.cngn_mon_voq', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, discard_voq_log_interval=discard_voq_log_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, discard_voq_log_interval=discard_voq_log_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_cngn_mon_voq_discard_voq_pkt_threshold_update(self, discard_voq_pkt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type discard_voq_pkt_threshold: long
    :param discard_voq_pkt_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.cngn_mon_voq', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, discard_voq_pkt_threshold=discard_voq_pkt_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, discard_voq_pkt_threshold=discard_voq_pkt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_non_empty_voq_update(self, non_empty_voq=None, voq_id=None, voq_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type non_empty_voq: slot_port
    :param non_empty_voq: Keyword argument tuple.

    :type slot_port: unicode
    :param slot_port: **non_empty_voq** tuple argument.

    **Instance Argument(s)**:

    :type voq_id: long
    :param voq_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type voq_size: long
    :param voq_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.non_empty_voq', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'non_empty_voq', 'keyval': 'slot_port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.tm_state.non_empty_voq": {"voq_id": "voq_id", "voq_size": "voq_size", "slot_port": "slot_port"}, "pybind.slxos.v17r_1_00a.tm_state.non_empty_voq": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, non_empty_voq=non_empty_voq, voq_id=voq_id, voq_size=voq_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, non_empty_voq=non_empty_voq, voq_id=voq_id, voq_size=voq_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_non_empty_voq_voq_id_update(self, non_empty_voq=None, voq_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type non_empty_voq: slot_port
    :param non_empty_voq: Keyword argument tuple.

    :type slot_port: unicode
    :param slot_port: **non_empty_voq** tuple argument.

    **Instance Argument(s)**:

    :type voq_id: long
    :param voq_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.non_empty_voq', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'non_empty_voq', 'keyval': 'slot_port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, non_empty_voq=non_empty_voq, voq_id=voq_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, non_empty_voq=non_empty_voq, voq_id=voq_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_non_empty_voq_voq_size_update(self, non_empty_voq=None, voq_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type non_empty_voq: slot_port
    :param non_empty_voq: Keyword argument tuple.

    :type slot_port: unicode
    :param slot_port: **non_empty_voq** tuple argument.

    **Instance Argument(s)**:

    :type voq_size: long
    :param voq_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.non_empty_voq', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'non_empty_voq', 'keyval': 'slot_port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, non_empty_voq=non_empty_voq, voq_size=voq_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, non_empty_voq=non_empty_voq, voq_size=voq_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_max_buff_util_data_update(self, tm_max_buff_util_data=None, max_buff_size=None, max_buff_util=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_max_buff_util_data: slot, tower
    :param tm_max_buff_util_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_max_buff_util_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_max_buff_util_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type max_buff_size: long
    :param max_buff_size: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type max_buff_util: int
    :param max_buff_util: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_max_buff_util_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_max_buff_util_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_max_buff_util_data', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_max_buff_util_data=tm_max_buff_util_data, max_buff_size=max_buff_size, max_buff_util=max_buff_util)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_max_buff_util_data=tm_max_buff_util_data, max_buff_size=max_buff_size, max_buff_util=max_buff_util)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_max_buff_util_data_max_buff_size_update(self, tm_max_buff_util_data=None, max_buff_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_max_buff_util_data: slot, tower
    :param tm_max_buff_util_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_max_buff_util_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_max_buff_util_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type max_buff_size: long
    :param max_buff_size: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_max_buff_util_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_max_buff_util_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_max_buff_util_data', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_max_buff_util_data=tm_max_buff_util_data, max_buff_size=max_buff_size)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_max_buff_util_data=tm_max_buff_util_data, max_buff_size=max_buff_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_max_buff_util_data_max_buff_util_update(self, tm_max_buff_util_data=None, max_buff_util=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_max_buff_util_data: slot, tower
    :param tm_max_buff_util_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_max_buff_util_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_max_buff_util_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type max_buff_util: int
    :param max_buff_util: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_max_buff_util_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_max_buff_util_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_max_buff_util_data', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_max_buff_util_data=tm_max_buff_util_data, max_buff_util=max_buff_util)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_max_buff_util_data=tm_max_buff_util_data, max_buff_util=max_buff_util)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_discard_pkt_data_update(self, tm_top_discard_pkt_data=None, dest_port=None, priority=None, queue=None, discardpkt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_top_discard_pkt_data: slot, tower, id
    :param tm_top_discard_pkt_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dest_port: unicode
    :param dest_port: Keyword argument.

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type queue: long
    :param queue: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type discardpkt: long
    :param discardpkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_discard_pkt_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_top_discard_pkt_data=tm_top_discard_pkt_data, dest_port=dest_port, priority=priority, queue=queue, discardpkt=discardpkt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_discard_pkt_data=tm_top_discard_pkt_data, dest_port=dest_port, priority=priority, queue=queue, discardpkt=discardpkt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_discard_pkt_data_dest_port_update(self, tm_top_discard_pkt_data=None, dest_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_top_discard_pkt_data: slot, tower, id
    :param tm_top_discard_pkt_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dest_port: unicode
    :param dest_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_discard_pkt_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_top_discard_pkt_data=tm_top_discard_pkt_data, dest_port=dest_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_discard_pkt_data=tm_top_discard_pkt_data, dest_port=dest_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_discard_pkt_data_discardpkt_update(self, tm_top_discard_pkt_data=None, discardpkt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_top_discard_pkt_data: slot, tower, id
    :param tm_top_discard_pkt_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type discardpkt: long
    :param discardpkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_discard_pkt_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_top_discard_pkt_data=tm_top_discard_pkt_data, discardpkt=discardpkt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_discard_pkt_data=tm_top_discard_pkt_data, discardpkt=discardpkt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_discard_pkt_data_priority_update(self, tm_top_discard_pkt_data=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_top_discard_pkt_data: slot, tower, id
    :param tm_top_discard_pkt_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_discard_pkt_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_top_discard_pkt_data=tm_top_discard_pkt_data, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_discard_pkt_data=tm_top_discard_pkt_data, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_discard_pkt_data_queue_update(self, tm_top_discard_pkt_data=None, queue=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_top_discard_pkt_data: slot, tower, id
    :param tm_top_discard_pkt_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type queue: long
    :param queue: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_discard_pkt_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_top_discard_pkt_data=tm_top_discard_pkt_data, queue=queue)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_discard_pkt_data=tm_top_discard_pkt_data, queue=queue)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_max_queue_depth_data_update(self, tm_top_max_queue_depth_data=None, dest_port=None, priority=None, queue=None, max_queue_depth=None, min_threshold=None, max_utilization=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_top_max_queue_depth_data: slot, tower, id
    :param tm_top_max_queue_depth_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dest_port: unicode
    :param dest_port: Keyword argument.

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type queue: long
    :param queue: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_queue_depth: long
    :param max_queue_depth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type min_threshold: long
    :param min_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_utilization: long
    :param max_utilization: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_max_queue_depth_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, dest_port=dest_port, priority=priority, queue=queue, max_queue_depth=max_queue_depth, min_threshold=min_threshold, max_utilization=max_utilization)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, dest_port=dest_port, priority=priority, queue=queue, max_queue_depth=max_queue_depth, min_threshold=min_threshold, max_utilization=max_utilization)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_max_queue_depth_data_dest_port_update(self, tm_top_max_queue_depth_data=None, dest_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_top_max_queue_depth_data: slot, tower, id
    :param tm_top_max_queue_depth_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dest_port: unicode
    :param dest_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_max_queue_depth_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, dest_port=dest_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, dest_port=dest_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_max_queue_depth_data_max_queue_depth_update(self, tm_top_max_queue_depth_data=None, max_queue_depth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_top_max_queue_depth_data: slot, tower, id
    :param tm_top_max_queue_depth_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type max_queue_depth: long
    :param max_queue_depth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_max_queue_depth_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, max_queue_depth=max_queue_depth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, max_queue_depth=max_queue_depth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_max_queue_depth_data_max_utilization_update(self, tm_top_max_queue_depth_data=None, max_utilization=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_top_max_queue_depth_data: slot, tower, id
    :param tm_top_max_queue_depth_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type max_utilization: long
    :param max_utilization: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_max_queue_depth_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, max_utilization=max_utilization)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, max_utilization=max_utilization)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_max_queue_depth_data_min_threshold_update(self, tm_top_max_queue_depth_data=None, min_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_top_max_queue_depth_data: slot, tower, id
    :param tm_top_max_queue_depth_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type min_threshold: long
    :param min_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_max_queue_depth_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, min_threshold=min_threshold)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, min_threshold=min_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_max_queue_depth_data_priority_update(self, tm_top_max_queue_depth_data=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_top_max_queue_depth_data: slot, tower, id
    :param tm_top_max_queue_depth_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_max_queue_depth_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_max_queue_depth_data_queue_update(self, tm_top_max_queue_depth_data=None, queue=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tm_top_max_queue_depth_data: slot, tower, id
    :param tm_top_max_queue_depth_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type queue: long
    :param queue: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_max_queue_depth_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, queue=queue)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, queue=queue)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslot_update(self, tmcpustatsslot=None, enquepkt=None, enqueubytes=None, discardpkt=None, discardbytes=None, currdepth=None, maxdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslot: slot_id, cpugroup_id
    :param tmcpustatsslot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type cpugroup_id: int
    :param cpugroup_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type enquepkt: long
    :param enquepkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type enqueubytes: long
    :param enqueubytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type discardpkt: long
    :param discardpkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type discardbytes: long
    :param discardbytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type currdepth: long
    :param currdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type maxdepth: long
    :param maxdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslot', 'keyval': 'slot_id, cpugroup_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot": {"discardpkt": "discardpkt", "enqueubytes": "enqueubytes", "discardbytes": "discardbytes", "cpugroup_id": "cpugroup_id", "slot_id": "slot_id", "maxdepth": "maxdepth", "enquepkt": "enquepkt", "currdepth": "currdepth"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslot=tmcpustatsslot, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslot=tmcpustatsslot, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslot_currdepth_update(self, tmcpustatsslot=None, currdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslot: slot_id, cpugroup_id
    :param tmcpustatsslot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type cpugroup_id: int
    :param cpugroup_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type currdepth: long
    :param currdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslot', 'keyval': 'slot_id, cpugroup_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot": {"cpugroup_id": "cpugroup_id", "slot_id": "slot_id", "currdepth": "currdepth"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslot=tmcpustatsslot, currdepth=currdepth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslot=tmcpustatsslot, currdepth=currdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslot_discardbytes_update(self, tmcpustatsslot=None, discardbytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslot: slot_id, cpugroup_id
    :param tmcpustatsslot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type cpugroup_id: int
    :param cpugroup_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type discardbytes: long
    :param discardbytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslot', 'keyval': 'slot_id, cpugroup_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot": {"cpugroup_id": "cpugroup_id", "slot_id": "slot_id", "discardbytes": "discardbytes"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslot=tmcpustatsslot, discardbytes=discardbytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslot=tmcpustatsslot, discardbytes=discardbytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslot_discardpkt_update(self, tmcpustatsslot=None, discardpkt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslot: slot_id, cpugroup_id
    :param tmcpustatsslot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type cpugroup_id: int
    :param cpugroup_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type discardpkt: long
    :param discardpkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslot', 'keyval': 'slot_id, cpugroup_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot": {"discardpkt": "discardpkt", "cpugroup_id": "cpugroup_id", "slot_id": "slot_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslot=tmcpustatsslot, discardpkt=discardpkt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslot=tmcpustatsslot, discardpkt=discardpkt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslot_enquepkt_update(self, tmcpustatsslot=None, enquepkt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslot: slot_id, cpugroup_id
    :param tmcpustatsslot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type cpugroup_id: int
    :param cpugroup_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type enquepkt: long
    :param enquepkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslot', 'keyval': 'slot_id, cpugroup_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot": {"enquepkt": "enquepkt", "cpugroup_id": "cpugroup_id", "slot_id": "slot_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslot=tmcpustatsslot, enquepkt=enquepkt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslot=tmcpustatsslot, enquepkt=enquepkt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslot_enqueubytes_update(self, tmcpustatsslot=None, enqueubytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslot: slot_id, cpugroup_id
    :param tmcpustatsslot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type cpugroup_id: int
    :param cpugroup_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type enqueubytes: long
    :param enqueubytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslot', 'keyval': 'slot_id, cpugroup_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot": {"enqueubytes": "enqueubytes", "cpugroup_id": "cpugroup_id", "slot_id": "slot_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslot=tmcpustatsslot, enqueubytes=enqueubytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslot=tmcpustatsslot, enqueubytes=enqueubytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslot_maxdepth_update(self, tmcpustatsslot=None, maxdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslot: slot_id, cpugroup_id
    :param tmcpustatsslot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type cpugroup_id: int
    :param cpugroup_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type maxdepth: long
    :param maxdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslot', 'keyval': 'slot_id, cpugroup_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslot": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot": {"cpugroup_id": "cpugroup_id", "slot_id": "slot_id", "maxdepth": "maxdepth"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslot=tmcpustatsslot, maxdepth=maxdepth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslot=tmcpustatsslot, maxdepth=maxdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslotallgrp_update(self, tmcpustatsslotallgrp=None, enquepkt=None, enqueubytes=None, discardpkt=None, discardbytes=None, currdepth=None, maxdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslotallgrp: slot_id
    :param tmcpustatsslotallgrp: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslotallgrp** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type enquepkt: long
    :param enquepkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type enqueubytes: long
    :param enqueubytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type discardpkt: long
    :param discardpkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type discardbytes: long
    :param discardbytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type currdepth: long
    :param currdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type maxdepth: long
    :param maxdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslotallgrp', 'keyval': 'slot_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp": {"discardpkt": "discardpkt", "enqueubytes": "enqueubytes", "discardbytes": "discardbytes", "slot_id": "slot_id", "maxdepth": "maxdepth", "enquepkt": "enquepkt", "currdepth": "currdepth"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslotallgrp_currdepth_update(self, tmcpustatsslotallgrp=None, currdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslotallgrp: slot_id
    :param tmcpustatsslotallgrp: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslotallgrp** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type currdepth: long
    :param currdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslotallgrp', 'keyval': 'slot_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp": {"slot_id": "slot_id", "currdepth": "currdepth"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, currdepth=currdepth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, currdepth=currdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslotallgrp_discardbytes_update(self, tmcpustatsslotallgrp=None, discardbytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslotallgrp: slot_id
    :param tmcpustatsslotallgrp: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslotallgrp** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type discardbytes: long
    :param discardbytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslotallgrp', 'keyval': 'slot_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp": {"slot_id": "slot_id", "discardbytes": "discardbytes"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, discardbytes=discardbytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, discardbytes=discardbytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslotallgrp_discardpkt_update(self, tmcpustatsslotallgrp=None, discardpkt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslotallgrp: slot_id
    :param tmcpustatsslotallgrp: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslotallgrp** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type discardpkt: long
    :param discardpkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslotallgrp', 'keyval': 'slot_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp": {"discardpkt": "discardpkt", "slot_id": "slot_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, discardpkt=discardpkt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, discardpkt=discardpkt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslotallgrp_enquepkt_update(self, tmcpustatsslotallgrp=None, enquepkt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslotallgrp: slot_id
    :param tmcpustatsslotallgrp: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslotallgrp** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type enquepkt: long
    :param enquepkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslotallgrp', 'keyval': 'slot_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp": {"enquepkt": "enquepkt", "slot_id": "slot_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, enquepkt=enquepkt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, enquepkt=enquepkt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslotallgrp_enqueubytes_update(self, tmcpustatsslotallgrp=None, enqueubytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslotallgrp: slot_id
    :param tmcpustatsslotallgrp: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslotallgrp** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type enqueubytes: long
    :param enqueubytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslotallgrp', 'keyval': 'slot_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp": {"enqueubytes": "enqueubytes", "slot_id": "slot_id"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, enqueubytes=enqueubytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, enqueubytes=enqueubytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslotallgrp_maxdepth_update(self, tmcpustatsslotallgrp=None, maxdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslotallgrp: slot_id
    :param tmcpustatsslotallgrp: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslotallgrp** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type maxdepth: long
    :param maxdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslotallgrp', 'keyval': 'slot_id, priority', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v17r_1_00a.tm_state.tmcpustatsslotallgrp": {}, "pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp": {"slot_id": "slot_id", "maxdepth": "maxdepth"}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, maxdepth=maxdepth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, maxdepth=maxdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_update(self, tmdevicestataggr=None, ingress_total_pkt_cnt_aggr=None, enque_pkt_cnt_aggr=None, deque_pkt_cnt_aggr=None, total_discard_pkt_cnt_aggr=None, deleted_pkt_cnt_aggr=None, invalid_queue_pkt_aggr=None, cpu_pkt_cnt_aggr=None, uni_pkt_cnt_aggr=None, mcast_pkt_cnt_aggr=None, uni_discard_pkt_cnt_aggr=None, mcast_discard_pkt_cnt_aggr=None, fqp_pkt_cnt_aggr=None, ehp_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ingress_total_pkt_cnt_aggr: long
    :param ingress_total_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type enque_pkt_cnt_aggr: long
    :param enque_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type deque_pkt_cnt_aggr: long
    :param deque_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type total_discard_pkt_cnt_aggr: long
    :param total_discard_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type deleted_pkt_cnt_aggr: long
    :param deleted_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type invalid_queue_pkt_aggr: long
    :param invalid_queue_pkt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type cpu_pkt_cnt_aggr: long
    :param cpu_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type uni_pkt_cnt_aggr: long
    :param uni_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type mcast_pkt_cnt_aggr: long
    :param mcast_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type uni_discard_pkt_cnt_aggr: long
    :param uni_discard_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type mcast_discard_pkt_cnt_aggr: long
    :param mcast_discard_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type fqp_pkt_cnt_aggr: long
    :param fqp_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type ehp_discard_cnt_aggr: long
    :param ehp_discard_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr": {"slot": "slot", "cpu_pkt_cnt_aggr": "cpu_pkt_cnt_aggr", "uni_discard_pkt_cnt_aggr": "uni_discard_pkt_cnt_aggr", "uni_pkt_cnt_aggr": "uni_pkt_cnt_aggr", "mcast_discard_pkt_cnt_aggr": "mcast_discard_pkt_cnt_aggr", "deleted_pkt_cnt_aggr": "deleted_pkt_cnt_aggr", "deque_pkt_cnt_aggr": "deque_pkt_cnt_aggr", "ehp_discard_cnt_aggr": "ehp_discard_cnt_aggr", "enque_pkt_cnt_aggr": "enque_pkt_cnt_aggr", "invalid_queue_pkt_aggr": "invalid_queue_pkt_aggr", "total_discard_pkt_cnt_aggr": "total_discard_pkt_cnt_aggr", "tower": "tower", "fqp_pkt_cnt_aggr": "fqp_pkt_cnt_aggr", "ingress_total_pkt_cnt_aggr": "ingress_total_pkt_cnt_aggr", "mcast_pkt_cnt_aggr": "mcast_pkt_cnt_aggr"}, "pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, ingress_total_pkt_cnt_aggr=ingress_total_pkt_cnt_aggr, enque_pkt_cnt_aggr=enque_pkt_cnt_aggr, deque_pkt_cnt_aggr=deque_pkt_cnt_aggr, total_discard_pkt_cnt_aggr=total_discard_pkt_cnt_aggr, deleted_pkt_cnt_aggr=deleted_pkt_cnt_aggr, invalid_queue_pkt_aggr=invalid_queue_pkt_aggr, cpu_pkt_cnt_aggr=cpu_pkt_cnt_aggr, uni_pkt_cnt_aggr=uni_pkt_cnt_aggr, mcast_pkt_cnt_aggr=mcast_pkt_cnt_aggr, uni_discard_pkt_cnt_aggr=uni_discard_pkt_cnt_aggr, mcast_discard_pkt_cnt_aggr=mcast_discard_pkt_cnt_aggr, fqp_pkt_cnt_aggr=fqp_pkt_cnt_aggr, ehp_discard_cnt_aggr=ehp_discard_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, ingress_total_pkt_cnt_aggr=ingress_total_pkt_cnt_aggr, enque_pkt_cnt_aggr=enque_pkt_cnt_aggr, deque_pkt_cnt_aggr=deque_pkt_cnt_aggr, total_discard_pkt_cnt_aggr=total_discard_pkt_cnt_aggr, deleted_pkt_cnt_aggr=deleted_pkt_cnt_aggr, invalid_queue_pkt_aggr=invalid_queue_pkt_aggr, cpu_pkt_cnt_aggr=cpu_pkt_cnt_aggr, uni_pkt_cnt_aggr=uni_pkt_cnt_aggr, mcast_pkt_cnt_aggr=mcast_pkt_cnt_aggr, uni_discard_pkt_cnt_aggr=uni_discard_pkt_cnt_aggr, mcast_discard_pkt_cnt_aggr=mcast_discard_pkt_cnt_aggr, fqp_pkt_cnt_aggr=fqp_pkt_cnt_aggr, ehp_discard_cnt_aggr=ehp_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_cpu_pkt_cnt_aggr_update(self, tmdevicestataggr=None, cpu_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type cpu_pkt_cnt_aggr: long
    :param cpu_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, cpu_pkt_cnt_aggr=cpu_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, cpu_pkt_cnt_aggr=cpu_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_deleted_pkt_cnt_aggr_update(self, tmdevicestataggr=None, deleted_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type deleted_pkt_cnt_aggr: long
    :param deleted_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, deleted_pkt_cnt_aggr=deleted_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, deleted_pkt_cnt_aggr=deleted_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_deque_pkt_cnt_aggr_update(self, tmdevicestataggr=None, deque_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type deque_pkt_cnt_aggr: long
    :param deque_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, deque_pkt_cnt_aggr=deque_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, deque_pkt_cnt_aggr=deque_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_ehp_discard_cnt_aggr_update(self, tmdevicestataggr=None, ehp_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ehp_discard_cnt_aggr: long
    :param ehp_discard_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, ehp_discard_cnt_aggr=ehp_discard_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, ehp_discard_cnt_aggr=ehp_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_ehp_mc_high_discard_cnt_aggr_update(self, tmdevicestataggr=None, ehp_mc_high_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ehp_mc_high_discard_cnt_aggr: long
    :param ehp_mc_high_discard_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, ehp_mc_high_discard_cnt_aggr=ehp_mc_high_discard_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, ehp_mc_high_discard_cnt_aggr=ehp_mc_high_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_ehp_mc_low_discard_cnt_aggr_update(self, tmdevicestataggr=None, ehp_mc_low_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ehp_mc_low_discard_cnt_aggr: long
    :param ehp_mc_low_discard_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, ehp_mc_low_discard_cnt_aggr=ehp_mc_low_discard_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, ehp_mc_low_discard_cnt_aggr=ehp_mc_low_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_enque_pkt_cnt_aggr_update(self, tmdevicestataggr=None, enque_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type enque_pkt_cnt_aggr: long
    :param enque_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, enque_pkt_cnt_aggr=enque_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, enque_pkt_cnt_aggr=enque_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_epe_cnt_aggr_update(self, tmdevicestataggr=None, epe_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type epe_cnt_aggr: long
    :param epe_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, epe_cnt_aggr=epe_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, epe_cnt_aggr=epe_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_epe_discard_cnt_aggr_update(self, tmdevicestataggr=None, epe_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type epe_discard_cnt_aggr: long
    :param epe_discard_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, epe_discard_cnt_aggr=epe_discard_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, epe_discard_cnt_aggr=epe_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_erpp_lag_pruning_discard_cnt_aggr_update(self, tmdevicestataggr=None, erpp_lag_pruning_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type erpp_lag_pruning_discard_cnt_aggr: long
    :param erpp_lag_pruning_discard_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, erpp_lag_pruning_discard_cnt_aggr=erpp_lag_pruning_discard_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, erpp_lag_pruning_discard_cnt_aggr=erpp_lag_pruning_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_erpp_pmf_discard_cnt_aggr_update(self, tmdevicestataggr=None, erpp_pmf_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type erpp_pmf_discard_cnt_aggr: long
    :param erpp_pmf_discard_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, erpp_pmf_discard_cnt_aggr=erpp_pmf_discard_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, erpp_pmf_discard_cnt_aggr=erpp_pmf_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_erpp_vlan_membership_discard_cnt_aggr_update(self, tmdevicestataggr=None, erpp_vlan_membership_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type erpp_vlan_membership_discard_cnt_aggr: long
    :param erpp_vlan_membership_discard_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, erpp_vlan_membership_discard_cnt_aggr=erpp_vlan_membership_discard_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, erpp_vlan_membership_discard_cnt_aggr=erpp_vlan_membership_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_fqp_pkt_cnt_aggr_update(self, tmdevicestataggr=None, fqp_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type fqp_pkt_cnt_aggr: long
    :param fqp_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, fqp_pkt_cnt_aggr=fqp_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, fqp_pkt_cnt_aggr=fqp_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_ingress_total_pkt_cnt_aggr_update(self, tmdevicestataggr=None, ingress_total_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ingress_total_pkt_cnt_aggr: long
    :param ingress_total_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, ingress_total_pkt_cnt_aggr=ingress_total_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, ingress_total_pkt_cnt_aggr=ingress_total_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_invalid_queue_pkt_aggr_update(self, tmdevicestataggr=None, invalid_queue_pkt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type invalid_queue_pkt_aggr: long
    :param invalid_queue_pkt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, invalid_queue_pkt_aggr=invalid_queue_pkt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, invalid_queue_pkt_aggr=invalid_queue_pkt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_ipt_crc_err_pkt_cnt_aggr_update(self, tmdevicestataggr=None, ipt_crc_err_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipt_crc_err_pkt_cnt_aggr: long
    :param ipt_crc_err_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, ipt_crc_err_pkt_cnt_aggr=ipt_crc_err_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, ipt_crc_err_pkt_cnt_aggr=ipt_crc_err_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_ipt_fdt_pkt_cnt_aggr_update(self, tmdevicestataggr=None, ipt_fdt_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ipt_fdt_pkt_cnt_aggr: long
    :param ipt_fdt_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, ipt_fdt_pkt_cnt_aggr=ipt_fdt_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, ipt_fdt_pkt_cnt_aggr=ipt_fdt_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_mcast_discard_pkt_cnt_aggr_update(self, tmdevicestataggr=None, mcast_discard_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mcast_discard_pkt_cnt_aggr: long
    :param mcast_discard_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, mcast_discard_pkt_cnt_aggr=mcast_discard_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, mcast_discard_pkt_cnt_aggr=mcast_discard_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_mcast_pkt_cnt_aggr_update(self, tmdevicestataggr=None, mcast_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mcast_pkt_cnt_aggr: long
    :param mcast_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, mcast_pkt_cnt_aggr=mcast_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, mcast_pkt_cnt_aggr=mcast_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_mmu_pkt_cnt_aggr_update(self, tmdevicestataggr=None, mmu_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mmu_pkt_cnt_aggr: long
    :param mmu_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, mmu_pkt_cnt_aggr=mmu_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, mmu_pkt_cnt_aggr=mmu_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_nif_pkt_cnt_aggr_update(self, tmdevicestataggr=None, nif_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type nif_pkt_cnt_aggr: long
    :param nif_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, nif_pkt_cnt_aggr=nif_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, nif_pkt_cnt_aggr=nif_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_oamp_pkt_cnt_aggr_update(self, tmdevicestataggr=None, oamp_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type oamp_pkt_cnt_aggr: long
    :param oamp_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, oamp_pkt_cnt_aggr=oamp_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, oamp_pkt_cnt_aggr=oamp_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_olp_pkt_cnt_aggr_update(self, tmdevicestataggr=None, olp_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type olp_pkt_cnt_aggr: long
    :param olp_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, olp_pkt_cnt_aggr=olp_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, olp_pkt_cnt_aggr=olp_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_prp_mc_discard_cnt_aggr_update(self, tmdevicestataggr=None, prp_mc_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prp_mc_discard_cnt_aggr: long
    :param prp_mc_discard_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, prp_mc_discard_cnt_aggr=prp_mc_discard_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, prp_mc_discard_cnt_aggr=prp_mc_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_prp_sop_mc_discard_cnt_aggr_update(self, tmdevicestataggr=None, prp_sop_mc_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prp_sop_mc_discard_cnt_aggr: long
    :param prp_sop_mc_discard_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, prp_sop_mc_discard_cnt_aggr=prp_sop_mc_discard_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, prp_sop_mc_discard_cnt_aggr=prp_sop_mc_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_prp_sop_uc_discard_cnt_aggr_update(self, tmdevicestataggr=None, prp_sop_uc_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prp_sop_uc_discard_cnt_aggr: long
    :param prp_sop_uc_discard_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, prp_sop_uc_discard_cnt_aggr=prp_sop_uc_discard_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, prp_sop_uc_discard_cnt_aggr=prp_sop_uc_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_prp_uc_discard_cnt_aggr_update(self, tmdevicestataggr=None, prp_uc_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type prp_uc_discard_cnt_aggr: long
    :param prp_uc_discard_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, prp_uc_discard_cnt_aggr=prp_uc_discard_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, prp_uc_discard_cnt_aggr=prp_uc_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_rcy_pkt_cnt_aggr_update(self, tmdevicestataggr=None, rcy_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rcy_pkt_cnt_aggr: long
    :param rcy_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, rcy_pkt_cnt_aggr=rcy_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, rcy_pkt_cnt_aggr=rcy_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_tot_egr_pkt_cnt_aggr_update(self, tmdevicestataggr=None, tot_egr_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type tot_egr_pkt_cnt_aggr: long
    :param tot_egr_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, tot_egr_pkt_cnt_aggr=tot_egr_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, tot_egr_pkt_cnt_aggr=tot_egr_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_total_discard_pkt_cnt_aggr_update(self, tmdevicestataggr=None, total_discard_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type total_discard_pkt_cnt_aggr: long
    :param total_discard_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, total_discard_pkt_cnt_aggr=total_discard_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, total_discard_pkt_cnt_aggr=total_discard_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_uni_discard_pkt_cnt_aggr_update(self, tmdevicestataggr=None, uni_discard_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type uni_discard_pkt_cnt_aggr: long
    :param uni_discard_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, uni_discard_pkt_cnt_aggr=uni_discard_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, uni_discard_pkt_cnt_aggr=uni_discard_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_uni_pkt_cnt_aggr_update(self, tmdevicestataggr=None, uni_pkt_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type uni_pkt_cnt_aggr: long
    :param uni_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmdevicestataggr', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmdevicestataggr=tmdevicestataggr, uni_pkt_cnt_aggr=uni_pkt_cnt_aggr)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, uni_pkt_cnt_aggr=uni_pkt_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmvoqstatistics_update(self, tmvoqstatistics=None, priority=None, enquepkt=None, enqueubytes=None, discardpkt=None, discardbytes=None, currdepth=None, maxdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmvoqstatistics: ing_slot, ing_tower, egr_voqid
    :param tmvoqstatistics: Keyword argument tuple.

    :type ing_slot: int
    :param ing_slot: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ing_tower: int
    :param ing_tower: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type egr_voqid: int
    :param egr_voqid: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type enquepkt: long
    :param enquepkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type enqueubytes: long
    :param enqueubytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type discardpkt: long
    :param discardpkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type discardbytes: long
    :param discardbytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type currdepth: long
    :param currdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type maxdepth: long
    :param maxdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmvoqstatistics', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmvoqstatistics=tmvoqstatistics, priority=priority, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmvoqstatistics=tmvoqstatistics, priority=priority, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmvoqstatistics_currdepth_update(self, tmvoqstatistics=None, currdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmvoqstatistics: ing_slot, ing_tower, egr_voqid
    :param tmvoqstatistics: Keyword argument tuple.

    :type ing_slot: int
    :param ing_slot: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ing_tower: int
    :param ing_tower: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type egr_voqid: int
    :param egr_voqid: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type currdepth: long
    :param currdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmvoqstatistics', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmvoqstatistics=tmvoqstatistics, currdepth=currdepth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmvoqstatistics=tmvoqstatistics, currdepth=currdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmvoqstatistics_discardbytes_update(self, tmvoqstatistics=None, discardbytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmvoqstatistics: ing_slot, ing_tower, egr_voqid
    :param tmvoqstatistics: Keyword argument tuple.

    :type ing_slot: int
    :param ing_slot: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ing_tower: int
    :param ing_tower: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type egr_voqid: int
    :param egr_voqid: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type discardbytes: long
    :param discardbytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmvoqstatistics', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmvoqstatistics=tmvoqstatistics, discardbytes=discardbytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmvoqstatistics=tmvoqstatistics, discardbytes=discardbytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmvoqstatistics_discardpkt_update(self, tmvoqstatistics=None, discardpkt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmvoqstatistics: ing_slot, ing_tower, egr_voqid
    :param tmvoqstatistics: Keyword argument tuple.

    :type ing_slot: int
    :param ing_slot: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ing_tower: int
    :param ing_tower: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type egr_voqid: int
    :param egr_voqid: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type discardpkt: long
    :param discardpkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmvoqstatistics', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmvoqstatistics=tmvoqstatistics, discardpkt=discardpkt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmvoqstatistics=tmvoqstatistics, discardpkt=discardpkt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmvoqstatistics_enquepkt_update(self, tmvoqstatistics=None, enquepkt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmvoqstatistics: ing_slot, ing_tower, egr_voqid
    :param tmvoqstatistics: Keyword argument tuple.

    :type ing_slot: int
    :param ing_slot: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ing_tower: int
    :param ing_tower: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type egr_voqid: int
    :param egr_voqid: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type enquepkt: long
    :param enquepkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmvoqstatistics', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmvoqstatistics=tmvoqstatistics, enquepkt=enquepkt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmvoqstatistics=tmvoqstatistics, enquepkt=enquepkt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmvoqstatistics_enqueubytes_update(self, tmvoqstatistics=None, enqueubytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmvoqstatistics: ing_slot, ing_tower, egr_voqid
    :param tmvoqstatistics: Keyword argument tuple.

    :type ing_slot: int
    :param ing_slot: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ing_tower: int
    :param ing_tower: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type egr_voqid: int
    :param egr_voqid: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type enqueubytes: long
    :param enqueubytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmvoqstatistics', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmvoqstatistics=tmvoqstatistics, enqueubytes=enqueubytes)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmvoqstatistics=tmvoqstatistics, enqueubytes=enqueubytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmvoqstatistics_maxdepth_update(self, tmvoqstatistics=None, maxdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmvoqstatistics: ing_slot, ing_tower, egr_voqid
    :param tmvoqstatistics: Keyword argument tuple.

    :type ing_slot: int
    :param ing_slot: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ing_tower: int
    :param ing_tower: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type egr_voqid: int
    :param egr_voqid: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type maxdepth: long
    :param maxdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmvoqstatistics', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmvoqstatistics=tmvoqstatistics, maxdepth=maxdepth)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmvoqstatistics=tmvoqstatistics, maxdepth=maxdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmvoqstatistics_priority_update(self, tmvoqstatistics=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type tmvoqstatistics: ing_slot, ing_tower, egr_voqid
    :param tmvoqstatistics: Keyword argument tuple.

    :type ing_slot: int
    :param ing_slot: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ing_tower: int
    :param ing_tower: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type egr_voqid: int
    :param egr_voqid: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.tm_state.tmvoqstatistics', 'pybind.slxos.v17r_1_00a.brocade_sysdiag_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, tmvoqstatistics=tmvoqstatistics, priority=priority)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmvoqstatistics=tmvoqstatistics, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_update(self, topology_group=None, master_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type topology_group: topology_group_id
    :param topology_group: Keyword argument tuple.

    :type topology_group_id: long
    :param topology_group_id: **topology_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type master_vlan: long
    :param master_vlan: Select Master VLAN for this topology group

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group', 'pybind.slxos.v17r_1_00a.brocade_topology_group', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'topology_group', 'keyval': 'topology_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group=topology_group, master_vlan=master_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group=topology_group, master_vlan=master_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_master_vlan_update(self, topology_group=None, master_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type topology_group: topology_group_id
    :param topology_group: Keyword argument tuple.

    :type topology_group_id: long
    :param topology_group_id: **topology_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type master_vlan: long
    :param master_vlan: Select Master VLAN for this topology group

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group', 'pybind.slxos.v17r_1_00a.brocade_topology_group', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'topology_group', 'keyval': 'topology_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group=topology_group, master_vlan=master_vlan)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group=topology_group, master_vlan=master_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_member_bridge_domain_update(self, topology_group=None, member_bridge_domain_add=None, member_bridge_domain_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group: topology_group_id
    :param topology_group: Keyword argument tuple.

    :type topology_group_id: long
    :param topology_group_id: **topology_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type member_bridge_domain_add: unicode
    :param member_bridge_domain_add: Add the Member Bridge Domain range to this topology group

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-6])))?)?)*'

    :type member_bridge_domain_remove: unicode
    :param member_bridge_domain_remove: Remove the Member Bridge Domain range from this topology group

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-6])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.topology_group', 'topology_group'), ('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group.member_bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_topology_group', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group=topology_group, member_bridge_domain_add=member_bridge_domain_add, member_bridge_domain_remove=member_bridge_domain_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group=topology_group, member_bridge_domain_add=member_bridge_domain_add, member_bridge_domain_remove=member_bridge_domain_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_member_bridge_domain_add_update(self, topology_group=None, member_bridge_domain_add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group: topology_group_id
    :param topology_group: Keyword argument tuple.

    :type topology_group_id: long
    :param topology_group_id: **topology_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type member_bridge_domain_add: unicode
    :param member_bridge_domain_add: Add the Member Bridge Domain range to this topology group

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-6])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.topology_group', 'topology_group'), ('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group.member_bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_topology_group', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group=topology_group, member_bridge_domain_add=member_bridge_domain_add)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group=topology_group, member_bridge_domain_add=member_bridge_domain_add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_member_bridge_domain_remove_update(self, topology_group=None, member_bridge_domain_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group: topology_group_id
    :param topology_group: Keyword argument tuple.

    :type topology_group_id: long
    :param topology_group_id: **topology_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type member_bridge_domain_remove: unicode
    :param member_bridge_domain_remove: Remove the Member Bridge Domain range from this topology group

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-6])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.topology_group', 'topology_group'), ('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group.member_bridge_domain', 'pybind.slxos.v17r_1_00a.brocade_topology_group', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group=topology_group, member_bridge_domain_remove=member_bridge_domain_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group=topology_group, member_bridge_domain_remove=member_bridge_domain_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_member_vlan_update(self, topology_group=None, member_vlan_add=None, member_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group: topology_group_id
    :param topology_group: Keyword argument tuple.

    :type topology_group_id: long
    :param topology_group_id: **topology_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type member_vlan_add: unicode
    :param member_vlan_add: Add the Member VLAN range to this topology group

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})'
            '|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0'
            '-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))'
            ')?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9'
            ']{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2'
            '-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4'
            '090)))?)?)*'

    :type member_vlan_remove: unicode
    :param member_vlan_remove: Remove the Member VLAN range from this topology group

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})'
            '|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0'
            '-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))'
            ')?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9'
            ']{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2'
            '-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4'
            '090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.topology_group', 'topology_group'), ('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group.member_vlan', 'pybind.slxos.v17r_1_00a.brocade_topology_group', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group=topology_group, member_vlan_add=member_vlan_add, member_vlan_remove=member_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group=topology_group, member_vlan_add=member_vlan_add, member_vlan_remove=member_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_member_vlan_add_update(self, topology_group=None, member_vlan_add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group: topology_group_id
    :param topology_group: Keyword argument tuple.

    :type topology_group_id: long
    :param topology_group_id: **topology_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type member_vlan_add: unicode
    :param member_vlan_add: Add the Member VLAN range to this topology group

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})'
            '|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0'
            '-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))'
            ')?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9'
            ']{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2'
            '-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4'
            '090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.topology_group', 'topology_group'), ('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group.member_vlan', 'pybind.slxos.v17r_1_00a.brocade_topology_group', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group=topology_group, member_vlan_add=member_vlan_add)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group=topology_group, member_vlan_add=member_vlan_add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_member_vlan_remove_update(self, topology_group=None, member_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group: topology_group_id
    :param topology_group: Keyword argument tuple.

    :type topology_group_id: long
    :param topology_group_id: **topology_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type member_vlan_remove: unicode
    :param member_vlan_remove: Remove the Member VLAN range from this topology group

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})'
            '|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0'
            '-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))'
            ')?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9'
            ']{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2'
            '-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4'
            '090)))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.topology_group', 'topology_group'), ('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group.member_vlan', 'pybind.slxos.v17r_1_00a.brocade_topology_group', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group=topology_group, member_vlan_remove=member_vlan_remove)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group=topology_group, member_vlan_remove=member_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_update(self, topology_group_data=None, l2_protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type topology_group_data: topology_group_id
    :param topology_group_data: Keyword argument tuple.

    :type topology_group_id: int
    :param topology_group_id: **topology_group_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type l2_protocol: unicode
    :param l2_protocol: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'topology_group_data', 'keyval': 'topology_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group_data=topology_group_data, l2_protocol=l2_protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group_data=topology_group_data, l2_protocol=l2_protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_l2_protocol_update(self, topology_group_data=None, l2_protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type topology_group_data: topology_group_id
    :param topology_group_data: Keyword argument tuple.

    :type topology_group_id: int
    :param topology_group_id: **topology_group_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type l2_protocol: unicode
    :param l2_protocol: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'topology_group_data', 'keyval': 'topology_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group_data=topology_group_data, l2_protocol=l2_protocol)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group_data=topology_group_data, l2_protocol=l2_protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_master_vlan_update(self, topology_group_data=None, vlan_id=None, control_ports=None, free_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group_data: topology_group_id
    :param topology_group_data: Keyword argument tuple.

    :type topology_group_id: int
    :param topology_group_id: **topology_group_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type vlan_id: int
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type control_ports: unicode
    :param control_ports: Keyword argument.

    :type free_ports: unicode
    :param free_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.master_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data.master_vlan', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group_data=topology_group_data, vlan_id=vlan_id, control_ports=control_ports, free_ports=free_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group_data=topology_group_data, vlan_id=vlan_id, control_ports=control_ports, free_ports=free_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_master_vlan_control_ports_update(self, topology_group_data=None, control_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group_data: topology_group_id
    :param topology_group_data: Keyword argument tuple.

    :type topology_group_id: int
    :param topology_group_id: **topology_group_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type control_ports: unicode
    :param control_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.master_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data.master_vlan', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group_data=topology_group_data, control_ports=control_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group_data=topology_group_data, control_ports=control_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_master_vlan_free_ports_update(self, topology_group_data=None, free_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group_data: topology_group_id
    :param topology_group_data: Keyword argument tuple.

    :type topology_group_id: int
    :param topology_group_id: **topology_group_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type free_ports: unicode
    :param free_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.master_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data.master_vlan', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group_data=topology_group_data, free_ports=free_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group_data=topology_group_data, free_ports=free_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_master_vlan_vlan_id_update(self, topology_group_data=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group_data: topology_group_id
    :param topology_group_data: Keyword argument tuple.

    :type topology_group_id: int
    :param topology_group_id: **topology_group_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type vlan_id: int
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.master_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data.master_vlan', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group_data=topology_group_data, vlan_id=vlan_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group_data=topology_group_data, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_member_bd_update(self, topology_group_data=None, member_bd=None, free_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group_data: topology_group_id
    :param topology_group_data: Keyword argument tuple.

    :type topology_group_id: int
    :param topology_group_id: **topology_group_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type member_bd: bd_id
    :param member_bd: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **member_bd** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type free_ports: unicode
    :param free_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data', u'topology_group_data'), ('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_bd', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data.member_bd', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_bd', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group_data=topology_group_data, member_bd=member_bd, free_ports=free_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group_data=topology_group_data, member_bd=member_bd, free_ports=free_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_member_bd_free_ports_update(self, topology_group_data=None, member_bd=None, free_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group_data: topology_group_id
    :param topology_group_data: Keyword argument tuple.

    :type topology_group_id: int
    :param topology_group_id: **topology_group_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type member_bd: bd_id
    :param member_bd: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **member_bd** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type free_ports: unicode
    :param free_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data', u'topology_group_data'), ('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_bd', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data.member_bd', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_bd', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group_data=topology_group_data, member_bd=member_bd, free_ports=free_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group_data=topology_group_data, member_bd=member_bd, free_ports=free_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_member_vlan_update(self, topology_group_data=None, member_vlan=None, free_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group_data: topology_group_id
    :param topology_group_data: Keyword argument tuple.

    :type topology_group_id: int
    :param topology_group_id: **topology_group_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type member_vlan: vlan_id
    :param member_vlan: Keyword argument tuple.

    :type vlan_id: int
    :param vlan_id: **member_vlan** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type free_ports: unicode
    :param free_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data', u'topology_group_data'), ('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data.member_vlan', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_vlan', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group_data=topology_group_data, member_vlan=member_vlan, free_ports=free_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group_data=topology_group_data, member_vlan=member_vlan, free_ports=free_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_member_vlan_free_ports_update(self, topology_group_data=None, member_vlan=None, free_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group_data: topology_group_id
    :param topology_group_data: Keyword argument tuple.

    :type topology_group_id: int
    :param topology_group_id: **topology_group_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type member_vlan: vlan_id
    :param member_vlan: Keyword argument tuple.

    :type vlan_id: int
    :param vlan_id: **member_vlan** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type free_ports: unicode
    :param free_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data', u'topology_group_data'), ('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.topology_group_state.topology_group_data.member_vlan', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}, {'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_vlan', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, topology_group_data=topology_group_data, member_vlan=member_vlan, free_ports=free_ports)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group_data=topology_group_data, member_vlan=member_vlan, free_ports=free_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_class_exp_state_qos_mpls_update(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type map_type: unicode
    :param map_type: Keyword argument.

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_class_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_class_exp_state_qos_mpls_enabled_slots_update(self, qos_mpls=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_class_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls=qos_mpls, enabled_slots=enabled_slots)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_class_exp_state_qos_mpls_map_type_update(self, qos_mpls=None, map_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type map_type: unicode
    :param map_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_class_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, qos_mpls=qos_mpls, map_type=map_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, map_type=map_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_update(self, l1_hello_rx=None, l1_hello_tx=None, l2_hello_rx=None, l2_hello_tx=None, pp_hello_rx=None, pp_hello_tx=None, l1_lsp_rx=None, l1_lsp_tx=None, l2_lsp_rx=None, l2_lsp_tx=None, l1_csnp_rx=None, l1_csnp_tx=None, l2_csnp_rx=None, l2_csnp_tx=None, l1_psnp_rx=None, l1_psnp_tx=None, l2_psnp_rx=None, l2_psnp_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l1_hello_rx: long
    :param l1_hello_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l1_hello_tx: long
    :param l1_hello_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2_hello_rx: long
    :param l2_hello_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2_hello_tx: long
    :param l2_hello_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pp_hello_rx: long
    :param pp_hello_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pp_hello_tx: long
    :param pp_hello_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l1_lsp_rx: long
    :param l1_lsp_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l1_lsp_tx: long
    :param l1_lsp_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2_lsp_rx: long
    :param l2_lsp_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2_lsp_tx: long
    :param l2_lsp_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l1_csnp_rx: long
    :param l1_csnp_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l1_csnp_tx: long
    :param l1_csnp_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2_csnp_rx: long
    :param l2_csnp_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2_csnp_tx: long
    :param l2_csnp_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l1_psnp_rx: long
    :param l1_psnp_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l1_psnp_tx: long
    :param l1_psnp_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2_psnp_rx: long
    :param l2_psnp_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2_psnp_tx: long
    :param l2_psnp_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1_hello_rx=l1_hello_rx, l1_hello_tx=l1_hello_tx, l2_hello_rx=l2_hello_rx, l2_hello_tx=l2_hello_tx, pp_hello_rx=pp_hello_rx, pp_hello_tx=pp_hello_tx, l1_lsp_rx=l1_lsp_rx, l1_lsp_tx=l1_lsp_tx, l2_lsp_rx=l2_lsp_rx, l2_lsp_tx=l2_lsp_tx, l1_csnp_rx=l1_csnp_rx, l1_csnp_tx=l1_csnp_tx, l2_csnp_rx=l2_csnp_rx, l2_csnp_tx=l2_csnp_tx, l1_psnp_rx=l1_psnp_rx, l1_psnp_tx=l1_psnp_tx, l2_psnp_rx=l2_psnp_rx, l2_psnp_tx=l2_psnp_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1_hello_rx=l1_hello_rx, l1_hello_tx=l1_hello_tx, l2_hello_rx=l2_hello_rx, l2_hello_tx=l2_hello_tx, pp_hello_rx=pp_hello_rx, pp_hello_tx=pp_hello_tx, l1_lsp_rx=l1_lsp_rx, l1_lsp_tx=l1_lsp_tx, l2_lsp_rx=l2_lsp_rx, l2_lsp_tx=l2_lsp_tx, l1_csnp_rx=l1_csnp_rx, l1_csnp_tx=l1_csnp_tx, l2_csnp_rx=l2_csnp_rx, l2_csnp_tx=l2_csnp_tx, l1_psnp_rx=l1_psnp_rx, l1_psnp_tx=l1_psnp_tx, l2_psnp_rx=l2_psnp_rx, l2_psnp_tx=l2_psnp_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l1_csnp_rx_update(self, l1_csnp_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l1_csnp_rx: long
    :param l1_csnp_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1_csnp_rx=l1_csnp_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1_csnp_rx=l1_csnp_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l1_csnp_tx_update(self, l1_csnp_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l1_csnp_tx: long
    :param l1_csnp_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1_csnp_tx=l1_csnp_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1_csnp_tx=l1_csnp_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l1_hello_rx_update(self, l1_hello_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l1_hello_rx: long
    :param l1_hello_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1_hello_rx=l1_hello_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1_hello_rx=l1_hello_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l1_hello_tx_update(self, l1_hello_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l1_hello_tx: long
    :param l1_hello_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1_hello_tx=l1_hello_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1_hello_tx=l1_hello_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l1_lsp_rx_update(self, l1_lsp_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l1_lsp_rx: long
    :param l1_lsp_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1_lsp_rx=l1_lsp_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1_lsp_rx=l1_lsp_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l1_lsp_tx_update(self, l1_lsp_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l1_lsp_tx: long
    :param l1_lsp_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1_lsp_tx=l1_lsp_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1_lsp_tx=l1_lsp_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l1_psnp_rx_update(self, l1_psnp_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l1_psnp_rx: long
    :param l1_psnp_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1_psnp_rx=l1_psnp_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1_psnp_rx=l1_psnp_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l1_psnp_tx_update(self, l1_psnp_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l1_psnp_tx: long
    :param l1_psnp_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l1_psnp_tx=l1_psnp_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l1_psnp_tx=l1_psnp_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l2_csnp_rx_update(self, l2_csnp_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_csnp_rx: long
    :param l2_csnp_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_csnp_rx=l2_csnp_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_csnp_rx=l2_csnp_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l2_csnp_tx_update(self, l2_csnp_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_csnp_tx: long
    :param l2_csnp_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_csnp_tx=l2_csnp_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_csnp_tx=l2_csnp_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l2_hello_rx_update(self, l2_hello_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_hello_rx: long
    :param l2_hello_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_hello_rx=l2_hello_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_hello_rx=l2_hello_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l2_hello_tx_update(self, l2_hello_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_hello_tx: long
    :param l2_hello_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_hello_tx=l2_hello_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_hello_tx=l2_hello_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l2_lsp_rx_update(self, l2_lsp_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_lsp_rx: long
    :param l2_lsp_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_lsp_rx=l2_lsp_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_lsp_rx=l2_lsp_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l2_lsp_tx_update(self, l2_lsp_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_lsp_tx: long
    :param l2_lsp_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_lsp_tx=l2_lsp_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_lsp_tx=l2_lsp_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l2_psnp_rx_update(self, l2_psnp_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_psnp_rx: long
    :param l2_psnp_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_psnp_rx=l2_psnp_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_psnp_rx=l2_psnp_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_l2_psnp_tx_update(self, l2_psnp_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type l2_psnp_tx: long
    :param l2_psnp_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, l2_psnp_tx=l2_psnp_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, l2_psnp_tx=l2_psnp_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_pp_hello_rx_update(self, pp_hello_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pp_hello_rx: long
    :param pp_hello_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pp_hello_rx=pp_hello_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pp_hello_rx=pp_hello_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_state_pp_hello_tx_update(self, pp_hello_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type pp_hello_tx: long
    :param pp_hello_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.traffic_state', 'pybind.slxos.v17r_1_00a.brocade_isis_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, pp_hello_tx=pp_hello_tx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pp_hello_tx=pp_hello_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def urpf_exclude_default_update(self, urpf_exclude_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type urpf_exclude_default: YANGBool
    :param urpf_exclude_default: Discard packets with source IP matching default route

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.rpf_config', 'pybind.slxos.v16r_1_00b.brocade_rpf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.rpf_config', 'pybind.slxos.v17r_1_00a.brocade_rpf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, urpf_exclude_default=urpf_exclude_default)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, urpf_exclude_default=urpf_exclude_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def username_update(self, username=None, user_password=None, encryption_level=None, role=None, desc=None, enable=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type username: name, user_password, encryption_level, role, desc, enable, expire
    :param username: Keyword argument tuple.

    :type name: unicode
    :param name: **username** tuple argument.

        * length restriction: ::

            ['1 .. 40']

    :type user_password: unicode
    :param user_password: **username** tuple argument:  Password of the user

        * length restriction: ::

            ['1..40']

    :type encryption_level: unicode
    :param encryption_level: **username** tuple argument:  Level of encryption of the password(default=0)

        * enumeration restriction: ::

            ['0', '7']

    :type role: unicode
    :param role: **username** tuple argument:  Role of the user

        * length restriction: ::

            ['4 .. 32']

    :type desc: unicode
    :param desc: **username** tuple argument:  Description of the user (default='')

        * length restriction: ::

            ['0 .. 64']

    :type enable: YANGBool
    :param enable: **username** tuple argument:  Represents whether the user account is enabled(default=true)

    :type expire: unicode
    :param expire: **username** tuple argument:  Date until when the password will remain valid after being updated(default=never)

        * length restriction: ::

            ['0 .. 10']

        * pattern restriction: ::

            '((19(0[2-9]|[1-9][0-9])|20([012][0-9]|3[0-7]))-('
            '0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01]))|never'

    **Instance Argument(s)**:

    :type user_password: unicode
    :param user_password: Password of the user

        * length restriction: ::

            ['1..40']

    :type encryption_level: unicode
    :param encryption_level: Level of encryption of the password(default=0)

        * enumeration restriction: ::

            ['0', '7']

    :type role: unicode
    :param role: Role of the user

        * length restriction: ::

            ['4 .. 32']

    :type desc: unicode
    :param desc: Description of the user (default='')

        * length restriction: ::

            ['0 .. 64']

    :type enable: YANGBool
    :param enable: Represents whether the user account is enabled(default=true)

    :type expire: unicode
    :param expire: Date until when the password will remain valid after being updated(default=never)

        * length restriction: ::

            ['0 .. 10']

        * pattern restriction: ::

            '((19(0[2-9]|[1-9][0-9])|20([012][0-9]|3[0-7]))-('
            '0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01]))|never'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.username', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.username', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.username', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': 'name, user_password, encryption_level, role, desc, enable, expire, access_time, end_time'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.username": {}, "pybind.nos.v6_0_2c.username": {"encryption_level": "encryption_level", "enable": "enable", "name": "name", "user_password": "user_password", "expire": "expire", "role": "role", "desc": "desc"}, "pybind.nos.v7_0_1b.username": {}, "pybind.slxos.v17r_1_00a.username": {}, "pybind.slxos.v16r_1_00b.username": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, username=username, user_password=user_password, encryption_level=encryption_level, role=role, desc=desc, enable=enable, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, username=username, user_password=user_password, encryption_level=encryption_level, role=role, desc=desc, enable=enable, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def username_access_time_update(self, username=None, access_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type username: name
    :param username: Keyword argument tuple.

    :type name: unicode
    :param name: **username** tuple argument.

        * length restriction: ::

            ['1 .. 40']

    **Instance Argument(s)**:

    :type access_time: unicode
    :param access_time: Granting user access for configured time period from

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.username', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.username', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, username=username, access_time=access_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, username=username, access_time=access_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def username_desc_update(self, username=None, desc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type username: name
    :param username: Keyword argument tuple.

    :type name: unicode
    :param name: **username** tuple argument.

        * length restriction: ::

            ['1 .. 40']

    **Instance Argument(s)**:

    :type desc: unicode
    :param desc: Description of the user (default='')

        * length restriction: ::

            ['0 .. 64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.username', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.username', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.username', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, username=username, desc=desc)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, username=username, desc=desc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def username_enable_update(self, username=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type username: name
    :param username: Keyword argument tuple.

    :type name: unicode
    :param name: **username** tuple argument.

        * length restriction: ::

            ['1 .. 40']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Represents whether the user account is enabled(default=true)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.username', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.username', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.username', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, username=username, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, username=username, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def username_encryption_level_update(self, username=None, encryption_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type username: name
    :param username: Keyword argument tuple.

    :type name: unicode
    :param name: **username** tuple argument.

        * length restriction: ::

            ['1 .. 40']

    **Instance Argument(s)**:

    :type encryption_level: unicode
    :param encryption_level: Level of encryption of the password(default=0)

        * enumeration restriction: ::

            ['0', '7']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.username', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.username', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.username', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, username=username, encryption_level=encryption_level)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, username=username, encryption_level=encryption_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def username_expire_update(self, username=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type username: name
    :param username: Keyword argument tuple.

    :type name: unicode
    :param name: **username** tuple argument.

        * length restriction: ::

            ['1 .. 40']

    **Instance Argument(s)**:

    :type expire: unicode
    :param expire: Date until when the password will remain valid after being updated(default=never)

        * length restriction: ::

            ['0 .. 10']

        * pattern restriction: ::

            '((19(0[2-9]|[1-9][0-9])|20([012][0-9]|3[0-7]))-('
            '0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01]))|never'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.username', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.username', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.username', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, username=username, expire=expire)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, username=username, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def username_password_update(self, username=None, user_password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type username: name
    :param username: Keyword argument tuple.

    :type name: unicode
    :param name: **username** tuple argument.

        * length restriction: ::

            ['1 .. 40']

    **Instance Argument(s)**:

    :type user_password: unicode
    :param user_password: Password of the user

        * length restriction: ::

            ['1..40']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.username', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.username', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.username', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, username=username, user_password=user_password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, username=username, user_password=user_password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def username_role_update(self, username=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type username: name
    :param username: Keyword argument tuple.

    :type name: unicode
    :param name: **username** tuple argument.

        * length restriction: ::

            ['1 .. 40']

    **Instance Argument(s)**:

    :type role: unicode
    :param role: Role of the user

        * length restriction: ::

            ['4 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.username', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.username', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.username', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, username=username, role=role)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, username=username, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def username_to_update(self, username=None, end_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type username: name
    :param username: Keyword argument tuple.

    :type name: unicode
    :param name: **username** tuple argument.

        * length restriction: ::

            ['1 .. 40']

    **Instance Argument(s)**:

    :type end_time: unicode
    :param end_time: To time period granting user access

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.username', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.username', 'pybind.slxos.v17r_1_00a.brocade_aaa', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, username=username, end_time=end_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, username=username, end_time=end_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_update(self, vc_peer_data=None, vc_peer_address=None, vc_peer_state=None, vc_peer_uptime=None, vc_peer_load_balance=None, vc_peer_cos_enabled=None, vc_peer_cos_value=None, vc_ldp_tnnl_in_use=None, vc_local_label=None, vc_remote_label=None, vc_local_mtu=None, vc_remote_mtu=None, vc_local_type=None, vc_remote_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_peer_address: unicode
    :param vc_peer_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type vc_peer_state: unicode
    :param vc_peer_state: Keyword argument.

    :type vc_peer_uptime: unicode
    :param vc_peer_uptime: Keyword argument.

    :type vc_peer_load_balance: YANGBool
    :param vc_peer_load_balance: Keyword argument.

    :type vc_peer_cos_enabled: YANGBool
    :param vc_peer_cos_enabled: Keyword argument.

    :type vc_peer_cos_value: int
    :param vc_peer_cos_value: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_ldp_tnnl_in_use: unicode
    :param vc_ldp_tnnl_in_use: Keyword argument.

    :type vc_local_label: long
    :param vc_local_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_label: long
    :param vc_remote_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_local_mtu: long
    :param vc_local_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_mtu: long
    :param vc_remote_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_local_type: long
    :param vc_local_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_type: long
    :param vc_remote_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_peer_address=vc_peer_address, vc_peer_state=vc_peer_state, vc_peer_uptime=vc_peer_uptime, vc_peer_load_balance=vc_peer_load_balance, vc_peer_cos_enabled=vc_peer_cos_enabled, vc_peer_cos_value=vc_peer_cos_value, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use, vc_local_label=vc_local_label, vc_remote_label=vc_remote_label, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_local_type=vc_local_type, vc_remote_type=vc_remote_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_peer_address=vc_peer_address, vc_peer_state=vc_peer_state, vc_peer_uptime=vc_peer_uptime, vc_peer_load_balance=vc_peer_load_balance, vc_peer_cos_enabled=vc_peer_cos_enabled, vc_peer_cos_value=vc_peer_cos_value, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use, vc_local_label=vc_local_label, vc_remote_label=vc_remote_label, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_local_type=vc_local_type, vc_remote_type=vc_remote_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_ldp_tnnl_in_use_update(self, vc_peer_data=None, vc_ldp_tnnl_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_ldp_tnnl_in_use: unicode
    :param vc_ldp_tnnl_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_local_label_update(self, vc_peer_data=None, vc_local_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_local_label: long
    :param vc_local_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_local_label=vc_local_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_local_label=vc_local_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_local_mtu_update(self, vc_peer_data=None, vc_local_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_local_mtu: long
    :param vc_local_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_local_mtu=vc_local_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_local_mtu=vc_local_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_local_type_update(self, vc_peer_data=None, vc_local_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_local_type: long
    :param vc_local_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_local_type=vc_local_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_local_type=vc_local_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_peer_address_update(self, vc_peer_data=None, vc_peer_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_peer_address: unicode
    :param vc_peer_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_peer_address=vc_peer_address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_peer_address=vc_peer_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_peer_cos_enabled_update(self, vc_peer_data=None, vc_peer_cos_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_peer_cos_enabled: YANGBool
    :param vc_peer_cos_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_peer_cos_enabled=vc_peer_cos_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_peer_cos_enabled=vc_peer_cos_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_peer_cos_value_update(self, vc_peer_data=None, vc_peer_cos_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_peer_cos_value: int
    :param vc_peer_cos_value: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_peer_cos_value=vc_peer_cos_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_peer_cos_value=vc_peer_cos_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_peer_load_balance_update(self, vc_peer_data=None, vc_peer_load_balance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_peer_load_balance: YANGBool
    :param vc_peer_load_balance: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_peer_load_balance=vc_peer_load_balance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_peer_load_balance=vc_peer_load_balance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_peer_state_update(self, vc_peer_data=None, vc_peer_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_peer_state: unicode
    :param vc_peer_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_peer_state=vc_peer_state)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_peer_state=vc_peer_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_peer_uptime_update(self, vc_peer_data=None, vc_peer_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_peer_uptime: unicode
    :param vc_peer_uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_peer_uptime=vc_peer_uptime)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_peer_uptime=vc_peer_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_proto_tnnl_update(self, vc_peer_data=None, vc_proto_tnnl=None, vc_ldp_tunnel_id=None, vc_ldp_name=None, vc_lsp_name=None, vc_peer_lsp_cos_enabled=None, vc_peer_lsp_cos_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_ldp_tunnel_id: long
    :param vc_ldp_tunnel_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_ldp_name: unicode
    :param vc_ldp_name: Keyword argument.

    :type vc_lsp_name: unicode
    :param vc_lsp_name: Keyword argument.

    :type vc_peer_lsp_cos_enabled: YANGBool
    :param vc_peer_lsp_cos_enabled: Keyword argument.

    :type vc_peer_lsp_cos_value: int
    :param vc_peer_lsp_cos_value: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', u'vc_peer_data'), ('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id, vc_ldp_name=vc_ldp_name, vc_lsp_name=vc_lsp_name, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id, vc_ldp_name=vc_ldp_name, vc_lsp_name=vc_lsp_name, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_proto_tnnl_vc_ldp_name_update(self, vc_peer_data=None, vc_proto_tnnl=None, vc_ldp_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_ldp_name: unicode
    :param vc_ldp_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', u'vc_peer_data'), ('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_name=vc_ldp_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_name=vc_ldp_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_proto_tnnl_vc_ldp_tunnel_id_update(self, vc_peer_data=None, vc_proto_tnnl=None, vc_ldp_tunnel_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_ldp_tunnel_id: long
    :param vc_ldp_tunnel_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', u'vc_peer_data'), ('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_proto_tnnl_vc_lsp_name_update(self, vc_peer_data=None, vc_proto_tnnl=None, vc_lsp_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_lsp_name: unicode
    :param vc_lsp_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', u'vc_peer_data'), ('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_lsp_name=vc_lsp_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_lsp_name=vc_lsp_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_proto_tnnl_vc_peer_lsp_cos_enabled_update(self, vc_peer_data=None, vc_proto_tnnl=None, vc_peer_lsp_cos_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_peer_lsp_cos_enabled: YANGBool
    :param vc_peer_lsp_cos_enabled: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', u'vc_peer_data'), ('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_proto_tnnl_vc_peer_lsp_cos_value_update(self, vc_peer_data=None, vc_proto_tnnl=None, vc_peer_lsp_cos_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_peer_lsp_cos_value: int
    :param vc_peer_lsp_cos_value: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', u'vc_peer_data'), ('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_remote_label_update(self, vc_peer_data=None, vc_remote_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_remote_label: long
    :param vc_remote_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_remote_label=vc_remote_label)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_remote_label=vc_remote_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_remote_mtu_update(self, vc_peer_data=None, vc_remote_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_remote_mtu: long
    :param vc_remote_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_remote_mtu=vc_remote_mtu)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_remote_mtu=vc_remote_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_remote_type_update(self, vc_peer_data=None, vc_remote_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_remote_type: long
    :param vc_remote_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vc_peer_state.vc_peer_data', 'pybind.slxos.v17r_1_00a.brocade_pwm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vc_peer_data=vc_peer_data, vc_remote_type=vc_remote_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_remote_type=vc_remote_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcenter_update(self, vcenter=None, activate=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vcenter: id
    :param vcenter: Keyword argument tuple.

    :type id: unicode
    :param id: **vcenter** tuple argument:  NAME;;vCenter name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the vCenter discovery

    :type interval: long
    :param interval: Discovery Timer Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vcenter', 'pybind.nos.v6_0_2c.brocade_vswitch', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcenter', 'pybind.nos.v7_0_1b.brocade_vswitch', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcenter', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcenter', 'pybind.slxos.v17r_1_00a.brocade_vswitch', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'vcenter', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vcenter=vcenter, activate=activate, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcenter=vcenter, activate=activate, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcenter_activate_update(self, vcenter=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vcenter: id
    :param vcenter: Keyword argument tuple.

    :type id: unicode
    :param id: **vcenter** tuple argument:  NAME;;vCenter name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the vCenter discovery

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vcenter', 'pybind.nos.v6_0_2c.brocade_vswitch', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcenter', 'pybind.nos.v7_0_1b.brocade_vswitch', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcenter', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcenter', 'pybind.slxos.v17r_1_00a.brocade_vswitch', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'vcenter', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vcenter=vcenter, activate=activate)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcenter=vcenter, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcenter_discovery_ignore_delete_all_response_update(self, vcenter=None, ignore_value=None, always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vcenter: id
    :param vcenter: Keyword argument tuple.

    :type id: unicode
    :param id: **vcenter** tuple argument:  NAME;;vCenter name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type ignore_value: long
    :param ignore_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type always: YANGBool
    :param always: Always ignore delete-all from vCenter

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.vcenter', 'vcenter'), ('pybind.slxos.v17r_1_00a.vcenter', 'vcenter'), ('pybind.nos.v7_1_0.vcenter', 'vcenter'), ('pybind.nos.v7_0_1b.vcenter', 'vcenter'), ('pybind.slxos.v16r_1_00b.vcenter', 'vcenter')]
    bindings_list = [('pybind.nos.v6_0_2c.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v6_0_2c.brocade_vswitch', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_0_1b.brocade_vswitch', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter.discovery.ignore_delete_all_response', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcenter.discovery.ignore_delete_all_response', 'pybind.slxos.v17r_1_00a.brocade_vswitch', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vcenter=vcenter, ignore_value=ignore_value, always=always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcenter=vcenter, ignore_value=ignore_value, always=always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcenter_discovery_ignore_delete_all_response_always_update(self, vcenter=None, always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vcenter: id
    :param vcenter: Keyword argument tuple.

    :type id: unicode
    :param id: **vcenter** tuple argument:  NAME;;vCenter name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type always: YANGBool
    :param always: Always ignore delete-all from vCenter

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.vcenter', 'vcenter'), ('pybind.slxos.v17r_1_00a.vcenter', 'vcenter'), ('pybind.nos.v7_1_0.vcenter', 'vcenter'), ('pybind.nos.v7_0_1b.vcenter', 'vcenter'), ('pybind.slxos.v16r_1_00b.vcenter', 'vcenter')]
    bindings_list = [('pybind.nos.v6_0_2c.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v6_0_2c.brocade_vswitch', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_0_1b.brocade_vswitch', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter.discovery.ignore_delete_all_response', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcenter.discovery.ignore_delete_all_response', 'pybind.slxos.v17r_1_00a.brocade_vswitch', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vcenter=vcenter, always=always)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcenter=vcenter, always=always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcenter_discovery_ignore_delete_all_response_ignore_value_update(self, vcenter=None, ignore_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vcenter: id
    :param vcenter: Keyword argument tuple.

    :type id: unicode
    :param id: **vcenter** tuple argument:  NAME;;vCenter name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type ignore_value: long
    :param ignore_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.vcenter', 'vcenter'), ('pybind.slxos.v17r_1_00a.vcenter', 'vcenter'), ('pybind.nos.v7_1_0.vcenter', 'vcenter'), ('pybind.nos.v7_0_1b.vcenter', 'vcenter'), ('pybind.slxos.v16r_1_00b.vcenter', 'vcenter')]
    bindings_list = [('pybind.nos.v6_0_2c.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v6_0_2c.brocade_vswitch', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_0_1b.brocade_vswitch', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter.discovery.ignore_delete_all_response', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcenter.discovery.ignore_delete_all_response', 'pybind.slxos.v17r_1_00a.brocade_vswitch', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vcenter=vcenter, ignore_value=ignore_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcenter=vcenter, ignore_value=ignore_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcenter_interval_update(self, vcenter=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vcenter: id
    :param vcenter: Keyword argument tuple.

    :type id: unicode
    :param id: **vcenter** tuple argument:  NAME;;vCenter name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type interval: long
    :param interval: Discovery Timer Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vcenter', 'pybind.nos.v6_0_2c.brocade_vswitch', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcenter', 'pybind.nos.v7_0_1b.brocade_vswitch', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcenter', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcenter', 'pybind.slxos.v17r_1_00a.brocade_vswitch', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'vcenter', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vcenter=vcenter, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcenter=vcenter, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcenter_password_update(self, vcenter=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vcenter: id
    :param vcenter: Keyword argument tuple.

    :type id: unicode
    :param id: **vcenter** tuple argument:  NAME;;vCenter name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type password: unicode
    :param password: Password

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.vcenter', 'vcenter'), ('pybind.nos.v6_0_2c.vcenter', 'vcenter'), ('pybind.slxos.v16r_1_00b.vcenter', 'vcenter'), ('pybind.slxos.v17r_1_00a.vcenter', 'vcenter'), ('pybind.nos.v7_1_0.vcenter', 'vcenter')]
    bindings_list = [('pybind.nos.v6_0_2c.vcenter.credentials', 'pybind.nos.v6_0_2c.brocade_vswitch', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcenter.credentials', 'pybind.nos.v7_0_1b.brocade_vswitch', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcenter.credentials', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter.credentials', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcenter.credentials', 'pybind.slxos.v17r_1_00a.brocade_vswitch', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vcenter=vcenter, password=password)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcenter=vcenter, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcenter_url_update(self, vcenter=None, url=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vcenter: id
    :param vcenter: Keyword argument tuple.

    :type id: unicode
    :param id: **vcenter** tuple argument:  NAME;;vCenter name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type url: unicode
    :param url: URL

        * length restriction: ::

            ['1 .. 64']

        * pattern restriction: ::

            '[h][t][t][p]([s]{0,1})[:][/][/]([-a-zA-Z0-9\.\\\'
            '\@#\+\*\(\)=\{~\}%<>=$_:\[\]\|]{1,57})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.vcenter', 'vcenter'), ('pybind.nos.v6_0_2c.vcenter', 'vcenter'), ('pybind.slxos.v16r_1_00b.vcenter', 'vcenter'), ('pybind.slxos.v17r_1_00a.vcenter', 'vcenter'), ('pybind.nos.v7_1_0.vcenter', 'vcenter')]
    bindings_list = [('pybind.nos.v6_0_2c.vcenter.credentials', 'pybind.nos.v6_0_2c.brocade_vswitch', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcenter.credentials', 'pybind.nos.v7_0_1b.brocade_vswitch', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcenter.credentials', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter.credentials', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcenter.credentials', 'pybind.slxos.v17r_1_00a.brocade_vswitch', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vcenter=vcenter, url=url)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcenter=vcenter, url=url)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcenter_use_vrf_update(self, vcenter=None, vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vcenter: id
    :param vcenter: Keyword argument tuple.

    :type id: unicode
    :param id: **vcenter** tuple argument:  NAME;;vCenter name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type vrf_name: unicode
    :param vrf_name: VRF name of the vCenter server

        * length restriction: ::

            ['1 .. 255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.vcenter', 'vcenter'), ('pybind.nos.v7_0_1b.vcenter', 'vcenter')]
    bindings_list = [('pybind.nos.v7_0_1b.vcenter.credentials', 'pybind.nos.v7_0_1b.brocade_vswitch', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcenter.credentials', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vcenter=vcenter, vrf_name=vrf_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcenter=vcenter, vrf_name=vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcenter_username_update(self, vcenter=None, username=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vcenter: id
    :param vcenter: Keyword argument tuple.

    :type id: unicode
    :param id: **vcenter** tuple argument:  NAME;;vCenter name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type username: unicode
    :param username: User name

        * length restriction: ::

            ['1 .. 255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1b.vcenter', 'vcenter'), ('pybind.nos.v6_0_2c.vcenter', 'vcenter'), ('pybind.slxos.v16r_1_00b.vcenter', 'vcenter'), ('pybind.slxos.v17r_1_00a.vcenter', 'vcenter'), ('pybind.nos.v7_1_0.vcenter', 'vcenter')]
    bindings_list = [('pybind.nos.v6_0_2c.vcenter.credentials', 'pybind.nos.v6_0_2c.brocade_vswitch', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcenter.credentials', 'pybind.nos.v7_0_1b.brocade_vswitch', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcenter.credentials', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter.credentials', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcenter.credentials', 'pybind.slxos.v17r_1_00a.brocade_vswitch', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vcenter=vcenter, username=username)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcenter=vcenter, username=username)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcs_auto_config_backup_update(self, timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Argument(s)**:

    :type timer: long
    :param timer: Auto configuration backup timer interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.vcs.auto_config_backup', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, timer=timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, timer=timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcs_auto_config_backup_timer_update(self, timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Argument(s)**:

    :type timer: long
    :param timer: Auto configuration backup timer interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.vcs.auto_config_backup', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, timer=timer)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, timer=timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcs_virtual_fabric_update(self, vfab_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vfab_enable: YANGBool
    :param vfab_enable: Enable virtual fabric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vcs.virtual_fabric', 'pybind.nos.v6_0_2c.brocade_vcs', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcs.virtual_fabric', 'pybind.nos.v7_0_1b.brocade_vcs', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcs.virtual_fabric', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual_fabric', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcs.virtual_fabric', 'pybind.slxos.v17r_1_00a.brocade_vcs', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vfab_enable=vfab_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vfab_enable=vfab_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcs_virtual_fabric_enable_update(self, vfab_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vfab_enable: YANGBool
    :param vfab_enable: Enable virtual fabric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vcs.virtual_fabric', 'pybind.nos.v6_0_2c.brocade_vcs', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcs.virtual_fabric', 'pybind.nos.v7_0_1b.brocade_vcs', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcs.virtual_fabric', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual_fabric', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcs.virtual_fabric', 'pybind.slxos.v17r_1_00a.brocade_vcs', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vfab_enable=vfab_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vfab_enable=vfab_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcs_virtual_ip_address_inband_interface_update(self, address=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  Virtual IP address (IPv4 Address/Prefix)

        * pattern restriction: ::

            '((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6'
            '-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2('
            '([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?)'
            ')/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type ve: long
    :param ve: ve number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.vcs.virtual.ip.address', u'address'), ('pybind.slxos.v17r_1_00a.vcs.virtual.ip.address', u'address'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address', u'address'), ('pybind.nos.v6_0_2c.vcs.virtual.ip.address', u'address'), ('pybind.nos.v7_0_1b.vcs.virtual.ip.address', u'address')]
    bindings_list = [('pybind.nos.v6_0_2c.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v6_0_2c.brocade_vcs', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v7_0_1b.brocade_vcs', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address.inband.interface', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcs.virtual.ip.address.inband.interface', 'pybind.slxos.v17r_1_00a.brocade_vcs', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, address=address, ve=ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, address=address, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcs_virtual_ip_address_inband_interface_ve_update(self, address=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  Virtual IP address (IPv4 Address/Prefix)

        * pattern restriction: ::

            '((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6'
            '-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2('
            '([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?)'
            ')/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type ve: long
    :param ve: ve number

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.vcs.virtual.ip.address', u'address'), ('pybind.slxos.v17r_1_00a.vcs.virtual.ip.address', u'address'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address', u'address'), ('pybind.nos.v6_0_2c.vcs.virtual.ip.address', u'address'), ('pybind.nos.v7_0_1b.vcs.virtual.ip.address', u'address')]
    bindings_list = [('pybind.nos.v6_0_2c.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v6_0_2c.brocade_vcs', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v7_0_1b.brocade_vcs', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address.inband.interface', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcs.virtual.ip.address.inband.interface', 'pybind.slxos.v17r_1_00a.brocade_vcs', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, address=address, ve=ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, address=address, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcsmode_update(self, vcs_mode=None, vcs_cluster_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vcs_mode: YANGBool
    :param vcs_mode: Keyword argument.

    :type vcs_cluster_mode: YANGBool
    :param vcs_cluster_mode: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vcsmode', 'pybind.nos.v6_0_2c.brocade_vcs', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcsmode', 'pybind.nos.v7_0_1b.brocade_vcs', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcsmode', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcsmode', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcsmode', 'pybind.slxos.v17r_1_00a.brocade_vcs', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vcs_mode=vcs_mode, vcs_cluster_mode=vcs_cluster_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcs_mode=vcs_mode, vcs_cluster_mode=vcs_cluster_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcsmode_vcs_cluster_mode_update(self, vcs_cluster_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vcs_cluster_mode: YANGBool
    :param vcs_cluster_mode: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vcsmode', 'pybind.nos.v6_0_2c.brocade_vcs', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcsmode', 'pybind.nos.v7_0_1b.brocade_vcs', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcsmode', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcsmode', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcsmode', 'pybind.slxos.v17r_1_00a.brocade_vcs', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vcs_cluster_mode=vcs_cluster_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcs_cluster_mode=vcs_cluster_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcsmode_vcs_mode_update(self, vcs_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vcs_mode: YANGBool
    :param vcs_mode: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vcsmode', 'pybind.nos.v6_0_2c.brocade_vcs', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcsmode', 'pybind.nos.v7_0_1b.brocade_vcs', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcsmode', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcsmode', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vcsmode', 'pybind.slxos.v17r_1_00a.brocade_vcs', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vcs_mode=vcs_mode)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcs_mode=vcs_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlag_commit_mode_update(self, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: disable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.vlag_commit_mode', 'pybind.nos.v7_0_1b.brocade_lacp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vlag_commit_mode', 'pybind.nos.v7_1_0.brocade_lacp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlag_commit_mode_disable_update(self, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Argument(s)**:

    :type disable: YANGBool
    :param disable: disable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.vlag_commit_mode', 'pybind.nos.v7_0_1b.brocade_lacp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vlag_commit_mode', 'pybind.nos.v7_1_0.brocade_lacp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, disable=disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_update(self, vlan=None, transport_service=None, ifindex=None, description=None, vlan_name=None, remote_span=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transport_service: int
    :param transport_service:  Set tlsid for Transparent vlan 

        * range restriction: ::

            ['0..65535']

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type vlan_name: unicode
    :param vlan_name: Alternative name for the VLAN

        * length restriction: ::

            ['1 .. 32']

    :type remote_span: YANGBool
    :param remote_span: Configure the vlan as rspan vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.interface_vlan.interface.vlan": {"name": "name", "vlan_name": "vlan_name", "transport_service": "transport_service", "ifindex": "ifindex", "remote_span": "remote_span", "description": "description"}, "pybind.nos.v7_1_0.interface_vlan.interface.vlan": {"name": "name", "vlan_name": "vlan_name", "transport_service": "transport_service", "ifindex": "ifindex", "remote_span": "remote_span", "description": "description"}, "pybind.nos.v7_0_1b.interface_vlan.interface.vlan": {"name": "name", "vlan_name": "vlan_name", "transport_service": "transport_service", "ifindex": "ifindex", "remote_span": "remote_span", "description": "description"}, "pybind.slxos.v16r_1_00b.interface_vlan.vlan": {"ifindex": "ifindex", "remote_span": "remote_span", "name": "name", "vlan_name": "vlan_name", "description": "description"}, "pybind.slxos.v17r_1_00a.interface_vlan.vlan": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, transport_service=transport_service, ifindex=ifindex, description=description, vlan_name=vlan_name, remote_span=remote_span)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, transport_service=transport_service, ifindex=ifindex, description=description, vlan_name=vlan_name, remote_span=remote_span)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_classifier_rule_mac_update(self, rule=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: ruleid
    :param rule: Keyword argument tuple.

    :type ruleid: long
    :param ruleid: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: MAC address classification by source MAC address.Source mac address HHHH.HHHH.HHHH. Choice keyword argument (Only one choice argument allowed per API invocation).

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v6_0_2c.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_0_1b.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_1_0.vlan.classifier.rule', u'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.vlan.classifier.rule.mac', 'pybind.nos.v6_0_2c.brocade_vlan', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vlan.classifier.rule.mac', 'pybind.nos.v7_0_1b.brocade_vlan', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vlan.classifier.rule.mac', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.vlan.classifier.rule.mac': [u'address'], 'pybind.nos.v7_1_0.vlan.classifier.rule.mac': [u'address'], 'pybind.nos.v6_0_2c.vlan.classifier.rule.mac': [u'address']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, address=address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_classifier_rule_mac_address_update(self, rule=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: ruleid
    :param rule: Keyword argument tuple.

    :type ruleid: long
    :param ruleid: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: MAC address classification by source MAC address.Source mac address HHHH.HHHH.HHHH

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2c.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_0_1b.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_1_0.vlan.classifier.rule', u'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.vlan.classifier.rule.mac', 'pybind.nos.v6_0_2c.brocade_vlan', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vlan.classifier.rule.mac', 'pybind.nos.v7_0_1b.brocade_vlan', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vlan.classifier.rule.mac', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, address=address)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_classifier_rule_proto_update(self, rule=None, proto_val=None, encap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: ruleid
    :param rule: Keyword argument tuple.

    :type ruleid: long
    :param ruleid: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type proto_val: unicode
    :param proto_val: Choice keyword argument (Only one choice argument allowed per API invocation).

        * enumeration restriction: ::

            ['arp', 'ip', 'ipv6']

    :type encap: unicode
    :param encap: Keyword argument.

        * enumeration restriction: ::

            ['ethv2', 'snapllc', 'nosnapllc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.nos.v7_1_0.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_0_1b.vlan.classifier.rule', u'rule'), ('pybind.nos.v6_0_2c.vlan.classifier.rule', u'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.vlan.classifier.rule.proto', 'pybind.nos.v6_0_2c.brocade_vlan', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vlan.classifier.rule.proto', 'pybind.nos.v7_0_1b.brocade_vlan', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vlan.classifier.rule.proto', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'proto_val, encap'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.nos.v7_0_1b.vlan.classifier.rule.proto': [u'proto_val'], 'pybind.nos.v6_0_2c.vlan.classifier.rule.proto': [u'proto_val'], 'pybind.nos.v7_1_0.vlan.classifier.rule.proto': [u'proto_val']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, proto_val=proto_val, encap=encap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, proto_val=proto_val, encap=encap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_classifier_rule_proto_encap_update(self, rule=None, encap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: ruleid
    :param rule: Keyword argument tuple.

    :type ruleid: long
    :param ruleid: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type encap: unicode
    :param encap: Keyword argument.

        * enumeration restriction: ::

            ['ethv2', 'snapllc', 'nosnapllc']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_0_1b.vlan.classifier.rule', u'rule'), ('pybind.nos.v6_0_2c.vlan.classifier.rule', u'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.vlan.classifier.rule.proto', 'pybind.nos.v6_0_2c.brocade_vlan', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vlan.classifier.rule.proto', 'pybind.nos.v7_0_1b.brocade_vlan', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vlan.classifier.rule.proto', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, encap=encap)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, encap=encap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_classifier_rule_proto_proto_val_update(self, rule=None, proto_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rule: ruleid
    :param rule: Keyword argument tuple.

    :type ruleid: long
    :param ruleid: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type proto_val: unicode
    :param proto_val: Keyword argument.

        * enumeration restriction: ::

            ['arp', 'ip', 'ipv6']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_0_1b.vlan.classifier.rule', u'rule'), ('pybind.nos.v6_0_2c.vlan.classifier.rule', u'rule')]
    bindings_list = [('pybind.nos.v6_0_2c.vlan.classifier.rule.proto', 'pybind.nos.v6_0_2c.brocade_vlan', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vlan.classifier.rule.proto', 'pybind.nos.v7_0_1b.brocade_vlan', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vlan.classifier.rule.proto', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, rule=rule, proto_val=proto_val)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, proto_val=proto_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_description_update(self, vlan=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, description=description)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_dot1q_tag_update(self, native=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type native: YANGBool
    :param native: Enable tagged behavior for Native-VLANs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vlan.dot1q.tag', 'pybind.nos.v6_0_2c.brocade_vlan', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vlan.dot1q.tag', 'pybind.nos.v7_0_1b.brocade_vlan', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vlan.dot1q.tag', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vlan.dot1q.tag', 'pybind.slxos.v16r_1_00b.brocade_vlan', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vlan.dot1q.tag', 'pybind.slxos.v17r_1_00a.brocade_vlan', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, native=native)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, native=native)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_dot1q_tag_native_update(self, native=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type native: YANGBool
    :param native: Enable tagged behavior for Native-VLANs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vlan.dot1q.tag', 'pybind.nos.v6_0_2c.brocade_vlan', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vlan.dot1q.tag', 'pybind.nos.v7_0_1b.brocade_vlan', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vlan.dot1q.tag', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vlan.dot1q.tag', 'pybind.slxos.v16r_1_00b.brocade_vlan', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vlan.dot1q.tag', 'pybind.slxos.v17r_1_00a.brocade_vlan', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, native=native)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, native=native)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ifindex_update(self, vlan=None, ifindex=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, ifindex=ifindex)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, ifindex=ifindex)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_arp_inspection_update(self, vlan=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.arp.inspection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_arp_inspection_filter_update(self, vlan=None, acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type acl_name: unicode
    :param acl_name: Keyword argument.

        * length restriction: ::

            ['1..62']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection.filter', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.arp.inspection.filter', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, acl_name=acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, acl_name=acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_arp_inspection_filter_acl_name_update(self, vlan=None, acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type acl_name: unicode
    :param acl_name: Keyword argument.

        * length restriction: ::

            ['1..62']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection.filter', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.arp.inspection.filter', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, acl_name=acl_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, acl_name=acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_arp_inspection_logging_update(self, vlan=None, acl_match=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type acl_match: unicode
    :param acl_match: Enable DAI Logging

        * enumeration restriction: ::

            ['none', 'matchlog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection.logging', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.arp.inspection.logging', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, acl_match=acl_match)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, acl_match=acl_match)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_arp_inspection_logging_acl_match_update(self, vlan=None, acl_match=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type acl_match: unicode
    :param acl_match: Enable DAI Logging

        * enumeration restriction: ::

            ['none', 'matchlog']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection.logging', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.arp.inspection.logging', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, acl_match=acl_match)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, acl_match=acl_match)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_arp_inspection_trust_update(self, vlan=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trust: YANGBool
    :param trust: Trusted Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.arp.inspection', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, trust=trust)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_update(self, vlan=None, igmps_version=None, igmps_last_member_query_interval=None, igmps_query_interval=None, igmps_query_max_response_time=None, igmps_enable=None, igmps_fast_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmps_version: long
    :param igmps_version: IGMP Snooping Version

        * range restriction: ::

            ['0..4294967295']

    :type igmps_last_member_query_interval: long
    :param igmps_last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type igmps_query_interval: long
    :param igmps_query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type igmps_query_max_response_time: long
    :param igmps_query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type igmps_enable: YANGBool
    :param igmps_enable: IGMP Enable

    :type igmps_fast_leave: YANGBool
    :param igmps_fast_leave: Fast Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, igmps_version=igmps_version, igmps_last_member_query_interval=igmps_last_member_query_interval, igmps_query_interval=igmps_query_interval, igmps_query_max_response_time=igmps_query_max_response_time, igmps_enable=igmps_enable, igmps_fast_leave=igmps_fast_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, igmps_version=igmps_version, igmps_last_member_query_interval=igmps_last_member_query_interval, igmps_query_interval=igmps_query_interval, igmps_query_max_response_time=igmps_query_max_response_time, igmps_enable=igmps_enable, igmps_fast_leave=igmps_fast_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_enable_update(self, vlan=None, igmps_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmps_enable: YANGBool
    :param igmps_enable: IGMP Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, igmps_enable=igmps_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, igmps_enable=igmps_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_fast_leave_update(self, vlan=None, igmps_fast_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmps_fast_leave: YANGBool
    :param igmps_fast_leave: Fast Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, igmps_fast_leave=igmps_fast_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, igmps_fast_leave=igmps_fast_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_last_member_query_interval_update(self, vlan=None, igmps_last_member_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmps_last_member_query_interval: long
    :param igmps_last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, igmps_last_member_query_interval=igmps_last_member_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, igmps_last_member_query_interval=igmps_last_member_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_querier_update(self, vlan=None, igmps_qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmps_qenable: YANGBool
    :param igmps_qenable: Enable snooping querier

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_querier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_querier', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, igmps_qenable=igmps_qenable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, igmps_qenable=igmps_qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_querier_enable_update(self, vlan=None, igmps_qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmps_qenable: YANGBool
    :param igmps_qenable: Enable snooping querier

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_querier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_querier', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, igmps_qenable=igmps_qenable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, igmps_qenable=igmps_qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_query_interval_update(self, vlan=None, igmps_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmps_query_interval: long
    :param igmps_query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, igmps_query_interval=igmps_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, igmps_query_interval=igmps_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_query_max_response_time_update(self, vlan=None, igmps_query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmps_query_max_response_time: long
    :param igmps_query_max_response_time: IGMP Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, igmps_query_max_response_time=igmps_query_max_response_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, igmps_query_max_response_time=igmps_query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_version_update(self, vlan=None, igmps_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igmps_version: long
    :param igmps_version: IGMP Snooping Version

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, igmps_version=igmps_version)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, igmps_version=igmps_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_pim_snooping_update(self, vlan=None, vlan_pimv4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_pimv4_enable: YANGBool
    :param vlan_pimv4_enable: IP PIM Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpPIM.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.igmpPIM.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_pim_snooping_enable_update(self, vlan=None, vlan_pimv4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_pimv4_enable: YANGBool
    :param vlan_pimv4_enable: IP PIM Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpPIM.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ip.igmpPIM.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_update(self, vlan=None, last_member_query_interval=None, last_member_query_count=None, startup_query_interval=None, startup_query_count=None, query_max_response_time=None, query_interval=None, mldVersion=None, enable=None, fast_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type last_member_query_count: long
    :param last_member_query_count: Last Member Query Count

        * range restriction: ::

            ['0..4294967295']

    :type startup_query_interval: long
    :param startup_query_interval: Startup Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type startup_query_count: long
    :param startup_query_count: Startup Query Count

        * range restriction: ::

            ['0..4294967295']

    :type query_max_response_time: long
    :param query_max_response_time: MLDS Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type mldVersion: unicode
    :param mldVersion: MLD Version [v1|v2]

        * pattern restriction: ::

            'v[1|2]'

    :type enable: YANGBool
    :param enable: MLDS Enable

    :type fast_leave: YANGBool
    :param fast_leave: Fast Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, last_member_query_interval=last_member_query_interval, last_member_query_count=last_member_query_count, startup_query_interval=startup_query_interval, startup_query_count=startup_query_count, query_max_response_time=query_max_response_time, query_interval=query_interval, mldVersion=mldVersion, enable=enable, fast_leave=fast_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, last_member_query_interval=last_member_query_interval, last_member_query_count=last_member_query_count, startup_query_interval=startup_query_interval, startup_query_count=startup_query_count, query_max_response_time=query_max_response_time, query_interval=query_interval, mldVersion=mldVersion, enable=enable, fast_leave=fast_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_enable_update(self, vlan=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: MLDS Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, enable=enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_fast_leave_update(self, vlan=None, fast_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type fast_leave: YANGBool
    :param fast_leave: Fast Leave Processing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, fast_leave=fast_leave)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, fast_leave=fast_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_last_member_query_count_update(self, vlan=None, last_member_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_count: long
    :param last_member_query_count: Last Member Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, last_member_query_count=last_member_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, last_member_query_count=last_member_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_last_member_query_interval_update(self, vlan=None, last_member_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type last_member_query_interval: long
    :param last_member_query_interval: Last Member Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, last_member_query_interval=last_member_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, last_member_query_interval=last_member_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_querier_update(self, vlan=None, qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type qenable: YANGBool
    :param qenable: Enable snooping querier

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.querier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldVlan.snooping.querier', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, qenable=qenable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, qenable=qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_querier_enable_update(self, vlan=None, qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type qenable: YANGBool
    :param qenable: Enable snooping querier

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.querier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldVlan.snooping.querier', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, qenable=qenable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, qenable=qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_query_interval_update(self, vlan=None, query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type query_interval: long
    :param query_interval: Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, query_interval=query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, query_interval=query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_query_max_response_time_update(self, vlan=None, query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type query_max_response_time: long
    :param query_max_response_time: MLDS Max Query Response Time

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, query_max_response_time=query_max_response_time)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, query_max_response_time=query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_startup_query_count_update(self, vlan=None, startup_query_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type startup_query_count: long
    :param startup_query_count: Startup Query Count

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, startup_query_count=startup_query_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, startup_query_count=startup_query_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_startup_query_interval_update(self, vlan=None, startup_query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type startup_query_interval: long
    :param startup_query_interval: Startup Query Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, startup_query_interval=startup_query_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, startup_query_interval=startup_query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_version_update(self, vlan=None, mldVersion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mldVersion: unicode
    :param mldVersion: MLD Version [v1|v2]

        * pattern restriction: ::

            'v[1|2]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, mldVersion=mldVersion)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, mldVersion=mldVersion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_pim_snooping_update(self, vlan=None, vlan_pimv6_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_pimv6_enable: YANGBool
    :param vlan_pimv6_enable: MLD : IpV6 PIM Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldPIM.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldPIM.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_pim_snooping_enable_update(self, vlan=None, vlan_pimv6_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_pimv6_enable: YANGBool
    :param vlan_pimv6_enable: MLD : IpV6 PIM Snooping Enable

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldPIM.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.ipv6.mldPIM.snooping', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_loop_detection_update(self, vlan=None, loop_detection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type loop_detection: YANGBool
    :param loop_detection: Enable loop detection.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, loop_detection=loop_detection)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, loop_detection=loop_detection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_mac_access_group_update(self, vlan=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.mac.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_mac_access_group_traffic_type_update(self, vlan=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.mac.access_group', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, access_group=access_group, traffic_type=traffic_type)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_name_update(self, vlan=None, vlan_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_name: unicode
    :param vlan_name: Alternative name for the VLAN

        * length restriction: ::

            ['1 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, vlan_name=vlan_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, vlan_name=vlan_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_router_interface_update(self, vlan=None, ve_config=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ve_config: long
    :param ve_config: Ve

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.router_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.router_interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, ve_config=ve_config)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, ve_config=ve_config)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_router_interface_ve_update(self, vlan=None, ve_config=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ve_config: long
    :param ve_config: Ve

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.router_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.router_interface', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, ve_config=ve_config)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, ve_config=ve_config)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_rspan_vlan_update(self, vlan=None, remote_span=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type remote_span: YANGBool
    :param remote_span: Configure the vlan as rspan vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, remote_span=remote_span)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, remote_span=remote_span)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_spanning_tree_update(self, vlan=None, stp_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type stp_shutdown: YANGBool
    :param stp_shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, stp_shutdown=stp_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, stp_shutdown=stp_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_spanning_tree_shutdown_update(self, vlan=None, stp_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type stp_shutdown: YANGBool
    :param stp_shutdown: Turn off the spanning-tree protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.interface_vlan.vlan', u'vlan'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan.spanning_tree', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, stp_shutdown=stp_shutdown)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, stp_shutdown=stp_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_statistics_update(self, vlan=None, statistics=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics: YANGBool
    :param statistics: Enable vlan statistics.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.interface_vlan.vlan', 'pybind.slxos.v17r_1_00a.brocade_interface', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vlan=vlan, statistics=statistics)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, statistics=statistics)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vpn_statistics_state_vpn_vrf_statistics_update(self, vpn_vrf_statistics=None, tunnel_in_pkt=None, tunnel_out_pkt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vpn_vrf_statistics: vrf_name
    :param vpn_vrf_statistics: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vpn_vrf_statistics** tuple argument.

    **Instance Argument(s)**:

    :type tunnel_in_pkt: long
    :param tunnel_in_pkt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tunnel_out_pkt: long
    :param tunnel_out_pkt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vpn_statistics_state.vpn_vrf_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vpn_vrf_statistics', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vpn_vrf_statistics=vpn_vrf_statistics, tunnel_in_pkt=tunnel_in_pkt, tunnel_out_pkt=tunnel_out_pkt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vpn_vrf_statistics=vpn_vrf_statistics, tunnel_in_pkt=tunnel_in_pkt, tunnel_out_pkt=tunnel_out_pkt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vpn_statistics_state_vpn_vrf_statistics_tunnel_in_pkt_update(self, vpn_vrf_statistics=None, tunnel_in_pkt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vpn_vrf_statistics: vrf_name
    :param vpn_vrf_statistics: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vpn_vrf_statistics** tuple argument.

    **Instance Argument(s)**:

    :type tunnel_in_pkt: long
    :param tunnel_in_pkt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vpn_statistics_state.vpn_vrf_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vpn_vrf_statistics', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vpn_vrf_statistics=vpn_vrf_statistics, tunnel_in_pkt=tunnel_in_pkt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vpn_vrf_statistics=vpn_vrf_statistics, tunnel_in_pkt=tunnel_in_pkt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vpn_statistics_state_vpn_vrf_statistics_tunnel_out_pkt_update(self, vpn_vrf_statistics=None, tunnel_out_pkt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vpn_vrf_statistics: vrf_name
    :param vpn_vrf_statistics: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vpn_vrf_statistics** tuple argument.

    **Instance Argument(s)**:

    :type tunnel_out_pkt: long
    :param tunnel_out_pkt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vpn_statistics_state.vpn_vrf_statistics', 'pybind.slxos.v17r_1_00a.brocade_nsm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vpn_vrf_statistics', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vpn_vrf_statistics=vpn_vrf_statistics, tunnel_out_pkt=tunnel_out_pkt)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vpn_vrf_statistics=vpn_vrf_statistics, tunnel_out_pkt=tunnel_out_pkt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_update(self, vrf=None, route_distiniguisher=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type route_distiniguisher: unicode
    :param route_distiniguisher: Configure Route Distinguisher

        * pattern restriction: ::

            '((\s*(((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0'
            '-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{'
            '5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|('
            '4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(4294'
            '96729[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|'
            '(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9'
            '])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|'
            '2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]'
            '{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|'
            '1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3'
            '})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9'
            ']{2})|(655[0-2][0-9])|(6553[0-5])))))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.vrf": {"vrf_name": "vrf_name", "route_distiniguisher": "route_distiniguisher"}, "pybind.slxos.v17r_1_00a.vrf": {}}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, route_distiniguisher=route_distiniguisher)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, route_distiniguisher=route_distiniguisher)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_arp_update(self, vrf=None, arp_entry=None, mac_address_value=None, interfacename=None, Ethernet=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address, mac_address_value, interfacename, Ethernet, Ve
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mac_address_value: unicode
    :param mac_address_value: **arp_entry** tuple argument.

    :type interfacename: unicode
    :param interfacename: **arp_entry** tuple argument.

        * enumeration restriction: ::

            ['interface']

    :type Ethernet: unicode
    :param Ethernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: **arp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac_address_value: unicode
    :param mac_address_value: Keyword argument.

    :type interfacename: unicode
    :param interfacename: Keyword argument.

        * enumeration restriction: ::

            ['interface']

    :type Ethernet: unicode
    :param Ethernet: Choice keyword argument (Only one choice argument allowed per API invocation).

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: Choice keyword argument (Only one choice argument allowed per API invocation).

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises MultipleChoicesSetError: If more than one choice kwarg is set.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Ethernet, Ve'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {'pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.arp_entry': [u'Ethernet', u'Ve'], 'pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.arp_entry': [u'Ethernet', u'Ve']}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, Ethernet=Ethernet, Ve=Ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, Ethernet=Ethernet, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_arp_ethernet_update(self, vrf=None, arp_entry=None, Ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type Ethernet: unicode
    :param Ethernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, arp_entry=arp_entry, Ethernet=Ethernet)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, arp_entry=arp_entry, Ethernet=Ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_arp_interfacename_update(self, vrf=None, arp_entry=None, interfacename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interfacename: unicode
    :param interfacename: Keyword argument.

        * enumeration restriction: ::

            ['interface']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, arp_entry=arp_entry, interfacename=interfacename)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, arp_entry=arp_entry, interfacename=interfacename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_arp_mac_address_value_update(self, vrf=None, arp_entry=None, mac_address_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mac_address_value: unicode
    :param mac_address_value: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, arp_entry=arp_entry, mac_address_value=mac_address_value)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, arp_entry=arp_entry, mac_address_value=mac_address_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_arp_ve_update(self, vrf=None, arp_entry=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type Ve: long
    :param Ve: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, arp_entry=arp_entry, Ve=Ve)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, arp_entry=arp_entry, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_bgp_next_hop_update(self, vrf=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type loopback: long
    :param loopback: Set the next-hop as the loopback interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.bgp.next_hop', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_bgp_next_hop_loopback_update(self, vrf=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type loopback: long
    :param loopback: Set the next-hop as the loopback interface

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.bgp.next_hop', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_export_update(self, vrf=None, map_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_export: unicode
    :param map_export: Route-map filter to be applied on export route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.export', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, map_export=map_export)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, map_export=map_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_export_map_update(self, vrf=None, map_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_export: unicode
    :param map_export: Route-map filter to be applied on export route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.export', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, map_export=map_export)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, map_export=map_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_import_update(self, vrf=None, map_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_import: unicode
    :param map_import: Route-map filter to be applied on import route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.import_', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, map_import=map_import)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, map_import=map_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_import_map_update(self, vrf=None, map_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_import: unicode
    :param map_import: Route-map filter to be applied on import route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.import_', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, map_import=map_import)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, map_import=map_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_bfd_update(self, vrf=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type holdover_interval: int
    :param holdover_interval: Holdover interval

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static.bfd', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_bfd_bfd_static_route_interval_update(self, vrf=None, bfd_static_route=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type interval: int
    :param interval: Transmit interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, bfd_static_route=bfd_static_route, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, bfd_static_route=bfd_static_route, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_bfd_bfd_static_route_min_rx_update(self, vrf=None, bfd_static_route=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type min_rx: int
    :param min_rx: Receive interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, bfd_static_route=bfd_static_route, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, bfd_static_route=bfd_static_route, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_bfd_bfd_static_route_multiplier_update(self, vrf=None, bfd_static_route=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type multiplier: int
    :param multiplier: Multiplier value

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, bfd_static_route=bfd_static_route, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, bfd_static_route=bfd_static_route, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_bfd_holdover_interval_update(self, vrf=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type holdover_interval: int
    :param holdover_interval: Holdover interval

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static.bfd', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, holdover_interval=holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_route_nh_distance_update(self, vrf=None, static_route_nh=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, static_route_nh=static_route_nh, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_nh=static_route_nh, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_route_nh_metric_update(self, vrf=None, static_route_nh=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, static_route_nh=static_route_nh, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_nh=static_route_nh, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_route_nh_tag_update(self, vrf=None, static_route_nh=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, static_route_nh=static_route_nh, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_nh=static_route_nh, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_route_oif_distance_update(self, vrf=None, static_route_oif=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, static_route_oif=static_route_oif, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_oif=static_route_oif, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_route_oif_metric_update(self, vrf=None, static_route_oif=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, static_route_oif=static_route_oif, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_oif=static_route_oif, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_route_oif_tag_update(self, vrf=None, static_route_oif=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, static_route_oif=static_route_oif, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_oif=static_route_oif, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_max_route_update(self, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type max_route: long
    :param max_route: Maximum number of routes allowed in this routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ip.unicast', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, max_route=max_route)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_bgp_next_hop_update(self, vrf=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type loopback: long
    :param loopback: Set the next-hop as the loopback interface.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.bgp.next_hop', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_bgp_next_hop_loopback_update(self, vrf=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type loopback: long
    :param loopback: Set the next-hop as the loopback interface.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.bgp.next_hop', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, loopback=loopback)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_export_update(self, vrf=None, map_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_export: unicode
    :param map_export: Route-map filter to be applied on export route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.export', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, map_export=map_export)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, map_export=map_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_export_map_update(self, vrf=None, map_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_export: unicode
    :param map_export: Route-map filter to be applied on export route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.export', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, map_export=map_export)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, map_export=map_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_import_update(self, vrf=None, map_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_import: unicode
    :param map_import: Route-map filter to be applied on import route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.import_', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, map_import=map_import)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, map_import=map_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_import_map_update(self, vrf=None, map_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type map_import: unicode
    :param map_import: Route-map filter to be applied on import route

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.import_', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, map_import=map_import)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, map_import=map_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_link_local_static_route_nh_distance_update(self, vrf=None, link_local_static_route_nh=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'management', 'null', 've']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_link_local_static_route_nh_metric_update(self, vrf=None, link_local_static_route_nh=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'management', 'null', 've']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_link_local_static_route_nh_tag_update(self, vrf=None, link_local_static_route_nh=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'management', 'null', 've']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_update(self, vrf=None, ipv6_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type ipv6_holdover_interval: int
    :param ipv6_holdover_interval: Holdover interval

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, ipv6_holdover_interval=ipv6_holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, ipv6_holdover_interval=ipv6_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_interval_update(self, vrf=None, bfd_ipv6_link_local_static_route=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type interval: int
    :param interval: Transmit interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_min_rx_update(self, vrf=None, bfd_ipv6_link_local_static_route=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type min_rx: int
    :param min_rx: Receive interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_multiplier_update(self, vrf=None, bfd_ipv6_link_local_static_route=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type multiplier: int
    :param multiplier: Multiplier value

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_static_route_interval_update(self, vrf=None, bfd_ipv6_static_route=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type interval: int
    :param interval: Transmit interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route, interval=interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_static_route_min_rx_update(self, vrf=None, bfd_ipv6_static_route=None, min_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type min_rx: int
    :param min_rx: Receive interval

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route, min_rx=min_rx)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route, min_rx=min_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_static_route_multiplier_update(self, vrf=None, bfd_ipv6_static_route=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type multiplier: int
    :param multiplier: Multiplier value

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route, multiplier=multiplier)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_holdover_interval_update(self, vrf=None, ipv6_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type ipv6_holdover_interval: int
    :param ipv6_holdover_interval: Holdover interval

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, ipv6_holdover_interval=ipv6_holdover_interval)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, ipv6_holdover_interval=ipv6_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_route_nh_distance_update(self, vrf=None, static_route_nh=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, static_route_nh=static_route_nh, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_nh=static_route_nh, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_route_nh_metric_update(self, vrf=None, static_route_nh=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, static_route_nh=static_route_nh, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_nh=static_route_nh, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_route_nh_tag_update(self, vrf=None, static_route_nh=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, static_route_nh=static_route_nh, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_nh=static_route_nh, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_route_oif_distance_update(self, vrf=None, static_route_oif=None, distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type distance: long
    :param distance: Route distance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, static_route_oif=static_route_oif, distance=distance)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_oif=static_route_oif, distance=distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_route_oif_metric_update(self, vrf=None, static_route_oif=None, metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type metric: long
    :param metric: Cost metric

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, static_route_oif=static_route_oif, metric=metric)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_oif=static_route_oif, metric=metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_route_oif_tag_update(self, vrf=None, static_route_oif=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    **Instance Argument(s)**:

    :type tag: long
    :param tag: Tag value for this route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v17r_1_00a.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, static_route_oif=static_route_oif, tag=tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_oif=static_route_oif, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_max_route_update(self, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type max_route: long
    :param max_route: Maximum number of routes allowed in this routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.address_family.ipv6.unicast', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, max_route=max_route)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_ip_update(self, vrf=None, vrf_router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type vrf_router_id: unicode
    :param vrf_router_id: Change the router ID already in use

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.ip', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.ip', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, vrf_router_id=vrf_router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, vrf_router_id=vrf_router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_ip_router_id_update(self, vrf=None, vrf_router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type vrf_router_id: unicode
    :param vrf_router_id: Change the router ID already in use

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v17r_1_00a.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.ip', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf.ip', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, vrf_router_id=vrf_router_id)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, vrf_router_id=vrf_router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_rd_update(self, vrf=None, route_distiniguisher=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type route_distiniguisher: unicode
    :param route_distiniguisher: Configure Route Distinguisher

        * pattern restriction: ::

            '((\s*(((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0'
            '-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{'
            '5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|('
            '4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(4294'
            '96729[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|'
            '(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9'
            '])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|'
            '2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]'
            '{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|'
            '1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3'
            '})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9'
            ']{2})|(655[0-2][0-9])|(6553[0-5])))))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrf', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, route_distiniguisher=route_distiniguisher)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, route_distiniguisher=route_distiniguisher)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_vpn_statistics_update(self, vrf=None, vpn_statistics=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type vpn_statistics: YANGBool
    :param vpn_statistics: VPN Statistics

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vrf', 'pybind.slxos.v17r_1_00a.brocade_vrf', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrf=vrf, vpn_statistics=vpn_statistics)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, vpn_statistics=vpn_statistics)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrrp_acceptmode_disable_update(self, vrrp_acceptmode_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type vrrp_acceptmode_disable: YANGBool
    :param vrrp_acceptmode_disable: Disable accept mode  for the non owner vrrp vip

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vrrp_rbridge_global', 'pybind.slxos.v16r_1_00b.brocade_vrrpv3', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.vrrp_global', 'pybind.slxos.v17r_1_00a.brocade_vrrpv3', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrrp_acceptmode_disable=vrrp_acceptmode_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrrp_acceptmode_disable=vrrp_acceptmode_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrrp_global_update(self, vrrp_acceptmode_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Argument(s)**:

    :type vrrp_acceptmode_disable: YANGBool
    :param vrrp_acceptmode_disable: Disable accept mode  for the non owner vrrp vip

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vrrp_global', 'pybind.slxos.v17r_1_00a.brocade_vrrpv3', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrrp_acceptmode_disable=vrrp_acceptmode_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrrp_acceptmode_disable=vrrp_acceptmode_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrrp_rbridge_global_update(self, vrrp_acceptmode_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type vrrp_acceptmode_disable: YANGBool
    :param vrrp_acceptmode_disable: Disable accept mode  for the non owner vrrp vip

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vrrp_rbridge_global', 'pybind.slxos.v16r_1_00b.brocade_vrrpv3', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, vrrp_acceptmode_disable=vrrp_acceptmode_disable)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrrp_acceptmode_disable=vrrp_acceptmode_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_update(self, extended_data=None, seq_num=None, permit_deny=None, dst_vtep_ip=None, src_vtep_ip=None, vni=None, vni_mask=None, native_tag=None, dst_ip=None, dst_ip_mask=None, src_ip=None, src_ip_mask=None, dst_port=None, src_port=None, count=None, byte_count=None, transit_name=None, sflow=None, redir_interface=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type seq_num: long
    :param seq_num: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_vtep_ip: unicode
    :param src_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type vni: unicode
    :param vni: Keyword argument.

    :type vni_mask: unicode
    :param vni_mask: Keyword argument.

    :type native_tag: unicode
    :param native_tag: Keyword argument.

    :type dst_ip: unicode
    :param dst_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_ip_mask: int
    :param dst_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_ip: unicode
    :param src_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_mask: int
    :param src_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type dst_port: int
    :param dst_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_port: int
    :param src_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type transit_name: unicode
    :param transit_name: Keyword argument.

    :type sflow: YANGBool
    :param sflow: Keyword argument.

    :type redir_interface: unicode
    :param redir_interface: Keyword argument.

    :type mirror_interface: unicode
    :param mirror_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, seq_num=seq_num, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, transit_name=transit_name, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, seq_num=seq_num, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, transit_name=transit_name, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_byte_count_update(self, extended_data=None, byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, byte_count=byte_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, byte_count=byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_count_update(self, extended_data=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_dst_ip_update(self, extended_data=None, dst_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type dst_ip: unicode
    :param dst_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, dst_ip=dst_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, dst_ip=dst_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_dst_ip_mask_update(self, extended_data=None, dst_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type dst_ip_mask: int
    :param dst_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, dst_ip_mask=dst_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, dst_ip_mask=dst_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_dst_port_update(self, extended_data=None, dst_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type dst_port: int
    :param dst_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, dst_port=dst_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, dst_port=dst_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_dst_vtep_ip_update(self, extended_data=None, dst_vtep_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, dst_vtep_ip=dst_vtep_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, dst_vtep_ip=dst_vtep_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_mirror_interface_update(self, extended_data=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type mirror_interface: unicode
    :param mirror_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, mirror_interface=mirror_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_native_tag_update(self, extended_data=None, native_tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type native_tag: unicode
    :param native_tag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, native_tag=native_tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, native_tag=native_tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_permit_deny_update(self, extended_data=None, permit_deny=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, permit_deny=permit_deny)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, permit_deny=permit_deny)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_redir_interface_update(self, extended_data=None, redir_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type redir_interface: unicode
    :param redir_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, redir_interface=redir_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, redir_interface=redir_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_seq_num_update(self, extended_data=None, seq_num=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type seq_num: long
    :param seq_num: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, seq_num=seq_num)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, seq_num=seq_num)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_sflow_update(self, extended_data=None, sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type sflow: YANGBool
    :param sflow: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, sflow=sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, sflow=sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_src_ip_update(self, extended_data=None, src_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type src_ip: unicode
    :param src_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, src_ip=src_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, src_ip=src_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_src_ip_mask_update(self, extended_data=None, src_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type src_ip_mask: int
    :param src_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, src_ip_mask=src_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, src_ip_mask=src_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_src_port_update(self, extended_data=None, src_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type src_port: int
    :param src_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, src_port=src_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, src_port=src_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_src_vtep_ip_update(self, extended_data=None, src_vtep_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type src_vtep_ip: unicode
    :param src_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, src_vtep_ip=src_vtep_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, src_vtep_ip=src_vtep_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_transit_name_update(self, extended_data=None, transit_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type transit_name: unicode
    :param transit_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, transit_name=transit_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, transit_name=transit_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_vni_update(self, extended_data=None, vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type vni: unicode
    :param vni: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, vni=vni)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, vni=vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_acl_state_extended_data_vni_mask_update(self, extended_data=None, vni_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 17r.1.00a    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    **Instance Argument(s)**:

    :type vni_mask: unicode
    :param vni_mask: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v17r_1_00a.vxlan_acl_state.extended_data', 'pybind.slxos.v17r_1_00a.brocade_ssm_operational', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_data=extended_data, vni_mask=vni_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, vni_mask=vni_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_update(self, extended_stats_data=None, permit_deny=None, dst_vtep_ip=None, src_vtep_ip=None, vni=None, vni_mask=None, native_tag=None, dst_ip=None, dst_ip_mask=None, src_ip=None, src_ip_mask=None, dst_port=None, src_port=None, count=None, byte_count=None, sflow=None, redir_interface=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_vtep_ip: unicode
    :param src_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type vni: unicode
    :param vni: Keyword argument.

    :type vni_mask: unicode
    :param vni_mask: Keyword argument.

    :type native_tag: unicode
    :param native_tag: Keyword argument.

    :type dst_ip: unicode
    :param dst_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_ip_mask: int
    :param dst_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_ip: unicode
    :param src_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_mask: int
    :param src_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type dst_port: int
    :param dst_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_port: int
    :param src_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type sflow: YANGBool
    :param sflow: Keyword argument.

    :type redir_interface: unicode
    :param redir_interface: Keyword argument.

    :type mirror_interface: unicode
    :param mirror_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_byte_count_update(self, extended_stats_data=None, byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, byte_count=byte_count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, byte_count=byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_count_update(self, extended_stats_data=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, count=count)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_dst_ip_update(self, extended_stats_data=None, dst_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_ip: unicode
    :param dst_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, dst_ip=dst_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, dst_ip=dst_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_dst_ip_mask_update(self, extended_stats_data=None, dst_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_ip_mask: int
    :param dst_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, dst_ip_mask=dst_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, dst_ip_mask=dst_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_dst_port_update(self, extended_stats_data=None, dst_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_port: int
    :param dst_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, dst_port=dst_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, dst_port=dst_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_dst_vtep_ip_update(self, extended_stats_data=None, dst_vtep_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, dst_vtep_ip=dst_vtep_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, dst_vtep_ip=dst_vtep_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_mirror_interface_update(self, extended_stats_data=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mirror_interface: unicode
    :param mirror_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, mirror_interface=mirror_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_native_tag_update(self, extended_stats_data=None, native_tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_tag: unicode
    :param native_tag: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, native_tag=native_tag)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, native_tag=native_tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_permit_deny_update(self, extended_stats_data=None, permit_deny=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, permit_deny=permit_deny)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, permit_deny=permit_deny)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_redir_interface_update(self, extended_stats_data=None, redir_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type redir_interface: unicode
    :param redir_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, redir_interface=redir_interface)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, redir_interface=redir_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_sflow_update(self, extended_stats_data=None, sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type sflow: YANGBool
    :param sflow: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, sflow=sflow)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, sflow=sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_src_ip_update(self, extended_stats_data=None, src_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_ip: unicode
    :param src_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, src_ip=src_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, src_ip=src_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_src_ip_mask_update(self, extended_stats_data=None, src_ip_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_ip_mask: int
    :param src_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, src_ip_mask=src_ip_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, src_ip_mask=src_ip_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_src_port_update(self, extended_stats_data=None, src_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_port: int
    :param src_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, src_port=src_port)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, src_port=src_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_src_vtep_ip_update(self, extended_stats_data=None, src_vtep_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_vtep_ip: unicode
    :param src_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, src_vtep_ip=src_vtep_ip)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, src_vtep_ip=src_vtep_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_vni_update(self, extended_stats_data=None, vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vni: unicode
    :param vni: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, vni=vni)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, vni=vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_vni_mask_update(self, extended_stats_data=None, vni_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vni_mask: unicode
    :param vni_mask: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, extended_stats_data=extended_stats_data, vni_mask=vni_mask)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, vni_mask=vni_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def zoning_enabled_configuration_update(self, cfg_name=None, default_zone_access=None, cfg_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cfg_name: unicode
    :param cfg_name: <WORD>;;Enabled-CFG-Name

    :type default_zone_access: unicode
    :param default_zone_access: Default zone access

        * enumeration restriction: ::

            ['allaccess', 'noaccess']

    :type cfg_action: unicode
    :param cfg_action: Cfg action

        * enumeration restriction: ::

            ['cfg-clear',
            'cfg-save',
            'cfg-none',
            'cfg-disable',
            'cfg-transaction-abort']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch_bulk'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.zoning.enabled_configuration', 'pybind.nos.v6_0_2c.brocade_zone', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.zoning.enabled_configuration', 'pybind.nos.v7_0_1b.brocade_zone', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.zoning.enabled_configuration', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.enabled_configuration', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.zoning.enabled_configuration', 'pybind.slxos.v17r_1_00a.brocade_zone', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cfg_name=cfg_name, default_zone_access=default_zone_access, cfg_action=cfg_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cfg_name=cfg_name, default_zone_access=default_zone_access, cfg_action=cfg_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def zoning_enabled_configuration_cfg_action_update(self, cfg_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cfg_action: unicode
    :param cfg_action: Cfg action

        * enumeration restriction: ::

            ['cfg-clear',
            'cfg-save',
            'cfg-none',
            'cfg-disable',
            'cfg-transaction-abort']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.zoning.enabled_configuration', 'pybind.nos.v6_0_2c.brocade_zone', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.zoning.enabled_configuration', 'pybind.nos.v7_0_1b.brocade_zone', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.zoning.enabled_configuration', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.enabled_configuration', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.zoning.enabled_configuration', 'pybind.slxos.v17r_1_00a.brocade_zone', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cfg_action=cfg_action)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cfg_action=cfg_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def zoning_enabled_configuration_cfg_name_update(self, cfg_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type cfg_name: unicode
    :param cfg_name: <WORD>;;Enabled-CFG-Name

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.zoning.enabled_configuration', 'pybind.nos.v6_0_2c.brocade_zone', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.zoning.enabled_configuration', 'pybind.nos.v7_0_1b.brocade_zone', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.zoning.enabled_configuration', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.enabled_configuration', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.zoning.enabled_configuration', 'pybind.slxos.v17r_1_00a.brocade_zone', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, cfg_name=cfg_name)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cfg_name=cfg_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def zoning_enabled_configuration_default_zone_access_update(self, default_zone_access=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b, 17r.1.00a    

    **Instance Argument(s)**:

    :type default_zone_access: unicode
    :param default_zone_access: Default zone access

        * enumeration restriction: ::

            ['allaccess', 'noaccess']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises UnsupportedOSError: If firmware version installed on asset is not supported.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.zoning.enabled_configuration', 'pybind.nos.v6_0_2c.brocade_zone', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.zoning.enabled_configuration', 'pybind.nos.v7_0_1b.brocade_zone', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.zoning.enabled_configuration', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.enabled_configuration', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v17r_1_00a.zoning.enabled_configuration', 'pybind.slxos.v17r_1_00a.brocade_zone', 'pybind.slxos.v17r_1_00a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    choices_kwargs_map = {}
    leaf_os_support_map = {}
    self._api_validation(choices_kwargs_map=choices_kwargs_map, leaf_os_support_map=leaf_os_support_map, default_zone_access=default_zone_access)
    pybind_object = self._get_pybind_object(operation_type=operation_type, compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, default_zone_access=default_zone_access)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

